/*
This file is part of Giswater 2.0
The program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This version of Giswater is provided by Giswater Association
*/


SET search_path = "SCHEMA_NAME", public, pg_catalog;


INSERT INTO db_cat_table VALUES (10, 'ext_type_street', 'ws', 'external table', NULL, 'Catalog of street tyoes.');
INSERT INTO db_cat_table VALUES (20, 'ext_streetaxis', 'ws', 'external table', NULL, 'Table of streetaxis.');
INSERT INTO db_cat_table VALUES (30, 'ext_urban_propierties', 'ws', 'external table', NULL, 'Table of urban properties.');
INSERT INTO db_cat_table VALUES (40, 'ext_cat_period', 'ws', 'external table', NULL, 'Catalog of time periods.');
INSERT INTO db_cat_table VALUES (50, 'ext_cat_scada', 'ws', 'external catalog', NULL, 'Catalog of scada receivers.');
INSERT INTO db_cat_table VALUES (60, 'ext_rtc_scada', 'ws', 'external table', NULL, 'Table of scada receivers.');
INSERT INTO db_cat_table VALUES (70, 'ext_rtc_scada_x_value', 'ws', 'external table', NULL, 'Values obtained from scada receivers.');
INSERT INTO db_cat_table VALUES (80, 'ext_rtc_scada_x_data', 'ws', 'external table', NULL, 'Agregated data obtained from scada receivers.');
INSERT INTO db_cat_table VALUES (90, 'ext_rtc_scada_dma_period', 'ws', 'external table', NULL, 'Data from scada related to date and dma.');
INSERT INTO db_cat_table VALUES (100, 'ext_cat_hydrometer', 'ws', 'external catalog', NULL, 'Catalog of hydrometers receivers.');
INSERT INTO db_cat_table VALUES (110, 'ext_rtc_hydrometer', 'ws', 'external table', NULL, 'Table of hydrometer receivers.');
INSERT INTO db_cat_table VALUES (120, 'ext_rtc_hydrometer_x_value', 'ws', 'external table', NULL, 'Values obtained from hydrometer receivers.');
INSERT INTO db_cat_table VALUES (130, 'ext_rtc_hydrometer_x_data', 'ws', 'external table', NULL, 'Agregated data obtained from hydrometer receivers.');
INSERT INTO db_cat_table VALUES (150, 'arc_type', 'ws', 'system structure', NULL, 'Contains the types of arcs.');
INSERT INTO db_cat_table VALUES (160, 'node_type', 'ws', 'system structure', NULL, 'Contains the types of nodes.');
INSERT INTO db_cat_table VALUES (170, 'element_type', 'ws', 'system structure', NULL, 'Contains the types of elements.');
INSERT INTO db_cat_table VALUES (180, 'cat_mat_arc', 'ws', 'catalog', NULL, 'Catalog of arc''s material.');
INSERT INTO db_cat_table VALUES (190, 'cat_mat_node', 'ws', 'catalog', NULL, 'Catalog of node''s material.');
INSERT INTO db_cat_table VALUES (200, 'cat_arc', 'ws', 'catalog', NULL, 'Catalog of arcs.');
INSERT INTO db_cat_table VALUES (210, 'cat_node', 'ws', 'catalog', NULL, 'Catalog of nodes.');
INSERT INTO db_cat_table VALUES (220, 'cat_mat_element', 'ws', 'catalog', NULL, 'Catalog of element''s material.');
INSERT INTO db_cat_table VALUES (230, 'cat_element', 'ws', 'catalog', NULL, 'Catalog of elements.');
INSERT INTO db_cat_table VALUES (240, 'cat_connec', 'ws', 'catalog', NULL, 'Catalog of connections.');
INSERT INTO db_cat_table VALUES (250, 'cat_soil', 'ws', 'catalog', NULL, 'Catalog of soil types.');
INSERT INTO db_cat_table VALUES (260, 'cat_builder', 'ws', 'catalog', NULL, 'Catalog of constructors');
INSERT INTO db_cat_table VALUES (270, 'cat_work', 'ws', 'catalog', NULL, 'Catalog of construction works.');
INSERT INTO db_cat_table VALUES (280, 'cat_owner', 'ws', 'catalog', NULL, 'Catalog of owners.');
INSERT INTO db_cat_table VALUES (290, 'cat_pavement', 'ws', 'catalog', NULL, 'Catalog of pavements.');
INSERT INTO db_cat_table VALUES (300, 'cat_press_zone', 'ws', 'catalog', NULL, 'Catalog of press zone.');
INSERT INTO db_cat_table VALUES (310, 'man_type_category', 'ws', 'value domain (type)', NULL, 'Domain data with types of management');
INSERT INTO db_cat_table VALUES (320, 'man_type_fluid', 'ws', 'value domain (type)', NULL, 'Domain data with types of fluid management');
INSERT INTO db_cat_table VALUES (330, 'man_type_location', 'ws', 'value domain (type)', NULL, 'Domain data with types of location management');
INSERT INTO db_cat_table VALUES (340, 'connec_type', 'ws', 'value domain (type)', NULL, 'Domain data with connects types');
INSERT INTO db_cat_table VALUES (350, 'sector', 'ws', 'GIS feature', NULL, 'Table of spatial objects representing sectors.');
INSERT INTO db_cat_table VALUES (360, 'node', 'ws', 'GIS feature', NULL, 'Table of spatial objects representing nodes.');
INSERT INTO db_cat_table VALUES (370, 'arc', 'ws', 'GIS feature', NULL, 'Table of spatial objects representing arcs.');
INSERT INTO db_cat_table VALUES (380, 'dma', 'ws', 'GIS feature', NULL, 'Table of spatial objects representing District Meter Area.');
INSERT INTO db_cat_table VALUES (390, 'connec', 'ws', 'GIS feature', NULL, 'Table of spatial objects representing connects.');
INSERT INTO db_cat_table VALUES (400, 'vnode', 'ws', 'GIS feature', NULL, 'Table of spatial objects representing vnodes.');
INSERT INTO db_cat_table VALUES (410, 'link', 'ws', 'GIS feature', NULL, 'Table of spatial objects representing links.');
INSERT INTO db_cat_table VALUES (420, 'man_junction', 'ws', 'Additional info of GIS feature', NULL, 'Additional information for junction management');
INSERT INTO db_cat_table VALUES (430, 'man_tank', 'ws', 'Additional info of GIS feature', NULL, 'Additional information for tank management');
INSERT INTO db_cat_table VALUES (440, 'man_hydrant', 'ws', 'Additional info of GIS feature', NULL, 'Additional information for hydrant management');
INSERT INTO db_cat_table VALUES (450, 'man_valve', 'ws', 'Additional info of GIS feature', NULL, 'Additional information for valve management');
INSERT INTO db_cat_table VALUES (460, 'man_pump', 'ws', 'Additional info of GIS feature', NULL, 'Additional information for pump management');
INSERT INTO db_cat_table VALUES (470, 'man_filter', 'ws', 'Additional info of GIS feature', NULL, 'Additional information for filter management');
INSERT INTO db_cat_table VALUES (480, 'man_meter', 'ws', 'Additional info of GIS feature', NULL, 'Additional information for measure instrument management');
INSERT INTO db_cat_table VALUES (500, 'man_pipe', 'ws', 'Additional info of GIS feature', NULL, 'Additional information for pipe management');
INSERT INTO db_cat_table VALUES (510, 'element', 'ws', 'GIS feature', NULL, 'Contains the elements');
INSERT INTO db_cat_table VALUES (520, 'element_x_arc', 'ws', 'GIS feature', NULL, 'Contains the elements related to arc.');
INSERT INTO db_cat_table VALUES (530, 'element_x_node', 'ws', 'GIS feature', NULL, 'Contains the elements related to nodes');
INSERT INTO db_cat_table VALUES (540, 'element_x_connec', 'ws', 'GIS feature', NULL, 'Contains the elements related to connects');
INSERT INTO db_cat_table VALUES (550, 'value_state', 'ws', 'value domain (value)', NULL, 'Domain data with value describing the state');
INSERT INTO db_cat_table VALUES (560, 'value_verified', 'ws', 'value domain (value)', NULL, 'Domain data with value describing the verification status.');
INSERT INTO db_cat_table VALUES (570, 'value_yesno', 'ws', 'value domain (value)', NULL, 'Domain data with values yes/no');
INSERT INTO db_cat_table VALUES (580, 'man_selector_valve', 'ws', 'Selector', NULL, 'Selector to control the type of valves that will participate to the mincut analysis');
INSERT INTO db_cat_table VALUES (590, 'inp_backdrop', 'ws', 'Hydraulic input data', NULL, 'Identifies a backdrop image and dimensions for the network EPANET map.');
INSERT INTO db_cat_table VALUES (600, 'inp_controls', 'ws', 'Hydraulic input data', NULL, 'Defines simple controls that modify links based on a single condition.');
INSERT INTO db_cat_table VALUES (610, 'inp_curve', 'ws', 'Hydraulic input data', NULL, 'Defines data curves and their X,Y points.');
INSERT INTO db_cat_table VALUES (620, 'inp_curve_id', 'ws', 'Hydraulic input data', NULL, 'Curve catalog.');
INSERT INTO db_cat_table VALUES (630, 'inp_demand', 'ws', 'Hydraulic input data', NULL, 'Replace to junctionÂ feature for defining multiple water demands at junction nodes. WARNING: If this junction values are used the value of junction is ignored.');
INSERT INTO db_cat_table VALUES (640, 'inp_emitter', 'ws', 'Hydraulic input data', NULL, 'Defines junctions modeled as emitters (sprinklers or orifices).');
INSERT INTO db_cat_table VALUES (650, 'inp_energy_el', 'ws', 'Hydraulic input data', NULL, 'Defines parameters used to compute pumping energy and cost (by specified pump)');
INSERT INTO db_cat_table VALUES (660, 'inp_energy_gl', 'ws', 'Hydraulic input data', NULL, 'Defines global parameters -for all pumps- used to compute pumping energy and cost.');
INSERT INTO db_cat_table VALUES (670, 'inp_junction', 'ws', 'Hydraulic input data', NULL, 'Defines junction nodes contained in the network.');
INSERT INTO db_cat_table VALUES (680, 'inp_label', 'ws', 'Hydraulic input data', NULL, 'Assigns coordinates to map labels on EPANET user inferface.');
INSERT INTO db_cat_table VALUES (690, 'inp_mixing', 'ws', 'Hydraulic input data', NULL, 'Identifies the model that governs mixing within storage tanks.');
INSERT INTO db_cat_table VALUES (700, 'inp_options', 'ws', 'Hydraulic input data', NULL, 'Contains the general information about the simulation options');
INSERT INTO db_cat_table VALUES (710, 'inp_pattern', 'ws', 'Hydraulic input data', NULL, 'Defines time patterns.');
INSERT INTO db_cat_table VALUES (720, 'inp_pipe', 'ws', 'Hydraulic input data', NULL, 'Defines all pipe links contained in the network.');
INSERT INTO db_cat_table VALUES (740, 'inp_valve', 'ws', 'Hydraulic input data', NULL, 'Contains the general information about the project');
INSERT INTO db_cat_table VALUES (750, 'inp_pump', 'ws', 'Hydraulic input data', NULL, 'Defines all pump links contained in the network.');
INSERT INTO db_cat_table VALUES (760, 'inp_quality', 'ws', 'Hydraulic input data', NULL, 'Describes the contents of the output report produced from a simulation.');
INSERT INTO db_cat_table VALUES (770, 'inp_reactions_el', 'ws', 'Hydraulic input data', NULL, 'Defines individual parameters -specific for each element- related to chemical reactions occurring in the network.');
INSERT INTO db_cat_table VALUES (780, 'inp_reactions_gl', 'ws', 'Hydraulic input data', NULL, 'Defines global parameters -for all elements- related to chemical reactions occurring in the network.');
INSERT INTO db_cat_table VALUES (790, 'inp_report', 'ws', 'Hydraulic input data', NULL, 'Contains the information about output simulation report');
INSERT INTO db_cat_table VALUES (800, 'inp_reservoir', 'ws', 'Hydraulic input data', NULL, 'Defines all reservoir nodes contained in the network.');
INSERT INTO db_cat_table VALUES (810, 'inp_rules', 'ws', 'Hydraulic input data', NULL, 'Defines rule-based controls that modify links based on a combination of conditions.');
INSERT INTO db_cat_table VALUES (820, 'inp_source', 'ws', 'Hydraulic input data', NULL, 'Defines locations of water quality sources.');
INSERT INTO db_cat_table VALUES (830, 'inp_tags', 'ws', 'Hydraulic input data', NULL, 'Associates category labels (tags) with specific nodes and links on EPANET user inferface.');
INSERT INTO db_cat_table VALUES (840, 'inp_tank', 'ws', 'Hydraulic input data', NULL, 'Defines all tank nodes contained in the network.');
INSERT INTO db_cat_table VALUES (860, 'inp_arc_type', 'ws', 'Hydraulic input data', NULL, 'Domain data with arc''s geometry');
INSERT INTO db_cat_table VALUES (870, 'inp_node_type', 'ws', 'Hydraulic input data', NULL, 'Domain data with node''s geometry');
INSERT INTO db_cat_table VALUES (880, 'inp_typevalue_energy', 'ws', 'Hydraulic input data', NULL, 'Domain data with energy type');
INSERT INTO db_cat_table VALUES (890, 'inp_typevalue_pump', 'ws', 'Hydraulic input data', NULL, 'Domain data with pump''s operation');
INSERT INTO db_cat_table VALUES (900, 'inp_typevalue_reactions_gl', 'ws', 'Hydraulic input data', NULL, 'Domain data with reaction type');
INSERT INTO db_cat_table VALUES (910, 'inp_typevalue_source', 'ws', 'Hydraulic input data', NULL, 'Domain data with source type');
INSERT INTO db_cat_table VALUES (920, 'inp_typevalue_valve', 'ws', 'Hydraulic input data', NULL, 'Domain data with valve type');
INSERT INTO db_cat_table VALUES (930, 'inp_value_ampm', 'ws', 'Hydraulic input data', NULL, 'Domain data with time AM/PM');
INSERT INTO db_cat_table VALUES (940, 'inp_value_curve', 'ws', 'Hydraulic input data', NULL, 'Domain data with curve type');
INSERT INTO db_cat_table VALUES (950, 'inp_value_mixing', 'ws', 'Hydraulic input data', NULL, 'Domain data with mixing type');
INSERT INTO db_cat_table VALUES (960, 'inp_value_noneall', 'ws', 'Hydraulic input data', NULL, 'Domain data with values none/all');
INSERT INTO db_cat_table VALUES (970, 'inp_value_opti_headloss', 'ws', 'Hydraulic input data', NULL, 'Domain data with options of curve losses');
INSERT INTO db_cat_table VALUES (980, 'inp_value_opti_hyd', 'ws', 'Hydraulic input data', NULL, 'Domain data with options of curve losses');
INSERT INTO db_cat_table VALUES (990, 'inp_value_opti_qual', 'ws', 'Hydraulic input data', NULL, 'Domain data with options used to calculate the water quality');
INSERT INTO db_cat_table VALUES (1000, 'inp_value_opti_unbal', 'ws', 'Hydraulic input data', NULL, 'Domain data with options used in case of calculation failure');
INSERT INTO db_cat_table VALUES (1010, 'inp_value_opti_units', 'ws', 'Hydraulic input data', NULL, 'Domain data with unit measure type');
INSERT INTO db_cat_table VALUES (1020, 'inp_value_param_energy', 'ws', 'Hydraulic input data', NULL, 'Domain data with parameters type used to calculate energy');
INSERT INTO db_cat_table VALUES (1030, 'inp_value_reactions_el', 'ws', 'Hydraulic input data', NULL, 'Domain data used to determine the general coefficiency of elementÂ´s reaction');
INSERT INTO db_cat_table VALUES (1040, 'inp_value_reactions_gl', 'ws', 'Hydraulic input data', NULL, 'Domain data used to determine the general coefficiency of reaction');
INSERT INTO db_cat_table VALUES (1050, 'inp_value_times', 'ws', 'Hydraulic input data', NULL, 'Domain data with statistical process type used to generate the results.');
INSERT INTO db_cat_table VALUES (1060, 'inp_value_yesno', 'ws', 'Hydraulic input data', NULL, 'Domain data with values yes/no');
INSERT INTO db_cat_table VALUES (1070, 'inp_value_yesnofull', 'ws', 'Hydraulic input data', NULL, 'Domain data with values yes/no/all');
INSERT INTO db_cat_table VALUES (1080, 'inp_value_plan', 'ws', 'Hydraulic input data', NULL, 'Domain data with values of plan');
INSERT INTO db_cat_table VALUES (1090, 'inp_valve', 'ws', 'Hydraulic input data', NULL, 'Defines all control valve links contained in the network.');
INSERT INTO db_cat_table VALUES (1100, 'inp_giswater_config', 'ws', 'Hydraulic input data', NULL, 'Configuration table to link QGIS and Giswater');
INSERT INTO db_cat_table VALUES (1110, 'rpt_selector_result', 'ws', 'Selector', NULL, 'ResultÂ´s selector');
INSERT INTO db_cat_table VALUES (1120, 'rpt_selector_compare', 'ws', 'Selector', NULL, 'Selector of an alternative result (to compare with other results)');
INSERT INTO db_cat_table VALUES (1130, 'rpt_arc', 'ws', 'Hydraulic result data', NULL, 'Contains the results of arc elements');
INSERT INTO db_cat_table VALUES (1140, 'rpt_energy_usage', 'ws', 'Hydraulic result data', NULL, 'Contains the results of the table of energy usage');
INSERT INTO db_cat_table VALUES (1150, 'rpt_hydraulic_status', 'ws', 'Hydraulic result data', NULL, 'Contains the information about the state of the results');
INSERT INTO db_cat_table VALUES (1160, 'rpt_node', 'ws', 'Hydraulic result data', NULL, 'Contains the results of node elements');
INSERT INTO db_cat_table VALUES (1170, 'rpt_cat_result', 'ws', 'Hydraulic result data', NULL, 'Contains the information about the results');
INSERT INTO db_cat_table VALUES (1180, 'inp_selector_sector', 'ws', 'Selector', NULL, 'Sector''s selector. Contains the sectors of the selected network');
INSERT INTO db_cat_table VALUES (1190, 'inp_selector_state', 'ws', 'Selector', NULL, 'State''s selector. Contains the diferents states that will be exported to the model');
INSERT INTO db_cat_table VALUES (1200, 'inp_shortpipe', 'ws', 'Hydraulic input data', NULL, 'Contains information about short pipes (nodes on GIS features, arc on model as shutoff valve, flowmeteror check valve');
INSERT INTO db_cat_table VALUES (1210, 'inp_value_status_pipe', 'ws', 'Hydraulic input data', NULL, 'Value domain of the pipe status');
INSERT INTO db_cat_table VALUES (1220, 'inp_value_status_pump', 'ws', 'Hydraulic input data', NULL, 'Value domain of the pump status');
INSERT INTO db_cat_table VALUES (1230, 'inp_value_status_valve', 'ws', 'Hydraulic input data', NULL, 'Value domain of the valve status');
INSERT INTO db_cat_table VALUES (1240, 'inp_value_times', 'ws', 'Hydraulic input data', NULL, 'Value domain of times');
INSERT INTO db_cat_table VALUES (1270, 'temp_node', 'ws', 'Hydraulic input data', NULL, 'Temporary table of nodes with results from the hydraulic model');
INSERT INTO db_cat_table VALUES (1280, 'temp_arc', 'ws', 'Hydraulic input data', NULL, 'Temporary table of arcs with results from the hydraulic model');
INSERT INTO db_cat_table VALUES (1310, 'event_type', 'ws', 'system structure', NULL, 'Contains the information about event types.');
INSERT INTO db_cat_table VALUES (1320, 'event_parameter', 'ws', 'O&M information', NULL, 'Shows the parameters of the event.');
INSERT INTO db_cat_table VALUES (1330, 'event_position', 'ws', 'O&M information', NULL, 'Shows the position of the event');
INSERT INTO db_cat_table VALUES (1340, 'event', 'ws', 'O&M information', NULL, 'Table of spatial objects representing events.');
INSERT INTO db_cat_table VALUES (1350, 'event_x_node', 'ws', 'O&M information', NULL, 'Table of spatial objects representing events to nodes.');
INSERT INTO db_cat_table VALUES (1360, 'event_x_arc', 'ws', 'O&M information', NULL, 'Table of spatial objects representing events to arcs.');
INSERT INTO db_cat_table VALUES (1370, 'event_x_element', 'ws', 'O&M information', NULL, 'Table of spatial objects representing events to elemts.');
INSERT INTO db_cat_table VALUES (1380, 'event_x_connec', 'ws', 'O&M information', NULL, 'Table of spatial objects representing events related to connects.');
INSERT INTO db_cat_table VALUES (1390, 'doc_type', 'ws', 'Document management', NULL, 'Contains the document''s types.');
INSERT INTO db_cat_table VALUES (1400, 'cat_tag', 'ws', 'Document management catalog', NULL, 'Catalog of tags. It''s like a stuctured list of document classification');
INSERT INTO db_cat_table VALUES (1410, 'doc', 'ws', 'Document management', NULL, 'Contains URL or folder path where the documents are.');
INSERT INTO db_cat_table VALUES (1420, 'doc_x_node', 'ws', 'Document management', NULL, 'Contains the information of document related to nodes.');
INSERT INTO db_cat_table VALUES (1430, 'doc_x_arc', 'ws', 'Document management', NULL, 'Contains the information of document related to arcs.');
INSERT INTO db_cat_table VALUES (1440, 'doc_x_connec', 'ws', 'Document management', NULL, 'Contains the information of document related to connects.');
INSERT INTO db_cat_table VALUES (1450, 'rtc_options', 'ws', 'Real time control', NULL, 'Options for real time control');
INSERT INTO db_cat_table VALUES (1460, 'rtc_scada_node', 'ws', 'Real time control', NULL, 'Contains the information to link SCADA with nodes');
INSERT INTO db_cat_table VALUES (1470, 'rtc_scada_dma', 'ws', 'Real time control', NULL, 'Contains the information to link SCADA with dma.');
INSERT INTO db_cat_table VALUES (1480, 'rtc_scada_x_sector', 'ws', 'Real time control', NULL, 'Contains the information to link SCADA with sector.');
INSERT INTO db_cat_table VALUES (1490, 'rtc_value_opti_coef', 'ws', 'Real time control', NULL, 'Value domain for options of real time control');
INSERT INTO db_cat_table VALUES (1500, 'rtc_value_opti_status', 'ws', 'Real time control', NULL, 'Value domain for options of real time control');
INSERT INTO db_cat_table VALUES (1510, 'rtc_hydrometer_x_connec', 'ws', 'Real time control', NULL, 'Contains the information to link connec with hydrometer');
INSERT INTO db_cat_table VALUES (1520, 'plan_psector', 'ws', 'masterplan', NULL, 'Table of plan sector.');
INSERT INTO db_cat_table VALUES (1530, 'plan_arc_x_psector', 'ws', 'masterplan', NULL, 'Table of arcs related to plan sectors.');
INSERT INTO db_cat_table VALUES (1540, 'plan_node_x_psector', 'ws', 'masterplan', NULL, 'Table of nodes related to plan sectors.');
INSERT INTO db_cat_table VALUES (1550, 'plan_other_x_psector', 'ws', 'masterplan', NULL, 'Table of other objects related to plan sectors.');
INSERT INTO db_cat_table VALUES (1560, 'plan_arc_x_pavement', 'ws', 'masterplan', NULL, 'Table to relate arcs to pavements');
INSERT INTO db_cat_table VALUES (1570, 'plan_value_ps_priority', 'ws', 'masterplan', NULL, 'Domain value table of levels of priority related to psectors');
INSERT INTO db_cat_table VALUES (1580, 'plan_selector_economic', 'ws', 'masterplan', NULL, 'Table of economic selectors.');
INSERT INTO db_cat_table VALUES (1590, 'plan_selector_psector', 'ws', 'masterplan', NULL, 'Table of plan sector selectors.');
INSERT INTO db_cat_table VALUES (1600, 'price_simple', 'ws', 'masterplan', NULL, 'Table of simple price.');
INSERT INTO db_cat_table VALUES (1610, 'price_compost', 'ws', 'masterplan', NULL, 'Table of compound prices');
INSERT INTO db_cat_table VALUES (1620, 'price_compost_value', 'ws', 'masterplan', NULL, 'Table to relate simple prices to compound prices');
INSERT INTO db_cat_table VALUES (1630, 'price_value_unit', 'ws', 'masterplan', NULL, 'View for code');
INSERT INTO db_cat_table VALUES (1640, 'anl_mincut_polygon', 'ws', 'Analysis', NULL, 'Table with the results of mincut analysis (poligon)');
INSERT INTO db_cat_table VALUES (1650, 'anl_mincut_node', 'ws', 'Analysis', NULL, 'Table with the results of mincut analysis (node)');
INSERT INTO db_cat_table VALUES (1660, 'anl_mincut_arc', 'ws', 'Analysis', NULL, 'Table with the results of mincut analysis (arc)');
INSERT INTO db_cat_table VALUES (1670, 'anl_mincut_valve', 'ws', 'Analysis', NULL, 'Table with the results of mincut analysis (valve)');
INSERT INTO db_cat_table VALUES (1680, 'anl_valveanaytics_connec', 'ws', 'Analysis', NULL, 'Table with the results of mincut analysis (connec)');
INSERT INTO db_cat_table VALUES (10000, 'version', 'ud&se&ws', 'utils', NULL, 'Table to control de version of the software used on the project.');
INSERT INTO db_cat_table VALUES (10020, 'config', 'ud&se&ws', 'utils', NULL, 'Table to define diferent configuration parameters related to the GIS USER interface.');
INSERT INTO db_cat_table VALUES (10030, 'config_csv_import', 'ud&se&ws', 'utils', NULL, 'Table to define the tables enabled for csv import tool');
INSERT INTO db_cat_table VALUES (10040, 'db_cat_table', 'ud&se&ws', 'utils', NULL, 'Table with the information of tables of the project');
INSERT INTO db_cat_table VALUES (10050, 'db_cat_view', 'ud&se&ws', 'utils', NULL, 'Table with the information of views of the project');
INSERT INTO db_cat_table VALUES (10060, 'db_cat_columns', 'ud&se&ws', 'utils', NULL, 'Table with the information of columns of the project');
INSERT INTO db_cat_table VALUES (10070, 'db_cat_clientlayer', 'ud&se&ws', 'utils', NULL, 'Table with the information of GIS layers of the project');
INSERT INTO db_cat_table VALUES (10080, 'anl_node_orphan', 'ud&se&ws', 'utils', NULL, 'Table with the results of the topology process of node orphan function');
INSERT INTO db_cat_table VALUES (10090, 'anl_node_sink', 'ud&se&ws', 'utils', NULL, 'Table with the results of the topology process of node sink function');
INSERT INTO db_cat_table VALUES (10100, 'anl_node_duplicated', 'ud&se&ws', 'utils', NULL, 'Table with the results of the topology process of node duplicated function');
INSERT INTO db_cat_table VALUES (10110, 'anl_arc_same_startend', 'ud&se&ws', 'utils', NULL, 'Table with the results of the topology process of arcs with same node initial and end function');
INSERT INTO db_cat_table VALUES (10130, 'audit_cat_error', 'ud&se&ws', 'utils', NULL, 'Catalog of errors');
INSERT INTO db_cat_table VALUES (10140, 'audit_cat_function', 'ud&se&ws', 'utils', NULL, 'Catalog of functions');
INSERT INTO db_cat_table VALUES (10150, 'audit_function_actions', 'ud&se&ws', 'utils', NULL, 'Table to store information about traceability of user actions with functions');
INSERT INTO db_cat_table VALUES (10170, 'anl_connec_duplicated', 'ws', 'Analysis', NULL, 'Table of duplicated connecs');
INSERT INTO db_cat_table VALUES (10290, 'audit_schema_data_integrity', 'ud&se&ws', 'utils', NULL, NULL);
INSERT INTO db_cat_table VALUES (10200, 'anl_mincut_result_cat_state', 'ws', 'Analysis', NULL, 'Table of states of minimum cut results catalog.');
INSERT INTO db_cat_table VALUES (10330, 'ext_postnumber', 'ws', 'external table', NULL, 'Table of entrance numbers.');
INSERT INTO db_cat_table VALUES (10310, 'config_search_plus', 'ud&se&ws', 'utils', NULL, 'Table to define the configuration of search plus tool');
INSERT INTO db_cat_table VALUES (10350, 'inp_times', 'ws', 'Hydraulic input data', NULL, NULL);
INSERT INTO db_cat_table VALUES (10360, 'point', 'ws', 'GIS feature', NULL, 'Table of spatial objects representing points.');
INSERT INTO db_cat_table VALUES (10230, 'anl_mincut_result_hydrometer', 'ws', 'Analysis', NULL, 'Table of minimum cut analysis related to hydrometers.');
INSERT INTO db_cat_table VALUES (730, 'inp_project_id', 'ws', 'Hydraulic input data', NULL, 'Table with information of the project');
INSERT INTO db_cat_table VALUES (10300, 'config_extract_raster_value', 'ud&se&ws', 'utils', NULL, 'Table to define the configuration of extracting values from raster');
INSERT INTO db_cat_table VALUES (10320, 'config_ui_forms', 'ud&se&ws', 'utils', NULL, 'Table to define the configuration of forms.');
INSERT INTO db_cat_table VALUES (10160, 'anl_arc_no_startend_node', 'ws', 'Analysis', NULL, NULL);
INSERT INTO db_cat_table VALUES (10190, 'anl_mincut_result_cat', 'ws', 'Analysis', NULL, 'Catalog of minimum cut analysis results.');
INSERT INTO db_cat_table VALUES (10210, 'anl_mincut_result_cat_type', 'ws', 'Analysis', NULL, 'Table of types of minimum cut results catalog.');
INSERT INTO db_cat_table VALUES (10180, 'anl_mincut_result_arc', 'ws', 'Analysis', NULL, 'Table of minimum cut analysis related to arcs.');
INSERT INTO db_cat_table VALUES (10250, 'anl_mincut_result_polygon', 'ws', 'Analysis', NULL, 'Table of minimum cut analysis related to polygons.');
INSERT INTO db_cat_table VALUES (10220, 'anl_mincut_result_connec', 'ws', 'Analysis', NULL, 'Table of minimum cut analysis related to connecs.');
INSERT INTO db_cat_table VALUES (10270, 'anl_mincut_result_selector_compare', 'ws', 'Analysis', NULL, NULL);
INSERT INTO db_cat_table VALUES (10400, 'rtc_scada_x_dma', 'ws', 'Real time control', NULL, 'Contains the information to link SCADA with dma');
INSERT INTO db_cat_table VALUES (10390, 'rtc_hydrometer', 'ws', 'Real time control', NULL, 'Contains the information to link SCADA with hydrometers');
INSERT INTO db_cat_table VALUES (10380, 'presszone', 'ws', 'GIS feature', NULL, 'Table of spatial objects representing Pressure zones');
INSERT INTO db_cat_table VALUES (10370, 'point_type', 'ws', 'value domain (type)', NULL, 'Domain data with connects types');
INSERT INTO db_cat_table VALUES (10280, 'anl_mincut_result_valve', 'ws', 'Analysis', NULL, 'Table of minimum cut analysis related to valve.');
INSERT INTO db_cat_table VALUES (10240, 'anl_mincut_result_node', 'ws', 'Analysis', NULL, 'Table of minimum cut analysis related to nodes.');
INSERT INTO db_cat_table VALUES (10260, 'anl_mincut_result_selector', 'ws', 'Analysis', NULL, 'Table of minimum cut analysis related to selector.');




INSERT INTO db_cat_columns VALUES (50, 20, 'name', 'Varchar(100)', 'Street name.');
INSERT INTO db_cat_columns VALUES (60, 20, 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (70, 20, 'the_geom', 'public.geometry', 'Line geometry field.');
INSERT INTO db_cat_columns VALUES (80, 30, 'id', 'Varchar (16)', 'ID of a urban properites. Primary key.');
INSERT INTO db_cat_columns VALUES (90, 30, 'code', 'Varchar (30)', 'Code of the property.');
INSERT INTO db_cat_columns VALUES (100, 30, 'streetaxis', 'Varchar (16)', 'Street at which the property is located.');
INSERT INTO db_cat_columns VALUES (110, 30, 'postnumber', 'Varchar (16)', 'Post number of the property.');
INSERT INTO db_cat_columns VALUES (120, 30, 'complement', 'Varchar (16)', NULL);
INSERT INTO db_cat_columns VALUES (130, 30, 'placement', 'Varchar (16)', 'Location of a property.');
INSERT INTO db_cat_columns VALUES (140, 30, 'square', 'Varchar (16)', 'Square at which the property is located.');
INSERT INTO db_cat_columns VALUES (150, 30, 'the_geom', 'public.geometry', 'Line geometry field.');
INSERT INTO db_cat_columns VALUES (160, 40, 'id', 'Varchar (16)', 'ID of a period catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (170, 40, 'starttime', 'Timestamp(6)', 'Defines the begining of the period.');
INSERT INTO db_cat_columns VALUES (180, 40, 'endtime', 'Timestamp(6)', 'Defines the end of the period.');
INSERT INTO db_cat_columns VALUES (190, 40, 'period_seconds', 'int', 'Period of time expressed in seconds.');
INSERT INTO db_cat_columns VALUES (200, 40, 'comment', 'Varchar (100)', 'Comments related to period catalog. Additional information');
INSERT INTO db_cat_columns VALUES (210, 50, 'id', 'Varchar (16)', 'ID of a scada catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (220, 50, 'data_type', 'Varchar (30)', 'Type of data coming from scada.');
INSERT INTO db_cat_columns VALUES (230, 50, 'units', 'Varchar (12)', 'Type of units in which the data is expressed.');
INSERT INTO db_cat_columns VALUES (240, 50, 'text1', 'Varchar (100)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (250, 50, 'text2', 'Varchar (100)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (260, 50, 'text3', 'Varchar (100)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (270, 50, 'link', 'Varchar (512)', 'Field to store link to information related to the scada''s catalog.');
INSERT INTO db_cat_columns VALUES (280, 50, 'url', 'Varchar (512)', 'Field to store URL or folder path with more information related to the scada''s catalog.');
INSERT INTO db_cat_columns VALUES (290, 50, 'picture', 'Varchar (512)', 'Picture related to the material.');
INSERT INTO db_cat_columns VALUES (300, 50, 'svg', 'Varchar (50)', 'Symbology.');
INSERT INTO db_cat_columns VALUES (310, 60, 'scada_id', 'Varchar (16)', 'Id of a related scada receiver.');
INSERT INTO db_cat_columns VALUES (320, 60, 'cat_scada_id', 'Varchar (16)', 'Id of the related scada catalog element.');
INSERT INTO db_cat_columns VALUES (330, 60, 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (340, 70, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_columns VALUES (350, 70, 'scada_id', 'Varchar (16)', 'Id of a related scada receiver.');
INSERT INTO db_cat_columns VALUES (360, 70, 'value', 'float', 'Value obtained from scada.');
INSERT INTO db_cat_columns VALUES (370, 70, 'status', 'Varchar(5)', NULL);
INSERT INTO db_cat_columns VALUES (380, 70, 'timestamp', 'Timestamp(6)', 'Date of capturing the data.');
INSERT INTO db_cat_columns VALUES (390, 70, 'interval_seconds', 'int4', 'Time interval in which the data was captured expressed in seconds.');
INSERT INTO db_cat_columns VALUES (400, 80, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_columns VALUES (410, 80, 'scada_id', 'Varchar (16)', 'Id of a related scada receiver.');
INSERT INTO db_cat_columns VALUES (420, 80, 'min', 'float', 'Minimum value.');
INSERT INTO db_cat_columns VALUES (430, 80, 'max', 'float', 'Maximum value.');
INSERT INTO db_cat_columns VALUES (440, 80, 'avg', 'float', 'Average value.');
INSERT INTO db_cat_columns VALUES (450, 80, 'sum', 'float', 'Sum of the values.');
INSERT INTO db_cat_columns VALUES (460, 80, 'cat_period_id', 'Varchar(16)', 'Id of a related period catalog.');
INSERT INTO db_cat_columns VALUES (470, 90, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_columns VALUES (480, 90, 'dma_id', NULL, 'ID of the related management area related (District Meter Area)');
INSERT INTO db_cat_columns VALUES (490, 90, 'm3_min', 'float', 'Minimum value.');
INSERT INTO db_cat_columns VALUES (500, 90, 'm3_max', 'float', 'Maximum value.');
INSERT INTO db_cat_columns VALUES (510, 90, 'm3_avg', 'float', 'Average value.');
INSERT INTO db_cat_columns VALUES (520, 90, 'm3_total_period', 'float', NULL);
INSERT INTO db_cat_columns VALUES (530, 90, 'cat_period_id', 'Varchar (16)', 'Id of the related period catalog element.');
INSERT INTO db_cat_columns VALUES (540, 100, 'id', 'Varchar (16)', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_columns VALUES (560, 100, 'text2', 'Varchar (100)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (570, 100, 'text3', 'Varchar (100)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (580, 100, 'link', 'Varchar (512)', 'Field to store link to information related to the hydrometer''s catalog.');
INSERT INTO db_cat_columns VALUES (590, 100, 'url', 'Varchar (512)', 'Field to store URL or folder path with more information related to the hydrometer''s catalog.');
INSERT INTO db_cat_columns VALUES (600, 100, 'picture', 'Varchar (512)', 'Picture related to the material.');
INSERT INTO db_cat_columns VALUES (610, 100, 'svg', 'Varchar (50)', 'Symbology.');
INSERT INTO db_cat_columns VALUES (620, 110, 'hydrometer_id', 'Varchar(16)', 'ID of a hydrometer. Primary key.');
INSERT INTO db_cat_columns VALUES (630, 110, 'cat_hydrometer_id', 'Varchar(16)', 'ID of a related hydrometer catalog element.');
INSERT INTO db_cat_columns VALUES (650, 120, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_columns VALUES (660, 120, 'hydrometer_id', 'Varchar(16)', 'Id of a related hydrometer.');
INSERT INTO db_cat_columns VALUES (670, 120, 'value', 'float', 'Value obtained from hydrometer.');
INSERT INTO db_cat_columns VALUES (680, 120, 'status', 'Varchar(3)', NULL);
INSERT INTO db_cat_columns VALUES (690, 120, 'timestamp', 'Timestamp(6)', 'Date of capturing the data.');
INSERT INTO db_cat_columns VALUES (700, 120, 'interval_seconds', 'int4', 'Time interval in which the data was captured expressed in seconds.');
INSERT INTO db_cat_columns VALUES (710, 130, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_columns VALUES (720, 130, 'hydrometer_id', 'Varchar(16)', 'Id of a related hydrometer.');
INSERT INTO db_cat_columns VALUES (730, 130, 'min', 'float', 'Minimum value.');
INSERT INTO db_cat_columns VALUES (740, 130, 'max', 'float', 'Maximum value.');
INSERT INTO db_cat_columns VALUES (750, 130, 'avg', 'float', 'Average value.');
INSERT INTO db_cat_columns VALUES (760, 130, 'sum', 'float', 'Sum of the values.');
INSERT INTO db_cat_columns VALUES (770, 130, 'cat_period_id', 'Varchar (16)', 'Id of the related period catalog element.');
INSERT INTO db_cat_columns VALUES (780, 150, 'id', 'varchar(18)', 'Custom type of arc defined by the user. The relation with type is n to 1.');
INSERT INTO db_cat_columns VALUES (790, 150, 'type', 'varchar(18)', 'Type of arc. The data of this field is system data');
INSERT INTO db_cat_columns VALUES (800, 150, 'epa_default', 'varchar(18)', 'Default''s value of EPA software. The data of this field is system data');
INSERT INTO db_cat_columns VALUES (810, 150, 'man_table', 'varchar(18)', 'Name of the table with additional information of feature (management information). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (820, 150, 'epa_table', 'varchar(18)', 'Name of the table with additional information of feature (hidraulic model). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (830, 150, 'event_table', 'varchar(18)', 'Name of the table with additional information of feature (operation information). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (840, 160, 'id', 'varchar(18)', 'Custom type of node defined by the user. The relation with type is n to 1');
INSERT INTO db_cat_columns VALUES (850, 160, 'type', 'varchar(18)', 'Type of node. The data of this field is system data');
INSERT INTO db_cat_columns VALUES (860, 160, 'epa_default', 'varchar(18)', 'Default''s value of EPA software. The data of this field is system data');
INSERT INTO db_cat_columns VALUES (870, 160, 'man_table', 'varchar(18)', 'Name of the table with additional information of feature (management information). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (880, 160, 'epa_table', 'varchar(18)', 'Name of the table with additional information of feature (hidraulic model). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (890, 160, 'event_table', 'varchar(18)', 'Name of the table with additional information of feature (operation information). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (900, 170, 'id', 'varchar(18)', 'Type of element adapted to reality, and ready to translate. The relation with type is n to 1');
INSERT INTO db_cat_columns VALUES (910, 170, 'event_table', 'varchar(18)', 'Name of the table with additional information of feature (operation information). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (920, 180, 'id', 'varchar(30)', 'ID of arc''s material catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (930, 180, 'descript', 'varchar(512)', 'Field to store additional information about the material');
INSERT INTO db_cat_columns VALUES (940, 180, 'roughness', 'Numeric(12,4)', 'Roughness of the material.');
INSERT INTO db_cat_columns VALUES (950, 180, 'link', 'varchar(512)', 'Field to store link to information related to the arc''s material catalog.');
INSERT INTO db_cat_columns VALUES (960, 180, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the arc''s material catalog.');
INSERT INTO db_cat_columns VALUES (970, 180, 'picture', 'varchar(512)', 'Picture related to the material.');
INSERT INTO db_cat_columns VALUES (980, 190, 'id', 'varchar(30)', 'ID of node''s material catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (990, 190, 'descript', 'varchar(512)', 'Field to store additional information about the material.');
INSERT INTO db_cat_columns VALUES (1000, 190, 'roughness', 'Numeric(12,4)', 'Roughness of the material.');
INSERT INTO db_cat_columns VALUES (1010, 190, 'link', 'varchar(512)', 'Field to store link to information related to the node''s material catalog.');
INSERT INTO db_cat_columns VALUES (1020, 190, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the node''s material catalog.');
INSERT INTO db_cat_columns VALUES (1030, 190, 'picture', 'varchar(512)', 'Picture of a material.');
INSERT INTO db_cat_columns VALUES (1040, 200, 'id', 'varchar(30)', 'ID of the arc catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (1050, 200, 'arctype_id', 'varchar(16)', 'Type of arc identifier related to the primary key of arc_type table.');
INSERT INTO db_cat_columns VALUES (1060, 200, 'matcat_id', 'varchar(30)', 'Material catalog identifier.');
INSERT INTO db_cat_columns VALUES (1070, 200, 'pnom', 'varchar(16)', 'Nominal pressure.');
INSERT INTO db_cat_columns VALUES (1080, 200, 'dnom', 'varchar(16)', 'Nominal diameter.');
INSERT INTO db_cat_columns VALUES (1090, 200, 'dint', 'Numeric(12,5)', 'Internal diameter of the arc');
INSERT INTO db_cat_columns VALUES (1100, 200, 'dext', 'Numeric(12,5)', 'Diameter exterior.');
INSERT INTO db_cat_columns VALUES (1110, 200, 'descript', 'varchar(512)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_columns VALUES (1120, 200, 'link', 'varchar(512)', 'Field to store link to information related to the arc catalog.');
INSERT INTO db_cat_columns VALUES (1130, 200, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the arc catalog.');
INSERT INTO db_cat_columns VALUES (1140, 200, 'picture', 'varchar(512)', 'Picture of an arc.');
INSERT INTO db_cat_columns VALUES (1150, 200, 'svg', 'varchar(50)', 'Symbology.');
INSERT INTO db_cat_columns VALUES (1160, 200, 'z1', 'Numeric(12,2)', 'Distance from the bottom of the trench of conduit to the top of the conduit''s protection material');
INSERT INTO db_cat_columns VALUES (1170, 200, 'z2', 'Numeric(12,2)', 'Distance from the top of the conduit to the top of the conduit''s protection material');
INSERT INTO db_cat_columns VALUES (1180, 200, 'width', 'Numeric(12,2)', 'Maximum width of the  conduit''s section (by point of view of constructive issues). Often is the same value that (geom2 + 2*bulk)');
INSERT INTO db_cat_columns VALUES (1190, 200, 'area', 'Numeric(12,4)', 'Full area of the conduit''s section');
INSERT INTO db_cat_columns VALUES (1200, 200, 'estimated_depth', 'Numeric(12,2)', 'In case no data of depth of conduit this depth is used to estimate the budget.');
INSERT INTO db_cat_columns VALUES (1210, 200, 'bulk', 'Numeric(12,2)', 'Bulk of the conduit. It consider the same bulk for all the walls of the conduit');
INSERT INTO db_cat_columns VALUES (1220, 200, 'cost_unit', 'Varchar(3)', 'Units measurements. (Only ml or ut. are allowed values). Sometimes the budget of an arc could be treated as unitary price (applied using length=1)');
INSERT INTO db_cat_columns VALUES (1230, 200, 'cost', 'varchar(16)', '(Price_compost.id) of full cost of conduit''s subministration and installation');
INSERT INTO db_cat_columns VALUES (1240, 200, 'm2bottom_cost', 'varchar(16)', '(Price_compost.id) of full cost of bottom''s trench arrangement');
INSERT INTO db_cat_columns VALUES (1250, 200, 'm3protec_cost', 'varchar(16)', '(Price_compost.id) of full cost of conduit''s proteccion material');
INSERT INTO db_cat_columns VALUES (1260, 210, 'id', 'varchar(30)', 'ID of the node catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (1270, 210, 'nodetype_id', 'varchar(16)', 'ID of the related node type.');
INSERT INTO db_cat_columns VALUES (1280, 210, 'matcat_id', 'varchar(30)', 'ID of the related material type.');
INSERT INTO db_cat_columns VALUES (1290, 210, 'pnom', 'varchar(16)', 'Nominal pressure.');
INSERT INTO db_cat_columns VALUES (1300, 210, 'dnom', 'varchar(16)', 'Nominal diameter.');
INSERT INTO db_cat_columns VALUES (1310, 210, 'dint', 'Numeric(12,5)', 'Internal diameter of the node');
INSERT INTO db_cat_columns VALUES (1320, 210, 'geometry', 'varchar(30)', 'Geometry of the node.');
INSERT INTO db_cat_columns VALUES (1330, 210, 'descript', 'varchar(512)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_columns VALUES (1340, 210, 'link', 'varchar(512)', 'Field to store link to information related to the node catalog.');
INSERT INTO db_cat_columns VALUES (1350, 210, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the node catalog.');
INSERT INTO db_cat_columns VALUES (1360, 210, 'picture', 'varchar(512)', 'Picture of an arc.');
INSERT INTO db_cat_columns VALUES (1370, 210, 'svg', 'varchar(50)', 'Pictogram of the symbology.');
INSERT INTO db_cat_columns VALUES (1380, 210, 'estimated_depth', 'Numeric(12,2)', 'In case no data of depth of conduit this depth is used to estimate the budget.');
INSERT INTO db_cat_columns VALUES (1390, 210, 'cost_unit', 'Varchar(3)', 'Units measurements. (Only ml or ut. are allowed values). Sometimes the budget of an node could be treated as lineal price (using the depth as length to compute the cost)');
INSERT INTO db_cat_columns VALUES (1400, 210, 'cost', 'varchar(16)', '(Price_compost.id) of full cost of conduit''s subministration and installation');
INSERT INTO db_cat_columns VALUES (1410, 220, 'id', 'varchar(30)', 'ID of element''s material catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (1420, 220, 'descript', 'varchar(512)', 'Field to store additional information about the material.');
INSERT INTO db_cat_columns VALUES (1430, 220, 'link', 'varchar(512)', 'Field to store link to information related to the element''s material catalog.');
INSERT INTO db_cat_columns VALUES (1440, 220, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the element''s material catalog.');
INSERT INTO db_cat_columns VALUES (1450, 220, 'picture', 'varchar(512)', 'Picture of the material.');
INSERT INTO db_cat_columns VALUES (1460, 230, 'id', 'varchar(30)', 'ID of the element catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (1470, 230, 'elementtype_id', 'varchar(30)', 'Element type identifier.');
INSERT INTO db_cat_columns VALUES (1480, 230, 'matcat_id', 'varchar(30)', 'Material catalog identifier.');
INSERT INTO db_cat_columns VALUES (1490, 230, 'geometry', 'varchar(30)', 'Geometry of the element.');
INSERT INTO db_cat_columns VALUES (1500, 230, 'descript', 'varchar(512)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_columns VALUES (1510, 230, 'link', 'varchar(512)', 'Field to store link to information related to the element catalog.');
INSERT INTO db_cat_columns VALUES (1520, 230, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the element catalog.');
INSERT INTO db_cat_columns VALUES (1530, 230, 'picture', 'varchar(512)', 'Picture of the element.');
INSERT INTO db_cat_columns VALUES (1540, 230, 'svg', 'varchar(50)', 'Pictogram of the symbology.');
INSERT INTO db_cat_columns VALUES (1550, 240, 'id', 'varchar(30)', 'ID of the connect catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (1560, 240, 'type', 'varchar(16)', 'Type of the connect.');
INSERT INTO db_cat_columns VALUES (1570, 240, 'matcat_id', 'varchar(16)', 'Material catalog identifier.');
INSERT INTO db_cat_columns VALUES (1580, 240, 'pnom', 'varchar(16)', 'Nominal pressure.');
INSERT INTO db_cat_columns VALUES (1590, 240, 'dnom', 'varchar(16)', 'Nominal diameter.');
INSERT INTO db_cat_columns VALUES (1600, 240, 'geometry', 'varchar(30)', 'Geometry of the connect.');
INSERT INTO db_cat_columns VALUES (1610, 240, 'descript', 'varchar(512)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_columns VALUES (1620, 240, 'link', 'varchar(512)', 'Field to store link to information related to the connect catalog.');
INSERT INTO db_cat_columns VALUES (1630, 240, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the connect catalog.');
INSERT INTO db_cat_columns VALUES (1640, 240, 'picture', 'varchar(512)', 'Picture of the connect.');
INSERT INTO db_cat_columns VALUES (1650, 240, 'svg', 'varchar(50)', 'Pictogram of the symbology.');
INSERT INTO db_cat_columns VALUES (1660, 250, 'id', 'varchar(30)', 'ID of the soil. Primary key.');
INSERT INTO db_cat_columns VALUES (1670, 250, 'descript', 'varchar(512)', 'Description of a soil type. Additional information');
INSERT INTO db_cat_columns VALUES (1680, 250, 'link', 'varchar(512)', 'Field to store link to information related to the soil catalog.');
INSERT INTO db_cat_columns VALUES (1690, 250, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the soil catalog.');
INSERT INTO db_cat_columns VALUES (1700, 250, 'picture', 'varchar(512)', 'Picture of the soil');
INSERT INTO db_cat_columns VALUES (1710, 250, 'y_param', 'Numeric(5,2)', 'Slope of the wall of the trench. On the expression (a:y_param) ''a'' is the horitzontal distance and y_param is the vertical distance of the slope of the trench.');
INSERT INTO db_cat_columns VALUES (1720, 250, 'b', 'Numeric(5,2)', 'Value of the distance from conduit to the wall of the trenchline, measured on the bottom''s trench.');
INSERT INTO db_cat_columns VALUES (1730, 250, 'trenchlining', 'Numeric(3,2)', 'Percentage of the trench where with trenchlining');
INSERT INTO db_cat_columns VALUES (1740, 250, 'm3exc_cost', 'Varchar(16)', 'Cost of excavation ( cubic meter)');
INSERT INTO db_cat_columns VALUES (1750, 250, 'm3fill_cost', 'Varchar(16)', 'Cost of filling the ( cubic meter)');
INSERT INTO db_cat_columns VALUES (1760, 250, 'm3excess_cost', 'Varchar(16)', 'Cost of manage the excess of soil from the trench (cubic meter)');
INSERT INTO db_cat_columns VALUES (1770, 250, 'm2trenchl_cost', 'Varchar(16)', 'Cost of the trenchiling (square meter)');
INSERT INTO db_cat_columns VALUES (1780, 260, 'id', 'varchar(30)', 'ID of the builder. Primary key.');
INSERT INTO db_cat_columns VALUES (1790, 260, 'descript', 'varchar(512)', 'Description of the builder. Additional information');
INSERT INTO db_cat_columns VALUES (1800, 260, 'link', 'varchar(512)', 'Field to store link to information related to the builder catalog.');
INSERT INTO db_cat_columns VALUES (1810, 260, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the builder catalog.');
INSERT INTO db_cat_columns VALUES (1820, 260, 'picture', 'varchar(512)', 'Picture of the builder.');
INSERT INTO db_cat_columns VALUES (1830, 270, 'id', 'varchar(30)', 'ID of the work. Primary key.');
INSERT INTO db_cat_columns VALUES (1840, 270, 'descript', 'varchar(512)', 'Description of the construction work. Additional information');
INSERT INTO db_cat_columns VALUES (1850, 270, 'link', 'varchar(512)', 'Field to store link to information related to the work catalog.');
INSERT INTO db_cat_columns VALUES (1860, 270, 'picture', 'varchar(512)', 'Picture of the construction work.');
INSERT INTO db_cat_columns VALUES (1870, 280, 'id', 'varchar(30)', 'ID of the owner. Primary key.');
INSERT INTO db_cat_columns VALUES (1880, 280, 'descript', 'varchar(512)', 'Description of the owner.');
INSERT INTO db_cat_columns VALUES (1890, 280, 'link', 'varchar(512)', 'Field to store link to information related to the owner catalog.');
INSERT INTO db_cat_columns VALUES (1900, 280, 'picture', 'varchar(512)', 'Picture of the owner.');
INSERT INTO db_cat_columns VALUES (1910, 290, 'id', 'Varchar(16)', 'ID of the pavement. Primary key.');
INSERT INTO db_cat_columns VALUES (1920, 290, 'descript', 'text', 'Description of the pavement. Additional information');
INSERT INTO db_cat_columns VALUES (1930, 290, 'link', 'varchar(512)', 'Field to store link to information related to the pavement.');
INSERT INTO db_cat_columns VALUES (1940, 290, 'picture', 'varchar(512)', 'Picture of the pavement.');
INSERT INTO db_cat_columns VALUES (1950, 290, 'thickness', 'Numeric(12,2)', 'Value of pavement thickness.');
INSERT INTO db_cat_columns VALUES (1960, 290, 'm2_cost', 'Varchar(16)', '(Price_compost.id) of the full cost of pavement demolition and reconstruction.');
INSERT INTO db_cat_columns VALUES (1970, 300, 'id', 'Varchar(18)', 'ID of the press zone. Primary key.');
INSERT INTO db_cat_columns VALUES (1980, 300, 'descript', 'text', 'Description of the pressure zone. Additional information');
INSERT INTO db_cat_columns VALUES (1990, 300, 'link', 'Varchar(512)', 'Field to store link to information related to the pressure zone.');
INSERT INTO db_cat_columns VALUES (2000, 300, 'picture', 'Varchar(512)', 'Picture of the pressure zone.');
INSERT INTO db_cat_columns VALUES (2010, 310, 'id', 'varchar(20)', 'ID of the management type category. Primary key.');
INSERT INTO db_cat_columns VALUES (2020, 310, 'observ', 'varchar(50)', 'Observations related to type category. Additional information');
INSERT INTO db_cat_columns VALUES (2030, 320, 'id', 'varchar(20)', 'ID of the management type of fluid. Primary key.');
INSERT INTO db_cat_columns VALUES (2040, 320, 'observ', 'varchar(50)', 'Observations related to fluid type. Additional information');
INSERT INTO db_cat_columns VALUES (2050, 330, 'id', 'varchar(20)', 'ID of the management location type. Primary key.');
INSERT INTO db_cat_columns VALUES (2060, 330, 'observ', 'varchar(50)', 'Observations related to type location. Additional information');
INSERT INTO db_cat_columns VALUES (2070, 340, 'id', 'varchar(20)', 'ID of the connect type. Primary key.');
INSERT INTO db_cat_columns VALUES (2080, 340, 'observ', 'varchar(50)', 'Observations related to connect type. Additional information');
INSERT INTO db_cat_columns VALUES (2090, 350, 'sector_id', 'varchar(30)', 'Sector identifier. Primary key');
INSERT INTO db_cat_columns VALUES (2100, 350, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (2110, 350, 'the_geom', 'public.geometry', 'Polygon geometry field');
INSERT INTO db_cat_columns VALUES (2120, 360, 'node_id', 'varchar(16)', 'Node identifier. Primary key');
INSERT INTO db_cat_columns VALUES (2130, 360, 'elevation', 'Numeric(12,4)', 'Elevation of the node in ft or m.');
INSERT INTO db_cat_columns VALUES (2140, 360, 'depth', 'Numeric(12,4)', 'Depth of the node in ft or m.');
INSERT INTO db_cat_columns VALUES (2150, 360, 'nodecat_id', 'varchar(30)', 'Node catalog identifier related to the primary key of cat_node table');
INSERT INTO db_cat_columns VALUES (2160, 360, 'epa_type', 'varchar(16)', 'EPANET behaviour of the node.');
INSERT INTO db_cat_columns VALUES (2170, 360, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (2180, 360, 'state', 'character varying(16)', 'Domain value of node''s state.');
INSERT INTO db_cat_columns VALUES (2190, 360, 'annotation', 'character varying(254)', 'Annotations related to node. Additional information.');
INSERT INTO db_cat_columns VALUES (2200, 360, 'observ', 'character varying (254)', 'Observations related to node. Additional information');
INSERT INTO db_cat_columns VALUES (2210, 360, 'comment', 'character varying (254)', 'Comments related to node. Additional information');
INSERT INTO db_cat_columns VALUES (2220, 360, 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area)');
INSERT INTO db_cat_columns VALUES (2230, 360, 'soilcat_id', 'varchar(16)', 'ID of the soil related to the node.');
INSERT INTO db_cat_columns VALUES (2240, 360, 'category_type', 'varchar(18)', 'ID of the category type related to node.');
INSERT INTO db_cat_columns VALUES (2250, 360, 'fluid_type', 'varchar(18)', 'ID of the fluid type related to node.');
INSERT INTO db_cat_columns VALUES (2260, 360, 'location_type', 'varchar(18)', 'ID of the location type related to node.');
INSERT INTO db_cat_columns VALUES (2270, 360, 'workcat_id', 'varchar(255)', 'ID of the construction work related to node.');
INSERT INTO db_cat_columns VALUES (2280, 360, 'buildercat_id', 'varchar(30)', 'ID of the builder related to node.');
INSERT INTO db_cat_columns VALUES (2290, 360, 'builtdate', 'timestamp(6)', 'ID of the construction date related to node.');
INSERT INTO db_cat_columns VALUES (2300, 360, 'ownercat_id', 'varchar(30)', 'ID of the owner related to node.');
INSERT INTO db_cat_columns VALUES (2310, 360, 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2320, 360, 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2330, 360, 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2340, 360, 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (2350, 360, 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_columns VALUES (2360, 360, 'link', 'character varying(512)', 'Field to store link to information related to the node.');
INSERT INTO db_cat_columns VALUES (2370, 360, 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_columns VALUES (2380, 360, 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_columns VALUES (2390, 370, 'arc_id', 'varchar(16)', 'Arc identifier. Primary key');
INSERT INTO db_cat_columns VALUES (2400, 370, 'node_1', 'varchar(16)', 'Node located at the beginning of the arc.');
INSERT INTO db_cat_columns VALUES (2410, 370, 'node_2', 'varchar(16)', 'Node located at the end of the arc.');
INSERT INTO db_cat_columns VALUES (2420, 370, 'arccat_id', 'varchar(30)', 'Arc catalog identifier related to the primary key of arc table.');
INSERT INTO db_cat_columns VALUES (2430, 370, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (2440, 370, 'epa_type', 'varchar(16)', 'EPANET behaviour of the arc. (pipe or undefined)');
INSERT INTO db_cat_columns VALUES (2450, 370, 'state', 'character varying(16)', 'Domain value of arc''s state (on service, planified, obsolete)');
INSERT INTO db_cat_columns VALUES (2460, 370, 'annotation', 'character varying(254)', 'Annotations related to arc. Additional information');
INSERT INTO db_cat_columns VALUES (2470, 370, 'observ', 'character varying (254)', 'Observations related to arc. Additional information');
INSERT INTO db_cat_columns VALUES (2480, 370, 'comment', 'character varying (254)', 'Comments related to arc. Additional information');
INSERT INTO db_cat_columns VALUES (2490, 370, 'custom_length', 'Numeric(12,2)', 'Customized length, not from GIS geometry. Used to customize the length of the element');
INSERT INTO db_cat_columns VALUES (2500, 370, 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area)');
INSERT INTO db_cat_columns VALUES (2510, 370, 'soilcat_id', 'varchar(16)', 'ID of the soil related to the arc');
INSERT INTO db_cat_columns VALUES (2520, 370, 'category_type', 'varchar(18)', 'ID of the category type related to arc');
INSERT INTO db_cat_columns VALUES (2530, 370, 'fluid_type', 'varchar(18)', 'ID of the fluid type related to arc');
INSERT INTO db_cat_columns VALUES (2540, 370, 'location_type', 'varchar(18)', 'ID of the location type related to arc');
INSERT INTO db_cat_columns VALUES (2550, 370, 'workcat_id', 'varchar(255)', 'ID of the construction work related to arc');
INSERT INTO db_cat_columns VALUES (2560, 370, 'buildercat_id', 'varchar(30)', 'ID of the builder related to arc');
INSERT INTO db_cat_columns VALUES (2570, 370, 'builtdate', 'timestamp(6)', 'ID of the construction date related to arc.');
INSERT INTO db_cat_columns VALUES (2580, 370, 'ownercat_id', 'varchar(30)', 'ID of the owner related to arc.');
INSERT INTO db_cat_columns VALUES (2590, 370, 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2600, 370, 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2610, 370, 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2620, 370, 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (2630, 370, 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_columns VALUES (2640, 370, 'link', 'character varying (512)', 'Field to store URL or folder path with more information related to the arc');
INSERT INTO db_cat_columns VALUES (2650, 370, 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_columns VALUES (2660, 370, 'the_geom', 'public.geometry', 'Linestring geometry field');
INSERT INTO db_cat_columns VALUES (2670, 380, 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area). Primary key.');
INSERT INTO db_cat_columns VALUES (2680, 380, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (2690, 380, 'presszonecat_id', 'Varchar(30)', 'Identifier or the pressure zone where the dma is located');
INSERT INTO db_cat_columns VALUES (2700, 380, 'descript', 'varchar(255)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (2710, 380, 'observ', 'character varying (512)', 'Observations related to dma. Additional information');
INSERT INTO db_cat_columns VALUES (2720, 380, 'the_geom', 'public.geometry', 'Polygon geometry field');
INSERT INTO db_cat_columns VALUES (2730, 390, 'connec_id', 'varchar(16)', 'Connect identifier. Primary key. Often connec is the postnumber address of the building. Sometimes one connec is related to one hydrometer, some times not.');
INSERT INTO db_cat_columns VALUES (2740, 390, 'elevation', 'Numeric(12,4)', 'Elevation of the connect in ft or m.');
INSERT INTO db_cat_columns VALUES (2750, 390, 'depth', 'Numeric(12,4)', 'Depth of the connect in ft or m.');
INSERT INTO db_cat_columns VALUES (2760, 390, 'connecat_id', 'varchar(30)', 'Connect catalog identifier');
INSERT INTO db_cat_columns VALUES (2770, 390, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (2780, 390, 'code', 'varchar(30)', 'Code of the connec from the comercial database or something equivalent');
INSERT INTO db_cat_columns VALUES (2790, 390, 'n_hydrometer', 'int4,', 'Number of hydrometers related to the connec (From 1 to n).');
INSERT INTO db_cat_columns VALUES (2800, 390, 'demand', 'Numeric(12,8)', 'Demand for water by the main category of consumer. Measured in the current flow units');
INSERT INTO db_cat_columns VALUES (2810, 390, 'state', 'character varying(16)', 'Domain value of connect''s state.');
INSERT INTO db_cat_columns VALUES (2820, 390, 'annotation', 'character varying(254)', 'Annotations related to connect. Additional information.');
INSERT INTO db_cat_columns VALUES (2830, 390, 'observ', 'character varying (254)', 'Observations related to connect. Additional information');
INSERT INTO db_cat_columns VALUES (2840, 390, 'comment', 'character varying (254)', 'Comments related to connect. Additional information');
INSERT INTO db_cat_columns VALUES (2850, 390, 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_columns VALUES (2860, 390, 'dma_id', 'varchar(30)', 'ID of the management area related to the connect (District Meter Area)');
INSERT INTO db_cat_columns VALUES (2870, 390, 'soilcat_id', 'varchar(16)', 'ID of the soil related to the connect.');
INSERT INTO db_cat_columns VALUES (2880, 390, 'category_type', 'varchar(18)', 'ID of the category type related to connct.');
INSERT INTO db_cat_columns VALUES (2890, 390, 'fluid_type', 'varchar(18)', 'ID of the fluid type related to connect.');
INSERT INTO db_cat_columns VALUES (2900, 390, 'location_type', 'varchar(18)', 'ID of the location type related to connect.');
INSERT INTO db_cat_columns VALUES (2910, 390, 'workcat_id', 'varchar(255)', 'ID of the construction work related to connect.');
INSERT INTO db_cat_columns VALUES (2920, 390, 'buildercat_id', 'varchar(30)', 'ID of the builder related to connect.');
INSERT INTO db_cat_columns VALUES (2930, 390, 'builtdate', 'varchar(12)', 'ID of the construction date related to connect.');
INSERT INTO db_cat_columns VALUES (2940, 390, 'ownercat_id', 'varchar(30)', 'ID of the owner related to connect.');
INSERT INTO db_cat_columns VALUES (2950, 390, 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2960, 390, 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2970, 390, 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2980, 390, 'streetaxis_id', 'Varchar(16)', 'Street identifier.');
INSERT INTO db_cat_columns VALUES (2990, 390, 'postnumber', 'Varchar(16)', 'Post code number.');
INSERT INTO db_cat_columns VALUES (31020, 10190, 'exec_end', 'timestamp', NULL);
INSERT INTO db_cat_columns VALUES (3000, 390, 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (3010, 390, 'link', 'character varying (512)', 'Field to store link to information related to the connect.');
INSERT INTO db_cat_columns VALUES (3020, 390, 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_columns VALUES (3030, 390, 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_columns VALUES (3040, 400, 'vnode_id', 'varchar(16)', 'Virtual node identifier. Primary key');
INSERT INTO db_cat_columns VALUES (3050, 400, 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_columns VALUES (3060, 400, 'userdefined_pos', 'boolean', 'Column to control when the user have moved the vnode (custom position, not automatic position). The goal of this control is dissable the posibility to ovewrite the vnode position if');
INSERT INTO db_cat_columns VALUES (3070, 400, 'vnode_type', 'varchar(30)', 'Virtual node type.');
INSERT INTO db_cat_columns VALUES (3080, 400, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (3090, 400, 'state', 'character varying (16)', 'Domain value of virtual node''s state.');
INSERT INTO db_cat_columns VALUES (3100, 400, 'annotation', 'character varying (254)', 'Annotations related to virtual node. Additional information.');
INSERT INTO db_cat_columns VALUES (3110, 400, 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_columns VALUES (3120, 410, 'link_id', 'varchar(16)', 'Link identifier. Primary key');
INSERT INTO db_cat_columns VALUES (3130, 410, 'the_geom', 'public.geometry', 'Linestring geometry field');
INSERT INTO db_cat_columns VALUES (3140, 410, 'connec_id', 'varchar(16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_columns VALUES (3150, 410, 'vnode_id', 'varchar(16)', 'Virtual node identifier.');
INSERT INTO db_cat_columns VALUES (3160, 410, 'custom_length', 'Numeric(12,3)', 'Custom length of the link.');
INSERT INTO db_cat_columns VALUES (3170, 420, 'node_id', 'varchar(16)', 'Junction identifier.');
INSERT INTO db_cat_columns VALUES (3180, 420, 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_columns VALUES (10, 10, 'id', 'Varchar (20)', 'ID of a street type. Primary key.');
INSERT INTO db_cat_columns VALUES (20, 10, 'observ', 'Varchar (50)', 'Observations related to street type. Additional information');
INSERT INTO db_cat_columns VALUES (30, 20, 'id', 'Varchar(16)', 'ID of a street. Primary key.');
INSERT INTO db_cat_columns VALUES (40, 20, 'type', 'Varchar(18)', 'Street type.');
INSERT INTO db_cat_columns VALUES (5260, 790, 'head', 'varchar(16)', 'Head in ft or m.');
INSERT INTO db_cat_columns VALUES (6080, 1130, 'id', 'int4', 'Primary key for table.');
INSERT INTO db_cat_columns VALUES (3190, 430, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (3200, 430, 'vmax', 'Numeric(12,4)', 'Maximum volumen of the tank');
INSERT INTO db_cat_columns VALUES (3210, 430, 'area', 'Numeric(12,4)', 'Surface of the tank');
INSERT INTO db_cat_columns VALUES (3220, 430, 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_columns VALUES (3230, 440, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (3240, 440, 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_columns VALUES (3250, 450, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (3260, 450, 'type', 'varchar(16)', 'Valve type identifier.');
INSERT INTO db_cat_columns VALUES (3270, 450, 'opened', 'boolean', 'Configuration parameter used on fct_min_cut function');
INSERT INTO db_cat_columns VALUES (3290, 450, 'broken', 'boolean', 'Configuration parameter used on fct_min_cut function');
INSERT INTO db_cat_columns VALUES (3300, 450, 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_columns VALUES (3310, 460, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (3320, 460, 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_columns VALUES (3330, 470, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (3340, 470, 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_columns VALUES (3350, 480, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (3360, 480, 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_columns VALUES (3390, 500, 'arc_id', 'varchar(16)', 'Additional information about the valve type.');
INSERT INTO db_cat_columns VALUES (3400, 500, 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_columns VALUES (3410, 510, 'element_id', 'varchar(16)', 'Element identifier. Primary key');
INSERT INTO db_cat_columns VALUES (3420, 510, 'elementcat_id', 'varchar(30)', 'Element catalog identifier');
INSERT INTO db_cat_columns VALUES (3430, 510, 'state', 'character varying (16)', 'Domain value of element''s state.');
INSERT INTO db_cat_columns VALUES (3440, 510, 'annotation', 'character varying (254)character varying (254)character varying (254)character varying (254)character varying (254)', 'Annotations related to element. Additional information.');
INSERT INTO db_cat_columns VALUES (3450, 510, 'observ', 'character varying (254)', 'Observations related to element. Additional information');
INSERT INTO db_cat_columns VALUES (3460, 510, 'comment', 'character varying (254)', 'Comments related to element. Additional information');
INSERT INTO db_cat_columns VALUES (3470, 510, 'location_type', 'varchar(18)', 'ID of the location type related to element.');
INSERT INTO db_cat_columns VALUES (3480, 510, 'workcat_id', 'varchar(255)', 'ID of the construction work related to element.');
INSERT INTO db_cat_columns VALUES (3490, 510, 'buildercat_id', 'varchar(30)', 'ID of the builder related to element.');
INSERT INTO db_cat_columns VALUES (3500, 510, 'builtdate', 'timestamp(6)', 'ID of the construction date related to element.');
INSERT INTO db_cat_columns VALUES (3510, 510, 'ownercat_id', 'varchar(30)', 'ID of the owner related to element.');
INSERT INTO db_cat_columns VALUES (3520, 510, 'enddate', 'timestamp(6)', 'Expiration date. Expected or real. The goal of this column is to enable the posilibity to have information of all the deprecated elements of the infraestructure without delete it');
INSERT INTO db_cat_columns VALUES (3530, 510, 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_columns VALUES (3540, 510, 'link', 'character varying (512)', 'Field to store link to information related to the element');
INSERT INTO db_cat_columns VALUES (3550, 510, 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_columns VALUES (3560, 520, 'id', 'varchar(16)', 'Element related to arc identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (3570, 520, 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_columns VALUES (3580, 520, 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of the arc table');
INSERT INTO db_cat_columns VALUES (3590, 530, 'id', 'varchar(16)', 'Element related to node identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (3600, 530, 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_columns VALUES (3610, 530, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (3620, 540, 'id', 'varchar(16)', 'Element related to connect identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (3630, 540, 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_columns VALUES (3640, 540, 'connec_id', 'varchar(16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_columns VALUES (3650, 550, 'id', 'varchar(16)', 'ID of value state. Primary key.');
INSERT INTO db_cat_columns VALUES (3660, 550, 'observ', 'varchar(254)', 'Observations related to state. Additional information');
INSERT INTO db_cat_columns VALUES (3670, 560, 'id', 'varchar(16)', 'ID of verification status. Primary key.');
INSERT INTO db_cat_columns VALUES (3680, 560, 'observ', 'varchar(254)', 'Observations related to verification status Additional information');
INSERT INTO db_cat_columns VALUES (3690, 570, 'id', 'varchar(16)', 'ID of value yes/no. Primary key.');
INSERT INTO db_cat_columns VALUES (3700, 570, 'observ', 'varchar(254)', 'Observations related to yes/no value Additional information');
INSERT INTO db_cat_columns VALUES (3710, 580, 'id', 'varchar(16)', 'ID of value man selector valve. Primary key.');
INSERT INTO db_cat_columns VALUES (3720, 1270, 'node_id', 'varchar(16)', 'Temporary node identifier. Primary key');
INSERT INTO db_cat_columns VALUES (3730, 1270, 'elevation', 'numeric(12,4),', 'Elevation of the temporary node in ft or m.');
INSERT INTO db_cat_columns VALUES (3740, 1270, 'depth', 'numeric(12,4),', 'Depth of the temporary node in ft or m.');
INSERT INTO db_cat_columns VALUES (3750, 1270, 'nodecat_id', 'varchar(30)', 'Node catalog identifier related to the primary key of cat_node table');
INSERT INTO db_cat_columns VALUES (3760, 1270, 'epa_type', 'varchar(16)', 'EPANET behaviour of the node.');
INSERT INTO db_cat_columns VALUES (3770, 1270, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (3780, 1270, 'state', 'character varying (16)', 'Domain value of node''s state.');
INSERT INTO db_cat_columns VALUES (3790, 1270, 'annotation', 'character varying (254)', 'Annotations related to temporary node. Additional information.');
INSERT INTO db_cat_columns VALUES (3800, 1270, 'observ', 'character varying (254)', 'Observations related to temporary node. Additional information');
INSERT INTO db_cat_columns VALUES (3810, 1270, 'comment', 'character varying (254)', 'Comments related to temporary node. Additional information');
INSERT INTO db_cat_columns VALUES (3820, 1270, 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_columns VALUES (3830, 1270, 'link', 'character varying (512)', 'Field to store link to information related to the temporary node.');
INSERT INTO db_cat_columns VALUES (3840, 1270, 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_columns VALUES (3850, 1270, 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_columns VALUES (3860, 1280, 'arc_id', 'varchar(16)', 'Temporary arc identifier. Primary key');
INSERT INTO db_cat_columns VALUES (3870, 1280, 'node_1', 'varchar(16)', 'Node located at the beginning of the temporary arc.');
INSERT INTO db_cat_columns VALUES (3880, 1280, 'node_2', 'varchar(16)', 'Node located at the end of the temporary arc.');
INSERT INTO db_cat_columns VALUES (3890, 1280, 'arccat_id', 'varchar(30)', 'Arc catalog identifier related to the primary key of arc table.');
INSERT INTO db_cat_columns VALUES (3900, 1280, 'epa_type', 'varchar(16)', 'EPANET behaviour of the temporary arc. (pipe or undefined)');
INSERT INTO db_cat_columns VALUES (3910, 1280, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (3920, 1280, 'state', 'character varying (16)', 'Domain value of temporary arc''s state (on service, planified, obsolete)');
INSERT INTO db_cat_columns VALUES (3930, 1280, 'annotation', 'character varying (254)', 'Annotations related to temporary arc. Additional information.');
INSERT INTO db_cat_columns VALUES (3940, 1280, 'observ', 'character varying (254)', 'Observations related to temporary arc. Additional information');
INSERT INTO db_cat_columns VALUES (3950, 1280, 'comment', 'character varying (254)', 'Comments related to temporary arc. Additional information');
INSERT INTO db_cat_columns VALUES (3960, 1280, 'custom_length', 'Numeric(12,2)', 'Customized length, not from GIS geometry. Used to customize the length of the element');
INSERT INTO db_cat_columns VALUES (3970, 1280, 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_columns VALUES (3980, 1280, 'link', 'character varying (512)', 'Field to store link to information related to the temporary arc.');
INSERT INTO db_cat_columns VALUES (3990, 1280, 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_columns VALUES (4000, 1280, 'the_geom', 'public.geometry', 'Linestring geometry field');
INSERT INTO db_cat_columns VALUES (4070, 860, 'id', 'varchar(16)', 'Value domain of EPANET arc types (PIPE, PUMP or VALVE)');
INSERT INTO db_cat_columns VALUES (4080, 870, 'id', 'varchar(16)', 'Value domain of EPANET node types.');
INSERT INTO db_cat_columns VALUES (4090, 590, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information. See definition and remark''s section for more information.');
INSERT INTO db_cat_columns VALUES (4100, 590, 'text', 'varchar(254)', 'Text options Backdrop.');
INSERT INTO db_cat_columns VALUES (4110, 600, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (4120, 600, 'text', 'varchar(254)', 'Â Controls text. For more information, see appendix c of epanet user manual.');
INSERT INTO db_cat_columns VALUES (4130, 610, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (4140, 610, 'curve_id', 'varchar(16)', 'Name assigned to table.');
INSERT INTO db_cat_columns VALUES (4150, 610, 'x_value', 'Numeric(12,4)', 'An x (independent variable) value.');
INSERT INTO db_cat_columns VALUES (4160, 610, 'y_value', 'numeric(12,4)', 'An y (independent variable) value.');
INSERT INTO db_cat_columns VALUES (4170, 620, 'id', 'varchar(16)', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information. See definition and remark''s section for more information.');
INSERT INTO db_cat_columns VALUES (4180, 620, 'curve_type', 'varchar(20)', 'Curve types include PUMP, EFFICIENCY, VOLUME, and HEADLOSS.');
INSERT INTO db_cat_columns VALUES (4190, 630, 'id', 'int4', 'Row id. Unique value needed.');
INSERT INTO db_cat_columns VALUES (4200, 630, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (4210, 630, 'demand', 'Numeric(12,6)', 'Base demand (flow units).');
INSERT INTO db_cat_columns VALUES (4220, 630, 'pattern_id', 'varchar(16)', 'Demand pattern ID.');
INSERT INTO db_cat_columns VALUES (4230, 630, 'deman_type', 'varchar(18)', 'Name of demand category preceded by a semicolon.');
INSERT INTO db_cat_columns VALUES (4240, 640, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (4250, 640, 'coef', 'numeric', 'Flow coefficient, flow units at 1 psi (1 meter) pressure drop.');
INSERT INTO db_cat_columns VALUES (4260, 650, 'id', 'int4', 'Row id. Unique value needed.');
INSERT INTO db_cat_columns VALUES (4270, 650, 'pump_id', 'Varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (4280, 650, 'parameter', 'varchar(20)', 'Options parameters. Must be PRICE, PATTERN or EFFIC');
INSERT INTO db_cat_columns VALUES (4290, 650, 'value', 'varchar(30)', 'Value of the parameter selected');
INSERT INTO db_cat_columns VALUES (4300, 660, 'id', 'int4', 'Row id. Unique value needed.');
INSERT INTO db_cat_columns VALUES (4310, 660, 'energ_type', 'varchar(18)', 'Energy type. Must be GLOBAL or DEMAND CHARGE');
INSERT INTO db_cat_columns VALUES (4320, 660, 'parameter', 'varchar(20)', 'Â Options parameters of energy applied to global features');
INSERT INTO db_cat_columns VALUES (4330, 660, 'value', 'varchar(30)', 'Values for the selected parameter.');
INSERT INTO db_cat_columns VALUES (4340, 670, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (4350, 670, 'demand', 'Numeric(12,6)', 'The spot elevation junction. (ft or m).');
INSERT INTO db_cat_columns VALUES (4360, 670, 'pattern_id', 'varchar(16)', 'Base demand (flow units). This field is optional.');
INSERT INTO db_cat_columns VALUES (4370, 680, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (4380, 680, 'xcoord', 'Numeric(18,6)', 'Horizontal coordinate of vertex relative to origin in lower left of map.');
INSERT INTO db_cat_columns VALUES (4390, 680, 'ycoord', 'Numeric(18,6)', 'Vertical coordinate of vertex relative to origin in lower left of map.');
INSERT INTO db_cat_columns VALUES (4400, 680, 'label', 'varchar(50)', 'Text of label in double quotes.');
INSERT INTO db_cat_columns VALUES (4410, 680, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (4420, 690, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (4430, 690, 'mix_type', 'varchar(18)', 'Defines the type of mixing model.');
INSERT INTO db_cat_columns VALUES (4440, 690, 'value', 'numeric', 'Compartment volume (fraction).');
INSERT INTO db_cat_columns VALUES (4450, 700, 'units', 'varchar(20)', 'Type of units in which flow rates are expressed.');
INSERT INTO db_cat_columns VALUES (4460, 700, 'headloss', 'varchar(20)', 'Formula to use for computing head loss for flow through a pipe');
INSERT INTO db_cat_columns VALUES (4470, 700, 'hydraulics', 'varchar(12)', 'Allows you to either savethe current hydraulics solution to a file or usea previously saved hydraulics solution.Allows you to either savethe current hydraulics solution to a file or usea previously saved hydraulics solution.');
INSERT INTO db_cat_columns VALUES (4480, 700, 'specific_gravity', 'Numeric(12,6)', 'The ratio of the density of the fluid being modeled to that of water at 4oCThe ratio of the density of the fluid being modeled to that of water at 4oC');
INSERT INTO db_cat_columns VALUES (4490, 700, 'viscosity', 'Numeric(12,6)', 'The kinematic viscosity of the fluid being modeled relative to that of water at 20oC. The default value is 1.0.');
INSERT INTO db_cat_columns VALUES (4500, 700, 'trials', 'Numeric(12,6)', 'The maximum number of trials used to solve network hydraulics at each hydraulic time step of a simulation. The default is 40.');
INSERT INTO db_cat_columns VALUES (4510, 700, 'accuracy', 'Numeric(12,6)', 'Prescribes the convergence criterion that determines when a hydraulic solution has been reached. The trials end when the sum of all flow changes from the previous solution divided by the total flow in all links is less than this number. The default is 0.001.');
INSERT INTO db_cat_columns VALUES (4520, 700, 'unbalanced', 'varchar(12)', 'Determines what happens if a hydraulic solution cannot be reached within the prescribed number of trialsat some hydraulic time step into the simulation.');
INSERT INTO db_cat_columns VALUES (4530, 700, 'checkfreq', 'Numeric(12,6)', 'Advanced hydrulic parameters from EPANET model.');
INSERT INTO db_cat_columns VALUES (4540, 700, 'maxcheck', 'Numeric(12,6)', 'Advanced hydrulic parameters from EPANET model.');
INSERT INTO db_cat_columns VALUES (4550, 700, 'damplimit', 'Numeric(12,6)', 'Advanced hydrulic parameters from EPANET model.');
INSERT INTO db_cat_columns VALUES (4560, 700, 'pattern', 'varchar(16)', 'Provides the ID label of a default demand pattern to be applied to all junctions where no demand pattern was specified.');
INSERT INTO db_cat_columns VALUES (4570, 700, 'demand_multiplier', 'Numeric(12,6)', 'Adjusts the values of baseline demands for all junctions and all demand categories.');
INSERT INTO db_cat_columns VALUES (4580, 700, 'emitter_exponent', 'Numeric(12,6)', 'Specifies the power to which the pressure at a junction is raised when computing the flow issuing from an emitter. The default is 0.5.');
INSERT INTO db_cat_columns VALUES (4590, 700, 'quality', 'varchar(18)', 'Selects the type of water quality analysis to perform');
INSERT INTO db_cat_columns VALUES (4600, 700, 'diffusivity', 'Numeric(12,6)', 'The molecular diffusivity of the chemical being analyzed relative to that of chlorine in water. The default value is 1.0');
INSERT INTO db_cat_columns VALUES (4610, 700, 'tolerance', 'Numeric(12,6)', 'The difference in water quality level below which one can say that one parcel of water is essentially the same as another. The default is 0.01');
INSERT INTO db_cat_columns VALUES (4620, 700, 'hydraulics_fname', 'varchar(254)', 'If hydraulic information is related to file, this column stores the folder path of this file');
INSERT INTO db_cat_columns VALUES (4630, 700, 'unbalanced_n', 'Numeric(12,6)', 'In case that the hydraulic analisys won''t be balanced during 40 trials, user can custom additional trials inserting into this column the number of additional iterations');
INSERT INTO db_cat_columns VALUES (4640, 700, 'node_id', 'varchar(16)', 'In case to use quality options (trace_id). The user must insert the node identifier into this column');
INSERT INTO db_cat_columns VALUES (4650, 710, 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (4660, 710, 'pattern_id', 'varchar(16)', 'Pattern identifier.');
INSERT INTO db_cat_columns VALUES (4670, 710, 'factor_1', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4680, 710, 'factor_2', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4690, 710, 'factor_3', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4700, 710, 'factor_4', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4710, 710, 'factor_5', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4720, 710, 'factor_6', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4730, 710, 'factor_7', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4740, 710, 'factor_8', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4750, 710, 'factor_9', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4760, 710, 'factor_10', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4770, 710, 'factor_11', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4780, 710, 'factor_12', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4790, 710, 'factor_13', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4800, 710, 'factor_14', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4810, 710, 'factor_15', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4820, 710, 'factor_16', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4830, 710, 'factor_17', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4840, 710, 'factor_18', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4850, 710, 'factor_19', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4860, 710, 'factor_20', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4870, 710, 'factor_21', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4880, 710, 'factor_22', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4890, 710, 'factor_23', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4900, 710, 'factor_24', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_columns VALUES (4910, 720, 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_columns VALUES (4920, 720, 'minorloss', 'Numeric(12,6)', 'Minor loss coefficient.');
INSERT INTO db_cat_columns VALUES (4930, 720, 'status', 'varchar(12)', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_columns VALUES (4940, 1200, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (31030, 10190, 'exec_user', 'varchar(30)', NULL);
INSERT INTO db_cat_columns VALUES (4950, 1200, 'minorloss', 'Numeric(12,6)', 'Minor loss coefficient.');
INSERT INTO db_cat_columns VALUES (4960, 1200, 'to_arc', 'varchar(16)', 'This fields identifies the direction of the flow of the shortpipe, applied only for the case of check valves');
INSERT INTO db_cat_columns VALUES (4970, 1200, 'status', 'varchar(12)', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_columns VALUES (5010, 750, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (5020, 750, 'power', 'varchar', 'Write it POWER, leave a space and write the value of power. (Power value for constant energy pump, hp (kW))');
INSERT INTO db_cat_columns VALUES (5030, 750, 'curve_id', 'varchar', 'ID label of the curve used for the pump');
INSERT INTO db_cat_columns VALUES (5040, 750, 'speed', 'Numeric(12,6)', 'Write it SPEED, leave a space and write the value of speed. (Relative speed setting (normal speed is 1.0, 0 means pump is off))');
INSERT INTO db_cat_columns VALUES (5050, 750, 'pattern', 'varchar', 'Write it PATTERN, leave a space and write the value of pattern. (ID of time pattern that describes how speed setting varies with me)');
INSERT INTO db_cat_columns VALUES (5060, 750, 'status', 'varchar(12)', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_columns VALUES (5070, 760, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (5080, 760, 'initqual', 'numeric', 'Initial quality.');
INSERT INTO db_cat_columns VALUES (5090, 770, 'id', 'int4', 'Row id. Unique value needed.');
INSERT INTO db_cat_columns VALUES (5100, 770, 'parameter', 'varchar(20)', 'BULK, WALL or TANK.Â  Used to override the global reaction coefficients for specific pipes and tanks');
INSERT INTO db_cat_columns VALUES (5110, 770, 'arc_id', 'varchar(16)', 'Element ID with specific chemical reaction.');
INSERT INTO db_cat_columns VALUES (5120, 770, 'value', 'numeric', 'Reaction coefficient vaules. For further information see appendix C of EPANET users manual.');
INSERT INTO db_cat_columns VALUES (5130, 780, 'id', 'int4', 'Row id. Unique value needed.');
INSERT INTO db_cat_columns VALUES (5140, 780, 'react_type', 'varchar(30)', 'Reaction type. Must be ORDER or GLOBAL (see below)');
INSERT INTO db_cat_columns VALUES (5150, 780, 'parameter', 'varchar(20)', 'Options parameters. Must be BULB, WALL, TANK, LIMITING POTENCIAL or ROUGHNESS CORRELATION.For further information see appendix C of EPANET users manual.');
INSERT INTO db_cat_columns VALUES (5160, 780, 'value', 'numeric', 'Value of the specified parameter');
INSERT INTO db_cat_columns VALUES (5170, 790, 'pagesize', 'numeric', 'Sets the number of lines written per page of the output report. Default is 0.');
INSERT INTO db_cat_columns VALUES (5180, 790, 'file', 'varchar(254)', 'Supplies the name of a file to which the output report will be written.');
INSERT INTO db_cat_columns VALUES (5190, 790, 'status', 'varchar(4)', 'Determines whether a hydraulic status report should be generated.');
INSERT INTO db_cat_columns VALUES (5200, 790, 'summary', 'varchar(3)', 'Determines whether a summary table of number of network components and key analysis');
INSERT INTO db_cat_columns VALUES (5210, 790, 'energy', 'varchar(3)', 'Determines if a table reporting average energy usage and cost for each pump is provided.Default is NO. For further information see appendix C of EPANET users manual.');
INSERT INTO db_cat_columns VALUES (5220, 790, 'nodes', 'varchar(254)', 'Identifies which nodes will be reported on.');
INSERT INTO db_cat_columns VALUES (5230, 790, 'links', 'varchar(254)', 'Identifies which links will be reported on.');
INSERT INTO db_cat_columns VALUES (5240, 790, 'elevation', 'varchar(16)', 'Elevation in ft or m.');
INSERT INTO db_cat_columns VALUES (5250, 790, 'demand', 'varchar(16)', 'Demand for water by the main category of consumer. Measured in the current flow units');
INSERT INTO db_cat_columns VALUES (5270, 790, 'pressure', 'varchar(16)', 'Pressure in psi or m.');
INSERT INTO db_cat_columns VALUES (5280, 790, 'quality', 'varchar(16)', 'Selects the type of water quality analysis to perform');
INSERT INTO db_cat_columns VALUES (5290, 790, 'length', 'varchar(16)', 'Length of the arc.');
INSERT INTO db_cat_columns VALUES (5300, 790, 'diameter', 'varchar(16)', 'Diameter in inches or mm.');
INSERT INTO db_cat_columns VALUES (5310, 790, 'flow', 'varchar(16)', 'Flow (flow units)');
INSERT INTO db_cat_columns VALUES (5320, 790, 'velocity', 'varchar(16)', 'Velocity in fps.');
INSERT INTO db_cat_columns VALUES (5330, 790, 'headloss', 'varchar(16)', 'Headloss (/1000ft).');
INSERT INTO db_cat_columns VALUES (5340, 790, 'setting', 'varchar(16)', 'Setting. (Roughness for pipes, speed for pumps, pressure/flow setting for valves).');
INSERT INTO db_cat_columns VALUES (5350, 790, 'reaction', 'varchar(16)', 'Reaction coefficient vaules For further information see appendix C of EPANET users manual.');
INSERT INTO db_cat_columns VALUES (5360, 790, 'f_factor', 'varchar(16)', 'Friction factor.');
INSERT INTO db_cat_columns VALUES (5370, 800, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (5380, 800, 'head', 'Numeric(12,4)', 'Head, ft (m).');
INSERT INTO db_cat_columns VALUES (5390, 800, 'pattern_id', 'varchar(16)', 'Head pattern ID. This field is optional');
INSERT INTO db_cat_columns VALUES (5400, 810, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (5410, 810, 'text', 'varchar(254)', 'Defines rule-based controls that modify links based on a combination of conditions.');
INSERT INTO db_cat_columns VALUES (5420, 820, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (5430, 820, 'sourc_type', 'varchar(18)', 'Source type (CONCEN, MASS, FLOWPACED, or SETPOINT).');
INSERT INTO db_cat_columns VALUES (5440, 820, 'quality', 'Numeric(12,6)', 'Baseline source strength.');
INSERT INTO db_cat_columns VALUES (5450, 820, 'pattern_id', 'varchar(16)', 'Time pattern identifier.');
INSERT INTO db_cat_columns VALUES (5460, 830, 'object', 'varchar(18)', 'The keyword NODE or LINK.');
INSERT INTO db_cat_columns VALUES (5470, 830, 'node_id', 'varchar(16)', 'The node or link ID label.');
INSERT INTO db_cat_columns VALUES (5480, 830, 'tag', 'varchar(50)', 'The text of the tag label (with no spaces).');
INSERT INTO db_cat_columns VALUES (5490, 840, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (5500, 840, 'initlevel', 'Numeric(12,4)', 'Initial water level. (ft or m).');
INSERT INTO db_cat_columns VALUES (5510, 840, 'minlevel', 'Numeric(12,4)', 'Minimum water level. (ft or m).');
INSERT INTO db_cat_columns VALUES (5520, 840, 'maxlevel', 'Numeric(12,4)', 'Maximum water level. (ft or m).');
INSERT INTO db_cat_columns VALUES (5530, 840, 'diameter', 'Numeric(12,4)', 'Nominal diameter. (ft or m).');
INSERT INTO db_cat_columns VALUES (5540, 840, 'minvol', 'Numeric(12,4)', 'Minimum volume. (cubic ft or cubic meters).');
INSERT INTO db_cat_columns VALUES (5550, 840, 'curve_id', 'int4', 'Volume curve ID.');
INSERT INTO db_cat_columns VALUES (5660, 1090, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (5670, 1090, 'valv_type', 'varchar(18)', 'Valve type (see remarks)');
INSERT INTO db_cat_columns VALUES (5680, 1090, 'pressure', 'Numeric(12,4)', 'Pressure in psi or m.');
INSERT INTO db_cat_columns VALUES (5690, 1090, 'diameter', 'Numeric(12,4)', 'Diameter in inches or mm.');
INSERT INTO db_cat_columns VALUES (5700, 1090, 'flow', 'Numeric(12,4)', 'Flow (flow units)');
INSERT INTO db_cat_columns VALUES (5710, 1090, 'coef_loss', 'Numeric(12,4)', 'Loss coefficient.');
INSERT INTO db_cat_columns VALUES (5720, 1090, 'curve_id', 'int4,', 'ID of head loss curve');
INSERT INTO db_cat_columns VALUES (5730, 1090, 'minorloss', 'Numeric(12,4)', 'Minor loss coefficient.');
INSERT INTO db_cat_columns VALUES (5740, 1090, 'status', 'varchar(12)', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_columns VALUES (5750, 880, 'id', 'varchar(18)', 'Value domain of EPANET energy type. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5760, 890, 'id', 'varchar(18)', 'Value domain of EPANET pump type. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5770, 900, 'id', 'varchar(30)', 'Value domain of EPANET of types of reactions (aplied to all the elements). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5780, 910, 'id', 'varchar(18)', 'Value domain of EPANET source type. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5790, 920, 'id', 'varchar(18)', 'Value domain of EPANET valve type. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5800, 920, 'descript', 'varchar(50)', 'Detailed description of EPANET valve type. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5810, 920, 'meter', 'varchar(18)', 'Generic description of EPANET valve. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5820, 930, 'id', 'varchar(18)', 'Value domain of EPANET time (AM or PM). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5830, 940, 'id', 'varchar(18)', 'Value domain of EPANET curve. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5840, 950, 'id', 'varchar(18)', 'Value domain of EPANET mixing. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5850, 960, 'id', 'varchar(18)', 'Value domain of EPANET values (NONE or ALL). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5860, 970, 'id', 'varchar(18)', 'Value domain of EPANET headloss options (options table). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5870, 980, 'id', 'varchar(20)', 'Value domain of EPANET hydraulics options (options table). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5880, 990, 'id', 'varchar(18)', 'Value domain of EPANET quality options (options table). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5890, 1000, 'id', 'varchar(20)', 'Value domain of EPANET unbalanced options (options table). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5900, 1010, 'id', 'varchar(18)', 'Value domain of EPANET units (options table). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5910, 1020, 'id', 'varchar(18)', 'Value domain of EPANET energy parameters. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5920, 1030, 'id', 'varchar(18)', 'Value domain of EPANET reactions data (element). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5930, 1040, 'id', 'varchar(18)', 'Value domain of EPANET reactions data (global). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5940, 1210, 'id', 'varchar(18)', 'Value domain of EPANET pipe status. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5950, 1220, 'id', 'varchar(18)', 'Value domain of EPANET pump status. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5960, 1230, 'id', 'varchar(18)', 'Value domain of EPANET valve status. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5970, 1240, 'id', 'varchar(18)', 'Value domain of EPANET time. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5980, 1060, 'id', 'varchar(3)', 'Value domain of EPANET yes/no. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (5990, 1070, 'id', 'varchar(18)', 'Value domain of EPANET yes/no/full. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (6000, 1080, 'id', 'Varchar(16)', 'Value domain of plan');
INSERT INTO db_cat_columns VALUES (6010, 1080, 'observ', 'Varchar(254)', 'Observations related to value plan. Additional information');
INSERT INTO db_cat_columns VALUES (6020, 1100, 'id', 'Varchar(16)', 'Primary key for table.');
INSERT INTO db_cat_columns VALUES (6030, 1100, 'giswater_file_path', 'text', 'Giswater file path');
INSERT INTO db_cat_columns VALUES (6040, 1100, 'giswater_software_path', 'text', 'Giswater software path');
INSERT INTO db_cat_columns VALUES (6050, 1100, 'inp_file_path', 'text', 'inp_file_path');
INSERT INTO db_cat_columns VALUES (6060, 1100, 'rpt_file_path', 'text', 'rpt_file_path');
INSERT INTO db_cat_columns VALUES (6070, 1100, 'rpt_result_id', 'text', 'rpt result identifier');
INSERT INTO db_cat_columns VALUES (6090, 1130, 'result_id', 'varchar(16)', 'Result identifier related to the primary key of rpt_cat_result table');
INSERT INTO db_cat_columns VALUES (6100, 1130, 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_columns VALUES (6110, 1130, 'length', 'numeric', 'Length of the arc.');
INSERT INTO db_cat_columns VALUES (6120, 1130, 'diameter', 'numeric', 'Diameter of the arc. EPANET ever works with internal diameter');
INSERT INTO db_cat_columns VALUES (6130, 1130, 'flow', 'numeric', 'Flow in flow units.');
INSERT INTO db_cat_columns VALUES (6140, 1130, 'vel', 'numeric', 'Velocity in fps.');
INSERT INTO db_cat_columns VALUES (6150, 1130, 'headloss', 'numeric', 'Headloss (/1000ft).');
INSERT INTO db_cat_columns VALUES (6160, 1130, 'setting', 'numeric', 'Setting. (Roughness for pipes, speed for pumps, pressure/flow setting for valves).');
INSERT INTO db_cat_columns VALUES (6170, 1130, 'reaction', 'numeric', 'Reaction value');
INSERT INTO db_cat_columns VALUES (6180, 1130, 'ffactor', 'numeric', 'Friction factor.');
INSERT INTO db_cat_columns VALUES (6190, 1130, 'other', 'varchar(100)', 'Other information about the simulation.');
INSERT INTO db_cat_columns VALUES (6200, 1130, 'time', 'varchar(100)', 'Time period for which the simulation was conducted.');
INSERT INTO db_cat_columns VALUES (6210, 1130, 'status', 'varchar(16)', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_columns VALUES (6220, 1140, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (6230, 1140, 'result_id', 'varchar(16)', 'Result identifier related to the primary key of rpt_cat_result table');
INSERT INTO db_cat_columns VALUES (6240, 1140, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (6250, 1140, 'usage_fact', 'numeric', 'Usage factor.');
INSERT INTO db_cat_columns VALUES (6260, 1140, 'avg_effic', 'numeric', 'Average efficiency.');
INSERT INTO db_cat_columns VALUES (6270, 1140, 'kwhr_mgal', 'numeric', 'Kw â hr (/Mgal).');
INSERT INTO db_cat_columns VALUES (6280, 1140, 'avg_kw', 'numeric', 'Average (Kw).');
INSERT INTO db_cat_columns VALUES (6290, 1140, 'peak_kw', 'numeric', 'Peak (Kw)');
INSERT INTO db_cat_columns VALUES (6300, 1140, 'cost_day', 'numeric', 'Cost (/day)');
INSERT INTO db_cat_columns VALUES (6310, 1150, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (6320, 1150, 'result_id', 'varchar(16)', 'Result identifier related to the primary key of rpt_cat_result table');
INSERT INTO db_cat_columns VALUES (6330, 1150, 'time', 'varchar(10)', 'Time period for which the simulation was conducted.');
INSERT INTO db_cat_columns VALUES (6340, 1150, 'text', 'varchar(100)', 'Field ready to insert text for additional information');
INSERT INTO db_cat_columns VALUES (6350, 1160, 'id', 'int4', 'Primary key for table.');
INSERT INTO db_cat_columns VALUES (6360, 1160, 'result_id', 'varchar(16)', 'Result identifier related to the primary key of rpt_cat_result table');
INSERT INTO db_cat_columns VALUES (6370, 1160, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (6380, 1160, 'elevation', 'numeric', 'Elevation in ft or m.');
INSERT INTO db_cat_columns VALUES (6390, 1160, 'demand', 'numeric', 'Demand for water by the main category of consumer. Measured in the current flow units');
INSERT INTO db_cat_columns VALUES (6400, 1160, 'head', 'numeric', 'Head in ft or m.');
INSERT INTO db_cat_columns VALUES (6410, 1160, 'press', 'numeric', 'Pressure in psi or m.');
INSERT INTO db_cat_columns VALUES (6420, 1160, 'other', 'varchar(100)', 'Other information about the simulation.');
INSERT INTO db_cat_columns VALUES (6430, 1160, 'time', 'varchar(100)', 'Time period for which the simulation was conducted.');
INSERT INTO db_cat_columns VALUES (6440, 1160, 'quality', 'numeric(12,4)', 'Selects the type of water quality analysis to perform');
INSERT INTO db_cat_columns VALUES (6450, 1170, 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (6460, 1170, 'result_id', 'varchar(16)', 'Result identifier related to the primary key of rpt_cat_result table');
INSERT INTO db_cat_columns VALUES (6470, 1170, 'n_junction', 'numeric', 'Number of junctions of the simulation''s results');
INSERT INTO db_cat_columns VALUES (6480, 1170, 'n_reservoir', 'numeric', 'Number of junctions of the simulation''s results');
INSERT INTO db_cat_columns VALUES (6490, 1170, 'n_tank', 'numeric', 'Number of junctions of the simulation''s results');
INSERT INTO db_cat_columns VALUES (6500, 1170, 'n_pipe', 'numeric', 'Number of junctions of the simulation''s results');
INSERT INTO db_cat_columns VALUES (6510, 1170, 'n_pump', 'numeric', 'Number of junctions of the simulation''s results');
INSERT INTO db_cat_columns VALUES (6520, 1170, 'n_valve', 'numeric', 'Number of junctions of the simulation''s results');
INSERT INTO db_cat_columns VALUES (6530, 1170, 'head_form', 'varchar(20)', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_columns VALUES (6540, 1170, 'hydra_time', 'varchar(10)', 'Hydraulic time of the simulation');
INSERT INTO db_cat_columns VALUES (6550, 1170, 'hydra_acc', 'numeric', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_columns VALUES (6560, 1170, 'st_ch_freq', 'numeric', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_columns VALUES (6570, 1170, 'max_tr_ch', 'numeric', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_columns VALUES (6580, 1170, 'dam_li_thr', 'numeric', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_columns VALUES (6590, 1170, 'max_trials', 'numeric', 'Maximun number  of trials to balance the result');
INSERT INTO db_cat_columns VALUES (6600, 1170, 'q_analysis', 'varchar(20)', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_columns VALUES (6610, 1170, 'spec_grav', 'numeric', 'Specific gravity of the simulation');
INSERT INTO db_cat_columns VALUES (6620, 1170, 'r_kin_visc', 'numeric', 'Value for viscosity');
INSERT INTO db_cat_columns VALUES (6630, 1170, 'r_che_diff', 'numeric', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_columns VALUES (6640, 1170, 'dem_multi', 'numeric', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_columns VALUES (6650, 1170, 'total_dura', 'varchar(10)', 'Total duration of the simulation');
INSERT INTO db_cat_columns VALUES (6660, 1170, 'exec_date', 'timestamp(6)', 'Timestamp  for the moment to insert the result into the catalog of results (rpt_cat_results)');
INSERT INTO db_cat_columns VALUES (6670, 1170, 'q_timestep', 'varchar(16)', 'Quality time step of the simulation');
INSERT INTO db_cat_columns VALUES (6680, 1170, 'q_tolerance', 'varchar(16)', 'Quality tolerance of the simulation');
INSERT INTO db_cat_columns VALUES (7320, 1110, 'result_id', 'Varchar(16)', 'System field used to filter results in order to provide information on v_rpt views of qgis.');
INSERT INTO db_cat_columns VALUES (7330, 1120, 'result_id', 'Varchar(16)', 'System field used to filter results in order to provide information on v_rpt views of qgis.');
INSERT INTO db_cat_columns VALUES (7340, 1180, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (7350, 1190, 'id', 'varchar(16)', 'ID label.');
INSERT INTO db_cat_columns VALUES (7360, 1190, 'observ', 'varchar(254)', 'Observations related to selector state. Additional information');
INSERT INTO db_cat_columns VALUES (7720, 1310, 'id', 'varchar(18)', 'Event type identifier. Primary key');
INSERT INTO db_cat_columns VALUES (7730, 1310, 'observ', 'varchar(255)', 'Observations related to event type. Additional information');
INSERT INTO db_cat_columns VALUES (7740, 1320, 'id', 'Varchar(50)', 'Event parameter catalog identifier. Primary key');
INSERT INTO db_cat_columns VALUES (7750, 1320, 'event_type', 'Varchar(30)', 'Event type identifier.');
INSERT INTO db_cat_columns VALUES (7760, 1320, 'feature', 'Varchar(30)', 'Identifier of the feature');
INSERT INTO db_cat_columns VALUES (7770, 1320, 'data_type', 'varchar(16)', 'Type of data stored');
INSERT INTO db_cat_columns VALUES (7780, 1320, 'descript', 'Varchar(50)', 'Field to store additional information about the event parameter..');
INSERT INTO db_cat_columns VALUES (7790, 1330, 'id', 'Varchar (50)', 'Event position catalog identifier. Primary key');
INSERT INTO db_cat_columns VALUES (7800, 1330, 'feature', 'Varchar(30)', 'Identifier of the feature');
INSERT INTO db_cat_columns VALUES (7810, 1330, 'descript', 'Varchar(50)', 'Field to store additional information about the event position.');
INSERT INTO db_cat_columns VALUES (7820, 1340, 'id', 'varchar(30)', 'Event identifier. Primary key');
INSERT INTO db_cat_columns VALUES (7830, 1340, 'event_type', 'varchar(30)', 'Event type identifier.');
INSERT INTO db_cat_columns VALUES (7840, 1340, 'startdate', 'timestamp(6)', 'Start date of the event.');
INSERT INTO db_cat_columns VALUES (7850, 1340, 'enddate', 'timestamp(6)', 'End date of the event.');
INSERT INTO db_cat_columns VALUES (7860, 1340, 'observ', 'varchar(512)', 'Observations related to event. Additional information');
INSERT INTO db_cat_columns VALUES (7870, 1340, 'tag', 'varchar(16)', 'Tag related to the event.');
INSERT INTO db_cat_columns VALUES (7880, 1340, 'timestamp', 'timestamp(6)', 'Date when the event is created');
INSERT INTO db_cat_columns VALUES (7900, 1350, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (7910, 1350, 'event_id', 'Varchar (30)', 'Event identifier related to the primary key of event table');
INSERT INTO db_cat_columns VALUES (7920, 1350, 'node_id', 'Varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (7930, 1350, 'parameter_id', 'Varchar (50)', 'Parameter identifie related to the primary key of the parameter table');
INSERT INTO db_cat_columns VALUES (7940, 1350, 'value', 'text', 'Value of the event');
INSERT INTO db_cat_columns VALUES (7950, 1350, 'position_id', 'Varchar(50)', 'Position identifie related to the primary key of the position table');
INSERT INTO db_cat_columns VALUES (7960, 1350, 'text', 'text', 'Field ready to insert text for additional information');
INSERT INTO db_cat_columns VALUES (7970, 1360, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (7980, 1360, 'event_id', 'Varchar (30)', 'Event identifier related to the primary key of event table');
INSERT INTO db_cat_columns VALUES (7990, 1360, 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of the arc table');
INSERT INTO db_cat_columns VALUES (8000, 1360, 'parameter_id', 'Varchar (50)', 'Parameter identifie related to the primary key of the parameter table');
INSERT INTO db_cat_columns VALUES (8010, 1360, 'value', 'text', 'Value of the event');
INSERT INTO db_cat_columns VALUES (8020, 1360, 'position_id', 'Varchar (50)', 'Position identifie related to the primary key of the position table');
INSERT INTO db_cat_columns VALUES (8030, 1360, 'text', 'text', 'Field ready to insert text for additional information');
INSERT INTO db_cat_columns VALUES (8040, 1370, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (8050, 1370, 'event_id', 'Varchar(30)', 'Event identifier related to the primary key of event table');
INSERT INTO db_cat_columns VALUES (8060, 1370, 'element_id', 'Varchar(16)', 'Arc identifier related to the primary key of the arc table');
INSERT INTO db_cat_columns VALUES (8070, 1370, 'parameter_id', 'Varchar(50)', 'Parameter identifie related to the primary key of the parameter table');
INSERT INTO db_cat_columns VALUES (8080, 1370, 'value', 'text', 'Value of the event');
INSERT INTO db_cat_columns VALUES (8090, 1370, 'position_id', 'Varchar (50)', 'Position identifier related to the primary key of the position table');
INSERT INTO db_cat_columns VALUES (8100, 1370, 'text', 'text', 'Field ready to insert text for additional information');
INSERT INTO db_cat_columns VALUES (8110, 1380, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_columns VALUES (8120, 1380, 'event_id', 'varchar(30)', 'Event identifier related to the primary key of event table');
INSERT INTO db_cat_columns VALUES (8130, 1380, 'connec_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (8140, 1380, 'parameter_id', 'Varchar(50)', 'Parameter identifier related to the primary key of the parameter table');
INSERT INTO db_cat_columns VALUES (8150, 1380, 'value', 'varchar(16)', 'Value of the event related to the connect.');
INSERT INTO db_cat_columns VALUES (8180, 1390, 'id', 'varchar(30)', 'Document type identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (8190, 1390, 'comment', 'varchar(512)', 'Comments related to document type. Additional information.');
INSERT INTO db_cat_columns VALUES (8200, 1400, 'id', 'Varchar(16)', 'Document tag identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (8210, 1400, 'comment', 'Varchar (512)', 'Comments related to document tag. Additional information.');
INSERT INTO db_cat_columns VALUES (8220, 1410, 'id', 'int8', 'Document identifier. Primary key');
INSERT INTO db_cat_columns VALUES (8240, 1410, 'path', 'varchar(512)', 'Field to store folder path related to document.');
INSERT INTO db_cat_columns VALUES (8250, 1410, 'observ', 'varchar(512)', 'Observations related to documents. Additional information');
INSERT INTO db_cat_columns VALUES (8260, 1410, 'tagcat_id', 'varchar(16)', 'Tag identifier.');
INSERT INTO db_cat_columns VALUES (8270, 1410, 'date', 'timestamp(6)', 'Date of adding the document.');
INSERT INTO db_cat_columns VALUES (8290, 1420, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (8300, 1420, 'doc_id', 'int8,', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_columns VALUES (8310, 1420, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (8320, 1430, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (8330, 1430, 'doc_id', 'int8,', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_columns VALUES (8340, 1430, 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_columns VALUES (8350, 1440, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (8360, 1440, 'doc_id', 'int8,', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_columns VALUES (8370, 1440, 'connec_id', 'varchar(16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_columns VALUES (8490, 1450, 'id', 'Varchar(16)', NULL);
INSERT INTO db_cat_columns VALUES (8500, 1450, 'rtc_status', 'Varchar(3)', 'Field to define the status of the Real Time Control (ON or OFF)');
INSERT INTO db_cat_columns VALUES (8510, 1450, 'period_id', 'Varchar(16)', 'Period identifier where the RTC is allowed');
INSERT INTO db_cat_columns VALUES (8520, 1450, 'coefficient', 'Varchar(16)', 'Value domain of the coefficient applied (MAX, AVG o MIN)');
INSERT INTO db_cat_columns VALUES (8530, 1460, 'scada_id', 'Varchar(16)', 'Identifier of the SCADA');
INSERT INTO db_cat_columns VALUES (8540, 1460, 'node_id', 'Varchar(16)', 'Indentifier of the node');
INSERT INTO db_cat_columns VALUES (8590, 1480, 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (8600, 1480, 'scada_id', 'Varchar(16)', 'Id of a related scada receiver.');
INSERT INTO db_cat_columns VALUES (8610, 1480, 'sector_id', 'Varchar(16)', 'Id of the sector');
INSERT INTO db_cat_columns VALUES (8620, 1480, 'flow_sign', 'int2', 'Flow sign');
INSERT INTO db_cat_columns VALUES (8630, 1490, 'id', 'Varchar(16)', 'Value domain of coefficient options');
INSERT INTO db_cat_columns VALUES (8640, 1500, 'id', 'Varchar(16)', 'Value domain of status options');
INSERT INTO db_cat_columns VALUES (8650, 1460, 'scada_id', 'character varying (16)', 'Scada identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (8670, 1460, 'node_id', 'character varying (16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (8680, 1510, 'hydrometer_id', 'character varying (16)', 'Hydrometer identifier, related to the cat_hydrometer table');
INSERT INTO db_cat_columns VALUES (8690, 1510, 'connec_id', 'character varying (16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_columns VALUES (8700, 1520, 'psector_id', 'varchar', 'Plan sector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (8710, 1520, 'descript', 'Varchar (254)', 'Field to store additional information about the psector.');
INSERT INTO db_cat_columns VALUES (8720, 1520, 'priority', 'Varchar (16)', 'Field to identify the priority of the psector');
INSERT INTO db_cat_columns VALUES (8730, 1520, 'text1', 'Varchar (254)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (8740, 1520, 'text2', 'Varchar (254)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (8750, 1520, 'observ', 'Varchar (254)', 'Observations related to plan sector. Additional information');
INSERT INTO db_cat_columns VALUES (8760, 1520, 'rotation', 'Numeric(8,4)', 'Field to use to rotate the map');
INSERT INTO db_cat_columns VALUES (8770, 1520, 'scale', 'Numeric(8,2)', 'Field to use to configurate the scale of the map');
INSERT INTO db_cat_columns VALUES (8780, 1520, 'sector_id', 'Varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (8790, 1520, 'atlas_id', 'Varchar(30)', 'Field to use to configurate the position of the psector on the whole atlas');
INSERT INTO db_cat_columns VALUES (8800, 1520, 'gexpenses', 'Numeric(4,2)', 'General expenses  related to this psector.');
INSERT INTO db_cat_columns VALUES (8810, 1520, 'vat', 'Numeric(4,2)', 'Value of vat tax  related to this psector.');
INSERT INTO db_cat_columns VALUES (8820, 1520, 'other', 'Numeric(4,2)', 'Other expenses related to this psector.');
INSERT INTO db_cat_columns VALUES (8830, 1520, 'the_geom', 'public.geometry', 'Polygon geometry field.');
INSERT INTO db_cat_columns VALUES (8840, 1530, 'id', 'int4', 'Arc related to psector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (8850, 1530, 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_columns VALUES (8860, 1530, 'psector_id', 'Varchar(16)', 'Psector related to the primary key of psector table');
INSERT INTO db_cat_columns VALUES (8870, 1530, 'atlas_id', 'Varchar(16)', 'Indicates the order of map files.');
INSERT INTO db_cat_columns VALUES (8880, 1530, 'descript', 'Varchar(254)', 'Field to store additional information about the arc related to psector.');
INSERT INTO db_cat_columns VALUES (8890, 1540, 'id', 'int4', 'Node related to psector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (8900, 1540, 'node_id', 'Varchar(16)', 'Node identifier related to the primary key of node table');
INSERT INTO db_cat_columns VALUES (8910, 1540, 'psector_id', 'Varchar(16)', 'Psector related to the primary key of psector table');
INSERT INTO db_cat_columns VALUES (8920, 1540, 'atlas_id', 'Varchar(16)', 'Indicates the order of map files.');
INSERT INTO db_cat_columns VALUES (8930, 1540, 'descript', 'Varchar(254)', 'Field to store additional information about the node related to psector.');
INSERT INTO db_cat_columns VALUES (8940, 1550, 'id', 'int4', 'Other objectt related to psector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (8950, 1550, 'price_id', 'Varchar(16)', 'Identifier of the price');
INSERT INTO db_cat_columns VALUES (8960, 1550, 'measurement', 'Numeric(12,2)', 'Measurement');
INSERT INTO db_cat_columns VALUES (8970, 1550, 'psector_id', 'Varchar(16)', 'Psector related to the primary key of psector table');
INSERT INTO db_cat_columns VALUES (8980, 1550, 'atlas_id', 'Varchar(16)', 'Indicates the order of map files.');
INSERT INTO db_cat_columns VALUES (8990, 1550, 'descript', 'Varchar(254)', 'Field to store additional information about the other objects related to psector.');
INSERT INTO db_cat_columns VALUES (9000, 1560, 'id', 'int4', 'Arc related to pavement identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (9010, 1560, 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_columns VALUES (9020, 1560, 'pavcat_id', 'Varchar(16)', 'Identifier of the pavement');
INSERT INTO db_cat_columns VALUES (9030, 1560, 'percent', 'Numeric(3,2)', 'Percent of pavement''s coverage on arc.');
INSERT INTO db_cat_columns VALUES (9040, 1570, 'id', 'Varchar(16)', 'Identifier of the value domain of priority');
INSERT INTO db_cat_columns VALUES (9050, 1570, 'observ', 'Varchar(254)', 'Additional information');
INSERT INTO db_cat_columns VALUES (9060, 1580, 'id', 'Varchar(16)', 'Economic selector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (9070, 1580, 'observ', 'Varchar(254)', 'Observations related to economic selector. Additional information');
INSERT INTO db_cat_columns VALUES (9080, 1590, 'id', 'Varchar(16)', 'Plan sector selector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (9090, 1590, 'observ', 'Varchar(254)', 'Observations related to plan sector selector. Additional information');
INSERT INTO db_cat_columns VALUES (9100, 1600, 'id', 'Varchar (16)', 'Simple price identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (9110, 1600, 'unit', 'Varchar (5)', 'Units used to express the price.');
INSERT INTO db_cat_columns VALUES (9120, 1600, 'descript', 'Varchar (100)', 'Field to store additional information about the simple price.');
INSERT INTO db_cat_columns VALUES (9130, 1600, 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (9140, 1600, 'price', 'Numeric(12,4)', 'Price');
INSERT INTO db_cat_columns VALUES (9150, 1600, 'obs', 'Varchar (16)', 'Additional information');
INSERT INTO db_cat_columns VALUES (9160, 1610, 'id', 'Varchar (16)', 'Compost price identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (9170, 1610, 'unit', 'Varchar (5)', 'Units used to express the price.');
INSERT INTO db_cat_columns VALUES (9180, 1610, 'descript', 'Varchar (100)', 'Field to store additional information about the compound price');
INSERT INTO db_cat_columns VALUES (9190, 1610, 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (9200, 1610, 'price', 'Numeric(12,4)', 'Price');
INSERT INTO db_cat_columns VALUES (9210, 1620, 'id', 'int4', 'Compound value identifier.Primary key.');
INSERT INTO db_cat_columns VALUES (9220, 1620, 'compost_id', 'Varchar (16)', 'Compound price identifier related to the primary key of price compost table');
INSERT INTO db_cat_columns VALUES (9230, 1620, 'simple_id', 'Varchar (16)', 'Simple price identifier related to the primary key of price simple table');
INSERT INTO db_cat_columns VALUES (9240, 1620, 'value', 'Numeric(16,4)', 'Measurement');
INSERT INTO db_cat_columns VALUES (9250, 1630, 'id', 'Varchar (16)', 'Price units identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (9260, 1630, 'descript', 'Varchar (100)', 'Field to store additional information about the price value units.');
INSERT INTO db_cat_columns VALUES (9270, 1640, 'polygon_id', 'Varchar (16)', 'Polygon identifier');
INSERT INTO db_cat_columns VALUES (9280, 1640, 'the_geom', 'public.geometry', 'Geometry');
INSERT INTO db_cat_columns VALUES (9290, 1650, 'node_id', 'Varchar (16)', 'Node identifier');
INSERT INTO db_cat_columns VALUES (9300, 1650, 'the_geom', 'public.geometry', 'Geometry');
INSERT INTO db_cat_columns VALUES (9310, 1660, 'arc_id', 'Varchar (16)', 'Arc identifier');
INSERT INTO db_cat_columns VALUES (9320, 1660, 'the_geom', 'public.geometry', 'Geometry');
INSERT INTO db_cat_columns VALUES (9330, 1670, 'valve_id', 'Varchar (16)', 'Node identifier (of valve)');
INSERT INTO db_cat_columns VALUES (9340, 1670, 'the_geom', 'public.geometry', 'Geometry');
INSERT INTO db_cat_columns VALUES (9350, 1680, 'connec_id', 'Varchar (16)', 'Connec id');
INSERT INTO db_cat_columns VALUES (9360, 1680, 'the_geom', 'public.geometry', 'Geometry');
INSERT INTO db_cat_columns VALUES (30030, 10000, 'wsoftware', 'varchar(16)', 'Identifies the water software compatible with the project');
INSERT INTO db_cat_columns VALUES (30040, 10000, 'postgres', 'varchar(512)', 'Identifies the version of PostgreSQL where the project was created');
INSERT INTO db_cat_columns VALUES (30050, 10000, 'postgis', 'varchar(512)', 'Identifies the version of Postgis where the project was created');
INSERT INTO db_cat_columns VALUES (30070, 10020, 'id', 'varchar(18)', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (30080, 10020, 'node_proximity', 'double precision', 'Configuration parameter of node proximity related to trg_node_proximity function trigger');
INSERT INTO db_cat_columns VALUES (30090, 10020, 'arc_searchnodes', 'double precision', 'Configuration parameter of arc searching start and end nodes related to trg_arc_searchnodes function trigger');
INSERT INTO db_cat_columns VALUES (30100, 10020, 'node2arc', 'double precision', 'Configuration parameter of disconected nodes about it''s proximity to arcs related to fct_node2arc function');
INSERT INTO db_cat_columns VALUES (30110, 10020, 'connec_proximity', 'double precision', 'Configuration parameter of node proximity related to trg_connec_proximity function trigger');
INSERT INTO db_cat_columns VALUES (30120, 10020, 'arc_toporepair', 'double precision', 'Configuration parameter of arc repair related to fct_arc_toporepair function');
INSERT INTO db_cat_columns VALUES (30130, 10020, 'nodeinsert_arcendpoint', 'boolean', 'Configuration parameter of automatic node insert when endnode does not exist related to trg_arc_searchnodes function trigger');
INSERT INTO db_cat_columns VALUES (30150, 10020, 'orphannode_delete', 'boolean', 'Configuration parameter of automatic delete node when arc is deleted related to trg_orphannode_delete fuction trigger');
INSERT INTO db_cat_columns VALUES (30160, 10020, 'vnode_update_tolerance', 'double precision', 'Configuration parameter of defining node tolerance.');
INSERT INTO db_cat_columns VALUES (30170, 10020, 'nodetype_change_enabled', 'boolean', 'Enable change node type option.');
INSERT INTO db_cat_columns VALUES (30010, 10000, 'id', 'int4', 'ID of version. Primary key.');
INSERT INTO db_cat_columns VALUES (30020, 10000, 'giswater', 'varchar(16)', 'Identifies the version of giswater with the project was created');
INSERT INTO db_cat_columns VALUES (30190, 10020, 'node_proximity_control', 'boolean', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent nodes closet to other nodes');
INSERT INTO db_cat_columns VALUES (30210, 10020, 'node_duplicated_tolerance', 'float', 'Tolerace for function of node duplicated indentification');
INSERT INTO db_cat_columns VALUES (30200, 10020, 'connec_proximity_control', 'boolean', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent connec closet to other connec');
INSERT INTO db_cat_columns VALUES (30220, 10020, 'connec_duplicated_tolerance', 'float', 'Tolerace for function of connec duplicated indentification');
INSERT INTO db_cat_columns VALUES (30230, 10020, 'audit_function_control', 'boolean', 'Field to put enable (true) or dissabled (false) the audit function control');
INSERT INTO db_cat_columns VALUES (30240, 10020, 'arc_searchnodes_control', 'boolean', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent arcs without nodes at init or end position');
INSERT INTO db_cat_columns VALUES (30250, 10030, 'table_name', 'Varchar (50)', 'Name of table to insert csv data');
INSERT INTO db_cat_columns VALUES (30260, 10030, 'gis_client_layer_name', 'Varchar (50)', 'Alias of this table on the GIS project');
INSERT INTO db_cat_columns VALUES (30270, 10040, 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (30280, 10040, 'name', 'text', 'Name of the table');
INSERT INTO db_cat_columns VALUES (30290, 10040, 'project_type', 'text', 'Project type of the table (WS, UD or SE).');
INSERT INTO db_cat_columns VALUES (30300, 10040, 'context', 'text', 'Context where this table is showed');
INSERT INTO db_cat_columns VALUES (30310, 10040, 'db_cat_clientlayer_id', 'int4', 'Name of the GIS layer (if exists)');
INSERT INTO db_cat_columns VALUES (30320, 10040, 'description', 'text', 'description of the table');
INSERT INTO db_cat_columns VALUES (30330, 10050, 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (30340, 10050, 'name', 'text', 'Name of the view');
INSERT INTO db_cat_columns VALUES (30350, 10050, 'project_type', 'text', 'Project type of the table (WS, UD or SE).');
INSERT INTO db_cat_columns VALUES (30360, 10050, 'context', 'text', 'Context where this view is showed');
INSERT INTO db_cat_columns VALUES (30370, 10050, 'db_cat_clientlayer_id', 'int4', 'Name of the GIS layer (if exists)');
INSERT INTO db_cat_columns VALUES (30380, 10050, 'description', 'text', 'description of the table');
INSERT INTO db_cat_columns VALUES (30390, 10060, 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (30490, 10080, 'node_type', 'Varchar(30)', 'Type of the node');
INSERT INTO db_cat_columns VALUES (30410, 10060, 'db_cat_table_id', 'int4', 'Type of column');
INSERT INTO db_cat_columns VALUES (30990, 10190, 'anl_descript', 'text', 'Description of analysis.');
INSERT INTO db_cat_columns VALUES (30430, 10070, 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (30440, 10070, 'name', 'text', 'Name of the layer of the GIS project');
INSERT INTO db_cat_columns VALUES (30450, 10070, 'group_level_1', 'text', 'Group of the table of contents (ToC) where the layer is located. Level 1 of agrupation');
INSERT INTO db_cat_columns VALUES (30460, 10070, 'group_level_2', 'text', 'Group of the table of contents (ToC) where the layer is located. Level 2 of agrupation');
INSERT INTO db_cat_columns VALUES (30470, 10070, 'group_level_3', 'text', 'Group of the table of contents (ToC) where the layer is located. Level 3 of agrupation');
INSERT INTO db_cat_columns VALUES (30480, 10080, 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_columns VALUES (30950, 10190, 'mincut_result_type', 'varchar(30)', 'Type of minimum cut result');
INSERT INTO db_cat_columns VALUES (30500, 10080, 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_columns VALUES (30520, 10090, 'num_arcs', 'integer', 'Number of arcs joining the node');
INSERT INTO db_cat_columns VALUES (30510, 10090, 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_columns VALUES (30530, 10090, 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_columns VALUES (30540, 10100, 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_columns VALUES (30550, 10100, 'node_conserv', 'Varchar(16)', 'Node identifier of the duplicated node');
INSERT INTO db_cat_columns VALUES (30560, 10100, 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_columns VALUES (30600, 10110, 'arc_id', NULL, 'Arc identifier');
INSERT INTO db_cat_columns VALUES (30610, 10110, 'the_geom', 'public.geometry', 'Geometry of arc');
INSERT INTO db_cat_columns VALUES (30960, 10190, 'mincut_result_state', 'varchar(30)', 'State of minimum cut result');
INSERT INTO db_cat_columns VALUES (30980, 10190, 'anl_user', 'varchar(30)', 'User conducting the anlyssis');
INSERT INTO db_cat_columns VALUES (30640, 10130, 'id', 'int', 'Identifier of the error');
INSERT INTO db_cat_columns VALUES (30650, 10130, 'error_message', 'text', 'Message of the error');
INSERT INTO db_cat_columns VALUES (30660, 10130, 'hint_message', 'text', 'Hint message');
INSERT INTO db_cat_columns VALUES (30670, 10130, 'log_level', 'int2', 'Log level of the error');
INSERT INTO db_cat_columns VALUES (30680, 10130, 'show_user', 'boolean', 'Field to define to show (or not) to the user this message');
INSERT INTO db_cat_columns VALUES (30690, 10130, 'context', 'text', 'Context of the message');
INSERT INTO db_cat_columns VALUES (30700, 10140, 'id', 'int4', 'Identifier of the function');
INSERT INTO db_cat_columns VALUES (30710, 10140, 'name', 'text', 'Name of the function');
INSERT INTO db_cat_columns VALUES (30720, 10140, 'function_type', 'text', 'Type of the function (trigger function or function)');
INSERT INTO db_cat_columns VALUES (30730, 10140, 'context', 'text', 'Context of the function');
INSERT INTO db_cat_columns VALUES (30740, 10140, 'input_params', 'json', 'Input parameters of the function');
INSERT INTO db_cat_columns VALUES (30750, 10140, 'return_type', 'text', 'Type of return of the function');
INSERT INTO db_cat_columns VALUES (30760, 10150, 'id', 'bigserial', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (30770, 10150, 'tstamp', 'timestamp with time zone', 'Timestamp');
INSERT INTO db_cat_columns VALUES (30780, 10150, 'audit_cat_error_id', 'int', 'Identifier of the error');
INSERT INTO db_cat_columns VALUES (30790, 10150, 'audit_cat_function_id', 'int4', 'Identifier of the function');
INSERT INTO db_cat_columns VALUES (30800, 10150, 'query', 'text', 'String with the full query realized');
INSERT INTO db_cat_columns VALUES (30810, 10150, 'user_name', 'text', 'Name of the user');
INSERT INTO db_cat_columns VALUES (30830, 10150, 'debug_info', 'text', 'Additional information to debug');
INSERT INTO db_cat_columns VALUES (30840, 10160, 'arc_id', 'varchar (16)', 'Arc identifier');
INSERT INTO db_cat_columns VALUES (30850, 10160, 'the_geom', 'public.geometry', 'Geometry of arc');
INSERT INTO db_cat_columns VALUES (30860, 10110, 'length', 'float', 'Length of the arc');
INSERT INTO db_cat_columns VALUES (30890, 10170, 'connec_conserv', 'varchar (16)', NULL);
INSERT INTO db_cat_columns VALUES (30880, 10170, 'connec_id', 'varchar(16)', 'Connec identifier');
INSERT INTO db_cat_columns VALUES (30870, 10170, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (30900, 10170, 'the_geom', 'public.goemetry', 'Geometry of connec');
INSERT INTO db_cat_columns VALUES (30910, 10180, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (30930, 10180, 'arc_id', 'varchar(16)', 'Arc identifier');
INSERT INTO db_cat_columns VALUES (30920, 10180, 'mincut_result_cat_id', 'varchar(30)', 'Identificador del catalogo de resultados ');
INSERT INTO db_cat_columns VALUES (30940, 10190, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (30970, 10190, 'anl_tstamp', 'timestamp', NULL);
INSERT INTO db_cat_columns VALUES (31000, 10190, 'exec_forecast_date', 'date', NULL);
INSERT INTO db_cat_columns VALUES (31010, 10190, 'exec_start', 'timestamp', NULL);
INSERT INTO db_cat_columns VALUES (31040, 10190, 'exec_descript', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31050, 10200, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (30420, 10060, 'description', 'text', 'Description of the table');
INSERT INTO db_cat_columns VALUES (31680, 10060, 'column_type', 'text', 'Type of a column');
INSERT INTO db_cat_columns VALUES (31060, 10200, 'descript', 'text', 'Description of the state');
INSERT INTO db_cat_columns VALUES (31070, 10210, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (31080, 10210, 'descript', 'text', 'Description of the type');
INSERT INTO db_cat_columns VALUES (31090, 10220, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (31110, 10220, 'mincut_result_cat_id', 'varchar(30)', 'Identificador del catalogo de resultados ');
INSERT INTO db_cat_columns VALUES (31140, 10230, 'mincut_result_cat_id', 'varchar(30)', 'Identificador del catalogo de resultados ');
INSERT INTO db_cat_columns VALUES (31130, 10230, 'hydrometer_id', 'varchar(16)', 'Hydrometer identifier');
INSERT INTO db_cat_columns VALUES (31120, 10230, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (31150, 10240, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (31100, 10220, 'connec_id', 'varchar(16)', 'Connec identifier');
INSERT INTO db_cat_columns VALUES (31160, 10240, 'node_id', 'varchar(16)', 'Node identifier');
INSERT INTO db_cat_columns VALUES (31550, 10310, 'hydrometer_layer', 'varchar(30)', 'Name of hydrometer layer');
INSERT INTO db_cat_columns VALUES (31170, 10240, 'mincut_result_cat_id', 'varchar(30)', 'Identificador del catalogo de resultados ');
INSERT INTO db_cat_columns VALUES (31200, 10250, 'polygon_id', 'varchar(16)', 'Polygon identifier');
INSERT INTO db_cat_columns VALUES (31210, 10250, 'the_geom', 'public.geometry', 'Geometry of polygon');
INSERT INTO db_cat_columns VALUES (31560, 10310, 'hydrometer_field_code', 'varchar(30)', 'Name of field with hydrometer code');
INSERT INTO db_cat_columns VALUES (31830, 110, 'hydrometer_code', 'text', 'Code of hydrometer');
INSERT INTO db_cat_columns VALUES (31230, 10270, 'id', 'varchar(30)', 'Identifier.');
INSERT INTO db_cat_columns VALUES (31260, 10280, 'valve_id', 'varchar(16)', 'Valve identifier');
INSERT INTO db_cat_columns VALUES (31250, 10280, 'mincut_result_cat_id', 'varchar(30)', 'Identificador del catalogo de resultados ');
INSERT INTO db_cat_columns VALUES (31190, 10250, 'mincut_result_cat_id', 'varchar(30)', 'Identificador del catalogo de resultados ');
INSERT INTO db_cat_columns VALUES (31180, 10250, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (31240, 10280, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (31280, 10290, 'parameter_id', 'varchar(50)', 'Parameter identifier');
INSERT INTO db_cat_columns VALUES (31270, 10290, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (31290, 10290, 'value1', 'int', NULL);
INSERT INTO db_cat_columns VALUES (31300, 10290, 'value2', 'int', NULL);
INSERT INTO db_cat_columns VALUES (31310, 10290, 'count', 'int', NULL);
INSERT INTO db_cat_columns VALUES (31320, 10020, 'samenode_init_end_control', 'bool', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent arc with same begining and end node');
INSERT INTO db_cat_columns VALUES (31330, 10020, 'nodeinsert_catalog_vdefault', 'varchar(30)', 'Configuration parameter of default node values.');
INSERT INTO db_cat_columns VALUES (31220, 10260, 'id', 'varchar(30)', 'Identifier.');
INSERT INTO db_cat_columns VALUES (31570, 10310, 'hydrometer_field_urban_propierties_code', 'varchar(30)', 'Name of field with connec code');
INSERT INTO db_cat_columns VALUES (31360, 10300, 'raster_band_value', 'varchar(30)', 'Band from which the value is taken');
INSERT INTO db_cat_columns VALUES (31530, 10310, 'hydrometer_urban_propierties_layer', 'varchar(30)', 'Name of connec layer');
INSERT INTO db_cat_columns VALUES (31350, 10300, 'raster_layer', 'varchar(30)', 'Name of raster layer from which value is taken');
INSERT INTO db_cat_columns VALUES (31370, 10300, 'vector_layer', 'varchar(30)', 'Name of vector layer into which the values are inserted');
INSERT INTO db_cat_columns VALUES (31380, 10300, 'vector_field_value', 'varchar(30)', 'Name of field of vector layer into which the values are inserted');
INSERT INTO db_cat_columns VALUES (31710, 1340, 'user_name', 'varchar(50)', 'Name of a user who added the event.');
INSERT INTO db_cat_columns VALUES (31540, 10310, 'hydrometer_urban_propierties_field_code', 'varchar(30)', 'Name of field with connec code');
INSERT INTO db_cat_columns VALUES (31720, 1380, 'position_id', 'varchar(50)', NULL);
INSERT INTO db_cat_columns VALUES (31580, 10320, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (31600, 10320, 'ui_table', 'varchar(50)', NULL);
INSERT INTO db_cat_columns VALUES (31610, 10320, 'ui_column', 'varchar(50)', NULL);
INSERT INTO db_cat_columns VALUES (31620, 10320, 'status', 'bool', NULL);
INSERT INTO db_cat_columns VALUES (31400, 10310, 'ppoint_layer', 'varchar(30)', 'Name of point layer');
INSERT INTO db_cat_columns VALUES (31340, 10300, 'id', 'varchar(18)', 'Identifier.');
INSERT INTO db_cat_columns VALUES (31430, 10310, 'urban_propierties_layer', 'varchar(30)', 'Name of urban properties layer.');
INSERT INTO db_cat_columns VALUES (31640, 10320, 'column_index', 'smallint', NULL);
INSERT INTO db_cat_columns VALUES (31460, 10310, 'urban_propierties_field_number', 'varchar(30)', 'Name of field with entrance number');
INSERT INTO db_cat_columns VALUES (31470, 10310, 'street_layer', 'varchar(30)', 'Name of street layer');
INSERT INTO db_cat_columns VALUES (31480, 10310, 'street_field_code', 'varchar(30)', 'Name of field with street code');
INSERT INTO db_cat_columns VALUES (31490, 10310, 'street_field_name', 'varchar(30)', 'Name of field with street name');
INSERT INTO db_cat_columns VALUES (31500, 10310, 'portal_layer', 'varchar(30)', 'Name of entrance number layer');
INSERT INTO db_cat_columns VALUES (31510, 10310, 'portal_field_code', 'varchar(30)', 'Name of field with entrance code');
INSERT INTO db_cat_columns VALUES (31520, 10310, 'portal_field_number', 'varchar(30)', 'Name of field with entrance number');
INSERT INTO db_cat_columns VALUES (31440, 10310, 'urban_propierties_field_pzone', 'varchar(30)', 'Name of a field with zone data');
INSERT INTO db_cat_columns VALUES (31450, 10310, 'urban_propierties_field_block', 'varchar(30)', 'Name of field with block data');
INSERT INTO db_cat_columns VALUES (31880, 110, 'flow', 'text', 'Flow in flow units.');
INSERT INTO db_cat_columns VALUES (31690, 1410, 'doc_type', 'varchar(30)', 'Type of a document');
INSERT INTO db_cat_columns VALUES (31670, 10060, 'column_name', 'text', 'Name of a column');
INSERT INTO db_cat_columns VALUES (31700, 1410, 'user_name', 'varchar(30)', 'Name of a user who added the document.');
INSERT INTO db_cat_columns VALUES (31740, 100, 'hydrometer_type', 'varchar(100)', 'Type of a hydrometer');
INSERT INTO db_cat_columns VALUES (31750, 10330, 'id', 'varchar(16)', 'Entrance  identifier');
INSERT INTO db_cat_columns VALUES (31760, 10330, 'streetaxis', 'varchar(16)', 'Code of streeetat which the entrance is located');
INSERT INTO db_cat_columns VALUES (31770, 10330, 'postnumber', 'varchar(16)', 'Entrance number');
INSERT INTO db_cat_columns VALUES (31780, 10330, 'urban_properties_id', 'varchar(16)', 'Identifier of related urban propertie');
INSERT INTO db_cat_columns VALUES (31790, 10330, 'the_geom', 'public.geometry', 'Geometry of building entrance - point.');
INSERT INTO db_cat_columns VALUES (31800, 110, 'adress_number', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31810, 110, 'easel_diameter_mm', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31820, 110, 'diameter', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31840, 110, 'ulmc', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31850, 110, 'brand', 'text', 'The brand of hydrometer.');
INSERT INTO db_cat_columns VALUES (31860, 110, 'client_name', 'text', 'Client name.');
INSERT INTO db_cat_columns VALUES (31870, 110, 'digits_hydrometer', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31900, 110, 'cover', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31910, 110, 'multi_jet_flow', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31920, 110, 'instalation_date', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31930, 110, 'hydrometer_number', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31940, 110, 'kit_flag_ulmc', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31950, 110, 'technical_average', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31590, 10320, 'ui_form', 'varchar(50)', 'Name of a n UI form');
INSERT INTO db_cat_columns VALUES (31650, 10320, 'alias', 'varchar(50)', 'Alias of a field');
INSERT INTO db_cat_columns VALUES (31630, 10320, 'width', 'int', 'Width of a column');
INSERT INTO db_cat_columns VALUES (31410, 10310, 'ppoint_field_zone', 'varchar(30)', 'Name of field with ppoint zone');
INSERT INTO db_cat_columns VALUES (31960, 110, 'kink_date', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31980, 110, 'easel_diameter_pol', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31990, 110, 'hydrometer_flag', 'text', NULL);
INSERT INTO db_cat_columns VALUES (32000, 110, 'easel', 'text', NULL);
INSERT INTO db_cat_columns VALUES (32020, 110, 'class', 'text', NULL);
INSERT INTO db_cat_columns VALUES (32030, 110, 'voltman_flow', 'text', NULL);
INSERT INTO db_cat_columns VALUES (32040, 110, 'adress_adjunct', 'text', NULL);
INSERT INTO db_cat_columns VALUES (31970, 110, 'adress', 'text', NULL);
INSERT INTO db_cat_columns VALUES (32080, 730, 'author', 'varchar(50)', 'Author of a project');
INSERT INTO db_cat_columns VALUES (32090, 730, 'date', 'varchar(12)', 'Date of creating the project');
INSERT INTO db_cat_columns VALUES (32100, 10350, 'duration', 'varchar(10)', NULL);
INSERT INTO db_cat_columns VALUES (32110, 10350, 'hydraulic_timestep', 'varchar(10)', NULL);
INSERT INTO db_cat_columns VALUES (32120, 10350, 'quality_timestep', 'varchar(10)', NULL);
INSERT INTO db_cat_columns VALUES (32130, 10350, 'rule_timestep', 'varchar(10)', NULL);
INSERT INTO db_cat_columns VALUES (32140, 10350, 'pattern_timestep', 'varchar(10)', NULL);
INSERT INTO db_cat_columns VALUES (32150, 10350, 'pattern_start', 'varchar(10)', NULL);
INSERT INTO db_cat_columns VALUES (32160, 10350, 'report_timestep', 'varchar(10)', NULL);
INSERT INTO db_cat_columns VALUES (32170, 10350, 'report_start', 'varchar(10)', NULL);
INSERT INTO db_cat_columns VALUES (32180, 10350, 'start_clocktime', 'varchar(10)', NULL);
INSERT INTO db_cat_columns VALUES (32190, 10350, 'statistic', 'varchar(18)', NULL);
INSERT INTO db_cat_columns VALUES (32210, 450, 'hydraulic_anl', 'bool', NULL);
INSERT INTO db_cat_columns VALUES (32220, 450, 'mincut_anl', 'bool', NULL);
INSERT INTO db_cat_columns VALUES (32230, 360, 'node_type', 'varchar(18)', 'Node type.');
INSERT INTO db_cat_columns VALUES (32240, 10360, 'point_id', 'varchar(30)', 'Point identifier.');
INSERT INTO db_cat_columns VALUES (32250, 10360, 'point_type', 'varchar(18)', 'Point type.');
INSERT INTO db_cat_columns VALUES (32260, 10360, 'observ', 'varchar(512)', 'Observations.');
INSERT INTO db_cat_columns VALUES (32280, 10360, 'the_geom', 'public.geometry', 'Geometry of point.');
INSERT INTO db_cat_columns VALUES (32290, 10370, 'id', 'varchar(18)', 'Identifier of a point type.');
INSERT INTO db_cat_columns VALUES (32300, 10370, 'text', 'tex', 'Description.');
INSERT INTO db_cat_columns VALUES (32270, 10360, 'text', 'text', 'Description');
INSERT INTO db_cat_columns VALUES (32310, 10380, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (32320, 10380, 'the_geom', 'public.geometry', 'Presszone geometry');
INSERT INTO db_cat_columns VALUES (32340, 10380, 'sector', 'varchar(512)', NULL);
INSERT INTO db_cat_columns VALUES (32350, 10380, 'text', 'text', 'Description');
INSERT INTO db_cat_columns VALUES (32330, 10380, 'presszonecat_id', 'varchar(18)', 'Press zone catalog identifier');
INSERT INTO db_cat_columns VALUES (32360, 10390, 'hydrometer_id', 'varchar(16)', 'Hydrometer identifier');
INSERT INTO db_cat_columns VALUES (32370, 10400, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (32420, 1280, 'descript', 'varchar(254)', 'Description');
INSERT INTO db_cat_columns VALUES (32430, 1280, 'soilcat_id', 'varchar(16)', 'ID of the soil related to the arc');
INSERT INTO db_cat_columns VALUES (32440, 1280, 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (32450, 1280, 'buildercat_id', 'varchar(30)', 'ID of the builder related to arc');
INSERT INTO db_cat_columns VALUES (32460, 1280, 'workcat_id', 'varchar(255)', 'ID of the construction work related to arc');
INSERT INTO db_cat_columns VALUES (32470, 1280, 'location_type', 'varchar(18)', 'ID of the location type related to arc');
INSERT INTO db_cat_columns VALUES (32510, 1280, 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (32500, 1280, 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (32480, 1280, 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area)');
INSERT INTO db_cat_columns VALUES (32490, 1280, 'ownercat_id', 'varchar(30)', 'ID of the owner related to arc.');
INSERT INTO db_cat_columns VALUES (32520, 1280, 'builtdate', 'date', 'ID of the builder related to arc');
INSERT INTO db_cat_columns VALUES (32530, 1280, 'fluid_type', 'varchar(18)', 'ID of the fluid type related to arc');
INSERT INTO db_cat_columns VALUES (32580, 1270, 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (32570, 1270, 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (32560, 1270, 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (32550, 1270, 'ownercat_id', 'varchar(30)', 'ID of the owner related to node.');
INSERT INTO db_cat_columns VALUES (32540, 1270, 'node_type', 'varchar(30)', 'Node type.');
INSERT INTO db_cat_columns VALUES (32590, 1270, 'descript', 'varchar(254)', 'Description');
INSERT INTO db_cat_columns VALUES (32600, 1270, 'builtdate', 'date', 'ID of the builder related to node');
INSERT INTO db_cat_columns VALUES (32410, 1280, 'category_type', 'varchar(18)', 'ID of the category type related to arc');
INSERT INTO db_cat_columns VALUES (32610, 1270, 'category_type', 'varchar(18)', 'ID of the category type related to node.');
INSERT INTO db_cat_columns VALUES (32400, 10400, 'flow_sign', 'smallint', 'Flow sign');
INSERT INTO db_cat_columns VALUES (32620, 1270, 'workcat_id', 'varchar(255)', 'ID of the construction work related to node');
INSERT INTO db_cat_columns VALUES (32650, 1270, 'location_type', 'varchar(18)', 'ID of the location type related to node');
INSERT INTO db_cat_columns VALUES (32630, 1270, 'buildercat_id', 'varchar(50)', 'ID of the builder related to node');
INSERT INTO db_cat_columns VALUES (32640, 1270, 'dma_id', 'varchar(30)', 'ID of the management area related to the node (District Meter Area)');
INSERT INTO db_cat_columns VALUES (32660, 1270, 'fluid_type', 'varchar(18)', 'ID of the fluid type related to node');
INSERT INTO db_cat_columns VALUES (32670, 1270, 'soilcat_id', 'varchar(16)', 'ID of the soil related to the node');
INSERT INTO db_cat_columns VALUES (3280, 450, 'acessibility', 'boolean', 'Configuration parameter used on fct_min_cut function');
INSERT INTO db_cat_columns VALUES (31660, 10070, 'description', 'text', 'Description');
INSERT INTO db_cat_columns VALUES (31730, 1380, 'text', 'text', 'Description');
INSERT INTO db_cat_columns VALUES (32060, 30, 'text', 'text', 'Description');
INSERT INTO db_cat_columns VALUES (32050, 30, 'observ', 'text', 'Observation');
INSERT INTO db_cat_columns VALUES (32380, 10400, 'scada_id', 'varchar(16)', 'Id of a related scada receiver.');
INSERT INTO db_cat_columns VALUES (32390, 10400, 'dma_id', 'varchar(16)', 'ID of the management area related to the connect (District Meter Area)');
INSERT INTO db_cat_columns VALUES (32070, 730, 'title', 'varchar(254)', 'Title of a project');
INSERT INTO db_cat_columns VALUES (31420, 10310, 'ppoint_field_number', 'varchar(30)', 'Name of field with ppoint number');
INSERT INTO db_cat_columns VALUES (31390, 10310, 'id', 'varcgar(18)', 'Identifier.');





INSERT INTO db_cat_view VALUES (10, 'v_edit_node', 'ws', 'GIS feature', NULL, 'Shows editable information about nodes.');
INSERT INTO db_cat_view VALUES (20, 'v_edit_arc', 'ws', 'GIS feature', NULL, 'Shows editable information about arcs.');
INSERT INTO db_cat_view VALUES (30, 'v_edit_connec', 'ws', 'GIS feature', NULL, 'Shows editable information about arcs.');
INSERT INTO db_cat_view VALUES (40, 'v_edit _link', 'ws', 'GIS feature', NULL, 'Shows editable information about links.');
INSERT INTO db_cat_view VALUES (50, 'v_edit_valve', 'ws', 'GIS feature', NULL, 'Shows editable information about valves.');
INSERT INTO db_cat_view VALUES (60, 'v_edit_inp_junction', 'ws', 'Hydraulic feature', NULL, 'Shows editable information about node type junction');
INSERT INTO db_cat_view VALUES (70, 'v_edit_inp_pipe', 'ws', 'Hydraulic feature', NULL, 'Shows editable information about arc type pipe');
INSERT INTO db_cat_view VALUES (80, 'v_edit_inp_pump', 'ws', 'Hydraulic feature', NULL, 'Shows editable information about node type pump');
INSERT INTO db_cat_view VALUES (90, 'v_edit_inp_reservoir', 'ws', 'Hydraulic feature', NULL, 'Shows editable information about node type reservoir');
INSERT INTO db_cat_view VALUES (100, 'v_edit_inp_tank', 'ws', 'Hydraulic feature', NULL, 'Shows editable information about node type tank');
INSERT INTO db_cat_view VALUES (110, 'v_edit_inp_valve', 'ws', 'Hydraulic feature', NULL, 'Shows editable information about node type valve');
INSERT INTO db_cat_view VALUES (120, 'v_edit_inp_shortpipe', 'ws', 'Hydraulic input data', NULL, 'Shows editable information about editable features of shortpipe.');
INSERT INTO db_cat_view VALUES (130, 'v_arc', 'ws', 'Hydraulic input data', NULL, 'Shows the arc data.');
INSERT INTO db_cat_view VALUES (140, 'v_node', 'ws', 'Hydraulic input data', NULL, 'Shows the node data.');
INSERT INTO db_cat_view VALUES (150, 'v_arc_x_node1', 'ws', 'GIS feature', NULL, 'Shows the relation between arc and node 1.');
INSERT INTO db_cat_view VALUES (160, 'v_arc_x_node2', 'ws', 'GIS feature', NULL, 'Shows the relation between arc and node 2.');
INSERT INTO db_cat_view VALUES (170, 'v_arc_x_node', 'ws', 'GIS feature', NULL, 'Shows the relation between arc and nodes.');
INSERT INTO db_cat_view VALUES (180, 'v_ui_element_x_node', 'ws', 'Additional info of GIS feature', NULL, 'Contains the elements related to node. User Interface view.');
INSERT INTO db_cat_view VALUES (190, 'v_ui_element_x_arc', 'ws', 'Additional info of GIS feature', NULL, 'Contains the elements related to arc. User Interface view.');
INSERT INTO db_cat_view VALUES (200, 'v_ui_element_x_connec', 'ws', 'Additional info of GIS feature', NULL, 'Contains the elements related to connec. User Interface view.');
INSERT INTO db_cat_view VALUES (210, 'v_inp_curve', 'ws', 'Hydraulic input data', NULL, 'Shows the information about definition of the curve');
INSERT INTO db_cat_view VALUES (220, 'v_inp_demand', 'ws', 'Hydraulic input data', NULL, 'Shows the information about node''s demand');
INSERT INTO db_cat_view VALUES (230, 'v_inp_emiter', 'ws', 'Hydraulic input data', NULL, 'Shows the information about transmitters');
INSERT INTO db_cat_view VALUES (240, 'v_inp_energy_el', 'ws', 'Hydraulic input data', NULL, 'Shows the information about energy elements');
INSERT INTO db_cat_view VALUES (250, 'v_inp_junction', 'ws', 'Hydraulic input data', NULL, 'Shows the information about node type junction');
INSERT INTO db_cat_view VALUES (260, 'v_inp_mixing', 'ws', 'Hydraulic input data', NULL, 'Shows the information about mixing type inside tanks');
INSERT INTO db_cat_view VALUES (270, 'v_inp_options', 'ws', 'Hydraulic input data', NULL, 'Shows the general information with the simulation options');
INSERT INTO db_cat_view VALUES (280, 'v_inp_pipe', 'ws', 'Hydraulic input data', NULL, 'Shows theinformation about arc type pipe');
INSERT INTO db_cat_view VALUES (290, 'v_inp_pump', 'ws', 'Hydraulic input data', NULL, 'Shows the information about node type pump');
INSERT INTO db_cat_view VALUES (300, 'v_inp_report', 'ws', 'Hydraulic input data', NULL, 'Shows the information about the output simulation report.');
INSERT INTO db_cat_view VALUES (310, 'v_inp_reservoir', 'ws', 'Hydraulic input data', NULL, 'Shows the information about node type reservoir');
INSERT INTO db_cat_view VALUES (320, 'v_inp_rules', 'ws', 'Hydraulic input data', NULL, 'Shows the information about the control rules.');
INSERT INTO db_cat_view VALUES (330, 'v_inp_shortpipe', 'ws', 'Hydraulic input data', NULL, 'Shows  information about shortpipes.');
INSERT INTO db_cat_view VALUES (340, 'v_inp_source', 'ws', 'Hydraulic input data', NULL, 'Shows the information about contamination sources');
INSERT INTO db_cat_view VALUES (350, 'v_inp_status', 'ws', 'Hydraulic input data', NULL, 'Shows the information about the pipelines'' state');
INSERT INTO db_cat_view VALUES (360, 'v_inp_tank', 'ws', 'Hydraulic input data', NULL, 'Shows the information about node type tank');
INSERT INTO db_cat_view VALUES (370, 'v_inp_times', 'ws', 'Hydraulic input data', NULL, 'Shows the information about weather parameters');
INSERT INTO db_cat_view VALUES (380, 'v_inp_valve_cu', 'ws', 'Hydraulic input data', NULL, 'Shows the information about the valves regulated by the curve');
INSERT INTO db_cat_view VALUES (390, 'v_inp_valve_fl', 'ws', 'Hydraulic input data', NULL, 'Shows the information about the valves regulated by the flow');
INSERT INTO db_cat_view VALUES (430, 'v_rpt_arc', 'ws', 'Hydraulic result data', NULL, 'Shows the results of the arcs simulation');
INSERT INTO db_cat_view VALUES (400, 'v_inp_valve_lc', 'ws', 'Hydraulic input data', NULL, 'Shows the information about the valves regulated by the coefficiency of losses');
INSERT INTO db_cat_view VALUES (410, 'v_inp_valve_pr', 'ws', 'Hydraulic input data', NULL, 'Shows the information about the valves regulated by the pressure');
INSERT INTO db_cat_view VALUES (420, 'v_inp_vertice', 'ws', 'Hydraulic input data', NULL, 'Shows the information about the pipelines'' vertexes geometry');
INSERT INTO db_cat_view VALUES (440, 'v_rpt_energy_usage', 'ws', 'Hydraulic result data', NULL, 'Shows the results of the energy usage');
INSERT INTO db_cat_view VALUES (450, 'v_rpt_hydraulic_status', 'ws', 'Hydraulic result data', NULL, 'Shows the results of hydraulic status');
INSERT INTO db_cat_view VALUES (460, 'v_rpt_node', 'ws', 'Hydraulic result data', NULL, 'Shows the results of  the nodes simulation');
INSERT INTO db_cat_view VALUES (470, 'v_rpt_comp_arc', 'ws', 'Hydraulic result data', NULL, 'Shows the results of the alternative result (to compare on  QGIS project) related to arc information');
INSERT INTO db_cat_view VALUES (480, 'v_rpt_comp_energy_usage', 'ws', 'Hydraulic result data', NULL, 'Shows the results of the alternative result (to compare on  QGIS project) related to energy usagee');
INSERT INTO db_cat_view VALUES (490, 'v_rpt_comp_hydraulic_status', 'ws', 'Hydraulic result data', NULL, 'Shows the results of the alternative result (to compare on  QGIS project) related to hydraulic stataus');
INSERT INTO db_cat_view VALUES (500, 'v_rpt_comp_node', 'ws', 'Hydraulic result data', NULL, 'Shows the results of the alternative result (to compare on  QGIS project) related to node');
INSERT INTO db_cat_view VALUES (510, 'v_ui_event_x_node', 'ws', 'O&M information', NULL, 'Shows the events related to nodes. User interface table.');
INSERT INTO db_cat_view VALUES (520, 'v_ui_event_x_arc', 'ws', 'O&M information', NULL, 'Shows the events related to arcs. User interface table.');
INSERT INTO db_cat_view VALUES (530, 'v_ui_event_x_element', 'ws', 'O&M information', NULL, 'Shows the events related to elements. User interface table.');
INSERT INTO db_cat_view VALUES (540, 'v_ui_event_x_connec', 'ws', 'O&M information', NULL, 'Shows the events related to connects. User interface table.');
INSERT INTO db_cat_view VALUES (550, 'v_ui_event_x_element_x_node', 'ws', 'O&M information', NULL, 'Shows the events related to elements related to nodes. User Interface view.');
INSERT INTO db_cat_view VALUES (560, 'v_ui_event_x_element_x_connec', 'ws', 'O&M information', NULL, 'Shows the events related to elements related to connects. User Interface view.');
INSERT INTO db_cat_view VALUES (570, 'v_ui_event_x_element_x_arc', 'ws', 'O&M information', NULL, 'Shows the events related to elements related to arcs. User Interface view.');
INSERT INTO db_cat_view VALUES (580, 'v_ui_doc_x_node', 'ws', 'Document management', NULL, 'Shows the information of document related to nodes. User Interface view.');
INSERT INTO db_cat_view VALUES (590, 'v_ui_doc_x_arc', 'ws', 'Document management', NULL, 'Shows the information of document related to arcs. User Interface view.');
INSERT INTO db_cat_view VALUES (600, 'v_ui_doc_x_connec', 'ws', 'Document management', NULL, 'Shows the information of document related to connects. User Interface view.');
INSERT INTO db_cat_view VALUES (610, 'v_ui_scada_x_node', 'ws', 'Real time control', NULL, 'Shows the scada data related to the node User interface table.');
INSERT INTO db_cat_view VALUES (620, 'v_ui_hydrometer_x_connec', 'ws', 'Real time control', NULL, 'Shows the hydrometer data related to connects User interface table.');
INSERT INTO db_cat_view VALUES (630, 'v_rtc_hydrometer_period', 'ws', 'Real time control', NULL, 'Shows the hydrometer periods.');
INSERT INTO db_cat_view VALUES (640, 'v_rtc_dma_hydrometer_period', 'ws', 'Real time control', NULL, 'System view');
INSERT INTO db_cat_view VALUES (650, 'v_rtc_dma_parameter_period', 'ws', 'Real time control', NULL, 'System view');
INSERT INTO db_cat_view VALUES (660, 'v_rtc_hydrometer_x_arc', 'ws', 'Real time control', NULL, 'System view');
INSERT INTO db_cat_view VALUES (670, 'v_rtc_hydrometer_x_node_period', 'ws', 'Real time control', NULL, 'System view');
INSERT INTO db_cat_view VALUES (680, 'v_inp_demand', 'ws', 'Hydraulic input data', NULL, 'Data to model');
INSERT INTO db_cat_view VALUES (690, 'v_price_compost', 'ws', 'masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (700, 'v_price_x_catsoil1', 'ws', 'masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (710, 'v_price_x_catsoil2', 'ws', 'masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (720, 'v_price_x_catsoil3', 'ws', 'masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (730, 'v_price_x_catsoil4', 'ws', 'masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (740, 'v_price_x_catsoil', 'ws', 'masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (750, 'v_price_x_catarc1', 'ws', 'masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (760, 'v_price_x_catarc2', 'ws', 'masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (770, 'v_price_x_catarc3', 'ws', 'masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (780, 'v_price_x_catarc', 'ws', 'masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (790, 'v_price_x_catpavement', 'ws', 'masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (800, 'v_price_x_catnode', 'ws', 'masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (810, 'v_plan_ml_arc', 'ws', 'masterplan', NULL, 'View where is showed the characteristicis of arc by lineal meter (soil, pavement,…)');
INSERT INTO db_cat_view VALUES (820, 'v_plan_mlcost_arc', 'ws', 'masterplan', NULL, 'View where is showed the economic characteristicis of arc by lineal meter (soil, pavement,…) by lineal meter');
INSERT INTO db_cat_view VALUES (830, 'v_plan_cost_arc', 'ws', 'masterplan', NULL, 'View to show full data of cost of arc');
INSERT INTO db_cat_view VALUES (840, 'v_plan_arc', 'ws', 'masterplan', NULL, 'View only with the most important information about the cost of the arc');
INSERT INTO db_cat_view VALUES (850, 'v_plan_node', 'ws', 'masterplan', NULL, 'View only with the most important information about the cost of the node');
INSERT INTO db_cat_view VALUES (860, 'v_plan_arc_x_psector', 'ws', 'masterplan', NULL, 'View to show arcs related to plan sectors.');
INSERT INTO db_cat_view VALUES (870, 'v_plan_node_x_psector', 'ws', 'masterplan', NULL, 'View to show nodes related to plan sectors.');
INSERT INTO db_cat_view VALUES (880, 'v_plan_psector_arc', 'ws', 'masterplan', NULL, 'View to show sectors with the related arcs');
INSERT INTO db_cat_view VALUES (890, 'v_plan_psector_node', 'ws', 'masterplan', NULL, 'View to show sectors with the related nodes');
INSERT INTO db_cat_view VALUES (900, 'v_plan_other_x_psector', 'ws', 'masterplan', NULL, 'View to show other issues of budget related to plan sectors.');
INSERT INTO db_cat_view VALUES (910, 'v_plan_psector_other', 'ws', 'masterplan', NULL, 'View to show sectors with the related other issues of budget');
INSERT INTO db_cat_view VALUES (920, 'v_plan_psector', 'ws', 'masterplan', NULL, 'View to show sectors planifieds');
INSERT INTO db_cat_view VALUES (930, 'v_anl_mincut_connec', 'ws', 'Analysis', NULL, 'View with aggregated information of the results of mincut analysis (connec)');
INSERT INTO db_cat_view VALUES (940, 'v_anl_mincut_hydrometer', 'ws', 'Analysis', NULL, 'View with aggregated information of the results of mincut analysis (hydrometers)');
