/*
This file is part of Giswater 2.0
The program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This version of Giswater is provided by Giswater Association
*/


SET search_path = "SCHEMA_NAME", public, pg_catalog;



INSERT INTO db_cat_table VALUES ('anl_flow_trace_arc', 'Analysis', 'Table with the result offlow trace (downstream arcs)');
INSERT INTO db_cat_table VALUES ('inp_node_x_sector', 'Hydraulic input data', 'Contains the information about the nodes related to sector.');
INSERT INTO db_cat_table VALUES ('arc_type', 'system struture', 'Contains the types of arcs.');
INSERT INTO db_cat_table VALUES ('node_type', 'system struture', 'Contains the types of nodes.');
INSERT INTO db_cat_table VALUES ('element_type', 'system struture', 'Contains the types of elements.');
INSERT INTO db_cat_table VALUES ('cat_mat_arc', 'catalog', 'Catalog of arc''s material.');
INSERT INTO db_cat_table VALUES ('cat_mat_node', 'catalog', 'Catalog of node''s material.');
INSERT INTO db_cat_table VALUES ('cat_node', 'catalog', 'Catalog of nodes.');
INSERT INTO db_cat_table VALUES ('cat_mat_element', 'catalog', 'Catalog of element''s material.');
INSERT INTO db_cat_table VALUES ('cat_element', 'catalog', 'Catalog of elements.');
INSERT INTO db_cat_table VALUES ('cat_connec', 'catalog', 'Catalog of connections.');
INSERT INTO db_cat_table VALUES ('cat_grate', 'catalog', 'Catalog of grates.');
INSERT INTO db_cat_table VALUES ('cat_soil', 'catalog', 'Catalog of soils.');
INSERT INTO db_cat_table VALUES ('cat_builder', 'catalog', 'Catalog of constructors');
INSERT INTO db_cat_table VALUES ('cat_work', 'catalog', 'Catalog of constructions');
INSERT INTO db_cat_table VALUES ('cat_owner', 'catalog', 'Catalog of owners.');
INSERT INTO db_cat_table VALUES ('cat_pavement', 'catalog', 'Catalog of pavements.');
INSERT INTO db_cat_table VALUES ('man_type_category', 'value domain (type)', 'Domain data of types of management');
INSERT INTO db_cat_table VALUES ('man_type_fluid', 'value domain (type)', 'Domain data of types of fluid management');
INSERT INTO db_cat_table VALUES ('man_type_location', 'value domain (type)', 'Domain data of types of location management');
INSERT INTO db_cat_table VALUES ('man_type_street', 'value domain (type)', 'Domain data of types of street type management');
INSERT INTO db_cat_table VALUES ('connec_type', 'value domain (type)', 'Domain data of connect type.');
INSERT INTO db_cat_table VALUES ('sector', 'GIS feature', 'Table of spatial objects representing sectors.');
INSERT INTO db_cat_table VALUES ('node', 'GIS feature', 'Table of spatial objects representing nodes.');
INSERT INTO db_cat_table VALUES ('arc', 'GIS feature', 'Table of spatial objects representing arcs.');
INSERT INTO db_cat_table VALUES ('polygon', 'GIS feature', 'Table of spatial objects representing polygons.');
INSERT INTO db_cat_table VALUES ('dma', 'GIS feature', 'Table of spatial objects representing delimitation of management areas.');
INSERT INTO db_cat_table VALUES ('connec', 'GIS feature', 'Table of spatial objects representing connects.');
INSERT INTO db_cat_table VALUES ('vnode', 'GIS feature', 'Table of spatial objects representing vnode.');
INSERT INTO db_cat_table VALUES ('link', 'GIS feature', 'Table of spatial objects representing links.');
INSERT INTO db_cat_table VALUES ('gully', 'GIS feature', 'Table of spatial objects representing gullies.');
INSERT INTO db_cat_table VALUES ('man_junction', 'Additional info of GIS feature', 'Additional information for junction management');
INSERT INTO db_cat_table VALUES ('man_storage', 'Additional info of GIS feature', 'Additional information for storage management');
INSERT INTO db_cat_table VALUES ('man_outfall', 'Additional info of GIS feature', 'Additional information for outfall management');
INSERT INTO db_cat_table VALUES ('man_conduit', 'Additional info of GIS feature', 'Additional information for conduit management');
INSERT INTO db_cat_table VALUES ('element_x_node', 'Element', 'Contains the elements related to nodes');
INSERT INTO db_cat_table VALUES ('element_x_connec', 'Element', 'Contains the elements related to connects');
INSERT INTO db_cat_table VALUES ('element_x_gully', 'Element', 'Contains the elements related to gullies');
INSERT INTO db_cat_table VALUES ('value_state', 'value domain', 'Domain data with value describing the state');
INSERT INTO db_cat_table VALUES ('value_verified', 'value domain', 'Domain data with value describing the verification status.');
INSERT INTO db_cat_table VALUES ('value_yesno', 'value domain', 'Domain data with value yes/no');
INSERT INTO db_cat_table VALUES ('inp_selector_hydrology', 'Selector', 'Selector of hydrology.');
INSERT INTO db_cat_table VALUES ('inp_adjustments', 'Hydraulic input data', 'Adjustments are +- changes to temperature and evaporation or multipliers for rainfall that can vary month of the year');
INSERT INTO db_cat_table VALUES ('inp_aquifer', 'Hydraulic input data', 'Supplies parameters for each unconfined groundwater aquifer in the study area. Aquifers consist of two zones â a lower saturated zone and an upper unsaturated zone.');
INSERT INTO db_cat_table VALUES ('inp_backdrop', 'Hydraulic input data', 'Contains the information about system plan and its dimensions');
INSERT INTO db_cat_table VALUES ('inp_buildup_land_x_pol', 'Hydraulic input data', 'Specifies the rate at which pollutants build up over different land uses between rain events.');
INSERT INTO db_cat_table VALUES ('inp_conduit', 'Hydraulic input data', 'Identifies each conduit link of the drainage system. Conduits are pipes or channels that convey water from one node to another.');
INSERT INTO db_cat_table VALUES ('inp_controls', 'Hydraulic input data', 'Determines how pumps and regulators will be adjusted based on simulation time or conditions at specific nodes and links.');
INSERT INTO db_cat_table VALUES ('inp_coverage_land_x_subc', 'Hydraulic input data', 'Specifies the percentage of a subcatchmentâs area that is covered by each category of land use.');
INSERT INTO db_cat_table VALUES ('inp_curve', 'Hydraulic input data', 'Contains the information about curve definitions');
INSERT INTO db_cat_table VALUES ('inp_curve_id', 'Hydraulic input data', 'Curve catalog. This table could be edited through giswater control panel: Giswater ? Data ? Curves');
INSERT INTO db_cat_table VALUES ('inp_divider', 'Hydraulic input data', 'Identifies each flow divider node of the drainage system. Flow dividers are junctions with exactly two outflow conduits where the total outflow is divided between the two in a prescribed manner.');
INSERT INTO db_cat_table VALUES ('inp_dwf', 'Hydraulic input data', 'Specifies dry weather flow and its quality entering the drainage system at specific nodes.');
INSERT INTO db_cat_table VALUES ('inp_dwf_pol_x_node', 'Hydraulic input data', 'Specifies pollutant inflow to drainage system at specific nodes.');
INSERT INTO db_cat_table VALUES ('inp_evaporation', 'Hydraulic input data', 'Specifies how daily evaporation rates vary with time for the study area.');
INSERT INTO db_cat_table VALUES ('inp_files', 'Hydraulic input data', 'Contains the information about work files of SWMM');
INSERT INTO db_cat_table VALUES ('inp_groundwater', 'Hydraulic input data', 'Supplies parameters that determine the rate of groundwater flow between the aquifer underneath a subcatchment and a node of the conveyance system.');
INSERT INTO db_cat_table VALUES ('inp_hydrograph', 'Hydraulic input data', 'Specifies the shapes of the triangular unit hydrographs that determine the amount of rainfall-dependent infiltration/inflow (RDII) entering the drainage system.');
INSERT INTO db_cat_table VALUES ('inp_inflows', 'Hydraulic input data', 'Specifies external hydrographs and pollutographs that enter the drainage system at specific nodes.');
INSERT INTO db_cat_table VALUES ('inp_inflows_pol_x_node', 'Hydraulic input data', 'Specifies external hydrographs and pollutographs that enter the drainage system at specific nodes.');
INSERT INTO db_cat_table VALUES ('inp_junction', 'Hydraulic input data', 'Nodes with conection type');
INSERT INTO db_cat_table VALUES ('inp_label', 'Hydraulic input data', 'Contains the information about labels');
INSERT INTO db_cat_table VALUES ('inp_landuses', 'Hydraulic input data', 'Identifies the various categories of land uses within the drainage area. Each subcatchment area can be assigned a different mix of land uses. Each land use can be subjected to a different street sweeping schedule.');
INSERT INTO db_cat_table VALUES ('inp_lid_control', 'Hydraulic input data', 'Defines scale-independent LID controls that can be deployed within subcatchments.');
INSERT INTO db_cat_table VALUES ('plan_arc_x_pavement', 'Masterplan', 'Table to relate arcs to pavements');
INSERT INTO db_cat_table VALUES ('inp_loadings_pol_x_subc', 'Hydraulic input data', 'Specifies the pollutant buildup that exists on each subcatchment at the start of a simulation.');
INSERT INTO db_cat_table VALUES ('inp_mapdim', 'Hydraulic input data', 'Contains the information about the map dimensions');
INSERT INTO db_cat_table VALUES ('inp_mapunits', 'Hydraulic input data', 'Contains the information about map units');
INSERT INTO db_cat_table VALUES ('inp_options', 'Hydraulic input data', 'Contains the general information about the simulacion options');
INSERT INTO db_cat_table VALUES ('inp_orifice', 'Hydraulic input data', 'Identifies each orifice link of the drainage system. An orifice link serves to limit the flow exiting a node and is often used to model flow diversions.');
INSERT INTO db_cat_table VALUES ('inp_outfall', 'Hydraulic input data', 'Identifies each outfall node (i.e., final downstream boundary) of the drainage system and the corresponding water stage elevation. Only one link can be incident on an outfall node.');
INSERT INTO db_cat_table VALUES ('inp_outlet', 'Hydraulic input data', 'Identifies each outlet flow control device of the drainage system. These devices are used to model outflows from storage units or flow diversions that have a user-defined relation between flow rate and water depth.');
INSERT INTO db_cat_table VALUES ('inp_pattern', 'Hydraulic input data', 'Specifies time pattern of dry weather flow or quality in the form of adjustment factors applied as multipliers to baseline values. This table could be edited trough giswater control panel:Â Giswater ? Data ? Patterns');
INSERT INTO db_cat_table VALUES ('inp_pollutant', 'Hydraulic input data', 'Identifies the pollutants being analyzed.');
INSERT INTO db_cat_table VALUES ('inp_project_id', 'Project ID', 'Contains the general information about the project.');
INSERT INTO db_cat_table VALUES ('inp_pump', 'Hydraulic input data', 'Identifies each pump link of the drainage system.');
INSERT INTO db_cat_table VALUES ('inp_rdii', 'Hydraulic input data', 'Specifies the parameters that describe rainfall-dependent infiltration/inflow (RDII) entering the drainage system at specific nodes.');
INSERT INTO db_cat_table VALUES ('inp_report', 'Hydraulic input data', 'Contains the information about output simulation report');
INSERT INTO db_cat_table VALUES ('inp_snowmelt', 'Hydraulic input data', 'Snowmelt parameters are climatic variables that apply across the entire study area when simulating snowfall and snowmelt.');
INSERT INTO db_cat_table VALUES ('inp_snowpack', 'Hydraulic input data', 'Specifies parameters that govern how snowfall accumulates and melts on the plowable, impervious and pervious surfaces of subcatchments.');
INSERT INTO db_cat_table VALUES ('inp_storage', 'Hydraulic input data', 'Identifies each storage node of the drainage system. Storage nodes can have any shape as specified by a surface area versus water depth relation.');
INSERT INTO db_cat_table VALUES ('inp_temperature', 'Hydraulic input data', 'Specifies daily air temperatures, monthly wind speed, and various snowmelt parameters for the study area. Required only when snowmelt is being modeled or when evaporation rates are computed from daily temperatures or are read from an external climate file.');
INSERT INTO db_cat_table VALUES ('inp_timeseries', 'Hydraulic input data', 'Table relative to timeseries values. This table could be edited trough giswater control panel:Â Giswater ? Data ? Timeseries');
INSERT INTO db_cat_table VALUES ('inp_timser_id', 'Hydraulic input data', 'Timeseries catalog. This table could be edited trough giswater control panel:Â Giswater ? Data ? Timeseries');
INSERT INTO db_cat_table VALUES ('inp_transects', 'Hydraulic input data', 'Describes the cross-section geometry of natural channels or conduits with irregular shapes following the HEC-2 data format.');
INSERT INTO db_cat_table VALUES ('inp_treatment_node_x_pol', 'Hydraulic input data', 'Specifies the degree of treatment received by pollutants at specific nodes of the drainage system.');
INSERT INTO db_cat_table VALUES ('inp_arc_type', 'value domain (type) of hydraulic data', 'Value domain data with arc''s geometry');
INSERT INTO db_cat_table VALUES ('inp_node_type', 'value domain (type) of hydraulic data', 'Value domain data with node''s geometry');
INSERT INTO db_cat_table VALUES ('inp_giswater_config', 'system struture', 'Configuration table with the goal to integrate the Giswater java tool with the Giswater python plugin');
INSERT INTO db_cat_table VALUES ('inp_typevalue_divider', 'value domain (value) of hidraulic input data', 'Value domain data with divider type');
INSERT INTO db_cat_table VALUES ('inp_typevalue_evap', 'value domain (value) of hidraulic input data', 'Value domain data with evaporation type');
INSERT INTO db_cat_table VALUES ('inp_typevalue_orifice', 'value domain (value) of hidraulic input data', 'Value domain data with orifice type');
INSERT INTO db_cat_table VALUES ('inp_typevalue_outfall', 'value domain (value) of hidraulic input data', 'Value domain data with boundary conditions of outfall');
INSERT INTO db_cat_table VALUES ('inp_typevalue_outlet', 'value domain (value) of hidraulic input data', 'Value domain data with outlet values');
INSERT INTO db_cat_table VALUES ('inp_typevalue_pattern', 'value domain (value) of hidraulic input data', 'Value domain data with weather patterns');
INSERT INTO db_cat_table VALUES ('inp_typevalue_raingage', 'value domain (value) of hidraulic input data', 'Value domain data with rain data source type');
INSERT INTO db_cat_table VALUES ('inp_typevalue_storage', 'value domain (value) of hidraulic input data', 'Value domain data with data source which describes the geometry');
INSERT INTO db_cat_table VALUES ('inp_typevalue_temp', 'value domain (value) of hidraulic input data', 'Value domain data with temperature data source type');
INSERT INTO db_cat_table VALUES ('inp_typevalue_timeseries', 'value domain (value) of hidraulic input data', 'Value domain data with time serie data source type');
INSERT INTO db_cat_table VALUES ('inp_typevalue_windsp', 'value domain (value) of hidraulic input data', 'Value domain data with wind data source type');
INSERT INTO db_cat_table VALUES ('inp_value_allnone', 'value domain (value) of hidraulic input data', 'Value domain data with value none/all');
INSERT INTO db_cat_table VALUES ('inp_value_buildup', 'value domain (value) of hidraulic input data', 'Value domain data with function type available for acumulation of pollutants');
INSERT INTO db_cat_table VALUES ('inp_value_catarc', 'value domain (value) of hidraulic input data', 'Value domain data with catalog of conduit type');
INSERT INTO db_cat_table VALUES ('inp_value_curve', 'value domain (value) of hidraulic input data', 'Value domain data with catalog of curve type');
INSERT INTO db_cat_table VALUES ('inp_value_files_actio', 'value domain (value) of hidraulic input data', 'Value domain data with file action');
INSERT INTO db_cat_table VALUES ('inp_value_files_type', 'value domain (value) of hidraulic input data', 'Value domain data with file type');
INSERT INTO db_cat_table VALUES ('inp_value_inflows', 'value domain (value) of hidraulic input data', 'Value domain data with different data inflow values');
INSERT INTO db_cat_table VALUES ('inp_value_lidcontrol', 'value domain (value) of hidraulic input data', 'Value domain data with lidcontrol type');
INSERT INTO db_cat_table VALUES ('inp_value_mapunits', 'value domain (value) of hidraulic input data', 'Value domain data with map units');
INSERT INTO db_cat_table VALUES ('inp_value_options_fme', 'value domain (value) of hidraulic input data', 'Value domain data with option table, field force main equation. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES ('inp_value_options_fr', 'value domain (value) of hidraulic input data', 'Value domain data with option table, field flow routing. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES ('inp_value_options_fu', 'value domain (value) of hidraulic input data', 'Value domain data with option table, flow measurement units. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES ('plan_other_x_psector', 'Masterplan', 'Table of other objects related to plan sectors.');
INSERT INTO db_cat_table VALUES ('inp_value_options_id', 'value domain (value) of hidraulic input data', 'Value domain data with option table, inertial damping. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES ('inp_value_options_in', 'value domain (value) of hidraulic input data', 'Value domain data with option table, infiltration options. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES ('inp_value_options_lo', 'value domain (value) of hidraulic input data', 'Value domain data with option table, options. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES ('inp_value_options_nfl', 'value domain (value) of hidraulic input data', 'Value domain data with option table, limited normal flow. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES ('inp_value_orifice', 'value domain (value) of hidraulic input data', 'Value domain data with orifice geometry type. See appendix "C" of SWMM user''s manual for more information');
INSERT INTO db_cat_table VALUES ('inp_value_pollutants', 'value domain (value) of hidraulic input data', 'Value domain data with pollutant type');
INSERT INTO db_cat_table VALUES ('inp_value_raingage', 'value domain (value) of hidraulic input data', 'Value domain data with rain data format');
INSERT INTO db_cat_table VALUES ('inp_value_routeto', 'value domain (value) of hidraulic input data', 'Value domain data with direction types of the flow in the subcatchment');
INSERT INTO db_cat_table VALUES ('inp_value_status', 'value domain (value) of hidraulic input data', 'Value domain data with initial state of element');
INSERT INTO db_cat_table VALUES ('inp_value_timserid', 'value domain (value) of hidraulic input data', 'Value domain data with time serie type');
INSERT INTO db_cat_table VALUES ('inp_value_treatment', 'value domain (value) of hidraulic input data', 'Value domain data with deposits treatment type');
INSERT INTO db_cat_table VALUES ('inp_value_washoff', 'value domain (value) of hidraulic input data', 'Value domain data with washoff values.');
INSERT INTO db_cat_table VALUES ('inp_value_weirs', 'value domain (value) of hidraulic input data', 'Value domain data with weir geometry type');
INSERT INTO db_cat_table VALUES ('inp_value_yesno', 'value domain (value) of hidraulic input data', 'Value domain data with value yes/no');
INSERT INTO db_cat_table VALUES ('inp_washoff_land_x_pol', 'value domain (value) of hidraulic input data', 'Specifies the rate at which pollutants are washed off from different land uses during rain events.');
INSERT INTO db_cat_table VALUES ('inp_weir', 'value domain (value) of hidraulic input data', 'Identifies each weir link of the drainage system. Weirs are used to model flow diversions.');
INSERT INTO db_cat_table VALUES ('inp_windspeed', 'value domain (value) of hidraulic input data', 'Windspeed data.');
INSERT INTO db_cat_table VALUES ('raingage', 'GIS feature', 'Identifies each rain gage that provides rainfall data for the study area.');
INSERT INTO db_cat_table VALUES ('rpt_selector_result', 'Selector', 'Result''s sectors');
INSERT INTO db_cat_table VALUES ('rpt_arcflow_sum', 'Hydraulic result data', 'Contains the results of arc flow simulations.');
INSERT INTO db_cat_table VALUES ('rpt_arcpolload_sum', 'Hydraulic result data', 'Contains the results of arc pollutant load simulations.');
INSERT INTO db_cat_table VALUES ('rpt_condsurcharge_sum', 'Hydraulic result data', 'Contains the results of conduit surcharge simulations.');
INSERT INTO db_cat_table VALUES ('rpt_continuity_errors', 'Hydraulic result data', 'Contains the results of continuity errors simulations.');
INSERT INTO db_cat_table VALUES ('rpt_critical_elements', 'Hydraulic result data', 'Contains the results of critical elements simulations analysis');
INSERT INTO db_cat_table VALUES ('rpt_flowclass_sum', 'Hydraulic result data', 'Contains the results of flow classification simulations.');
INSERT INTO db_cat_table VALUES ('rpt_flowrouting_cont', 'Hydraulic result data', 'Contains the results of flow routing continuity simulations.');
INSERT INTO db_cat_table VALUES ('rpt_groundwater_cont', 'Hydraulic result data', 'Contains the results of groundwater continuity simulations');
INSERT INTO db_cat_table VALUES ('rpt_high_conterrors', 'Hydraulic result data', 'Contains the results of high continuity errors simulations.');
INSERT INTO db_cat_table VALUES ('rpt_high_flowinest_ind', 'Hydraulic result data', 'Contains the results of high flow instability index simulations.');
INSERT INTO db_cat_table VALUES ('rpt_instability_index', 'Hydraulic result data', 'Contains the results of instability index simulations.');
INSERT INTO db_cat_table VALUES ('rpt_lidperformance_sum', 'Hydraulic result data', 'Contains the results of LID performance simulations.');
INSERT INTO db_cat_table VALUES ('rpt_nodedepth_sum', 'Hydraulic result data', 'Contains the results of depth of nodes');
INSERT INTO db_cat_table VALUES ('rpt_nodeflooding_sum', 'Hydraulic result data', 'Contains the results of flooded nodes');
INSERT INTO db_cat_table VALUES ('rpt_nodeinflow_sum', 'Hydraulic result data', 'Contains the inflow value of nodes');
INSERT INTO db_cat_table VALUES ('rpt_nodesurcharge_sum', 'Hydraulic result data', 'Contains the surcharge value of nodes');
INSERT INTO db_cat_table VALUES ('rpt_outfallflow_sum', 'Hydraulic result data', 'Contains the results of outfall flow simulations.');
INSERT INTO db_cat_table VALUES ('rpt_outfallload_sum', 'Hydraulic result data', 'Contains the results of outfall load simulations.');
INSERT INTO db_cat_table VALUES ('rpt_pumping_sum', 'Hydraulic result data', 'Contains the results of pumping summary simulations.');
INSERT INTO db_cat_table VALUES ('rpt_qualrouting_cont', 'Hydraulic result data', 'Contains the results of quality routing continuity simulations.');
INSERT INTO db_cat_table VALUES ('rpt_rainfall_dep', 'Hydraulic result data', 'Contains the results of rainfall dependent simulations.');
INSERT INTO db_cat_table VALUES ('rpt_cat_result', 'Hydraulic result data', 'Result''s catalog');
INSERT INTO db_cat_table VALUES ('rpt_routing_timestep', 'Hydraulic result data', 'Contains the results of routing timestep simulations');
INSERT INTO db_cat_table VALUES ('rpt_runoff_qual', 'Hydraulic result data', 'Contains the results of runoff quality simulations .');
INSERT INTO db_cat_table VALUES ('rpt_runoff_quant', 'Hydraulic result data', 'Contains the results of runoff quantity simulations .');
INSERT INTO db_cat_table VALUES ('rpt_storagevol_sum', 'Hydraulic result data', 'Contains the results of storage volume simulations');
INSERT INTO db_cat_table VALUES ('rpt_subcatchwashoff_sum', 'Hydraulic result data', 'Contains the results of subcatchment washoff simulations.');
INSERT INTO db_cat_table VALUES ('rpt_subcathrunoff_sum', 'Hydraulic result data', 'Contains the results from subcatchments');
INSERT INTO db_cat_table VALUES ('rpt_timestep_critelem', 'Hydraulic result data', 'Contains the results of timestep critical elements simulations');
INSERT INTO db_cat_table VALUES ('rpt_selector_compare', 'Selector', 'Selector to provide to the hydraulic analyst the possibility to compare two results on the GIS project');
INSERT INTO db_cat_table VALUES ('inp_selector_sector', 'Selector', 'Sector''s selector');
INSERT INTO db_cat_table VALUES ('subcatchment', 'GeometrÃ­a', 'Identifies each subcatchment within the study area. Subcatchments are land area units which generate runoff from rainfall.');
INSERT INTO db_cat_table VALUES ('doc_type', 'Document management', 'Contains the document''s types.');
INSERT INTO db_cat_table VALUES ('cat_doc', 'Document management', 'Catalog of document''s types.');
INSERT INTO db_cat_table VALUES ('cat_tag', 'Document management', 'Catalog of tags.');
INSERT INTO db_cat_table VALUES ('doc', 'Document management', 'Contains the documents.');
INSERT INTO db_cat_table VALUES ('doc_x_node', 'Document management', 'Contains the document related to nodes.');
INSERT INTO db_cat_table VALUES ('doc_x_arc', 'Document management', 'Contains the document related to arcs.');
INSERT INTO db_cat_table VALUES ('doc_x_connec', 'Document management', 'Contains the document related to connections.');
INSERT INTO db_cat_table VALUES ('doc_x_gully', 'Document management', 'Contains the document related to gullies.');
INSERT INTO db_cat_table VALUES ('plan_psector', 'Masterplan', 'Table of plan sector.');
INSERT INTO db_cat_table VALUES ('plan_arc_x_psector', 'Masterplan', 'Table of arcs related to plan sectors.');
INSERT INTO db_cat_table VALUES ('plan_node_x_psector', 'Masterplan', 'Table of nodes related to plan sectors.');
INSERT INTO db_cat_table VALUES ('plan_value_ps_priority', 'Masterplan', 'Domain value table of levels of priority related to psectors');
INSERT INTO db_cat_table VALUES ('plan_selector_psector', 'Masterplan', 'Table of plan sector selectors.');
INSERT INTO db_cat_table VALUES ('price_simple', 'Masterplan', 'Table of simple price.');
INSERT INTO db_cat_table VALUES ('price_compost', 'Masterplan', 'Table of compound prices');
INSERT INTO db_cat_table VALUES ('price_compost_value', 'Masterplan', 'Table to relate simple prices to compound prices');
INSERT INTO db_cat_table VALUES ('price_value_unit', 'Masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('anl_flow_exit_node', 'Analysis', 'Table with the result of flow trace (downstream nodes)');
INSERT INTO db_cat_table VALUES ('anl_flow_exit_arc', 'Analysis', 'Table with the result offlow trace (downstream arcs)');
INSERT INTO db_cat_table VALUES ('anl_flow_trace_node', 'Analysis', 'Table with the result offlow trace (upstream nodes)');
INSERT INTO db_cat_table VALUES ('version', 'utils', 'Table to control de version of the software used on the project.');
INSERT INTO db_cat_table VALUES ('config', 'utils', 'Table to define diferent configuration parameters related to the GIS USER interface.');
INSERT INTO db_cat_table VALUES ('config_csv_import', 'utils', 'Table to define the tables enabled for csv import tool');
INSERT INTO db_cat_table VALUES ('db_cat_table', 'utils', 'Table with the information of tables of the project');
INSERT INTO db_cat_table VALUES ('db_cat_view', 'utils', 'Table with the information of views of the project');
INSERT INTO db_cat_table VALUES ('db_cat_columns', 'utils', 'Table with the information of columns of the project');
INSERT INTO db_cat_table VALUES ('db_cat_clientlayer', 'utils', 'Table with the information of GIS layers of the project');
INSERT INTO db_cat_table VALUES ('anl_node_orphan', 'utils', 'Table with the results of the topology process of node orphan function');
INSERT INTO db_cat_table VALUES ('anl_node_sink', 'utils', 'Table with the results of the topology process of node sink function');
INSERT INTO db_cat_table VALUES ('anl_node_duplicated', 'utils', 'Table with the results of the topology process of node duplicated function');
INSERT INTO db_cat_table VALUES ('anl_arc_same_startend', 'utils', 'Table with the results of the topology process of arcs with same node initial and end function');
INSERT INTO db_cat_table VALUES ('audit_cat_error', 'utils', 'Catalog of errors');
INSERT INTO db_cat_table VALUES ('audit_cat_function', 'utils', 'Catalog of functions');
INSERT INTO db_cat_table VALUES ('audit_function_actions', 'utils', 'Table to store information about traceability of user actions with functions');
INSERT INTO db_cat_table VALUES ('config_extract_raster_value', 'utils', 'Table to define the configuration of extracting values from raster');
INSERT INTO db_cat_table VALUES ('config_search_plus', 'utils', 'Table to define the configuration of search plus tool');
INSERT INTO db_cat_table VALUES ('config_ui_forms', 'utils', 'Table to define the configuration of forms.');
INSERT INTO db_cat_table VALUES ('element_x_arc', 'GIS Feature', 'Contains the elements related to arc.');
INSERT INTO db_cat_table VALUES ('inp_selector_state', 'Selector', 'State''s selector. Contains the diferents states that will be exported to the model');
INSERT INTO db_cat_table VALUES ('element', 'Element', 'Contains the elements');
INSERT INTO db_cat_table VALUES ('config_param_bool', 'utils', 'Configuration-  stash for boolean parameters.');
INSERT INTO db_cat_table VALUES ('config_param_float', 'utils', 'Configuration-  stash for float parameters.');
INSERT INTO db_cat_table VALUES ('config_param_int', 'utils', 'Configuration-  stash for integer parameters.');
INSERT INTO db_cat_table VALUES ('config_param_text', 'utils', 'Configuration-  stash for text parameters.');
INSERT INTO db_cat_table VALUES ('config_py_tables', 'utils', 'Table with layers which are necessary to the correct functioning of the plugin');
INSERT INTO db_cat_table VALUES ('om_visit', 'O&M information', 'Table of all visits that took place.');
INSERT INTO db_cat_table VALUES ('om_visit_event', 'O&M information', 'Table of events that took place during the visit.');
INSERT INTO db_cat_table VALUES ('om_visit_parameter', 'O&M information', 'Catalog of parameters related to event types.');
INSERT INTO db_cat_table VALUES ('om_visit_parameter_type', 'O&M information', 'Catalog of types of events.');
INSERT INTO db_cat_table VALUES ('om_visit_value_position', 'O&M information', 'Catalog of event''s location.');
INSERT INTO db_cat_table VALUES ('om_visit_x_arc', 'O&M information', 'Table of visits related to arc.');
INSERT INTO db_cat_table VALUES ('om_visit_x_connec', 'O&M information', 'Table of visits related to connec.');
INSERT INTO db_cat_table VALUES ('om_visit_x_gully', 'O&M information', 'Table of visits related to gully.');
INSERT INTO db_cat_table VALUES ('om_visit_x_node', 'O&M information', 'Table of visits related to node.');
INSERT INTO db_cat_table VALUES ('ext_type_street', 'external table', 'Catalog of street types.');
INSERT INTO db_cat_table VALUES ('ext_streetaxis', 'external table', 'Table of streetaxis.');
INSERT INTO db_cat_table VALUES ('ext_urban_propierties', 'external table', 'Table of urban properties');
INSERT INTO db_cat_table VALUES ('ext_postnumber', 'external table', 'Table of entrance numbers.');
INSERT INTO db_cat_table VALUES ('ext_cat_hydrometer', 'external table', 'Catalog of hydrometers receivers.');
INSERT INTO db_cat_table VALUES ('ext_cat_period', 'external table', 'Catalog of time periods.');
INSERT INTO db_cat_table VALUES ('ext_cat_scada', 'external table', 'Catalog of scada receivers.');
INSERT INTO db_cat_table VALUES ('ext_hydrometer_category', 'external table', 'Catalog of hydrometer categories.');
INSERT INTO db_cat_table VALUES ('ext_rtc_hydrometer', 'external table', 'Table of hydrometer receivers.');
INSERT INTO db_cat_table VALUES ('ext_rtc_hydrometer_x_data', 'external table', 'Agregated data obtained from hydrometer receivers.');
INSERT INTO db_cat_table VALUES ('ext_rtc_hydrometer_x_value', 'external table', 'Values obtained from hydrometer receivers.');
INSERT INTO db_cat_table VALUES ('ext_rtc_scada', 'external table', 'Table of scada receivers.');
INSERT INTO db_cat_table VALUES ('ext_rtc_scada_dma_period', 'external table', 'Data from scada related to date and dma.');
INSERT INTO db_cat_table VALUES ('ext_rtc_scada_x_data', 'external table', 'Agregated data obtained from scada receivers.');
INSERT INTO db_cat_table VALUES ('ext_rtc_scada_x_value', 'external table', 'Values obtained from scada receivers.');
INSERT INTO db_cat_table VALUES ('man_manhole', 'Additional info of GIS feature', 'Additional information for manhole management');
INSERT INTO db_cat_table VALUES ('man_netgully', 'Additional info of GIS feature', 'Additional information for netgully management');
INSERT INTO db_cat_table VALUES ('man_netinit', 'Additional info of GIS feature', 'Additional information for netinit management');
INSERT INTO db_cat_table VALUES ('man_selector_state', 'Additional info of GIS feature', 'Additional information for state selector management');
INSERT INTO db_cat_table VALUES ('man_siphon', 'Additional info of GIS feature', 'Additional information for siphon management');
INSERT INTO db_cat_table VALUES ('man_valve', 'Additional info of GIS feature', 'Additional information for valve management');
INSERT INTO db_cat_table VALUES ('man_varc', 'Additional info of GIS feature', 'Additional information for virtual arc management');
INSERT INTO db_cat_table VALUES ('man_waccel', 'Additional info of GIS feature', 'Additional information for water accelerator management');
INSERT INTO db_cat_table VALUES ('man_wjump', 'Additional info of GIS feature', 'Additional information for water jump management');
INSERT INTO db_cat_table VALUES ('man_wwtp', 'Additional info of GIS feature', 'Additional information for wastewater treatment plant management');
INSERT INTO db_cat_table VALUES ('rtc_hydrometer', 'Real time control', 'Contains the information to link SCADA with hydrometers');
INSERT INTO db_cat_table VALUES ('rtc_hydrometer_x_connec', 'Real time control', 'Contains the information to link connec with hydrometer');
INSERT INTO db_cat_table VALUES ('rtc_options', 'Real time control', 'Options for real time control');
INSERT INTO db_cat_table VALUES ('rtc_scada_node', 'Real time control', 'Contains the information to link SCADA with nodes');
INSERT INTO db_cat_table VALUES ('rtc_scada_x_dma', 'Real time control', 'Contains the information to link SCADA with dma');
INSERT INTO db_cat_table VALUES ('v_audit_schema_catalog_column', NULL, NULL);
INSERT INTO db_cat_table VALUES ('rtc_scada_x_sector', 'Real time control', 'Contains the information to link SCADA with sector.');
INSERT INTO db_cat_table VALUES ('rtc_value_opti_coef', 'Real time control', 'Value domain for options of real time control');
INSERT INTO db_cat_table VALUES ('rtc_value_opti_status', 'Real time control', 'Value domain for options of real time control');
INSERT INTO db_cat_table VALUES ('anl_connec_duplicated', 'Analysis', 'Table of duplicated connecs');
INSERT INTO db_cat_table VALUES ('plan_selector_state', 'masterplan', 'Domain data with value describing the state for masterplan');
INSERT INTO db_cat_table VALUES ('man_chamber', 'Additional info of GIS feature', 'Additional information for chamber management');
INSERT INTO db_cat_table VALUES ('point', 'GIS features', 'Table of spatial objects representing points.');
INSERT INTO db_cat_table VALUES ('anl_arc_no_startend_node', 'Analysis', 'Table with the results of the topology process of arcs with no nodes on start and/or end function');
INSERT INTO db_cat_table VALUES ('v_edit_arc', 'Shows editable information about arcs.', 'Shows editable information about arcs.');
INSERT INTO db_cat_table VALUES ('v_edit_connec', 'Shows editable information about connects.', 'Shows editable information about connects.');
INSERT INTO db_cat_table VALUES ('v_edit_link', 'Shows editable information about links.', 'Shows editable information about links.');
INSERT INTO db_cat_table VALUES ('v_edit_gully', 'Shows editable information about gullys.', 'Shows editable information about gullys.');
INSERT INTO db_cat_table VALUES ('v_edit_inp_junction', 'GIS feature', 'Shows editable information about junctions.');
INSERT INTO db_cat_table VALUES ('v_edit_inp_divider', 'GIS feature', 'Shows editable information about dividers.');
INSERT INTO db_cat_table VALUES ('v_edit_inp_outfall', 'GIS feature', 'Shows editable information about outfalls.');
INSERT INTO db_cat_table VALUES ('v_edit_inp_storage', 'GIS feature', 'Shows editable information about storages.');
INSERT INTO db_cat_table VALUES ('v_edit_inp_conduit', 'GIS feature', 'Shows editable information about conduits.');
INSERT INTO db_cat_table VALUES ('v_edit_inp_orifice', 'GIS feature', 'Shows editable information about orifices.');
INSERT INTO db_cat_table VALUES ('v_edit_inp_outlet', 'GIS feature', 'Shows editable information about outlets.');
INSERT INTO db_cat_table VALUES ('v_edit_inp_pump', 'GIS feature', 'Shows editable information about pumps.');
INSERT INTO db_cat_table VALUES ('v_edit_inp_weir', 'GIS feature', 'Shows editable information about weirs.');
INSERT INTO db_cat_table VALUES ('v_arc', 'Hydraulic input data', 'Shows the arc data.');
INSERT INTO db_cat_table VALUES ('v_node', 'Hydraulic input data', 'Shows the node data.');
INSERT INTO db_cat_table VALUES ('v_arc_x_node1', 'Auxiliar', 'Shows the relation between arc and nodes1.');
INSERT INTO db_cat_table VALUES ('v_arc_x_node2', 'Auxiliar', 'Shows the relation between arc and node2.');
INSERT INTO db_cat_table VALUES ('v_arc_x_node', 'Auxiliar', 'Shows the relation between arc and nodes.');
INSERT INTO db_cat_table VALUES ('v_ui_element_x_node', 'Element management', 'Contains the elements related to node. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_element_x_connec', 'Element management', 'Contains the elements related to connect. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_element_x_gully', 'Element management', 'Contains the elements related to gully. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_element_x_arc', 'Element management', 'Contains the elements related to arc. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_inp_buildup', 'INP data', 'Shows the information about velocity of the pollutants that accumulate on the surface');
INSERT INTO db_cat_table VALUES ('v_inp_conduit_cu', 'INP data', 'Shows the information about special conduits (custom)');
INSERT INTO db_cat_table VALUES ('v_inp_conduit_no', 'INP data', 'Shows the information about conduits');
INSERT INTO db_cat_table VALUES ('v_inp_conduit_xs', 'INP data', 'Shows the information about special conduits (transects)');
INSERT INTO db_cat_table VALUES ('v_inp_controls', 'INP data', 'Shows the information about the control rules');
INSERT INTO db_cat_table VALUES ('v_inp_coverages', 'INP data', 'Shows the information about the relation between subcatchments and landuses');
INSERT INTO db_cat_table VALUES ('v_inp_curve', 'INP data', 'Shows the information about the curve definitions');
INSERT INTO db_cat_table VALUES ('v_inp_divider_cu', 'INP data', 'Shows the information about the dividers type cutoff');
INSERT INTO db_cat_table VALUES ('v_inp_divider_ov', 'INP data', 'Shows the information about the dividers type overflow.');
INSERT INTO db_cat_table VALUES ('v_inp_divider_tb', 'INP data', 'Shows the information about dividers type tabular');
INSERT INTO db_cat_table VALUES ('v_inp_divider_wr', 'INP data', 'Shows the information about dividers type weir');
INSERT INTO db_cat_table VALUES ('v_inp_dwf_flow', 'INP data', 'Shows the information about flow during the dry period');
INSERT INTO db_cat_table VALUES ('v_inp_dwf_load', 'INP data', 'Shows the information about the relation between the pollutant and the node');
INSERT INTO db_cat_table VALUES ('v_inp_evap_co', 'INP data', 'Shows the information about the evaporation with the constant format type');
INSERT INTO db_cat_table VALUES ('v_inp_evap_do', 'INP data', 'Shows the information about the evaporation');
INSERT INTO db_cat_table VALUES ('v_inp_evap_fl', 'INP data', 'Shows the information about the evaporation with the file format type');
INSERT INTO db_cat_table VALUES ('v_inp_evap_mo', 'INP data', 'Shows the information about the evaporation with the monthly format type');
INSERT INTO db_cat_table VALUES ('v_inp_evap_pa', 'INP data', 'Shows the information about the evaporation with the pan format type');
INSERT INTO db_cat_table VALUES ('v_inp_evap_te', 'INP data', 'Shows the information about the evaporation with the temperature format type');
INSERT INTO db_cat_table VALUES ('v_inp_evap_ts', 'INP data', 'Shows the information about the evaporation with the timeseries format type');
INSERT INTO db_cat_table VALUES ('v_inp_groundwater', 'INP data', 'Shows the information about groundwaters');
INSERT INTO db_cat_table VALUES ('v_inp_infiltration_cu', 'INP data', 'Shows the information about the infiltration using Curve-Number method');
INSERT INTO db_cat_table VALUES ('v_inp_infiltration_gr', 'INP data', 'Shows the information about the infiltration using Green-Ampt method');
INSERT INTO db_cat_table VALUES ('v_inp_infiltration_ho', 'INP data', 'Shows the information about the infiltration using Horton method');
INSERT INTO db_cat_table VALUES ('v_inp_inflows_flow', 'INP data', 'Shows the information about the inflows related in terms of flow, to nodes (if the user has defined it)');
INSERT INTO db_cat_table VALUES ('v_inp_inflows_load', 'INP data', 'Shows the information about the inflows related in terms of pollutants to nodes (if the user has defined it)');
INSERT INTO db_cat_table VALUES ('v_inp_junction', 'INP data', 'Identifies each junction node of the drainage system. Junctions are points in space where channels and pipes connect together. For sewer systems they can be either connection fittings or manholes.');
INSERT INTO db_cat_table VALUES ('v_inp_landuses', 'INP data', 'Shows the information about land use');
INSERT INTO db_cat_table VALUES ('v_inp_lidcontrol', 'INP data', 'Shows the information about LID controls');
INSERT INTO db_cat_table VALUES ('v_inp_lidusage', 'INP data', 'Shows the information about LID usage.');
INSERT INTO db_cat_table VALUES ('v_inp_loadings', 'INP data', 'Shows the information about loadings.');
INSERT INTO db_cat_table VALUES ('v_inp_losses', 'INP data', 'Shows the information about the coefficiency of losses and conduits behaviour');
INSERT INTO db_cat_table VALUES ('v_inp_options', 'INP data', 'Shows the general information with the simulation options');
INSERT INTO db_cat_table VALUES ('v_inp_orifice', 'INP data', 'Show the information about arcs type orifice');
INSERT INTO db_cat_table VALUES ('v_inp_outfall_fi', 'INP data', 'Shows the information about outfalls with fixed format type');
INSERT INTO db_cat_table VALUES ('v_inp_outfall_fr', 'INP data', 'Shows the information about outfalls with free format type');
INSERT INTO db_cat_table VALUES ('v_inp_outfall_nm', 'INP data', 'Shows the information about outfalls with normal format type');
INSERT INTO db_cat_table VALUES ('samplepoint', 'GIS feature', 'Table of spatial objects representing sample points.');
INSERT INTO db_cat_table VALUES ('v_inp_outfall_ti', 'INP data', 'Shows the information about outfalls with tidal format type');
INSERT INTO db_cat_table VALUES ('v_audit_schema_catalog_compare_column', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_inp_outfall_ts', 'INP data', 'Shows the information about outfalls with timeseries format type');
INSERT INTO db_cat_table VALUES ('v_inp_outlet_fcd', 'INP data', 'Shows the information about outlet with functional/depth format type');
INSERT INTO db_cat_table VALUES ('v_inp_outlet_fch', 'INP data', 'Shows the information about outlet with functional/head format type');
INSERT INTO db_cat_table VALUES ('v_inp_outlet_tbd', 'INP data', 'Shows the information about outlet with tabular/depth format type');
INSERT INTO db_cat_table VALUES ('v_inp_outlet_tbh', 'INP data', 'Shows the information about outlet with tabular/head format type');
INSERT INTO db_cat_table VALUES ('v_inp_pattern_dl', 'INP data', 'Shows the daily time pattern');
INSERT INTO db_cat_table VALUES ('v_inp_pattern_ho', 'INP data', 'Shows the hourly time pattern');
INSERT INTO db_cat_table VALUES ('v_inp_pattern_mo', 'INP data', 'Shows the monthly time pattern');
INSERT INTO db_cat_table VALUES ('v_inp_pattern_we', 'INP data', 'Shows the weekly time pattern');
INSERT INTO db_cat_table VALUES ('v_inp_pump', 'INP data', 'Shows the information about the arcs type pump');
INSERT INTO db_cat_table VALUES ('v_inp_rdii', 'INP data', 'Shows the information about rainfall-dependent infiltration/inflow (RDII).');
INSERT INTO db_cat_table VALUES ('v_inp_rgage_fl', 'INP data', 'Shows the information about the rain with file format');
INSERT INTO db_cat_table VALUES ('v_inp_rgage_ts', 'INP data', 'Shows the information about the rain with time series');
INSERT INTO db_cat_table VALUES ('v_inp_snowpack', 'INP data', 'Shows the information about snow layer');
INSERT INTO db_cat_table VALUES ('v_inp_storage_fc', 'INP data', 'Shows the information about the deposits with functional type');
INSERT INTO db_cat_table VALUES ('v_inp_storage_tb', 'INP data', 'Shows the information about the deposits with tabular type');
INSERT INTO db_cat_table VALUES ('v_inp_subcatch', 'INP data', 'Shows the information about the poligons with subcatchment type');
INSERT INTO db_cat_table VALUES ('v_inp_temp_fl', 'INP data', 'Shows the information about the temperature data of the project (if user has defined it)');
INSERT INTO db_cat_table VALUES ('v_inp_temp_sn', 'INP data', 'Shows the information about the temperature data of the project (if user has defined it)');
INSERT INTO db_cat_table VALUES ('v_inp_temp_ts', 'INP data', 'Shows the information about the temperature data of the project (if user has defined it)');
INSERT INTO db_cat_table VALUES ('v_inp_temp_wf', 'INP data', 'Shows the information about the temperature data of the project (if user has defined it)');
INSERT INTO db_cat_table VALUES ('v_inp_temp_wm', 'INP data', 'Shows the information about the temperature data of the project (if user has defined it)');
INSERT INTO db_cat_table VALUES ('v_inp_timser_abs', 'INP data', 'Shows the information about time series with absolute type');
INSERT INTO db_cat_table VALUES ('v_inp_timser_fl', 'INP data', 'Shows the information about time series with file');
INSERT INTO db_cat_table VALUES ('v_inp_timser_rel', 'INP data', 'Shows the information about time series with relative type');
INSERT INTO db_cat_table VALUES ('v_inp_transects', 'INP data', 'Shows the information about transects');
INSERT INTO db_cat_table VALUES ('v_inp_treatment', 'INP data', 'Shows the information about the treatment of deposits');
INSERT INTO db_cat_table VALUES ('v_inp_vertice', 'INP data', 'Shows the geometric information about conduits'' vertexes');
INSERT INTO db_cat_table VALUES ('v_inp_washoff', 'INP data', 'Shows the information about the washoff.');
INSERT INTO db_cat_table VALUES ('v_inp_weir', 'INP data', 'Shows the information about arcs type weir');
INSERT INTO db_cat_table VALUES ('v_rpt_arcflow_sum', 'Hydraulic results data', 'Shows the results of arc flow simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_arcpolload_sum', 'Hydraulic results data', 'Shows the results of arc pollutant load simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_condsurcharge_sum', 'Hydraulic results data', 'Shows the results of conduit surcharge simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_continuity_errors', 'Hydraulic results data', 'Shows the results of continuity errors simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_critical_elements', 'Hydraulic results data', 'Shows the results of critical elements simulations analysis');
INSERT INTO db_cat_table VALUES ('v_rpt_flowclass_sum', 'Hydraulic results data', 'Shows the results of flow classification simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_flowrouting_cont', 'Hydraulic results data', 'Shows the results of flow routing continuity simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_groundwater_cont', 'Hydraulic results data', 'Shows the results of groundwater continuity simulations');
INSERT INTO db_cat_table VALUES ('v_rpt_high_cont_errors', 'Hydraulic results data', 'Shows the results of high continuity errors simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_high_flowinest_ind', 'Hydraulic results data', 'Shows the results of high flow instability index simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_instability_index', 'Hydraulic results data', 'Shows the results of instability index simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_lidperfomance_sum', 'Hydraulic results data', 'Shows the results of LID performance simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_nodedepth_sum', 'Hydraulic results data', 'Shows the results of depth of nodes');
INSERT INTO db_cat_table VALUES ('v_rpt_nodeflooding_sum', 'Hydraulic results data', 'Shows the results of flooded nodes');
INSERT INTO db_cat_table VALUES ('v_rpt_nodeinflow_sum', 'Hydraulic results data', 'Shows the inflow value of nodes');
INSERT INTO db_cat_table VALUES ('v_rpt_nodesurcharge_sum', 'Hydraulic results data', 'Shows the surcharge value of nodes');
INSERT INTO db_cat_table VALUES ('v_rpt_outfallflow_sum', 'Hydraulic results data', 'Shows the results of outfall flow simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_outfallload_sum', 'Hydraulic results data', 'Shows the results of outfall load simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_pumping_sum', 'Hydraulic results data', 'Shows the results of pumping summary simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_qualrouting', 'Hydraulic results data', 'Shows the results of quality routing continuity simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_rainfall_dep', 'Hydraulic results data', 'Shows the results of rainfall dependent simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_routing_timestep', 'Hydraulic results data', 'Shows the results of routing timestep simulations');
INSERT INTO db_cat_table VALUES ('v_rpt_runoff_qual', 'Hydraulic results data', 'Shows the results of runoff quality simulations .');
INSERT INTO db_cat_table VALUES ('v_rpt_runoff_quant', 'Hydraulic results data', 'Shows the results of runoff quantity simulations .');
INSERT INTO db_cat_table VALUES ('v_rpt_storagevol_sum', 'Hydraulic results data', 'Shows the results of storage volume simulations');
INSERT INTO db_cat_table VALUES ('v_rpt_subcatchrunoff_sum', 'Hydraulic results data', 'Shows the results from subcatchments runoff simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_subcatchwasoff_sum', 'Hydraulic results data', 'Shows the results of subcatchment washoff simulations.');
INSERT INTO db_cat_table VALUES ('v_rpt_timestep_critelem', 'Hydraulic results data', 'Shows the results of timestep critical elements simulations');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_arcflow_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between arcflow simulation results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_arcpolload_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between arc pollutant load simulation results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_condsurcharge_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between conduit surcharge simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_continuity_errors', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between continuity errors simulations results.');
INSERT INTO db_cat_table VALUES ('v_audit_schema_catalog_compare_table', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_rpt_comp_critical_elements', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between critical elements simulations analysis results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_flowclass_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between flow classification simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_flowrouting_cont', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between flow routing continuity simulations results.');
INSERT INTO db_cat_table VALUES ('v_price_x_catsoil1', 'Masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catsoil2', 'Masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catsoil3', 'Masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_groundwater_cont', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between groundwater continuity simulation results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_high_cont_errors', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between high continuity errors simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_high_flowinest_ind', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between high flow instability index simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_instability_index', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between instability index simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_lidperfomance_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between LID performance simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_nodedepth_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between depth of nodes results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_nodeflooding_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between flooded nodes results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_nodeinflow_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between inflow value of nodes results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_nodesurcharge_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between surcharge value of nodes results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_outfallflow_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between outfall flow simulations results..');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_outfallload_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between outfall load simulations results..');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_pumping_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between pumping summary simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_qualrouting', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between quality routing continuity simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_rainfall_dep', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between rainfall dependent simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_routing_timestep', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between routing timestep simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_runoff_qual', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between runoff quality simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_runoff_quant', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between  runoff quantity simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_storagevol_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between storage volume simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_subcatchrunoff_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between subcatchments runoff simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_subcatchwasoff_sum', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between subcatchment washoff simulations results.');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_timestep_critelem', 'Hydraulic result data', 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between timestep critical elements simulations results.');
INSERT INTO db_cat_table VALUES ('v_ui_doc_x_node', 'Document management', 'Shows the information of document related to nodes. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_doc_x_arc', 'Document management', 'Shows the information of document related to arcs. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_doc_x_connec', 'Document management', 'Shows the information of document related to connects. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_doc_x_gully', 'Document management', 'Shows the information of document related to gully. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_price_compost', 'Masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catsoil4', 'Masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catsoil', 'Masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_anl_arc', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_anl_connec', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_anl_flowtrace_connec', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_anl_flowtrace_hydrometer', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_anl_node', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_functions', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_column', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_foreign_column', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_foreign_column_aux', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_foreign_compare_column', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_foreign_compare_table', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_foreign_table', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_table', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_edit_rtc_hydro_data_x_connec', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_inp_hydrograph', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_edit_man_chamber', 'GIS feature', 'Shows editable information about chamber (point)');
INSERT INTO db_cat_table VALUES ('v_edit_man_chamber_pol', 'GIS feature', 'Shows editable information about chamber (polygon)');
INSERT INTO db_cat_table VALUES ('v_edit_man_conduit', 'GIS feature', 'Shows editable information about conduit');
INSERT INTO db_cat_table VALUES ('v_edit_man_connec', 'GIS feature', 'Shows editable information about connec');
INSERT INTO db_cat_table VALUES ('v_edit_man_gully', 'GIS feature', 'Shows editable information about gully');
INSERT INTO db_cat_table VALUES ('v_edit_man_junction', 'GIS feature', 'Shows editable information about junction');
INSERT INTO db_cat_table VALUES ('v_edit_man_manhole', 'GIS feature', 'Shows editable information about manhole');
INSERT INTO db_cat_table VALUES ('v_edit_man_netgully', 'GIS feature', 'Shows editable information about netgully (point)');
INSERT INTO db_cat_table VALUES ('v_edit_man_netgully_pol', 'GIS feature', 'Shows editable information about netgully (polygon)');
INSERT INTO db_cat_table VALUES ('v_edit_man_netinit', 'GIS feature', 'Shows editable information about netinit');
INSERT INTO db_cat_table VALUES ('v_edit_man_outfall', 'GIS feature', 'Shows editable information about outfall');
INSERT INTO db_cat_table VALUES ('v_edit_man_pgully', 'GIS feature', 'Shows editable information about pgully');
INSERT INTO db_cat_table VALUES ('v_edit_man_siphon', 'GIS feature', 'Shows editable information about siphon');
INSERT INTO db_cat_table VALUES ('v_edit_man_storage', 'GIS feature', 'Shows editable information about storage (point)');
INSERT INTO db_cat_table VALUES ('v_edit_man_storage_pol', 'GIS feature', 'Shows editable information about storage (polygon)');
INSERT INTO db_cat_table VALUES ('v_edit_man_valve', 'GIS feature', 'Shows editable information about valve');
INSERT INTO db_cat_table VALUES ('v_edit_man_varc', 'GIS feature', 'Shows editable information about virtual arc');
INSERT INTO db_cat_table VALUES ('v_edit_man_waccel', 'GIS feature', 'Shows editable information about water accelerator');
INSERT INTO db_cat_table VALUES ('v_edit_man_wjump', 'GIS feature', 'Shows editable information about water jump');
INSERT INTO db_cat_table VALUES ('v_edit_man_wwtp', 'GIS feature', 'Shows editable information about waterwaste treatment plant (point)');
INSERT INTO db_cat_table VALUES ('v_edit_man_wwtp_pol', 'GIS feature', 'Shows editable information about waterwaste treatment plant (polygon)');
INSERT INTO db_cat_table VALUES ('v_man_arc', NULL, 'Shows information about arcs.');
INSERT INTO db_cat_table VALUES ('v_man_connec', NULL, 'Shows information about connecs');
INSERT INTO db_cat_table VALUES ('v_man_node', NULL, 'Shows information about nodes');
INSERT INTO db_cat_table VALUES ('v_plan_arc', 'masterplan', 'View only with the most important information about the cost of the arc');
INSERT INTO db_cat_table VALUES ('v_plan_arc_x_psector', 'masterplan', 'View to show arcs related to plan sectors.');
INSERT INTO db_cat_table VALUES ('v_plan_cost_arc', 'masterplan', 'View to show full data of cost of arc');
INSERT INTO db_cat_table VALUES ('v_plan_ml_arc', 'masterplan', 'View where is showed the characteristicis of arc by lineal meter (soil, pavement,…)');
INSERT INTO db_cat_table VALUES ('v_plan_mlcost_arc', 'masterplan', 'View where is showed the economic characteristicis of arc by lineal meter (soil, pavement,…) by lineal meter');
INSERT INTO db_cat_table VALUES ('v_plan_node', 'masterplan', 'View only with the most important information about the cost of the node');
INSERT INTO db_cat_table VALUES ('v_plan_node_x_psector', 'masterplan', 'View to show nodes related to plan sectors.');
INSERT INTO db_cat_table VALUES ('v_plan_other_x_psector', 'masterplan', 'View to show other issues of budget related to plan sectors.');
INSERT INTO db_cat_table VALUES ('v_plan_psector', 'masterplan', 'View to show sectors planifieds');
INSERT INTO db_cat_table VALUES ('v_plan_psector_arc', 'masterplan', 'View to show sectors with the related arcs');
INSERT INTO db_cat_table VALUES ('v_plan_psector_filtered', 'masterplan', NULL);
INSERT INTO db_cat_table VALUES ('v_plan_psector_node', 'masterplan', 'View to show sectors with the related nodes');
INSERT INTO db_cat_table VALUES ('v_plan_psector_other', 'masterplan', 'View to show sectors with the related other issues of budget');
INSERT INTO db_cat_table VALUES ('v_edit_pgully', 'Shows editable information about gullys represented as polygons.', 'Shows editable information about pgullys.');
INSERT INTO db_cat_table VALUES ('v_price_x_arc', NULL, 'Shows the datails of the arc price.');
INSERT INTO db_cat_table VALUES ('v_price_x_catarc', NULL, 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catarc1', NULL, 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catarc2', NULL, 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catarc3', NULL, 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catnode', NULL, 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catpavement', NULL, 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_node', NULL, 'Shows the datails of the node price.');
INSERT INTO db_cat_table VALUES ('v_rtc_dma_hydrometer_period', 'Real time control', 'System view');
INSERT INTO db_cat_table VALUES ('v_rtc_dma_parameter_period', 'Real time control', 'System view');
INSERT INTO db_cat_table VALUES ('v_rtc_hydrometer', 'Real time control', 'Shows the hydrometer receivers.');
INSERT INTO db_cat_table VALUES ('v_rtc_hydrometer_period', 'Real time control', 'Shows the hydrometer periods.');
INSERT INTO db_cat_table VALUES ('v_rtc_hydrometer_x_arc', 'Real time control', 'System view');
INSERT INTO db_cat_table VALUES ('v_rtc_hydrometer_x_connec', 'Real time control', 'Shows the hydrometer receivers related to connecs.');
INSERT INTO db_cat_table VALUES ('v_rtc_hydrometer_x_node_period', 'Real time control', 'System view');
INSERT INTO db_cat_table VALUES ('v_rtc_scada', 'Real time control', 'Shows the scada receivers');
INSERT INTO db_cat_table VALUES ('v_rtc_scada_data', 'Real time control', 'Shows the scada data.');
INSERT INTO db_cat_table VALUES ('v_rtc_scada_value', 'Real time control', 'Shows the scada values.');
INSERT INTO db_cat_table VALUES ('v_ui_om_visit_x_arc', 'O&M information', 'Shows the visits related to elements related to arcs. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_edit_node', NULL, 'Shows editable information about nodes.');
INSERT INTO db_cat_table VALUES ('cat_feature', 'catalog', 'Catalog of feature to which the gully can be connected');
INSERT INTO db_cat_table VALUES ('O&M information', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_ui_om_visit_x_connec', 'O&M information', 'Shows the visits related to elements related to connecs. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_om_visit_x_gully', 'O&M information', 'Shows the visits related to elements related to gullys. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_om_visit_x_node', 'O&M information', 'Shows the visits related to elements related to nodes. User Interface view.');
INSERT INTO db_cat_table VALUES ('db_cat_client_layer', 'utils', 'Table with the information of GIS layers of the project');
INSERT INTO db_cat_table VALUES ('cat_arc', 'catalog', 'Table with arc catalog data. Your project need minimun at once. This table could be edited trough giswater control panel:Giswater- Data- Arc catalog');
INSERT INTO db_cat_table VALUES ('cat_hydrology', 'catalog', 'Catalog of hydrology.');
INSERT INTO db_cat_table VALUES ('audit_schema_data_integrity', 'utils', NULL);
INSERT INTO db_cat_table VALUES ('catchment', 'GIS Feature', 'Catchment management');
INSERT INTO db_cat_table VALUES ('anl_selector_state', 'Analysis', 'State selector for analysis tools.');
INSERT INTO db_cat_table VALUES ('inp_lidusage_subc_x_lidco', 'Hydraulic input data', 'Deploys LID controls within specific subcatchment areas.');



INSERT INTO db_cat_table_x_column VALUES ('version_giswater', 'version', 'giswater', 'varchar(16)', 'Identifies the version of giswater with the project was created');
INSERT INTO db_cat_table_x_column VALUES ('config_extract_raster_value_raster_layer', 'config_extract_raster_value', 'raster_layer', 'varchar(30)', 'Name of raster layer from which value is taken');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_hydrometer_urban_propierties_field_code', 'config_search_plus', 'hydrometer_urban_propierties_field_code', 'varchar(30)', 'Name of field with connec code');
INSERT INTO db_cat_table_x_column VALUES ('config_extract_raster_value_id', 'config_extract_raster_value', 'id', 'varchar(18)', 'Identifier');
INSERT INTO db_cat_table_x_column VALUES ('catchment_text', 'catchment', 'text', 'text', 'Description2');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_scada_id', 'ext_rtc_scada', 'scada_id', 'varchar', 'Id of a related scada receiver.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_min', 'ext_rtc_scada_x_data', 'min', 'float8', 'Minimum value.');
INSERT INTO db_cat_table_x_column VALUES ('element_type_element_type', 'element_type', 'element_type', 'varchar(18)', 'Name of the table with additional information of feature (operation information). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_code', 'ext_urban_propierties', 'code', 'Varchar (30)', 'Code of the propierty.');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_streetaxis', 'ext_urban_propierties', 'streetaxis', 'Varchar (16)', 'Street at which the propierty is located.');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_postnumber', 'ext_urban_propierties', 'postnumber', 'Varchar (16)', 'Post number of the propierty.');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_complement', 'ext_urban_propierties', 'complement', 'Varchar (16)', 'Post number of the propierty complement data');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_placement', 'ext_urban_propierties', 'placement', 'Varchar (16)', 'Location of a propierty.');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_square', 'ext_urban_propierties', 'square', 'Varchar (16)', 'Square at which the propierty is located.');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_the_geom', 'ext_urban_propierties', 'the_geom', 'public.geometry', 'Line geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('arc_type_id', 'arc_type', 'id', 'varchar(18)', 'Type of arc adapted to reality, and ready to translate. The relation with type is n to 1');
INSERT INTO db_cat_table_x_column VALUES ('arc_type_type', 'arc_type', 'type', 'varchar(18)', 'Type of arc. The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('arc_type_epa_default', 'arc_type', 'epa_default', 'varchar(18)', 'Default''s value of EPA software. The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('arc_type_man_table', 'arc_type', 'man_table', 'varchar(18)', 'Name of the table with additional information of feature (management information). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('arc_type_epa_table', 'arc_type', 'epa_table', 'varchar(18)', 'Name of the table with additional information of feature (hidraulic model). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('arc_type_event_table', 'arc_type', 'event_table', 'varchar(18)', 'Name of the table with additional information of feature (operation information). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('node_type_id', 'node_type', 'id', 'varchar(18)', 'Type of node adapted to reality, and ready to translate. The relation with type is n to 1');
INSERT INTO db_cat_table_x_column VALUES ('node_type_type', 'node_type', 'type', 'varchar(18)', 'Type of node. The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('node_type_epa_default', 'node_type', 'epa_default', 'varchar(18)', 'Default''s value of EPA software. The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('node_type_man_table', 'node_type', 'man_table', 'varchar(18)', 'Name of the table with additional information of feature (management information). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('node_type_epa_table', 'node_type', 'epa_table', 'varchar(18)', 'Name of the table with additional information of feature (hidraulic model). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('node_type_event_table', 'node_type', 'event_table', 'varchar(18)', 'Name of the table with additional information of feature (operation information). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('element_type_id', 'element_type', 'id', 'varchar(18)', 'Type of element adapted to reality, and ready to translate. The relation with type is n to 1');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_arc_id', 'cat_mat_arc', 'id', 'varchar(30)', 'ID of arc''s material catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_arc_descript', 'cat_mat_arc', 'descript', 'varchar(512)', 'Field to store additional information about the material');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_arc_n', 'cat_mat_arc', 'n', 'Numeric(12,4)', 'Roughness of the material.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_arc_link', 'cat_mat_arc', 'link', 'varchar(512)', 'Field to store link to information related to the arc''s material catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_arc_url', 'cat_mat_arc', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the arc''s material catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_arc_picture', 'cat_mat_arc', 'picture', 'varchar(512)', 'Picture of a material.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_id', 'cat_mat_node', 'id', 'varchar(30)', 'ID of node''s material catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_descript', 'cat_mat_node', 'descript', 'varchar(512)', 'Field to store additional information about the material');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_link', 'cat_mat_node', 'link', 'varchar(512)', 'Field to store link to information related to the node''s material catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_url', 'cat_mat_node', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the node''s material catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_picture', 'cat_mat_node', 'picture', 'varchar(512)', 'Picture of a material.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_id', 'cat_arc', 'id', 'varchar(30)', 'ID of the arc catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_matcat_id', 'cat_arc', 'matcat_id', 'varchar(16)', 'Material catalog identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_shape', 'cat_arc', 'shape', 'varchar(16)', 'Cross-section shape.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_tsect_id', 'cat_arc', 'tsect_id', 'varchar(16)', 'Transect identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_curve_id', 'cat_arc', 'curve_id', 'varchar(16)', 'Curve identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_geom1', 'cat_arc', 'geom1', 'numeric(12,4),', 'Full height of the arc (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_geom2', 'cat_arc', 'geom2', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_geom3', 'cat_arc', 'geom3', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_geom4', 'cat_arc', 'geom4', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_geom_r', 'cat_arc', 'geom_r', 'varchar(20)', 'Real geometry of an arc.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_short_des', 'cat_arc', 'short_des', 'varchar(16)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_descript', 'cat_arc', 'descript', 'varchar(255)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_link', 'cat_arc', 'link', 'varchar(512)', 'Field to store link to information related to the arc catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_url', 'cat_arc', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the arc catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_picture', 'cat_arc', 'picture', 'varchar(512)', 'Picture of an arc.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_svg', 'cat_arc', 'svg', 'varchar(50)', 'Symbology.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_z1', 'cat_arc', 'z1', 'Numeric(12,2)', 'Distance from the bottom of the trench of conduit to the top of the conduit''s protection material');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_z2', 'cat_arc', 'z2', 'Numeric(12,2)', 'Distance from the top of the conduit to the top of the conduit''s protection material');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_n_barr_diag', 'cat_grate', 'n_barr_diag', 'numeric(12,4)', 'Number of obliquous barrels');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_width', 'cat_arc', 'width', 'Numeric(12,2)', 'Maximum width of the  conduit''s section (by point of view of constructive issues). Often is the same value that (geom2 + 2*bulk)');
INSERT INTO db_cat_table_x_column VALUES ('point_observ', 'point', 'observ', 'varchar', 'Observations.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_area', 'cat_arc', 'area', 'Numeric(12,4)', 'Full area of the conduit''s section');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_bulk', 'cat_arc', 'bulk', 'Numeric(12,2)', 'Bulk of the conduit. It consider the same bulk for all the walls of the conduit');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_cost_unit', 'cat_arc', 'cost_unit', 'Varchar(3)', 'Units measurements. (Only ml or ut. are allowed values). Sometimes the budget of an arc could be treated as unitary price (applied using length=1)');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_cost', 'cat_arc', 'cost', 'varchar(16)', '(Price_compost.id) of full cost of conduit''s subministration and installation');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_m2bottom_cost', 'cat_arc', 'm2bottom_cost', 'varchar(16)', '(Price_compost.id) of full cost of bottom''s trench arrangement');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_m3protec_cost', 'cat_arc', 'm3protec_cost', 'varchar(16)', '(Price_compost.id) of full cost of conduit''s proteccion material');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_id', 'cat_node', 'id', 'varchar(30)', 'ID of the node catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_matcat_id', 'cat_node', 'matcat_id', 'varchar(16)', 'ID of the related material type.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_geom1', 'cat_node', 'geom1', 'Numeric(12,2)', 'Full height of the node (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_geom2', 'cat_node', 'geom2', 'Numeric(12,2)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_geom3', 'cat_node', 'geom3', 'Numeric(12,2)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_value', 'cat_node', 'value', 'Numeric(12,2)', 'Values for catalog');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_short_des', 'cat_node', 'short_des', 'varchar(30)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_descript', 'cat_node', 'descript', 'varchar(255)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_link', 'cat_node', 'link', 'varchar(512)', 'Field to store link to information related to the node catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_url', 'cat_node', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the node catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_picture', 'cat_node', 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_svg', 'cat_node', 'svg', 'varchar(50)', 'Symbology.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_estimated_y', 'cat_node', 'estimated_y', 'Numeric(12,2)', 'In case no data of depth of conduit this depth is used to estimate the budget.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_cost_unit', 'cat_node', 'cost_unit', 'Varchar(3)', 'Units measurements. (Only ml or ut. are allowed values). Sometimes the budget of an node could be treated as lineal price (using the depth as length to compute the cost)');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_cost', 'cat_node', 'cost', 'varchar(16)', '(Price_compost.id) of full cost of conduit''s subministration and installation');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_element_id', 'cat_mat_element', 'id', 'varchar(30)', 'ID of element''s material catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_element_descript', 'cat_mat_element', 'descript', 'varchar(512)', 'Field to store additional information about the material.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_element_link', 'cat_mat_element', 'link', 'varchar(512)', 'Field to store link to information related to the element''s material catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_element_url', 'cat_mat_element', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the element''s material catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_element_picture', 'cat_mat_element', 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_id', 'cat_element', 'id', 'varchar(30)', 'ID of the element catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_elementtype_id', 'cat_element', 'elementtype_id', 'varchar(30)', 'Element type identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_matcat_id', 'cat_element', 'matcat_id', 'varchar(30)', 'Material catalog identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_geometry', 'cat_element', 'geometry', 'varchar(30)', 'Geometry of the element.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_descript', 'cat_element', 'descript', 'varchar(512)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_link', 'cat_element', 'link', 'varchar(512)', 'Field to store link to information related to the element catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_url', 'cat_element', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the element catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_picture', 'cat_element', 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_svg', 'cat_element', 'svg', 'varchar(50)', 'Pictogram of the symbology.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_id', 'cat_connec', 'id', 'varchar(30)', 'ID of the connect catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_type', 'cat_connec', 'type', 'varchar(16)', 'Type of the connect.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_matcat_id', 'cat_connec', 'matcat_id', 'varchar(16)', 'Material catalog identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_shape', 'cat_connec', 'shape', 'varchar(16)', 'Cross-section shape.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_tsect_id', 'cat_connec', 'tsect_id', 'varchar(16)', 'Transect identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_curve_id', 'cat_connec', 'curve_id', 'varchar(16)', 'Curve identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_geom1', 'cat_connec', 'geom1', 'numeric(12,4),', 'Full height of the connect (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_geom2', 'cat_connec', 'geom2', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_geom3', 'cat_connec', 'geom3', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_geom4', 'cat_connec', 'geom4', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_geom_r', 'cat_connec', 'geom_r', 'varchar(20)', 'Real geometry of a connect.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_short_des', 'cat_connec', 'short_des', 'varchar(16)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_descript', 'cat_connec', 'descript', 'varchar(255)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_link', 'cat_connec', 'link', 'varchar(512)', 'Field to store link to information related to the connect catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_url', 'cat_connec', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the connect catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_picture', 'cat_connec', 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_svg', 'cat_connec', 'svg', 'varchar(50)', 'Symbology.');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_id', 'cat_grate', 'id', 'varchar(30)', 'ID of the grate catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_type', 'cat_grate', 'type', 'varchar(30)', 'Type of the grate.');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_matcat_id', 'cat_grate', 'matcat_id', 'varchar(16)', 'Material catalog identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_length', 'cat_grate', 'length', 'numeric(12,4),', 'Length of the grate.');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_width', 'cat_grate', 'width', 'numeric(12,4)', 'Width of the grate.');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_total_area', 'cat_grate', 'total_area', 'numeric(12,4)', 'Total area of the grate.');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_efective_area', 'cat_grate', 'efective_area', 'numeric(12,4)', 'Effective area of the grate.');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_n_barr_l', 'cat_grate', 'n_barr_l', 'numeric(12,4)', 'Number of length barrels');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_n_barr_w', 'cat_grate', 'n_barr_w', 'numeric(12,4)', 'Number of width barrels');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_a_param', 'cat_grate', 'a_param', 'numeric(12,4)', 'A parameter. Needed if you like to simulate it');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_b_param', 'cat_grate', 'b_param', 'numeric(12,4)', 'B parameter. Needed if you like to simulate it');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_descript', 'cat_grate', 'descript', 'varchar(255)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_link', 'cat_grate', 'link', 'varchar(512)', 'Field to store link to information related to the grate catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_url', 'cat_grate', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the grate catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_picture', 'cat_grate', 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_table_x_column VALUES ('cat_grate_svg', 'cat_grate', 'svg', 'varchar(50)', 'Symbology.');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_id', 'cat_soil', 'id', 'varchar(30)', 'ID of the soil. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_descript', 'cat_soil', 'descript', 'varchar(512)', 'Description of a soil type. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_link', 'cat_soil', 'link', 'varchar(512)', 'Field to store link to information related to the soil catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_url', 'cat_soil', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the soil catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_picture', 'cat_soil', 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_y_param', 'cat_soil', 'y_param', 'Numeric(5,2)', 'Slope of the wall of the trench. On the expression (a:y_param) ''a'' is the horitzontal distance and y_param is the vertical distance of the slope of the trench.');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_b', 'cat_soil', 'b', 'Numeric(5,2)', 'Value of the distance from conduit to the wall of the trenchline, measured on the bottom''s trench.');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_trenchlining', 'cat_soil', 'trenchlining', 'Numeric(3,2)', 'Percentage of the trench where with trenchlining');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_m3exc_cost', 'cat_soil', 'm3exc_cost', 'Varchar(16)', 'Cost of excavation ( cubic meter)');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_m3fill_cost', 'cat_soil', 'm3fill_cost', 'Varchar(16)', 'Cost of filling the ( cubic meter)');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_m3excess_cost', 'cat_soil', 'm3excess_cost', 'Varchar(16)', 'Cost of manage the excess of soil from the trench (cubic meter)');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_m2trenchl_cost', 'cat_soil', 'm2trenchl_cost', 'Varchar(16)', 'Cost of the trenchiling (square meter)');
INSERT INTO db_cat_table_x_column VALUES ('cat_builder_id', 'cat_builder', 'id', 'varchar(30)', 'ID of the builder. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_builder_descript', 'cat_builder', 'descript', 'varchar(512)', 'Description of the builder. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('cat_builder_link', 'cat_builder', 'link', 'varchar(512)', 'Field to store link to information related to the builder catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_builder_url', 'cat_builder', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the builder catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_builder_picture', 'cat_builder', 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_table_x_column VALUES ('cat_work_id', 'cat_work', 'id', 'varchar(30)', 'ID of the work. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_work_descript', 'cat_work', 'descript', 'varchar(512)', 'Description of the construction work. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('cat_work_link', 'cat_work', 'link', 'varchar(512)', 'Field to store link to information related to the work catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_work_picture', 'cat_work', 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_table_x_column VALUES ('cat_owner_id', 'cat_owner', 'id', 'varchar(30)', 'ID of the owner. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_owner_descript', 'cat_owner', 'descript', 'varchar(512)', 'Description of the owner.');
INSERT INTO db_cat_table_x_column VALUES ('cat_owner_link', 'cat_owner', 'link', 'varchar(512)', 'Field to store link to information related to the owner catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_owner_picture', 'cat_owner', 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_table_x_column VALUES ('cat_pavement_id', 'cat_pavement', 'id', 'Varchar(16)', 'ID of the pavement. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_pavement_descript', 'cat_pavement', 'descript', 'text', 'Description of the pavement. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('cat_pavement_link', 'cat_pavement', 'link', 'varchar(512)', 'Field to store link to information related to the pavement.');
INSERT INTO db_cat_table_x_column VALUES ('cat_pavement_picture', 'cat_pavement', 'picture', 'varchar(512)', 'Picture of the pavement.');
INSERT INTO db_cat_table_x_column VALUES ('cat_pavement_thickness', 'cat_pavement', 'thickness', 'Numeric(12,2)', 'Value of pavement thickness.');
INSERT INTO db_cat_table_x_column VALUES ('cat_pavement_m2_cost', 'cat_pavement', 'm2_cost', 'Varchar(16)', '(Price_compost.id) of the full cost of pavement demolition and reconstruction.');
INSERT INTO db_cat_table_x_column VALUES ('man_type_category_id', 'man_type_category', 'id', 'varchar(20)', 'ID of the management type category. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('man_type_category_observ', 'man_type_category', 'observ', 'varchar(50)', 'Observations related to type category. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('man_type_fluid_id', 'man_type_fluid', 'id', 'varchar(20)', 'ID of the management type of fluid. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('man_type_fluid_observ', 'man_type_fluid', 'observ', 'varchar(50)', 'Observations related to fluid type. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('man_type_location_id', 'man_type_location', 'id', 'varchar(20)', 'ID of the management location type. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('man_type_location_observ', 'man_type_location', 'observ', 'varchar(50)', 'Observations related to type location. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('connec_type_id', 'connec_type', 'id', 'varchar(20)', 'ID of the connect type. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('connec_type_observ', 'connec_type', 'observ', 'varchar(50)', 'Observations related to connect type. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('sector_sector_id', 'sector', 'sector_id', 'varchar(30)', 'Sector identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('sector_descript', 'sector', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('sector_the_geom', 'sector', 'the_geom', 'public.geometry', 'Polygon geometry field');
INSERT INTO db_cat_table_x_column VALUES ('node_node_id', 'node', 'node_id', 'varchar(16)', 'Node identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('node_top_elev', 'node', 'top_elev', 'Numeric(12,4)', 'Elevation of the node in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('node_ymax', 'node', 'ymax', 'Numeric(12,4)', 'Depth from ground to invert elevation (ft or m)');
INSERT INTO db_cat_table_x_column VALUES ('node_sander', 'node', 'sander', 'Numeric(12,4)', 'Dimension (depth) of the place to collect sands from urban water');
INSERT INTO db_cat_table_x_column VALUES ('node_node_type', 'node', 'node_type', 'varchar(16)', 'Node type.');
INSERT INTO db_cat_table_x_column VALUES ('node_nodecat_id', 'node', 'nodecat_id', 'varchar(30)', 'Node catalog identifier related to the primary key of cat_node table');
INSERT INTO db_cat_table_x_column VALUES ('node_epa_type', 'node', 'epa_type', 'varchar(16)', 'SWMM behaviour of the node.');
INSERT INTO db_cat_table_x_column VALUES ('node_sector_id', 'node', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('node_state', 'node', 'state', 'character varying(16)', 'Domain value of node''s state.');
INSERT INTO db_cat_table_x_column VALUES ('node_annotation', 'node', 'annotation', 'character varying(254)', 'Annotations related to node. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('node_observ', 'node', 'observ', 'character varying(254)', 'Observations related to node. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('node_comment', 'node', 'comment', 'character varying(254)', 'Comments related to node. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('node_dma_id', 'node', 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area)');
INSERT INTO db_cat_table_x_column VALUES ('node_soilcat_id', 'node', 'soilcat_id', 'varchar(16)', 'ID of the soil related to the node.');
INSERT INTO db_cat_table_x_column VALUES ('node_category_type', 'node', 'category_type', 'varchar(18)', 'ID of the category type related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_fluid_type', 'node', 'fluid_type', 'varchar(18)', 'ID of the fluid type related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_location_type', 'node', 'location_type', 'varchar(18)', 'ID of the location type related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_workcat_id', 'node', 'workcat_id', 'varchar(255)', 'ID of the construction work related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_buildercat_id', 'node', 'buildercat_id', 'varchar(30)', 'ID of the builder related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_builtdate', 'node', 'builtdate', 'timestamp(6)', 'ID of the construction date related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_ownercat_id', 'node', 'ownercat_id', 'varchar(30)', 'ID of the owner related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_adress_01', 'node', 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('node_adress_02', 'node', 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('node_adress_03', 'node', 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('node_descript', 'node', 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('node_est_top_elev', 'node', 'est_top_elev', 'Varchar(6)', 'Estimated elevation of the node in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('node_est_ymax', 'node', 'est_ymax', 'Varchar(6)', 'Estimated value of depth from ground to invert elevation (ft or m)');
INSERT INTO db_cat_table_x_column VALUES ('node_rotation', 'node', 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_table_x_column VALUES ('node_link', 'node', 'link', 'character varying(512)', 'Field to store link to information related to the node.');
INSERT INTO db_cat_table_x_column VALUES ('node_verified', 'node', 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_table_x_column VALUES ('node_the_geom', 'node', 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_table_x_column VALUES ('arc_arc_id', 'arc', 'arc_id', 'varchar(16)', 'Arc identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('arc_node_1', 'arc', 'node_1', 'varchar(16)', 'Node located at the beginning of the arc.');
INSERT INTO db_cat_table_x_column VALUES ('arc_node_2', 'arc', 'node_2', 'varchar(16)', 'Node located at the end of the arc.');
INSERT INTO db_cat_table_x_column VALUES ('arc_y1', 'arc', 'y1', 'Numeric(12,3)', 'Dept of the conduit at initial node');
INSERT INTO db_cat_table_x_column VALUES ('arc_y2', 'arc', 'y2', 'Numeric(12,3)', 'Dept of the conduit at end node');
INSERT INTO db_cat_table_x_column VALUES ('arc_arc_type', 'arc', 'arc_type', 'varchar(16)', 'Arc type.');
INSERT INTO db_cat_table_x_column VALUES ('arc_arccat_id', 'arc', 'arccat_id', 'varchar(30)', 'Arc catalog identifier related to the primary key of arc table.');
INSERT INTO db_cat_table_x_column VALUES ('arc_epa_type', 'arc', 'epa_type', 'varchar(16)', 'ESWMM behaviour of the arc. (CONDUIT, PUMP, OIRIFICE, WEIR, OUTLET or UNDEFINED)');
INSERT INTO db_cat_table_x_column VALUES ('arc_sector_id', 'arc', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('arc_state', 'arc', 'state', 'character varying(16)', 'Domain value of arc''s state (on service, planified, obsolete)');
INSERT INTO db_cat_table_x_column VALUES ('arc_annotation', 'arc', 'annotation', 'character varying(254)', 'Annotations related to arc. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('arc_observ', 'arc', 'observ', 'character varying(254)', 'Observations related to arc. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('arc_comment', 'arc', 'comment', 'character varying(254)', 'Comments related to arc. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('arc_inverted_slope', 'arc', 'inverted_slope', 'boolean', 'Field to control the sense of the conduit (perhaps sense interved of the slope).');
INSERT INTO db_cat_table_x_column VALUES ('arc_custom_length', 'arc', 'custom_length', 'Numeric(12,2)', 'Customized length, not from GIS geometry. Used to customize the length of the element');
INSERT INTO db_cat_table_x_column VALUES ('arc_dma_id', 'arc', 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area)');
INSERT INTO db_cat_table_x_column VALUES ('arc_soilcat_id', 'arc', 'soilcat_id', 'varchar(16)', 'ID of the soil related to the arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_category_type', 'arc', 'category_type', 'varchar(18)', 'ID of the category type related to arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_fluid_type', 'arc', 'fluid_type', 'varchar(18)', 'ID of the fluid type related to arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_location_type', 'arc', 'location_type', 'varchar(18)', 'ID of the location type related to arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_workcat_id', 'arc', 'workcat_id', 'varchar(255)', 'ID of the construction work related to arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_buildercat_id', 'arc', 'buildercat_id', 'varchar(30)', 'ID of the builder related to arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_builtdate', 'arc', 'builtdate', 'timestamp(6)', 'ID of the construction date related to arc.');
INSERT INTO db_cat_table_x_column VALUES ('arc_ownercat_id', 'arc', 'ownercat_id', 'varchar(30)', 'ID of the owner related to arc.');
INSERT INTO db_cat_table_x_column VALUES ('arc_adress_01', 'arc', 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('arc_adress_02', 'arc', 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('arc_adress_03', 'arc', 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('arc_descript', 'arc', 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('arc_est_y1', 'arc', 'est_y1', 'boolean', 'Boolean to control if the depth of the conduit at initial node is estimated');
INSERT INTO db_cat_table_x_column VALUES ('arc_est_y2', 'arc', 'est_y2', 'boolean', 'Boolean to control if the depth of the conduit at final node is estimated');
INSERT INTO db_cat_table_x_column VALUES ('arc_rotation', 'arc', 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_table_x_column VALUES ('arc_link', 'arc', 'link', 'character varying(512)', 'Field to store URL or folder path with more information related to the arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_verified', 'arc', 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_table_x_column VALUES ('arc_the_geom', 'arc', 'the_geom', 'public.geometry', 'Linestring geometry field');
INSERT INTO db_cat_table_x_column VALUES ('polygon_pol_id', 'polygon', 'pol_id', 'varchar(16)', 'Polygon identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('polygon_node_id', 'polygon', 'node_id', 'varchar(16)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('polygon_text', 'polygon', 'text', 'varchar(254)', 'Text.');
INSERT INTO db_cat_table_x_column VALUES ('polygon_the_geom', 'polygon', 'the_geom', 'public.geometry', 'Polygon geometry field');
INSERT INTO db_cat_table_x_column VALUES ('dma_dma_id', 'dma', 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area). Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('dma_sector_id', 'dma', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('dma_descript', 'dma', 'descript', 'varchar(255)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('dma_observ', 'dma', 'observ', 'character varying(512)', 'Observations related to dma. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('dma_the_geom', 'dma', 'the_geom', 'public.geometry', 'Polygon geometry field');
INSERT INTO db_cat_table_x_column VALUES ('connec_connec_id', 'connec', 'connec_id', 'varchar(30)', 'Connect identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('connec_top_elev', 'connec', 'top_elev', 'Numeric(12,4)', 'Elevation of the connect in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('connec_ymax', 'connec', 'ymax', 'Numeric(12,4)', 'Depth from ground to invert elevation (ft or m)');
INSERT INTO db_cat_table_x_column VALUES ('connec_connecat_id', 'connec', 'connecat_id', 'varchar(30)', 'Connect catalog identifier');
INSERT INTO db_cat_table_x_column VALUES ('connec_sector_id', 'connec', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('connec_code', 'connec', 'code', 'Varchar(30)', 'Special code of the connec');
INSERT INTO db_cat_table_x_column VALUES ('connec_n_hydrometer', 'connec', 'n_hydrometer', 'int4', 'Number of hydrometers related to the connec');
INSERT INTO db_cat_table_x_column VALUES ('connec_demand', 'connec', 'demand', 'Numeric(12,8)', 'Water demand');
INSERT INTO db_cat_table_x_column VALUES ('connec_state', 'connec', 'state', 'character varying(16)', 'Domain value of connect''s state.');
INSERT INTO db_cat_table_x_column VALUES ('connec_annotation', 'connec', 'annotation', 'character varying(254)', 'Annotations related to connect. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('connec_observ', 'connec', 'observ', 'character varying(254)', 'Observations related to connect. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('connec_comment', 'connec', 'comment', 'character varying(254)', 'Comments related to connect. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('connec_rotation', 'connec', 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_table_x_column VALUES ('connec_dma_id', 'connec', 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area)');
INSERT INTO db_cat_table_x_column VALUES ('connec_soilcat_id', 'connec', 'soilcat_id', 'varchar(16)', 'ID of the soil related to the connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_category_type', 'connec', 'category_type', 'varchar(18)', 'ID of the category type related to connct.');
INSERT INTO db_cat_table_x_column VALUES ('connec_fluid_type', 'connec', 'fluid_type', 'varchar(18)', 'ID of the fluid type related to connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_location_type', 'connec', 'location_type', 'varchar(18)', 'ID of the location type related to connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_workcat_id', 'connec', 'workcat_id', 'varchar(255)', 'ID of the construction work related to connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_buildercat_id', 'connec', 'buildercat_id', 'varchar(30)', 'ID of the builder related to connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_builtdate', 'connec', 'builtdate', 'date', 'ID of the construction date related to connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_ownercat_id', 'connec', 'ownercat_id', 'varchar(30)', 'ID of the owner related to connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_adress_01', 'connec', 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('connec_adress_02', 'connec', 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('connec_adress_03', 'connec', 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('connec_streetaxis_id', 'connec', 'streetaxis_id', 'Varchar (16)', 'Street identifier.');
INSERT INTO db_cat_table_x_column VALUES ('connec_postnumber', 'connec', 'postnumber', 'Varchar(16)', 'Post code number.');
INSERT INTO db_cat_table_x_column VALUES ('connec_descript', 'connec', 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('connec_link', 'connec', 'link', 'character varying(512)', 'Field to store link to information related to the connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_verified', 'connec', 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_table_x_column VALUES ('connec_the_geom', 'connec', 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_table_x_column VALUES ('vnode_vnode_id', 'vnode', 'vnode_id', 'varchar(16)', 'Virtual node identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('vnode_arc_id', 'vnode', 'arc_id', 'Varchar(16)', 'Arc identifier.');
INSERT INTO db_cat_table_x_column VALUES ('vnode_the_geom', 'vnode', 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_table_x_column VALUES ('vnode_userdefined_pos', 'vnode', 'userdefined_pos', 'boolean', 'Column to control when the user have moved the vnode (custom position, not automatic position). The goal of this control is dissable the posibility to ovewrite the vnode position.');
INSERT INTO db_cat_table_x_column VALUES ('vnode_vnode_type', 'vnode', 'vnode_type', 'varchar(30)', 'Virtual node type.');
INSERT INTO db_cat_table_x_column VALUES ('vnode_sector_id', 'vnode', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('vnode_state', 'vnode', 'state', 'character varying(16)', 'Domain value of virtual node''s state.');
INSERT INTO db_cat_table_x_column VALUES ('vnode_annotation', 'vnode', 'annotation', 'character varying(254)', 'Annotations related to virtual node. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('link_link_id', 'link', 'link_id', 'varchar(16)', 'Link identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('link_the_geom', 'link', 'the_geom', 'public.geometry', 'Linestring geometry field');
INSERT INTO db_cat_table_x_column VALUES ('link_connec_id', 'link', 'connec_id', 'varchar(16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_table_x_column VALUES ('link_vnode_id', 'link', 'vnode_id', 'varchar(16)', 'Virtual node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('link_custom_length', 'link', 'custom_length', 'Numeric(12,3)', 'Link length  inserted by the user.');
INSERT INTO db_cat_table_x_column VALUES ('gully_gully_id', 'gully', 'gully_id', 'varchar(16)', 'Gully identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('gully_top_elev', 'gully', 'top_elev', 'Numeric(12,4)', 'Elevation of the gully in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('gully_ymax', 'gully', 'ymax', 'Numeric(12,4)', 'Depth from ground to invert elevation (ft or m)');
INSERT INTO db_cat_table_x_column VALUES ('gully_sandbox', 'gully', 'sandbox', 'Numeric(12,4)', 'Dimension (depth) of the place to collect sands from urban water');
INSERT INTO db_cat_table_x_column VALUES ('gully_matcat_id', 'gully', 'matcat_id', 'varchar(18)', 'Material catalog identifier.');
INSERT INTO db_cat_table_x_column VALUES ('gully_gratecat_id', 'gully', 'gratecat_id', 'varchar(18)', 'Grate catalog identifier.');
INSERT INTO db_cat_table_x_column VALUES ('gully_units', 'gully', 'units', 'int2', 'Number of units of the element');
INSERT INTO db_cat_table_x_column VALUES ('gully_groove', 'gully', 'groove', 'varchar(3)', 'YES if gully in a joint with kerb has groove to increase the capacity');
INSERT INTO db_cat_table_x_column VALUES ('gully_arccat_id', 'gully', 'arccat_id', 'varchar(18)', 'Arc catalog identifier.');
INSERT INTO db_cat_table_x_column VALUES ('gully_siphon', 'gully', 'siphon', 'varchar(3)', 'YES if gully has siphon in order to prevent salubrity problems with odours');
INSERT INTO db_cat_table_x_column VALUES ('gully_arc_id', 'gully', 'arc_id', 'Varchar(16)', 'Arc identifier.');
INSERT INTO db_cat_table_x_column VALUES ('gully_sector_id', 'gully', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('gully_state', 'gully', 'state', 'character varying(16)', 'Domain value of gully''s state.');
INSERT INTO db_cat_table_x_column VALUES ('gully_annotation', 'gully', 'annotation', 'character varying(254)', 'Annotations related to gully. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('gully_observ', 'gully', 'observ', 'character varying(254)', 'Observations related to gully. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('gully_comment', 'gully', 'comment', 'character varying(254)', 'Comments related to gully. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('gully_rotation', 'gully', 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_table_x_column VALUES ('gully_dma_id', 'gully', 'dma_id', 'varchar(30)', 'ID of the management area related to the gully (District Meter Area)');
INSERT INTO db_cat_table_x_column VALUES ('gully_soilcat_id', 'gully', 'soilcat_id', 'varchar(16)', 'ID of the soil related to the gully.');
INSERT INTO db_cat_table_x_column VALUES ('gully_category_type', 'gully', 'category_type', 'varchar(18)', 'ID of the category type related to gully.');
INSERT INTO db_cat_table_x_column VALUES ('gully_fluid_type', 'gully', 'fluid_type', 'varchar(18)', 'ID of the fluid type related to gully.');
INSERT INTO db_cat_table_x_column VALUES ('gully_location_type', 'gully', 'location_type', 'varchar(18)', 'ID of the location type related to gully.');
INSERT INTO db_cat_table_x_column VALUES ('gully_workcat_id', 'gully', 'workcat_id', 'varchar(255)', 'ID of the construction work related to gully.');
INSERT INTO db_cat_table_x_column VALUES ('gully_buildercat_id', 'gully', 'buildercat_id', 'varchar(30)', 'ID of the builder related to gully.');
INSERT INTO db_cat_table_x_column VALUES ('gully_builtdate', 'gully', 'builtdate', 'timestamp(6)', 'ID of the construction date related to gully.');
INSERT INTO db_cat_table_x_column VALUES ('gully_ownercat_id', 'gully', 'ownercat_id', 'varchar(30)', 'ID of the owner related to gully.');
INSERT INTO db_cat_table_x_column VALUES ('polygon_undelete', 'polygon', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('gully_adress_01', 'gully', 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('gully_adress_02', 'gully', 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('gully_adress_03', 'gully', 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('gully_descript', 'gully', 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('gully_link', 'gully', 'link', 'character varying(512)', 'Field to store link to information related to the gully');
INSERT INTO db_cat_table_x_column VALUES ('gully_verified', 'gully', 'verified', 'varchar(4)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_table_x_column VALUES ('gully_the_geom', 'gully', 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_table_x_column VALUES ('man_junction_node_id', 'man_junction', 'node_id', 'varchar(16)', 'Junction identifier.');
INSERT INTO db_cat_table_x_column VALUES ('man_storage_node_id', 'man_storage', 'node_id', 'varchar(16)', 'Storage identifier.');
INSERT INTO db_cat_table_x_column VALUES ('man_outfall_node_id', 'man_outfall', 'node_id', 'varchar(16)', 'Outfalll identifier.');
INSERT INTO db_cat_table_x_column VALUES ('man_conduit_arc_id', 'man_conduit', 'arc_id', 'varchar(16)', 'Arc identifier.');
INSERT INTO db_cat_table_x_column VALUES ('element_element_id', 'element', 'element_id', 'varchar(16)', 'Element identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('element_elementcat_id', 'element', 'elementcat_id', 'varchar(30)', 'Element catalog identifier');
INSERT INTO db_cat_table_x_column VALUES ('element_state', 'element', 'state', 'character varying(16)', 'Domain value of element''s state.');
INSERT INTO db_cat_table_x_column VALUES ('element_annotation', 'element', 'annotation', 'character varying(254)', 'Annotations related to element. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('element_observ', 'element', 'observ', 'character varying(254)', 'Observations related to element. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('element_comment', 'element', 'comment', 'character varying(254)', 'Comments related to element. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('element_location_type', 'element', 'location_type', 'varchar(18)', 'ID of the location type related to element.');
INSERT INTO db_cat_table_x_column VALUES ('element_workcat_id', 'element', 'workcat_id', 'varchar(255)', 'ID of the construction work related to element.');
INSERT INTO db_cat_table_x_column VALUES ('element_buildercat_id', 'element', 'buildercat_id', 'varchar(30)', 'ID of the builder related to element.');
INSERT INTO db_cat_table_x_column VALUES ('element_builtdate', 'element', 'builtdate', 'timestamp(6)', 'ID of the construction date related to element.');
INSERT INTO db_cat_table_x_column VALUES ('element_ownercat_id', 'element', 'ownercat_id', 'varchar(30)', 'ID of the owner related to element.');
INSERT INTO db_cat_table_x_column VALUES ('element_enddate', 'element', 'enddate', 'timestamp(6)', 'Expiration date. Expected or real. The goal of this column is to enable the posilibity to have information of all the deprecated elements of the infraestructure without delete it');
INSERT INTO db_cat_table_x_column VALUES ('element_rotation', 'element', 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_table_x_column VALUES ('element_link', 'element', 'link', 'character varying(512)', 'Field to store link to information related to the element');
INSERT INTO db_cat_table_x_column VALUES ('element_verified', 'element', 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_table_x_column VALUES ('value_yesno_observ', 'value_yesno', 'observ', 'varchar(254)', 'Observations related to yes/no value Additional information');
INSERT INTO db_cat_table_x_column VALUES ('cat_hydrology_id', 'cat_hydrology', 'id', 'varchar(20)', 'Hydrology catalog identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_hydrology_infiltration', 'cat_hydrology', 'infiltration', 'varchar(20)', 'Infiltration parameter.');
INSERT INTO db_cat_table_x_column VALUES ('cat_hydrology_descript', 'cat_hydrology', 'descript', 'varchar(255)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_id', 'inp_adjustments', 'id', 'varchar(16)', 'Adjustment identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_adj_type', 'inp_adjustments', 'adj_type', 'varchar(16)', 'Values are TEMPERATURE, EVAPORATION, RAINFALL');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_value_1', 'inp_adjustments', 'value_1', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_value_2', 'inp_adjustments', 'value_2', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_value_3', 'inp_adjustments', 'value_3', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_value_4', 'inp_adjustments', 'value_4', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_value_5', 'inp_adjustments', 'value_5', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_value_6', 'inp_adjustments', 'value_6', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_value_7', 'inp_adjustments', 'value_7', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_value_8', 'inp_adjustments', 'value_8', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_value_9', 'inp_adjustments', 'value_9', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_value_10', 'inp_adjustments', 'value_10', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_value_11', 'inp_adjustments', 'value_11', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_table_x_column VALUES ('inp_adjustments_value_12', 'inp_adjustments', 'value_12', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_aquif_id', 'inp_aquifer', 'aquif_id', 'varchar(16)', 'Aquifer identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_por', 'inp_aquifer', 'por', 'Numeric(12,4)', 'Soil porosity (fraction).');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_wp', 'inp_aquifer', 'wp', 'Numeric(12,4)', 'Soil wilting point (fraction).');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_fc', 'inp_aquifer', 'fc', 'Numeric(12,4)', 'Soil field capacity (fraction).');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_k', 'inp_aquifer', 'k', 'Numeric(12,4)', 'Saturated hydraulic conductivity (in/hr or mm/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_ks', 'inp_aquifer', 'ks', 'Numeric(12,4)', 'Slope of hydraulic conductivity versus moisture content curve.');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_ps', 'inp_aquifer', 'ps', 'Numeric(12,4)', 'Slope of soil tension versus moisture content curve.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_22', 'inp_pattern', 'factor_22', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('element_x_connec_id', 'element_x_connec', 'id', 'varchar(16)', 'Element related to connect identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_uef', 'inp_aquifer', 'uef', 'Numeric(12,4)', 'Fraction of total evaporation available for evapotranspiration in the upper unsaturated zone.');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_led', 'inp_aquifer', 'led', 'Numeric(12,4)', 'Maximum depth into the lower saturated zone over which evapotranspiration can occur (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('inp_storage_sh', 'inp_storage', 'sh', 'Numeric(12,4)', 'Soil capillary suction head (in or mm).');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_gwr', 'inp_aquifer', 'gwr', 'Numeric(12,4)', 'Rate of percolation from saturated zone to deep groundwater when water table is at ground surface (in/hr or mm/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_be', 'inp_aquifer', 'be', 'Numeric(12,4)', 'Elevation of the bottom of the aquifer (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_wte', 'inp_aquifer', 'wte', 'Numeric(12,4)', 'Water table elevation at start of simulation (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_umc', 'inp_aquifer', 'umc', 'Numeric(12,4)', 'Unsaturated zone moisture content at start of simulation (fraction).');
INSERT INTO db_cat_table_x_column VALUES ('catchment_undelete', 'catchment', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('inp_aquifer_pattern_id', 'inp_aquifer', 'pattern_id', 'varchar(16)', 'Monthly pattern of adjustments to upper evaporation fraction');
INSERT INTO db_cat_table_x_column VALUES ('inp_backdrop_id', 'inp_backdrop', 'id', 'int4', 'Backdrop identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('inp_backdrop_text', 'inp_backdrop', 'text', 'varchar(254)', 'Text.');
INSERT INTO db_cat_table_x_column VALUES ('inp_buildup_land_x_pol_landus_id', 'inp_buildup_land_x_pol', 'landus_id', 'varchar(16)', 'Land use identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_buildup_land_x_pol_poll_id', 'inp_buildup_land_x_pol', 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_buildup_land_x_pol_funcb_type', 'inp_buildup_land_x_pol', 'funcb_type', 'varchar(18)', 'Buildup function type: ( POW / EXP / SAT / EXT ).');
INSERT INTO db_cat_table_x_column VALUES ('inp_buildup_land_x_pol_c1', 'inp_buildup_land_x_pol', 'c1', 'Numeric(12,4)', 'Buildup function parameters (see Table D-2 from Appendix D of SWMM''s Manual).');
INSERT INTO db_cat_table_x_column VALUES ('inp_buildup_land_x_pol_c2', 'inp_buildup_land_x_pol', 'c2', 'Numeric(12,4)', 'Buildup function parameters (see Table D-2 from Appendix D of SWMM''s Manual).');
INSERT INTO db_cat_table_x_column VALUES ('inp_buildup_land_x_pol_c3', 'inp_buildup_land_x_pol', 'c3', 'Numeric(12,4)', 'Buildup function parameters (see Table D-2 from Appendix D of SWMM''s Manual).');
INSERT INTO db_cat_table_x_column VALUES ('inp_buildup_land_x_pol_perunit', 'inp_buildup_land_x_pol', 'perunit', 'varchar(10)', 'AREA if buildup is per unit area, CURBLENGTH if per length of curb.');
INSERT INTO db_cat_table_x_column VALUES ('inp_conduit_arc_id', 'inp_conduit', 'arc_id', 'varchar(50)', 'Arc identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_conduit_barrels', 'inp_conduit', 'barrels', 'int2', 'Number of barrels (i.e., number of parallel pipes of equal size, slope, and roughness) associated with a conduit (default is 1).');
INSERT INTO db_cat_table_x_column VALUES ('inp_conduit_culvert', 'inp_conduit', 'culvert', 'varchar(10)', 'Code number fromÂ Table A.10 (from Appendix A of SWMM''s Manual)Â for the conduit''s inlet geometry if it is a culvert subject to possible inlet flow control (leave blank otherwise)');
INSERT INTO db_cat_table_x_column VALUES ('inp_conduit_kentry', 'inp_conduit', 'kentry', 'Numeric(12,4)', 'Entrance minor head loss coefficient.');
INSERT INTO db_cat_table_x_column VALUES ('inp_conduit_kexit', 'inp_conduit', 'kexit', 'Numeric(12,4)', 'Exit minor head loss coefficient.');
INSERT INTO db_cat_table_x_column VALUES ('inp_conduit_kavg', 'inp_conduit', 'kavg', 'Numeric(12,4)', 'Average minor head loss coefficient across length of conduit.');
INSERT INTO db_cat_table_x_column VALUES ('inp_conduit_flap', 'inp_conduit', 'flap', 'varchar(3)', 'YES if conduit has a flap gate that prevents back flow, NO otherwise (default is NO).');
INSERT INTO db_cat_table_x_column VALUES ('inp_conduit_q0', 'inp_conduit', 'q0', 'Numeric(12,4)', 'Flow in conduit at start of simulation (flow units) (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_conduit_qmax', 'inp_conduit', 'qmax', 'Numeric(12,4)', 'Maximum flow (flow units)');
INSERT INTO db_cat_table_x_column VALUES ('inp_conduit_seepage', 'inp_conduit', 'seepage', 'Numeric(12,4)', 'Rate of seepage loss into surrounding soil');
INSERT INTO db_cat_table_x_column VALUES ('inp_controls_id', 'inp_controls', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_value_2', 'inp_evaporation', 'value_2', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in February (in/day or mm/day).');
INSERT INTO db_cat_table_x_column VALUES ('inp_controls_text', 'inp_controls', 'text', 'varchar(254)', 'Text with control rules. Each control rule is a series of statements of the form. Should follow the format described as: RULE R1 IF SIMULATION TIME >8 THEN PUMP 12 STATUS = ON');
INSERT INTO db_cat_table_x_column VALUES ('inp_coverage_land_x_subc_subc_id', 'inp_coverage_land_x_subc', 'subc_id', 'varchar(16)', 'Subcatchment identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_coverage_land_x_subc_landus_id', 'inp_coverage_land_x_subc', 'landus_id', 'varchar(16)', 'Land use identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_coverage_land_x_subc_percent', 'inp_coverage_land_x_subc', 'percent', 'numeric(12,4)', 'Percent of subcatchment area.');
INSERT INTO db_cat_table_x_column VALUES ('inp_curve_id', 'inp_curve', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_curve_curve_id', 'inp_curve', 'curve_id', 'varchar(16)', 'Curve identifier');
INSERT INTO db_cat_table_x_column VALUES ('inp_curve_x_value', 'inp_curve', 'x_value', 'numeric(18,6)', 'X value of the curve');
INSERT INTO db_cat_table_x_column VALUES ('inp_curve_y_value', 'inp_curve', 'y_value', 'numeric(18,6)', 'Y value of the curve');
INSERT INTO db_cat_table_x_column VALUES ('inp_curve_id_id', 'inp_curve_id', 'id', 'varchar(16)', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_curve_id_curve_type', 'inp_curve_id', 'curve_type', 'varchar(20)', 'STORAGE / DIVERSION / TIDAL / PUMP1 / PUMP2 / PUMP3 / PUMP4 / RATING.');
INSERT INTO db_cat_table_x_column VALUES ('inp_divider_node_id', 'inp_divider', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_divider_divider_type', 'inp_divider', 'divider_type', 'varchar(18)', 'A divider can be: OVERFLOW, CUTOFF, TABULAR or WEIR.');
INSERT INTO db_cat_table_x_column VALUES ('inp_divider_arc_id', 'inp_divider', 'arc_id', 'varchar(50)', 'Arc identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_divider_curve_id', 'inp_divider', 'curve_id', 'varchar(16)', 'Curve identifier');
INSERT INTO db_cat_table_x_column VALUES ('inp_divider_qmin', 'inp_divider', 'qmin', 'Numeric(16,6)', 'Flow at which diversion begins for either a CUTOFF or WEIR divider (flow units).');
INSERT INTO db_cat_table_x_column VALUES ('inp_divider_ht', 'inp_divider', 'ht', 'Numeric(12,4)', 'Height of WEIR divider (ft orm).');
INSERT INTO db_cat_table_x_column VALUES ('inp_divider_cd', 'inp_divider', 'cd', 'Numeric(12,4)', 'Discharge coefficient for WEIR divider.');
INSERT INTO db_cat_table_x_column VALUES ('inp_divider_y0', 'inp_divider', 'y0', 'Numeric(12,4)', 'Water depth at start of simulation (ft or m) (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_divider_ysur', 'inp_divider', 'ysur', 'Numeric(12,4)', 'Maximum additional head above ground elevation that node can sustain under surcharge conditions (ft or m) (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_divider_apond', 'inp_divider', 'apond', 'numeric(12,4)', 'Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_id', 'inp_dwf', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_node_id', 'inp_dwf', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_value', 'inp_dwf', 'value', 'Numeric(12,5)', 'Average baseline value for corresponding Item (flow or concentration units).');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_pat1', 'inp_dwf', 'pat1', 'varchar(16)', 'Name of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_pat2', 'inp_dwf', 'pat2', 'varchar(16)', 'Name of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_pat3', 'inp_dwf', 'pat3', 'varchar(16)', 'Name of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_pat4', 'inp_dwf', 'pat4', 'varchar(16)', 'Name of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_table_x_column VALUES ('ext_type_street_id', 'ext_type_street', 'id', 'Varchar (20)', 'ID of a street type. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_type_street_observ', 'ext_type_street', 'observ', 'Varchar (50)', 'Observations related to street type. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('ext_streetaxis_id', 'ext_streetaxis', 'id', 'Varchar(16)', 'ID of a street. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_streetaxis_type', 'ext_streetaxis', 'type', 'Varchar(18)', 'Street type.');
INSERT INTO db_cat_table_x_column VALUES ('ext_streetaxis_name', 'ext_streetaxis', 'name', 'Varchar(100)', 'Street name.');
INSERT INTO db_cat_table_x_column VALUES ('ext_streetaxis_text', 'ext_streetaxis', 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('ext_streetaxis_the_geom', 'ext_streetaxis', 'the_geom', 'public.geometry', 'Line geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_id', 'ext_urban_propierties', 'id', 'Varchar (16)', 'ID of a urban propierties. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('element_x_node_id', 'element_x_node', 'id', 'varchar(16)', 'Element related to node identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('element_x_node_element_id', 'element_x_node', 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_table_x_column VALUES ('element_x_node_node_id', 'element_x_node', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('element_x_connec_element_id', 'element_x_connec', 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_table_x_column VALUES ('element_x_connec_connec_id', 'element_x_connec', 'connec_id', 'varchar(16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_table_x_column VALUES ('element_x_gully_id', 'element_x_gully', 'id', 'varchar(16)', 'Element related to gully identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('element_x_gully_element_id', 'element_x_gully', 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_table_x_column VALUES ('element_x_gully_gully_id', 'element_x_gully', 'gully_id', 'varchar(16)', 'Node identifier related to the primary key of the gully table');
INSERT INTO db_cat_table_x_column VALUES ('value_state_id', 'value_state', 'id', 'varchar(16)', 'ID of value state. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('value_state_observ', 'value_state', 'observ', 'varchar(254)', 'Observations related to state. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('value_verified_id', 'value_verified', 'id', 'varchar(16)', 'ID of verification status. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('value_verified_observ', 'value_verified', 'observ', 'varchar(254)', 'Observations related to verification status Additional information');
INSERT INTO db_cat_table_x_column VALUES ('value_yesno_id', 'value_yesno', 'id', 'varchar(16)', 'ID of value yes/no. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('inp_selector_hydrology_hydrology_id', 'inp_selector_hydrology', 'hydrology_id', 'varchar(20)', 'Hydrology identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_outfallload_sum_value', 'rpt_outfallload_sum', 'value', NULL, 'Value.');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_pol_x_node_poll_id', 'inp_dwf_pol_x_node', 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_pol_x_node_node_id', 'inp_dwf_pol_x_node', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_pol_x_node_value', 'inp_dwf_pol_x_node', 'value', 'Numeric(12,4)', 'Average baseline value for corresponding Item (flow or concentration units).');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_pol_x_node_pat1', 'inp_dwf_pol_x_node', 'pat1', 'varchar(16)', 'Names of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_pol_x_node_pat2', 'inp_dwf_pol_x_node', 'pat2', 'varchar(16)', 'Names of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_pol_x_node_pat3', 'inp_dwf_pol_x_node', 'pat3', 'varchar(16)', 'Names of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_table_x_column VALUES ('inp_dwf_pol_x_node_pat4', 'inp_dwf_pol_x_node', 'pat4', 'varchar(16)', 'Names of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_evap_type', 'inp_evaporation', 'evap_type', 'varchar(16)', 'Evaporation type (CONSTANT, MONTHLY, TIMESERIES, TEMPERATURE or FILE)');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_evap', 'inp_evaporation', 'evap', 'Numeric(12,4)', 'Constant evaporation rate (in/day or mm/day).');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_timser_id', 'inp_evaporation', 'timser_id', 'varchar(16)', 'Name of time series inÂ timeseriesÂ table with evaporation data.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_value_1', 'inp_evaporation', 'value_1', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in January (in/day or mm/day).');
INSERT INTO db_cat_table_x_column VALUES ('inp_orifice_ori_type', 'inp_orifice', 'ori_type', 'varchar(18)', 'Orientation of orifice: either SIDE or BOTTOM.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_value_3', 'inp_evaporation', 'value_3', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in March (in/day or mm/day).');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_value_4', 'inp_evaporation', 'value_4', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in April (in/day or mm/day).');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_value_5', 'inp_evaporation', 'value_5', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in May (in/day or mm/day).');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_value_6', 'inp_evaporation', 'value_6', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in June (in/day or mm/day).');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_value_7', 'inp_evaporation', 'value_7', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in July (in/day or mm/day).');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_value_8', 'inp_evaporation', 'value_8', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in August (in/day or mm/day).');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_value_9', 'inp_evaporation', 'value_9', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in September (in/day or mm/day).');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_value_10', 'inp_evaporation', 'value_10', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in October (in/day or mm/day).');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_value_11', 'inp_evaporation', 'value_11', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in November (in/day or mm/day).');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_value_12', 'inp_evaporation', 'value_12', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in December (in/day or mm/day).');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_pan_1', 'inp_evaporation', 'pan_1', 'Numeric(12,4)', 'Pan coefficient for January.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_pan_2', 'inp_evaporation', 'pan_2', 'Numeric(12,4)', 'Pan coefficient for February.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_pan_3', 'inp_evaporation', 'pan_3', 'Numeric(12,4)', 'Pan coefficient for March.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_pan_4', 'inp_evaporation', 'pan_4', 'Numeric(12,4)', 'Pan coefficient for April.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_pan_5', 'inp_evaporation', 'pan_5', 'Numeric(12,4)', 'Pan coefficient for May.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_pan_6', 'inp_evaporation', 'pan_6', 'Numeric(12,4)', 'Pan coefficient for June.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_pan_7', 'inp_evaporation', 'pan_7', 'Numeric(12,4)', 'Pan coefficient for July.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_pan_8', 'inp_evaporation', 'pan_8', 'Numeric(12,4)', 'Pan coefficient for August.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_pan_9', 'inp_evaporation', 'pan_9', 'Numeric(12,4)', 'Pan coefficient for September.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_pan_10', 'inp_evaporation', 'pan_10', 'Numeric(12,4)', 'Pan coefficient for October.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_pan_11', 'inp_evaporation', 'pan_11', 'Numeric(12,4)', 'Pan coefficient for November.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_pan_12', 'inp_evaporation', 'pan_12', 'Numeric(12,4)', 'Pan coefficient for December.');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_recovery', 'inp_evaporation', 'recovery', 'varchar(16)', 'Identifies an optional monthly time pattern of multipliers used to modify infiltration recovery rates during dry periods. For example, if the normal infiltration recovery rate was 1% during a specific time period and a pattern factor of 0,8 applied to this period, then the actual recovery rate would be 0,8%');
INSERT INTO db_cat_table_x_column VALUES ('inp_evaporation_dry_only', 'inp_evaporation', 'dry_only', 'varchar(3)', 'Determines if evaporation only occurs during periods with no precipitation. The default is NO.');
INSERT INTO db_cat_table_x_column VALUES ('inp_files_id', 'inp_files', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_files_actio_type', 'inp_files', 'actio_type', 'varchar(18)', 'Action required by this file.');
INSERT INTO db_cat_table_x_column VALUES ('inp_files_file_type', 'inp_files', 'file_type', 'varchar(18)', 'File type.');
INSERT INTO db_cat_table_x_column VALUES ('inp_files_fname', 'inp_files', 'fname', 'varchar(254)', 'File name');
INSERT INTO db_cat_table_x_column VALUES ('inp_groundwater_subc_id', 'inp_groundwater', 'subc_id', 'varchar(16)', 'Subcatchment identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_groundwater_aquif_id', 'inp_groundwater', 'aquif_id', 'varchar(16)', 'Aquifer identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_groundwater_node_id', 'inp_groundwater', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_groundwater_surfel', 'inp_groundwater', 'surfel', 'Numeric(12,4)', 'Surface elevation of subcatchment (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('inp_groundwater_a1', 'inp_groundwater', 'a1', 'Numeric(12,4)', 'Groundwater flow coefficient (see remarks).');
INSERT INTO db_cat_table_x_column VALUES ('inp_groundwater_b1', 'inp_groundwater', 'b1', 'Numeric(12,4)', 'Groundwater flow exponent (see remarks).');
INSERT INTO db_cat_table_x_column VALUES ('inp_groundwater_a2', 'inp_groundwater', 'a2', 'Numeric(12,4)', 'Surface water flow coefficient (see remarks).');
INSERT INTO db_cat_table_x_column VALUES ('inp_groundwater_b2', 'inp_groundwater', 'b2', 'Numeric(12,4)', 'Surface water flow exponent (see remarks).');
INSERT INTO db_cat_table_x_column VALUES ('inp_groundwater_a3', 'inp_groundwater', 'a3', 'Numeric(12,4)', 'Surface water â groundwater interaction coefficient (see remarks).');
INSERT INTO db_cat_table_x_column VALUES ('inp_groundwater_tw', 'inp_groundwater', 'tw', 'Numeric(12,4)', 'Fixed depth of surface water at receiving node (ft or m) (set to zero if surface water depth will vary as computed by flow routing).');
INSERT INTO db_cat_table_x_column VALUES ('inp_groundwater_h', 'inp_groundwater', 'h', 'Numeric(12,4)', 'Groundwater table height which must be reached before any flows occurs (ft or m). Leave blank to use the height of the receiving node''s invert above the aquifer bottom.');
INSERT INTO db_cat_table_x_column VALUES ('inp_groundwater_fl_eq_lat', 'inp_groundwater', 'fl_eq_lat', 'varchar(50)', 'To supply a custom equation for lateral groundwater flow. Enter an expression to use in addtion to the standard equation for lateral groundwater flow');
INSERT INTO db_cat_table_x_column VALUES ('inp_groundwater_fl_eq_deep', 'inp_groundwater', 'fl_eq_deep', 'varchar(50)', 'To supply a custom equation for deep groundwater flow. Enter an expression to use in addtion to the standard equation for deep groundwater flow');
INSERT INTO db_cat_table_x_column VALUES ('inp_orifice_cd', 'inp_orifice', 'cd', 'Numeric(12,4)', 'Discharge coefficient (unitless).');
INSERT INTO db_cat_table_x_column VALUES ('inp_hydrograph_id', 'inp_hydrograph', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('raingage_rgage_type', 'raingage', 'rgage_type', 'varchar(18)', 'Raingage type (TIMESERIES or FILE)');
INSERT INTO db_cat_table_x_column VALUES ('inp_hydrograph_text', 'inp_hydrograph', 'text', 'varchar(254)', 'Should follow the described format: Name Raingage, Name Month SHORT/MEDIUM/LONGÂ  RÂ  TÂ  K (Dmax Drec D0)');
INSERT INTO db_cat_table_x_column VALUES ('inp_orifice_shape', 'inp_orifice', 'shape', 'varchar(18)', 'Cross-section shape.The only allowable shapes are CIRCULAR and RECT_CLOSED (closed rectangular).');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_id', 'inp_inflows', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_node_id', 'inp_inflows', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_timser_id', 'inp_inflows', 'timser_id', 'varchar(16)', 'Time series identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_sfactor', 'inp_inflows', 'sfactor', 'Numeric(12,4)', 'Scaling factor that multiplies the recorded time series values (default is 1.0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_base', 'inp_inflows', 'base', 'Numeric(12,4)', 'Constant baseline value added to the time series value (default is 0.0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_pattern_id', 'inp_inflows', 'pattern_id', 'varchar(16)', 'Name of optional time pattern in patterns table used to adjust the baseline value on a periodic basis.');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_pol_x_node_poll_id', 'inp_inflows_pol_x_node', 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_pol_x_node_node_id', 'inp_inflows_pol_x_node', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_pol_x_node_timser_id', 'inp_inflows_pol_x_node', 'timser_id', 'varchar(16)', 'Time series identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_fout', 'inp_snowpack', 'fout', 'Numeric(12,4)', 'Fraction of snow on plowable area transferred out of watershed.');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_pol_x_node_form_type', 'inp_inflows_pol_x_node', 'form_type', 'varchar(18)', 'CONCEN if pollutant inflow is described as a concentration, MASS if it is described as a mass flow rate (default is CONCEN).');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_pol_x_node_mfactor', 'inp_inflows_pol_x_node', 'mfactor', 'Numeric(12,4)', 'The factor that converts the inflowâs mass flow rate units into the projectâs mass units per second, where the projectâs mass units are those specified for the pollutant in the pollutants table (default is 1.0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_pol_x_node_sfactor', 'inp_inflows_pol_x_node', 'sfactor', 'Numeric(12,4)', 'Caling factor that multiplies the recorded time series values (default is 1.0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_pol_x_node_base', 'inp_inflows_pol_x_node', 'base', 'Numeric(12,4)', 'Constant baseline value added to the time series value (default is 0.0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_inflows_pol_x_node_pattern_id', 'inp_inflows_pol_x_node', 'pattern_id', 'varchar(16)', 'Name of optional time pattern in patterns table used to adjust the baseline value on a periodic basis.');
INSERT INTO db_cat_table_x_column VALUES ('inp_junction_node_id', 'inp_junction', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_junction_y0', 'inp_junction', 'y0', 'Numeric(12,4)', 'Water depth at start of simulation (ft or m) (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_junction_ysur', 'inp_junction', 'ysur', 'Numeric(12,4)', 'Maximum additional head above ground elevation that manhole junction can sustain under surcharge conditions (ft or m) (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_junction_apond', 'inp_junction', 'apond', 'numeric(12,4)', 'Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_label_label', 'inp_label', 'label', 'varchar(16)', 'Text of label surrounded by double quotes.');
INSERT INTO db_cat_table_x_column VALUES ('inp_label_xcoord', 'inp_label', 'xcoord', 'numeric(18,6)', 'Location of the label: x coordinate.');
INSERT INTO db_cat_table_x_column VALUES ('inp_label_ycoord', 'inp_label', 'ycoord', 'numeric(18,6)', 'Location of the label: y coordinate.');
INSERT INTO db_cat_table_x_column VALUES ('inp_label_anchor', 'inp_label', 'anchor', 'varchar(16)', 'Name of node or subcatchment that anchors the label on zoom-ins');
INSERT INTO db_cat_table_x_column VALUES ('inp_label_font', 'inp_label', 'font', 'varchar(50)', 'Font style of the label.');
INSERT INTO db_cat_table_x_column VALUES ('inp_label_size', 'inp_label', 'size', 'Numeric(12,4)', 'Size of the label.');
INSERT INTO db_cat_table_x_column VALUES ('inp_label_bold', 'inp_label', 'bold', 'varchar(3)', 'Style of the label: bold.');
INSERT INTO db_cat_table_x_column VALUES ('inp_label_italic', 'inp_label', 'italic', 'varchar(3)', 'Style of the label: italic.');
INSERT INTO db_cat_table_x_column VALUES ('inp_landuses_landus_id', 'inp_landuses', 'landus_id', 'varchar(16)', 'ID (label land use name).');
INSERT INTO db_cat_table_x_column VALUES ('inp_landuses_sweepint', 'inp_landuses', 'sweepint', 'Numeric(12,4)', 'Days between street sweeping.');
INSERT INTO db_cat_table_x_column VALUES ('inp_landuses_availab', 'inp_landuses', 'availab', 'Numeric(12,4)', 'Fraction of pollutant buildup available for removal by street sweeping.');
INSERT INTO db_cat_table_x_column VALUES ('inp_landuses_lastsweep', 'inp_landuses', 'lastsweep', 'numeric(12,4)', 'Days since last sweeping at start of the simulation.');
INSERT INTO db_cat_table_x_column VALUES ('inp_lid_control_id', 'inp_lid_control', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_lid_control_lidco_id', 'inp_lid_control', 'lidco_id', 'varchar(16)', 'ID label (name assigned to LID process).');
INSERT INTO db_cat_table_x_column VALUES ('inp_lid_control_lidco_type', 'inp_lid_control', 'lidco_type', 'varchar(10)', 'The Lid Controls can be: SURFACE, SOIL, PAVEMENT, STORAGE, DRAIN.');
INSERT INTO db_cat_table_x_column VALUES ('inp_lid_control_value_2', 'inp_lid_control', 'value_2', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_table_x_column VALUES ('inp_lid_control_value_3', 'inp_lid_control', 'value_3', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_table_x_column VALUES ('inp_lid_control_value_4', 'inp_lid_control', 'value_4', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_table_x_column VALUES ('inp_lid_control_value_5', 'inp_lid_control', 'value_5', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_table_x_column VALUES ('inp_lid_control_value_6', 'inp_lid_control', 'value_6', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_table_x_column VALUES ('inp_lid_control_value_7', 'inp_lid_control', 'value_7', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_table_x_column VALUES ('inp_lid_control_value_8', 'inp_lid_control', 'value_8', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_table_x_column VALUES ('inp_lidusage_subc_x_lidco_subc_id', 'inp_lidusage_subc_x_lidco', 'subc_id', 'varchar(16)', 'Subcatchment identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_lidusage_subc_x_lidco_lidco_id', 'inp_lidusage_subc_x_lidco', 'lidco_id', 'varchar(16)', 'ID label (name of an LID process defined in the [LID_CONTROLS] table).');
INSERT INTO db_cat_table_x_column VALUES ('inp_lidusage_subc_x_lidco_number', 'inp_lidusage_subc_x_lidco', 'number', 'int2,', 'The number of replicate LID units deployed.');
INSERT INTO db_cat_table_x_column VALUES ('inp_lidusage_subc_x_lidco_area', 'inp_lidusage_subc_x_lidco', 'area', 'Numeric(16,6)', 'The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).');
INSERT INTO db_cat_table_x_column VALUES ('inp_lidusage_subc_x_lidco_width', 'inp_lidusage_subc_x_lidco', 'width', 'Numeric(12,4)', 'The width of the outflow face of each identical LID unit (in ft or m). This parameter only applies to LID processes such as porous pavement and vegetative swales that use overland flow to convey surface runoff off of the unit. (The other LID processes, such as bio-retention cells and infiltration trenches simply spill any excess captured runoff over their berms.)');
INSERT INTO db_cat_table_x_column VALUES ('inp_lidusage_subc_x_lidco_initsat', 'inp_lidusage_subc_x_lidco', 'initsat', 'Numeric(12,4)', 'The percent to which the unit''s soil layer or storage layer is initially filled with water.');
INSERT INTO db_cat_table_x_column VALUES ('inp_orifice_orate', 'inp_orifice', 'orate', 'Numeric(12,4)', 'Time in decimal hours to open a fully closed orifice (or close a fully open one). Use 0 if the orifice can open/close instantaneously.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_groundwater_cont_deep_perc', 'rpt_groundwater_cont', 'deep_perc', 'Numeric(12,4)', 'Deep Percolation.');
INSERT INTO db_cat_table_x_column VALUES ('inp_orifice_flap', 'inp_orifice', 'flap', 'varchar(3)', 'YES if flap gate present to prevent reverse flow, NO if not (default is NO).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_stemp', 'inp_snowmelt', 'stemp', 'numeric(12,4)', 'Air temperature at which precipitation falls as snow (deg F or C).');
INSERT INTO db_cat_table_x_column VALUES ('inp_orifice_to_arc', 'inp_orifice', 'to_arc', 'varchar(16)', 'This fields identifies the direction of the flow of the shortpipe, applied only for the case of check valves');
INSERT INTO db_cat_table_x_column VALUES ('inp_lidusage_subc_x_lidco_fromimp', 'inp_lidusage_subc_x_lidco', 'fromimp', 'Numeric(12,4)', 'The percent of the impervious portion of the subcatchment''s non-LID area whose runoff is treated by the LID units. If the LID unit treats only direct rainfall, such as with a green roof, then this value should be 0. If the LID takes up the entire subcatchment then this field is ignored.');
INSERT INTO db_cat_table_x_column VALUES ('inp_lidusage_subc_x_lidco_toperv', 'inp_lidusage_subc_x_lidco', 'toperv', 'int2,', '1 if the outflow from the LID is returned onto the subcatchment''s pervious area rather than going to the subcatchment''s outlet; 0 otherwise. An example of where this might apply is a rain barrel whose contents are used to irrigate a lawn area. This field is ignored if the LID takes up the entire subcatchment.');
INSERT INTO db_cat_table_x_column VALUES ('inp_lidusage_subc_x_lidco_rptfile', 'inp_lidusage_subc_x_lidco', 'rptfile', 'varchar(10)', 'Optional name of a file to which detailed time series results for the LID will be written. Enclose the name in double quotes if it contains spaces and include the full path if it is different than the SWMM input file path.');
INSERT INTO db_cat_table_x_column VALUES ('inp_loadings_pol_x_subc_poll_id', 'inp_loadings_pol_x_subc', 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_loadings_pol_x_subc_subc_id', 'inp_loadings_pol_x_subc', 'subc_id', 'varchar(16)', 'Subcatchment identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_loadings_pol_x_subc_ibuildup', 'inp_loadings_pol_x_subc', 'ibuildup', 'numeric(12,4)', 'Initial buildup of pollutant (lbs/acre or kg/hectare).');
INSERT INTO db_cat_table_x_column VALUES ('inp_mapdim_type_dim', 'inp_mapdim', 'type_dim', 'varchar(18)', 'Type of map dimensions.');
INSERT INTO db_cat_table_x_column VALUES ('inp_mapdim_x1', 'inp_mapdim', 'x1', 'numeric(18,6)', 'Lower-left X coordinate of full map extent.');
INSERT INTO db_cat_table_x_column VALUES ('inp_mapdim_y1', 'inp_mapdim', 'y1', 'numeric(18,6)', 'Lower-left Y coordinate of full map extent');
INSERT INTO db_cat_table_x_column VALUES ('inp_mapdim_x2', 'inp_mapdim', 'x2', 'numeric(18,6)', 'Upper-right X coordinate of full map extent');
INSERT INTO db_cat_table_x_column VALUES ('inp_mapdim_y2', 'inp_mapdim', 'y2', 'Numeric(18,6', 'Upper-right Y coordinate of full map extent');
INSERT INTO db_cat_table_x_column VALUES ('inp_mapunits_type_units', 'inp_mapunits', 'type_units', 'varchar(18)', 'Type of map units.');
INSERT INTO db_cat_table_x_column VALUES ('inp_mapunits_map_type', 'inp_mapunits', 'map_type', 'varchar(18)', 'Map type.');
INSERT INTO db_cat_table_x_column VALUES ('inp_node_x_sector_id', 'inp_node_x_sector', 'id', 'int4', 'Node related to sector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('inp_node_x_sector_node_id', 'inp_node_x_sector', 'node_id', 'Varchar (16)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_node_x_sector_sector_id', 'inp_node_x_sector', 'sector_id', 'Varchar (16)', 'Sector identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_node_x_sector_epa_type', 'inp_node_x_sector', 'epa_type', 'Varchar (16)', 'Epa type.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_flow_units', 'inp_options', 'flow_units', 'varchar(20)', 'Type of units in which flow rates are expressed.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_flow_routing', 'inp_options', 'flow_routing', 'varchar(12)', 'Method used to route flows through the drainage system.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_link_offsets', 'inp_options', 'link_offsets', 'varchar(12)', 'The convention used to specify the position of a link offset above the invert of its connecting node.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_force_main_equation', 'inp_options', 'force_main_equation', 'varchar(3)', 'Establishes whether the Hazen-Williams (H-W) or the Darcy-Weisbach (D-W) equation will be used to compute friction losses for pressurized flow in conduits that have been assigned a Circular Force Main crosssection shape. The default is H-W.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_ignore_rainfall', 'inp_options', 'ignore_rainfall', 'varchar(3)', 'Set to YES if all rainfall data and runoff calculations should be ignored.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_ignore_snowmelt', 'inp_options', 'ignore_snowmelt', 'varchar(3)', 'Set to YES if all snowmelt data and runoff calculations should be ignored when project file contains snow pack objects..');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_ignore_groundwater', 'inp_options', 'ignore_groundwater', 'varchar(3)', 'Set to YES if all groundwater data and runoff calculations should be ignored when a project file contains aquifer objects');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_ignore_routing', 'inp_options', 'ignore_routing', 'varchar(3)', 'Set to YES if only runoff should be computed even if the project contains drainage system links and nodes.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_ignore_quality', 'inp_options', 'ignore_quality', 'varchar(3)', 'Set to YES if pollutant washoff, routing, and treatment should be ignored in a project that has pollutants defined.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_skip_steady_state', 'inp_options', 'skip_steady_state', 'varchar(3)', 'Set to YES if flow routing computations should be skipped during steady state periods of a simulation during which the last set of computed flows will be used.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_start_date', 'inp_options', 'start_date', 'varchar(12)', 'Date when the simulation begins.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_start_time', 'inp_options', 'start_time', 'varchar(12)', 'Time when the simulation begins.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_end_date', 'inp_options', 'end_date', 'varchar(12)', 'Date when the simulation ends.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_end_time', 'inp_options', 'end_time', 'varchar(12)', 'Time when the simulation ends.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_report_start_date', 'inp_options', 'report_start_date', 'varchar(12)', 'Date when reporting of results is to begin.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_report_start_time', 'inp_options', 'report_start_time', 'varchar(12)', 'Time when reporting of results is to begin.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_sweep_start', 'inp_options', 'sweep_start', 'varchar(12)', 'Day of the year (month/day) when street sweeping operations begins.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_sweep_end', 'inp_options', 'sweep_end', 'varchar(12)', 'Day of the year (month/day) when street sweeping operations ends.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_dry_days', 'inp_options', 'dry_days', 'Numeric(12)', 'The number of days with no rainfall prior to the start of the simulation. The default is 0.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_report_step', 'inp_options', 'report_step', 'varchar(12)', 'The time interval for reporting of computed results. The default is 0:15:00.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_wet_step', 'inp_options', 'wet_step', 'varchar(12)', 'The time step length used to compute runoff from subcatchments during periods of rainfall or when ponded water still remains on the surface. The default is 0:05:00.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_dry_step', 'inp_options', 'dry_step', 'varchar(12)', 'The time step length used for runoff computations (consisting essentially of pollutant buildup) during periods when there is no rainfall and no ponded water. The default is 1:00:00.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_routing_step', 'inp_options', 'routing_step', 'varchar(12)', 'The time step length in seconds used for routing flows and water quality constituents through the conveyance system. The default is 600 sec.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_lengthening_step', 'inp_options', 'lengthening_step', 'Numeric(12,6)', 'Time step, in seconds, used to lengthen conduits under dynamic wave routing, so that they meet the Courant stability criterion under fullflow conditions');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_variable_step', 'inp_options', 'variable_step', 'Numeric(12,6)', 'Safety factor applied to a variable time step computed for each time period under dynamic wave flow routing.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_inertial_damping', 'inp_options', 'inertial_damping', 'varchar(12)', 'Indicates how the inertial terms in the Saint Venant momentum equation will be handled under dynamic wave flow routing.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_normal_flow_limited', 'inp_options', 'normal_flow_limited', 'varchar(12)', 'Specifies which condition is checked to determine if flow in a conduit is supercritical and should thus be limited to the normal flow.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_min_surfarea', 'inp_options', 'min_surfarea', 'Numeric(12,6)', 'Minimum surface area used at nodes when computing changes in water depth under dynamic wave routing.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_min_slope', 'inp_options', 'min_slope', 'Numeric(12,6)', 'Minimum value allowed for a conduitâs slope (%).');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_allow_ponding', 'inp_options', 'allow_ponding', 'varchar(3)', 'YES if the node allow ponding on the surface');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_tempdir', 'inp_options', 'tempdir', 'varchar(254)', 'The name of a file directory (or folder) where SWMM writes its temporarty files.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_max_trials', 'inp_options', 'max_trials', 'int4,', 'Maximum trials allowed on the simulation');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_head_tolerance', 'inp_options', 'head_tolerance', 'Numeric(12,4)', 'Head tolerance parameter');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_sys_flow_tol', 'inp_options', 'sys_flow_tol', 'int4,', 'Tolerance of system flow');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_lat_flow_tol', 'inp_options', 'lat_flow_tol', 'int4', 'Tolerance of lateral flow');
INSERT INTO db_cat_table_x_column VALUES ('inp_orifice_arc_id', 'inp_orifice', 'arc_id', 'varchar(16)', 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('inp_orifice_node_id', 'inp_orifice', 'node_id', 'varchar(16)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_orifice_offset', 'inp_orifice', 'offset', 'Numeric(12,4)', 'Amount that a Side Orificeâs bottom or the position of a Bottom Orifice is offset above the invert of inlet node (ft or m, expressed as either a depth or as an elevation, depending on the LINK_OFFSETS option setting).');
INSERT INTO db_cat_table_x_column VALUES ('inp_orifice_geom1', 'inp_orifice', 'geom1', 'Numeric(12,4)', 'Maximum depth (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('inp_orifice_geom2', 'inp_orifice', 'geom2', 'numeric(12,4)', 'Width parameter (ft or m)');
INSERT INTO db_cat_table_x_column VALUES ('inp_orifice_geom3', 'inp_orifice', 'geom3', 'numeric(12,4)', 'Auxiliary parameters (width,side,slopes, etc.) as listed in Table D-1 from Appendix D of SWMM''s Manual.');
INSERT INTO db_cat_table_x_column VALUES ('inp_orifice_geom4', 'inp_orifice', 'geom4', 'numeric(12,4)', 'Auxiliary parameters (width,side,slopes, etc.) as listed in Table D-1 from Appendix D of SWMM''s Manual.');
INSERT INTO db_cat_table_x_column VALUES ('inp_outfall_node_id', 'inp_outfall', 'node_id', 'varchar(16)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_outfall_outfall_type', 'inp_outfall', 'outfall_type', 'varchar(16)', 'An outfall can be: FREE, NORMAL, FIXED, TIDAL or TIMESERIES.');
INSERT INTO db_cat_table_x_column VALUES ('inp_outfall_stage', 'inp_outfall', 'stage', 'Numeric(12,4)', 'Elevation of fixed stage outfall (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('inp_outfall_curve_id', 'inp_outfall', 'curve_id', 'varchar(16)', 'Curve identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_outfall_timser_id', 'inp_outfall', 'timser_id', 'varchar(16)', 'Time series identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_outfall_gate', 'inp_outfall', 'gate', 'varchar(3)', 'YES or NO depending on whether a flap gate is present that prevents reverse flow.');
INSERT INTO db_cat_table_x_column VALUES ('inp_outlet_arc_id', 'inp_outlet', 'arc_id', 'varchar(16)', 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('inp_outlet_node_id', 'inp_outlet', 'node_id', 'varchar(16)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_outlet_outlet_type', 'inp_outlet', 'outlet_type', 'varchar(16)', 'A outlet can be: TABULAR / DEPTH, TABULAR / HEAD, FUNCTIONALÂ  / DEPTH or FUNCTIONAL / HEAD.');
INSERT INTO db_cat_table_x_column VALUES ('inp_outlet_offset', 'inp_outlet', 'offset', 'Numeric(12,4)', 'Amount that the outlet is offset above the invert of inlet node (ft or m, expressed as either a depth or as an elevation, depending on the LINK_OFFSETS option setting).');
INSERT INTO db_cat_table_x_column VALUES ('inp_outlet_curve_id', 'inp_outlet', 'curve_id', 'varchar(16)', 'Curve identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_outlet_cd1', 'inp_outlet', 'cd1', 'Numeric(12,4)', 'Coefficient for a FUNCTIONAL discharge funtion');
INSERT INTO db_cat_table_x_column VALUES ('inp_outlet_cd2', 'inp_outlet', 'cd2', 'Numeric(12,4)', 'Exponent for a FUNCTIONAL discharge function');
INSERT INTO db_cat_table_x_column VALUES ('inp_outlet_flap', 'inp_outlet', 'flap', 'varchar(3)', 'YES if flap gate present to prevent reverse flow, NO if not (default is NO).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_pattern_id', 'inp_pattern', 'pattern_id', 'varchar(16)', 'Pattern identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_pattern_type', 'inp_pattern', 'pattern_type', 'varchar(16)', 'A pattern can be: MONTHLY, DAILY, HOURLY or WEEKEND (see Remarks)');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_1', 'inp_pattern', 'factor_1', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_2', 'inp_pattern', 'factor_2', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_3', 'inp_pattern', 'factor_3', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_4', 'inp_pattern', 'factor_4', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_5', 'inp_pattern', 'factor_5', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_6', 'inp_pattern', 'factor_6', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_7', 'inp_pattern', 'factor_7', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_8', 'inp_pattern', 'factor_8', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_9', 'inp_pattern', 'factor_9', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_10', 'inp_pattern', 'factor_10', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_11', 'inp_pattern', 'factor_11', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_12', 'inp_pattern', 'factor_12', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_13', 'inp_pattern', 'factor_13', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_14', 'inp_pattern', 'factor_14', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_15', 'inp_pattern', 'factor_15', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_16', 'inp_pattern', 'factor_16', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_17', 'inp_pattern', 'factor_17', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_18', 'inp_pattern', 'factor_18', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_19', 'inp_pattern', 'factor_19', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_20', 'inp_pattern', 'factor_20', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_21', 'inp_pattern', 'factor_21', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_23', 'inp_pattern', 'factor_23', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_24', 'inp_pattern', 'factor_24', 'numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pollutant_poll_id', 'inp_pollutant', 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pollutant_units_type', 'inp_pollutant', 'units_type', 'varchar(18)', 'Concentration units (MG/L for milligrams per liter, UG/L for micrograms per liter, or #/L for direct count per liter).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pollutant_crain', 'inp_pollutant', 'crain', 'Numeric(12,4)', 'Concentration of pollutant in rainfall (concentration units).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pollutant_cgw', 'inp_pollutant', 'cgw', 'Numeric(12,4)', 'Concentration of pollutant in groundwater (concentration units).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pollutant_cii', 'inp_pollutant', 'cii', 'Numeric(12,4)', 'Concentration of pollutant in inflow/infiltration (concentration units).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pollutant_kd', 'inp_pollutant', 'kd', 'Numeric(12,4)', 'First-order decay coefficient (1/days).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pollutant_sflag', 'inp_pollutant', 'sflag', 'varchar(3)', 'YES if pollutant buildup occurs only when there is snow cover, NO otherwise (default is NO).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pollutant_copoll_id', 'inp_pollutant', 'copoll_id', 'varchar(16)', 'Co-pollutant identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pollutant_cofract', 'inp_pollutant', 'cofract', 'Numeric(12,4)', 'Fraction of co-pollutant concentration (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pollutant_cdwf', 'inp_pollutant', 'cdwf', 'numeric(12,4)', 'Concentration of pollutant in dry weather flow (concentration units).');
INSERT INTO db_cat_table_x_column VALUES ('inp_project_id_title', 'inp_project_id', 'title', 'varchar(254)', 'Title of the project');
INSERT INTO db_cat_table_x_column VALUES ('inp_project_id_author', 'inp_project_id', 'author', 'varchar(50)', 'Author of the project');
INSERT INTO db_cat_table_x_column VALUES ('inp_project_id_date', 'inp_project_id', 'date', 'varchar(12)', 'Project creation date.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_arc_id', 'inp_pump', 'arc_id', 'varchar(16)', 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_node_id', 'inp_pump', 'node_id', 'varchar(16)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_curve_id', 'inp_pump', 'curve_id', 'varchar(16)', 'Curve identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_to_arc', 'inp_pump', 'to_arc', 'varchar(16)', 'This fields identifies the direction of the flow of the shortpipe, applied only for the case of check valves');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_status', 'inp_pump', 'status', 'varchar(3)', 'Status at start of simulation (either ON or OFF; default is ON).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_startup', 'inp_pump', 'startup', 'Numeric(12,4)', 'Depth at inlet node when pump turns on (ft or m) (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_shutoff', 'inp_pump', 'shutoff', 'numeric(12,4)', 'Depth at inlet node when pump shuts off (ft or m) (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_rdii_node_id', 'inp_rdii', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_rdii_hydro_id', 'inp_rdii', 'hydro_id', 'varchar(16)', 'Hydrograph identifier. (name of an RDII unit hydrograph group specified in the hydrographs table).');
INSERT INTO db_cat_table_x_column VALUES ('inp_rdii_sewerarea', 'inp_rdii', 'sewerarea', 'numeric(16,6)', 'Area of the sewershed which contributes RDII to the node (acres or hectares).');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_input', 'inp_report', 'input', 'varchar(18)', 'Specifies whether or not a summary of the input data should be provided in the output report. The default is NO.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_continuity', 'inp_report', 'continuity', 'varchar(20)', 'Specifies whether continuity checks should be reported or not. The default is YES.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_flowstats', 'inp_report', 'flowstats', 'varchar(3)', 'Specifies whether summary flow statistics should be reported or not. The default is YES.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_controls', 'inp_report', 'controls', 'varchar(3)', 'Specifies whether all control actions taken during a simulation should be listed or not. The default is NO.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_subcatchments', 'inp_report', 'subcatchments', 'varchar(4)', 'List of subcatchments whose results are to be reported. The default is NONE.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_nodes', 'inp_report', 'nodes', 'varchar(4)', 'List of nodes whose results are to be reported. The default is NONE.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_links', 'inp_report', 'links', 'varchar(4)', 'List of links whose results are to be reported. The default is NONE.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_atiwt', 'inp_snowmelt', 'atiwt', 'numeric(12,4)', 'Antecedent temperature index weight (default is 0.5).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_rnm', 'inp_snowmelt', 'rnm', 'numeric(12,4)', 'Negative melt ratio (default is 0.6).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_elev', 'inp_snowmelt', 'elev', 'numeric(12,4)', 'Average elevation of study area above mean sea level (ft or m) (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_lat', 'inp_snowmelt', 'lat', 'numeric(12,4)', 'Latitude of the study area in degrees North (default is 50).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_dtlong', 'inp_snowmelt', 'dtlong', 'numeric(12,4)', 'Correction, in minutes of time, between true solar time and the standard clock time (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_i_f0', 'inp_snowmelt', 'i_f0', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_i_f1', 'inp_snowmelt', 'i_f1', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,1.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_i_f2', 'inp_snowmelt', 'i_f2', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,2.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_i_f3', 'inp_snowmelt', 'i_f3', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,3.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_i_f4', 'inp_snowmelt', 'i_f4', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,4.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_i_f5', 'inp_snowmelt', 'i_f5', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,5.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_i_f6', 'inp_snowmelt', 'i_f6', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,6.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_i_f7', 'inp_snowmelt', 'i_f7', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,7.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_i_f8', 'inp_snowmelt', 'i_f8', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,8.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_i_f9', 'inp_snowmelt', 'i_f9', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,9.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_p_f0', 'inp_snowmelt', 'p_f0', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_p_f1', 'inp_snowmelt', 'p_f1', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.1.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_p_f2', 'inp_snowmelt', 'p_f2', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.2.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_p_f3', 'inp_snowmelt', 'p_f3', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.3.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_p_f4', 'inp_snowmelt', 'p_f4', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.4.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_p_f5', 'inp_snowmelt', 'p_f5', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.5.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_p_f6', 'inp_snowmelt', 'p_f6', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.6.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_groundwater_cont_init_stor', 'rpt_groundwater_cont', 'init_stor', 'Numeric(12,4)', 'Initial Storage.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_p_f7', 'inp_snowmelt', 'p_f7', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.7.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_p_f8', 'inp_snowmelt', 'p_f8', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.8.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowmelt_p_f9', 'inp_snowmelt', 'p_f9', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.9.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_snow_id', 'inp_snowpack', 'snow_id', 'varchar(16)', 'Snow identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_cmin_1', 'inp_snowpack', 'cmin_1', 'Numeric(12,4)', 'Minimum melt coefficient (in/hr-deg F or mm/hr-deg C).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_cmax_1', 'inp_snowpack', 'cmax_1', 'Numeric(12,4)', 'Maximum melt coefficient (in/hr-deg F or mm/hr-deg C).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_tbase_1', 'inp_snowpack', 'tbase_1', 'Numeric(12,4)', 'Snow melt base temperature (deg F or deg C).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_fwf_1', 'inp_snowpack', 'fwf_1', 'Numeric(12,4)', 'Ratio of free water holding capacity to snow depth (fraction).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_sd0_1', 'inp_snowpack', 'sd0_1', 'Numeric(12,4)', 'Initial snow depth (in or mm water equivalent).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_fw0_1', 'inp_snowpack', 'fw0_1', 'Numeric(12,4)', 'Initial free water in pack (in or mm).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_snn0_1', 'inp_snowpack', 'snn0_1', 'Numeric(12,4)', 'Fraction of impervious area that can be plowed.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_cmin_2', 'inp_snowpack', 'cmin_2', 'Numeric(12,4)', 'Minimum melt coefficient (in/hr-deg F or mm/hr-deg C).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_cmax_2', 'inp_snowpack', 'cmax_2', 'Numeric(12,4)', 'Maximum melt coefficient (in/hr-deg F or mm/hr-deg C).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_tbase_2', 'inp_snowpack', 'tbase_2', 'Numeric(12,4)', 'Snow melt base temperature (deg F or deg C).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_fwf_2', 'inp_snowpack', 'fwf_2', 'Numeric(12,4)', 'Ratio of free water holding capacity to snow depth (fraction).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_sd0_2', 'inp_snowpack', 'sd0_2', 'Numeric(12,4)', 'Initial snow depth (in or mm water equivalent).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_fw0_2', 'inp_snowpack', 'fw0_2', 'Numeric(12,4)', 'Initial free water in pack (in or mm).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_sd100_1', 'inp_snowpack', 'sd100_1', 'Numeric(12,4)', 'Snow depth above which there is 100% cover (in or mm water equivalent).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_cmin_3', 'inp_snowpack', 'cmin_3', 'Numeric(12,4)', 'Minimum melt coefficient (in/hr-deg F or mm/hr-deg C).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_cmax_3', 'inp_snowpack', 'cmax_3', 'Numeric(12,4)', 'Maximum melt coefficient (in/hr-deg F or mm/hr-deg C).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_tbase_3', 'inp_snowpack', 'tbase_3', 'Numeric(12,4)', 'Snow melt base temperature (deg F or deg C).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_fwf_3', 'inp_snowpack', 'fwf_3', 'Numeric(12,4)', 'Ratio of free water holding capacity to snow depth (fraction).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_sd0_3', 'inp_snowpack', 'sd0_3', 'Numeric(12,4)', 'Initial snow depth (in or mm water equivalent).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_fw0_3', 'inp_snowpack', 'fw0_3', 'Numeric(12,4)', 'Initial free water in pack (in or mm).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_sd100_2', 'inp_snowpack', 'sd100_2', 'Numeric(12,4)', 'Snow depth above which there is 100% cover (in or mm water equivalent).');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_sdplow', 'inp_snowpack', 'sdplow', 'Numeric(12,4)', 'Depth of snow on plowable areas at which snow removal begins (in or mm).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodedepth_sum_node_id', 'rpt_nodedepth_sum', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_fimp', 'inp_snowpack', 'fimp', 'Numeric(12,4)', 'Fraction of snow on plowable area transferred to impervious area by plowing.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_fperv', 'inp_snowpack', 'fperv', 'Numeric(12,4)', 'Fraction of snow on plowable area transferred to pervious area by plowing.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_fimelt', 'inp_snowpack', 'fimelt', 'Numeric(12,4)', 'Fraction of snow on plowable area converted into immediate melt.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_fsub', 'inp_snowpack', 'fsub', 'Numeric(12,4)', 'Fraction ofÂ  snow on plowable area transferred to pervious area in another subcatchment.');
INSERT INTO db_cat_table_x_column VALUES ('inp_snowpack_subc_id', 'inp_snowpack', 'subc_id', 'varchar(16)', 'Subcatchment identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_storage_node_id', 'inp_storage', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_storage_storage_type', 'inp_storage', 'storage_type', 'varchar(18)', 'A sotrage can be: TABULAR or FUNCTIONAL.');
INSERT INTO db_cat_table_x_column VALUES ('inp_storage_curve_id', 'inp_storage', 'curve_id', 'varchar(16)', 'Curve identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_storage_a1', 'inp_storage', 'a1', 'Numeric(12,4)', 'Coefficient of FUNCTIONAL relation between surface area and depth.');
INSERT INTO db_cat_table_x_column VALUES ('inp_storage_a2', 'inp_storage', 'a2', 'Numeric(12,4)', 'Exponent of FUNCTIONAL relation between surface area and depth.');
INSERT INTO db_cat_table_x_column VALUES ('inp_storage_a0', 'inp_storage', 'a0', 'Numeric(12,4)', 'Constant of FUNCTIONAL relation between surface area and depth.');
INSERT INTO db_cat_table_x_column VALUES ('inp_storage_fevap', 'inp_storage', 'fevap', 'Numeric(12,4)', 'Fraction of potential evaporation from surface realized (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_storage_hc', 'inp_storage', 'hc', 'Numeric(12,4)', 'Soil saturated hydraulic conductivity (in/hr or mm/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_storage_imd', 'inp_storage', 'imd', 'Numeric(12,4)', 'Initial soil moisture deficit (volume of voids / total volume).');
INSERT INTO db_cat_table_x_column VALUES ('inp_storage_y0', 'inp_storage', 'y0', 'Numeric(12,4)', 'Water depth at start of simulation (ft or m) (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_storage_ysur', 'inp_storage', 'ysur', 'Numeric(12,4)', 'Maximum additional head above ground elevation that node can sustain under surcharge conditions (ft or m) (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_storage_apond', 'inp_storage', 'apond', 'Numeric(12,4)', 'Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_temperature_temp_type', 'inp_temperature', 'temp_type', 'varchar(16)', 'Temperature type (TIMESERIES or FILE).');
INSERT INTO db_cat_table_x_column VALUES ('inp_temperature_timser_id', 'inp_temperature', 'timser_id', 'varchar(16)', 'Name of time series inÂ timeseries table with temperature data.');
INSERT INTO db_cat_table_x_column VALUES ('inp_temperature_fname', 'inp_temperature', 'fname', 'varchar(254)', 'Name of external Climate file with temperature data.');
INSERT INTO db_cat_table_x_column VALUES ('inp_temperature_start', 'inp_temperature', 'start', 'varchar(12)', 'Date to begin reading from the file in month/day/year format (default is the beginning of the file).');
INSERT INTO db_cat_table_x_column VALUES ('inp_timeseries_id', 'inp_timeseries', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_timeseries_timser_id', 'inp_timeseries', 'timser_id', 'varchar(16)', 'Time series identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_timeseries_date', 'inp_timeseries', 'date', 'varchar(12)', 'Date in Month/Day/Year format (e.g., June 15, 2001 would be 6/15/2001).');
INSERT INTO db_cat_table_x_column VALUES ('inp_timeseries_hour', 'inp_timeseries', 'hour', 'varchar(10)', '24-hour military time (e.g., 8:40 pm would be 20:40) relative to the last date specified (or to midnight of the starting date of the simulation if no previous date was specified).');
INSERT INTO db_cat_table_x_column VALUES ('inp_timeseries_time', 'inp_timeseries', 'time', 'varchar(10)', 'Hours since the start of the simulation, expressed as a decimal number or as hours:minutes.');
INSERT INTO db_cat_table_x_column VALUES ('inp_timeseries_value', 'inp_timeseries', 'value', 'Numeric(12,4)', 'Value corresponding to given date and time.');
INSERT INTO db_cat_table_x_column VALUES ('inp_timeseries_fname', 'inp_timeseries', 'fname', 'varchar(254)', 'Name of a file in which the time series data are stored.');
INSERT INTO db_cat_table_x_column VALUES ('inp_timser_id_id', 'inp_timser_id', 'id', 'varchar(16)', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_timser_id_timser_type', 'inp_timser_id', 'timser_type', 'varchar(20)', 'Time series type.');
INSERT INTO db_cat_table_x_column VALUES ('inp_timser_id_times_type', 'inp_timser_id', 'times_type', 'varchar(16)', 'Times type.');
INSERT INTO db_cat_table_x_column VALUES ('inp_transects_id', 'inp_transects', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_transects_text', 'inp_transects', 'text', 'varchar(254)', 'Should follow the format described on SWMM user''s manual appendix C');
INSERT INTO db_cat_table_x_column VALUES ('inp_treatment_node_x_pol_node_id', 'inp_treatment_node_x_pol', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_treatment_node_x_pol_poll_id', 'inp_treatment_node_x_pol', 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_treatment_node_x_pol_function', 'inp_treatment_node_x_pol', 'function', 'varchar(100)', 'Mathematical function expressing treatment result in terms of pollutant concentrations, pollutant removals, and other standard variables (see Remarks). In treatment function we can choose between: C â function computes effluent concentration and R â function computes fractional removal.');
INSERT INTO db_cat_table_x_column VALUES ('inp_arc_type_id', 'inp_arc_type', 'id', 'varchar(16)', 'Tyoe of arc on the SWMM model (CONDUIT, PUMP, ORIFICE, WEIR, OUTLET or UNDEFINED)');
INSERT INTO db_cat_table_x_column VALUES ('inp_node_type_id', 'inp_node_type', 'id', 'varchar(16)', 'Type of node on the SWMM model (JUNCTION, DIVIDER, OUTFALL, STORAGE or UNDEFINED)');
INSERT INTO db_cat_table_x_column VALUES ('inp_giswater_config_id', 'inp_giswater_config', 'id', 'Varchar(16)', 'Primary key for table.');
INSERT INTO db_cat_table_x_column VALUES ('inp_giswater_config_giswater_file_path', 'inp_giswater_config', 'giswater_file_path', 'text', 'Giswater file path');
INSERT INTO db_cat_table_x_column VALUES ('inp_giswater_config_giswater_software_path', 'inp_giswater_config', 'giswater_software_path', 'text', 'Giswater software path');
INSERT INTO db_cat_table_x_column VALUES ('inp_giswater_config_inp_file_path', 'inp_giswater_config', 'inp_file_path', 'text', 'inp_file_path');
INSERT INTO db_cat_table_x_column VALUES ('inp_giswater_config_rpt_file_path', 'inp_giswater_config', 'rpt_file_path', 'text', 'rpt_file_path');
INSERT INTO db_cat_table_x_column VALUES ('inp_giswater_config_rpt_result_id', 'inp_giswater_config', 'rpt_result_id', 'text', 'rpt result identifier');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_divider_id', 'inp_typevalue_divider', 'id', 'varchar(16)', 'Value domain of SWMM divider type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_divider_descript', 'inp_typevalue_divider', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_evap_id', 'inp_typevalue_evap', 'id', 'varchar(18)', 'Value domain of SWMM about evaporation . See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_evap_descript', 'inp_typevalue_evap', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_orifice_id', 'inp_typevalue_orifice', 'id', 'varchar(16)', 'Value domain of SWMM orifice type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_orifice_descript', 'inp_typevalue_orifice', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_outfall_id', 'inp_typevalue_outfall', 'id', 'varchar(16)', 'Value domain of SWMM outfall type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_outfall_descript', 'inp_typevalue_outfall', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_outlet_descript', 'inp_typevalue_outlet', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_pattern_id', 'inp_typevalue_pattern', 'id', 'varchar(18)', 'Value domain of SWMM pattern type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_pattern_descript', 'inp_typevalue_pattern', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_condsurcharge_sum_hour_limit', 'rpt_condsurcharge_sum', 'hour_limit', 'numeric(12,4)', 'Hours capacity limited.');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_raingage_id', 'inp_typevalue_raingage', 'id', 'varchar(18)', 'Value domain of SWMM raingage type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_raingage_descript', 'inp_typevalue_raingage', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_storage_id', 'inp_typevalue_storage', 'id', 'varchar(16)', 'Value domain of SWMM storage type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_storage_descript', 'inp_typevalue_storage', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_temp_id', 'inp_typevalue_temp', 'id', 'varchar(18)', 'Value domain of SWMM about temperature . See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_temp_descript', 'inp_typevalue_temp', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_timeseries_id', 'inp_typevalue_timeseries', 'id', 'varchar(18)', 'Value domain of SWMM timeseries type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_timeseries_descript', 'inp_typevalue_timeseries', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_windsp_id', 'inp_typevalue_windsp', 'id', 'varchar(16)', 'Value domain of SWMM wind speed type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_windsp_descript', 'inp_typevalue_windsp', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_allnone_id', 'inp_value_allnone', 'id', 'varchar(18)', 'Value domain of SWMM all none. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_buildup_id', 'inp_value_buildup', 'id', 'varchar(18)', 'Value domain of SWMM buildup. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_catarc_id', 'inp_value_catarc', 'id', 'varchar(18)', 'Value domain of SWMM about catalog of arcs');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_curve_id', 'inp_value_curve', 'id', 'varchar(18)', 'Value domain of SWMM curve. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('raingage_form_type', 'raingage', 'form_type', 'varchar(12)', 'Form of recorded rainfall, either INTENSITY, VOLUME or CUMULATIVE.');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_files_actio_id', 'inp_value_files_actio', 'id', 'varchar(18)', 'Value domain of SWMM files actio. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_files_type_id', 'inp_value_files_type', 'id', 'varchar(18)', 'Value domain of SWMM files type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_inflows_id', 'inp_value_inflows', 'id', 'varchar(18)', 'Value domain of SWMM inflows. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_lidcontrol_id', 'inp_value_lidcontrol', 'id', 'varchar(18)', 'Value domain of SWMM lid controls. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('rpt_high_conterrors_result_id', 'rpt_high_conterrors', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_mapunits_id', 'inp_value_mapunits', 'id', 'varchar(18)', 'Value domain of SWMM map units. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_options_fme_id', 'inp_value_options_fme', 'id', 'varchar(16)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_options_fr_id', 'inp_value_options_fr', 'id', 'varchar(18)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_options_fu_id', 'inp_value_options_fu', 'id', 'varchar(16)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_options_id_id', 'inp_value_options_id', 'id', 'varchar(16)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_options_in_id', 'inp_value_options_in', 'id', 'varchar(16)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_options_lo_id', 'inp_value_options_lo', 'id', 'varchar(16)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_options_nfl_id', 'inp_value_options_nfl', 'id', 'varchar(16)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('rpt_groundwater_cont_result_id', 'rpt_groundwater_cont', 'result_id', 'varchar(16)', 'ID simulation result.');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_orifice_id', 'inp_value_orifice', 'id', 'varchar(18)', 'Value domain of SWMM orifice. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_pollutants_id', 'inp_value_pollutants', 'id', 'varchar(18)', 'Value domain of SWMM pollutants. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_raingage_id', 'inp_value_raingage', 'id', 'varchar(18)', 'Value domain of SWMM raingage. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_routeto_id', 'inp_value_routeto', 'id', 'varchar(18)', 'Value domain of SWMM routeto. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_status_id', 'inp_value_status', 'id', 'Varchar(6)', 'Value domain of SWMM status. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_timserid_id', 'inp_value_timserid', 'id', 'varchar(20)', 'Value domain of SWMM timeseries. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_timserid_descript', 'inp_value_timserid', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_treatment_id', 'inp_value_treatment', 'id', 'varchar(18)', 'Value domain of SWMM treatment. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_washoff_id', 'inp_value_washoff', 'id', 'varchar(18)', 'Value domain of SWMM wash off. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_weirs_id', 'inp_value_weirs', 'id', 'varchar(18)', 'Value domain of SWMM weirs. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_weirs_shape', 'inp_value_weirs', 'shape', 'varchar(18)', 'Cross-section shape.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_mfull_dept', 'rpt_arcflow_sum', 'mfull_dept', 'Numeric(12,4)', 'Maximum full depth.');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_yesno_id', 'inp_value_yesno', 'id', 'varchar(3)', 'Value domain of SWMM yes/no. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_washoff_land_x_pol_landus_id', 'inp_washoff_land_x_pol', 'landus_id', 'varchar(16)', 'Land use identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_washoff_land_x_pol_poll_id', 'inp_washoff_land_x_pol', 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_washoff_land_x_pol_funcw_type', 'inp_washoff_land_x_pol', 'funcw_type', 'varchar(18)', 'Washoff function type: EXP / RC / EMC.');
INSERT INTO db_cat_table_x_column VALUES ('inp_washoff_land_x_pol_c1', 'inp_washoff_land_x_pol', 'c1', 'Numeric(12,4)', 'Washoff function coefficients(see Table D-3 from Appendix D of SWMM''s Manual).');
INSERT INTO db_cat_table_x_column VALUES ('inp_washoff_land_x_pol_c2', 'inp_washoff_land_x_pol', 'c2', 'Numeric(12,4)', 'Washoff function coefficients(see Table D-3 from Appendix D of SWMM''s Manual).');
INSERT INTO db_cat_table_x_column VALUES ('inp_washoff_land_x_pol_sweepeffic', 'inp_washoff_land_x_pol', 'sweepeffic', 'Numeric(12,4)', 'Street sweeping removal efficiency (percent).');
INSERT INTO db_cat_table_x_column VALUES ('inp_washoff_land_x_pol_bmpeffic', 'inp_washoff_land_x_pol', 'bmpeffic', 'numeric(12,4)', 'BMP removal efficiency (percent).');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_arc_id', 'inp_weir', 'arc_id', 'varchar(16)', 'Arc identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_node_id', 'inp_weir', 'node_id', 'varchar(16)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_weir_type', 'inp_weir', 'weir_type', 'varchar(18)', 'A weir can be: TRANSVERSE, SIDEFLOW, V-NOTCH, or TRAPEZOIDAL.');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_offset', 'inp_weir', 'offset', 'numeric(12,4),', 'Coffecient related to amount that the weirâs crest is offset above the invert of inlet node (ft or m, expressed as either a depth or as an elevation, depending on the LINK_OFFSETS option setting).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodedepth_sum_result_id', 'rpt_nodedepth_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_cd', 'inp_weir', 'cd', 'numeric(12,4),', 'Amount that the weirâs crest is offset above the invert of inlet node (ft or m, expressed as either a depth or as an elevation, depending on the LINK_OFFSETS option setting).');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_ec', 'inp_weir', 'ec', 'numeric(12,4),', 'Number of end contractions for TRANSVERSE or TRAPEZOIDAL weir (default is 0).');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_cd2', 'inp_weir', 'cd2', 'numeric(12,4),', 'Discharge coefficient for triangular ends of a TRAPEZOIDAL weir (for CFS if using US flow units or CMS if using metric flow units) (default is value of Cd).');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_flap', 'inp_weir', 'flap', 'varchar(3)', 'YES if flap gate present to prevent reverse flow, NO if not (default is NO).');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_to_arc', 'inp_weir', 'to_arc', 'varchar(16)', 'This fields identifies the direction of the flow of the shortpipe, applied only for the case of check valves');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_geom1', 'inp_weir', 'geom1', 'numeric(12,4),', 'Full height (ft or m)');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_geom2', 'inp_weir', 'geom2', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_geom3', 'inp_weir', 'geom3', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_geom4', 'inp_weir', 'geom4', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('inp_weir_surcharge', 'inp_weir', 'surcharge', 'varchar(30)', 'Identifies if weir can surcharge or not');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_wind_type', 'inp_windspeed', 'wind_type', 'varchar(16)', 'Wind speed type (MONTHLY or FILE).');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_value_1', 'inp_windspeed', 'value_1', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_value_2', 'inp_windspeed', 'value_2', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_value_3', 'inp_windspeed', 'value_3', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_value_4', 'inp_windspeed', 'value_4', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_value_5', 'inp_windspeed', 'value_5', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_value_6', 'inp_windspeed', 'value_6', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_value_7', 'inp_windspeed', 'value_7', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_value_8', 'inp_windspeed', 'value_8', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_value_9', 'inp_windspeed', 'value_9', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_value_10', 'inp_windspeed', 'value_10', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_value_11', 'inp_windspeed', 'value_11', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_value_12', 'inp_windspeed', 'value_12', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_table_x_column VALUES ('inp_windspeed_fname', 'inp_windspeed', 'fname', 'varchar(254)', 'Name of external file with wind speed data.');
INSERT INTO db_cat_table_x_column VALUES ('raingage_rg_id', 'raingage', 'rg_id', 'varchar(16)', 'Raingage identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_groundwater_cont_lowzone_et', 'rpt_groundwater_cont', 'lowzone_et', 'Numeric(12,4)', 'Lower Zone ET.');
INSERT INTO db_cat_table_x_column VALUES ('raingage_intvl', 'raingage', 'intvl', 'varchar(10)', 'Time interval between gage readings in decimal hours or hours:minutes format (e.g., 0:15 for 15-minute readings).');
INSERT INTO db_cat_table_x_column VALUES ('raingage_scf', 'raingage', 'scf', 'Numeric(12,4)', 'Snow catch deficiency correction factor (use 1.0 for no adjustment).');
INSERT INTO db_cat_table_x_column VALUES ('raingage_timser_id', 'raingage', 'timser_id', 'varchar(16)', 'Name of time series in timeseries table with rainfall data.');
INSERT INTO db_cat_table_x_column VALUES ('raingage_fname', 'raingage', 'fname', 'varchar(254)', 'Name of external file with rainfall data. Rainfall files are discussed in chapter 11.3 of SWMM''s Manual.');
INSERT INTO db_cat_table_x_column VALUES ('raingage_sta', 'raingage', 'sta', 'Varchar(12)', 'Name of recording station used in the rain file.');
INSERT INTO db_cat_table_x_column VALUES ('raingage_units', 'raingage', 'units', 'varchar(3)', 'Rain depth units used in the rain file, either IN (inches) or MM (millimeters).');
INSERT INTO db_cat_table_x_column VALUES ('raingage_the_geom', 'raingage', 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_table_x_column VALUES ('rpt_selector_result_result_id', 'rpt_selector_result', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_id', 'rpt_arcflow_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_result_id', 'rpt_arcflow_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_arc_id', 'rpt_arcflow_sum', 'arc_id', 'varchar(50)', 'Arc identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_arc_type', 'rpt_arcflow_sum', 'arc_type', 'varchar(18)', 'Arc type.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_max_flow', 'rpt_arcflow_sum', 'max_flow', 'Numeric(12,4)', 'Maximum total inflow (CMS).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_time_days', 'rpt_arcflow_sum', 'time_days', 'varchar(10)', 'Time of max occurrence (days).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_time_hour', 'rpt_arcflow_sum', 'time_hour', 'varchar(10)', 'Time of max occurrence (hr:min)');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_max_veloc', 'rpt_arcflow_sum', 'max_veloc', 'Numeric(12,4)', 'Maximum velocity (m/sec )');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_mfull_flow', 'rpt_arcflow_sum', 'mfull_flow', 'Numeric(12,4)', 'Maximum full flow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_max_shear', 'rpt_arcflow_sum', 'max_shear', 'Numeric(12,4)', 'Maximum shear');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_max_hr', 'rpt_arcflow_sum', 'max_hr', 'Numeric(12,4)', 'Maximun hidraulic radius');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_max_slope', 'rpt_arcflow_sum', 'max_slope', 'Numeric(12,4)', 'Maximum slope');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_day_max', 'rpt_arcflow_sum', 'day_max', 'varchar(10)', 'Time of max occurrence (days)');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_time_max', 'rpt_arcflow_sum', 'time_max', 'varchar(10)', 'Time of max occurrence (hr:min)');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_min_shear', 'rpt_arcflow_sum', 'min_shear', 'Numeric(12,4)', 'Minimum shear');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_day_min', 'rpt_arcflow_sum', 'day_min', 'varchar(10)', 'Time of min occurrence (days)');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcflow_sum_time_min', 'rpt_arcflow_sum', 'time_min', 'varchar(10)', 'Time of min occurrence (hr:min)');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcpolload_sum_id', 'rpt_arcpolload_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcpolload_sum_result_id', 'rpt_arcpolload_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcpolload_sum_arc_id', 'rpt_arcpolload_sum', 'arc_id', NULL, 'Arc identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arcpolload_sum_poll_id', 'rpt_arcpolload_sum', 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_condsurcharge_sum_id', 'rpt_condsurcharge_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_condsurcharge_sum_result_id', 'rpt_condsurcharge_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_condsurcharge_sum_arc_id', 'rpt_condsurcharge_sum', 'arc_id', 'varchar(50)', 'Arc identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_condsurcharge_sum_both_ends', 'rpt_condsurcharge_sum', 'both_ends', 'Numeric(12,4)', 'Hours during conduit it''s on surcharge condition on both ends.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_condsurcharge_sum_upstream', 'rpt_condsurcharge_sum', 'upstream', 'Numeric(12,4)', 'Hours during conduit it''s on surcharge condition on upstream.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_condsurcharge_sum_dnstream', 'rpt_condsurcharge_sum', 'dnstream', 'Numeric(12,4)', 'Hours during conduit it''s on surcharge condition on downstream.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_condsurcharge_sum_hour_nflow', 'rpt_condsurcharge_sum', 'hour_nflow', 'Numeric(12,4)', 'Hours above full normal flow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_continuity_errors_id', 'rpt_continuity_errors', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_continuity_errors_result_id', 'rpt_continuity_errors', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_continuity_errors_text', 'rpt_continuity_errors', 'text', 'varchar(255)', 'Text');
INSERT INTO db_cat_table_x_column VALUES ('rpt_critical_elements_id', 'rpt_critical_elements', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_critical_elements_result_id', 'rpt_critical_elements', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_critical_elements_text', 'rpt_critical_elements', 'text', 'varchar(255)', 'Text');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowclass_sum_id', 'rpt_flowclass_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowclass_sum_result_id', 'rpt_flowclass_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowclass_sum_arc_id', 'rpt_flowclass_sum', 'arc_id', 'varchar(50)', 'Arc identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowclass_sum_length', 'rpt_flowclass_sum', 'length', 'Numeric(12,4)', 'Adjusted / Actual length.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowclass_sum_dry', 'rpt_flowclass_sum', 'dry', 'Numeric(12,4)', 'Fraction of time in flow class. Dry.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowclass_sum_up_dry', 'rpt_flowclass_sum', 'up_dry', 'Numeric(12,4)', 'Fraction of time in flow class. Upstream dry.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowclass_sum_down_dry', 'rpt_flowclass_sum', 'down_dry', 'Numeric(12,4)', 'Fraction of time in flow class. Downstream dry.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowclass_sum_sub_crit', 'rpt_flowclass_sum', 'sub_crit', 'Numeric(12,4)', 'Fraction of time in flow class. Sub critical flow');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowclass_sum_sub_crit_1', 'rpt_flowclass_sum', 'sub_crit_1', 'Numeric(12,4)', 'Fraction of time in flow class. Super critical flow');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowclass_sum_up_crit', 'rpt_flowclass_sum', 'up_crit', 'Numeric(12,4)', 'Fraction of time in flow class. Upstream critical flow');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowclass_sum_down_crit', 'rpt_flowclass_sum', 'down_crit', 'Numeric(12,4)', 'Fraction of time in flow class. Downstream critical flow');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowclass_sum_froud_numb', 'rpt_flowclass_sum', 'froud_numb', 'Numeric(12,4)', 'Froud number');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowclass_sum_flow_chang', 'rpt_flowclass_sum', 'flow_chang', 'Numeric(12,4)', 'Flow change');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_id', 'rpt_flowrouting_cont', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_result_id', 'rpt_flowrouting_cont', 'result_id', 'varchar(16)', 'ID simulation result.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_dryw_inf', 'rpt_flowrouting_cont', 'dryw_inf', 'Numeric(12,4)', 'Dry Weather Inflow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_wetw_inf', 'rpt_flowrouting_cont', 'wetw_inf', 'Numeric(12,4)', 'Wet Weather Inflow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_ground_inf', 'rpt_flowrouting_cont', 'ground_inf', 'Numeric(12,4)', 'Groundwater Inflow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_rdii_inf', 'rpt_flowrouting_cont', 'rdii_inf', 'Numeric(12,4)', 'RDII Inflow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_ext_inf', 'rpt_flowrouting_cont', 'ext_inf', 'Numeric(12,4)', 'External Inflow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_ext_out', 'rpt_flowrouting_cont', 'ext_out', 'Numeric(12,4)', 'External Outflow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_int_out', 'rpt_flowrouting_cont', 'int_out', 'Numeric(12,4)', 'Internal Outflow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_stor_loss', 'rpt_flowrouting_cont', 'stor_loss', 'Numeric(12,4)', 'Storage Losses.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_initst_vol', 'rpt_flowrouting_cont', 'initst_vol', 'Numeric(12,4)', 'Initial Stored Volume.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_finst_vol', 'rpt_flowrouting_cont', 'finst_vol', 'Numeric(12,4)', 'Final Stored Volume.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_cont_error', 'rpt_flowrouting_cont', 'cont_error', 'Numeric(12,4)', 'Continuity Error (%).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_evap_losses', 'rpt_flowrouting_cont', 'evap_losses', 'numeric(6,4)', 'Losses of evaporation');
INSERT INTO db_cat_table_x_column VALUES ('rpt_flowrouting_cont_seepage_losses', 'rpt_flowrouting_cont', 'seepage_losses', 'numeric(6,4)', 'Losses of seepage.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_groundwater_cont_id', 'rpt_groundwater_cont', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_groundwater_cont_infilt', 'rpt_groundwater_cont', 'infilt', 'Numeric(12,4)', 'Infiltration.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_groundwater_cont_upzone_et', 'rpt_groundwater_cont', 'upzone_et', 'Numeric(12,4)', 'Upper Zone ET.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_groundwater_cont_groundw_fl', 'rpt_groundwater_cont', 'groundw_fl', 'Numeric(12,4)', 'Groundwater Flow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_groundwater_cont_final_stor', 'rpt_groundwater_cont', 'final_stor', 'Numeric(12,4)', 'Final Storage.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_groundwater_cont_cont_error', 'rpt_groundwater_cont', 'cont_error', 'Numeric(12,4)', 'Continuity Error (%).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_pumping_sum_avg_flow', 'rpt_pumping_sum', 'avg_flow', 'numeric(12,4)', 'Average flow (cms).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_pumping_sum_max_flow', 'rpt_pumping_sum', 'max_flow', 'numeric(12,4)', 'Maximum flow (cms).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_high_conterrors_id', 'rpt_high_conterrors', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_high_conterrors_text', 'rpt_high_conterrors', 'text', 'varchar(255)', 'Text');
INSERT INTO db_cat_table_x_column VALUES ('rpt_high_flowinest_ind_id', 'rpt_high_flowinest_ind', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_high_flowinest_ind_result_id', 'rpt_high_flowinest_ind', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_high_flowinest_ind_text', 'rpt_high_flowinest_ind', 'text', 'varchar(255)', 'Text.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_instability_index_id', 'rpt_instability_index', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_instability_index_result_id', 'rpt_instability_index', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_instability_index_text', 'rpt_instability_index', 'text', 'varchar(255)', 'Text.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_lidperformance_sum_id', 'rpt_lidperformance_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_lidperformance_sum_result_id', 'rpt_lidperformance_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_lidperformance_sum_subc_id', 'rpt_lidperformance_sum', 'subc_id', 'varchar(16)', 'Name assigned to subcatchment.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_lidperformance_sum_lidco_id', 'rpt_lidperformance_sum', 'lidco_id', 'varchar(16)', 'ID LID control.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_lidperformance_sum_tot_inflow', 'rpt_lidperformance_sum', 'tot_inflow', 'Numeric(12,4)', 'Total inflow (mm).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_lidperformance_sum_evap_loss', 'rpt_lidperformance_sum', 'evap_loss', 'Numeric(12,4)', 'Evaporation loss (mm).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_lidperformance_sum_infil_loss', 'rpt_lidperformance_sum', 'infil_loss', 'Numeric(12,4)', 'Infiltration loss (mm).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_lidperformance_sum_surf_outf', 'rpt_lidperformance_sum', 'surf_outf', 'Numeric(12,4)', 'Surface outflow (mm).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_lidperformance_sum_drain_outf', 'rpt_lidperformance_sum', 'drain_outf', 'Numeric(12,4)', 'Drain outflow (mm).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_lidperformance_sum_init_stor', 'rpt_lidperformance_sum', 'init_stor', 'Numeric(12,4)', 'Initial Storage (mm).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_lidperformance_sum_final_stor', 'rpt_lidperformance_sum', 'final_stor', 'Numeric(12,4)', 'Final Storage (mm).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_lidperformance_sum_per_error', 'rpt_lidperformance_sum', 'per_error', 'Numeric(12,4)', 'Percentage error.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodedepth_sum_id', 'rpt_nodedepth_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodedepth_sum_swnod_type', 'rpt_nodedepth_sum', 'swnod_type', 'varchar(18)', 'Node type on SWMM model.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodedepth_sum_aver_depth', 'rpt_nodedepth_sum', 'aver_depth', 'Numeric(12,4)', 'Average depth (meters).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodedepth_sum_max_depth', 'rpt_nodedepth_sum', 'max_depth', 'Numeric(12,4)', 'Maximum depth (meters).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodedepth_sum_max_hgl', 'rpt_nodedepth_sum', 'max_hgl', 'Numeric(12,4)', 'Maximum HGL (meters).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodedepth_sum_time_days', 'rpt_nodedepth_sum', 'time_days', 'varchar(10)', 'Time of max occurrence (days).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodedepth_sum_time_hour', 'rpt_nodedepth_sum', 'time_hour', 'varchar(10)', 'Time of max occurrence (hr:min).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeflooding_sum_id', 'rpt_nodeflooding_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeflooding_sum_result_id', 'rpt_nodeflooding_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeflooding_sum_node_id', 'rpt_nodeflooding_sum', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeflooding_sum_hour_flood', 'rpt_nodeflooding_sum', 'hour_flood', 'Numeric(12,4)', 'Hours flooded.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeflooding_sum_max_rate', 'rpt_nodeflooding_sum', 'max_rate', 'Numeric(12,4)', 'Maximum rate (cms).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeflooding_sum_time_days', 'rpt_nodeflooding_sum', 'time_days', 'varchar(10)', 'Time of max occurrence (days).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeflooding_sum_time_hour', 'rpt_nodeflooding_sum', 'time_hour', 'varchar(10)', 'Time of max occurrence (hr:min).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeflooding_sum_tot_flood', 'rpt_nodeflooding_sum', 'tot_flood', 'Numeric(12,4)', 'Total flood volume (10^6 ltr).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeflooding_sum_max_ponded', 'rpt_nodeflooding_sum', 'max_ponded', 'numeric(12,4)', 'Maximum ponded depth (meters).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeinflow_sum_id', 'rpt_nodeinflow_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeinflow_sum_result_id', 'rpt_nodeinflow_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeinflow_sum_node_id', 'rpt_nodeinflow_sum', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeinflow_sum_swnod_type', 'rpt_nodeinflow_sum', 'swnod_type', 'varchar(18)', 'Node type on SWMM model.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeinflow_sum_max_latinf', 'rpt_nodeinflow_sum', 'max_latinf', 'numeric(12,4),', 'Maximum lateral inflow (cms).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeinflow_sum_max_totinf', 'rpt_nodeinflow_sum', 'max_totinf', 'numeric(12,4),', 'Maximum total inflow (cms).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeinflow_sum_time_days', 'rpt_nodeinflow_sum', 'time_days', 'varchar(10)', 'Time of max occurrence (days).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeinflow_sum_time_hour', 'rpt_nodeinflow_sum', 'time_hour', 'varchar(10)', 'Time of max occurrence (hr:min).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeinflow_sum_latinf_vol', 'rpt_nodeinflow_sum', 'latinf_vol', 'numeric(12,4),', 'Lateral inflow volume (10^6 ltr).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeinflow_sum_totinf_vol', 'rpt_nodeinflow_sum', 'totinf_vol', 'numeric(12,4),', 'Total inflow volume (10^6 ltr).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeinflow_sum_flow_balance_error', 'rpt_nodeinflow_sum', 'flow_balance_error', 'numeric(12,2),', 'Error of flow balance');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodeinflow_sum_other_info', 'rpt_nodeinflow_sum', 'other_info', 'varchar(12)', 'Sector where is the node.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodesurcharge_sum_id', 'rpt_nodesurcharge_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodesurcharge_sum_result_id', 'rpt_nodesurcharge_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodesurcharge_sum_node_id', 'rpt_nodesurcharge_sum', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodesurcharge_sum_swnod_type', 'rpt_nodesurcharge_sum', 'swnod_type', 'varchar(18)', 'Node type on SWMM model.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodesurcharge_sum_hour_surch', 'rpt_nodesurcharge_sum', 'hour_surch', 'Numeric(12,4)', 'Hous surcharged.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodesurcharge_sum_max_height', 'rpt_nodesurcharge_sum', 'max_height', 'Numeric(12,4)', 'Maximum height above crown (meters).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_nodesurcharge_sum_min_depth', 'rpt_nodesurcharge_sum', 'min_depth', 'numeric(12,4)', 'Minimum depth below rim (meters).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_subc_id', 'subcatchment', 'subc_id', 'varchar(16)', 'Subcatchment idenifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_outfallflow_sum_id', 'rpt_outfallflow_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_outfallflow_sum_result_id', 'rpt_outfallflow_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_outfallflow_sum_node_id', 'rpt_outfallflow_sum', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_outfallflow_sum_flow_freq', 'rpt_outfallflow_sum', 'flow_freq', 'Numeric(12,4)', 'Flow frequency. (Percentage).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_outfallflow_sum_avg_flow', 'rpt_outfallflow_sum', 'avg_flow', 'Numeric(12,4)', 'Average flow (cms).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_outfallflow_sum_max_flow', 'rpt_outfallflow_sum', 'max_flow', 'Numeric(12,4)', 'Maximum flow (cms).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_outfallflow_sum_total_vol', 'rpt_outfallflow_sum', 'total_vol', 'numeric(12,4)', 'Total volume (10^6 ltr).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_outfallload_sum_id', 'rpt_outfallload_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_outfallload_sum_result_id', 'rpt_outfallload_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_outfallload_sum_poll_id', 'rpt_outfallload_sum', 'poll_id', 'varchar(16)', 'ID simulation result.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_outfallload_sum_node_id', 'rpt_outfallload_sum', 'node_id', 'varchar(50)', 'Pollutant identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_pumping_sum_id', 'rpt_pumping_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_pumping_sum_result_id', 'rpt_pumping_sum', 'result_id', 'varchar(16)', 'ID simulation result.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_pumping_sum_arc_id', 'rpt_pumping_sum', 'arc_id', 'varchar(50)', 'Arc identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_pumping_sum_percent', 'rpt_pumping_sum', 'percent', 'numeric(12,4)', 'Percent utilized.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_pumping_sum_num_startup', 'rpt_pumping_sum', 'num_startup', 'int4,', 'Numbers of startups of pump');
INSERT INTO db_cat_table_x_column VALUES ('rpt_pumping_sum_min_flow', 'rpt_pumping_sum', 'min_flow', 'numeric(12,4)', 'Minimum flow (cms).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_pumping_sum_vol_ltr', 'rpt_pumping_sum', 'vol_ltr', 'numeric(12,4)', 'Total volume (10^6 ltr).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_pumping_sum_powus_kwh', 'rpt_pumping_sum', 'powus_kwh', 'numeric(12,4)', 'Power usage (Kw-hr).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_pumping_sum_timoff_min', 'rpt_pumping_sum', 'timoff_min', 'numeric(12,4)', 'Time off the pump curve low');
INSERT INTO db_cat_table_x_column VALUES ('rpt_pumping_sum_timoff_max', 'rpt_pumping_sum', 'timoff_max', 'numeric(12,4)', 'Time off the pump curve high');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_min', 'ext_rtc_hydrometer_x_data', 'min', 'float8', 'Minimum value.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_id', 'rpt_qualrouting_cont', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_result_id', 'rpt_qualrouting_cont', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_poll_id', 'rpt_qualrouting_cont', 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_dryw_inf', 'rpt_qualrouting_cont', 'dryw_inf', 'numeric(12,4)', 'Dry Weather Inflow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_wetw_inf', 'rpt_qualrouting_cont', 'wetw_inf', 'numeric(12,4)', 'Wet Weather Inflow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_ground_inf', 'rpt_qualrouting_cont', 'ground_inf', 'numeric(12,4)', 'Groundwater Inflow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_rdii_inf', 'rpt_qualrouting_cont', 'rdii_inf', 'numeric(12,4)', 'RDII Inflow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_ext_inf', 'rpt_qualrouting_cont', 'ext_inf', 'numeric(12,4)', 'External Inflow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_int_inf', 'rpt_qualrouting_cont', 'int_inf', 'numeric(12,4)', 'Internal Flooding.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_ext_out', 'rpt_qualrouting_cont', 'ext_out', 'numeric(12,4)', 'External Outflow.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_mass_reac', 'rpt_qualrouting_cont', 'mass_reac', 'numeric(12,4)', 'Mass Reacted.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_initst_mas', 'rpt_qualrouting_cont', 'initst_mas', 'numeric(12,4)', 'Initial Stored Mass.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_finst_mas', 'rpt_qualrouting_cont', 'finst_mas', 'numeric(12,4)', 'Final Stored Mass.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_qualrouting_cont_cont_error', 'rpt_qualrouting_cont', 'cont_error', 'numeric(12,4)', 'Continuity Error (%).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_rainfall_dep_id', 'rpt_rainfall_dep', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_rainfall_dep_result_id', 'rpt_rainfall_dep', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_rainfall_dep_sewer_rain', 'rpt_rainfall_dep', 'sewer_rain', 'Numeric(12,4)', 'Sewershed Rainfall.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_rainfall_dep_rdiip_prod', 'rpt_rainfall_dep', 'rdiip_prod', 'Numeric(12,4)', 'RDII Produced.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_rainfall_dep_rdiir_rat', 'rpt_rainfall_dep', 'rdiir_rat', 'numeric(12,4)', 'RDII Ratio.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_id', 'rpt_cat_result', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_result_id', 'rpt_cat_result', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_flow_units', 'rpt_cat_result', 'flow_units', 'varchar(3)', 'Main characteristics of the result. Type of units in which flow rates are expressed.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_rain_runof', 'rpt_cat_result', 'rain_runof', 'varchar(3)', 'Main characteristics of the result. Rainfall and runoff module used');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_snowmelt', 'rpt_cat_result', 'snowmelt', 'varchar(3)', 'Main characteristics of the result. Snowmelt module used');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_groundw', 'rpt_cat_result', 'groundw', 'varchar(3)', 'Main characteristics of the result. Groundwater module used');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_flow_rout', 'rpt_cat_result', 'flow_rout', 'varchar(3)', 'Main characteristics of the result. Flow routing module used');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_pond_all', 'rpt_cat_result', 'pond_all', 'varchar(3)', 'Main characteristics of the result. Ponding allowed');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_water_q', 'rpt_cat_result', 'water_q', 'varchar(3)', 'Main characteristics of the result.  Water quality module used');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_infil_m', 'rpt_cat_result', 'infil_m', 'varchar(18)', 'Main characteristics of the result. Infiltration module used');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_flowrout_m', 'rpt_cat_result', 'flowrout_m', 'varchar(18)', 'Main characteristics of the result. Flow routing module used');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_start_date', 'rpt_cat_result', 'start_date', 'varchar(25)', 'Start date of the simulation.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_end_date', 'rpt_cat_result', 'end_date', 'varchar(25)', 'End date of the simulation.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_dry_days', 'rpt_cat_result', 'dry_days', 'Numeric(12,4)', 'Number of dry days.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_rep_tstep', 'rpt_cat_result', 'rep_tstep', 'varchar(10)', 'Main characteristics of the result. Reporting step used');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_wet_tstep', 'rpt_cat_result', 'wet_tstep', 'varchar(10)', 'Main characteristics of the result. Wet step used');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_dry_tstep', 'rpt_cat_result', 'dry_tstep', 'varchar(10)', 'Main characteristics of the result. Dry step used');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_rout_tstep', 'rpt_cat_result', 'rout_tstep', 'varchar(10)', 'Main characteristics of the result. Routing step used');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_var_time_step', 'rpt_cat_result', 'var_time_step', 'varchar(3)', 'Main characteristics of the result. Variable time step used');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_max_trials', 'rpt_cat_result', 'max_trials', 'Numeric(4,2)', 'Main characteristics of the result. Maximum trials of the simulation');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_head_tolerance', 'rpt_cat_result', 'head_tolerance', 'varchar(12)', 'Main characteristics of the result. Head tolerance');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_exec_date', 'rpt_cat_result', 'exec_date', 'timestamp(6)', 'Main characteristics of the result. Date and time of the result''s import');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_node_id', 'subcatchment', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_rg_id', 'subcatchment', 'rg_id', 'varchar(16)', 'Raingage identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_routing_timestep_id', 'rpt_routing_timestep', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_routing_timestep_result_id', 'rpt_routing_timestep', 'result_id', 'varchar(254)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_routing_timestep_text', 'rpt_routing_timestep', 'text', 'varchar(255)', 'Text');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_qual_id', 'rpt_runoff_qual', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_qual_result_id', 'rpt_runoff_qual', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_qual_poll_id', 'rpt_runoff_qual', 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_qual_init_buil', 'rpt_runoff_qual', 'init_buil', 'Numeric(12,4)', 'Initial Buildup.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_qual_surf_buil', 'rpt_runoff_qual', 'surf_buil', 'Numeric(12,4)', 'Surface Buildup.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_qual_wet_dep', 'rpt_runoff_qual', 'wet_dep', 'Numeric(12,4)', 'Wet Deposition.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_qual_sweep_re', 'rpt_runoff_qual', 'sweep_re', 'Numeric(12,4)', 'Sweeping Removal.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_qual_infil_loss', 'rpt_runoff_qual', 'infil_loss', 'Numeric(12,4)', 'Infiltration Loss.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_qual_bmp_re', 'rpt_runoff_qual', 'bmp_re', 'Numeric(12,4)', 'BMP Removal.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_qual_surf_runof', 'rpt_runoff_qual', 'surf_runof', 'Numeric(12,4)', 'Surface Runoff.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_qual_rem_buil', 'rpt_runoff_qual', 'rem_buil', 'Numeric(12,4)', 'Remaining Buildup.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_qual_cont_error', 'rpt_runoff_qual', 'cont_error', 'Numeric(12,4)', 'Continuity Error (%).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_quant_id', 'rpt_runoff_quant', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_quant_result_id', 'rpt_runoff_quant', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_quant_initsw_co', 'rpt_runoff_quant', 'initsw_co', 'Numeric(12,4)', 'Initial Snow Cover.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_quant_total_prec', 'rpt_runoff_quant', 'total_prec', 'Numeric(12,4)', 'Total Precipitation.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_quant_evap_loss', 'rpt_runoff_quant', 'evap_loss', 'Numeric(12,4)', 'Evaporation Loss.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_quant_infil_loss', 'rpt_runoff_quant', 'infil_loss', 'Numeric(12,4)', 'Infiltration Loss.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_quant_surf_runof', 'rpt_runoff_quant', 'surf_runof', 'Numeric(12,4)', 'Surface Runoff.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_quant_snow_re', 'rpt_runoff_quant', 'snow_re', NULL, 'Snow Removed.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_quant_finalsw_co', 'rpt_runoff_quant', 'finalsw_co', 'Numeric(12,4)', 'Final Snow Cover.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_quant_finals_sto', 'rpt_runoff_quant', 'finals_sto', 'Numeric(12,4)', 'Final Surface Storage.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_quant_cont_error', 'rpt_runoff_quant', 'cont_error', 'Numeric(12,4)', 'Continuity Error (%).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_runoff_quant_initlid_sto', 'rpt_runoff_quant', 'initlid_sto', 'Numeric(12,4)', 'Initial storage on LID.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_storagevol_sum_id', 'rpt_storagevol_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_storagevol_sum_result_id', 'rpt_storagevol_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_storagevol_sum_node_id', 'rpt_storagevol_sum', 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_storagevol_sum_aver_vol', 'rpt_storagevol_sum', 'aver_vol', 'Numeric(12,4)', 'Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_storagevol_sum_avg_full', 'rpt_storagevol_sum', 'avg_full', 'Numeric(12,4)', 'Average percentage full.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_storagevol_sum_ei_loss', 'rpt_storagevol_sum', 'ei_loss', 'Numeric(12,4)', 'E&I Percentage loss.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_storagevol_sum_max_vol', 'rpt_storagevol_sum', 'max_vol', 'Numeric(12,4)', 'Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_storagevol_sum_max_full', 'rpt_storagevol_sum', 'max_full', 'Numeric(12,4)', 'Maximum percentage full.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_storagevol_sum_time_days', 'rpt_storagevol_sum', 'time_days', 'varchar(10)', 'Time of max occurrence (days).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_storagevol_sum_time_hour', 'rpt_storagevol_sum', 'time_hour', 'varchar(10)', 'Time of max occurrence (hr:min).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_storagevol_sum_max_out', 'rpt_storagevol_sum', 'max_out', 'Numeric(12,4)', 'Maximum outflow (cms).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcatchwashoff_sum_id', 'rpt_subcatchwashoff_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcatchwashoff_sum_result_id', 'rpt_subcatchwashoff_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcatchwashoff_sum_subc_id', 'rpt_subcatchwashoff_sum', 'subc_id', 'varchar(16)', 'Name assigned to subcatchment.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcatchwashoff_sum_poll_id', 'rpt_subcatchwashoff_sum', 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcatchwashoff_sum_value', 'rpt_subcatchwashoff_sum', 'value', 'numeric', 'Value.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_id', 'rpt_subcathrunoff_sum', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_result_id', 'rpt_subcathrunoff_sum', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_subc_id', 'rpt_subcathrunoff_sum', 'subc_id', 'varchar(16)', 'Name assigned to subcatchment.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_tot_precip', 'rpt_subcathrunoff_sum', 'tot_precip', 'Numeric(12,4)', 'Total precipitation (mm).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_tot_runon', 'rpt_subcathrunoff_sum', 'tot_runon', 'Numeric(12,4)', 'Total runon (mm).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_tot_evap', 'rpt_subcathrunoff_sum', 'tot_evap', 'Numeric(12,4)', 'Total evaporation (mm).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_tot_infil', 'rpt_subcathrunoff_sum', 'tot_infil', 'Numeric(12,4)', 'Total infiltration (mm).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_tot_runoff', 'rpt_subcathrunoff_sum', 'tot_runoff', 'Numeric(12,4)', 'Total runoff (mm).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_tot_runofl', 'rpt_subcathrunoff_sum', 'tot_runofl', 'Numeric(12,4)', 'Total runoff (10^6 ltr).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_peak_runof', 'rpt_subcathrunoff_sum', 'peak_runof', 'Numeric(12,4)', 'Peak runoff (cms).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_runoff_coe', 'rpt_subcathrunoff_sum', 'runoff_coe', 'Numeric(12,4)', 'Runoff coefficient.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_vxmax', 'rpt_subcathrunoff_sum', 'vxmax', 'Numeric(12,4)', 'Maximum velocity on x axis');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_vymax', 'rpt_subcathrunoff_sum', 'vymax', 'Numeric(12,4)', 'Maximum velocity on y axis');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_depth', 'rpt_subcathrunoff_sum', 'depth', 'Numeric(12,4)', 'Maximum depth.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_vel', 'rpt_subcathrunoff_sum', 'vel', 'Numeric(12,4)', 'Maximum velocity');
INSERT INTO db_cat_table_x_column VALUES ('rpt_subcathrunoff_sum_vhmax', 'rpt_subcathrunoff_sum', 'vhmax', 'numeric(12,6)', 'Maximum (velocity x depth) value');
INSERT INTO db_cat_table_x_column VALUES ('rpt_timestep_critelem_id', 'rpt_timestep_critelem', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_timestep_critelem_result_id', 'rpt_timestep_critelem', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_timestep_critelem_text', 'rpt_timestep_critelem', 'text', 'varchar(255)', 'ID simulation result.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_selector_compare_result_id', 'rpt_selector_compare', 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_selector_sector_sector_id', 'inp_selector_sector', 'sector_id', 'varchar(30)', 'Sector identifier.');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_area', 'subcatchment', 'area', 'Numeric(16,6)', 'Area of subcatchment (acres or hectares).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_imperv', 'subcatchment', 'imperv', 'Numeric(12,4)', 'Percent imperviousness of subcatchment.');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_width', 'subcatchment', 'width', 'Numeric(12,4)', 'Characteristic width of subcatchment (ft or meters).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_slope', 'subcatchment', 'slope', 'Numeric(12,4)', 'Subcatchment slope (percent).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_clength', 'subcatchment', 'clength', 'Numeric(12,4)', 'Total curb length (any length units).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_snow_id', 'subcatchment', 'snow_id', 'varchar(16)', 'Name of snow pack object that characterizes snow accumulation and melting over the subcatchment.');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_nimp', 'subcatchment', 'nimp', 'Numeric(12,4)', 'Manning''s N for overland flow over the impervious sub-area.');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_nperv', 'subcatchment', 'nperv', 'Numeric(12,4)', 'Manning''s N for overland flow over the pervious sub-area.');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_simp', 'subcatchment', 'simp', 'Numeric(12,4)', 'Depression storage for impervious sub-area (inches or mm).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_sperv', 'subcatchment', 'sperv', 'Numeric(12,4)', 'Depression storage for pervious sub-area (inches or mm).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_zero', 'subcatchment', 'zero', 'Numeric(12,4)', 'Percent of impervious area with no depression storage (default = 0.00).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_routeto', 'subcatchment', 'routeto', 'varchar(20)', 'Use IMPERVIOUS if pervious area runoff runs onto impervious area, PERVIOUS if impervious runoff runs onto impervious area, or OUTLET if both areas drain to the subcatchment''s outlet. (default is IMPERVIOUS).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_rted', 'subcatchment', 'rted', 'Numeric(12,4)', 'Percent of runoff routed from one type of area to another (default = 100).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_maxrate', 'subcatchment', 'maxrate', 'Numeric(12,4)', 'Maximum infiltration rate on Horton curve (in/hr or mm/hr).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_minrate', 'subcatchment', 'minrate', 'Numeric(12,4)', 'Minimum infiltration rate on Horton curve (in/hr or mm/hr).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_decay', 'subcatchment', 'decay', 'Numeric(12,4)', 'Decay rate constant of Horton curve (l/hr).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_drytime', 'subcatchment', 'drytime', 'Numeric(12,4)', 'Time it takes for fully saturated soil to dry (days).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_maxinfil', 'subcatchment', 'maxinfil', 'Numeric(12,4)', 'Maximum infiltration volume possible (0 if not applicable) (in or mm).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_suction', 'subcatchment', 'suction', 'Numeric(12,4)', 'Soil capillary suction (in or mm).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_conduct', 'subcatchment', 'conduct', 'Numeric(12,4)', 'Soil saturated hydraulic conductivity (in/hr or mm/hr).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_initdef', 'subcatchment', 'initdef', 'Numeric(12,4)', 'Initial soil moisture deficit (volume of voids / total volume).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_curveno', 'subcatchment', 'curveno', 'Numeric(12,4)', 'SCS Curve Number.');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_conduct_2', 'subcatchment', 'conduct_2', 'Numeric(12,4)', 'Soil saturated hydraulic conductivity (in/hr or mm/hr) (This property has been deprecated and is no longer used).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_drytime_2', 'subcatchment', 'drytime_2', 'Numeric(12,4)', 'Time it takes for fully saturated soil to dry (days).');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_sector_id', 'subcatchment', 'sector_id', 'varchar(30)', 'Sector where there is the subcatchment.');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_hydrology_id', 'subcatchment', 'hydrology_id', 'varchar(20)', 'Hydrologic scenario used. You must to fill this field and the value should be compatible with the infiltration parameters used.');
INSERT INTO db_cat_table_x_column VALUES ('subcatchment_the_geom', 'subcatchment', 'the_geom', 'public.geometry', 'Polygon geometry field');
INSERT INTO db_cat_table_x_column VALUES ('doc_type_id', 'doc_type', 'id', 'varchar(30)', 'Document type identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('doc_type_comment', 'doc_type', 'comment', 'varchar(512)', 'Comments related to document type. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('cat_tag_id', 'cat_tag', 'id', 'varchar(16)', 'Tag identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('cat_tag_comment', 'cat_tag', 'comment', 'varchar(512)', 'Comments related to tags. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('doc_id', 'doc', 'id', 'int8', 'Document identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('doc_path', 'doc', 'path', 'varchar(512)', 'Field to store folder path related to document.');
INSERT INTO db_cat_table_x_column VALUES ('doc_observ', 'doc', 'observ', 'varchar(512)', 'Observations related to documents. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('doc_tagcat_id', 'doc', 'tagcat_id', 'varchar(16)', 'Tag identifier.');
INSERT INTO db_cat_table_x_column VALUES ('doc_date', 'doc', 'date', 'timestamp(6)', 'Date of adding the document.');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_node_id', 'doc_x_node', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_node_doc_id', 'doc_x_node', 'doc_id', 'int8', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_node_node_id', 'doc_x_node', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_arc_id', 'doc_x_arc', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_code', 'ext_rtc_hydrometer', 'code', 'text', 'Code of a hydrometer');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_arc_doc_id', 'doc_x_arc', 'doc_id', 'int8,', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_arc_arc_id', 'doc_x_arc', 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_connec_id', 'doc_x_connec', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_connec_doc_id', 'doc_x_connec', 'doc_id', 'int8,', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_connec_connec_id', 'doc_x_connec', 'connec_id', 'varchar(16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_gully_id', 'doc_x_gully', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_gully_doc_id', 'doc_x_gully', 'doc_id', 'int8', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_gully_gully_id', 'doc_x_gully', 'gully_id', 'varchar(16)', 'Connect identifier related to the primary key of gully table');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_psector_id', 'plan_psector', 'psector_id', 'varchar', 'Plan sector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_descript', 'plan_psector', 'descript', 'Varchar (254)', 'Field to store additional information about the psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_priority', 'plan_psector', 'priority', 'Varchar (16)', 'Field to identify the priority of the psector');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_text1', 'plan_psector', 'text1', 'Varchar (254)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_text2', 'plan_psector', 'text2', 'Varchar (254)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_observ', 'plan_psector', 'observ', 'Varchar (254)', 'Observations related to plan sector. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_rotation', 'plan_psector', 'rotation', 'Numeric(8,4)', 'Field to use to rotate the map');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_scale', 'plan_psector', 'scale', 'Numeric(8,2)', 'Field to use to configurate the scale of the map');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_sector_id', 'plan_psector', 'sector_id', 'Varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_atlas_id', 'plan_psector', 'atlas_id', 'Varchar(30)', 'Field to use to configurate the position of the psector on the whole atlas');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_gexpenses', 'plan_psector', 'gexpenses', 'Numeric(4,2)', 'General expenses  related to this psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_vat', 'plan_psector', 'vat', 'Numeric(4,2)', 'Value of vat tax  related to this psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_other', 'plan_psector', 'other', 'Numeric(4,2)', 'Other expenses related to this psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_the_geom', 'plan_psector', 'the_geom', 'public.geometry', 'Polygon geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_psector_id', 'plan_arc_x_psector', 'id', 'int4', 'Arc related to psector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_psector_arc_id', 'plan_arc_x_psector', 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_psector_psector_id', 'plan_arc_x_psector', 'psector_id', 'Varchar(16)', 'Psector related to the primary key of psector table');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_psector_atlas_id', 'plan_arc_x_psector', 'atlas_id', 'Varchar(16)', 'Indicates the order of map files.');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_psector_descript', 'plan_arc_x_psector', 'descript', 'Varchar(254)', 'Field to store additional information about the arc related to psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_node_x_psector_id', 'plan_node_x_psector', 'id', 'int4', 'Node related to psector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_node_x_psector_node_id', 'plan_node_x_psector', 'node_id', 'Varchar(16)', 'Node identifier related to the primary key of node table');
INSERT INTO db_cat_table_x_column VALUES ('plan_node_x_psector_psector_id', 'plan_node_x_psector', 'psector_id', 'Varchar(16)', 'Psector related to the primary key of psector table');
INSERT INTO db_cat_table_x_column VALUES ('plan_node_x_psector_atlas_id', 'plan_node_x_psector', 'atlas_id', 'Varchar(16)', 'Indicates the order of map files.');
INSERT INTO db_cat_table_x_column VALUES ('plan_node_x_psector_descript', 'plan_node_x_psector', 'descript', 'Varchar(254)', 'Field to store additional information about the node related to psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_other_x_psector_id', 'plan_other_x_psector', 'id', 'int4', 'Other objectt related to psector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_other_x_psector_price_id', 'plan_other_x_psector', 'price_id', 'Varchar(16)', 'Identifier of the price');
INSERT INTO db_cat_table_x_column VALUES ('plan_other_x_psector_measurement', 'plan_other_x_psector', 'measurement', 'Numeric(12,2)', 'Measurement');
INSERT INTO db_cat_table_x_column VALUES ('plan_other_x_psector_psector_id', 'plan_other_x_psector', 'psector_id', 'Varchar(16)', 'Psector related to the primary key of psector table');
INSERT INTO db_cat_table_x_column VALUES ('plan_other_x_psector_atlas_id', 'plan_other_x_psector', 'atlas_id', 'Varchar(16)', 'Indicates the order of map files.');
INSERT INTO db_cat_table_x_column VALUES ('plan_other_x_psector_descript', 'plan_other_x_psector', 'descript', 'Varchar(254)', 'Field to store additional information about the other objects related to psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_pavement_id', 'plan_arc_x_pavement', 'id', 'int4', 'Arc related to pavement identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_pavement_arc_id', 'plan_arc_x_pavement', 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_pavement_pavcat_id', 'plan_arc_x_pavement', 'pavcat_id', 'Varchar(16)', 'Identifier of the pavement');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_pavement_percent', 'plan_arc_x_pavement', 'percent', 'Numeric(3,2)', 'Percent of pavement''s coverage on arc.');
INSERT INTO db_cat_table_x_column VALUES ('plan_value_ps_priority_id', 'plan_value_ps_priority', 'id', 'Varchar(16)', 'Identifier of the value domain of priority');
INSERT INTO db_cat_table_x_column VALUES ('plan_value_ps_priority_observ', 'plan_value_ps_priority', 'observ', 'Varchar(254)', 'Additional information');
INSERT INTO db_cat_table_x_column VALUES ('plan_selector_psector_id', 'plan_selector_psector', 'id', 'Varchar(16)', 'Plan sector selector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_selector_psector_observ', 'plan_selector_psector', 'observ', 'Varchar(254)', 'Observations related to plan sector selector. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('price_simple_id', 'price_simple', 'id', 'Varchar (16)', 'Simple price identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('price_simple_unit', 'price_simple', 'unit', 'Varchar (5)', 'Units used to express the price.');
INSERT INTO db_cat_table_x_column VALUES ('price_simple_descript', 'price_simple', 'descript', 'Varchar (100)', 'Field to store additional information about the simple price.');
INSERT INTO db_cat_table_x_column VALUES ('price_simple_text', 'price_simple', 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('price_simple_price', 'price_simple', 'price', 'Numeric(12,4)', 'Price');
INSERT INTO db_cat_table_x_column VALUES ('price_simple_obs', 'price_simple', 'obs', 'Varchar (16)', 'Additional information');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_id', 'price_compost', 'id', 'Varchar (16)', 'Compost price identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_unit', 'price_compost', 'unit', 'Varchar (5)', 'Units used to express the price.');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_descript', 'price_compost', 'descript', 'Varchar (100)', 'Field to store additional information about the compound price');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_text', 'price_compost', 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_price', 'price_compost', 'price', 'Numeric(12,4)', 'Price');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_value_id', 'price_compost_value', 'id', 'int4', 'Compound value identifier.Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_value_compost_id', 'price_compost_value', 'compost_id', 'Varchar (16)', 'Compound price identifier related to the primary key of price compost table');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_value_simple_id', 'price_compost_value', 'simple_id', 'Varchar (16)', 'Simple price identifier related to the primary key of price simple table');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_value_value', 'price_compost_value', 'value', 'Numeric(16,4)', 'Measurement');
INSERT INTO db_cat_table_x_column VALUES ('price_value_unit_id', 'price_value_unit', 'id', 'Varchar (16)', 'Price units identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('price_value_unit_descript', 'price_value_unit', 'descript', 'Varchar (100)', 'Field to store additional information about the price value units.');
INSERT INTO db_cat_table_x_column VALUES ('anl_flow_exit_node_node_id', 'anl_flow_exit_node', 'node_id', 'Varchar(16)', 'Node identifier related to the primary key of node table');
INSERT INTO db_cat_table_x_column VALUES ('anl_flow_exit_node_the_geom', 'anl_flow_exit_node', 'the_geom', 'public.geometry', 'Point geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('anl_flow_exit_arc_arc_id', 'anl_flow_exit_arc', 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of node table');
INSERT INTO db_cat_table_x_column VALUES ('anl_flow_exit_arc_the_geom', 'anl_flow_exit_arc', 'the_geom', 'public.geometry', 'Linestring geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('anl_flow_trace_node_node_id', 'anl_flow_trace_node', 'node_id', 'Varchar(16)', 'Node identifier related to the primary key of node table');
INSERT INTO db_cat_table_x_column VALUES ('anl_flow_trace_node_the_geom', 'anl_flow_trace_node', 'the_geom', 'public.geometry', 'Point geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('anl_flow_trace_arc_arc_id', 'anl_flow_trace_arc', 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of node table');
INSERT INTO db_cat_table_x_column VALUES ('anl_flow_trace_arc_the_geom', 'anl_flow_trace_arc', 'the_geom', 'public.geometry', 'Linestring geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_outlet_id', 'inp_typevalue_outlet', 'id', 'varchar(16)', 'Value domain of SWMM outlet type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('version_id', 'version', 'id', 'int4', 'ID of version. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('version_wsoftware', 'version', 'wsoftware', 'varchar(16)', 'Identifies the water software compatible with the project');
INSERT INTO db_cat_table_x_column VALUES ('version_postgres', 'version', 'postgres', 'varchar(512)', 'Identifies the version of PostgreSQL where the project was created');
INSERT INTO db_cat_table_x_column VALUES ('version_postgis', 'version', 'postgis', 'varchar(512)', 'Identifies the version of Postgis where the project was created');
INSERT INTO db_cat_table_x_column VALUES ('config_node2arc', 'config', 'node2arc', 'double precision', 'Configuration parameter of disconected nodes about it''s proximity to arcs related to fct_node2arc function');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_portal_layer', 'config_search_plus', 'portal_layer', 'varchar(30)', 'Name of point layer');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_urban_propierties_field_block', 'config_search_plus', 'urban_propierties_field_block', 'varchar(30)', 'Name of field with block data');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_street_layer', 'config_search_plus', 'street_layer', 'varchar(30)', 'Name of street layer');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_street_field_name', 'config_search_plus', 'street_field_name', 'varchar(30)', 'Name of field with street name');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_street_field_code', 'config_search_plus', 'street_field_code', 'varchar(30)', 'Name of field with street code');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_urban_propierties_field_number', 'config_search_plus', 'urban_propierties_field_number', 'varchar(30)', 'Name of field with entrance number');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_urban_propierties_layer', 'config_search_plus', 'urban_propierties_layer', 'varchar(30)', 'Name of urban properties layer.');
INSERT INTO db_cat_table_x_column VALUES ('config_id', 'config', 'id', 'varchar(18)', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('config_node_proximity', 'config', 'node_proximity', 'double precision', 'Configuration parameter of node proximity related to trg_node_proximity function trigger');
INSERT INTO db_cat_table_x_column VALUES ('config_arc_searchnodes', 'config', 'arc_searchnodes', 'double precision', 'Configuration parameter of arc searching start and end nodes related to trg_arc_searchnodes function trigger');
INSERT INTO db_cat_table_x_column VALUES ('config_connec_proximity', 'config', 'connec_proximity', 'double precision', 'Configuration parameter of node proximity related to trg_connec_proximity function trigger');
INSERT INTO db_cat_table_x_column VALUES ('config_arc_toporepair', 'config', 'arc_toporepair', 'double precision', 'Configuration parameter of arc repair related to fct_arc_toporepair function');
INSERT INTO db_cat_table_x_column VALUES ('config_nodeinsert_arcendpoint', 'config', 'nodeinsert_arcendpoint', 'boolean', 'Configuration parameter of automatic node insert when endnode does not exist related to trg_arc_searchnodes function trigger');
INSERT INTO db_cat_table_x_column VALUES ('config_orphannode_delete', 'config', 'orphannode_delete', 'boolean', 'Configuration parameter of automatic delete node when arc is deleted related to trg_orphannode_delete fuction trigger');
INSERT INTO db_cat_table_x_column VALUES ('config_vnode_update_tolerance', 'config', 'vnode_update_tolerance', 'double precision', 'Configuration parameter of defining node tolerance.');
INSERT INTO db_cat_table_x_column VALUES ('config_nodetype_change_enabled', 'config', 'nodetype_change_enabled', 'boolean', 'Enable change node type option.');
INSERT INTO db_cat_table_x_column VALUES ('config_node_proximity_control', 'config', 'node_proximity_control', 'boolean', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent nodes closet to other nodes');
INSERT INTO db_cat_table_x_column VALUES ('config_connec_proximity_control', 'config', 'connec_proximity_control', 'boolean', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent connec closet to other connec');
INSERT INTO db_cat_table_x_column VALUES ('config_node_duplicated_tolerance', 'config', 'node_duplicated_tolerance', 'float', 'Tolerace for function of node duplicated indentification');
INSERT INTO db_cat_table_x_column VALUES ('config_connec_duplicated_tolerance', 'config', 'connec_duplicated_tolerance', 'float', 'Tolerace for function of connec duplicated indentification');
INSERT INTO db_cat_table_x_column VALUES ('config_audit_function_control', 'config', 'audit_function_control', 'boolean', 'Field to put enable (true) or dissabled (false) the audit function control');
INSERT INTO db_cat_table_x_column VALUES ('config_arc_searchnodes_control', 'config', 'arc_searchnodes_control', 'boolean', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent arcs without nodes at init or end position');
INSERT INTO db_cat_table_x_column VALUES ('anl_arc_no_startend_node_arc_id', 'anl_arc_no_startend_node', 'arc_id', 'varchar(16)', 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_arc_no_startend_node_the_geom', 'anl_arc_no_startend_node', 'the_geom', 'public_geometry', 'Geometry of arc');
INSERT INTO db_cat_table_x_column VALUES ('anl_arc_same_startend_arc_id', 'anl_arc_same_startend', 'arc_id', NULL, 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_arc_same_startend_the_geom', 'anl_arc_same_startend', 'the_geom', 'public.geometry', 'Geometry of arc');
INSERT INTO db_cat_table_x_column VALUES ('anl_arc_same_startend_length', 'anl_arc_same_startend', 'length', 'float', 'Length of an arc');
INSERT INTO db_cat_table_x_column VALUES ('anl_connec_duplicated_connec_conserv', 'anl_connec_duplicated', 'connec_conserv', 'varchar(16)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('anl_connec_duplicated_connec_id', 'anl_connec_duplicated', 'connec_id', 'varchar(16)', 'Connec identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_connec_duplicated_id', 'anl_connec_duplicated', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('anl_connec_duplicated_the_geom', 'anl_connec_duplicated', 'the_geom', 'public.geometry', 'Geometry of connec');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_duplicated_the_geom', 'anl_node_duplicated', 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_duplicated_node_conserv', 'anl_node_duplicated', 'node_conserv', 'varchar(16)', 'Node identifier of the duplicated node');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_duplicated_node_id', 'anl_node_duplicated', 'node_id', 'varchar(16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_orphan_node_id', 'anl_node_orphan', 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_orphan_the_geom', 'anl_node_orphan', 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_orphan_node_type', 'anl_node_orphan', 'node_type', 'Varchar(30)', 'Type of the node');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_sink_node_id', 'anl_node_sink', 'node_id', 'varchar(16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_sink_the_geom', 'anl_node_sink', 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_sink_num_arcs', 'anl_node_sink', 'num_arcs', 'int', 'Number of arcs joining the node');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_error_id', 'audit_cat_error', 'id', 'int', 'Identifier of the error');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_error_error_message', 'audit_cat_error', 'error_message', 'text', 'Message of the error');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_error_hint_message', 'audit_cat_error', 'hint_message', 'text', 'Hint message');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_error_log_level', 'audit_cat_error', 'log_level', 'int2', 'Log level of the error');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_error_show_user', 'audit_cat_error', 'show_user', 'bool', 'Field to define to show (or not) to the user this message');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_error_context', 'audit_cat_error', 'context', 'text', 'Context of the message');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_function_return_type', 'audit_cat_function', 'return_type', 'text', 'Type of return of the function');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_function_input_params', 'audit_cat_function', 'input_params', 'json', 'Input parameters of the function');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_function_context', 'audit_cat_function', 'context', 'text', 'Context of the function');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_function_function_type', 'audit_cat_function', 'function_type', 'text', 'Type of the function (trigger function or function)');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_function_name', 'audit_cat_function', 'name', 'text', 'Name of the function');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_function_id', 'audit_cat_function', 'id', 'int4', 'Identifier of the function');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_debug_info', 'audit_function_actions', 'debug_info', 'text', 'Additional information to debug');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_user_name', 'audit_function_actions', 'user_name', 'text', 'Name of the user');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_query', 'audit_function_actions', 'query', 'text', 'String with the full query realized');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_audit_cat_function_id', 'audit_function_actions', 'audit_cat_function_id', 'int4', 'Identifier of the function');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_audit_cat_error_id', 'audit_function_actions', 'audit_cat_error_id', 'int', 'Identifier of the error');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_tstamp', 'audit_function_actions', 'tstamp', 'timestamp', 'Timestamp');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_id', 'audit_function_actions', 'id', 'bigserial', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_estimated_depth', 'cat_arc', 'estimated_depth', 'numeric(12,2)', 'In case no data of depth of conduit this depth is used to estimate the budget.');
INSERT INTO db_cat_table_x_column VALUES ('catchment_descript', 'catchment', 'descript', 'varchar(100)', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('catchment_catchment_id', 'catchment', 'catchment_id', 'varchar(30)', 'Catchment identifier');
INSERT INTO db_cat_table_x_column VALUES ('catchment_the_geom', 'catchment', 'the_geom', 'public.geometry', 'Geometry of catchment.');
INSERT INTO db_cat_table_x_column VALUES ('config_samenode_init_end_control', 'config', 'samenode_init_end_control', 'bool', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent arc with same begining and end node');
INSERT INTO db_cat_table_x_column VALUES ('config_nodeinsert_catalog_vdefault', 'config', 'nodeinsert_catalog_vdefault', 'varchar(30)', 'Configuration parameter of default node values.');
INSERT INTO db_cat_table_x_column VALUES ('config_csv_import_table_name', 'config_csv_import', 'table_name', 'varchar(50)', 'Name of table to insert csv data');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_instalation_date', 'ext_rtc_hydrometer', 'instalation_date', 'date', 'Date of installing the hydrometer');
INSERT INTO db_cat_table_x_column VALUES ('config_extract_raster_value_raster_band_value', 'config_extract_raster_value', 'raster_band_value', 'varchar(30)', 'Band from which the value is taken');
INSERT INTO db_cat_table_x_column VALUES ('config_extract_raster_value_vector_field_value', 'config_extract_raster_value', 'vector_field_value', 'varchar(30)', 'Name of field of vector layer into which the values are inserted');
INSERT INTO db_cat_table_x_column VALUES ('config_extract_raster_value_vector_layer', 'config_extract_raster_value', 'vector_layer', 'varchar(30)', 'Name of vector layer into which the values are inserted');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_hydrometer_field_code', 'config_search_plus', 'hydrometer_field_code', 'varchar(30)', 'Name of field with hydrometer code');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_hydrometer_layer', 'config_search_plus', 'hydrometer_layer', 'varchar(30)', 'Name of hydrometer layer');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_ppoint_layer', 'config_search_plus', 'ppoint_layer', 'varchar(30)', 'Name of ppoint layer');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_hydrometer_urban_propierties_layer', 'config_search_plus', 'hydrometer_urban_propierties_layer', 'varchar(30)', 'Name of connec layer');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_portal_field_number', 'config_search_plus', 'portal_field_number', 'varchar(30)', 'Name of field with entrance number');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_portal_field_code', 'config_search_plus', 'portal_field_code', 'varchar(30)', 'Name of field with entrance code');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_id', 'config_search_plus', 'id', 'varchar(18)', 'Identifier.');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_ppoint_field_number', 'config_search_plus', 'ppoint_field_number', 'varchar(30)', 'Name of field with ppoint number');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_ppoint_field_zone', 'config_search_plus', 'ppoint_field_zone', 'varchar(30)', 'Name of field with ppoint zone');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_urban_propierties_field_pzone', 'config_search_plus', 'urban_propierties_field_pzone', 'varchar(30)', 'Name of a field with zone data');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_id', 'config_ui_forms', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_columns_id', 'db_cat_columns', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_columns_description', 'db_cat_columns', 'description', 'text', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_columns_column_type', 'db_cat_columns', 'column_type', 'text', 'Type of column.');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_columns_column_name', 'db_cat_columns', 'column_name', 'text', 'Name of column');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_columns_db_cat_table_id', 'db_cat_columns', 'db_cat_table_id', 'int4', 'Table catalog identifier');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_id', 'db_cat_table', 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_name', 'db_cat_table', 'name', 'text', 'Name of the table');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_project_type', 'db_cat_table', 'project_type', 'text', 'Project type of the table (WS, UD or SE).');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_context', 'db_cat_table', 'context', 'text', 'Context where this table is showed');
INSERT INTO db_cat_table_x_column VALUES ('gully_the_geom_pol', 'gully', 'the_geom_pol', 'public.geometry', 'Geometry of a gully (polygon)');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_description', 'db_cat_table', 'description', 'text', 'Description of the table');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_view_id', 'db_cat_view', 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_view_name', 'db_cat_view', 'name', 'text', 'Name of the view');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_view_project_type', 'db_cat_view', 'project_type', 'text', 'Project type of the table (WS, UD or SE).');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_view_context', 'db_cat_view', 'context', 'text', 'Context where this view is showed');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_view_description', 'db_cat_view', 'description', 'text', 'description of the table');
INSERT INTO db_cat_table_x_column VALUES ('doc_user_name', 'doc', 'user_name', 'varchar(30)', 'Name of a user who added the document.');
INSERT INTO db_cat_table_x_column VALUES ('doc_doc_type', 'doc', 'doc_type', 'varchar(30)', 'Type of a document');
INSERT INTO db_cat_table_x_column VALUES ('element_x_arc_id', 'element_x_arc', 'id', 'varchar(16)', 'Element related to arc identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('element_x_arc_element_id', 'element_x_arc', 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_table_x_column VALUES ('element_x_arc_arc_id', 'element_x_arc', 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of the arc table');
INSERT INTO db_cat_table_x_column VALUES ('inp_selector_state_observ', 'inp_selector_state', 'observ', 'varchar(254)', 'Observation');
INSERT INTO db_cat_table_x_column VALUES ('version_date', 'version', 'date', 'timestamp', 'Date of the version release');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_text', 'ext_urban_propierties', 'text', 'text', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('ext_postnumber_id', 'ext_postnumber', 'id', 'varchar(16)', 'Entrance  identifier');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_observ', 'ext_urban_propierties', 'observ', 'text', 'Observation');
INSERT INTO db_cat_table_x_column VALUES ('inp_selector_state_id', 'inp_selector_state', 'id', 'varchar(16)', 'State selector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_ui_form', 'config_ui_forms', 'ui_form', 'varchar(50)', 'Table with UI forms.');
INSERT INTO db_cat_table_x_column VALUES ('ext_postnumber_streetaxis', 'ext_postnumber', 'streetaxis', 'varchar(16)', 'Code of streeetat which the entrance is located');
INSERT INTO db_cat_table_x_column VALUES ('ext_postnumber_postnumber', 'ext_postnumber', 'postnumber', 'varchar(16)', 'Entrance number');
INSERT INTO db_cat_table_x_column VALUES ('ext_postnumber_urban_properties_id', 'ext_postnumber', 'urban_properties_id', 'varchar(16)', 'Identifier of related urban propertie');
INSERT INTO db_cat_table_x_column VALUES ('ext_postnumber_the_geom', 'ext_postnumber', 'the_geom', 'public.geometry', 'Geometry of building entrance - point.');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_width', 'config_ui_forms', 'width', 'int', 'Width of a column');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_alias', 'config_ui_forms', 'alias', 'varchar(50)', 'Table of alias.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_node_id', 'cat_mat_node', 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_node_type', 'cat_mat_node', 'node_type', 'Varchar(300)', 'Type of the node');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_the_geom', 'cat_mat_node', 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_node_id', 'cat_arc', 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_num_arcs', 'cat_arc', 'num_arcs', 'integer', 'Number of arcs joining the node');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_the_geom', 'cat_arc', 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_node_id', 'cat_node', 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_node_conserv', 'cat_node', 'node_conserv', 'Varchar(16)', 'Node identifier of the duplicated node');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_the_geom', 'cat_node', 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_element_arc_id', 'cat_mat_element', 'arc_id', NULL, 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_table_name', 'ext_urban_propierties', 'table_name', 'Varchar (50)', 'Name of table to insert csv data');
INSERT INTO db_cat_table_x_column VALUES ('man_storage_min_height', 'man_storage', 'min_height', 'numeric', 'Minimum height of the storage');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_gis_client_layer_name', 'ext_urban_propierties', 'gis_client_layer_name', 'Varchar (50)', 'Alias of this table on the GIS project');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_element_the_geom', 'cat_mat_element', 'the_geom', 'public.geometry', 'Geometry of arc');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_arc_id', 'cat_element', 'arc_id', NULL, 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_the_geom', 'cat_element', 'the_geom', 'public.geometry', 'Geometry of arc');
INSERT INTO db_cat_table_x_column VALUES ('gully_label_x', 'gully', 'label_x', 'varchar', 'X coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('arc_undelete', 'arc', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('config_param_float_to_version', 'config_param_float', 'to_version', 'varchar', 'Output plugin version');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_context', 'config_py_tables', 'context', 'varchar', 'Context where this table is showed');
INSERT INTO db_cat_table_x_column VALUES ('node_workcat_id_end', 'node', 'workcat_id_end', 'varchar', 'ID of the  end of construction work.');
INSERT INTO db_cat_table_x_column VALUES ('man_siphon_security_bar', 'man_siphon', 'security_bar', 'bool', 'Information whever exists the security bar.');
INSERT INTO db_cat_table_x_column VALUES ('man_storage_total_height', 'man_storage', 'total_height', 'numeric', 'Tota hight of the storage');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_dnom', 'ext_cat_hydrometer', 'dnom', 'varchar', 'Nominal diameter.');
INSERT INTO db_cat_table_x_column VALUES ('rtc_options_id', 'rtc_options', 'id', 'varchar', 'Option identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_custom_sum', 'ext_rtc_hydrometer_x_data', 'custom_sum', 'float8', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_ulmc', 'ext_cat_hydrometer', 'ulmc', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_id_number', 'ext_rtc_hydrometer', 'id_number', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_multi_jet_flow', 'ext_cat_hydrometer', 'multi_jet_flow', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('gully_undelete', 'gully', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('arc_label_x', 'arc', 'label_x', 'varchar', 'X coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('config_param_int_value', 'config_param_int', 'value', 'int4', 'Parameter value');
INSERT INTO db_cat_table_x_column VALUES ('node_label_rotation', 'node', 'label_rotation', 'numeric', 'Angle of rotation of the label');
INSERT INTO db_cat_table_x_column VALUES ('connec_label_rotation', 'connec', 'label_rotation', 'numeric', 'Angle of rotation of the label');
INSERT INTO db_cat_table_x_column VALUES ('connec_label_y', 'connec', 'label_y', 'varchar', 'Y coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('point_undelete', 'point', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('config_param_int_to_version', 'config_param_int', 'to_version', 'varchar', 'Output plugin version');
INSERT INTO db_cat_table_x_column VALUES ('config_param_text_to_version', 'config_param_text', 'to_version', 'varchar', 'Output plugin version');
INSERT INTO db_cat_table_x_column VALUES ('config_param_text_value', 'config_param_text', 'value', 'text', 'Parameter value');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_id', 'config_py_tables', 'id', 'int4', 'Py tables identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_hidden', 'config_py_tables', 'hidden', 'bool', 'Decides whether the table is visible for user');
INSERT INTO db_cat_table_x_column VALUES ('man_varc_add_info', 'man_varc', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_wjump_add_info', 'man_wjump', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_siphon_add_info', 'man_siphon', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_manhole_add_info', 'man_manhole', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_netgully_add_info', 'man_netgully', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_wwtp_add_info', 'man_wwtp', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_chamber_node_id', 'man_chamber', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_node_id', 'man_valve', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('man_netinit_node_id', 'man_netinit', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_connec_connec_id', 'om_visit_x_connec', 'connec_id', 'varchar', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_table_x_column VALUES ('man_waccel_arc_id', 'man_waccel', 'arc_id', 'varchar', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_node_node_id', 'rtc_scada_node', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('man_chamber_pol_id', 'man_chamber', 'pol_id', 'varchar', 'Polygon identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_hydrometer_id', 'ext_rtc_hydrometer_x_data', 'hydrometer_id', 'varchar', 'Id of a related hydrometer.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_id', 'ext_rtc_hydrometer_x_value', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_geom6', 'cat_arc', 'geom6', 'numeric', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('cat_feature_id', 'cat_feature', 'id', 'varchar', 'Feature identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_timestamp', 'ext_rtc_hydrometer_x_value', 'timestamp', 'timestamp', 'Date of capturing the data.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_gully_id', 'om_visit_x_gully', 'id', 'int8', 'Visit on gully identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_text', 'ext_rtc_scada', 'text', 'text', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_value_value', 'ext_rtc_scada_x_value', 'value', 'float', 'Value obtained from scada.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_m3_max', 'ext_rtc_scada_dma_period', 'm3_max', 'float8', 'Maximum value.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_scada_id', 'ext_rtc_scada_x_data', 'scada_id', 'varchar', 'Id of a related scada receiver.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_m3_avg', 'ext_rtc_scada_dma_period', 'm3_avg', 'float8', 'Average value.');
INSERT INTO db_cat_table_x_column VALUES ('connec_accessibility', 'connec', 'accessibility', 'bool', 'Information whever the connec is accessible.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_value_id', 'ext_rtc_scada_x_value', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_value_timestamp', 'ext_rtc_scada_x_value', 'timestamp', 'timestamp', 'Date of capturing the data.');
INSERT INTO db_cat_table_x_column VALUES ('man_wjump_sander_depth', 'man_wjump', 'sander_depth', 'numeric', 'Depth of the sander.');
INSERT INTO db_cat_table_x_column VALUES ('man_wwtp_wwtp_name', 'man_wwtp', 'wwtp_name', 'varchar', 'Name of the wastewater treatment plant.');
INSERT INTO db_cat_table_x_column VALUES ('man_selector_state_id', 'man_selector_state', 'id', 'varchar', 'ID of value man selector valve. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('man_manhole_sander_depth', 'man_manhole', 'sander_depth', 'numeric', 'Depth of the sander.');
INSERT INTO db_cat_table_x_column VALUES ('man_storage_total_width', 'man_storage', 'total_width', 'numeric', 'Total width of the storage');
INSERT INTO db_cat_table_x_column VALUES ('man_wjump_security_bar', 'man_wjump', 'security_bar', 'bool', 'Information whever exists the security bar.');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_dma_id', 'rtc_scada_x_dma', 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('man_wjump_wjump_name', 'man_wjump', 'wjump_name', 'varchar', 'Name of the water jump');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_sector_sector_id', 'rtc_scada_x_sector', 'sector_id', 'varchar', 'Id of a related scada receiver.');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_dma_dma_id', 'rtc_scada_x_dma', 'dma_id', 'varchar', 'ID of the management area related to the connect (District Meter Area)');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_dma_flow_sign', 'rtc_scada_x_dma', 'flow_sign', 'int2', 'Flow sign');
INSERT INTO db_cat_table_x_column VALUES ('gully_feature_id', 'gully', 'feature_id', 'varchar', 'ID of the feature to which the connec is connected');
INSERT INTO db_cat_table_x_column VALUES ('gully_featurecat_id', 'gully', 'featurecat_id', 'varchar', 'Type of feature to which the connec is connected');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_svg', 'ext_cat_hydrometer', 'svg', 'varchar', 'Symbology.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_text3', 'ext_cat_scada', 'text3', 'varchar', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_link', 'ext_cat_scada', 'link', 'varchar', 'Field to store link to information related to the scada''s catalog.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_svg', 'ext_cat_scada', 'svg', 'varchar', 'Symbology.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_text1', 'ext_cat_scada', 'text1', 'varchar', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_the_geom', 'samplepoint', 'the_geom', 'geometry', 'Point geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_node_visit_id', 'om_visit_x_node', 'visit_id', 'int8', 'Identifier of a visit related to node');
INSERT INTO db_cat_table_x_column VALUES ('point_point_type', 'point', 'point_type', 'varchar', 'Type of point');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_hydrometer_id', 'ext_rtc_hydrometer', 'hydrometer_id', 'varchar', 'Id of a related hydrometer.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_cat_hydrometer_id', 'ext_rtc_hydrometer', 'cat_hydrometer_id', 'text', 'Id of a category of related hydrometer.');
INSERT INTO db_cat_table_x_column VALUES ('rtc_value_opti_status_id', 'rtc_value_opti_status', 'id', 'varchar', 'Value domain of status options');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_sample_id', 'samplepoint', 'sample_id', 'varchar', 'Sample point identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_identif', 'ext_rtc_hydrometer', 'identif', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_class', 'ext_cat_hydrometer', 'class', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_m3_total_period', 'ext_rtc_scada_dma_period', 'm3_total_period', 'float8', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_conduit_custom_n', 'inp_conduit', 'custom_n', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_voltman_flow', 'ext_cat_hydrometer', 'voltman_flow', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('config_param_bool_value', 'config_param_bool', 'value', 'bool', 'Parameter value');
INSERT INTO db_cat_table_x_column VALUES ('config_param_bool_to_version', 'config_param_bool', 'to_version', 'varchar', 'Output plugin version');
INSERT INTO db_cat_table_x_column VALUES ('dma_undelete', 'dma', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('node_label_y', 'node', 'label_y', 'varchar', 'Y coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('arc_label_y', 'arc', 'label_y', 'varchar', 'Y coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('gully_label_y', 'gully', 'label_y', 'varchar', 'Y coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('config_param_bool_id', 'config_param_bool', 'id', 'varchar', 'Bool parameter identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_text_from_version', 'config_param_text', 'from_version', 'varchar', 'Input plugin version');
INSERT INTO db_cat_table_x_column VALUES ('config_param_text_context', 'config_param_text', 'context', 'varchar', 'Context where this table is showed');
INSERT INTO db_cat_table_x_column VALUES ('config_param_float_from_version', 'config_param_float', 'from_version', 'varchar', 'Input plugin version');
INSERT INTO db_cat_table_x_column VALUES ('config_param_float_context', 'config_param_float', 'context', 'varchar', 'Context where this table is showed');
INSERT INTO db_cat_table_x_column VALUES ('config_param_float_value', 'config_param_float', 'value', 'numeric', 'Parameter value');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_table_name', 'config_py_tables', 'table_name', 'varchar', 'Name of necessary table.');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_observ', 'config_py_tables', 'observ', 'varchar', 'Observation');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_plugin_version', 'config_py_tables', 'plugin_version', 'varchar', 'Version of a plugin');
INSERT INTO db_cat_table_x_column VALUES ('man_waccel_add_info', 'man_waccel', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('version_language', 'version', 'language', 'varchar', 'Language version of plugin');
INSERT INTO db_cat_table_x_column VALUES ('version_epsg', 'version', 'epsg', 'int4', 'EPSG of the project');
INSERT INTO db_cat_table_x_column VALUES ('rtc_hydrometer_x_connec_connec_id', 'rtc_hydrometer_x_connec', 'connec_id', 'varchar', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_table_x_column VALUES ('man_varc_arc_id', 'man_varc', 'arc_id', 'varchar', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_table_x_column VALUES ('man_netgully_node_id', 'man_netgully', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('man_wwtp_node_id', 'man_wwtp', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_node_node_id', 'om_visit_x_node', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('man_siphon_arc_id', 'man_siphon', 'arc_id', 'varchar', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_table_x_column VALUES ('man_wjump_node_id', 'man_wjump', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_id', 'ext_rtc_hydrometer_x_data', 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_cat_period_id', 'ext_rtc_hydrometer_x_data', 'cat_period_id', 'varchar', 'Id of the related period catalog element.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_cat_period_id', 'ext_rtc_scada_dma_period', 'cat_period_id', 'varchar', 'Id of a related period catalog.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_id', 'ext_rtc_scada_dma_period', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_hydrometer_id', 'ext_rtc_hydrometer_x_value', 'hydrometer_id', 'varchar', 'Id of a related hydrometer.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_geom8', 'cat_arc', 'geom8', 'numeric', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_interval_seconds', 'ext_rtc_hydrometer_x_value', 'interval_seconds', 'int4', 'Time interval in which the data was captured expressed in seconds.');
INSERT INTO db_cat_table_x_column VALUES ('connec_y2', 'connec', 'y2', 'numeric', 'Depth at the point of connection to the public network');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_max', 'ext_rtc_scada_x_data', 'max', 'float8', 'Maximum value.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_sum', 'ext_rtc_scada_x_data', 'sum', 'float8', 'Sum of the values.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_id', 'ext_rtc_scada_x_data', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_cat_period_id', 'ext_rtc_scada_x_data', 'cat_period_id', 'varchar', 'Id of a related period catalog.');
INSERT INTO db_cat_table_x_column VALUES ('connec_y1', 'connec', 'y1', 'numeric', 'Depth at the point of connection with the building');
INSERT INTO db_cat_table_x_column VALUES ('connec_featurecat_id', 'connec', 'featurecat_id', 'varchar', 'Type of feature to which the connec is connected');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_m3_min', 'ext_rtc_scada_dma_period', 'm3_min', 'float8', 'Minimum value.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_dma_id', 'ext_rtc_scada_dma_period', 'dma_id', 'varchar', 'Id of a related dma');
INSERT INTO db_cat_table_x_column VALUES ('man_waccel_waccel_name', 'man_waccel', 'waccel_name', 'varchar', 'Name of the water accelerator.');
INSERT INTO db_cat_table_x_column VALUES ('man_waccel_steps', 'man_waccel', 'steps', 'bool', 'Information whever exist steps');
INSERT INTO db_cat_table_x_column VALUES ('man_waccel_security_bar', 'man_waccel', 'security_bar', 'bool', 'Information whever exists the security bar.');
INSERT INTO db_cat_table_x_column VALUES ('man_chamber_total_height', 'man_chamber', 'total_height', 'numeric', 'Total height of the chamber.');
INSERT INTO db_cat_table_x_column VALUES ('man_netinit_netinit_name', 'man_netinit', 'netinit_name', 'varchar', 'Name of the initial of the network');
INSERT INTO db_cat_table_x_column VALUES ('man_chamber_total_width', 'man_chamber', 'total_width', 'numeric', 'Total width of the chamber.');
INSERT INTO db_cat_table_x_column VALUES ('man_storage_util_volume', 'man_storage', 'util_volume', 'numeric', 'Usable volume of a storage');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_sector_flow_sign', 'rtc_scada_x_sector', 'flow_sign', 'int2', 'Flow sign');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_dma_scada_id', 'rtc_scada_x_dma', 'scada_id', 'varchar', 'Id of a related scada receiver.');
INSERT INTO db_cat_table_x_column VALUES ('man_wjump_mheight', 'man_wjump', 'mheight', 'numeric', 'Height of the water jump.');
INSERT INTO db_cat_table_x_column VALUES ('man_waccel_sander_depth', 'man_waccel', 'sander_depth', 'numeric', 'Depth of the sander.');
INSERT INTO db_cat_table_x_column VALUES ('man_wjump_mlength', 'man_wjump', 'mlength', 'numeric', 'Length of the water jump.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_url', 'ext_cat_hydrometer', 'url', 'varchar', 'Field to store URL or folder path with more information related to the hydrometer''s catalog.');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_feature_id', 'samplepoint', 'feature_id', 'varchar', 'ID of the feature to which the connec is connected');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_id', 'ext_cat_hydrometer', 'id', 'varchar', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_hydrometer_type', 'ext_cat_hydrometer', 'hydrometer_type', 'varchar', 'Type of a hydrometer');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_id', 'ext_cat_scada', 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_text2', 'ext_cat_scada', 'text2', 'varchar', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_picture', 'ext_cat_scada', 'picture', 'varchar', 'Picture related to the material.');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_hydrometer_field_urban_propierties_code', 'config_search_plus', 'hydrometer_field_urban_propierties_code', 'varchar', 'Name of field with connec code');
INSERT INTO db_cat_table_x_column VALUES ('rtc_hydrometer_x_connec_hydrometer_id', 'rtc_hydrometer_x_connec', 'hydrometer_id', 'varchar', 'Id of a related hydrometer.');
INSERT INTO db_cat_table_x_column VALUES ('point_point_id', 'point', 'point_id', 'varchar', 'ID of the point. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_madeby', 'ext_cat_hydrometer', 'madeby', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_picture', 'ext_cat_hydrometer', 'picture', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_arc_arc_id', 'om_visit_x_arc', 'arc_id', 'varchar', 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_user_name', 'om_visit', 'user_name', 'varchar', 'Name of a user conducting the visit');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_text', 'om_visit_event', 'text', 'text', 'Text.');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_place_name', 'samplepoint', 'place_name', 'varchar', 'Location name.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_value_position_id', 'om_visit_value_position', 'id', 'varchar', 'Position value identifier.Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_value', 'om_visit_event', 'value', 'float8', 'Event value');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_value_position_descript', 'om_visit_value_position', 'descript', 'varchar', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_xcoord', 'om_visit_event', 'xcoord', 'numeric', 'X coordinate of the event');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_descript', 'om_visit_parameter', 'descript', 'varchar', 'Description.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_type_observ', 'om_visit_parameter_type', 'observ', 'varchar', 'Observation');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_id', 'om_visit_event', 'id', 'int8', 'Event during visit identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_data_type', 'om_visit_parameter', 'data_type', 'varchar', 'Data type.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_parameter_type', 'om_visit_parameter', 'parameter_type', 'varchar', 'Parameter type.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_arc_id', 'om_visit_x_arc', 'id', 'int8', 'Visit on arc identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_azimut', 'om_visit_event', 'azimut', 'float8', 'Azimuth of the direction to which is directed the camera.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_position_id', 'om_visit_event', 'position_id', 'varchar', 'Location of an event object');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_tstamp', 'om_visit_event', 'tstamp', 'timestamp', 'Event time and date.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_id', 'om_visit', 'id', 'int8', 'Visit identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_value_position_feature', 'om_visit_value_position', 'feature', 'varchar', 'Feature type to which is related the position value');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_type_id', 'om_visit_parameter_type', 'id', 'varchar', 'Visit parameter type identifier.Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_ycoord', 'om_visit_event', 'ycoord', 'numeric', 'Y coordinate of the event');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_feature', 'om_visit_parameter', 'feature', 'varchar', 'Feature type to which is related the position value');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_enddate', 'om_visit', 'enddate', 'timestamp', 'Visit end date');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_arc_visit_id', 'om_visit_x_arc', 'visit_id', 'int8', 'Identifier of a visit related to arc');
INSERT INTO db_cat_table_x_column VALUES ('connec_label_x', 'connec', 'label_x', 'varchar', 'X coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('connec_undelete', 'connec', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('node_label_x', 'node', 'label_x', 'varchar', 'X coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('config_param_bool_context', 'config_param_bool', 'context', 'varchar', 'Context where this table is showed');
INSERT INTO db_cat_table_x_column VALUES ('config_param_bool_from_version', 'config_param_bool', 'from_version', 'varchar', 'Input plugin version');
INSERT INTO db_cat_table_x_column VALUES ('sector_undelete', 'sector', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('arc_label_rotation', 'arc', 'label_rotation', 'numeric', 'Angle of rotation of the label');
INSERT INTO db_cat_table_x_column VALUES ('node_undelete', 'node', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('config_param_text_id', 'config_param_text', 'id', 'varchar', 'Text parameter identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_text_descript', 'config_param_text', 'descript', 'text', 'Text parameter description.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_float_descript', 'config_param_float', 'descript', 'text', 'Float parameter description.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_float_id', 'config_param_float', 'id', 'varchar', 'Float parameter identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_avg', 'ext_rtc_hydrometer_x_data', 'avg', 'float8', 'Average value.');
INSERT INTO db_cat_table_x_column VALUES ('gully_workcat_id_end', 'gully', 'workcat_id_end', 'varchar', 'ID of the  end of construction work.');
INSERT INTO db_cat_table_x_column VALUES ('man_chamber_add_info', 'man_chamber', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_add_info', 'man_valve', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_netinit_add_info', 'man_netinit', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_wwtp_pol_id', 'man_wwtp', 'pol_id', 'varchar', 'Polygon identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('man_netgully_pol_id', 'man_netgully', 'pol_id', 'varchar', 'Polygon identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('man_storage_pol_id', 'man_storage', 'pol_id', 'varchar', 'Polygon identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('man_manhole_node_id', 'man_manhole', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_qgis_project', 'config_py_tables', 'qgis_project', 'bool', 'Confirmation of a correct QGIS Project');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_db_schema', 'config_py_tables', 'db_schema', 'bool', 'Confirmation of correct schema name');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_geom5', 'cat_arc', 'geom5', 'numeric', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('element_workcat_id_end', 'element', 'workcat_id_end', 'varchar', 'ID of the  end of construction work.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_geom7', 'cat_arc', 'geom7', 'numeric', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_table_x_column VALUES ('arc_workcat_id_end', 'arc', 'workcat_id_end', 'varchar', 'ID of the  end of construction work.');
INSERT INTO db_cat_table_x_column VALUES ('connec_private_connecat_id', 'connec', 'private_connecat_id', 'varchar', 'ID of a connec catalog related to the private property connection');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_cat_scada_id', 'ext_rtc_scada', 'cat_scada_id', 'varchar', 'Id of the related scada catalog element.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_value_scada_id', 'ext_rtc_scada_x_value', 'scada_id', 'varchar', 'Id of a related scada receiver.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_avg', 'ext_rtc_scada_x_data', 'avg', 'float8', 'Average value.');
INSERT INTO db_cat_table_x_column VALUES ('man_manhole_prot_surface', 'man_manhole', 'prot_surface', 'bool', 'Information whether exists the surface protector.');
INSERT INTO db_cat_table_x_column VALUES ('man_wjump_steps', 'man_wjump', 'steps', 'bool', 'Information whever exist steps');
INSERT INTO db_cat_table_x_column VALUES ('man_storage_total_volume', 'man_storage', 'total_volume', 'numeric', 'Total volume of the storage');
INSERT INTO db_cat_table_x_column VALUES ('man_chamber_chamber_name', 'man_chamber', 'chamber_name', 'varchar', 'Name of the chamber');
INSERT INTO db_cat_table_x_column VALUES ('man_siphon_siphon_name', 'man_siphon', 'siphon_name', 'varchar', 'Name of the siphon');
INSERT INTO db_cat_table_x_column VALUES ('man_storage_total_length', 'man_storage', 'total_length', 'numeric', 'Total length of the storage');
INSERT INTO db_cat_table_x_column VALUES ('man_wjump_prot_surface', 'man_wjump', 'prot_surface', 'bool', 'Information whether exists the surface protector.');
INSERT INTO db_cat_table_x_column VALUES ('man_siphon_steps', 'man_siphon', 'steps', 'bool', 'Information whever exist steps');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_node_scada_id', 'rtc_scada_node', 'scada_id', 'varchar', 'Id of a related scada receiver.');
INSERT INTO db_cat_table_x_column VALUES ('man_wjump_mwidth', 'man_wjump', 'mwidth', 'numeric', 'Width of the water jump.');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_sector_id', 'rtc_scada_x_sector', 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_valve_name', 'man_valve', 'valve_name', 'varchar', 'Name of the valve');
INSERT INTO db_cat_table_x_column VALUES ('man_waccel_sander_length', 'man_waccel', 'sander_length', 'numeric', 'Length of the sander.');
INSERT INTO db_cat_table_x_column VALUES ('man_outfall_outfall_name', 'man_outfall', 'outfall_name', 'varchar', 'Name of the outfall');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_feature_id2', 'samplepoint', 'feature_id2', 'varchar', 'ID of the feature to which the connec is connected');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_featurecat_id', 'samplepoint', 'featurecat_id', 'varchar', 'Type of feature to which the connec is connected');
INSERT INTO db_cat_table_x_column VALUES ('point_the_geom', 'point', 'the_geom', 'geometry', 'Point geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_adress', 'ext_rtc_hydrometer', 'adress', 'text', 'Address where hydrometer is located');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_comment', 'ext_cat_period', 'comment', 'varchar', 'Comments related to period catalog. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_starttime', 'ext_cat_period', 'starttime', 'timestamp', 'Defines the begining of the period.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_connec_visit_id', 'om_visit_x_connec', 'visit_id', 'int8', 'Identifier of a visit related to connec');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_visit_id', 'om_visit_event', 'visit_id', 'int8', 'Identifier of a visit to which are related the events');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_parameter_id', 'om_visit_event', 'parameter_id', 'varchar', 'Parameter of event type');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_startdate', 'om_visit', 'startdate', 'timestamp', 'Visit start date.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_bool_descript', 'config_param_bool', 'descript', 'text', 'Float parameter description.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_int_descript', 'config_param_int', 'descript', 'text', 'Integer parameter description.');
INSERT INTO db_cat_table_x_column VALUES ('config_buffer_value', 'config', 'buffer_value', 'float8', 'Half of a size of automaticly inserted polygon (double geometry)');
INSERT INTO db_cat_table_x_column VALUES ('config_param_int_id', 'config_param_int', 'id', 'varchar', 'Integer parameter identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_int_context', 'config_param_int', 'context', 'varchar', 'Context where this table is showed');
INSERT INTO db_cat_table_x_column VALUES ('config_param_int_from_version', 'config_param_int', 'from_version', 'varchar', 'Input plugin version');
INSERT INTO db_cat_table_x_column VALUES ('gully_label_rotation', 'gully', 'label_rotation', 'numeric', 'Angle of rotation of the label');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_ui_table', 'config_ui_forms', 'ui_table', 'varchar(50)', 'UI view name');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_ui_column', 'config_ui_forms', 'ui_column', 'varchar(50)', 'UI column name');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_status', 'config_ui_forms', 'status', 'bool', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_column_index', 'config_ui_forms', 'column_index', 'smallint', 'Index of a column');
INSERT INTO db_cat_table_x_column VALUES ('man_junction_add_info', 'man_junction', 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_storage_add_info', 'man_storage', 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_outfall_add_info', 'man_outfall', 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_conduit_add_info', 'man_conduit', 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('connec_workcat_id_end', 'connec', 'workcat_id_end', 'varchar', 'ID of the  end of construction work.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_gully_gully_id', 'om_visit_x_gully', 'gully_id', 'varchar', 'Gully identifier related to the primary key of the gully table');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_value', 'ext_rtc_hydrometer_x_value', 'value', 'numeric', 'Value obtained from hydrometer.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_status', 'ext_rtc_hydrometer_x_value', 'status', 'varchar', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_max', 'ext_rtc_hydrometer_x_data', 'max', 'float8', 'Maximum value.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_gully_visit_id', 'om_visit_x_gully', 'visit_id', 'int8', 'Identifier of a visit related to gully');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_sum', 'ext_rtc_hydrometer_x_data', 'sum', 'float8', 'Sum of the values.');
INSERT INTO db_cat_table_x_column VALUES ('connec_feature_id', 'connec', 'feature_id', 'varchar', 'ID of the feature to which the connec is connected');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_value_interval_seconds', 'ext_rtc_scada_x_value', 'interval_seconds', 'int4', 'Time interval in which the data was captured expressed in seconds.');
INSERT INTO db_cat_table_x_column VALUES ('connec_diagonal', 'connec', 'diagonal', 'varchar', 'Information whever the connec is diagonal or perpendicular');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_value_status', 'ext_rtc_scada_x_value', 'status', 'varchar', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_table_x_column VALUES ('man_netinit_mwidth', 'man_netinit', 'mwidth', 'numeric', 'Width of the netinit');
INSERT INTO db_cat_table_x_column VALUES ('man_chamber_total_volume', 'man_chamber', 'total_volume', 'numeric', 'Total volume of the chamber.');
INSERT INTO db_cat_table_x_column VALUES ('man_wjump_sander_length', 'man_wjump', 'sander_length', 'numeric', 'Length of the sander.');
INSERT INTO db_cat_table_x_column VALUES ('man_waccel_prot_surface', 'man_waccel', 'prot_surface', 'bool', 'Information whether exists the surface protector.');
INSERT INTO db_cat_table_x_column VALUES ('man_netinit_mheight', 'man_netinit', 'mheight', 'numeric', 'Height of the netinit');
INSERT INTO db_cat_table_x_column VALUES ('man_netinit_mlength', 'man_netinit', 'mlength', 'numeric', 'Length of the netinit');
INSERT INTO db_cat_table_x_column VALUES ('man_chamber_total_length', 'man_chamber', 'total_length', 'numeric', 'Total length of the chamber.');
INSERT INTO db_cat_table_x_column VALUES ('man_storage_storage_name', 'man_storage', 'storage_name', 'varchar', 'Name of the storage');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_units', 'ext_cat_scada', 'units', 'varchar', 'Type of units in which the data is expressed.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_id', 'om_visit_parameter', 'id', 'varchar', 'Visit parameter identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_connec_id', 'om_visit_x_connec', 'id', 'int8', 'Visit on connec identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_node_id', 'om_visit_x_node', 'id', 'int8', 'Visit on node identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_data_type', 'ext_cat_scada', 'data_type', 'varchar', 'Type of data coming from scada.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_url', 'ext_cat_scada', 'url', 'varchar', 'Field to store URL or folder path with more information related to the scada''s catalog.');
INSERT INTO db_cat_table_x_column VALUES ('plan_selector_state_id', 'plan_selector_state', 'id', 'varchar', 'Masterplan state selector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_element_type', 'samplepoint', 'element_type', 'varchar', 'Type of the sample element');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_code_lab', 'samplepoint', 'code_lab', 'int4', 'Sample point  code for laboratory');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_client_name', 'ext_rtc_hydrometer', 'client_name', 'text', 'Client name.');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_state', 'samplepoint', 'state', 'varchar', 'Domain value of samplepoint''s state.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_endtime', 'ext_cat_period', 'endtime', 'timestamp', 'Defines the end of the period.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_link', 'ext_cat_hydrometer', 'link', 'varchar', 'Field to store link to information related to the hydrometer''s catalog.');
INSERT INTO db_cat_table_x_column VALUES ('ext_hydrometer_category_id', 'ext_hydrometer_category', 'id', 'varchar', 'Hydrometer category identifier.primary key');
INSERT INTO db_cat_table_x_column VALUES ('rtc_options_period_id', 'rtc_options', 'period_id', 'varchar', 'Period identifier where the RTC is allowed');
INSERT INTO db_cat_table_x_column VALUES ('point_text', 'point', 'text', 'text', 'Description of a point');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_hydrometer_category', 'ext_rtc_hydrometer', 'hydrometer_category', 'text', 'Category of a hydrometer');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_period_seconds', 'ext_cat_period', 'period_seconds', 'int4', 'Period of time expressed in seconds.');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_street2', 'samplepoint', 'street2', 'varchar', 'Location - street 2');
INSERT INTO db_cat_table_x_column VALUES ('rtc_value_opti_coef_id', 'rtc_value_opti_coef', 'id', 'varchar', 'Value domain of coefficient options');
INSERT INTO db_cat_table_x_column VALUES ('anl_selector_state_id', 'anl_selector_state', 'id', 'varchar', 'Selector state analysis identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_origin', 'samplepoint', 'origin', 'varchar', 'Information about the origin');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_id', 'ext_cat_period', 'id', 'varchar', 'ID of a period catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_street1', 'samplepoint', 'street1', 'varchar', 'Location - street 1');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_house_number', 'ext_rtc_hydrometer', 'house_number', 'text', 'Home number where hydrometer is located');
INSERT INTO db_cat_table_x_column VALUES ('ext_hydrometer_category_observ', 'ext_hydrometer_category', 'observ', 'varchar', 'Observation');
INSERT INTO db_cat_table_x_column VALUES ('rtc_hydrometer_hydrometer_id', 'rtc_hydrometer', 'hydrometer_id', 'varchar', 'Id of a related hydrometer.');
INSERT INTO db_cat_table_x_column VALUES ('rtc_options_return_coeff', 'rtc_options', 'return_coeff', 'float8', 'Value domain of the return coefficient applied');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_representative', 'samplepoint', 'representative', 'bool', 'Information whever the samplepoint is representative.');
INSERT INTO db_cat_table_x_column VALUES ('rtc_options_rtc_status', 'rtc_options', 'rtc_status', 'varchar', 'Field to define the status of the Real Time Control (ON or OFF)');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_rotation', 'samplepoint', 'rotation', 'numeric', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_table_x_column VALUES ('rtc_options_peak_coeff', 'rtc_options', 'peak_coeff', 'float8', 'Value domain of the peak coefficient applied');
INSERT INTO db_cat_table_x_column VALUES ('rpt_selector_result_id', 'rpt_selector_result', 'id', 'int', 'Selector identifier.Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_selector_result_cur_user', 'rpt_selector_result', 'cur_user', 'text', 'Current user name');
INSERT INTO db_cat_table_x_column VALUES ('rpt_selector_compare_id', 'rpt_selector_compare', 'id', 'int', 'Selector identifier.Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_selector_compare_cur_user', 'rpt_selector_compare', 'cur_user', 'text', 'Current user name');
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_workcat_id_end', 'v_edit_connec', 'workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('config_csv_import_gis_client_layer_name', 'config_csv_import', 'gis_client_layer_name', 'varchar(50)', 'Alias of the table on the GIS project');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_client_layer_qgis_layer_id', 'db_cat_client_layer', 'qgis_layer_id', 'text', 'QGIS layer identifier.');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_client_layer_db_cat_table_id', 'db_cat_client_layer', 'db_cat_table_id', 'text', 'Identifier of a table in a database.');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_client_layer_layer_alias', 'db_cat_client_layer', 'layer_alias', 'text', 'Name of the layer appearing in the table of content (ToC).');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_client_layer_client_id', 'db_cat_client_layer', 'client_id', 'text', 'Client identifier.');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_client_layer_description', 'db_cat_client_layer', 'description', 'text', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_client_layer_pre_dependences', 'db_cat_client_layer', 'pre_dependences', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_client_layer_post_dependences', 'db_cat_client_layer', 'post_dependences', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_client_layer_db_cat_client_layer_agrupation_id', 'db_cat_client_layer', 'db_cat_client_layer_agrupation_id', 'varchar(50)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_client_layer_styleqml_use_asdefault', 'db_cat_client_layer', 'styleqml_use_asdefault', 'bool', 'Existing of default layer style.');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_client_layer_styleqml_file', 'db_cat_client_layer', 'styleqml_file', 'text', 'Name of the qml style file');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_client_layer_geometry_field', 'db_cat_client_layer', 'geometry_field', 'text', 'Existing of the layer''s geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_client_layer_project_criticity', 'db_cat_client_layer', 'project_criticity', 'smallint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_client_layer_automatic_reload_layer', 'db_cat_client_layer', 'automatic_reload_layer', 'bool', 'Existing of automatic reload of the layer');
INSERT INTO db_cat_table_x_column VALUES ('anl_topological_consistency_node_id', 'anl_topological_consistency', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('anl_topological_consistency_node_type', 'anl_topological_consistency', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('anl_topological_consistency_num_arcs', 'anl_topological_consistency', 'num_arcs', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('anl_topological_consistency_the_geom', 'anl_topological_consistency', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_addr', 'audit_function_actions', 'addr', 'inet', NULL);
INSERT INTO db_cat_table_x_column VALUES ('config_insert_double_geometry', 'config', 'insert_double_geometry', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('connec_connec_type', 'connec', 'connec_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('connec_type_type', 'connec_type', 'type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('connec_type_man_table', 'connec_type', 'man_table', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('connec_type_event_table', 'connec_type', 'event_table', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_id', 'db_cat_clientlayer', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_name', 'db_cat_clientlayer', 'name', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_group_level_1', 'db_cat_clientlayer', 'group_level_1', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_group_level_2', 'db_cat_clientlayer', 'group_level_2', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_group_level_3', 'db_cat_clientlayer', 'group_level_3', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_group_level_4', 'db_cat_clientlayer', 'group_level_4', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_description', 'db_cat_clientlayer', 'description', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_db_cat_clientlayer_id', 'db_cat_table', 'db_cat_clientlayer_id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_view_db_cat_clientlayer_id', 'db_cat_view', 'db_cat_clientlayer_id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('element_type_type', 'element_type', 'type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_compass', 'om_visit_event', 'compass', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_sector_scada_id', 'rtc_scada_x_sector', 'scada_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_arc_arc_id', 'v_anl_arc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_arc_node_1', 'v_anl_arc', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_arc_node_2', 'v_anl_arc', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_arc_epa_type', 'v_anl_arc', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_arc_the_geom', 'v_anl_arc', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_connec_connec_id', 'v_anl_connec', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_connec_the_geom', 'v_anl_connec', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_connec_id', 'v_edit_connec', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_top_elev', 'v_edit_connec', 'top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_ymax', 'v_edit_connec', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_connecat_id', 'v_edit_connec', 'connecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_cat_connectype_id', 'v_edit_connec', 'cat_connectype_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_cat_matcat_id', 'v_edit_connec', 'cat_matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_sector_id', 'v_edit_connec', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_code', 'v_edit_connec', 'code', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_n_hydrometer', 'v_edit_connec', 'n_hydrometer', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_demand', 'v_edit_connec', 'demand', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_state', 'v_edit_connec', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_annotation', 'v_edit_connec', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_observ', 'v_edit_connec', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_comment', 'v_edit_connec', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_dma_id', 'v_edit_connec', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_soilcat_id', 'v_edit_connec', 'soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_category_type', 'v_edit_connec', 'category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_fluid_type', 'v_edit_connec', 'fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_location_type', 'v_edit_connec', 'location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_workcat_id', 'v_edit_connec', 'workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_buildercat_id', 'v_edit_connec', 'buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_builtdate', 'v_edit_connec', 'builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_ownercat_id', 'v_edit_connec', 'ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_adress_01', 'v_edit_connec', 'adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_adress_02', 'v_edit_connec', 'adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_adress_03', 'v_edit_connec', 'adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_streetaxis_id', 'v_edit_connec', 'streetaxis_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_name', 'v_edit_connec', 'name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_postnumber', 'v_edit_connec', 'postnumber', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_descript', 'v_edit_connec', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_arc_id', 'v_edit_connec', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_cat_svg', 'v_edit_connec', 'cat_svg', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_rotation', 'v_edit_connec', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_link', 'v_edit_connec', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_verified', 'v_edit_connec', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_the_geom', 'v_edit_connec', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_y1', 'v_edit_connec', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_y2', 'v_edit_connec', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_undelete', 'v_edit_connec', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_featurecat_id', 'v_edit_connec', 'featurecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_feature_id', 'v_edit_connec', 'feature_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_private_connecat_id', 'v_edit_connec', 'private_connecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_label_x', 'v_edit_connec', 'label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_label_y', 'v_edit_connec', 'label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_label_rotation', 'v_edit_connec', 'label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_accessibility', 'v_edit_connec', 'accessibility', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_connec_diagonal', 'v_edit_connec', 'diagonal', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_flowtrace_connec_connec_id', 'v_anl_flowtrace_connec', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_flowtrace_connec_the_geom', 'v_anl_flowtrace_connec', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_flowtrace_hydrometer_hydrometer_id', 'v_anl_flowtrace_hydrometer', 'hydrometer_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_flowtrace_hydrometer_connec_id', 'v_anl_flowtrace_hydrometer', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_flowtrace_hydrometer_code', 'v_anl_flowtrace_hydrometer', 'code', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_flowtrace_hydrometer_arc_id', 'v_anl_flowtrace_hydrometer', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_node_node_id', 'v_anl_node', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_node_epa_type', 'v_anl_node', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_anl_node_the_geom', 'v_anl_node', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_arc_id', 'v_arc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_node_1', 'v_arc', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_node_2', 'v_arc', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_y1', 'v_arc', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_y2', 'v_arc', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_arccat_id', 'v_arc', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_matcat_id', 'v_arc', 'matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_arc_type', 'v_arc', 'arc_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_epa_type', 'v_arc', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_sector_id', 'v_arc', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_dma_id', 'v_arc', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_state', 'v_arc', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_soilcat_id', 'v_arc', 'soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_length', 'v_arc', 'length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_the_geom', 'v_arc', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_node_node_id', 'v_node', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_node_top_elev', 'v_node', 'top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_node_ymax', 'v_node', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_node_nodecat_id', 'v_node', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_node_node_type', 'v_node', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_node_epa_type', 'v_node', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_node_sector_id', 'v_node', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_node_dma_id', 'v_node', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_node_state', 'v_node', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_node_the_geom', 'v_node', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node1_arc_id', 'v_arc_x_node1', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node1_node_1', 'v_arc_x_node1', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node1_top_elev1', 'v_arc_x_node1', 'top_elev1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node1_ymax1', 'v_arc_x_node1', 'ymax1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node1_elev1', 'v_arc_x_node1', 'elev1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node1_y1', 'v_arc_x_node1', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node1_z1', 'v_arc_x_node1', 'z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node1_geom1', 'v_arc_x_node1', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node1_r1', 'v_arc_x_node1', 'r1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node2_arc_id', 'v_arc_x_node2', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node2_node_2', 'v_arc_x_node2', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node2_top_elev2', 'v_arc_x_node2', 'top_elev2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node2_ymax2', 'v_arc_x_node2', 'ymax2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node2_elev2', 'v_arc_x_node2', 'elev2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node2_y2', 'v_arc_x_node2', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node2_z2', 'v_arc_x_node2', 'z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node2_geom1', 'v_arc_x_node2', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node2_r2', 'v_arc_x_node2', 'r2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_arc_id', 'v_arc_x_node', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_node_1', 'v_arc_x_node', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_top_elev1', 'v_arc_x_node', 'top_elev1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_ymax1', 'v_arc_x_node', 'ymax1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_elev1', 'v_arc_x_node', 'elev1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_y1', 'v_arc_x_node', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_node_2', 'v_arc_x_node', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_top_elev2', 'v_arc_x_node', 'top_elev2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_ymax2', 'v_arc_x_node', 'ymax2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_elev2', 'v_arc_x_node', 'elev2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_y2', 'v_arc_x_node', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_z1', 'v_arc_x_node', 'z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_z2', 'v_arc_x_node', 'z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_geom1', 'v_arc_x_node', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_r1', 'v_arc_x_node', 'r1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_r2', 'v_arc_x_node', 'r2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_slope', 'v_arc_x_node', 'slope', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_state', 'v_arc_x_node', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_sector_id', 'v_arc_x_node', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_arc_x_node_the_geom', 'v_arc_x_node', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_audit_functions_tstamp', 'v_audit_functions', 'tstamp', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_audit_functions_id', 'v_audit_functions', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_audit_functions_error_message', 'v_audit_functions', 'error_message', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_audit_functions_hint_message', 'v_audit_functions', 'hint_message', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_audit_functions_log_level', 'v_audit_functions', 'log_level', 'smallint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_audit_functions_show_user', 'v_audit_functions', 'show_user', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_audit_functions_user_name', 'v_audit_functions', 'user_name', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_audit_functions_addr', 'v_audit_functions', 'addr', 'inet', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_audit_functions_debug_info', 'v_audit_functions', 'debug_info', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_arc_id', 'v_edit_arc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_node_1', 'v_edit_arc', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_node_2', 'v_edit_arc', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_y1', 'v_edit_arc', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_y2', 'v_edit_arc', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_elev1', 'v_edit_arc', 'elev1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_elev2', 'v_edit_arc', 'elev2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_z1', 'v_edit_arc', 'z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_z2', 'v_edit_arc', 'z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_r1', 'v_edit_arc', 'r1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_r2', 'v_edit_arc', 'r2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_slope', 'v_edit_arc', 'slope', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_arc_type', 'v_edit_arc', 'arc_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_arccat_id', 'v_edit_arc', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_cat_matcat_id', 'v_edit_arc', 'cat_matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_cat_shape', 'v_edit_arc', 'cat_shape', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_cat_geom1', 'v_edit_arc', 'cat_geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_gis_length', 'v_edit_arc', 'gis_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_epa_type', 'v_edit_arc', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_sector_id', 'v_edit_arc', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_state', 'v_edit_arc', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_annotation', 'v_edit_arc', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_observ', 'v_edit_arc', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_comment', 'v_edit_arc', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_inverted_slope', 'v_edit_arc', 'inverted_slope', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_custom_length', 'v_edit_arc', 'custom_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_dma_id', 'v_edit_arc', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_soilcat_id', 'v_edit_arc', 'soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_category_type', 'v_edit_arc', 'category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_fluid_type', 'v_edit_arc', 'fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_location_type', 'v_edit_arc', 'location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_workcat_id', 'v_edit_arc', 'workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_buildercat_id', 'v_edit_arc', 'buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_builtdate', 'v_edit_arc', 'builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_ownercat_id', 'v_edit_arc', 'ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_adress_01', 'v_edit_arc', 'adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_adress_02', 'v_edit_arc', 'adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_adress_03', 'v_edit_arc', 'adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_descript', 'v_edit_arc', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_cat_svg', 'v_edit_arc', 'cat_svg', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_est_y1', 'v_edit_arc', 'est_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_est_y2', 'v_edit_arc', 'est_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_rotation', 'v_edit_arc', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_link', 'v_edit_arc', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_verified', 'v_edit_arc', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_the_geom', 'v_edit_arc', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_workcat_id_end', 'v_edit_arc', 'workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_undelete', 'v_edit_arc', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_label_x', 'v_edit_arc', 'label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_label_y', 'v_edit_arc', 'label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_arc_label_rotation', 'v_edit_arc', 'label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_gully_id', 'v_edit_gully', 'gully_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_top_elev', 'v_edit_gully', 'top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_ymax', 'v_edit_gully', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_gratecat_id', 'v_edit_gully', 'gratecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_cat_grate_type', 'v_edit_gully', 'cat_grate_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_cat_grate_matcat', 'v_edit_gully', 'cat_grate_matcat', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_sandbox', 'v_edit_gully', 'sandbox', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_matcat_id', 'v_edit_gully', 'matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_units', 'v_edit_gully', 'units', 'smallint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_groove', 'v_edit_gully', 'groove', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_arccat_id', 'v_edit_gully', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_siphon', 'v_edit_gully', 'siphon', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_arc_id', 'v_edit_gully', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_sector_id', 'v_edit_gully', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_state', 'v_edit_gully', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_annotation', 'v_edit_gully', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_observ', 'v_edit_gully', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_comment', 'v_edit_gully', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_dma_id', 'v_edit_gully', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_soilcat_id', 'v_edit_gully', 'soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_category_type', 'v_edit_gully', 'category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_fluid_type', 'v_edit_gully', 'fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_location_type', 'v_edit_gully', 'location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_workcat_id', 'v_edit_gully', 'workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_buildercat_id', 'v_edit_gully', 'buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_builtdate', 'v_edit_gully', 'builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_ownercat_id', 'v_edit_gully', 'ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_adress_01', 'v_edit_gully', 'adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_adress_02', 'v_edit_gully', 'adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_adress_03', 'v_edit_gully', 'adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_descript', 'v_edit_gully', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_cat_svg', 'v_edit_gully', 'cat_svg', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_rotation', 'v_edit_gully', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_link', 'v_edit_gully', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_verified', 'v_edit_gully', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_the_geom', 'v_edit_gully', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_undelete', 'v_edit_gully', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_workcat_id_end', 'v_edit_gully', 'workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_featurecat_id', 'v_edit_gully', 'featurecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_feature_id', 'v_edit_gully', 'feature_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_label_x', 'v_edit_gully', 'label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_label_y', 'v_edit_gully', 'label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_gully_label_rotation', 'v_edit_gully', 'label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_arc_id', 'v_edit_inp_conduit', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_geom4', 'v_edit_inp_orifice', 'geom4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_arccat_id', 'v_edit_inp_conduit', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_cat_matcat_id', 'v_edit_inp_conduit', 'cat_matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_cat_shape', 'v_edit_inp_conduit', 'cat_shape', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_sector_id', 'v_edit_inp_conduit', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_annotation', 'v_edit_inp_conduit', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_observ', 'v_edit_inp_conduit', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_comment', 'v_edit_inp_conduit', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_dma_id', 'v_edit_inp_conduit', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_custom_length', 'v_edit_inp_conduit', 'custom_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_rotation', 'v_edit_inp_conduit', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_link', 'v_edit_inp_conduit', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_est_y1', 'v_edit_inp_conduit', 'est_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_est_y2', 'v_edit_inp_conduit', 'est_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_the_geom', 'v_edit_inp_conduit', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_culvert', 'v_edit_inp_conduit', 'culvert', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_custom_n', 'v_edit_inp_conduit', 'custom_n', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_node_id', 'v_edit_inp_divider', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_top_elev', 'v_edit_inp_divider', 'top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_ymax', 'v_edit_inp_divider', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_sander', 'v_edit_inp_divider', 'sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_elev', 'v_edit_inp_divider', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_nodecat_id', 'v_edit_inp_divider', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_sector_id', 'v_edit_inp_divider', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_state', 'v_edit_inp_divider', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_annotation', 'v_edit_inp_divider', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_observ', 'v_edit_inp_divider', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_comment', 'v_edit_inp_divider', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_dma_id', 'v_edit_inp_divider', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_rotation', 'v_edit_inp_divider', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_link', 'v_edit_inp_divider', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_est_top_elev', 'v_edit_inp_divider', 'est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_est_ymax', 'v_edit_inp_divider', 'est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_verified', 'v_edit_inp_divider', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_the_geom', 'v_edit_inp_divider', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_divider_type', 'v_edit_inp_divider', 'divider_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_arc_id', 'v_edit_inp_divider', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_curve_id', 'v_edit_inp_divider', 'curve_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_qmin', 'v_edit_inp_divider', 'qmin', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_ht', 'v_edit_inp_divider', 'ht', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_cd', 'v_edit_inp_divider', 'cd', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_node_id', 'v_edit_inp_junction', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_top_elev', 'v_edit_inp_junction', 'top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_ymax', 'v_edit_inp_junction', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_sander', 'v_edit_inp_junction', 'sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_elev', 'v_edit_inp_junction', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_nodecat_id', 'v_edit_inp_junction', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_sector_id', 'v_edit_inp_junction', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_state', 'v_edit_inp_junction', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_annotation', 'v_edit_inp_junction', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_observ', 'v_edit_inp_junction', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_comment', 'v_edit_inp_junction', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_dma_id', 'v_edit_inp_junction', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_rotation', 'v_edit_inp_junction', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_link', 'v_edit_inp_junction', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_est_top_elev', 'v_edit_inp_junction', 'est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_est_ymax', 'v_edit_inp_junction', 'est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_verified', 'v_edit_inp_junction', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_the_geom', 'v_edit_inp_junction', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_arc_id', 'v_edit_inp_orifice', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_y1', 'v_edit_inp_orifice', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_y2', 'v_edit_inp_orifice', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_arccat_id', 'v_edit_inp_orifice', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_sector_id', 'v_edit_inp_orifice', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_annotation', 'v_edit_inp_orifice', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_observ', 'v_edit_inp_orifice', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_comment', 'v_edit_inp_orifice', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_dma_id', 'v_edit_inp_orifice', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_custom_length', 'v_edit_inp_orifice', 'custom_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_rotation', 'v_edit_inp_orifice', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_link', 'v_edit_inp_orifice', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_est_y1', 'v_edit_inp_orifice', 'est_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_est_y2', 'v_edit_inp_orifice', 'est_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_the_geom', 'v_edit_inp_orifice', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_ori_type', 'v_edit_inp_orifice', 'ori_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_offset', 'v_edit_inp_orifice', 'offset', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_cd', 'v_edit_inp_orifice', 'cd', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_orate', 'v_edit_inp_orifice', 'orate', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_flap', 'v_edit_inp_orifice', 'flap', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_shape', 'v_edit_inp_orifice', 'shape', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_geom1', 'v_edit_inp_orifice', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_geom2', 'v_edit_inp_orifice', 'geom2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_geom3', 'v_edit_inp_orifice', 'geom3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_node_id', 'v_edit_inp_outfall', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_top_elev', 'v_edit_inp_outfall', 'top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_sander', 'v_edit_inp_outfall', 'sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_elev', 'v_edit_inp_outfall', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_nodecat_id', 'v_edit_inp_outfall', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_sector_id', 'v_edit_inp_outfall', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_state', 'v_edit_inp_outfall', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_annotation', 'v_edit_inp_outfall', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_observ', 'v_edit_inp_outfall', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_comment', 'v_edit_inp_outfall', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_dma_id', 'v_edit_inp_outfall', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_rotation', 'v_edit_inp_outfall', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_link', 'v_edit_inp_outfall', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_est_top_elev', 'v_edit_inp_outfall', 'est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_est_ymax', 'v_edit_inp_outfall', 'est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_verified', 'v_edit_inp_outfall', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_the_geom', 'v_edit_inp_outfall', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_stage', 'v_edit_inp_outfall', 'stage', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_curve_id', 'v_edit_inp_outfall', 'curve_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_timser_id', 'v_edit_inp_outfall', 'timser_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_gate', 'v_edit_inp_outfall', 'gate', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_arc_id', 'v_edit_inp_outlet', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_y1', 'v_edit_inp_outlet', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_y2', 'v_edit_inp_outlet', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_arccat_id', 'v_edit_inp_outlet', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_sector_id', 'v_edit_inp_outlet', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_annotation', 'v_edit_inp_outlet', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_observ', 'v_edit_inp_outlet', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_comment', 'v_edit_inp_outlet', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_dma_id', 'v_edit_inp_outlet', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_custom_length', 'v_edit_inp_outlet', 'custom_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_rotation', 'v_edit_inp_outlet', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_link', 'v_edit_inp_outlet', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_est_y1', 'v_edit_inp_outlet', 'est_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_est_y2', 'v_edit_inp_outlet', 'est_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_the_geom', 'v_edit_inp_outlet', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_outlet_type', 'v_edit_inp_outlet', 'outlet_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_offset', 'v_edit_inp_outlet', 'offset', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_curve_id', 'v_edit_inp_outlet', 'curve_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_cd1', 'v_edit_inp_outlet', 'cd1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_cd2', 'v_edit_inp_outlet', 'cd2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_flap', 'v_edit_inp_outlet', 'flap', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_arc_id', 'v_edit_inp_pump', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_y1', 'v_edit_inp_pump', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_y2', 'v_edit_inp_pump', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_arccat_id', 'v_edit_inp_pump', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_sector_id', 'v_edit_inp_pump', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_annotation', 'v_edit_inp_pump', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_observ', 'v_edit_inp_pump', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_comment', 'v_edit_inp_pump', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_dma_id', 'v_edit_inp_pump', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_custom_length', 'v_edit_inp_pump', 'custom_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_rotation', 'v_edit_inp_pump', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_link', 'v_edit_inp_pump', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_est_y1', 'v_edit_inp_pump', 'est_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_est_y2', 'v_edit_inp_pump', 'est_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_the_geom', 'v_edit_inp_pump', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_curve_id', 'v_edit_inp_pump', 'curve_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_status', 'v_edit_inp_pump', 'status', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_startup', 'v_edit_inp_pump', 'startup', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_shutoff', 'v_edit_inp_pump', 'shutoff', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_node_id', 'v_edit_inp_storage', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_top_elev', 'v_edit_inp_storage', 'top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_ymax', 'v_edit_inp_storage', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_sander', 'v_edit_inp_storage', 'sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_elev', 'v_edit_inp_storage', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_nodecat_id', 'v_edit_inp_storage', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_sector_id', 'v_edit_inp_storage', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_state', 'v_edit_inp_storage', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_annotation', 'v_edit_inp_storage', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_observ', 'v_edit_inp_storage', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_comment', 'v_edit_inp_storage', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_dma_id', 'v_edit_inp_storage', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_rotation', 'v_edit_inp_storage', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_link', 'v_edit_inp_storage', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_est_top_elev', 'v_edit_inp_storage', 'est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_est_ymax', 'v_edit_inp_storage', 'est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_verified', 'v_edit_inp_storage', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_the_geom', 'v_edit_inp_storage', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_storage_type', 'v_edit_inp_storage', 'storage_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_curve_id', 'v_edit_inp_storage', 'curve_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_a1', 'v_edit_inp_storage', 'a1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_a2', 'v_edit_inp_storage', 'a2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_a0', 'v_edit_inp_storage', 'a0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_fevap', 'v_edit_inp_storage', 'fevap', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_sh', 'v_edit_inp_storage', 'sh', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_hc', 'v_edit_inp_storage', 'hc', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_imd', 'v_edit_inp_storage', 'imd', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_arc_id', 'v_edit_inp_weir', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_y1', 'v_edit_inp_weir', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_y2', 'v_edit_inp_weir', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_arccat_id', 'v_edit_inp_weir', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_sector_id', 'v_edit_inp_weir', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_annotation', 'v_edit_inp_weir', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_observ', 'v_edit_inp_weir', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_comment', 'v_edit_inp_weir', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_dma_id', 'v_edit_inp_weir', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_custom_length', 'v_edit_inp_weir', 'custom_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_rotation', 'v_edit_inp_weir', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_link', 'v_edit_inp_weir', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_est_y1', 'v_edit_inp_weir', 'est_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_est_y2', 'v_edit_inp_weir', 'est_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_the_geom', 'v_edit_inp_weir', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_weir_type', 'v_edit_inp_weir', 'weir_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_offset', 'v_edit_inp_weir', 'offset', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_cd', 'v_edit_inp_weir', 'cd', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_ec', 'v_edit_inp_weir', 'ec', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_cd2', 'v_edit_inp_weir', 'cd2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_flap', 'v_edit_inp_weir', 'flap', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_geom1', 'v_edit_inp_weir', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_geom2', 'v_edit_inp_weir', 'geom2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_geom3', 'v_edit_inp_weir', 'geom3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_geom4', 'v_edit_inp_weir', 'geom4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_surcharge', 'v_edit_inp_weir', 'surcharge', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_link_link_id', 'v_edit_link', 'link_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_link_connec_id', 'v_edit_link', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_link_vnode_id', 'v_edit_link', 'vnode_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_link_gis_length', 'v_edit_link', 'gis_length', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_link_custom_length', 'v_edit_link', 'custom_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_link_connecat_id', 'v_edit_link', 'connecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_link_the_geom', 'v_edit_link', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_node_id', 'v_edit_man_chamber', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_top_elev', 'v_edit_man_chamber', 'chamber_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_ymax', 'v_edit_man_chamber', 'chamber_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_sander', 'v_edit_man_chamber', 'chamber_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_elev', 'v_edit_man_chamber', 'chamber_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_node_type', 'v_edit_man_chamber', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_nodecat_id', 'v_edit_man_chamber', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_epa_type', 'v_edit_man_chamber', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_sector_id', 'v_edit_man_chamber', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_state', 'v_edit_man_chamber', 'chamber_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_annotation', 'v_edit_man_chamber', 'chamber_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_observ', 'v_edit_man_chamber', 'chamber_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_comment', 'v_edit_man_chamber', 'chamber_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_dma_id', 'v_edit_man_chamber', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_soilcat_id', 'v_edit_man_chamber', 'chamber_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_category_type', 'v_edit_man_chamber', 'chamber_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_fluid_type', 'v_edit_man_chamber', 'chamber_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_location_type', 'v_edit_man_chamber', 'chamber_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_workcat_id', 'v_edit_man_chamber', 'chamber_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_buildercat_id', 'v_edit_man_chamber', 'chamber_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_builtdate', 'v_edit_man_chamber', 'chamber_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_ownercat_id', 'v_edit_man_chamber', 'chamber_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_adress_01', 'v_edit_man_chamber', 'chamber_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_adress_02', 'v_edit_man_chamber', 'chamber_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_adress_03', 'v_edit_man_chamber', 'chamber_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_descript', 'v_edit_man_chamber', 'chamber_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_est_top_elev', 'v_edit_man_chamber', 'chamber_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_est_ymax', 'v_edit_man_chamber', 'chamber_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_rotation', 'v_edit_man_chamber', 'chamber_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_link', 'v_edit_man_chamber', 'chamber_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_verified', 'v_edit_man_chamber', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_the_geom', 'v_edit_man_chamber', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_workcat_id_end', 'v_edit_man_chamber', 'chamber_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_undelete', 'v_edit_man_chamber', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_label_x', 'v_edit_man_chamber', 'chamber_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_label_y', 'v_edit_man_chamber', 'chamber_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_label_rotation', 'v_edit_man_chamber', 'chamber_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_add_info', 'v_edit_man_chamber', 'chamber_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_id', 'v_edit_man_chamber', 'pol_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_total_volume', 'v_edit_man_chamber', 'chamber_total_volume', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_total_height', 'v_edit_man_chamber', 'chamber_total_height', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_total_length', 'v_edit_man_chamber', 'chamber_total_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_total_width', 'v_edit_man_chamber', 'chamber_total_width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_chamber_name', 'v_edit_man_chamber', 'chamber_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_pol_id', 'v_edit_man_chamber_pol', 'pol_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_node_id', 'v_edit_man_chamber_pol', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_top_elev', 'v_edit_man_chamber_pol', 'chamber_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_ymax', 'v_edit_man_chamber_pol', 'chamber_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_sander', 'v_edit_man_chamber_pol', 'chamber_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_elev', 'v_edit_man_chamber_pol', 'chamber_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_node_type', 'v_edit_man_chamber_pol', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_nodecat_id', 'v_edit_man_chamber_pol', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_epa_type', 'v_edit_man_chamber_pol', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_sector_id', 'v_edit_man_chamber_pol', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_state', 'v_edit_man_chamber_pol', 'chamber_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_annotation', 'v_edit_man_chamber_pol', 'chamber_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_observ', 'v_edit_man_chamber_pol', 'chamber_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_comment', 'v_edit_man_chamber_pol', 'chamber_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_dma_id', 'v_edit_man_chamber_pol', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_soilcat_id', 'v_edit_man_chamber_pol', 'chamber_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_category_type', 'v_edit_man_chamber_pol', 'chamber_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_fluid_type', 'v_edit_man_chamber_pol', 'chamber_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_location_type', 'v_edit_man_chamber_pol', 'chamber_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_workcat_id', 'v_edit_man_chamber_pol', 'chamber_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_buildercat_id', 'v_edit_man_chamber_pol', 'chamber_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_builtdate', 'v_edit_man_chamber_pol', 'chamber_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_ownercat_id', 'v_edit_man_chamber_pol', 'chamber_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_adress_01', 'v_edit_man_chamber_pol', 'chamber_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_adress_02', 'v_edit_man_chamber_pol', 'chamber_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_adress_03', 'v_edit_man_chamber_pol', 'chamber_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_descript', 'v_edit_man_chamber_pol', 'chamber_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_est_top_elev', 'v_edit_man_chamber_pol', 'chamber_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_est_ymax', 'v_edit_man_chamber_pol', 'chamber_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_rotation', 'v_edit_man_chamber_pol', 'chamber_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_link', 'v_edit_man_chamber_pol', 'chamber_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_verified', 'v_edit_man_chamber_pol', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_the_geom', 'v_edit_man_chamber_pol', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_workcat_id_end', 'v_edit_man_chamber_pol', 'chamber_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_undelete', 'v_edit_man_chamber_pol', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_label_x', 'v_edit_man_chamber_pol', 'chamber_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_label_y', 'v_edit_man_chamber_pol', 'chamber_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_label_rotation', 'v_edit_man_chamber_pol', 'chamber_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_add_info', 'v_edit_man_chamber_pol', 'chamber_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_total_volume', 'v_edit_man_chamber_pol', 'chamber_total_volume', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_total_height', 'v_edit_man_chamber_pol', 'chamber_total_height', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_total_length', 'v_edit_man_chamber_pol', 'chamber_total_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_total_width', 'v_edit_man_chamber_pol', 'chamber_total_width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_chamber_pol_chamber_name', 'v_edit_man_chamber_pol', 'chamber_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_arc_id', 'v_edit_man_conduit', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_node_1', 'v_edit_man_conduit', 'conduit_node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_node_2', 'v_edit_man_conduit', 'conduit_node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_y1', 'v_edit_man_conduit', 'conduit_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_y2', 'v_edit_man_conduit', 'conduit_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_z1', 'v_edit_man_conduit', 'conduit_z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_z2', 'v_edit_man_conduit', 'conduit_z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_r1', 'v_edit_man_conduit', 'conduit_r1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_r2', 'v_edit_man_conduit', 'conduit_r2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_slope', 'v_edit_man_conduit', 'conduit_slope', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_arc_type', 'v_edit_man_conduit', 'arc_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_arccat_id', 'v_edit_man_conduit', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_cat_matcat_id', 'v_edit_man_conduit', 'cat_matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_cat_shape', 'v_edit_man_conduit', 'conduit_cat_shape', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_cat_geom1', 'v_edit_man_conduit', 'conduit_cat_geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_cat_width', 'v_edit_man_conduit', 'conduit_cat_width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_gis_length', 'v_edit_man_conduit', 'conduit_gis_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_epa_type', 'v_edit_man_conduit', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_sector_id', 'v_edit_man_conduit', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_state', 'v_edit_man_conduit', 'conduit_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_annotation', 'v_edit_man_conduit', 'conduit_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_observ', 'v_edit_man_conduit', 'conduit_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_label_x', 'v_edit_man_connec', 'label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_comment', 'v_edit_man_conduit', 'conduit_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_inverted_slope', 'v_edit_man_conduit', 'conduit_inverted_slope', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_custom_length', 'v_edit_man_conduit', 'conduit_custom_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_dma_id', 'v_edit_man_conduit', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_soilcat_id', 'v_edit_man_conduit', 'conduit_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_category_type', 'v_edit_man_conduit', 'conduit_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_fluid_type', 'v_edit_man_conduit', 'conduit_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_location_type', 'v_edit_man_conduit', 'conduit_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_workcat_id', 'v_edit_man_conduit', 'conduit_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_buildercat_id', 'v_edit_man_conduit', 'conduit_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_builtdate', 'v_edit_man_conduit', 'conduit_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_ownercat_id', 'v_edit_man_conduit', 'conduit_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_adress_01', 'v_edit_man_conduit', 'conduit_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_adress_02', 'v_edit_man_conduit', 'conduit_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_adress_03', 'v_edit_man_conduit', 'conduit_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_descript', 'v_edit_man_conduit', 'conduit_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_cat_svg', 'v_edit_man_conduit', 'conduit_cat_svg', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_est_y1', 'v_edit_man_conduit', 'conduit_est_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_est_y2', 'v_edit_man_conduit', 'conduit_est_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_rotation', 'v_edit_man_conduit', 'conduit_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_link', 'v_edit_man_conduit', 'conduit_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_verified', 'v_edit_man_conduit', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_the_geom', 'v_edit_man_conduit', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_elev1', 'v_edit_man_conduit', 'conduit_elev1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_elev2', 'v_edit_man_conduit', 'conduit_elev2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_workcat_id_end', 'v_edit_man_conduit', 'conduit_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_undelete', 'v_edit_man_conduit', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_label_x', 'v_edit_man_conduit', 'conduit_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_label_y', 'v_edit_man_conduit', 'conduit_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_label_rotation', 'v_edit_man_conduit', 'conduit_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_conduit_conduit_add_info', 'v_edit_man_conduit', 'conduit_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_connec_id', 'v_edit_man_connec', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_top_elev', 'v_edit_man_connec', 'top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_ymax', 'v_edit_man_connec', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_connec_type', 'v_edit_man_connec', 'connec_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_connecat_id', 'v_edit_man_connec', 'connecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_cat_matcat_id', 'v_edit_man_connec', 'cat_matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_sector_id', 'v_edit_man_connec', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_code', 'v_edit_man_connec', 'code', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_n_hydrometer', 'v_edit_man_connec', 'n_hydrometer', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_demand', 'v_edit_man_connec', 'demand', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_state', 'v_edit_man_connec', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_annotation', 'v_edit_man_connec', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_observ', 'v_edit_man_connec', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_comment', 'v_edit_man_connec', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_dma_id', 'v_edit_man_connec', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_soilcat_id', 'v_edit_man_connec', 'soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_category_type', 'v_edit_man_connec', 'category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_fluid_type', 'v_edit_man_connec', 'fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_location_type', 'v_edit_man_connec', 'location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_workcat_id', 'v_edit_man_connec', 'workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_buildercat_id', 'v_edit_man_connec', 'buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_builtdate', 'v_edit_man_connec', 'builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_ownercat_id', 'v_edit_man_connec', 'ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_adress_01', 'v_edit_man_connec', 'adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_adress_02', 'v_edit_man_connec', 'adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_adress_03', 'v_edit_man_connec', 'adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_streetaxis_id', 'v_edit_man_connec', 'streetaxis_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_streetname', 'v_edit_man_connec', 'streetname', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_postnumber', 'v_edit_man_connec', 'postnumber', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_descript', 'v_edit_man_connec', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_arc_id', 'v_edit_man_connec', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_cat_svg', 'v_edit_man_connec', 'cat_svg', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_rotation', 'v_edit_man_connec', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_link', 'v_edit_man_connec', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_verified', 'v_edit_man_connec', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_the_geom', 'v_edit_man_connec', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_workcat_id_end', 'v_edit_man_connec', 'workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_y1', 'v_edit_man_connec', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_y2', 'v_edit_man_connec', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_undelete', 'v_edit_man_connec', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_featurecat_id', 'v_edit_man_connec', 'featurecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_feature_id', 'v_edit_man_connec', 'feature_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_private_connecat_id', 'v_edit_man_connec', 'private_connecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_label_y', 'v_edit_man_connec', 'label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_label_rotation', 'v_edit_man_connec', 'label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_accessibility', 'v_edit_man_connec', 'accessibility', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_connec_diagonal', 'v_edit_man_connec', 'diagonal', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_gully_id', 'v_edit_man_gully', 'gully_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_top_elev', 'v_edit_man_gully', 'top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_ymax', 'v_edit_man_gully', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_gratecat_id', 'v_edit_man_gully', 'gratecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_cat_grate_type', 'v_edit_man_gully', 'cat_grate_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_cat_grate_matcat', 'v_edit_man_gully', 'cat_grate_matcat', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_sandbox', 'v_edit_man_gully', 'sandbox', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_matcat_id', 'v_edit_man_gully', 'matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_units', 'v_edit_man_gully', 'units', 'smallint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_groove', 'v_edit_man_gully', 'groove', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_arccat_id', 'v_edit_man_gully', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_siphon', 'v_edit_man_gully', 'siphon', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_arc_id', 'v_edit_man_gully', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_sector_id', 'v_edit_man_gully', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_state', 'v_edit_man_gully', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_annotation', 'v_edit_man_gully', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_observ', 'v_edit_man_gully', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_comment', 'v_edit_man_gully', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_dma_id', 'v_edit_man_gully', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_soilcat_id', 'v_edit_man_gully', 'soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_category_type', 'v_edit_man_gully', 'category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_fluid_type', 'v_edit_man_gully', 'fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_location_type', 'v_edit_man_gully', 'location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_workcat_id', 'v_edit_man_gully', 'workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_buildercat_id', 'v_edit_man_gully', 'buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_builtdate', 'v_edit_man_gully', 'builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_ownercat_id', 'v_edit_man_gully', 'ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_adress_01', 'v_edit_man_gully', 'adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_adress_02', 'v_edit_man_gully', 'adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_adress_03', 'v_edit_man_gully', 'adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_descript', 'v_edit_man_gully', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_cat_svg', 'v_edit_man_gully', 'cat_svg', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_rotation', 'v_edit_man_gully', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_link', 'v_edit_man_gully', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_verified', 'v_edit_man_gully', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_the_geom', 'v_edit_man_gully', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_undelete', 'v_edit_man_gully', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_workcat_id_end', 'v_edit_man_gully', 'workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_featurecat_id', 'v_edit_man_gully', 'featurecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_feature_id', 'v_edit_man_gully', 'feature_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_label_x', 'v_edit_man_gully', 'label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_label_y', 'v_edit_man_gully', 'label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_gully_label_rotation', 'v_edit_man_gully', 'label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_node_id', 'v_edit_man_junction', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_top_elev', 'v_edit_man_junction', 'junction_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_ymax', 'v_edit_man_junction', 'junction_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_sander', 'v_edit_man_junction', 'junction_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_elev', 'v_edit_man_junction', 'junction_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_node_type', 'v_edit_man_junction', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_nodecat_id', 'v_edit_man_junction', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_epa_type', 'v_edit_man_junction', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_sector_id', 'v_edit_man_junction', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_state', 'v_edit_man_junction', 'junction_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_annotation', 'v_edit_man_junction', 'junction_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_observ', 'v_edit_man_junction', 'junction_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_comment', 'v_edit_man_junction', 'junction_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_dma_id', 'v_edit_man_junction', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_soilcat_id', 'v_edit_man_junction', 'junction_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_category_type', 'v_edit_man_junction', 'junction_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_fluid_type', 'v_edit_man_junction', 'junction_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_location_type', 'v_edit_man_junction', 'junction_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_workcat_id', 'v_edit_man_junction', 'junction_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_buildercat_id', 'v_edit_man_junction', 'junction_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_builtdate', 'v_edit_man_junction', 'junction_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_ownercat_id', 'v_edit_man_junction', 'junction_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_adress_01', 'v_edit_man_junction', 'junction_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_adress_02', 'v_edit_man_junction', 'junction_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_adress_03', 'v_edit_man_junction', 'junction_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_descript', 'v_edit_man_junction', 'junction_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_est_top_elev', 'v_edit_man_junction', 'junction_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_est_ymax', 'v_edit_man_junction', 'junction_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_rotation', 'v_edit_man_junction', 'junction_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_link', 'v_edit_man_junction', 'junction_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_verified', 'v_edit_man_junction', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_the_geom', 'v_edit_man_junction', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_workcat_id_end', 'v_edit_man_junction', 'junction_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_undelete', 'v_edit_man_junction', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_label_x', 'v_edit_man_junction', 'junction_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_label_y', 'v_edit_man_junction', 'junction_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_label_rotation', 'v_edit_man_junction', 'junction_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_junction_junction_add_info', 'v_edit_man_junction', 'junction_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_node_id', 'v_edit_man_manhole', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_top_elev', 'v_edit_man_manhole', 'manhole_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_ymax', 'v_edit_man_manhole', 'manhole_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_sander', 'v_edit_man_manhole', 'manhole_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_elev', 'v_edit_man_manhole', 'manhole_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_node_type', 'v_edit_man_manhole', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_nodecat_id', 'v_edit_man_manhole', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_epa_type', 'v_edit_man_manhole', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_sector_id', 'v_edit_man_manhole', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_state', 'v_edit_man_manhole', 'manhole_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_annotation', 'v_edit_man_manhole', 'manhole_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_observ', 'v_edit_man_manhole', 'manhole_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_comment', 'v_edit_man_manhole', 'manhole_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_dma_id', 'v_edit_man_manhole', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_soilcat_id', 'v_edit_man_manhole', 'manhole_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_category_type', 'v_edit_man_manhole', 'manhole_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_fluid_type', 'v_edit_man_manhole', 'manhole_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_location_type', 'v_edit_man_manhole', 'manhole_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_workcat_id', 'v_edit_man_manhole', 'manhole_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_buildercat_id', 'v_edit_man_manhole', 'manhole_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_builtdate', 'v_edit_man_manhole', 'manhole_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_ownercat_id', 'v_edit_man_manhole', 'manhole_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_adress_01', 'v_edit_man_manhole', 'manhole_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_adress_02', 'v_edit_man_manhole', 'manhole_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_adress_03', 'v_edit_man_manhole', 'manhole_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_descript', 'v_edit_man_manhole', 'manhole_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_est_top_elev', 'v_edit_man_manhole', 'manhole_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_est_ymax', 'v_edit_man_manhole', 'manhole_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_rotation', 'v_edit_man_manhole', 'manhole_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_link', 'v_edit_man_manhole', 'manhole_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_verified', 'v_edit_man_manhole', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_the_geom', 'v_edit_man_manhole', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_workcat_id_end', 'v_edit_man_manhole', 'manhole_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_undelete', 'v_edit_man_manhole', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_label_x', 'v_edit_man_manhole', 'manhole_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_label_y', 'v_edit_man_manhole', 'manhole_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_label_rotation', 'v_edit_man_manhole', 'manhole_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_add_info', 'v_edit_man_manhole', 'manhole_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_sander_depth', 'v_edit_man_manhole', 'manhole_sander_depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_manhole_manhole_prot_surface', 'v_edit_man_manhole', 'manhole_prot_surface', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_node_id', 'v_edit_man_netgully', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_top_elev', 'v_edit_man_netgully', 'netgully_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_ymax', 'v_edit_man_netgully', 'netgully_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_sander', 'v_edit_man_netgully', 'netgully_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_elev', 'v_edit_man_netgully', 'netgully_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_node_type', 'v_edit_man_netgully', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_nodecat_id', 'v_edit_man_netgully', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_epa_type', 'v_edit_man_netgully', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_sector_id', 'v_edit_man_netgully', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_state', 'v_edit_man_netgully', 'netgully_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_annotation', 'v_edit_man_netgully', 'netgully_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_observ', 'v_edit_man_netgully', 'netgully_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_comment', 'v_edit_man_netgully', 'netgully_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_dma_id', 'v_edit_man_netgully', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_soilcat_id', 'v_edit_man_netgully', 'netgully_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_category_type', 'v_edit_man_netgully', 'netgully_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_fluid_type', 'v_edit_man_netgully', 'netgully_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_location_type', 'v_edit_man_netgully', 'netgully_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_workcat_id', 'v_edit_man_netgully', 'netgully_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_buildercat_id', 'v_edit_man_netgully', 'netgully_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_builtdate', 'v_edit_man_netgully', 'netgully_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_ownercat_id', 'v_edit_man_netgully', 'netgully_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_adress_01', 'v_edit_man_netgully', 'netgully_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_adress_02', 'v_edit_man_netgully', 'netgully_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_adress_03', 'v_edit_man_netgully', 'netgully_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_descript', 'v_edit_man_netgully', 'netgully_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_est_top_elev', 'v_edit_man_netgully', 'netgully_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_est_ymax', 'v_edit_man_netgully', 'netgully_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_rotation', 'v_edit_man_netgully', 'netgully_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_link', 'v_edit_man_netgully', 'netgully_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_verified', 'v_edit_man_netgully', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_the_geom', 'v_edit_man_netgully', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_workcat_id_end', 'v_edit_man_netgully', 'netgully_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_undelete', 'v_edit_man_netgully', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_label_x', 'v_edit_man_netgully', 'netgully_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_label_y', 'v_edit_man_netgully', 'netgully_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_label_rotation', 'v_edit_man_netgully', 'netgully_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_netgully_add_info', 'v_edit_man_netgully', 'netgully_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_id', 'v_edit_man_netgully', 'pol_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_pol_id', 'v_edit_man_netgully_pol', 'pol_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_node_id', 'v_edit_man_netgully_pol', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_top_elev', 'v_edit_man_netgully_pol', 'netgully_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_ymax', 'v_edit_man_netgully_pol', 'netgully_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_sander', 'v_edit_man_netgully_pol', 'netgully_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_elev', 'v_edit_man_netgully_pol', 'netgully_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_node_type', 'v_edit_man_netgully_pol', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_nodecat_id', 'v_edit_man_netgully_pol', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_epa_type', 'v_edit_man_netgully_pol', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_sector_id', 'v_edit_man_netgully_pol', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_state', 'v_edit_man_netgully_pol', 'netgully_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_annotation', 'v_edit_man_netgully_pol', 'netgully_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_observ', 'v_edit_man_netgully_pol', 'netgully_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_comment', 'v_edit_man_netgully_pol', 'netgully_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_dma_id', 'v_edit_man_netgully_pol', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_soilcat_id', 'v_edit_man_netgully_pol', 'netgully_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_category_type', 'v_edit_man_netgully_pol', 'netgully_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_fluid_type', 'v_edit_man_netgully_pol', 'netgully_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_location_type', 'v_edit_man_netgully_pol', 'netgully_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_workcat_id', 'v_edit_man_netgully_pol', 'netgully_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_buildercat_id', 'v_edit_man_netgully_pol', 'netgully_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_builtdate', 'v_edit_man_netgully_pol', 'netgully_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_ownercat_id', 'v_edit_man_netgully_pol', 'netgully_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_adress_01', 'v_edit_man_netgully_pol', 'netgully_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_adress_02', 'v_edit_man_netgully_pol', 'netgully_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_adress_03', 'v_edit_man_netgully_pol', 'netgully_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_descript', 'v_edit_man_netgully_pol', 'netgully_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_est_top_elev', 'v_edit_man_netgully_pol', 'netgully_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_est_ymax', 'v_edit_man_netgully_pol', 'netgully_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_rotation', 'v_edit_man_netgully_pol', 'netgully_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_link', 'v_edit_man_netgully_pol', 'netgully_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_verified', 'v_edit_man_netgully_pol', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_the_geom', 'v_edit_man_netgully_pol', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_workcat_id_end', 'v_edit_man_netgully_pol', 'netgully_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_undelete', 'v_edit_man_netgully_pol', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_label_x', 'v_edit_man_netgully_pol', 'netgully_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_label_y', 'v_edit_man_netgully_pol', 'netgully_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_label_rotation', 'v_edit_man_netgully_pol', 'netgully_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netgully_pol_netgully_add_info', 'v_edit_man_netgully_pol', 'netgully_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_node_id', 'v_edit_man_netinit', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_top_elev', 'v_edit_man_netinit', 'netinit_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_ymax', 'v_edit_man_netinit', 'netinit_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_sander', 'v_edit_man_netinit', 'netinit_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_elev', 'v_edit_man_netinit', 'netinit_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_node_type', 'v_edit_man_netinit', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_nodecat_id', 'v_edit_man_netinit', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_epa_type', 'v_edit_man_netinit', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_sector_id', 'v_edit_man_netinit', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_state', 'v_edit_man_netinit', 'netinit_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_annotation', 'v_edit_man_netinit', 'netinit_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_observ', 'v_edit_man_netinit', 'netinit_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_comment', 'v_edit_man_netinit', 'netinit_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_dma_id', 'v_edit_man_netinit', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_soilcat_id', 'v_edit_man_netinit', 'netinit_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_category_type', 'v_edit_man_netinit', 'netinit_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_fluid_type', 'v_edit_man_netinit', 'netinit_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_location_type', 'v_edit_man_netinit', 'netinit_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_workcat_id', 'v_edit_man_netinit', 'netinit_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_buildercat_id', 'v_edit_man_netinit', 'netinit_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_builtdate', 'v_edit_man_netinit', 'netinit_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_ownercat_id', 'v_edit_man_netinit', 'netinit_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_adress_01', 'v_edit_man_netinit', 'netinit_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_adress_02', 'v_edit_man_netinit', 'netinit_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_adress_03', 'v_edit_man_netinit', 'netinit_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_descript', 'v_edit_man_netinit', 'netinit_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_est_top_elev', 'v_edit_man_netinit', 'netinit_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_est_ymax', 'v_edit_man_netinit', 'netinit_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_rotation', 'v_edit_man_netinit', 'netinit_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_link', 'v_edit_man_netinit', 'netinit_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_verified', 'v_edit_man_netinit', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_the_geom', 'v_edit_man_netinit', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_workcat_id_end', 'v_edit_man_netinit', 'netinit_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_undelete', 'v_edit_man_netinit', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_label_x', 'v_edit_man_netinit', 'netinit_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_label_y', 'v_edit_man_netinit', 'netinit_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_label_rotation', 'v_edit_man_netinit', 'netinit_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_add_info', 'v_edit_man_netinit', 'netinit_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_mheight', 'v_edit_man_netinit', 'netinit_mheight', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_mlength', 'v_edit_man_netinit', 'netinit_mlength', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_mwidth', 'v_edit_man_netinit', 'netinit_mwidth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_netinit_netinit_name', 'v_edit_man_netinit', 'netinit_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_node_id', 'v_edit_man_outfall', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_top_elev', 'v_edit_man_outfall', 'outfall_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_ymax', 'v_edit_man_outfall', 'outfall_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_sander', 'v_edit_man_outfall', 'outfall_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_elev', 'v_edit_man_outfall', 'outfall_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_node_type', 'v_edit_man_outfall', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_nodecat_id', 'v_edit_man_outfall', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_epa_type', 'v_edit_man_outfall', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_sector_id', 'v_edit_man_outfall', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_state', 'v_edit_man_outfall', 'outfall_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_annotation', 'v_edit_man_outfall', 'outfall_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_observ', 'v_edit_man_outfall', 'outfall_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_comment', 'v_edit_man_outfall', 'outfall_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_dma_id', 'v_edit_man_outfall', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_soilcat_id', 'v_edit_man_outfall', 'outfall_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_category_type', 'v_edit_man_outfall', 'outfall_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_fluid_type', 'v_edit_man_outfall', 'outfall_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_location_type', 'v_edit_man_outfall', 'outfall_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_workcat_id', 'v_edit_man_outfall', 'outfall_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_buildercat_id', 'v_edit_man_outfall', 'outfall_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_builtdate', 'v_edit_man_outfall', 'outfall_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_ownercat_id', 'v_edit_man_outfall', 'outfall_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_adress_01', 'v_edit_man_outfall', 'outfall_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_adress_02', 'v_edit_man_outfall', 'outfall_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_adress_03', 'v_edit_man_outfall', 'outfall_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_descript', 'v_edit_man_outfall', 'outfall_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_est_top_elev', 'v_edit_man_outfall', 'outfall_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_est_ymax', 'v_edit_man_outfall', 'outfall_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_rotation', 'v_edit_man_outfall', 'outfall_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_link', 'v_edit_man_outfall', 'outfall_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_verified', 'v_edit_man_outfall', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_the_geom', 'v_edit_man_outfall', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_workcat_id_end', 'v_edit_man_outfall', 'outfall_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_undelete', 'v_edit_man_outfall', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_label_x', 'v_edit_man_outfall', 'outfall_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_label_y', 'v_edit_man_outfall', 'outfall_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_label_rotation', 'v_edit_man_outfall', 'outfall_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_add_info', 'v_edit_man_outfall', 'outfall_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_outfall_outfall_name', 'v_edit_man_outfall', 'outfall_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_gully_id', 'v_edit_man_pgully', 'gully_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_top_elev', 'v_edit_man_pgully', 'top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_ymax', 'v_edit_man_pgully', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_gratecat_id', 'v_edit_man_pgully', 'gratecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_cat_grate_type', 'v_edit_man_pgully', 'cat_grate_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_cat_grate_matcat', 'v_edit_man_pgully', 'cat_grate_matcat', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_sandbox', 'v_edit_man_pgully', 'sandbox', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_matcat_id', 'v_edit_man_pgully', 'matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_units', 'v_edit_man_pgully', 'units', 'smallint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_groove', 'v_edit_man_pgully', 'groove', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_siphon', 'v_edit_man_pgully', 'siphon', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_arccat_id', 'v_edit_man_pgully', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_arc_id', 'v_edit_man_pgully', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_sector_id', 'v_edit_man_pgully', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_state', 'v_edit_man_pgully', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_annotation', 'v_edit_man_pgully', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_observ', 'v_edit_man_pgully', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_comment', 'v_edit_man_pgully', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_dma_id', 'v_edit_man_pgully', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_soilcat_id', 'v_edit_man_pgully', 'soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_category_type', 'v_edit_man_pgully', 'category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_fluid_type', 'v_edit_man_pgully', 'fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_location_type', 'v_edit_man_pgully', 'location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_workcat_id', 'v_edit_man_pgully', 'workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_buildercat_id', 'v_edit_man_pgully', 'buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_builtdate', 'v_edit_man_pgully', 'builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_ownercat_id', 'v_edit_man_pgully', 'ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_adress_01', 'v_edit_man_pgully', 'adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_adress_02', 'v_edit_man_pgully', 'adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_adress_03', 'v_edit_man_pgully', 'adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_descript', 'v_edit_man_pgully', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_cat_svg', 'v_edit_man_pgully', 'cat_svg', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_rotation', 'v_edit_man_pgully', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_link', 'v_edit_man_pgully', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_verified', 'v_edit_man_pgully', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_the_geom', 'v_edit_man_pgully', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_undelete', 'v_edit_man_pgully', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_workcat_id_end', 'v_edit_man_pgully', 'workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_featurecat_id', 'v_edit_man_pgully', 'featurecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_feature_id', 'v_edit_man_pgully', 'feature_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_label_x', 'v_edit_man_pgully', 'label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_label_y', 'v_edit_man_pgully', 'label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_pgully_label_rotation', 'v_edit_man_pgully', 'label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_arc_id', 'v_edit_man_siphon', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_node_1', 'v_edit_man_siphon', 'siphon_node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_node_2', 'v_edit_man_siphon', 'siphon_node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_y1', 'v_edit_man_siphon', 'siphon_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_y2', 'v_edit_man_siphon', 'siphon_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_z1', 'v_edit_man_siphon', 'siphon_z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_z2', 'v_edit_man_siphon', 'siphon_z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_r1', 'v_edit_man_siphon', 'siphon_r1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_r2', 'v_edit_man_siphon', 'siphon_r2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_slope', 'v_edit_man_siphon', 'siphon_slope', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_arc_type', 'v_edit_man_siphon', 'arc_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_arccat_id', 'v_edit_man_siphon', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_cat_matcat_id', 'v_edit_man_siphon', 'cat_matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_cat_shape', 'v_edit_man_siphon', 'siphon_cat_shape', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_cat_geom1', 'v_edit_man_siphon', 'siphon_cat_geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_cat_width', 'v_edit_man_siphon', 'siphon_cat_width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_gis_length', 'v_edit_man_siphon', 'siphon_gis_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_epa_type', 'v_edit_man_siphon', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_sector_id', 'v_edit_man_siphon', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_state', 'v_edit_man_siphon', 'siphon_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_annotation', 'v_edit_man_siphon', 'siphon_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_observ', 'v_edit_man_siphon', 'siphon_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_comment', 'v_edit_man_siphon', 'siphon_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_inverted_slope', 'v_edit_man_siphon', 'siphon_inverted_slope', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_custom_length', 'v_edit_man_siphon', 'siphon_custom_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_dma_id', 'v_edit_man_siphon', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_soilcat_id', 'v_edit_man_siphon', 'siphon_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_category_type', 'v_edit_man_siphon', 'siphon_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_fluid_type', 'v_edit_man_siphon', 'siphon_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_location_type', 'v_edit_man_siphon', 'siphon_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_workcat_id', 'v_edit_man_siphon', 'siphon_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_sector_id', 'v_inp_conduit_cu', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_buildercat_id', 'v_edit_man_siphon', 'siphon_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_builtdate', 'v_edit_man_siphon', 'siphon_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_ownercat_id', 'v_edit_man_siphon', 'siphon_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_adress_01', 'v_edit_man_siphon', 'siphon_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_adress_02', 'v_edit_man_siphon', 'siphon_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_adress_03', 'v_edit_man_siphon', 'siphon_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_descript', 'v_edit_man_siphon', 'siphon_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_cat_svg', 'v_edit_man_siphon', 'siphon_cat_svg', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_est_y1', 'v_edit_man_siphon', 'siphon_est_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_est_y2', 'v_edit_man_siphon', 'siphon_est_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_rotation', 'v_edit_man_siphon', 'siphon_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_link', 'v_edit_man_siphon', 'siphon_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_verified', 'v_edit_man_siphon', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_the_geom', 'v_edit_man_siphon', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_elev1', 'v_edit_man_siphon', 'siphon_elev1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_elev2', 'v_edit_man_siphon', 'siphon_elev2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_workcat_id_end', 'v_edit_man_siphon', 'siphon_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_undelete', 'v_edit_man_siphon', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_label_x', 'v_edit_man_siphon', 'siphon_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_label_y', 'v_edit_man_siphon', 'siphon_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_label_rotation', 'v_edit_man_siphon', 'siphon_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_add_info', 'v_edit_man_siphon', 'siphon_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_security_bar', 'v_edit_man_siphon', 'siphon_security_bar', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_steps', 'v_edit_man_siphon', 'siphon_steps', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_siphon_siphon_name', 'v_edit_man_siphon', 'siphon_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_node_id', 'v_edit_man_storage', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_top_elev', 'v_edit_man_storage', 'storage_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_ymax', 'v_edit_man_storage', 'storage_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_sander', 'v_edit_man_storage', 'storage_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_elev', 'v_edit_man_storage', 'storage_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_node_type', 'v_edit_man_storage', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_nodecat_id', 'v_edit_man_storage', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_epa_type', 'v_edit_man_storage', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_sector_id', 'v_edit_man_storage', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_state', 'v_edit_man_storage', 'storage_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_annotation', 'v_edit_man_storage', 'storage_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_observ', 'v_edit_man_storage', 'storage_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_comment', 'v_edit_man_storage', 'storage_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_dma_id', 'v_edit_man_storage', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_soilcat_id', 'v_edit_man_storage', 'storage_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_category_type', 'v_edit_man_storage', 'storage_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_fluid_type', 'v_edit_man_storage', 'storage_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_location_type', 'v_edit_man_storage', 'storage_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_workcat_id', 'v_edit_man_storage', 'storage_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_buildercat_id', 'v_edit_man_storage', 'storage_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_builtdate', 'v_edit_man_storage', 'storage_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_ownercat_id', 'v_edit_man_storage', 'storage_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_adress_01', 'v_edit_man_storage', 'storage_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_adress_02', 'v_edit_man_storage', 'storage_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_adress_03', 'v_edit_man_storage', 'storage_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_descript', 'v_edit_man_storage', 'storage_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_est_top_elev', 'v_edit_man_storage', 'storage_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_est_ymax', 'v_edit_man_storage', 'storage_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_rotation', 'v_edit_man_storage', 'storage_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_link', 'v_edit_man_storage', 'storage_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_verified', 'v_edit_man_storage', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_the_geom', 'v_edit_man_storage', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_workcat_id_end', 'v_edit_man_storage', 'storage_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_undelete', 'v_edit_man_storage', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_label_x', 'v_edit_man_storage', 'storage_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_label_y', 'v_edit_man_storage', 'storage_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_label_rotation', 'v_edit_man_storage', 'storage_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_add_info', 'v_edit_man_storage', 'storage_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_total_volume', 'v_edit_man_storage', 'storage_total_volume', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_util_volume', 'v_edit_man_storage', 'storage_util_volume', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_min_height', 'v_edit_man_storage', 'storage_min_height', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_total_height', 'v_edit_man_storage', 'storage_total_height', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_total_length', 'v_edit_man_storage', 'storage_total_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_total_width', 'v_edit_man_storage', 'storage_total_width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_id', 'v_edit_man_storage', 'pol_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_storage_name', 'v_edit_man_storage', 'storage_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_pol_id', 'v_edit_man_storage_pol', 'pol_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_node_id', 'v_edit_man_storage_pol', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_top_elev', 'v_edit_man_storage_pol', 'storage_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_ymax', 'v_edit_man_storage_pol', 'storage_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_sander', 'v_edit_man_storage_pol', 'storage_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_elev', 'v_edit_man_storage_pol', 'storage_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_node_type', 'v_edit_man_storage_pol', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_nodecat_id', 'v_edit_man_storage_pol', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_epa_type', 'v_edit_man_storage_pol', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_sector_id', 'v_edit_man_storage_pol', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_state', 'v_edit_man_storage_pol', 'storage_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_annotation', 'v_edit_man_storage_pol', 'storage_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_observ', 'v_edit_man_storage_pol', 'storage_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_comment', 'v_edit_man_storage_pol', 'storage_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_dma_id', 'v_edit_man_storage_pol', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_soilcat_id', 'v_edit_man_storage_pol', 'storage_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_category_type', 'v_edit_man_storage_pol', 'storage_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_fluid_type', 'v_edit_man_storage_pol', 'storage_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_location_type', 'v_edit_man_storage_pol', 'storage_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_workcat_id', 'v_edit_man_storage_pol', 'storage_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_buildercat_id', 'v_edit_man_storage_pol', 'storage_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_builtdate', 'v_edit_man_storage_pol', 'storage_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_ownercat_id', 'v_edit_man_storage_pol', 'storage_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_adress_01', 'v_edit_man_storage_pol', 'storage_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_adress_02', 'v_edit_man_storage_pol', 'storage_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_adress_03', 'v_edit_man_storage_pol', 'storage_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_descript', 'v_edit_man_storage_pol', 'storage_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_est_top_elev', 'v_edit_man_storage_pol', 'storage_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_est_ymax', 'v_edit_man_storage_pol', 'storage_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_rotation', 'v_edit_man_storage_pol', 'storage_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_link', 'v_edit_man_storage_pol', 'storage_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_verified', 'v_edit_man_storage_pol', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_the_geom', 'v_edit_man_storage_pol', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_workcat_id_end', 'v_edit_man_storage_pol', 'storage_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_undelete', 'v_edit_man_storage_pol', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_label_x', 'v_edit_man_storage_pol', 'storage_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_label_y', 'v_edit_man_storage_pol', 'storage_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_label_rotation', 'v_edit_man_storage_pol', 'storage_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_add_info', 'v_edit_man_storage_pol', 'storage_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_total_volume', 'v_edit_man_storage_pol', 'storage_total_volume', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_util_volume', 'v_edit_man_storage_pol', 'storage_util_volume', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_min_height', 'v_edit_man_storage_pol', 'storage_min_height', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_total_height', 'v_edit_man_storage_pol', 'storage_total_height', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_total_length', 'v_edit_man_storage_pol', 'storage_total_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_total_width', 'v_edit_man_storage_pol', 'storage_total_width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_storage_pol_storage_name', 'v_edit_man_storage_pol', 'storage_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_node_id', 'v_edit_man_valve', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_top_elev', 'v_edit_man_valve', 'valve_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_ymax', 'v_edit_man_valve', 'valve_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_sander', 'v_edit_man_valve', 'valve_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_elev', 'v_edit_man_valve', 'valve_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_node_type', 'v_edit_man_valve', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_nodecat_id', 'v_edit_man_valve', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_epa_type', 'v_edit_man_valve', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_sector_id', 'v_edit_man_valve', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_state', 'v_edit_man_valve', 'valve_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_annotation', 'v_edit_man_valve', 'valve_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_observ', 'v_edit_man_valve', 'valve_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_comment', 'v_edit_man_valve', 'valve_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_dma_id', 'v_edit_man_valve', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_soilcat_id', 'v_edit_man_valve', 'valve_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_category_type', 'v_edit_man_valve', 'valve_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_fluid_type', 'v_edit_man_valve', 'valve_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_location_type', 'v_edit_man_valve', 'valve_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_workcat_id', 'v_edit_man_valve', 'valve_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_buildercat_id', 'v_edit_man_valve', 'valve_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_builtdate', 'v_edit_man_valve', 'valve_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_ownercat_id', 'v_edit_man_valve', 'valve_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_adress_01', 'v_edit_man_valve', 'valve_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_adress_02', 'v_edit_man_valve', 'valve_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_adress_03', 'v_edit_man_valve', 'valve_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_descript', 'v_edit_man_valve', 'valve_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_est_top_elev', 'v_edit_man_valve', 'valve_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_est_ymax', 'v_edit_man_valve', 'valve_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_rotation', 'v_edit_man_valve', 'valve_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_link', 'v_edit_man_valve', 'valve_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_verified', 'v_edit_man_valve', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_the_geom', 'v_edit_man_valve', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_workcat_id_end', 'v_edit_man_valve', 'valve_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_undelete', 'v_edit_man_valve', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_label_x', 'v_edit_man_valve', 'valve_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_label_y', 'v_edit_man_valve', 'valve_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_label_rotation', 'v_edit_man_valve', 'valve_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_add_info', 'v_edit_man_valve', 'valve_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_valve_valve_name', 'v_edit_man_valve', 'valve_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_arc_id', 'v_edit_man_varc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_node_1', 'v_edit_man_varc', 'varc_node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_node_2', 'v_edit_man_varc', 'varc_node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_y1', 'v_edit_man_varc', 'varc_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_y2', 'v_edit_man_varc', 'varc_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_z1', 'v_edit_man_varc', 'varc_z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_z2', 'v_edit_man_varc', 'varc_z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_r1', 'v_edit_man_varc', 'varc_r1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_r2', 'v_edit_man_varc', 'varc_r2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_slope', 'v_edit_man_varc', 'varc_slope', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_arc_type', 'v_edit_man_varc', 'arc_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_arccat_id', 'v_edit_man_varc', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_cat_matcat_id', 'v_edit_man_varc', 'cat_matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_cat_shape', 'v_edit_man_varc', 'varc_cat_shape', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_cat_geom1', 'v_edit_man_varc', 'varc_cat_geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_gis_length', 'v_edit_man_varc', 'varc_gis_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_epa_type', 'v_edit_man_varc', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_sector_id', 'v_edit_man_varc', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_state', 'v_edit_man_varc', 'varc_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_annotation', 'v_edit_man_varc', 'varc_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_observ', 'v_edit_man_varc', 'varc_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_comment', 'v_edit_man_varc', 'varc_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_inverted_slope', 'v_edit_man_varc', 'varc_inverted_slope', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_custom_length', 'v_edit_man_varc', 'varc_custom_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_dma_id', 'v_edit_man_varc', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_soilcat_id', 'v_edit_man_varc', 'varc_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_category_type', 'v_edit_man_varc', 'varc_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_fluid_type', 'v_edit_man_varc', 'varc_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_location_type', 'v_edit_man_varc', 'varc_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_workcat_id', 'v_edit_man_varc', 'varc_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_buildercat_id', 'v_edit_man_varc', 'varc_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_builtdate', 'v_edit_man_varc', 'varc_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_ownercat_id', 'v_edit_man_varc', 'varc_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_adress_01', 'v_edit_man_varc', 'varc_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_adress_02', 'v_edit_man_varc', 'varc_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_adress_03', 'v_edit_man_varc', 'varc_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_descript', 'v_edit_man_varc', 'varc_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_cat_svg', 'v_edit_man_varc', 'varc_cat_svg', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_est_y1', 'v_edit_man_varc', 'varc_est_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_est_y2', 'v_edit_man_varc', 'varc_est_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_rotation', 'v_edit_man_varc', 'varc_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_link', 'v_edit_man_varc', 'varc_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_verified', 'v_edit_man_varc', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_the_geom', 'v_edit_man_varc', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_elev1', 'v_edit_man_varc', 'varc_elev1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_elev2', 'v_edit_man_varc', 'varc_elev2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_workcat_id_end', 'v_edit_man_varc', 'varc_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_undelete', 'v_edit_man_varc', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_label_x', 'v_edit_man_varc', 'varc_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_label_y', 'v_edit_man_varc', 'varc_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_label_rotation', 'v_edit_man_varc', 'varc_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_varc_varc_add_info', 'v_edit_man_varc', 'varc_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_arc_id', 'v_edit_man_waccel', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_node_1', 'v_edit_man_waccel', 'waccel_node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_node_2', 'v_edit_man_waccel', 'waccel_node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_y1', 'v_edit_man_waccel', 'waccel_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_y2', 'v_edit_man_waccel', 'waccel_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_z1', 'v_edit_man_waccel', 'waccel_z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_z2', 'v_edit_man_waccel', 'waccel_z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_r1', 'v_edit_man_waccel', 'waccel_r1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_r2', 'v_edit_man_waccel', 'waccel_r2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_slope', 'v_edit_man_waccel', 'waccel_slope', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_arc_type', 'v_edit_man_waccel', 'arc_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_arccat_id', 'v_edit_man_waccel', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_cat_matcat_id', 'v_edit_man_waccel', 'cat_matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_cat_shape', 'v_edit_man_waccel', 'waccel_cat_shape', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_cat_geom1', 'v_edit_man_waccel', 'waccel_cat_geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_cat_width', 'v_edit_man_waccel', 'waccel_cat_width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_gis_length', 'v_edit_man_waccel', 'waccel_gis_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_epa_type', 'v_edit_man_waccel', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_sector_id', 'v_edit_man_waccel', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_state', 'v_edit_man_waccel', 'waccel_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_annotation', 'v_edit_man_waccel', 'waccel_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_observ', 'v_edit_man_waccel', 'waccel_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_comment', 'v_edit_man_waccel', 'waccel_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_inverted_slope', 'v_edit_man_waccel', 'waccel_inverted_slope', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_custom_length', 'v_edit_man_waccel', 'waccel_custom_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_dma_id', 'v_edit_man_waccel', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_soilcat_id', 'v_edit_man_waccel', 'waccel_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_category_type', 'v_edit_man_waccel', 'waccel_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_fluid_type', 'v_edit_man_waccel', 'waccel_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_location_type', 'v_edit_man_waccel', 'waccel_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_workcat_id', 'v_edit_man_waccel', 'waccel_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_buildercat_id', 'v_edit_man_waccel', 'waccel_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_builtdate', 'v_edit_man_waccel', 'waccel_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_ownercat_id', 'v_edit_man_waccel', 'waccel_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_adress_01', 'v_edit_man_waccel', 'waccel_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_adress_02', 'v_edit_man_waccel', 'waccel_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_adress_03', 'v_edit_man_waccel', 'waccel_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_descript', 'v_edit_man_waccel', 'waccel_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_cat_svg', 'v_edit_man_waccel', 'waccel_cat_svg', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_est_y1', 'v_edit_man_waccel', 'waccel_est_y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_est_y2', 'v_edit_man_waccel', 'waccel_est_y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_rotation', 'v_edit_man_waccel', 'waccel_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_link', 'v_edit_man_waccel', 'waccel_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_verified', 'v_edit_man_waccel', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_the_geom', 'v_edit_man_waccel', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_elev1', 'v_edit_man_waccel', 'waccel_elev1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_elev2', 'v_edit_man_waccel', 'waccel_elev2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_workcat_id_end', 'v_edit_man_waccel', 'waccel_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_undelete', 'v_edit_man_waccel', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_label_x', 'v_edit_man_waccel', 'waccel_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_label_y', 'v_edit_man_waccel', 'waccel_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_label_rotation', 'v_edit_man_waccel', 'waccel_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_add_info', 'v_edit_man_waccel', 'waccel_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_sander_length', 'v_edit_man_waccel', 'waccel_sander_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_sander_depth', 'v_edit_man_waccel', 'waccel_sander_depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_security_bar', 'v_edit_man_waccel', 'waccel_security_bar', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_steps', 'v_edit_man_waccel', 'waccel_steps', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_prot_surface', 'v_edit_man_waccel', 'waccel_prot_surface', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_waccel_waccel_name', 'v_edit_man_waccel', 'waccel_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_node_id', 'v_edit_man_wjump', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_top_elev', 'v_edit_man_wjump', 'wjump_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_ymax', 'v_edit_man_wjump', 'wjump_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_sander', 'v_edit_man_wjump', 'wjump_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_elev', 'v_edit_man_wjump', 'wjump_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_node_type', 'v_edit_man_wjump', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_nodecat_id', 'v_edit_man_wjump', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_epa_type', 'v_edit_man_wjump', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_sector_id', 'v_edit_man_wjump', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_state', 'v_edit_man_wjump', 'wjump_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_annotation', 'v_edit_man_wjump', 'wjump_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_observ', 'v_edit_man_wjump', 'wjump_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_comment', 'v_edit_man_wjump', 'wjump_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_dma_id', 'v_edit_man_wjump', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_soilcat_id', 'v_edit_man_wjump', 'wjump_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_category_type', 'v_edit_man_wjump', 'wjump_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_fluid_type', 'v_edit_man_wjump', 'wjump_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_location_type', 'v_edit_man_wjump', 'wjump_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_workcat_id', 'v_edit_man_wjump', 'wjump_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_buildercat_id', 'v_edit_man_wjump', 'wjump_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_builtdate', 'v_edit_man_wjump', 'wjump_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_ownercat_id', 'v_edit_man_wjump', 'wjump_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_adress_01', 'v_edit_man_wjump', 'wjump_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_adress_02', 'v_edit_man_wjump', 'wjump_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_adress_03', 'v_edit_man_wjump', 'wjump_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_descript', 'v_edit_man_wjump', 'wjump_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_est_top_elev', 'v_edit_man_wjump', 'wjump_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_est_ymax', 'v_edit_man_wjump', 'wjump_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_rotation', 'v_edit_man_wjump', 'wjump_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_link', 'v_edit_man_wjump', 'wjump_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_verified', 'v_edit_man_wjump', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_the_geom', 'v_edit_man_wjump', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_workcat_id_end', 'v_edit_man_wjump', 'wjump_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_undelete', 'v_edit_man_wjump', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_label_x', 'v_edit_man_wjump', 'wjump_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_label_y', 'v_edit_man_wjump', 'wjump_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_label_rotation', 'v_edit_man_wjump', 'wjump_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_add_info', 'v_edit_man_wjump', 'wjump_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_mheight', 'v_edit_man_wjump', 'wjump_mheight', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_mlength', 'v_edit_man_wjump', 'wjump_mlength', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_mwidth', 'v_edit_man_wjump', 'wjump_mwidth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_sander_length', 'v_edit_man_wjump', 'wjump_sander_length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_sander_depth', 'v_edit_man_wjump', 'wjump_sander_depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_security_bar', 'v_edit_man_wjump', 'wjump_security_bar', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_steps', 'v_edit_man_wjump', 'wjump_steps', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_prot_surface', 'v_edit_man_wjump', 'wjump_prot_surface', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wjump_wjump_name', 'v_edit_man_wjump', 'wjump_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_node_id', 'v_edit_man_wwtp', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_top_elev', 'v_edit_man_wwtp', 'wwtp_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_ymax', 'v_edit_man_wwtp', 'wwtp_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_sander', 'v_edit_man_wwtp', 'wwtp_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_elev', 'v_edit_man_wwtp', 'wwtp_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_node_type', 'v_edit_man_wwtp', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_nodecat_id', 'v_edit_man_wwtp', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_epa_type', 'v_edit_man_wwtp', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_sector_id', 'v_edit_man_wwtp', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_state', 'v_edit_man_wwtp', 'wwtp_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_annotation', 'v_edit_man_wwtp', 'wwtp_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_observ', 'v_edit_man_wwtp', 'wwtp_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_comment', 'v_edit_man_wwtp', 'wwtp_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_dma_id', 'v_edit_man_wwtp', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_soilcat_id', 'v_edit_man_wwtp', 'wwtp_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_category_type', 'v_edit_man_wwtp', 'wwtp_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_fluid_type', 'v_edit_man_wwtp', 'wwtp_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_location_type', 'v_edit_man_wwtp', 'wwtp_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_workcat_id', 'v_edit_man_wwtp', 'wwtp_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_buildercat_id', 'v_edit_man_wwtp', 'wwtp_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_builtdate', 'v_edit_man_wwtp', 'wwtp_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_ownercat_id', 'v_edit_man_wwtp', 'wwtp_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_adress_01', 'v_edit_man_wwtp', 'wwtp_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_adress_02', 'v_edit_man_wwtp', 'wwtp_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_adress_03', 'v_edit_man_wwtp', 'wwtp_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_descript', 'v_edit_man_wwtp', 'wwtp_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_est_top_elev', 'v_edit_man_wwtp', 'wwtp_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_est_ymax', 'v_edit_man_wwtp', 'wwtp_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_rotation', 'v_edit_man_wwtp', 'wwtp_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_link', 'v_edit_man_wwtp', 'wwtp_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_verified', 'v_edit_man_wwtp', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_the_geom', 'v_edit_man_wwtp', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_workcat_id_end', 'v_edit_man_wwtp', 'wwtp_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_undelete', 'v_edit_man_wwtp', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_label_x', 'v_edit_man_wwtp', 'wwtp_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_label_y', 'v_edit_man_wwtp', 'wwtp_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_label_rotation', 'v_edit_man_wwtp', 'wwtp_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_add_info', 'v_edit_man_wwtp', 'wwtp_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_id', 'v_edit_man_wwtp', 'pol_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_wwtp_name', 'v_edit_man_wwtp', 'wwtp_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_pol_id', 'v_edit_man_wwtp_pol', 'pol_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_node_id', 'v_edit_man_wwtp_pol', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_top_elev', 'v_edit_man_wwtp_pol', 'wwtp_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_ymax', 'v_edit_man_wwtp_pol', 'wwtp_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_sander', 'v_edit_man_wwtp_pol', 'wwtp_sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_elev', 'v_edit_man_wwtp_pol', 'wwtp_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_node_type', 'v_edit_man_wwtp_pol', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_nodecat_id', 'v_edit_man_wwtp_pol', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_epa_type', 'v_edit_man_wwtp_pol', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_sector_id', 'v_edit_man_wwtp_pol', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_state', 'v_edit_man_wwtp_pol', 'wwtp_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_annotation', 'v_edit_man_wwtp_pol', 'wwtp_annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_observ', 'v_edit_man_wwtp_pol', 'wwtp_observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_comment', 'v_edit_man_wwtp_pol', 'wwtp_comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_dma_id', 'v_edit_man_wwtp_pol', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_soilcat_id', 'v_edit_man_wwtp_pol', 'wwtp_soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_category_type', 'v_edit_man_wwtp_pol', 'wwtp_category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_fluid_type', 'v_edit_man_wwtp_pol', 'wwtp_fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_location_type', 'v_edit_man_wwtp_pol', 'wwtp_location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_workcat_id', 'v_edit_man_wwtp_pol', 'wwtp_workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_buildercat_id', 'v_edit_man_wwtp_pol', 'wwtp_buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_builtdate', 'v_edit_man_wwtp_pol', 'wwtp_builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_ownercat_id', 'v_edit_man_wwtp_pol', 'wwtp_ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_adress_01', 'v_edit_man_wwtp_pol', 'wwtp_adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_adress_02', 'v_edit_man_wwtp_pol', 'wwtp_adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_adress_03', 'v_edit_man_wwtp_pol', 'wwtp_adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_descript', 'v_edit_man_wwtp_pol', 'wwtp_descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_est_top_elev', 'v_edit_man_wwtp_pol', 'wwtp_est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_est_ymax', 'v_edit_man_wwtp_pol', 'wwtp_est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_rotation', 'v_edit_man_wwtp_pol', 'wwtp_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_link', 'v_edit_man_wwtp_pol', 'wwtp_link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_verified', 'v_edit_man_wwtp_pol', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_the_geom', 'v_edit_man_wwtp_pol', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_workcat_id_end', 'v_edit_man_wwtp_pol', 'wwtp_workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_undelete', 'v_edit_man_wwtp_pol', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_label_x', 'v_edit_man_wwtp_pol', 'wwtp_label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_label_y', 'v_edit_man_wwtp_pol', 'wwtp_label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_label_rotation', 'v_edit_man_wwtp_pol', 'wwtp_label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_add_info', 'v_edit_man_wwtp_pol', 'wwtp_add_info', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_man_wwtp_pol_wwtp_name', 'v_edit_man_wwtp_pol', 'wwtp_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_node_id', 'v_edit_node', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_top_elev', 'v_edit_node', 'top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_ymax', 'v_edit_node', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_elev', 'v_edit_node', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_sander', 'v_edit_node', 'sander', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_node_type', 'v_edit_node', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_nodecat_id', 'v_edit_node', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_cat_matcat_id', 'v_edit_node', 'cat_matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_epa_type', 'v_edit_node', 'epa_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_sector_id', 'v_edit_node', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_state', 'v_edit_node', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_annotation', 'v_edit_node', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_observ', 'v_edit_node', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_comment', 'v_edit_node', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_dma_id', 'v_edit_node', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_soilcat_id', 'v_edit_node', 'soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_category_type', 'v_edit_node', 'category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_fluid_type', 'v_edit_node', 'fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_location_type', 'v_edit_node', 'location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_workcat_id', 'v_edit_node', 'workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_buildercat_id', 'v_edit_node', 'buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_builtdate', 'v_edit_node', 'builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_ownercat_id', 'v_edit_node', 'ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_adress_01', 'v_edit_node', 'adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_adress_02', 'v_edit_node', 'adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_adress_03', 'v_edit_node', 'adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_descript', 'v_edit_node', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_cat_svg', 'v_edit_node', 'cat_svg', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_est_top_elev', 'v_edit_node', 'est_top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_est_ymax', 'v_edit_node', 'est_ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_rotation', 'v_edit_node', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_link', 'v_edit_node', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_verified', 'v_edit_node', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_the_geom', 'v_edit_node', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_workcat_id_end', 'v_edit_node', 'workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_undelete', 'v_edit_node', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_label_x', 'v_edit_node', 'label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_label_y', 'v_edit_node', 'label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_node_label_rotation', 'v_edit_node', 'label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_gully_id', 'v_edit_pgully', 'gully_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_top_elev', 'v_edit_pgully', 'top_elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_ymax', 'v_edit_pgully', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_gratecat_id', 'v_edit_pgully', 'gratecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_cat_grate_type', 'v_edit_pgully', 'cat_grate_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_cat_grate_matcat', 'v_edit_pgully', 'cat_grate_matcat', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_sandbox', 'v_edit_pgully', 'sandbox', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_matcat_id', 'v_edit_pgully', 'matcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_units', 'v_edit_pgully', 'units', 'smallint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_groove', 'v_edit_pgully', 'groove', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_siphon', 'v_edit_pgully', 'siphon', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_arccat_id', 'v_edit_pgully', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_arc_id', 'v_edit_pgully', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_sector_id', 'v_edit_pgully', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_state', 'v_edit_pgully', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_annotation', 'v_edit_pgully', 'annotation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_observ', 'v_edit_pgully', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_comment', 'v_edit_pgully', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_dma_id', 'v_edit_pgully', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_soilcat_id', 'v_edit_pgully', 'soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_category_type', 'v_edit_pgully', 'category_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_fluid_type', 'v_edit_pgully', 'fluid_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_location_type', 'v_edit_pgully', 'location_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_workcat_id', 'v_edit_pgully', 'workcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_buildercat_id', 'v_edit_pgully', 'buildercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_builtdate', 'v_edit_pgully', 'builtdate', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_ownercat_id', 'v_edit_pgully', 'ownercat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_adress_01', 'v_edit_pgully', 'adress_01', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_adress_02', 'v_edit_pgully', 'adress_02', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_adress_03', 'v_edit_pgully', 'adress_03', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_descript', 'v_edit_pgully', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_cat_svg', 'v_edit_pgully', 'cat_svg', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_rotation', 'v_edit_pgully', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_link', 'v_edit_pgully', 'link', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_verified', 'v_edit_pgully', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_the_geom', 'v_edit_pgully', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_undelete', 'v_edit_pgully', 'undelete', 'boolean', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_workcat_id_end', 'v_edit_pgully', 'workcat_id_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_featurecat_id', 'v_edit_pgully', 'featurecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_feature_id', 'v_edit_pgully', 'feature_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_label_x', 'v_edit_pgully', 'label_x', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_label_y', 'v_edit_pgully', 'label_y', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_pgully_label_rotation', 'v_edit_pgully', 'label_rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_rtc_hydro_data_x_connec_id', 'v_edit_rtc_hydro_data_x_connec', 'id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_rtc_hydro_data_x_connec_connec_id', 'v_edit_rtc_hydro_data_x_connec', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_rtc_hydro_data_x_connec_hydrometer_id', 'v_edit_rtc_hydro_data_x_connec', 'hydrometer_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_rtc_hydro_data_x_connec_cat_hydrometer_id', 'v_edit_rtc_hydro_data_x_connec', 'cat_hydrometer_id', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_rtc_hydro_data_x_connec_madeby', 'v_edit_rtc_hydro_data_x_connec', 'madeby', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_rtc_hydro_data_x_connec_class', 'v_edit_rtc_hydro_data_x_connec', 'class', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_rtc_hydro_data_x_connec_cat_period_id', 'v_edit_rtc_hydro_data_x_connec', 'cat_period_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_rtc_hydro_data_x_connec_sum', 'v_edit_rtc_hydro_data_x_connec', 'sum', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_rtc_hydro_data_x_connec_custom_sum', 'v_edit_rtc_hydro_data_x_connec', 'custom_sum', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_id', 'v_inp_adjustments', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_adj_type', 'v_inp_adjustments', 'adj_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_value_1', 'v_inp_adjustments', 'value_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_value_2', 'v_inp_adjustments', 'value_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_value_3', 'v_inp_adjustments', 'value_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_value_4', 'v_inp_adjustments', 'value_4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_value_5', 'v_inp_adjustments', 'value_5', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_value_6', 'v_inp_adjustments', 'value_6', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_value_7', 'v_inp_adjustments', 'value_7', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_value_8', 'v_inp_adjustments', 'value_8', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_value_9', 'v_inp_adjustments', 'value_9', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_value_10', 'v_inp_adjustments', 'value_10', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_value_11', 'v_inp_adjustments', 'value_11', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_adjustments_value_12', 'v_inp_adjustments', 'value_12', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_aquif_id', 'v_inp_aquifer', 'aquif_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_por', 'v_inp_aquifer', 'por', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_wp', 'v_inp_aquifer', 'wp', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_fc', 'v_inp_aquifer', 'fc', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_k', 'v_inp_aquifer', 'k', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_ks', 'v_inp_aquifer', 'ks', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_ps', 'v_inp_aquifer', 'ps', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_uef', 'v_inp_aquifer', 'uef', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_led', 'v_inp_aquifer', 'led', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_gwr', 'v_inp_aquifer', 'gwr', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_be', 'v_inp_aquifer', 'be', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_wte', 'v_inp_aquifer', 'wte', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_umc', 'v_inp_aquifer', 'umc', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_aquifer_pattern_id', 'v_inp_aquifer', 'pattern_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_backdrop_id', 'v_inp_backdrop', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_backdrop_text', 'v_inp_backdrop', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_buildup_landus_id', 'v_inp_buildup', 'landus_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_buildup_poll_id', 'v_inp_buildup', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_buildup_funcb_type', 'v_inp_buildup', 'funcb_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_buildup_c1', 'v_inp_buildup', 'c1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_buildup_c2', 'v_inp_buildup', 'c2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_buildup_c3', 'v_inp_buildup', 'c3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_buildup_perunit', 'v_inp_buildup', 'perunit', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_arc_id', 'v_inp_conduit_cu', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_node_1', 'v_inp_conduit_cu', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_node_2', 'v_inp_conduit_cu', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_length', 'v_inp_conduit_cu', 'length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_z1', 'v_inp_conduit_cu', 'z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_z2', 'v_inp_conduit_cu', 'z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_n', 'v_inp_conduit_cu', 'n', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_shape', 'v_inp_conduit_cu', 'shape', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_curve_id', 'v_inp_conduit_cu', 'curve_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_geom1', 'v_inp_conduit_cu', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_geom2', 'v_inp_conduit_cu', 'geom2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_geom3', 'v_inp_conduit_cu', 'geom3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_geom4', 'v_inp_conduit_cu', 'geom4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_q0', 'v_inp_conduit_cu', 'q0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_qmax', 'v_inp_conduit_cu', 'qmax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_barrels', 'v_inp_conduit_cu', 'barrels', 'smallint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_culvert', 'v_inp_conduit_cu', 'culvert', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_cu_seepage', 'v_inp_conduit_cu', 'seepage', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_arc_id', 'v_inp_conduit_no', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_node_1', 'v_inp_conduit_no', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_node_2', 'v_inp_conduit_no', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_length', 'v_inp_conduit_no', 'length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_z1', 'v_inp_conduit_no', 'z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_z2', 'v_inp_conduit_no', 'z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_n', 'v_inp_conduit_no', 'n', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_shape', 'v_inp_conduit_no', 'shape', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_geom1', 'v_inp_conduit_no', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_geom2', 'v_inp_conduit_no', 'geom2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_geom3', 'v_inp_conduit_no', 'geom3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_geom4', 'v_inp_conduit_no', 'geom4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_q0', 'v_inp_conduit_no', 'q0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_qmax', 'v_inp_conduit_no', 'qmax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_barrels', 'v_inp_conduit_no', 'barrels', 'smallint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_culvert', 'v_inp_conduit_no', 'culvert', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_seepage', 'v_inp_conduit_no', 'seepage', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_no_sector_id', 'v_inp_conduit_no', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_arc_id', 'v_inp_conduit_xs', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_node_1', 'v_inp_conduit_xs', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_node_2', 'v_inp_conduit_xs', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_length', 'v_inp_conduit_xs', 'length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_z1', 'v_inp_conduit_xs', 'z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_z2', 'v_inp_conduit_xs', 'z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_n', 'v_inp_conduit_xs', 'n', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_shape', 'v_inp_conduit_xs', 'shape', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_tsect_id', 'v_inp_conduit_xs', 'tsect_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_geom1', 'v_inp_conduit_xs', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_geom2', 'v_inp_conduit_xs', 'geom2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_geom3', 'v_inp_conduit_xs', 'geom3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_geom4', 'v_inp_conduit_xs', 'geom4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_q0', 'v_inp_conduit_xs', 'q0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_qmax', 'v_inp_conduit_xs', 'qmax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_barrels', 'v_inp_conduit_xs', 'barrels', 'smallint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_culvert', 'v_inp_conduit_xs', 'culvert', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_seepage', 'v_inp_conduit_xs', 'seepage', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_conduit_xs_sector_id', 'v_inp_conduit_xs', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_controls_id', 'v_inp_controls', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_controls_text', 'v_inp_controls', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_coverages_subc_id', 'v_inp_coverages', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_coverages_landus_id', 'v_inp_coverages', 'landus_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_coverages_percent', 'v_inp_coverages', 'percent', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_coverages_sector_id', 'v_inp_coverages', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_curve_id', 'v_inp_curve', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_curve_curve_id', 'v_inp_curve', 'curve_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_curve_x_value', 'v_inp_curve', 'x_value', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_curve_y_value', 'v_inp_curve', 'y_value', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_curve_curve_type', 'v_inp_curve', 'curve_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_cu_node_id', 'v_inp_divider_cu', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_cu_elev', 'v_inp_divider_cu', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_cu_arc_id', 'v_inp_divider_cu', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_cu_type_dicu', 'v_inp_divider_cu', 'type_dicu', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_cu_qmin', 'v_inp_divider_cu', 'qmin', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_cu_ymax', 'v_inp_divider_cu', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_cu_y0', 'v_inp_divider_cu', 'y0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_cu_ysur', 'v_inp_divider_cu', 'ysur', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_cu_apond', 'v_inp_divider_cu', 'apond', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_cu_xcoord', 'v_inp_divider_cu', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_cu_ycoord', 'v_inp_divider_cu', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_cu_sector_id', 'v_inp_divider_cu', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_ov_node_id', 'v_inp_divider_ov', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_ov_arc_id', 'v_inp_divider_ov', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_ov_elev', 'v_inp_divider_ov', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_ov_type_diov', 'v_inp_divider_ov', 'type_diov', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_ov_ymax', 'v_inp_divider_ov', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_ov_y0', 'v_inp_divider_ov', 'y0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_ov_ysur', 'v_inp_divider_ov', 'ysur', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_ov_apond', 'v_inp_divider_ov', 'apond', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_ov_xcoord', 'v_inp_divider_ov', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_ov_ycoord', 'v_inp_divider_ov', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_ov_sector_id', 'v_inp_divider_ov', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_tb_node_id', 'v_inp_divider_tb', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_tb_elev', 'v_inp_divider_tb', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_tb_arc_id', 'v_inp_divider_tb', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_tb_type_ditb', 'v_inp_divider_tb', 'type_ditb', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_tb_curve_id', 'v_inp_divider_tb', 'curve_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_tb_ymax', 'v_inp_divider_tb', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_tb_y0', 'v_inp_divider_tb', 'y0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_tb_ysur', 'v_inp_divider_tb', 'ysur', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_tb_apond', 'v_inp_divider_tb', 'apond', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_tb_xcoord', 'v_inp_divider_tb', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_tb_ycoord', 'v_inp_divider_tb', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_tb_sector_id', 'v_inp_divider_tb', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_node_id', 'v_inp_divider_wr', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_elev', 'v_inp_divider_wr', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_arc_id', 'v_inp_divider_wr', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_type_diwr', 'v_inp_divider_wr', 'type_diwr', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_qmin', 'v_inp_divider_wr', 'qmin', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_ht', 'v_inp_divider_wr', 'ht', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_cd', 'v_inp_divider_wr', 'cd', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_ymax', 'v_inp_divider_wr', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_y0', 'v_inp_divider_wr', 'y0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_ysur', 'v_inp_divider_wr', 'ysur', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_apond', 'v_inp_divider_wr', 'apond', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_xcoord', 'v_inp_divider_wr', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_ycoord', 'v_inp_divider_wr', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_divider_wr_sector_id', 'v_inp_divider_wr', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_flow_node_id', 'v_inp_dwf_flow', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_flow_type_dwf', 'v_inp_dwf_flow', 'type_dwf', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_flow_value', 'v_inp_dwf_flow', 'value', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_flow_pat1', 'v_inp_dwf_flow', 'pat1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_flow_pat2', 'v_inp_dwf_flow', 'pat2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_flow_pat3', 'v_inp_dwf_flow', 'pat3', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_flow_pat4', 'v_inp_dwf_flow', 'pat4', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_flow_sector_id', 'v_inp_dwf_flow', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_load_poll_id', 'v_inp_dwf_load', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_load_node_id', 'v_inp_dwf_load', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_load_value', 'v_inp_dwf_load', 'value', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_load_pat1', 'v_inp_dwf_load', 'pat1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_load_pat2', 'v_inp_dwf_load', 'pat2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_load_pat3', 'v_inp_dwf_load', 'pat3', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_load_pat4', 'v_inp_dwf_load', 'pat4', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_dwf_load_sector_id', 'v_inp_dwf_load', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_co_type_evco', 'v_inp_evap_co', 'type_evco', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_co_evap', 'v_inp_evap_co', 'evap', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_do_type_evdo', 'v_inp_evap_do', 'type_evdo', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_do_dry_only', 'v_inp_evap_do', 'dry_only', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_fl_type_evfl', 'v_inp_evap_fl', 'type_evfl', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_fl_pan_1', 'v_inp_evap_fl', 'pan_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_fl_pan_2', 'v_inp_evap_fl', 'pan_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_fl_pan_3', 'v_inp_evap_fl', 'pan_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_fl_pan_4', 'v_inp_evap_fl', 'pan_4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_fl_pan_5', 'v_inp_evap_fl', 'pan_5', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_fl_pan_6', 'v_inp_evap_fl', 'pan_6', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_fl_pan_7', 'v_inp_evap_fl', 'pan_7', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_fl_pan_8', 'v_inp_evap_fl', 'pan_8', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_fl_pan_9', 'v_inp_evap_fl', 'pan_9', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_fl_pan_10', 'v_inp_evap_fl', 'pan_10', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_fl_pan_11', 'v_inp_evap_fl', 'pan_11', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_fl_pan_12', 'v_inp_evap_fl', 'pan_12', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_mo_type_evmo', 'v_inp_evap_mo', 'type_evmo', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_mo_value_1', 'v_inp_evap_mo', 'value_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_mo_value_2', 'v_inp_evap_mo', 'value_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_mo_value_3', 'v_inp_evap_mo', 'value_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_mo_value_4', 'v_inp_evap_mo', 'value_4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_mo_value_5', 'v_inp_evap_mo', 'value_5', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_mo_value_6', 'v_inp_evap_mo', 'value_6', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_mo_value_7', 'v_inp_evap_mo', 'value_7', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_mo_value_8', 'v_inp_evap_mo', 'value_8', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_mo_value_9', 'v_inp_evap_mo', 'value_9', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_mo_value_10', 'v_inp_evap_mo', 'value_10', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_mo_value_11', 'v_inp_evap_mo', 'value_11', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_mo_value_12', 'v_inp_evap_mo', 'value_12', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_pa_type_evpa', 'v_inp_evap_pa', 'type_evpa', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_pa_recovery', 'v_inp_evap_pa', 'recovery', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_te_type_evte', 'v_inp_evap_te', 'type_evte', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_ts_type_evts', 'v_inp_evap_ts', 'type_evts', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_evap_ts_timser_id', 'v_inp_evap_ts', 'timser_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_files_id', 'v_inp_files', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_files_actio_type', 'v_inp_files', 'actio_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_files_file_type', 'v_inp_files', 'file_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_files_fname', 'v_inp_files', 'fname', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_subc_id', 'v_inp_groundwater', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_aquif_id', 'v_inp_groundwater', 'aquif_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_node_id', 'v_inp_groundwater', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_surfel', 'v_inp_groundwater', 'surfel', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_a1', 'v_inp_groundwater', 'a1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_b1', 'v_inp_groundwater', 'b1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_a2', 'v_inp_groundwater', 'a2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_b2', 'v_inp_groundwater', 'b2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_a3', 'v_inp_groundwater', 'a3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_tw', 'v_inp_groundwater', 'tw', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_h', 'v_inp_groundwater', 'h', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_fl_eq_lat', 'v_inp_groundwater', 'fl_eq_lat', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_fl_eq_deep', 'v_inp_groundwater', 'fl_eq_deep', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_groundwater_sector_id', 'v_inp_groundwater', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_hydrograph_id', 'v_inp_hydrograph', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_hydrograph_text', 'v_inp_hydrograph', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_cu_subc_id', 'v_inp_infiltration_cu', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_cu_curveno', 'v_inp_infiltration_cu', 'curveno', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_cu_conduct_2', 'v_inp_infiltration_cu', 'conduct_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_cu_drytime_2', 'v_inp_infiltration_cu', 'drytime_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_cu_sector_id', 'v_inp_infiltration_cu', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_cu_infiltration', 'v_inp_infiltration_cu', 'infiltration', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_gr_subc_id', 'v_inp_infiltration_gr', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_gr_suction', 'v_inp_infiltration_gr', 'suction', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_gr_conduct', 'v_inp_infiltration_gr', 'conduct', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_gr_initdef', 'v_inp_infiltration_gr', 'initdef', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_gr_sector_id', 'v_inp_infiltration_gr', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_gr_infiltration', 'v_inp_infiltration_gr', 'infiltration', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_ho_subc_id', 'v_inp_infiltration_ho', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_ho_maxrate', 'v_inp_infiltration_ho', 'maxrate', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_ho_minrate', 'v_inp_infiltration_ho', 'minrate', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_ho_decay', 'v_inp_infiltration_ho', 'decay', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_ho_drytime', 'v_inp_infiltration_ho', 'drytime', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_ho_maxinfil', 'v_inp_infiltration_ho', 'maxinfil', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_ho_sector_id', 'v_inp_infiltration_ho', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_infiltration_ho_infiltration', 'v_inp_infiltration_ho', 'infiltration', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_flow_node_id', 'v_inp_inflows_flow', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_flow_type_flow1', 'v_inp_inflows_flow', 'type_flow1', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_flow_timser_id', 'v_inp_inflows_flow', 'timser_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_flow_type_flow2', 'v_inp_inflows_flow', 'type_flow2', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_flow_type_n1', 'v_inp_inflows_flow', 'type_n1', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_flow_sfactor', 'v_inp_inflows_flow', 'sfactor', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_flow_base', 'v_inp_inflows_flow', 'base', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_flow_pattern_id', 'v_inp_inflows_flow', 'pattern_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_flow_sector_id', 'v_inp_inflows_flow', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_load_poll_id', 'v_inp_inflows_load', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_load_node_id', 'v_inp_inflows_load', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_load_timser_id', 'v_inp_inflows_load', 'timser_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_load_form_type', 'v_inp_inflows_load', 'form_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_load_mfactor', 'v_inp_inflows_load', 'mfactor', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_load_sfactor', 'v_inp_inflows_load', 'sfactor', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_load_base', 'v_inp_inflows_load', 'base', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_load_pattern_id', 'v_inp_inflows_load', 'pattern_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_inflows_load_sector_id', 'v_inp_inflows_load', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_junction_node_id', 'v_inp_junction', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_junction_elev', 'v_inp_junction', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_junction_ymax', 'v_inp_junction', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_junction_y0', 'v_inp_junction', 'y0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_junction_ysur', 'v_inp_junction', 'ysur', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_junction_apond', 'v_inp_junction', 'apond', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_junction_xcoord', 'v_inp_junction', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_junction_ycoord', 'v_inp_junction', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_junction_sector_id', 'v_inp_junction', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_label_label', 'v_inp_label', 'label', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_label_xcoord', 'v_inp_label', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_label_ycoord', 'v_inp_label', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_label_anchor', 'v_inp_label', 'anchor', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_label_font', 'v_inp_label', 'font', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_label_size', 'v_inp_label', 'size', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_label_bold', 'v_inp_label', 'bold', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_label_italic', 'v_inp_label', 'italic', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_landuses_landus_id', 'v_inp_landuses', 'landus_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_landuses_sweepint', 'v_inp_landuses', 'sweepint', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_landuses_availab', 'v_inp_landuses', 'availab', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_landuses_lastsweep', 'v_inp_landuses', 'lastsweep', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidcontrol_lidco_id', 'v_inp_lidcontrol', 'lidco_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidcontrol_lidco_type', 'v_inp_lidcontrol', 'lidco_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidcontrol_value_2', 'v_inp_lidcontrol', 'value_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidcontrol_value_3', 'v_inp_lidcontrol', 'value_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidcontrol_value_4', 'v_inp_lidcontrol', 'value_4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidcontrol_value_5', 'v_inp_lidcontrol', 'value_5', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidcontrol_value_6', 'v_inp_lidcontrol', 'value_6', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidcontrol_value_7', 'v_inp_lidcontrol', 'value_7', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidcontrol_value_8', 'v_inp_lidcontrol', 'value_8', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidusage_subc_id', 'v_inp_lidusage', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidusage_lidco_id', 'v_inp_lidusage', 'lidco_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidusage_width', 'v_inp_lidusage', 'width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidusage_initsat', 'v_inp_lidusage', 'initsat', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidusage_fromimp', 'v_inp_lidusage', 'fromimp', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidusage_toperv', 'v_inp_lidusage', 'toperv', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidusage_rptfile', 'v_inp_lidusage', 'rptfile', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidusage_sector_id', 'v_inp_lidusage', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_loadings_poll_id', 'v_inp_loadings', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_loadings_subc_id', 'v_inp_loadings', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_loadings_ibuildup', 'v_inp_loadings', 'ibuildup', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_loadings_sector_id', 'v_inp_loadings', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_losses_arc_id', 'v_inp_losses', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_losses_kentry', 'v_inp_losses', 'kentry', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_losses_kexit', 'v_inp_losses', 'kexit', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_losses_kavg', 'v_inp_losses', 'kavg', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_losses_flap', 'v_inp_losses', 'flap', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_losses_seepage', 'v_inp_losses', 'seepage', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_losses_sector_id', 'v_inp_losses', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_mapdim_type_dim', 'v_inp_mapdim', 'type_dim', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_mapdim_x1', 'v_inp_mapdim', 'x1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_mapdim_y1', 'v_inp_mapdim', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_mapdim_x2', 'v_inp_mapdim', 'x2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_mapdim_y2', 'v_inp_mapdim', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_mapunits_type_units', 'v_inp_mapunits', 'type_units', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_mapunits_map_type', 'v_inp_mapunits', 'map_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_flow_units', 'v_inp_options', 'flow_units', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_infiltration', 'v_inp_options', 'infiltration', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_flow_routing', 'v_inp_options', 'flow_routing', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_link_offsets', 'v_inp_options', 'link_offsets', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_force_main_equation', 'v_inp_options', 'force_main_equation', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_ignore_rainfall', 'v_inp_options', 'ignore_rainfall', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_ignore_snowmelt', 'v_inp_options', 'ignore_snowmelt', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_ignore_groundwater', 'v_inp_options', 'ignore_groundwater', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_ignore_routing', 'v_inp_options', 'ignore_routing', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_ignore_quality', 'v_inp_options', 'ignore_quality', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_skip_steady_state', 'v_inp_options', 'skip_steady_state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_start_date', 'v_inp_options', 'start_date', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_start_time', 'v_inp_options', 'start_time', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_end_date', 'v_inp_options', 'end_date', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_end_time', 'v_inp_options', 'end_time', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_report_start_date', 'v_inp_options', 'report_start_date', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_report_start_time', 'v_inp_options', 'report_start_time', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_sweep_start', 'v_inp_options', 'sweep_start', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_sweep_end', 'v_inp_options', 'sweep_end', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_dry_days', 'v_inp_options', 'dry_days', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_report_step', 'v_inp_options', 'report_step', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_wet_step', 'v_inp_options', 'wet_step', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_dry_step', 'v_inp_options', 'dry_step', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_routing_step', 'v_inp_options', 'routing_step', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_lengthening_step', 'v_inp_options', 'lengthening_step', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_variable_step', 'v_inp_options', 'variable_step', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_inertial_damping', 'v_inp_options', 'inertial_damping', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_normal_flow_limited', 'v_inp_options', 'normal_flow_limited', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_min_surfarea', 'v_inp_options', 'min_surfarea', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_min_slope', 'v_inp_options', 'min_slope', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_allow_ponding', 'v_inp_options', 'allow_ponding', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_tempdir', 'v_inp_options', 'tempdir', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_max_trials', 'v_inp_options', 'max_trials', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_head_tolerance', 'v_inp_options', 'head_tolerance', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_sys_flow_tol', 'v_inp_options', 'sys_flow_tol', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_options_lat_flow_tol', 'v_inp_options', 'lat_flow_tol', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_arc_id', 'v_inp_orifice', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_node_1', 'v_inp_orifice', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_node_2', 'v_inp_orifice', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_ori_type', 'v_inp_orifice', 'ori_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_offset', 'v_inp_orifice', 'offset', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_cd', 'v_inp_orifice', 'cd', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_flap', 'v_inp_orifice', 'flap', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_orate', 'v_inp_orifice', 'orate', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_shape', 'v_inp_orifice', 'shape', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_geom1', 'v_inp_orifice', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_geom2', 'v_inp_orifice', 'geom2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_geom3', 'v_inp_orifice', 'geom3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_geom4', 'v_inp_orifice', 'geom4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_orifice_sector_id', 'v_inp_orifice', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fi_node_id', 'v_inp_outfall_fi', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fi_elev', 'v_inp_outfall_fi', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fi_type_otlfi', 'v_inp_outfall_fi', 'type_otlfi', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fi_stage', 'v_inp_outfall_fi', 'stage', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fi_gate', 'v_inp_outfall_fi', 'gate', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fi_xcoord', 'v_inp_outfall_fi', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fi_ycoord', 'v_inp_outfall_fi', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fi_sector_id', 'v_inp_outfall_fi', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fr_node_id', 'v_inp_outfall_fr', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fr_elev', 'v_inp_outfall_fr', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fr_type_otlfr', 'v_inp_outfall_fr', 'type_otlfr', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fr_gate', 'v_inp_outfall_fr', 'gate', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fr_xcoord', 'v_inp_outfall_fr', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fr_ycoord', 'v_inp_outfall_fr', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_fr_sector_id', 'v_inp_outfall_fr', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_nm_node_id', 'v_inp_outfall_nm', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_nm_elev', 'v_inp_outfall_nm', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_nm_type_otlnm', 'v_inp_outfall_nm', 'type_otlnm', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_nm_gate', 'v_inp_outfall_nm', 'gate', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_nm_xcoord', 'v_inp_outfall_nm', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_nm_ycoord', 'v_inp_outfall_nm', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_nm_sector_id', 'v_inp_outfall_nm', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ti_node_id', 'v_inp_outfall_ti', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ti_elev', 'v_inp_outfall_ti', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ti_type_otlti', 'v_inp_outfall_ti', 'type_otlti', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ti_curve_id', 'v_inp_outfall_ti', 'curve_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ti_gate', 'v_inp_outfall_ti', 'gate', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ti_xcoord', 'v_inp_outfall_ti', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ti_ycoord', 'v_inp_outfall_ti', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ti_sector_id', 'v_inp_outfall_ti', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ts_node_id', 'v_inp_outfall_ts', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ts_elev', 'v_inp_outfall_ts', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ts_type_otlts', 'v_inp_outfall_ts', 'type_otlts', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ts_timser_id', 'v_inp_outfall_ts', 'timser_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ts_gate', 'v_inp_outfall_ts', 'gate', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ts_xcoord', 'v_inp_outfall_ts', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ts_ycoord', 'v_inp_outfall_ts', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outfall_ts_sector_id', 'v_inp_outfall_ts', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fcd_arc_id', 'v_inp_outlet_fcd', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fcd_node_1', 'v_inp_outlet_fcd', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fcd_node_2', 'v_inp_outlet_fcd', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fcd_type_oufcd', 'v_inp_outlet_fcd', 'type_oufcd', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fcd_offset', 'v_inp_outlet_fcd', 'offset', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fcd_cd1', 'v_inp_outlet_fcd', 'cd1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fcd_cd2', 'v_inp_outlet_fcd', 'cd2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fcd_flap', 'v_inp_outlet_fcd', 'flap', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fcd_sector_id', 'v_inp_outlet_fcd', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fch_arc_id', 'v_inp_outlet_fch', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fch_node_1', 'v_inp_outlet_fch', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fch_node_2', 'v_inp_outlet_fch', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fch_type_oufch', 'v_inp_outlet_fch', 'type_oufch', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fch_offset', 'v_inp_outlet_fch', 'offset', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fch_cd1', 'v_inp_outlet_fch', 'cd1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fch_cd2', 'v_inp_outlet_fch', 'cd2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fch_flap', 'v_inp_outlet_fch', 'flap', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_fch_sector_id', 'v_inp_outlet_fch', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbd_arc_id', 'v_inp_outlet_tbd', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbd_node_1', 'v_inp_outlet_tbd', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbd_node_2', 'v_inp_outlet_tbd', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbd_type_outbd', 'v_inp_outlet_tbd', 'type_outbd', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbd_offset', 'v_inp_outlet_tbd', 'offset', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbd_curve_id', 'v_inp_outlet_tbd', 'curve_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbd_flap', 'v_inp_outlet_tbd', 'flap', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbd_sector_id', 'v_inp_outlet_tbd', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbh_arc_id', 'v_inp_outlet_tbh', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbh_node_1', 'v_inp_outlet_tbh', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbh_node_2', 'v_inp_outlet_tbh', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbh_type_outbh', 'v_inp_outlet_tbh', 'type_outbh', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbh_offset', 'v_inp_outlet_tbh', 'offset', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbh_curve_id', 'v_inp_outlet_tbh', 'curve_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbh_flap', 'v_inp_outlet_tbh', 'flap', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_outlet_tbh_sector_id', 'v_inp_outlet_tbh', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_dl_pattern_id', 'v_inp_pattern_dl', 'pattern_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_dl_type_padl', 'v_inp_pattern_dl', 'type_padl', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_dl_factor_1', 'v_inp_pattern_dl', 'factor_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_dl_factor_2', 'v_inp_pattern_dl', 'factor_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_dl_factor_3', 'v_inp_pattern_dl', 'factor_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_dl_factor_4', 'v_inp_pattern_dl', 'factor_4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_dl_factor_5', 'v_inp_pattern_dl', 'factor_5', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_dl_factor_6', 'v_inp_pattern_dl', 'factor_6', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_dl_factor_7', 'v_inp_pattern_dl', 'factor_7', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_pattern_id', 'v_inp_pattern_ho', 'pattern_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_type_paho', 'v_inp_pattern_ho', 'type_paho', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_1', 'v_inp_pattern_ho', 'factor_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_2', 'v_inp_pattern_ho', 'factor_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_3', 'v_inp_pattern_ho', 'factor_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_4', 'v_inp_pattern_ho', 'factor_4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_5', 'v_inp_pattern_ho', 'factor_5', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_6', 'v_inp_pattern_ho', 'factor_6', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_7', 'v_inp_pattern_ho', 'factor_7', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_8', 'v_inp_pattern_ho', 'factor_8', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_9', 'v_inp_pattern_ho', 'factor_9', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_10', 'v_inp_pattern_ho', 'factor_10', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_11', 'v_inp_pattern_ho', 'factor_11', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_12', 'v_inp_pattern_ho', 'factor_12', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_13', 'v_inp_pattern_ho', 'factor_13', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_14', 'v_inp_pattern_ho', 'factor_14', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_15', 'v_inp_pattern_ho', 'factor_15', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_16', 'v_inp_pattern_ho', 'factor_16', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_17', 'v_inp_pattern_ho', 'factor_17', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_18', 'v_inp_pattern_ho', 'factor_18', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_19', 'v_inp_pattern_ho', 'factor_19', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_20', 'v_inp_pattern_ho', 'factor_20', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_21', 'v_inp_pattern_ho', 'factor_21', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_22', 'v_inp_pattern_ho', 'factor_22', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_23', 'v_inp_pattern_ho', 'factor_23', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_ho_factor_24', 'v_inp_pattern_ho', 'factor_24', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_pattern_id', 'v_inp_pattern_mo', 'pattern_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_type_pamo', 'v_inp_pattern_mo', 'type_pamo', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_factor_1', 'v_inp_pattern_mo', 'factor_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_factor_2', 'v_inp_pattern_mo', 'factor_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_factor_3', 'v_inp_pattern_mo', 'factor_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_factor_4', 'v_inp_pattern_mo', 'factor_4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_factor_5', 'v_inp_pattern_mo', 'factor_5', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_factor_6', 'v_inp_pattern_mo', 'factor_6', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_factor_7', 'v_inp_pattern_mo', 'factor_7', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_factor_8', 'v_inp_pattern_mo', 'factor_8', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_factor_9', 'v_inp_pattern_mo', 'factor_9', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_factor_10', 'v_inp_pattern_mo', 'factor_10', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_factor_11', 'v_inp_pattern_mo', 'factor_11', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_mo_factor_12', 'v_inp_pattern_mo', 'factor_12', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_pattern_id', 'v_inp_pattern_we', 'pattern_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_type_pawe', 'v_inp_pattern_we', 'type_pawe', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_1', 'v_inp_pattern_we', 'factor_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_2', 'v_inp_pattern_we', 'factor_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_3', 'v_inp_pattern_we', 'factor_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_4', 'v_inp_pattern_we', 'factor_4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_5', 'v_inp_pattern_we', 'factor_5', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_6', 'v_inp_pattern_we', 'factor_6', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_7', 'v_inp_pattern_we', 'factor_7', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_8', 'v_inp_pattern_we', 'factor_8', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_9', 'v_inp_pattern_we', 'factor_9', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_10', 'v_inp_pattern_we', 'factor_10', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_11', 'v_inp_pattern_we', 'factor_11', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_12', 'v_inp_pattern_we', 'factor_12', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_13', 'v_inp_pattern_we', 'factor_13', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_14', 'v_inp_pattern_we', 'factor_14', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_15', 'v_inp_pattern_we', 'factor_15', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_16', 'v_inp_pattern_we', 'factor_16', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_17', 'v_inp_pattern_we', 'factor_17', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_18', 'v_inp_pattern_we', 'factor_18', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_19', 'v_inp_pattern_we', 'factor_19', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_20', 'v_inp_pattern_we', 'factor_20', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_21', 'v_inp_pattern_we', 'factor_21', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_22', 'v_inp_pattern_we', 'factor_22', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_23', 'v_inp_pattern_we', 'factor_23', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pattern_we_factor_24', 'v_inp_pattern_we', 'factor_24', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pollutant_poll_id', 'v_inp_pollutant', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pollutant_units_type', 'v_inp_pollutant', 'units_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pollutant_crain', 'v_inp_pollutant', 'crain', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pollutant_cgw', 'v_inp_pollutant', 'cgw', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pollutant_cii', 'v_inp_pollutant', 'cii', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pollutant_kd', 'v_inp_pollutant', 'kd', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pollutant_sflag', 'v_inp_pollutant', 'sflag', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pollutant_copoll_id', 'v_inp_pollutant', 'copoll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pollutant_cofract', 'v_inp_pollutant', 'cofract', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pollutant_cdwf', 'v_inp_pollutant', 'cdwf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_project_id_title', 'v_inp_project_id', 'title', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_project_id_author', 'v_inp_project_id', 'author', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_project_id_date', 'v_inp_project_id', 'date', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pump_arc_id', 'v_inp_pump', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pump_node_1', 'v_inp_pump', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pump_node_2', 'v_inp_pump', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pump_curve_id', 'v_inp_pump', 'curve_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pump_status', 'v_inp_pump', 'status', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pump_startup', 'v_inp_pump', 'startup', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pump_shutoff', 'v_inp_pump', 'shutoff', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_pump_sector_id', 'v_inp_pump', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rdii_node_id', 'v_inp_rdii', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rdii_hydro_id', 'v_inp_rdii', 'hydro_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rdii_sewerarea', 'v_inp_rdii', 'sewerarea', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rdii_sector_id', 'v_inp_rdii', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_report_input', 'v_inp_report', 'input', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_report_continuity', 'v_inp_report', 'continuity', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_report_flowstats', 'v_inp_report', 'flowstats', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_report_controls', 'v_inp_report', 'controls', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_report_subcatchments', 'v_inp_report', 'subcatchments', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_report_nodes', 'v_inp_report', 'nodes', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_report_links', 'v_inp_report', 'links', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_fl_rg_id', 'v_inp_rgage_fl', 'rg_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_fl_form_type', 'v_inp_rgage_fl', 'form_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_fl_intvl', 'v_inp_rgage_fl', 'intvl', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_fl_scf', 'v_inp_rgage_fl', 'scf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_fl_type_rgfl', 'v_inp_rgage_fl', 'type_rgfl', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_fl_fname', 'v_inp_rgage_fl', 'fname', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_fl_sta', 'v_inp_rgage_fl', 'sta', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_fl_units', 'v_inp_rgage_fl', 'units', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_fl_xcoord', 'v_inp_rgage_fl', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_fl_ycoord', 'v_inp_rgage_fl', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_ts_rg_id', 'v_inp_rgage_ts', 'rg_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_ts_form_type', 'v_inp_rgage_ts', 'form_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_ts_intvl', 'v_inp_rgage_ts', 'intvl', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_ts_scf', 'v_inp_rgage_ts', 'scf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_ts_type_rgts', 'v_inp_rgage_ts', 'type_rgts', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_ts_timser_id', 'v_inp_rgage_ts', 'timser_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_ts_xcoord', 'v_inp_rgage_ts', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_rgage_ts_ycoord', 'v_inp_rgage_ts', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_snow_id', 'v_inp_snowpack', 'snow_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_type_snpk1', 'v_inp_snowpack', 'type_snpk1', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_cmin_1', 'v_inp_snowpack', 'cmin_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_cmax_1', 'v_inp_snowpack', 'cmax_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_tbase_1', 'v_inp_snowpack', 'tbase_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_fwf_1', 'v_inp_snowpack', 'fwf_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_sd0_1', 'v_inp_snowpack', 'sd0_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_fw0_1', 'v_inp_snowpack', 'fw0_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_snn0_1', 'v_inp_snowpack', 'snn0_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_type_snpk2', 'v_inp_snowpack', 'type_snpk2', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_cmin_2', 'v_inp_snowpack', 'cmin_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_cmax_2', 'v_inp_snowpack', 'cmax_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_tbase_2', 'v_inp_snowpack', 'tbase_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_fwf_2', 'v_inp_snowpack', 'fwf_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_sd0_2', 'v_inp_snowpack', 'sd0_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_fw0_2', 'v_inp_snowpack', 'fw0_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_sd100_1', 'v_inp_snowpack', 'sd100_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_type_snpk3', 'v_inp_snowpack', 'type_snpk3', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_cmin_3', 'v_inp_snowpack', 'cmin_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_cmax_3', 'v_inp_snowpack', 'cmax_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_tbase_3', 'v_inp_snowpack', 'tbase_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_fwf_3', 'v_inp_snowpack', 'fwf_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_sd0_3', 'v_inp_snowpack', 'sd0_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_fw0_3', 'v_inp_snowpack', 'fw0_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_sd100_2', 'v_inp_snowpack', 'sd100_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_type_snpk4', 'v_inp_snowpack', 'type_snpk4', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_sdplow', 'v_inp_snowpack', 'sdplow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_fout', 'v_inp_snowpack', 'fout', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_fimp', 'v_inp_snowpack', 'fimp', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_fperv', 'v_inp_snowpack', 'fperv', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_fimelt', 'v_inp_snowpack', 'fimelt', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_fsub', 'v_inp_snowpack', 'fsub', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_snowpack_subc_id', 'v_inp_snowpack', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_node_id', 'v_inp_storage_fc', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_elev', 'v_inp_storage_fc', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_ymax', 'v_inp_storage_fc', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_y0', 'v_inp_storage_fc', 'y0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_type_stfc', 'v_inp_storage_fc', 'type_stfc', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_a1', 'v_inp_storage_fc', 'a1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_a2', 'v_inp_storage_fc', 'a2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_a0', 'v_inp_storage_fc', 'a0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_apond', 'v_inp_storage_fc', 'apond', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_fevap', 'v_inp_storage_fc', 'fevap', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_sh', 'v_inp_storage_fc', 'sh', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_hc', 'v_inp_storage_fc', 'hc', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_imd', 'v_inp_storage_fc', 'imd', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_xcoord', 'v_inp_storage_fc', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_ycoord', 'v_inp_storage_fc', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_fc_sector_id', 'v_inp_storage_fc', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_node_id', 'v_inp_storage_tb', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_elev', 'v_inp_storage_tb', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_ymax', 'v_inp_storage_tb', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_y0', 'v_inp_storage_tb', 'y0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_type_sttb', 'v_inp_storage_tb', 'type_sttb', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_curve_id', 'v_inp_storage_tb', 'curve_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_apond', 'v_inp_storage_tb', 'apond', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_fevap', 'v_inp_storage_tb', 'fevap', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_sh', 'v_inp_storage_tb', 'sh', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_hc', 'v_inp_storage_tb', 'hc', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_imd', 'v_inp_storage_tb', 'imd', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_xcoord', 'v_inp_storage_tb', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_ycoord', 'v_inp_storage_tb', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_storage_tb_sector_id', 'v_inp_storage_tb', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_subc_id', 'v_inp_subcatch', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_node_id', 'v_inp_subcatch', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_rg_id', 'v_inp_subcatch', 'rg_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_area', 'v_inp_subcatch', 'area', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_imperv', 'v_inp_subcatch', 'imperv', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_width', 'v_inp_subcatch', 'width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_slope', 'v_inp_subcatch', 'slope', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_clength', 'v_inp_subcatch', 'clength', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_snow_id', 'v_inp_subcatch', 'snow_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_nimp', 'v_inp_subcatch', 'nimp', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_nperv', 'v_inp_subcatch', 'nperv', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_simp', 'v_inp_subcatch', 'simp', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_sperv', 'v_inp_subcatch', 'sperv', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_zero', 'v_inp_subcatch', 'zero', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_routeto', 'v_inp_subcatch', 'routeto', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_rted', 'v_inp_subcatch', 'rted', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_subcatch_sector_id', 'v_inp_subcatch', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_fl_type_tefl', 'v_inp_temp_fl', 'type_tefl', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_fl_fname', 'v_inp_temp_fl', 'fname', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_fl_start', 'v_inp_temp_fl', 'start', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_type_tesn', 'v_inp_temp_sn', 'type_tesn', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_stemp', 'v_inp_temp_sn', 'stemp', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_atiwt', 'v_inp_temp_sn', 'atiwt', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_rnm', 'v_inp_temp_sn', 'rnm', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_elev', 'v_inp_temp_sn', 'elev', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_lat', 'v_inp_temp_sn', 'lat', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_dtlong', 'v_inp_temp_sn', 'dtlong', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_type_teai', 'v_inp_temp_sn', 'type_teai', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_i_f0', 'v_inp_temp_sn', 'i_f0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_i_f1', 'v_inp_temp_sn', 'i_f1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_i_f2', 'v_inp_temp_sn', 'i_f2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_i_f3', 'v_inp_temp_sn', 'i_f3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_i_f4', 'v_inp_temp_sn', 'i_f4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_i_f5', 'v_inp_temp_sn', 'i_f5', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_i_f6', 'v_inp_temp_sn', 'i_f6', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_i_f7', 'v_inp_temp_sn', 'i_f7', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_i_f8', 'v_inp_temp_sn', 'i_f8', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_i_f9', 'v_inp_temp_sn', 'i_f9', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_type_teap', 'v_inp_temp_sn', 'type_teap', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_p_f0', 'v_inp_temp_sn', 'p_f0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_p_f1', 'v_inp_temp_sn', 'p_f1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_p_f2', 'v_inp_temp_sn', 'p_f2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_p_f3', 'v_inp_temp_sn', 'p_f3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_p_f4', 'v_inp_temp_sn', 'p_f4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_p_f5', 'v_inp_temp_sn', 'p_f5', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_p_f6', 'v_inp_temp_sn', 'p_f6', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_p_f7', 'v_inp_temp_sn', 'p_f7', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_p_f8', 'v_inp_temp_sn', 'p_f8', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_sn_p_f9', 'v_inp_temp_sn', 'p_f9', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_ts_type_tets', 'v_inp_temp_ts', 'type_tets', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_ts_timser_id', 'v_inp_temp_ts', 'timser_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wf_type_tews', 'v_inp_temp_wf', 'type_tews', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wf_type_tefl', 'v_inp_temp_wf', 'type_tefl', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wf_fname', 'v_inp_temp_wf', 'fname', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_type_tews', 'v_inp_temp_wm', 'type_tews', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_type_temo', 'v_inp_temp_wm', 'type_temo', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_value_1', 'v_inp_temp_wm', 'value_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_value_2', 'v_inp_temp_wm', 'value_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_value_3', 'v_inp_temp_wm', 'value_3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_value_4', 'v_inp_temp_wm', 'value_4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_value_5', 'v_inp_temp_wm', 'value_5', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_value_6', 'v_inp_temp_wm', 'value_6', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_value_7', 'v_inp_temp_wm', 'value_7', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_value_8', 'v_inp_temp_wm', 'value_8', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_value_9', 'v_inp_temp_wm', 'value_9', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_value_10', 'v_inp_temp_wm', 'value_10', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_value_11', 'v_inp_temp_wm', 'value_11', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_temp_wm_value_12', 'v_inp_temp_wm', 'value_12', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_timser_abs_timser_id', 'v_inp_timser_abs', 'timser_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_timser_abs_date', 'v_inp_timser_abs', 'date', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_timser_abs_hour', 'v_inp_timser_abs', 'hour', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_timser_abs_value', 'v_inp_timser_abs', 'value', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_timser_fl_timser_id', 'v_inp_timser_fl', 'timser_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_timser_fl_type_times', 'v_inp_timser_fl', 'type_times', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_timser_fl_fname', 'v_inp_timser_fl', 'fname', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_timser_rel_timser_id', 'v_inp_timser_rel', 'timser_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_timser_rel_time', 'v_inp_timser_rel', 'time', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_timser_rel_value', 'v_inp_timser_rel', 'value', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_transects_id', 'v_inp_transects', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_transects_text', 'v_inp_transects', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_treatment_node_id', 'v_inp_treatment', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_treatment_poll_id', 'v_inp_treatment', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_treatment_function', 'v_inp_treatment', 'function', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_treatment_sector_id', 'v_inp_treatment', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_vertice_id', 'v_inp_vertice', 'id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_vertice_arc_id', 'v_inp_vertice', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_vertice_xcoord', 'v_inp_vertice', 'xcoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_vertice_ycoord', 'v_inp_vertice', 'ycoord', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_washoff_landus_id', 'v_inp_washoff', 'landus_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_washoff_poll_id', 'v_inp_washoff', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_washoff_funcw_type', 'v_inp_washoff', 'funcw_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_washoff_c1', 'v_inp_washoff', 'c1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_washoff_c2', 'v_inp_washoff', 'c2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_washoff_sweepeffic', 'v_inp_washoff', 'sweepeffic', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_washoff_bmpeffic', 'v_inp_washoff', 'bmpeffic', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_arc_id', 'v_inp_weir', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_node_1', 'v_inp_weir', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_node_2', 'v_inp_weir', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_weir_type', 'v_inp_weir', 'weir_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_offset', 'v_inp_weir', 'offset', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_cd', 'v_inp_weir', 'cd', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_flap', 'v_inp_weir', 'flap', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_ec', 'v_inp_weir', 'ec', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_cd2', 'v_inp_weir', 'cd2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_shape', 'v_inp_weir', 'shape', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_geom1', 'v_inp_weir', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_geom2', 'v_inp_weir', 'geom2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_geom3', 'v_inp_weir', 'geom3', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_geom4', 'v_inp_weir', 'geom4', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_surcharge', 'v_inp_weir', 'surcharge', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_weir_sector_id', 'v_inp_weir', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_man_arc_arc_id', 'v_man_arc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_man_arc_node_1', 'v_man_arc', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_man_arc_node_2', 'v_man_arc', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_man_arc_the_geom', 'v_man_arc', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_man_connec_connec_id', 'v_man_connec', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_man_connec_the_geom', 'v_man_connec', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_man_gully_gully_id', 'v_man_gully', 'gully_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_man_gully_the_geom', 'v_man_gully', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_man_node_node_id', 'v_man_node', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_man_node_the_geom', 'v_man_node', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_compost_id', 'v_price_compost', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_compost_unit', 'v_price_compost', 'unit', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_compost_descript', 'v_price_compost', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_compost_price', 'v_price_compost', 'price', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc1_id', 'v_price_x_catarc1', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc1_geom1', 'v_price_x_catarc1', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc1_z1', 'v_price_x_catarc1', 'z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc1_z2', 'v_price_x_catarc1', 'z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc1_width', 'v_price_x_catarc1', 'width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc1_area', 'v_price_x_catarc1', 'area', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc1_bulk', 'v_price_x_catarc1', 'bulk', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc1_estimated_depth', 'v_price_x_catarc1', 'estimated_depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc1_cost_unit', 'v_price_x_catarc1', 'cost_unit', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc1_cost', 'v_price_x_catarc1', 'cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc2_id', 'v_price_x_catarc2', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc2_m2bottom_cost', 'v_price_x_catarc2', 'm2bottom_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc3_id', 'v_price_x_catarc3', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc3_m3protec_cost', 'v_price_x_catarc3', 'm3protec_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc_id', 'v_price_x_catarc', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc_geom1', 'v_price_x_catarc', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc_z1', 'v_price_x_catarc', 'z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc_z2', 'v_price_x_catarc', 'z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc_width', 'v_price_x_catarc', 'width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc_area', 'v_price_x_catarc', 'area', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc_bulk', 'v_price_x_catarc', 'bulk', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc_estimated_depth', 'v_price_x_catarc', 'estimated_depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc_cost_unit', 'v_price_x_catarc', 'cost_unit', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc_cost', 'v_price_x_catarc', 'cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc_m2bottom_cost', 'v_price_x_catarc', 'm2bottom_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catarc_m3protec_cost', 'v_price_x_catarc', 'm3protec_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catpavement_pavcat_id', 'v_price_x_catpavement', 'pavcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catpavement_thickness', 'v_price_x_catpavement', 'thickness', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catpavement_m2pav_cost', 'v_price_x_catpavement', 'm2pav_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil1_id', 'v_price_x_catsoil1', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil1_y_param', 'v_price_x_catsoil1', 'y_param', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil1_b', 'v_price_x_catsoil1', 'b', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil1_trenchlining', 'v_price_x_catsoil1', 'trenchlining', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil1_m3exc_cost', 'v_price_x_catsoil1', 'm3exc_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil2_id', 'v_price_x_catsoil2', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil2_m3fill_cost', 'v_price_x_catsoil2', 'm3fill_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil3_id', 'v_price_x_catsoil3', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil3_m3excess_cost', 'v_price_x_catsoil3', 'm3excess_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil4_id', 'v_price_x_catsoil4', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil4_m2trenchl_cost', 'v_price_x_catsoil4', 'm2trenchl_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil_id', 'v_price_x_catsoil', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil_y_param', 'v_price_x_catsoil', 'y_param', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil_b', 'v_price_x_catsoil', 'b', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil_trenchlining', 'v_price_x_catsoil', 'trenchlining', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil_m3exc_cost', 'v_price_x_catsoil', 'm3exc_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil_m3fill_cost', 'v_price_x_catsoil', 'm3fill_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil_m3excess_cost', 'v_price_x_catsoil', 'm3excess_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catsoil_m2trenchl_cost', 'v_price_x_catsoil', 'm2trenchl_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_arc_id', 'v_plan_ml_arc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_y1', 'v_plan_ml_arc', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_y2', 'v_plan_ml_arc', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_mean_y', 'v_plan_ml_arc', 'mean_y', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_arccat_id', 'v_plan_ml_arc', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_geom1', 'v_plan_ml_arc', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_z1', 'v_plan_ml_arc', 'z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_z2', 'v_plan_ml_arc', 'z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_area', 'v_plan_ml_arc', 'area', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_width', 'v_plan_ml_arc', 'width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_bulk', 'v_plan_ml_arc', 'bulk', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_cost_unit', 'v_plan_ml_arc', 'cost_unit', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_arc_cost', 'v_plan_ml_arc', 'arc_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_m2bottom_cost', 'v_plan_ml_arc', 'm2bottom_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_m3protec_cost', 'v_plan_ml_arc', 'm3protec_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_soilcat_id', 'v_plan_ml_arc', 'soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_y_param', 'v_plan_ml_arc', 'y_param', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_b', 'v_plan_ml_arc', 'b', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_trenchlining', 'v_plan_ml_arc', 'trenchlining', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_m3exc_cost', 'v_plan_ml_arc', 'm3exc_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_m3fill_cost', 'v_plan_ml_arc', 'm3fill_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_m3excess_cost', 'v_plan_ml_arc', 'm3excess_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_m2trenchl_cost', 'v_plan_ml_arc', 'm2trenchl_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_thickness', 'v_plan_ml_arc', 'thickness', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_m2pav_cost', 'v_plan_ml_arc', 'm2pav_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_state', 'v_plan_ml_arc', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_ml_arc_the_geom', 'v_plan_ml_arc', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_arc_id', 'v_plan_mlcost_arc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_arccat_id', 'v_plan_mlcost_arc', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_cost_unit', 'v_plan_mlcost_arc', 'cost_unit', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_arc_cost', 'v_plan_mlcost_arc', 'arc_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m2bottom_cost', 'v_plan_mlcost_arc', 'm2bottom_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_soilcat_id', 'v_plan_mlcost_arc', 'soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m3exc_cost', 'v_plan_mlcost_arc', 'm3exc_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m3fill_cost', 'v_plan_mlcost_arc', 'm3fill_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m3excess_cost', 'v_plan_mlcost_arc', 'm3excess_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m3protec_cost', 'v_plan_mlcost_arc', 'm3protec_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m2trenchl_cost', 'v_plan_mlcost_arc', 'm2trenchl_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m2pav_cost', 'v_plan_mlcost_arc', 'm2pav_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m2mlpavement', 'v_plan_mlcost_arc', 'm2mlpavement', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m2mlbase', 'v_plan_mlcost_arc', 'm2mlbase', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_calculed_y', 'v_plan_mlcost_arc', 'calculed_y', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m2mltrenchl', 'v_plan_mlcost_arc', 'm2mltrenchl', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m3mlexc', 'v_plan_mlcost_arc', 'm3mlexc', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m3mlprotec', 'v_plan_mlcost_arc', 'm3mlprotec', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m3mlfill', 'v_plan_mlcost_arc', 'm3mlfill', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_mlcost_arc_m3mlexcess', 'v_plan_mlcost_arc', 'm3mlexcess', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_arc_id', 'v_plan_arc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_arccat_id', 'v_plan_arc', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_cost_unit', 'v_plan_arc', 'cost_unit', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_cost', 'v_plan_arc', 'cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_length', 'v_plan_arc', 'length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_budget', 'v_plan_arc', 'budget', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_state', 'v_plan_arc', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_the_geom', 'v_plan_arc', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_x_psector_arc_id', 'v_plan_arc_x_psector', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_x_psector_arccat_id', 'v_plan_arc_x_psector', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_x_psector_cost_unit', 'v_plan_arc_x_psector', 'cost_unit', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_x_psector_cost', 'v_plan_arc_x_psector', 'cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_x_psector_length', 'v_plan_arc_x_psector', 'length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_x_psector_budget', 'v_plan_arc_x_psector', 'budget', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_x_psector_psector_id', 'v_plan_arc_x_psector', 'psector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_x_psector_state', 'v_plan_arc_x_psector', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_x_psector_atlas_id', 'v_plan_arc_x_psector', 'atlas_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_vat', 'v_plan_psector_arc', 'vat', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_arc_x_psector_the_geom', 'v_plan_arc_x_psector', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_arc_id', 'v_plan_cost_arc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_arccat_id', 'v_plan_cost_arc', 'arccat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_soilcat_id', 'v_plan_cost_arc', 'soilcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_y1', 'v_plan_cost_arc', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_y2', 'v_plan_cost_arc', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_mean_y', 'v_plan_cost_arc', 'mean_y', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_z1', 'v_plan_cost_arc', 'z1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_z2', 'v_plan_cost_arc', 'z2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_thickness', 'v_plan_cost_arc', 'thickness', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_width', 'v_plan_cost_arc', 'width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_b', 'v_plan_cost_arc', 'b', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_bulk', 'v_plan_cost_arc', 'bulk', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_geom1', 'v_plan_cost_arc', 'geom1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_area', 'v_plan_cost_arc', 'area', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_y_param', 'v_plan_cost_arc', 'y_param', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_total_y', 'v_plan_cost_arc', 'total_y', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_rec_y', 'v_plan_cost_arc', 'rec_y', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_geom1_ext', 'v_plan_cost_arc', 'geom1_ext', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_bulk_bottom', 'v_plan_cost_arc', 'bulk_bottom', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_calculed_y', 'v_plan_cost_arc', 'calculed_y', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m3mlexc', 'v_plan_cost_arc', 'm3mlexc', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m2mltrenchl', 'v_plan_cost_arc', 'm2mltrenchl', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m2mlbottom', 'v_plan_cost_arc', 'm2mlbottom', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m2mlpav', 'v_plan_cost_arc', 'm2mlpav', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m3mlprotec', 'v_plan_cost_arc', 'm3mlprotec', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m3mlfill', 'v_plan_cost_arc', 'm3mlfill', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m3mlexcess', 'v_plan_cost_arc', 'm3mlexcess', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m3exc_cost', 'v_plan_cost_arc', 'm3exc_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m2trenchl_cost', 'v_plan_cost_arc', 'm2trenchl_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m2bottom_cost', 'v_plan_cost_arc', 'm2bottom_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m2pav_cost', 'v_plan_cost_arc', 'm2pav_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m3protec_cost', 'v_plan_cost_arc', 'm3protec_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m3fill_cost', 'v_plan_cost_arc', 'm3fill_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_m3excess_cost', 'v_plan_cost_arc', 'm3excess_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_cost_unit', 'v_plan_cost_arc', 'cost_unit', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_pav_cost', 'v_plan_cost_arc', 'pav_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_exc_cost', 'v_plan_cost_arc', 'exc_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_trenchl_cost', 'v_plan_cost_arc', 'trenchl_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_base_cost', 'v_plan_cost_arc', 'base_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_protec_cost', 'v_plan_cost_arc', 'protec_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_fill_cost', 'v_plan_cost_arc', 'fill_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_excess_cost', 'v_plan_cost_arc', 'excess_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_arc_cost', 'v_plan_cost_arc', 'arc_cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_cost_arc_cost', 'v_plan_cost_arc', 'cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catnode_id', 'v_price_x_catnode', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catnode_estimated_y', 'v_price_x_catnode', 'estimated_y', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catnode_cost_unit', 'v_price_x_catnode', 'cost_unit', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_catnode_cost', 'v_price_x_catnode', 'cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_node_id', 'v_plan_node', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_node_type', 'v_plan_node', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_ymax', 'v_plan_node', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_cost_unit', 'v_plan_node', 'cost_unit', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_calculated_depth', 'v_plan_node', 'calculated_depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_cost', 'v_plan_node', 'cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_budget', 'v_plan_node', 'budget', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_state', 'v_plan_node', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_the_geom', 'v_plan_node', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_x_psector_node_id', 'v_plan_node_x_psector', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_x_psector_node_type', 'v_plan_node_x_psector', 'node_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_x_psector_descript', 'v_plan_node_x_psector', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_x_psector_budget', 'v_plan_node_x_psector', 'budget', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_x_psector_psector_id', 'v_plan_node_x_psector', 'psector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_x_psector_state', 'v_plan_node_x_psector', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_x_psector_atlas_id', 'v_plan_node_x_psector', 'atlas_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_node_x_psector_the_geom', 'v_plan_node_x_psector', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_other_x_psector_id', 'v_plan_other_x_psector', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_other_x_psector_psector_id', 'v_plan_other_x_psector', 'psector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_other_x_psector_price_id', 'v_plan_other_x_psector', 'price_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_other_x_psector_descript', 'v_plan_other_x_psector', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_other_x_psector_price', 'v_plan_other_x_psector', 'price', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_other_x_psector_measurement', 'v_plan_other_x_psector', 'measurement', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_other_x_psector_budget', 'v_plan_other_x_psector', 'budget', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_other_x_psector_atlas_id', 'v_plan_other_x_psector', 'atlas_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_psector_id', 'v_plan_psector_arc', 'psector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_descript', 'v_plan_psector_arc', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_priority', 'v_plan_psector_arc', 'priority', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_text1', 'v_plan_psector_arc', 'text1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_text2', 'v_plan_psector_arc', 'text2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_observ', 'v_plan_psector_arc', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_rotation', 'v_plan_psector_arc', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_scale', 'v_plan_psector_arc', 'scale', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_sector_id', 'v_plan_psector_arc', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_pem', 'v_plan_psector_arc', 'pem', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_gexpenses', 'v_plan_psector_arc', 'gexpenses', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_pec', 'v_plan_psector_arc', 'pec', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_pec_vat', 'v_plan_psector_arc', 'pec_vat', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_other', 'v_plan_psector_arc', 'other', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_pca', 'v_plan_psector_arc', 'pca', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_atlas_id', 'v_plan_psector_arc', 'atlas_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_arc_the_geom', 'v_plan_psector_arc', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_psector_id', 'v_plan_psector_node', 'psector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_descript', 'v_plan_psector_node', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_priority', 'v_plan_psector_node', 'priority', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_text1', 'v_plan_psector_node', 'text1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_text2', 'v_plan_psector_node', 'text2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_observ', 'v_plan_psector_node', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_rotation', 'v_plan_psector_node', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_scale', 'v_plan_psector_node', 'scale', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_sector_id', 'v_plan_psector_node', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_pem', 'v_plan_psector_node', 'pem', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_gexpenses', 'v_plan_psector_node', 'gexpenses', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_pec', 'v_plan_psector_node', 'pec', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_vat', 'v_plan_psector_node', 'vat', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_pec_vat', 'v_plan_psector_node', 'pec_vat', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_other', 'v_plan_psector_node', 'other', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_pca', 'v_plan_psector_node', 'pca', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_atlas_id', 'v_plan_psector_node', 'atlas_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_node_the_geom', 'v_plan_psector_node', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_psector_id', 'v_plan_psector_other', 'psector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_descript', 'v_plan_psector_other', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_priority', 'v_plan_psector_other', 'priority', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_text1', 'v_plan_psector_other', 'text1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_text2', 'v_plan_psector_other', 'text2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_observ', 'v_plan_psector_other', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_rotation', 'v_plan_psector_other', 'rotation', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_scale', 'v_plan_psector_other', 'scale', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_sector_id', 'v_plan_psector_other', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_pem', 'v_plan_psector_other', 'pem', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_gexpenses', 'v_plan_psector_other', 'gexpenses', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_pec', 'v_plan_psector_other', 'pec', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_vat', 'v_plan_psector_other', 'vat', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_pec_vat', 'v_plan_psector_other', 'pec_vat', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_other', 'v_plan_psector_other', 'other', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_pca', 'v_plan_psector_other', 'pca', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_atlas_id', 'v_plan_psector_other', 'atlas_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_other_the_geom', 'v_plan_psector_other', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_psector_id', 'v_plan_psector', 'psector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_pem', 'v_plan_psector', 'pem', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_pec', 'v_plan_psector', 'pec', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_pec_vat', 'v_plan_psector', 'pec_vat', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_pca', 'v_plan_psector', 'pca', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_atlas_id', 'v_plan_psector', 'atlas_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_the_geom', 'v_plan_psector', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_filtered_psector_id', 'v_plan_psector_filtered', 'psector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_filtered_pem', 'v_plan_psector_filtered', 'pem', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_filtered_pec', 'v_plan_psector_filtered', 'pec', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_filtered_pec_vat', 'v_plan_psector_filtered', 'pec_vat', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_filtered_pca', 'v_plan_psector_filtered', 'pca', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_filtered_atlas_id', 'v_plan_psector_filtered', 'atlas_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_plan_psector_filtered_the_geom', 'v_plan_psector_filtered', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_arc_arc_id', 'v_price_x_arc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_arc_catalog_id', 'v_price_x_arc', 'catalog_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_arc_price_id', 'v_price_x_arc', 'price_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_arc_unit', 'v_price_x_arc', 'unit', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_arc_descript', 'v_price_x_arc', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_arc_cost', 'v_price_x_arc', 'cost', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_arc_identif', 'v_price_x_arc', 'identif', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_node_node_id', 'v_price_x_node', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_node_nodecat_id', 'v_price_x_node', 'nodecat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_node_unit', 'v_price_x_node', 'unit', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_node_descript', 'v_price_x_node', 'descript', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_node_price', 'v_price_x_node', 'price', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_node_calculated_depth', 'v_price_x_node', 'calculated_depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_price_x_node_budget', 'v_price_x_node', 'budget', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_id', 'v_rpt_arcflow_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_result_id', 'v_rpt_arcflow_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_arc_id', 'v_rpt_arcflow_sum', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_arc_type', 'v_rpt_arcflow_sum', 'arc_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_max_flow', 'v_rpt_arcflow_sum', 'max_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_time_days', 'v_rpt_arcflow_sum', 'time_days', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_time_hour', 'v_rpt_arcflow_sum', 'time_hour', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_max_veloc', 'v_rpt_arcflow_sum', 'max_veloc', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_mfull_flow', 'v_rpt_arcflow_sum', 'mfull_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_mfull_dept', 'v_rpt_arcflow_sum', 'mfull_dept', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_max_shear', 'v_rpt_arcflow_sum', 'max_shear', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_max_hr', 'v_rpt_arcflow_sum', 'max_hr', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_max_slope', 'v_rpt_arcflow_sum', 'max_slope', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_day_max', 'v_rpt_arcflow_sum', 'day_max', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_time_max', 'v_rpt_arcflow_sum', 'time_max', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_min_shear', 'v_rpt_arcflow_sum', 'min_shear', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_day_min', 'v_rpt_arcflow_sum', 'day_min', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_time_min', 'v_rpt_arcflow_sum', 'time_min', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_sector_id', 'v_rpt_arcflow_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcflow_sum_the_geom', 'v_rpt_arcflow_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcpolload_sum_id', 'v_rpt_arcpolload_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcpolload_sum_result_id', 'v_rpt_arcpolload_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcpolload_sum_arc_id', 'v_rpt_arcpolload_sum', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcpolload_sum_poll_id', 'v_rpt_arcpolload_sum', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcpolload_sum_sector_id', 'v_rpt_arcpolload_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_arcpolload_sum_the_geom', 'v_rpt_arcpolload_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_id', 'v_rpt_comp_arcflow_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_result_id', 'v_rpt_comp_arcflow_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_arc_id', 'v_rpt_comp_arcflow_sum', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_arc_type', 'v_rpt_comp_arcflow_sum', 'arc_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_max_flow', 'v_rpt_comp_arcflow_sum', 'max_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_time_days', 'v_rpt_comp_arcflow_sum', 'time_days', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_time_hour', 'v_rpt_comp_arcflow_sum', 'time_hour', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_max_veloc', 'v_rpt_comp_arcflow_sum', 'max_veloc', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_mfull_flow', 'v_rpt_comp_arcflow_sum', 'mfull_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_mfull_dept', 'v_rpt_comp_arcflow_sum', 'mfull_dept', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_max_shear', 'v_rpt_comp_arcflow_sum', 'max_shear', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_max_hr', 'v_rpt_comp_arcflow_sum', 'max_hr', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_max_slope', 'v_rpt_comp_arcflow_sum', 'max_slope', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_day_max', 'v_rpt_comp_arcflow_sum', 'day_max', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_time_max', 'v_rpt_comp_arcflow_sum', 'time_max', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_min_shear', 'v_rpt_comp_arcflow_sum', 'min_shear', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_day_min', 'v_rpt_comp_arcflow_sum', 'day_min', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_time_min', 'v_rpt_comp_arcflow_sum', 'time_min', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_sector_id', 'v_rpt_comp_arcflow_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcflow_sum_the_geom', 'v_rpt_comp_arcflow_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcpolload_sum_id', 'v_rpt_comp_arcpolload_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcpolload_sum_result_id', 'v_rpt_comp_arcpolload_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcpolload_sum_arc_id', 'v_rpt_comp_arcpolload_sum', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcpolload_sum_poll_id', 'v_rpt_comp_arcpolload_sum', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcpolload_sum_sector_id', 'v_rpt_comp_arcpolload_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_arcpolload_sum_the_geom', 'v_rpt_comp_arcpolload_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_condsurcharge_sum_id', 'v_rpt_comp_condsurcharge_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_condsurcharge_sum_result_id', 'v_rpt_comp_condsurcharge_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_condsurcharge_sum_arc_id', 'v_rpt_comp_condsurcharge_sum', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_condsurcharge_sum_both_ends', 'v_rpt_comp_condsurcharge_sum', 'both_ends', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_condsurcharge_sum_upstream', 'v_rpt_comp_condsurcharge_sum', 'upstream', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_condsurcharge_sum_dnstream', 'v_rpt_comp_condsurcharge_sum', 'dnstream', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_condsurcharge_sum_hour_nflow', 'v_rpt_comp_condsurcharge_sum', 'hour_nflow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_condsurcharge_sum_hour_limit', 'v_rpt_comp_condsurcharge_sum', 'hour_limit', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_condsurcharge_sum_sector_id', 'v_rpt_comp_condsurcharge_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_condsurcharge_sum_the_geom', 'v_rpt_comp_condsurcharge_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_continuity_errors_id', 'v_rpt_comp_continuity_errors', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_continuity_errors_result_id', 'v_rpt_comp_continuity_errors', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_continuity_errors_text', 'v_rpt_comp_continuity_errors', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_critical_elements_id', 'v_rpt_comp_critical_elements', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_critical_elements_result_id', 'v_rpt_comp_critical_elements', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_critical_elements_text', 'v_rpt_comp_critical_elements', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowclass_sum_id', 'v_rpt_comp_flowclass_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowclass_sum_result_id', 'v_rpt_comp_flowclass_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowclass_sum_arc_id', 'v_rpt_comp_flowclass_sum', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowclass_sum_length', 'v_rpt_comp_flowclass_sum', 'length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowclass_sum_dry', 'v_rpt_comp_flowclass_sum', 'dry', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowclass_sum_up_dry', 'v_rpt_comp_flowclass_sum', 'up_dry', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowclass_sum_down_dry', 'v_rpt_comp_flowclass_sum', 'down_dry', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowclass_sum_sub_crit', 'v_rpt_comp_flowclass_sum', 'sub_crit', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowclass_sum_sub_crit_1', 'v_rpt_comp_flowclass_sum', 'sub_crit_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowclass_sum_up_crit', 'v_rpt_comp_flowclass_sum', 'up_crit', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowclass_sum_sector_id', 'v_rpt_comp_flowclass_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowclass_sum_the_geom', 'v_rpt_comp_flowclass_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_id', 'v_rpt_comp_flowrouting_cont', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_result_id', 'v_rpt_comp_flowrouting_cont', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_dryw_inf', 'v_rpt_comp_flowrouting_cont', 'dryw_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_wetw_inf', 'v_rpt_comp_flowrouting_cont', 'wetw_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_ground_inf', 'v_rpt_comp_flowrouting_cont', 'ground_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_rdii_inf', 'v_rpt_comp_flowrouting_cont', 'rdii_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_ext_inf', 'v_rpt_comp_flowrouting_cont', 'ext_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_ext_out', 'v_rpt_comp_flowrouting_cont', 'ext_out', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_int_out', 'v_rpt_comp_flowrouting_cont', 'int_out', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_evap_losses', 'v_rpt_comp_flowrouting_cont', 'evap_losses', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_seepage_losses', 'v_rpt_comp_flowrouting_cont', 'seepage_losses', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_stor_loss', 'v_rpt_comp_flowrouting_cont', 'stor_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_initst_vol', 'v_rpt_comp_flowrouting_cont', 'initst_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_finst_vol', 'v_rpt_comp_flowrouting_cont', 'finst_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_flowrouting_cont_cont_error', 'v_rpt_comp_flowrouting_cont', 'cont_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_groundwater_cont_id', 'v_rpt_comp_groundwater_cont', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_groundwater_cont_result_id', 'v_rpt_comp_groundwater_cont', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_groundwater_cont_init_stor', 'v_rpt_comp_groundwater_cont', 'init_stor', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_groundwater_cont_infilt', 'v_rpt_comp_groundwater_cont', 'infilt', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_groundwater_cont_upzone_et', 'v_rpt_comp_groundwater_cont', 'upzone_et', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_groundwater_cont_lowzone_et', 'v_rpt_comp_groundwater_cont', 'lowzone_et', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_groundwater_cont_deep_perc', 'v_rpt_comp_groundwater_cont', 'deep_perc', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_groundwater_cont_groundw_fl', 'v_rpt_comp_groundwater_cont', 'groundw_fl', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_groundwater_cont_final_stor', 'v_rpt_comp_groundwater_cont', 'final_stor', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_groundwater_cont_cont_error', 'v_rpt_comp_groundwater_cont', 'cont_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_high_cont_errors_id', 'v_rpt_comp_high_cont_errors', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_high_cont_errors_result_id', 'v_rpt_comp_high_cont_errors', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_high_cont_errors_text', 'v_rpt_comp_high_cont_errors', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_high_flowinest_ind_id', 'v_rpt_comp_high_flowinest_ind', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_high_flowinest_ind_result_id', 'v_rpt_comp_high_flowinest_ind', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_high_flowinest_ind_text', 'v_rpt_comp_high_flowinest_ind', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_instability_index_id', 'v_rpt_comp_instability_index', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_instability_index_result_id', 'v_rpt_comp_instability_index', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_instability_index_text', 'v_rpt_comp_instability_index', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_id', 'v_rpt_comp_lidperfomance_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_result_id', 'v_rpt_comp_lidperfomance_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_subc_id', 'v_rpt_comp_lidperfomance_sum', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_lidco_id', 'v_rpt_comp_lidperfomance_sum', 'lidco_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_tot_inflow', 'v_rpt_comp_lidperfomance_sum', 'tot_inflow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_evap_loss', 'v_rpt_comp_lidperfomance_sum', 'evap_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_infil_loss', 'v_rpt_comp_lidperfomance_sum', 'infil_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_surf_outf', 'v_rpt_comp_lidperfomance_sum', 'surf_outf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_drain_outf', 'v_rpt_comp_lidperfomance_sum', 'drain_outf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_init_stor', 'v_rpt_comp_lidperfomance_sum', 'init_stor', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_final_stor', 'v_rpt_comp_lidperfomance_sum', 'final_stor', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_per_error', 'v_rpt_comp_lidperfomance_sum', 'per_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_sector_id', 'v_rpt_comp_lidperfomance_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_lidperfomance_sum_the_geom', 'v_rpt_comp_lidperfomance_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodedepth_sum_id', 'v_rpt_comp_nodedepth_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodedepth_sum_result_id', 'v_rpt_comp_nodedepth_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodedepth_sum_node_id', 'v_rpt_comp_nodedepth_sum', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodedepth_sum_swnod_type', 'v_rpt_comp_nodedepth_sum', 'swnod_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodedepth_sum_aver_depth', 'v_rpt_comp_nodedepth_sum', 'aver_depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodedepth_sum_max_depth', 'v_rpt_comp_nodedepth_sum', 'max_depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodedepth_sum_max_hgl', 'v_rpt_comp_nodedepth_sum', 'max_hgl', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodedepth_sum_time_days', 'v_rpt_comp_nodedepth_sum', 'time_days', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodedepth_sum_time_hour', 'v_rpt_comp_nodedepth_sum', 'time_hour', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodedepth_sum_sector_id', 'v_rpt_comp_nodedepth_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodedepth_sum_the_geom', 'v_rpt_comp_nodedepth_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeflooding_sum_id', 'v_rpt_comp_nodeflooding_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeflooding_sum_result_id', 'v_rpt_comp_nodeflooding_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeflooding_sum_node_id', 'v_rpt_comp_nodeflooding_sum', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeflooding_sum_hour_flood', 'v_rpt_comp_nodeflooding_sum', 'hour_flood', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeflooding_sum_max_rate', 'v_rpt_comp_nodeflooding_sum', 'max_rate', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeflooding_sum_time_days', 'v_rpt_comp_nodeflooding_sum', 'time_days', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeflooding_sum_time_hour', 'v_rpt_comp_nodeflooding_sum', 'time_hour', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeflooding_sum_tot_flood', 'v_rpt_comp_nodeflooding_sum', 'tot_flood', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeflooding_sum_max_ponded', 'v_rpt_comp_nodeflooding_sum', 'max_ponded', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeflooding_sum_sector_id', 'v_rpt_comp_nodeflooding_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeflooding_sum_the_geom', 'v_rpt_comp_nodeflooding_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeinflow_sum_id', 'v_rpt_comp_nodeinflow_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeinflow_sum_result_id', 'v_rpt_comp_nodeinflow_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeinflow_sum_node_id', 'v_rpt_comp_nodeinflow_sum', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeinflow_sum_swnod_type', 'v_rpt_comp_nodeinflow_sum', 'swnod_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeinflow_sum_max_latinf', 'v_rpt_comp_nodeinflow_sum', 'max_latinf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeinflow_sum_max_totinf', 'v_rpt_comp_nodeinflow_sum', 'max_totinf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeinflow_sum_time_days', 'v_rpt_comp_nodeinflow_sum', 'time_days', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeinflow_sum_time_hour', 'v_rpt_comp_nodeinflow_sum', 'time_hour', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeinflow_sum_latinf_vol', 'v_rpt_comp_nodeinflow_sum', 'latinf_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeinflow_sum_totinf_vol', 'v_rpt_comp_nodeinflow_sum', 'totinf_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeinflow_sum_flow_balance_error', 'v_rpt_comp_nodeinflow_sum', 'flow_balance_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeinflow_sum_sector_id', 'v_rpt_comp_nodeinflow_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodeinflow_sum_the_geom', 'v_rpt_comp_nodeinflow_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodesurcharge_sum_id', 'v_rpt_comp_nodesurcharge_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodesurcharge_sum_result_id', 'v_rpt_comp_nodesurcharge_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodesurcharge_sum_swnod_type', 'v_rpt_comp_nodesurcharge_sum', 'swnod_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodesurcharge_sum_hour_surch', 'v_rpt_comp_nodesurcharge_sum', 'hour_surch', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodesurcharge_sum_max_height', 'v_rpt_comp_nodesurcharge_sum', 'max_height', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodesurcharge_sum_min_depth', 'v_rpt_comp_nodesurcharge_sum', 'min_depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodesurcharge_sum_sector_id', 'v_rpt_comp_nodesurcharge_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_nodesurcharge_sum_the_geom', 'v_rpt_comp_nodesurcharge_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallflow_sum_id', 'v_rpt_comp_outfallflow_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallflow_sum_node_id', 'v_rpt_comp_outfallflow_sum', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallflow_sum_result_id', 'v_rpt_comp_outfallflow_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallflow_sum_flow_freq', 'v_rpt_comp_outfallflow_sum', 'flow_freq', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallflow_sum_avg_flow', 'v_rpt_comp_outfallflow_sum', 'avg_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallflow_sum_max_flow', 'v_rpt_comp_outfallflow_sum', 'max_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallflow_sum_total_vol', 'v_rpt_comp_outfallflow_sum', 'total_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallflow_sum_the_geom', 'v_rpt_comp_outfallflow_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallflow_sum_sector_id', 'v_rpt_comp_outfallflow_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallload_sum_id', 'v_rpt_comp_outfallload_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallload_sum_result_id', 'v_rpt_comp_outfallload_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallload_sum_poll_id', 'v_rpt_comp_outfallload_sum', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallload_sum_node_id', 'v_rpt_comp_outfallload_sum', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallload_sum_value', 'v_rpt_comp_outfallload_sum', 'value', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallload_sum_sector_id', 'v_rpt_comp_outfallload_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_outfallload_sum_the_geom', 'v_rpt_comp_outfallload_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_id', 'v_rpt_comp_pumping_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_result_id', 'v_rpt_comp_pumping_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_arc_id', 'v_rpt_comp_pumping_sum', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_percent', 'v_rpt_comp_pumping_sum', 'percent', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_num_startup', 'v_rpt_comp_pumping_sum', 'num_startup', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_min_flow', 'v_rpt_comp_pumping_sum', 'min_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_avg_flow', 'v_rpt_comp_pumping_sum', 'avg_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_max_flow', 'v_rpt_comp_pumping_sum', 'max_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_vol_ltr', 'v_rpt_comp_pumping_sum', 'vol_ltr', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_powus_kwh', 'v_rpt_comp_pumping_sum', 'powus_kwh', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_timoff_min', 'v_rpt_comp_pumping_sum', 'timoff_min', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_timoff_max', 'v_rpt_comp_pumping_sum', 'timoff_max', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_sector_id', 'v_rpt_comp_pumping_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_pumping_sum_the_geom', 'v_rpt_comp_pumping_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_id', 'v_rpt_comp_qualrouting', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_result_id', 'v_rpt_comp_qualrouting', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_poll_id', 'v_rpt_comp_qualrouting', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_dryw_inf', 'v_rpt_comp_qualrouting', 'dryw_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_wetw_inf', 'v_rpt_comp_qualrouting', 'wetw_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_ground_inf', 'v_rpt_comp_qualrouting', 'ground_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_rdii_inf', 'v_rpt_comp_qualrouting', 'rdii_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_ext_inf', 'v_rpt_comp_qualrouting', 'ext_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_int_inf', 'v_rpt_comp_qualrouting', 'int_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_ext_out', 'v_rpt_comp_qualrouting', 'ext_out', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_mass_reac', 'v_rpt_comp_qualrouting', 'mass_reac', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_initst_mas', 'v_rpt_comp_qualrouting', 'initst_mas', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_finst_mas', 'v_rpt_comp_qualrouting', 'finst_mas', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_qualrouting_cont_error', 'v_rpt_comp_qualrouting', 'cont_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_rainfall_dep_id', 'v_rpt_comp_rainfall_dep', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_rainfall_dep_result_id', 'v_rpt_comp_rainfall_dep', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_rainfall_dep_sewer_rain', 'v_rpt_comp_rainfall_dep', 'sewer_rain', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_rainfall_dep_rdiip_prod', 'v_rpt_comp_rainfall_dep', 'rdiip_prod', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_rainfall_dep_rdiir_rat', 'v_rpt_comp_rainfall_dep', 'rdiir_rat', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_routing_timestep_id', 'v_rpt_comp_routing_timestep', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_routing_timestep_result_id', 'v_rpt_comp_routing_timestep', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_routing_timestep_text', 'v_rpt_comp_routing_timestep', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_qual_id', 'v_rpt_comp_runoff_qual', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_qual_result_id', 'v_rpt_comp_runoff_qual', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_qual_poll_id', 'v_rpt_comp_runoff_qual', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_qual_init_buil', 'v_rpt_comp_runoff_qual', 'init_buil', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_qual_surf_buil', 'v_rpt_comp_runoff_qual', 'surf_buil', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_qual_wet_dep', 'v_rpt_comp_runoff_qual', 'wet_dep', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_qual_sweep_re', 'v_rpt_comp_runoff_qual', 'sweep_re', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_qual_infil_loss', 'v_rpt_comp_runoff_qual', 'infil_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_qual_bmp_re', 'v_rpt_comp_runoff_qual', 'bmp_re', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_qual_surf_runof', 'v_rpt_comp_runoff_qual', 'surf_runof', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_qual_rem_buil', 'v_rpt_comp_runoff_qual', 'rem_buil', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_qual_cont_error', 'v_rpt_comp_runoff_qual', 'cont_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_quant_id', 'v_rpt_comp_runoff_quant', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_quant_result_id', 'v_rpt_comp_runoff_quant', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_quant_initsw_co', 'v_rpt_comp_runoff_quant', 'initsw_co', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_quant_total_prec', 'v_rpt_comp_runoff_quant', 'total_prec', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_quant_evap_loss', 'v_rpt_comp_runoff_quant', 'evap_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_quant_infil_loss', 'v_rpt_comp_runoff_quant', 'infil_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_quant_surf_runof', 'v_rpt_comp_runoff_quant', 'surf_runof', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_quant_snow_re', 'v_rpt_comp_runoff_quant', 'snow_re', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_quant_finalsw_co', 'v_rpt_comp_runoff_quant', 'finalsw_co', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_quant_finals_sto', 'v_rpt_comp_runoff_quant', 'finals_sto', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_runoff_quant_cont_error', 'v_rpt_comp_runoff_quant', 'cont_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_storagevol_sum_id', 'v_rpt_comp_storagevol_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_storagevol_sum_result_id', 'v_rpt_comp_storagevol_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_storagevol_sum_node_id', 'v_rpt_comp_storagevol_sum', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_storagevol_sum_aver_vol', 'v_rpt_comp_storagevol_sum', 'aver_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_storagevol_sum_avg_full', 'v_rpt_comp_storagevol_sum', 'avg_full', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_storagevol_sum_ei_loss', 'v_rpt_comp_storagevol_sum', 'ei_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_storagevol_sum_max_vol', 'v_rpt_comp_storagevol_sum', 'max_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_storagevol_sum_max_full', 'v_rpt_comp_storagevol_sum', 'max_full', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_storagevol_sum_time_days', 'v_rpt_comp_storagevol_sum', 'time_days', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_storagevol_sum_time_hour', 'v_rpt_comp_storagevol_sum', 'time_hour', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_storagevol_sum_max_out', 'v_rpt_comp_storagevol_sum', 'max_out', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_storagevol_sum_sector_id', 'v_rpt_comp_storagevol_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_storagevol_sum_the_geom', 'v_rpt_comp_storagevol_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_id', 'v_rpt_comp_subcatchrunoff_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_result_id', 'v_rpt_comp_subcatchrunoff_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_subc_id', 'v_rpt_comp_subcatchrunoff_sum', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_tot_precip', 'v_rpt_comp_subcatchrunoff_sum', 'tot_precip', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_tot_runon', 'v_rpt_comp_subcatchrunoff_sum', 'tot_runon', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_tot_evap', 'v_rpt_comp_subcatchrunoff_sum', 'tot_evap', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_tot_infil', 'v_rpt_comp_subcatchrunoff_sum', 'tot_infil', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_tot_runoff', 'v_rpt_comp_subcatchrunoff_sum', 'tot_runoff', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_tot_runofl', 'v_rpt_comp_subcatchrunoff_sum', 'tot_runofl', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_peak_runof', 'v_rpt_comp_subcatchrunoff_sum', 'peak_runof', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_runoff_coe', 'v_rpt_comp_subcatchrunoff_sum', 'runoff_coe', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_vxmax', 'v_rpt_comp_subcatchrunoff_sum', 'vxmax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_vymax', 'v_rpt_comp_subcatchrunoff_sum', 'vymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_depth', 'v_rpt_comp_subcatchrunoff_sum', 'depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_vel', 'v_rpt_comp_subcatchrunoff_sum', 'vel', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_vhmax', 'v_rpt_comp_subcatchrunoff_sum', 'vhmax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_sector_id', 'v_rpt_comp_subcatchrunoff_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchrunoff_sum_the_geom', 'v_rpt_comp_subcatchrunoff_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchwasoff_sum_id', 'v_rpt_comp_subcatchwasoff_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchwasoff_sum_result_id', 'v_rpt_comp_subcatchwasoff_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchwasoff_sum_subc_id', 'v_rpt_comp_subcatchwasoff_sum', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchwasoff_sum_poll_id', 'v_rpt_comp_subcatchwasoff_sum', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchwasoff_sum_value', 'v_rpt_comp_subcatchwasoff_sum', 'value', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchwasoff_sum_sector_id', 'v_rpt_comp_subcatchwasoff_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_subcatchwasoff_sum_the_geom', 'v_rpt_comp_subcatchwasoff_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_timestep_critelem_id', 'v_rpt_comp_timestep_critelem', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_timestep_critelem_result_id', 'v_rpt_comp_timestep_critelem', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_comp_timestep_critelem_text', 'v_rpt_comp_timestep_critelem', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_condsurcharge_sum_id', 'v_rpt_condsurcharge_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_condsurcharge_sum_result_id', 'v_rpt_condsurcharge_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_condsurcharge_sum_arc_id', 'v_rpt_condsurcharge_sum', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_condsurcharge_sum_both_ends', 'v_rpt_condsurcharge_sum', 'both_ends', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_condsurcharge_sum_upstream', 'v_rpt_condsurcharge_sum', 'upstream', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_condsurcharge_sum_dnstream', 'v_rpt_condsurcharge_sum', 'dnstream', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_condsurcharge_sum_hour_nflow', 'v_rpt_condsurcharge_sum', 'hour_nflow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_condsurcharge_sum_hour_limit', 'v_rpt_condsurcharge_sum', 'hour_limit', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_condsurcharge_sum_sector_id', 'v_rpt_condsurcharge_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_condsurcharge_sum_the_geom', 'v_rpt_condsurcharge_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_continuity_errors_id', 'v_rpt_continuity_errors', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_continuity_errors_result_id', 'v_rpt_continuity_errors', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_continuity_errors_text', 'v_rpt_continuity_errors', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_critical_elements_id', 'v_rpt_critical_elements', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_critical_elements_result_id', 'v_rpt_critical_elements', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_critical_elements_text', 'v_rpt_critical_elements', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowclass_sum_id', 'v_rpt_flowclass_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowclass_sum_result_id', 'v_rpt_flowclass_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowclass_sum_arc_id', 'v_rpt_flowclass_sum', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowclass_sum_length', 'v_rpt_flowclass_sum', 'length', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowclass_sum_dry', 'v_rpt_flowclass_sum', 'dry', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowclass_sum_up_dry', 'v_rpt_flowclass_sum', 'up_dry', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowclass_sum_down_dry', 'v_rpt_flowclass_sum', 'down_dry', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowclass_sum_sub_crit', 'v_rpt_flowclass_sum', 'sub_crit', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowclass_sum_sub_crit_1', 'v_rpt_flowclass_sum', 'sub_crit_1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowclass_sum_up_crit', 'v_rpt_flowclass_sum', 'up_crit', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowclass_sum_sector_id', 'v_rpt_flowclass_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowclass_sum_the_geom', 'v_rpt_flowclass_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_id', 'v_rpt_flowrouting_cont', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_result_id', 'v_rpt_flowrouting_cont', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_dryw_inf', 'v_rpt_flowrouting_cont', 'dryw_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_wetw_inf', 'v_rpt_flowrouting_cont', 'wetw_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_ground_inf', 'v_rpt_flowrouting_cont', 'ground_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_rdii_inf', 'v_rpt_flowrouting_cont', 'rdii_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_ext_inf', 'v_rpt_flowrouting_cont', 'ext_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_ext_out', 'v_rpt_flowrouting_cont', 'ext_out', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_int_out', 'v_rpt_flowrouting_cont', 'int_out', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_evap_losses', 'v_rpt_flowrouting_cont', 'evap_losses', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_seepage_losses', 'v_rpt_flowrouting_cont', 'seepage_losses', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_stor_loss', 'v_rpt_flowrouting_cont', 'stor_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_initst_vol', 'v_rpt_flowrouting_cont', 'initst_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_finst_vol', 'v_rpt_flowrouting_cont', 'finst_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_flowrouting_cont_cont_error', 'v_rpt_flowrouting_cont', 'cont_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_groundwater_cont_id', 'v_rpt_groundwater_cont', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_groundwater_cont_result_id', 'v_rpt_groundwater_cont', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_groundwater_cont_init_stor', 'v_rpt_groundwater_cont', 'init_stor', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_groundwater_cont_infilt', 'v_rpt_groundwater_cont', 'infilt', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_groundwater_cont_upzone_et', 'v_rpt_groundwater_cont', 'upzone_et', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_groundwater_cont_lowzone_et', 'v_rpt_groundwater_cont', 'lowzone_et', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_groundwater_cont_deep_perc', 'v_rpt_groundwater_cont', 'deep_perc', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_groundwater_cont_groundw_fl', 'v_rpt_groundwater_cont', 'groundw_fl', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_groundwater_cont_final_stor', 'v_rpt_groundwater_cont', 'final_stor', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_groundwater_cont_cont_error', 'v_rpt_groundwater_cont', 'cont_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_high_cont_errors_id', 'v_rpt_high_cont_errors', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_high_cont_errors_result_id', 'v_rpt_high_cont_errors', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_high_cont_errors_text', 'v_rpt_high_cont_errors', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_high_flowinest_ind_id', 'v_rpt_high_flowinest_ind', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_high_flowinest_ind_result_id', 'v_rpt_high_flowinest_ind', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_high_flowinest_ind_text', 'v_rpt_high_flowinest_ind', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_instability_index_id', 'v_rpt_instability_index', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_instability_index_result_id', 'v_rpt_instability_index', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_instability_index_text', 'v_rpt_instability_index', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_id', 'v_rpt_lidperfomance_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_result_id', 'v_rpt_lidperfomance_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_subc_id', 'v_rpt_lidperfomance_sum', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_lidco_id', 'v_rpt_lidperfomance_sum', 'lidco_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_tot_inflow', 'v_rpt_lidperfomance_sum', 'tot_inflow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_evap_loss', 'v_rpt_lidperfomance_sum', 'evap_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_infil_loss', 'v_rpt_lidperfomance_sum', 'infil_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_surf_outf', 'v_rpt_lidperfomance_sum', 'surf_outf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_drain_outf', 'v_rpt_lidperfomance_sum', 'drain_outf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_init_stor', 'v_rpt_lidperfomance_sum', 'init_stor', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_final_stor', 'v_rpt_lidperfomance_sum', 'final_stor', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_per_error', 'v_rpt_lidperfomance_sum', 'per_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_sector_id', 'v_rpt_lidperfomance_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_lidperfomance_sum_the_geom', 'v_rpt_lidperfomance_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodedepth_sum_id', 'v_rpt_nodedepth_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodedepth_sum_result_id', 'v_rpt_nodedepth_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodedepth_sum_node_id', 'v_rpt_nodedepth_sum', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodedepth_sum_swnod_type', 'v_rpt_nodedepth_sum', 'swnod_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodedepth_sum_aver_depth', 'v_rpt_nodedepth_sum', 'aver_depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodedepth_sum_max_depth', 'v_rpt_nodedepth_sum', 'max_depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodedepth_sum_max_hgl', 'v_rpt_nodedepth_sum', 'max_hgl', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodedepth_sum_time_days', 'v_rpt_nodedepth_sum', 'time_days', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodedepth_sum_time_hour', 'v_rpt_nodedepth_sum', 'time_hour', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodedepth_sum_sector_id', 'v_rpt_nodedepth_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodedepth_sum_the_geom', 'v_rpt_nodedepth_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeflooding_sum_id', 'v_rpt_nodeflooding_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeflooding_sum_result_id', 'v_rpt_nodeflooding_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeflooding_sum_node_id', 'v_rpt_nodeflooding_sum', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeflooding_sum_hour_flood', 'v_rpt_nodeflooding_sum', 'hour_flood', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeflooding_sum_max_rate', 'v_rpt_nodeflooding_sum', 'max_rate', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeflooding_sum_time_days', 'v_rpt_nodeflooding_sum', 'time_days', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeflooding_sum_time_hour', 'v_rpt_nodeflooding_sum', 'time_hour', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeflooding_sum_tot_flood', 'v_rpt_nodeflooding_sum', 'tot_flood', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_qual_surf_buil', 'v_rpt_runoff_qual', 'surf_buil', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeflooding_sum_max_ponded', 'v_rpt_nodeflooding_sum', 'max_ponded', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeflooding_sum_sector_id', 'v_rpt_nodeflooding_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeflooding_sum_the_geom', 'v_rpt_nodeflooding_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeinflow_sum_id', 'v_rpt_nodeinflow_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeinflow_sum_result_id', 'v_rpt_nodeinflow_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeinflow_sum_node_id', 'v_rpt_nodeinflow_sum', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeinflow_sum_swnod_type', 'v_rpt_nodeinflow_sum', 'swnod_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeinflow_sum_max_latinf', 'v_rpt_nodeinflow_sum', 'max_latinf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeinflow_sum_max_totinf', 'v_rpt_nodeinflow_sum', 'max_totinf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeinflow_sum_time_days', 'v_rpt_nodeinflow_sum', 'time_days', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeinflow_sum_time_hour', 'v_rpt_nodeinflow_sum', 'time_hour', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeinflow_sum_latinf_vol', 'v_rpt_nodeinflow_sum', 'latinf_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeinflow_sum_totinf_vol', 'v_rpt_nodeinflow_sum', 'totinf_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeinflow_sum_flow_balance_error', 'v_rpt_nodeinflow_sum', 'flow_balance_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeinflow_sum_sector_id', 'v_rpt_nodeinflow_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodeinflow_sum_the_geom', 'v_rpt_nodeinflow_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodesurcharge_sum_id', 'v_rpt_nodesurcharge_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodesurcharge_sum_result_id', 'v_rpt_nodesurcharge_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodesurcharge_sum_swnod_type', 'v_rpt_nodesurcharge_sum', 'swnod_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodesurcharge_sum_hour_surch', 'v_rpt_nodesurcharge_sum', 'hour_surch', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodesurcharge_sum_max_height', 'v_rpt_nodesurcharge_sum', 'max_height', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodesurcharge_sum_min_depth', 'v_rpt_nodesurcharge_sum', 'min_depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodesurcharge_sum_sector_id', 'v_rpt_nodesurcharge_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_nodesurcharge_sum_the_geom', 'v_rpt_nodesurcharge_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallflow_sum_id', 'v_rpt_outfallflow_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallflow_sum_node_id', 'v_rpt_outfallflow_sum', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallflow_sum_result_id', 'v_rpt_outfallflow_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallflow_sum_flow_freq', 'v_rpt_outfallflow_sum', 'flow_freq', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallflow_sum_avg_flow', 'v_rpt_outfallflow_sum', 'avg_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallflow_sum_max_flow', 'v_rpt_outfallflow_sum', 'max_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallflow_sum_total_vol', 'v_rpt_outfallflow_sum', 'total_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallflow_sum_the_geom', 'v_rpt_outfallflow_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallflow_sum_sector_id', 'v_rpt_outfallflow_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallload_sum_id', 'v_rpt_outfallload_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallload_sum_result_id', 'v_rpt_outfallload_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallload_sum_poll_id', 'v_rpt_outfallload_sum', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallload_sum_node_id', 'v_rpt_outfallload_sum', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallload_sum_value', 'v_rpt_outfallload_sum', 'value', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallload_sum_sector_id', 'v_rpt_outfallload_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_outfallload_sum_the_geom', 'v_rpt_outfallload_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_id', 'v_rpt_pumping_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_result_id', 'v_rpt_pumping_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_arc_id', 'v_rpt_pumping_sum', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_percent', 'v_rpt_pumping_sum', 'percent', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_num_startup', 'v_rpt_pumping_sum', 'num_startup', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_min_flow', 'v_rpt_pumping_sum', 'min_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_avg_flow', 'v_rpt_pumping_sum', 'avg_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_max_flow', 'v_rpt_pumping_sum', 'max_flow', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_vol_ltr', 'v_rpt_pumping_sum', 'vol_ltr', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_powus_kwh', 'v_rpt_pumping_sum', 'powus_kwh', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_timoff_min', 'v_rpt_pumping_sum', 'timoff_min', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_timoff_max', 'v_rpt_pumping_sum', 'timoff_max', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_sector_id', 'v_rpt_pumping_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_pumping_sum_the_geom', 'v_rpt_pumping_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_id', 'v_rpt_qualrouting', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_result_id', 'v_rpt_qualrouting', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_poll_id', 'v_rpt_qualrouting', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_dryw_inf', 'v_rpt_qualrouting', 'dryw_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_wetw_inf', 'v_rpt_qualrouting', 'wetw_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_ground_inf', 'v_rpt_qualrouting', 'ground_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_rdii_inf', 'v_rpt_qualrouting', 'rdii_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_ext_inf', 'v_rpt_qualrouting', 'ext_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_int_inf', 'v_rpt_qualrouting', 'int_inf', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_ext_out', 'v_rpt_qualrouting', 'ext_out', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_mass_reac', 'v_rpt_qualrouting', 'mass_reac', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_initst_mas', 'v_rpt_qualrouting', 'initst_mas', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_finst_mas', 'v_rpt_qualrouting', 'finst_mas', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_qualrouting_cont_error', 'v_rpt_qualrouting', 'cont_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_rainfall_dep_id', 'v_rpt_rainfall_dep', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_rainfall_dep_result_id', 'v_rpt_rainfall_dep', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_rainfall_dep_sewer_rain', 'v_rpt_rainfall_dep', 'sewer_rain', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_rainfall_dep_rdiip_prod', 'v_rpt_rainfall_dep', 'rdiip_prod', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_rainfall_dep_rdiir_rat', 'v_rpt_rainfall_dep', 'rdiir_rat', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_routing_timestep_id', 'v_rpt_routing_timestep', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_routing_timestep_result_id', 'v_rpt_routing_timestep', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_routing_timestep_text', 'v_rpt_routing_timestep', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_qual_id', 'v_rpt_runoff_qual', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_qual_result_id', 'v_rpt_runoff_qual', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_qual_poll_id', 'v_rpt_runoff_qual', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_qual_init_buil', 'v_rpt_runoff_qual', 'init_buil', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_qual_wet_dep', 'v_rpt_runoff_qual', 'wet_dep', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_qual_sweep_re', 'v_rpt_runoff_qual', 'sweep_re', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_qual_infil_loss', 'v_rpt_runoff_qual', 'infil_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_qual_bmp_re', 'v_rpt_runoff_qual', 'bmp_re', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_qual_surf_runof', 'v_rpt_runoff_qual', 'surf_runof', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_qual_rem_buil', 'v_rpt_runoff_qual', 'rem_buil', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_qual_cont_error', 'v_rpt_runoff_qual', 'cont_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_quant_id', 'v_rpt_runoff_quant', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_quant_result_id', 'v_rpt_runoff_quant', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_quant_initsw_co', 'v_rpt_runoff_quant', 'initsw_co', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_quant_total_prec', 'v_rpt_runoff_quant', 'total_prec', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_quant_evap_loss', 'v_rpt_runoff_quant', 'evap_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_quant_infil_loss', 'v_rpt_runoff_quant', 'infil_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_quant_surf_runof', 'v_rpt_runoff_quant', 'surf_runof', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_quant_snow_re', 'v_rpt_runoff_quant', 'snow_re', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_quant_finalsw_co', 'v_rpt_runoff_quant', 'finalsw_co', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_quant_finals_sto', 'v_rpt_runoff_quant', 'finals_sto', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_runoff_quant_cont_error', 'v_rpt_runoff_quant', 'cont_error', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_storagevol_sum_id', 'v_rpt_storagevol_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_storagevol_sum_result_id', 'v_rpt_storagevol_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_storagevol_sum_node_id', 'v_rpt_storagevol_sum', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_storagevol_sum_aver_vol', 'v_rpt_storagevol_sum', 'aver_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_storagevol_sum_avg_full', 'v_rpt_storagevol_sum', 'avg_full', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_storagevol_sum_ei_loss', 'v_rpt_storagevol_sum', 'ei_loss', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_storagevol_sum_max_vol', 'v_rpt_storagevol_sum', 'max_vol', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_storagevol_sum_max_full', 'v_rpt_storagevol_sum', 'max_full', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_storagevol_sum_time_days', 'v_rpt_storagevol_sum', 'time_days', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_storagevol_sum_time_hour', 'v_rpt_storagevol_sum', 'time_hour', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_storagevol_sum_max_out', 'v_rpt_storagevol_sum', 'max_out', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_storagevol_sum_sector_id', 'v_rpt_storagevol_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_storagevol_sum_the_geom', 'v_rpt_storagevol_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_id', 'v_rpt_subcatchrunoff_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_result_id', 'v_rpt_subcatchrunoff_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_subc_id', 'v_rpt_subcatchrunoff_sum', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_tot_precip', 'v_rpt_subcatchrunoff_sum', 'tot_precip', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_tot_runon', 'v_rpt_subcatchrunoff_sum', 'tot_runon', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_tot_evap', 'v_rpt_subcatchrunoff_sum', 'tot_evap', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_tot_infil', 'v_rpt_subcatchrunoff_sum', 'tot_infil', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_tot_runoff', 'v_rpt_subcatchrunoff_sum', 'tot_runoff', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_tot_runofl', 'v_rpt_subcatchrunoff_sum', 'tot_runofl', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_peak_runof', 'v_rpt_subcatchrunoff_sum', 'peak_runof', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_runoff_coe', 'v_rpt_subcatchrunoff_sum', 'runoff_coe', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_vxmax', 'v_rpt_subcatchrunoff_sum', 'vxmax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_vymax', 'v_rpt_subcatchrunoff_sum', 'vymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_depth', 'v_rpt_subcatchrunoff_sum', 'depth', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_vel', 'v_rpt_subcatchrunoff_sum', 'vel', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_vhmax', 'v_rpt_subcatchrunoff_sum', 'vhmax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_sector_id', 'v_rpt_subcatchrunoff_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchrunoff_sum_the_geom', 'v_rpt_subcatchrunoff_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchwasoff_sum_id', 'v_rpt_subcatchwasoff_sum', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchwasoff_sum_result_id', 'v_rpt_subcatchwasoff_sum', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchwasoff_sum_subc_id', 'v_rpt_subcatchwasoff_sum', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchwasoff_sum_poll_id', 'v_rpt_subcatchwasoff_sum', 'poll_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchwasoff_sum_value', 'v_rpt_subcatchwasoff_sum', 'value', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchwasoff_sum_sector_id', 'v_rpt_subcatchwasoff_sum', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_subcatchwasoff_sum_the_geom', 'v_rpt_subcatchwasoff_sum', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_timestep_critelem_id', 'v_rpt_timestep_critelem', 'id', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_timestep_critelem_result_id', 'v_rpt_timestep_critelem', 'result_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rpt_timestep_critelem_text', 'v_rpt_timestep_critelem', 'text', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_period_hydrometer_id', 'v_rtc_hydrometer_period', 'hydrometer_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_period_period_id', 'v_rtc_hydrometer_period', 'period_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_period_dma_id', 'v_rtc_hydrometer_period', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_period_m3_total_period', 'v_rtc_hydrometer_period', 'm3_total_period', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_period_lps_avg', 'v_rtc_hydrometer_period', 'lps_avg', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_hydrometer_period_dma_id', 'v_rtc_dma_hydrometer_period', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_hydrometer_period_period_id', 'v_rtc_dma_hydrometer_period', 'period_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_hydrometer_period_m3_total_period', 'v_rtc_dma_hydrometer_period', 'm3_total_period', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_hydrometer_period_period_seconds', 'v_rtc_dma_hydrometer_period', 'period_seconds', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_parameter_period_dma_id', 'v_rtc_dma_parameter_period', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_parameter_period_period_id', 'v_rtc_dma_parameter_period', 'period_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_parameter_period_m3_total_hydrometer', 'v_rtc_dma_parameter_period', 'm3_total_hydrometer', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_parameter_period_m3_total_scada', 'v_rtc_dma_parameter_period', 'm3_total_scada', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_parameter_period_losses', 'v_rtc_dma_parameter_period', 'losses', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_parameter_period_m3_min_scada', 'v_rtc_dma_parameter_period', 'm3_min_scada', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_parameter_period_m3_max_scada', 'v_rtc_dma_parameter_period', 'm3_max_scada', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_parameter_period_m3_avg_scada', 'v_rtc_dma_parameter_period', 'm3_avg_scada', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_parameter_period_cmin', 'v_rtc_dma_parameter_period', 'cmin', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_dma_parameter_period_cmax', 'v_rtc_dma_parameter_period', 'cmax', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_hydrometer_id', 'v_rtc_hydrometer', 'hydrometer_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_connec_id', 'v_rtc_hydrometer', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_urban_propierties_code', 'v_rtc_hydrometer', 'urban_propierties_code', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_code', 'v_rtc_hydrometer', 'code', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_hydrometer_category', 'v_rtc_hydrometer', 'hydrometer_category', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_house_number', 'v_rtc_hydrometer', 'house_number', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_id_number', 'v_rtc_hydrometer', 'id_number', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_cat_hydrometer_id', 'v_rtc_hydrometer', 'cat_hydrometer_id', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_id', 'v_rtc_hydrometer', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_madeby', 'v_rtc_hydrometer', 'madeby', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_class', 'v_rtc_hydrometer', 'class', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_ulmc', 'v_rtc_hydrometer', 'ulmc', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_voltman_flow', 'v_rtc_hydrometer', 'voltman_flow', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_multi_jet_flow', 'v_rtc_hydrometer', 'multi_jet_flow', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_dnom', 'v_rtc_hydrometer', 'dnom', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_arc_hydrometer_id', 'v_rtc_hydrometer_x_arc', 'hydrometer_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_arc_connec_id', 'v_rtc_hydrometer_x_arc', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_arc_arc_id', 'v_rtc_hydrometer_x_arc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_arc_node_1', 'v_rtc_hydrometer_x_arc', 'node_1', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_arc_node_2', 'v_rtc_hydrometer_x_arc', 'node_2', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_connec_connec_id', 'v_rtc_hydrometer_x_connec', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_connec_n_hydrometer', 'v_rtc_hydrometer_x_connec', 'n_hydrometer', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_node_period_node_id', 'v_rtc_hydrometer_x_node_period', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_node_period_dma_id', 'v_rtc_hydrometer_x_node_period', 'dma_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_node_period_period_id', 'v_rtc_hydrometer_x_node_period', 'period_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_node_period_lps_avg_real', 'v_rtc_hydrometer_x_node_period', 'lps_avg_real', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_node_period_losses', 'v_rtc_hydrometer_x_node_period', 'losses', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_node_period_lps_avg', 'v_rtc_hydrometer_x_node_period', 'lps_avg', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_node_period_cmin', 'v_rtc_hydrometer_x_node_period', 'cmin', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_node_period_lps_min', 'v_rtc_hydrometer_x_node_period', 'lps_min', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_node_period_cmax', 'v_rtc_hydrometer_x_node_period', 'cmax', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_hydrometer_x_node_period_lps_max', 'v_rtc_hydrometer_x_node_period', 'lps_max', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_scada_id', 'v_rtc_scada', 'scada_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_node_id', 'v_rtc_scada', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_cat_scada_id', 'v_rtc_scada', 'cat_scada_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_text', 'v_rtc_scada', 'text', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_data_scada_id', 'v_rtc_scada_data', 'scada_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_data_node_id', 'v_rtc_scada_data', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_data_min', 'v_rtc_scada_data', 'min', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_data_max', 'v_rtc_scada_data', 'max', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_data_avg', 'v_rtc_scada_data', 'avg', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_data_sum', 'v_rtc_scada_data', 'sum', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_data_cat_period_id', 'v_rtc_scada_data', 'cat_period_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_value_scada_id', 'v_rtc_scada_value', 'scada_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_value_node_id', 'v_rtc_scada_value', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_value_value', 'v_rtc_scada_value', 'value', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_value_status', 'v_rtc_scada_value', 'status', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_value_timestamp', 'v_rtc_scada_value', 'timestamp', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_rtc_scada_value_interval_seconds', 'v_rtc_scada_value', 'interval_seconds', 'integer', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_arc_id', 'v_ui_doc_x_arc', 'id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_arc_arc_id', 'v_ui_doc_x_arc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_arc_doc_id', 'v_ui_doc_x_arc', 'doc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_arc_doc_type', 'v_ui_doc_x_arc', 'doc_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_arc_path', 'v_ui_doc_x_arc', 'path', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_arc_observ', 'v_ui_doc_x_arc', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_arc_tagcat_id', 'v_ui_doc_x_arc', 'tagcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_arc_date', 'v_ui_doc_x_arc', 'date', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_arc_user_name', 'v_ui_doc_x_arc', 'user_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_connec_id', 'v_ui_doc_x_connec', 'id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_connec_connec_id', 'v_ui_doc_x_connec', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_connec_doc_id', 'v_ui_doc_x_connec', 'doc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_connec_doc_type', 'v_ui_doc_x_connec', 'doc_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_connec_path', 'v_ui_doc_x_connec', 'path', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_connec_observ', 'v_ui_doc_x_connec', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_connec_tagcat_id', 'v_ui_doc_x_connec', 'tagcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_connec_date', 'v_ui_doc_x_connec', 'date', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_connec_user_name', 'v_ui_doc_x_connec', 'user_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_gully_id', 'v_ui_doc_x_gully', 'id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_gully_gully_id', 'v_ui_doc_x_gully', 'gully_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_gully_doc_id', 'v_ui_doc_x_gully', 'doc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_gully_doc_type', 'v_ui_doc_x_gully', 'doc_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_gully_path', 'v_ui_doc_x_gully', 'path', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_gully_observ', 'v_ui_doc_x_gully', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_gully_tagcat_id', 'v_ui_doc_x_gully', 'tagcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_gully_date', 'v_ui_doc_x_gully', 'date', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_gully_user_name', 'v_ui_doc_x_gully', 'user_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_node_id', 'v_ui_doc_x_node', 'id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_node_node_id', 'v_ui_doc_x_node', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_node_doc_id', 'v_ui_doc_x_node', 'doc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_node_doc_type', 'v_ui_doc_x_node', 'doc_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_node_path', 'v_ui_doc_x_node', 'path', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_node_observ', 'v_ui_doc_x_node', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_node_tagcat_id', 'v_ui_doc_x_node', 'tagcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_node_date', 'v_ui_doc_x_node', 'date', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_doc_x_node_user_name', 'v_ui_doc_x_node', 'user_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_arc_id', 'v_ui_element_x_arc', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_arc_arc_id', 'v_ui_element_x_arc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_arc_element_id', 'v_ui_element_x_arc', 'element_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_arc_elementcat_id', 'v_ui_element_x_arc', 'elementcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_arc_state', 'v_ui_element_x_arc', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_arc_observ', 'v_ui_element_x_arc', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_arc_comment', 'v_ui_element_x_arc', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_arc_builtdate', 'v_ui_element_x_arc', 'builtdate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_arc_enddate', 'v_ui_element_x_arc', 'enddate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_connec_id', 'v_ui_element_x_connec', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_connec_connec_id', 'v_ui_element_x_connec', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_connec_element_id', 'v_ui_element_x_connec', 'element_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_connec_elementcat_id', 'v_ui_element_x_connec', 'elementcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_connec_state', 'v_ui_element_x_connec', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_connec_observ', 'v_ui_element_x_connec', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_connec_comment', 'v_ui_element_x_connec', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_connec_builtdate', 'v_ui_element_x_connec', 'builtdate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_connec_enddate', 'v_ui_element_x_connec', 'enddate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_gully_id', 'v_ui_element_x_gully', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_gully_gully_id', 'v_ui_element_x_gully', 'gully_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_gully_element_id', 'v_ui_element_x_gully', 'element_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_gully_elementcat_id', 'v_ui_element_x_gully', 'elementcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_gully_state', 'v_ui_element_x_gully', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_gully_observ', 'v_ui_element_x_gully', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_gully_comment', 'v_ui_element_x_gully', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_gully_builtdate', 'v_ui_element_x_gully', 'builtdate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_gully_enddate', 'v_ui_element_x_gully', 'enddate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_node_id', 'v_ui_element_x_node', 'id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_node_node_id', 'v_ui_element_x_node', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_node_element_id', 'v_ui_element_x_node', 'element_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_node_elementcat_id', 'v_ui_element_x_node', 'elementcat_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_node_state', 'v_ui_element_x_node', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_node_observ', 'v_ui_element_x_node', 'observ', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_node_comment', 'v_ui_element_x_node', 'comment', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_node_builtdate', 'v_ui_element_x_node', 'builtdate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_element_x_node_enddate', 'v_ui_element_x_node', 'enddate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_event_id', 'v_ui_om_visit_x_arc', 'event_id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_visit_id', 'v_ui_om_visit_x_arc', 'visit_id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_startdate', 'v_ui_om_visit_x_arc', 'startdate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_enddate', 'v_ui_om_visit_x_arc', 'enddate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_arc_id', 'v_ui_om_visit_x_arc', 'arc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_parameter_id', 'v_ui_om_visit_x_arc', 'parameter_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_parameter_type', 'v_ui_om_visit_x_arc', 'parameter_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_value', 'v_ui_om_visit_x_arc', 'value', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_text', 'v_ui_om_visit_x_arc', 'text', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_position_id', 'v_ui_om_visit_x_arc', 'position_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_xcoord', 'v_ui_om_visit_x_arc', 'xcoord', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_ycoord', 'v_ui_om_visit_x_arc', 'ycoord', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_compass', 'v_ui_om_visit_x_arc', 'compass', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_tstamp', 'v_ui_om_visit_x_arc', 'tstamp', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_arc_user_name', 'v_ui_om_visit_x_arc', 'user_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_event_id', 'v_ui_om_visit_x_connec', 'event_id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_visit_id', 'v_ui_om_visit_x_connec', 'visit_id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_startdate', 'v_ui_om_visit_x_connec', 'startdate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_enddate', 'v_ui_om_visit_x_connec', 'enddate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_connec_id', 'v_ui_om_visit_x_connec', 'connec_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_parameter_id', 'v_ui_om_visit_x_connec', 'parameter_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_parameter_type', 'v_ui_om_visit_x_connec', 'parameter_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_value', 'v_ui_om_visit_x_connec', 'value', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_text', 'v_ui_om_visit_x_connec', 'text', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_position_id', 'v_ui_om_visit_x_connec', 'position_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_xcoord', 'v_ui_om_visit_x_connec', 'xcoord', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_ycoord', 'v_ui_om_visit_x_connec', 'ycoord', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_compass', 'v_ui_om_visit_x_connec', 'compass', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_tstamp', 'v_ui_om_visit_x_connec', 'tstamp', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_connec_user_name', 'v_ui_om_visit_x_connec', 'user_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_event_id', 'v_ui_om_visit_x_gully', 'event_id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_visit_id', 'v_ui_om_visit_x_gully', 'visit_id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_startdate', 'v_ui_om_visit_x_gully', 'startdate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_enddate', 'v_ui_om_visit_x_gully', 'enddate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_gully_id', 'v_ui_om_visit_x_gully', 'gully_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_parameter_id', 'v_ui_om_visit_x_gully', 'parameter_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_parameter_type', 'v_ui_om_visit_x_gully', 'parameter_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_value', 'v_ui_om_visit_x_gully', 'value', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_text', 'v_ui_om_visit_x_gully', 'text', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_position_id', 'v_ui_om_visit_x_gully', 'position_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_xcoord', 'v_ui_om_visit_x_gully', 'xcoord', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_ycoord', 'v_ui_om_visit_x_gully', 'ycoord', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_compass', 'v_ui_om_visit_x_gully', 'compass', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_tstamp', 'v_ui_om_visit_x_gully', 'tstamp', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_gully_user_name', 'v_ui_om_visit_x_gully', 'user_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_event_id', 'v_ui_om_visit_x_node', 'event_id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_visit_id', 'v_ui_om_visit_x_node', 'visit_id', 'bigint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_startdate', 'v_ui_om_visit_x_node', 'startdate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_enddate', 'v_ui_om_visit_x_node', 'enddate', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_node_id', 'v_ui_om_visit_x_node', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_parameter_id', 'v_ui_om_visit_x_node', 'parameter_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_parameter_type', 'v_ui_om_visit_x_node', 'parameter_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_value', 'v_ui_om_visit_x_node', 'value', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_text', 'v_ui_om_visit_x_node', 'text', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_position_id', 'v_ui_om_visit_x_node', 'position_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_xcoord', 'v_ui_om_visit_x_node', 'xcoord', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_ycoord', 'v_ui_om_visit_x_node', 'ycoord', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_compass', 'v_ui_om_visit_x_node', 'compass', 'double precision', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_tstamp', 'v_ui_om_visit_x_node', 'tstamp', 'timestamp without time zone', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_ui_om_visit_x_node_user_name', 'v_ui_om_visit_x_node', 'user_name', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_y1', 'v_edit_inp_conduit', 'y1', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_y2', 'v_edit_inp_conduit', 'y2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_state', 'v_edit_inp_conduit', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_verified', 'v_edit_inp_conduit', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_barrels', 'v_edit_inp_conduit', 'barrels', 'smallint', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_kentry', 'v_edit_inp_conduit', 'kentry', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_kexit', 'v_edit_inp_conduit', 'kexit', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_kavg', 'v_edit_inp_conduit', 'kavg', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_flap', 'v_edit_inp_conduit', 'flap', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_q0', 'v_edit_inp_conduit', 'q0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_qmax', 'v_edit_inp_conduit', 'qmax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_conduit_seepage', 'v_edit_inp_conduit', 'seepage', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_y0', 'v_edit_inp_divider', 'y0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_ysur', 'v_edit_inp_divider', 'ysur', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_divider_apond', 'v_edit_inp_divider', 'apond', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_y0', 'v_edit_inp_junction', 'y0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_ysur', 'v_edit_inp_junction', 'ysur', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_junction_apond', 'v_edit_inp_junction', 'apond', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_state', 'v_edit_inp_orifice', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_orifice_verified', 'v_edit_inp_orifice', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_ymax', 'v_edit_inp_outfall', 'ymax', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outfall_outfall_type', 'v_edit_inp_outfall', 'outfall_type', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_state', 'v_edit_inp_outlet', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_outlet_verified', 'v_edit_inp_outlet', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_state', 'v_edit_inp_pump', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_pump_verified', 'v_edit_inp_pump', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_y0', 'v_edit_inp_storage', 'y0', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_ysur', 'v_edit_inp_storage', 'ysur', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_storage_apond', 'v_edit_inp_storage', 'apond', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_state', 'v_edit_inp_weir', 'state', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_edit_inp_weir_verified', 'v_edit_inp_weir', 'verified', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('om_visit_the_geom', 'om_visit', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_subc_id', 'v_subcatchment', 'subc_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_node_id', 'v_subcatchment', 'node_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_rg_id', 'v_subcatchment', 'rg_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_area', 'v_subcatchment', 'area', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_imperv', 'v_subcatchment', 'imperv', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_width', 'v_subcatchment', 'width', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_slope', 'v_subcatchment', 'slope', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_clength', 'v_subcatchment', 'clength', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_snow_id', 'v_subcatchment', 'snow_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_nimp', 'v_subcatchment', 'nimp', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_nperv', 'v_subcatchment', 'nperv', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_simp', 'v_subcatchment', 'simp', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_sperv', 'v_subcatchment', 'sperv', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_zero', 'v_subcatchment', 'zero', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_routeto', 'v_subcatchment', 'routeto', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_rted', 'v_subcatchment', 'rted', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_maxrate', 'v_subcatchment', 'maxrate', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_minrate', 'v_subcatchment', 'minrate', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_decay', 'v_subcatchment', 'decay', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_drytime', 'v_subcatchment', 'drytime', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_maxinfil', 'v_subcatchment', 'maxinfil', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_suction', 'v_subcatchment', 'suction', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_conduct', 'v_subcatchment', 'conduct', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_initdef', 'v_subcatchment', 'initdef', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_curveno', 'v_subcatchment', 'curveno', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_conduct_2', 'v_subcatchment', 'conduct_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_drytime_2', 'v_subcatchment', 'drytime_2', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_sector_id', 'v_subcatchment', 'sector_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_hydrology_id', 'v_subcatchment', 'hydrology_id', 'character varying', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_subcatchment_the_geom', 'v_subcatchment', 'the_geom', 'USER-DEFINED', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_x_column_id', 'db_cat_table_x_column', 'id', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_x_column_table_id', 'db_cat_table_x_column', 'table_id', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_x_column_column_id', 'db_cat_table_x_column', 'column_id', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_x_column_column_type', 'db_cat_table_x_column', 'column_type', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_x_column_description', 'db_cat_table_x_column', 'description', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidusage_number', 'v_inp_lidusage', 'number', 'integer', 'The number of replicate LID units deployed.');
INSERT INTO db_cat_table_x_column VALUES ('v_inp_lidusage_area', 'v_inp_lidusage', 'area', 'numeric', 'The area of each replicate unit (ft2 or m2).');



INSERT INTO db_cat_clientlayer VALUES ('cat_feature20161027151613817', 'cat_feature', 'Feature catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_mat_node20160405165147826', 'cat_mat_node', 'Node material catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_mat_arc20160405165147768', 'cat_mat_arc', 'Arc material catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_node20160405165147856', 'cat_node', 'Node catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_arc20131118220914103', 'cat_arc', 'Arc catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_connec20160405165147591', 'cat_connec', 'Connec catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_mat_element20160405165147797', 'cat_mat_element', 'Element material catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_element20160405165147651', 'cat_element', 'Element catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_hydrology20160405165147739', 'cat_hydrology', 'Hydrology catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_grate20160405165147709', 'cat_grate', 'Grate catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_owner20160405165147885', 'cat_owner', 'Owner catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_soil20160405165147913', 'cat_soil', 'Soil catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_pavement20170111155601931', 'cat_pavement', 'Pavement catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_work20160405165147972', 'cat_work', 'Work catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_builder20160405165147525', 'cat_builder', 'Builder catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('dma20160405165338863', 'dma', 'dma', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('sector20130820173926621', 'sector', 'Sector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_chamber20161121133004966', 'v_edit_man_chamber', 'Chamber', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_manhole20161121133005047', 'v_edit_man_manhole', 'Manhole', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_netgully20161121133005085', 'v_edit_man_netgully', 'Netgully', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_netinit20161121133005159', 'v_edit_man_netinit', 'Netinit', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_wjump20161121133005196', 'v_edit_man_wjump', 'Wjump', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_wwtp20161121133005233', 'v_edit_man_wwtp', 'Wwtp', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_junction20161025161549486', 'v_edit_man_junction', 'Junction', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_storage20161025160847762', 'v_edit_man_storage', 'Storage', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_outfall20161026165155729', 'v_edit_man_outfall', 'Outfall', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_valve20161026165155768', 'v_edit_man_valve', 'Valve', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_conduit20161121163752762', 'v_edit_man_conduit', 'Conduit', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_siphon20161121172710852', 'v_edit_man_siphon', 'Siphon', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_varc20161122091427104', 'v_edit_man_varc', 'Varc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_waccel20161121163752568', 'v_edit_man_waccel', 'Waccel', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_storage_pol20161025160847721', 'v_edit_man_storage_pol', 'Storage polygon', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_wwtp_pol20161121133005271', 'v_edit_man_wwtp_pol', 'Wwtp polygon', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_netgully_pol20161121133005122', 'v_edit_man_netgully_pol', 'Netgully polygon', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_chamber_pol20161121133005007', 'v_edit_man_chamber_pol', 'Chamber polygon', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_connec20161227145123475', 'v_edit_man_connec', 'Connec', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_gully20161227145123288', 'v_edit_man_gully', 'Gully', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_pgully20161227145123647', 'v_edit_man_pgully', 'Pgully', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_link20160511194707959', 'v_edit_link', 'Link', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('vnode20160511194748450', 'vnode', 'Vnode', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('samplepoint20161027135439178', 'samplepoint', 'Sample point', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('element20160405165310929', 'element', 'Element', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('doc20160405165310319', 'doc', 'Document', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_arc_x_node20160720190156002', 'v_arc_x_node', 'Arc x node', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_arc_same_startend20160816004640291', 'anl_arc_same_startend', 'Arc same startend', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_node_duplicated20160816004645979', 'anl_node_duplicated', 'Node duplicated', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_node_sink20160816004646104', 'anl_node_sink', 'Node sink', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_node_orphan20160816004646042', 'anl_node_orphan', 'Node orphan', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_connec_duplicated20160816004640369', 'anl_connec_duplicated', 'Connec duplicated', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_flow_exit_arc20160816004640431', 'anl_flow_exit_arc', 'Flow exit arc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_flow_exit_node20160816004640494', 'anl_flow_exit_node', 'Flow exit node', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_anl_flowtrace_connec20161228015156149', 'v_anl_flowtrace_connec', 'Flowtrace connec', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_flow_trace_arc20160816004640556', 'anl_flow_trace_arc', 'Flow trace arc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_flow_trace_node20160816004640634', 'anl_flow_trace_node', 'Flow trace node', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_files20130502001943886', 'inp_files', 'Files', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_windspeed20130502002620511', 'inp_windspeed', 'Windspeed', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_snowmelt20130502001944994', 'inp_snowmelt', 'Snowmelt', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_temperature20130502001945166', 'inp_temperature', 'Temperature', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_evaporation20130502001943808', 'inp_evaporation', 'Evaporation', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_adjustments20150210203811027', 'inp_adjustments', 'Adjustments', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('raingage20130601163030452', 'raingage', 'Raingage', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('subcatchment20130601163030468', 'subcatchment', 'Subcatchment', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_aquifer20130502001943216', 'inp_aquifer', 'Aquifer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_groundwater20130502001943918', 'inp_groundwater', 'Groundwater', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_hydrograph20130502001944027', 'inp_hydrograph', 'Unit Hydrograph', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_snowpack20130502001945041', 'inp_snowpack', 'Snowpack', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_lid_control20130502001944230', 'inp_lid_control', 'Lid catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_lidusage_subc_x_lidco20130502001944261', 'inp_lidusage_subc_x_lidco', 'Lid usage (subc. x lid)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_junction20130814133610096', 'v_edit_inp_junction', 'Junctions', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_outfall20130814133610188', 'v_edit_inp_outfall', 'Outfalls', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_divider20130814154152383', 'v_edit_inp_divider', 'Dividers', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_storage20130814154152593', 'v_edit_inp_storage', 'Storages', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_dwf20130502001943668', 'inp_dwf', 'Dwf', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_inflows20130510210322301', 'inp_inflows', 'Inflows', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_rdii20130502001944869', 'inp_rdii', 'RDII (node)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_conduit20130814154154302', 'v_edit_inp_conduit', 'Conduits', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_orifice20130814154152517', 'v_edit_inp_orifice', 'Orifices', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_weir20130814154152641', 'v_edit_inp_weir', 'Weirs', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_pump20130814154152572', 'v_edit_inp_pump', 'Pumps', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_outlet20130814182022327', 'v_edit_inp_outlet', 'Outlet', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_transects20130502001945322', 'inp_transects', 'Transects', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_pollutant20130502001944744', 'inp_pollutant', 'Pollutants', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_landuses20130502001944198', 'inp_landuses', 'Landuses', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_coverage_land_x_subc20130502001943543', 'inp_coverage_land_x_subc', 'Coverage (landuses x subc.)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_buildup_land_x_pol20130502001943356', 'inp_buildup_land_x_pol', 'Buildup (poll. x landuses)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_loadings_pol_x_subc20130502001944308', 'inp_loadings_pol_x_subc', 'Loading (poll. x subc.)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_washoff_land_x_pol20130502003948384', 'inp_washoff_land_x_pol', 'Washoff (poll. x subc.)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_inflows_pol_x_node20130502001944105', 'inp_inflows_pol_x_node', 'Inflows (poll. x node)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_dwf_pol_x_node20130502001943730', 'inp_dwf_pol_x_node', 'Dwf (poll. x node)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_treatment_node_x_pol20130502001945384', 'inp_treatment_node_x_pol', 'Treatment (poll. x node)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_curve_id20130502001943590', 'inp_curve_id', 'Curve catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_curve20130502001943559', 'inp_curve', 'Curve values', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_timser_id20130502001945290', 'inp_timser_id', 'Timeseries catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_timeseries20130502001945212', 'inp_timeseries', 'Timeseries values', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_pattern20130502001944666', 'inp_pattern', 'Patterns', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_controls20130502001943496', 'inp_controls', 'Controls', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_selector_hydrology20160710011511008', 'inp_selector_hydrology', 'EPA selector hydrology', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_selector_sector20160710011511055', 'inp_selector_sector', 'EPA selector sector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_selector_state20160710011511102', 'inp_selector_state', 'EPA selector state', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_arc20170130105731246', 'v_arc', 'EPA selected arc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_node20170130105731284', 'v_node', 'EPA selected node', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_subcatchment20170130110823299', 'v_subcatchment', 'EPA selected subcatchment', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('rpt_cat_result20160506093724948', 'rpt_cat_result', 'Result catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('rpt_selector_result20160710011511149', 'rpt_selector_result', 'Result selector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('rpt_selector_compare20160710011511196', 'rpt_selector_compare', 'Result compare selector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_nodeflooding_sum20131029124948498', 'v_rpt_nodeflooding_sum', 'Node flooding', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_nodesurcharge_sum20131125215946162', 'v_rpt_nodesurcharge_sum', 'Node surcharge', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_nodeinflow_sum20131029124948525', 'v_rpt_nodeinflow_sum', 'Node inflow', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_nodedepth_sum20131029124948471', 'v_rpt_nodedepth_sum', 'Node depth', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_arcflow_sum20131029124948338', 'v_rpt_arcflow_sum', 'Arc flow', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_condsurcharge_sum20131029124948391', 'v_rpt_condsurcharge_sum', 'Conduit surcharge', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_pumping_sum20131029124948627', 'v_rpt_pumping_sum', 'Pumping summary', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_flowclass_sum20131029124948412', 'v_rpt_flowclass_sum', 'Flow class', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_arcpolload_sum20150210203840730', 'v_rpt_arcpolload_sum', 'Arc pollutant load', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_outfallflow_sum20131029124948578', 'v_rpt_outfallflow_sum', 'Outfall flow', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_outfallload_sum20131029124948604', 'v_rpt_outfallload_sum', 'Outfall load', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_storagevol_sum20131029124948653', 'v_rpt_storagevol_sum', 'Storage volume', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_subcatchrunoff_sum20131029124948674', 'v_rpt_subcatchrunoff_sum', 'Subcatchment runoff', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_subcatchwasoff_sum20131029124948368', 'v_rpt_subcatchwasoff_sum', 'Subcatchment washoff', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_lidperfomance_sum20131029124948440', 'v_rpt_lidperfomance_sum', 'LID perfomance', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_rainfall_dep20131029125258375', 'v_rpt_rainfall_dep', 'Rainfall dep', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_runoff_qual20131029125258406', 'v_rpt_runoff_qual', 'Runoff quality', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_runoff_quant20131029125258431', 'v_rpt_runoff_quant', 'Runoff quantity', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_groundwater_cont20131125232949728', 'v_rpt_groundwater_cont', 'Groundwater continuity', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_flowrouting_cont20131125232949588', 'v_rpt_flowrouting_cont', 'Flow routing continuity', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_qualrouting20131029125258348', 'v_rpt_qualrouting', 'Quality routing continuity', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_continuity_errors20131125232949348', 'v_rpt_continuity_errors', 'Continuity errors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_high_cont_errors20131029125258305', 'v_rpt_high_cont_errors', 'High continuity errors', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_critical_elements20131125232949488', 'v_rpt_critical_elements', 'Critical elements', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_timestep_critelem20131029125258450', 'v_rpt_timestep_critelem', 'Timestep critical elements', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_instability_index20131029125258337', 'v_rpt_instability_index', 'Instability index', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_high_flowinest_ind20131029125258325', 'v_rpt_high_flowinest_ind', 'High flow instability index', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_routing_timestep20131029125258396', 'v_rpt_routing_timestep', 'Routing timestep', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_nodeflooding_sum20160710010651178', 'v_rpt_comp_nodeflooding_sum', 'Node flooding compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_nodesurcharge_sum20160710010651271', 'v_rpt_comp_nodesurcharge_sum', 'Node surcharge compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_nodeinflow_sum20160710010651225', 'v_rpt_comp_nodeinflow_sum', 'Node inflow compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_nodedepth_sum20160710010651115', 'v_rpt_comp_nodedepth_sum', 'Node depth compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_arcflow_sum20160710010650850', 'v_rpt_comp_arcflow_sum', 'Arc flow compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_condsurcharge_sum20160710010651021', 'v_rpt_comp_condsurcharge_sum', 'Conduit surcharge compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_pumping_sum20160710010651428', 'v_rpt_comp_pumping_sum', 'Pumping summary compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_flowclass_sum20160710010650959', 'v_rpt_comp_flowclass_sum', 'Flow class compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_arcpolload_sum20160710010650912', 'v_rpt_comp_arcpolload_sum', 'Arc pollutand load compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_outfallflow_sum20160710010651334', 'v_rpt_comp_outfallflow_sum', 'Outfall flow compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_outfallload_sum20160710010651381', 'v_rpt_comp_outfallload_sum', 'Outfall load compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_storagevol_sum20160710010651490', 'v_rpt_comp_storagevol_sum', 'Storage volume compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_subcatchrunoff_sum20160710010651537', 'v_rpt_comp_subcatchrunoff_sum', 'Storage volume compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_subcatchwasoff_sum20160710010651584', 'v_rpt_comp_subcatchwasoff_sum', 'Subcatchment washoff compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_lidperfomance_sum20160710010651068', 'v_rpt_comp_lidperfomance_sum', 'LID perfomance compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_rainfall_dep20160710011031385', 'v_rpt_comp_rainfall_dep', 'Rainfall dep compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_runoff_qual20160710011031479', 'v_rpt_comp_runoff_qual', 'Runoff quality compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_runoff_quant20160710011031510', 'v_rpt_comp_runoff_quant', 'Runoff quantity compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_groundwater_cont20160710011031167', 'v_rpt_comp_groundwater_cont', 'Groundwater continuity compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_flowrouting_cont20160710011031120', 'v_rpt_comp_flowrouting_cont', 'Flow routing continuity compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_qualrouting20160710011031339', 'v_rpt_comp_qualrouting', 'Quality routing continuity compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_continuity_errors20160710011031042', 'v_rpt_comp_continuity_errors', 'Continuity errors compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_high_cont_errors20160710011031214', 'v_rpt_comp_high_cont_errors', 'High continuity errors compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_critical_elements20160710011031073', 'v_rpt_comp_critical_elements', 'Critical elements compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_instability_index20160710011031292', 'v_rpt_comp_instability_index', 'Instability index compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_high_flowinest_ind20160710011031245', 'v_rpt_comp_high_flowinest_ind', 'High flow instability index compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_routing_timestep20160710011031432', 'v_rpt_comp_routing_timestep', 'Routing timestep compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('om_visit_parameter_type20170130094941026', 'om_visit_parameter_type', 'Visit parameter type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('om_visit_parameter20170130094940991', 'om_visit_parameter', 'Visit parameter', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('om_visit_event20170130111436996', 'om_visit_event', 'Event', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('om_visit20170130101446491', 'om_visit', 'Visit', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('price_simple20160710013245606', 'price_simple', 'Simple price', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('price_compost20160710013245543', 'price_compost', 'Compost price', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('price_compost_value20160710013245575', 'price_compost_value', 'Value compost price', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_arc_x_pavement20160710011231435', 'plan_arc_x_pavement', 'Arc x pavement', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_selector_state20170130102221183', 'plan_selector_state', 'Asset selector state', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_node20170126161629108', 'v_plan_node', 'Asset node value', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_ml_arc20170111162452646', 'v_plan_ml_arc', 'Asset arc detail value', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_arc20170126161628952', 'v_plan_arc', 'Asset arc total value', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_psector20160710011231622', 'plan_psector', 'Plan psector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_node_x_psector20160710011231528', 'plan_node_x_psector', 'Node x Plan psector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_arc_x_psector20160710011231482', 'plan_arc_x_psector', 'Arc x Plan psector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_other_x_psector20160710011231575', 'plan_other_x_psector', 'Other prices x Plan psector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_other_x_psector20170111162452787', 'v_plan_other_x_psector', 'Other prices x Plan psector cost', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_node_x_psector20170111163013334', 'v_plan_node_x_psector', 'Node x Plan psector cost', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_arc_x_psector20170111163013147', 'v_plan_arc_x_psector', 'Arc x Plan psector cost', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_psector20170130102721925', 'v_plan_psector', 'Plan psector cost', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('config20160405165338893', 'config', 'Project config', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_arc_type20160405170701943', 'inp_arc_type', 'EPA arc type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_node_type20160405170701975', 'inp_node_type', 'EPA node type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_inflows20130510210240664', 'inp_inflows', 'Inp_inflows', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_divider20130510201056083', 'inp_typevalue_divider', 'Inp_typevalue_divider', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_evap20130510201056192', 'inp_typevalue_evap', 'Inp_typevalue_evap', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_orifice20130820181504348', 'inp_typevalue_orifice', 'Inp_typevalue_orifice', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_orifice20130820181522603', 'inp_typevalue_orifice', 'Inp_typevalue_orifice', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_outfall20130510201056223', 'inp_typevalue_outfall', 'Inp_typevalue_outfall', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_outlet20130510201056239', 'inp_typevalue_outlet', 'Inp_typevalue_outlet', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_pattern20130510201056255', 'inp_typevalue_pattern', 'Inp_typevalue_pattern', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_raingage20130510201056286', 'inp_typevalue_raingage', 'Inp_typevalue_raingage', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_storage20130510201056301', 'inp_typevalue_storage', 'Inp_typevalue_storage', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_temp20130510201056333', 'inp_typevalue_temp', 'Inp_typevalue_temp', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_timeseries20130510201056379', 'inp_typevalue_timeseries', 'Inp_typevalue_timeseries', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_windsp20130510201056348', 'inp_typevalue_windsp', 'Inp_typevalue_windsp', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_allnone20130510201056395', 'inp_value_allnone', 'Inp_value_allnone', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_buildup20130510201056411', 'inp_value_buildup', 'Inp_value_buildup', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_catarc20131203194117147', 'inp_value_catarc', 'inp_value_catarc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_curve20130510201056442', 'inp_value_curve', 'Inp_value_curve', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_files_actio20130510201056457', 'inp_value_files_actio', 'Inp_value_files_actio', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_files_type20130510201056489', 'inp_value_files_type', 'Inp_value_files_type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_inflows20130820184335228', 'inp_value_inflows', 'Inp_value_inflows', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_lidcontrol20130510201056535', 'inp_value_lidcontrol', 'Inp_value_lidcontrol', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_orifice20130820181504380', 'inp_value_orifice', 'Inp_value_orifice', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_pollutants20130820183952332', 'inp_value_pollutants', 'Inp_value_pollutants', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_raingage20130510201056613', 'inp_value_raingage', 'Inp_value_raingage', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_routeto20131203183008942', 'inp_value_routeto', 'inp_value_routeto', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_status20131203183008942', 'inp_value_status', 'inp_value_status', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_timserid20130510201056629', 'inp_value_timserid', 'Inp_value_timserid', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_treatment20130820184904124', 'inp_value_treatment', 'Inp_value_treatment', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_washoff20130510201056645', 'inp_value_washoff', 'Inp_value_washoff', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_weirs20130510201056691', 'inp_value_weirs', 'Inp_value_weirs', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_yesno20130510201056177', 'inp_value_yesno', 'Inp_value_yesno', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_washoff_land_x_pol20130502003900025', 'inp_washoff_land_x_pol', 'Inp_washoff_land_x_pol', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_status20160406155847087', 'inp_value_status', 'inp_value_status', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_psector_arc20170111162453225', 'v_plan_psector_arc', 'Cost MPS x Arc (file)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_psector_node20170111162453568', 'v_plan_psector_node', 'Cost MPS x Node (file)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_psector_other20170111162453631', 'v_plan_psector_other', 'Cost MPS x Other (file)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_psector_filtered20170111162453412', 'v_plan_psector_filtered', 'Cost MPS x Filtered (file)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('om_visit_value_position20170130103433462', 'om_visit_value_position', 'om_visit_value_position', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_tag20170130103550516', 'cat_tag', 'Tag value', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_type_street20170130103550555', 'ext_type_street', 'ext_type_street', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('price_value_unit20160710014415502', 'price_value_unit', 'price_value_unit', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_value_ps_priority20160710011231747', 'plan_value_ps_priority', 'plan_value_ps_priority', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('man_type_location20160405165939759', 'man_type_location', 'man_type_location', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('man_type_category20160405165939702', 'man_type_category', 'man_type_category', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('man_type_fluid20160405165939731', 'man_type_fluid', 'man_type_fluid', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('value_state20160405165720440', 'value_state', 'value_state', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('value_yesno20160405165720410', 'value_yesno', 'value_yesno', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('value_verified20160405165720381', 'value_verified', 'value_verified', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('man_selector_state20170130103849715', 'man_selector_state', 'Man selector state', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('version20170130103849755', 'version', 'Project version', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('node_type20160405165939669', 'node_type', 'Node type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('connec_type20160407154036200', 'connec_type', 'Connec type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('arc_type20160405170016831', 'arc_type', 'Arc type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('doc_type20160405165311075', 'doc_type', 'Doc type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('element_type20160506094013641', 'element_type', 'Element type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('db_cat_table_x_column20170131110115739', 'db_cat_table_x_column', 'db_cat_table_x_column', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('db_cat_clientlayer20170130103042368', 'db_cat_clientlayer', 'db_cat_clientlayer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('db_cat_table20161230225034615', 'db_cat_table', 'db_cat_table', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_streetaxis20161006095743938', 'ext_streetaxis', 'Streetaxis', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_urban_propierties20161006095743968', 'ext_urban_propierties', 'Urban propierties', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
