/*
This file is part of Giswater 2.0
The program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This version of Giswater is provided by Giswater Association
*/


SET search_path = "SCHEMA_NAME", public, pg_catalog;


INSERT INTO db_cat_table VALUES ('ext_streetaxis', 'external table', 'Table of streetaxis.');
INSERT INTO db_cat_table VALUES ('ext_urban_propierties', 'external table', 'Table of urban properties.');
INSERT INTO db_cat_table VALUES ('ext_cat_period', 'external table', 'Catalog of time periods.');
INSERT INTO db_cat_table VALUES ('ext_cat_scada', 'external catalog', 'Catalog of scada receivers.');
INSERT INTO db_cat_table VALUES ('ext_rtc_scada', 'external table', 'Table of scada receivers.');
INSERT INTO db_cat_table VALUES ('ext_rtc_scada_x_value', 'external table', 'Values obtained from scada receivers.');
INSERT INTO db_cat_table VALUES ('ext_rtc_scada_x_data', 'external table', 'Agregated data obtained from scada receivers.');
INSERT INTO db_cat_table VALUES ('ext_rtc_scada_dma_period', 'external table', 'Data from scada related to date and dma.');
INSERT INTO db_cat_table VALUES ('ext_cat_hydrometer', 'external catalog', 'Catalog of hydrometers receivers.');
INSERT INTO db_cat_table VALUES ('ext_rtc_hydrometer', 'external table', 'Table of hydrometer receivers.');
INSERT INTO db_cat_table VALUES ('ext_rtc_hydrometer_x_value', 'external table', 'Values obtained from hydrometer receivers.');
INSERT INTO db_cat_table VALUES ('ext_rtc_hydrometer_x_data', 'external table', 'Agregated data obtained from hydrometer receivers.');
INSERT INTO db_cat_table VALUES ('arc_type', 'system structure', 'Contains the types of arcs.');
INSERT INTO db_cat_table VALUES ('node_type', 'system structure', 'Contains the types of nodes.');
INSERT INTO db_cat_table VALUES ('element_type', 'system structure', 'Contains the types of elements.');
INSERT INTO db_cat_table VALUES ('cat_mat_arc', 'catalog', 'Catalog of arc''s material.');
INSERT INTO db_cat_table VALUES ('cat_mat_node', 'catalog', 'Catalog of node''s material.');
INSERT INTO db_cat_table VALUES ('cat_arc', 'catalog', 'Catalog of arcs.');
INSERT INTO db_cat_table VALUES ('cat_node', 'catalog', 'Catalog of nodes.');
INSERT INTO db_cat_table VALUES ('cat_mat_element', 'catalog', 'Catalog of element''s material.');
INSERT INTO db_cat_table VALUES ('cat_element', 'catalog', 'Catalog of elements.');
INSERT INTO db_cat_table VALUES ('cat_connec', 'catalog', 'Catalog of connections.');
INSERT INTO db_cat_table VALUES ('cat_soil', 'catalog', 'Catalog of soil types.');
INSERT INTO db_cat_table VALUES ('cat_builder', 'catalog', 'Catalog of constructors');
INSERT INTO db_cat_table VALUES ('cat_work', 'catalog', 'Catalog of construction works.');
INSERT INTO db_cat_table VALUES ('cat_owner', 'catalog', 'Catalog of owners.');
INSERT INTO db_cat_table VALUES ('cat_pavement', 'catalog', 'Catalog of pavements.');
INSERT INTO db_cat_table VALUES ('cat_press_zone', 'catalog', 'Catalog of press zone.');
INSERT INTO db_cat_table VALUES ('man_type_category', 'value domain (type)', 'Domain data with types of management');
INSERT INTO db_cat_table VALUES ('man_type_fluid', 'value domain (type)', 'Domain data with types of fluid management');
INSERT INTO db_cat_table VALUES ('man_type_location', 'value domain (type)', 'Domain data with types of location management');
INSERT INTO db_cat_table VALUES ('connec_type', 'value domain (type)', 'Domain data with connects types');
INSERT INTO db_cat_table VALUES ('sector', 'GIS feature', 'Table of spatial objects representing sectors.');
INSERT INTO db_cat_table VALUES ('node', 'GIS feature', 'Table of spatial objects representing nodes.');
INSERT INTO db_cat_table VALUES ('arc', 'GIS feature', 'Table of spatial objects representing arcs.');
INSERT INTO db_cat_table VALUES ('dma', 'GIS feature', 'Table of spatial objects representing District Meter Area.');
INSERT INTO db_cat_table VALUES ('connec', 'GIS feature', 'Table of spatial objects representing connects.');
INSERT INTO db_cat_table VALUES ('vnode', 'GIS feature', 'Table of spatial objects representing vnodes.');
INSERT INTO db_cat_table VALUES ('link', 'GIS feature', 'Table of spatial objects representing links.');
INSERT INTO db_cat_table VALUES ('man_junction', 'Additional info of GIS feature', 'Additional information for junction management');
INSERT INTO db_cat_table VALUES ('man_tank', 'Additional info of GIS feature', 'Additional information for tank management');
INSERT INTO db_cat_table VALUES ('man_hydrant', 'Additional info of GIS feature', 'Additional information for hydrant management');
INSERT INTO db_cat_table VALUES ('man_valve', 'Additional info of GIS feature', 'Additional information for valve management');
INSERT INTO db_cat_table VALUES ('man_pump', 'Additional info of GIS feature', 'Additional information for pump management');
INSERT INTO db_cat_table VALUES ('man_filter', 'Additional info of GIS feature', 'Additional information for filter management');
INSERT INTO db_cat_table VALUES ('man_meter', 'Additional info of GIS feature', 'Additional information for measure instrument management');
INSERT INTO db_cat_table VALUES ('man_pipe', 'Additional info of GIS feature', 'Additional information for pipe management');
INSERT INTO db_cat_table VALUES ('element', 'GIS feature', 'Contains the elements');
INSERT INTO db_cat_table VALUES ('element_x_arc', 'GIS feature', 'Contains the elements related to arc.');
INSERT INTO db_cat_table VALUES ('element_x_node', 'GIS feature', 'Contains the elements related to nodes');
INSERT INTO db_cat_table VALUES ('element_x_connec', 'GIS feature', 'Contains the elements related to connects');
INSERT INTO db_cat_table VALUES ('value_state', 'value domain (value)', 'Domain data with value describing the state');
INSERT INTO db_cat_table VALUES ('value_verified', 'value domain (value)', 'Domain data with value describing the verification status.');
INSERT INTO db_cat_table VALUES ('value_yesno', 'value domain (value)', 'Domain data with values yes/no');
INSERT INTO db_cat_table VALUES ('man_selector_valve', 'Selector', 'Selector to control the type of valves that will participate to the mincut analysis');
INSERT INTO db_cat_table VALUES ('inp_backdrop', 'Hydraulic input data', 'Identifies a backdrop image and dimensions for the network EPANET map.');
INSERT INTO db_cat_table VALUES ('inp_controls', 'Hydraulic input data', 'Defines simple controls that modify links based on a single condition.');
INSERT INTO db_cat_table VALUES ('inp_curve', 'Hydraulic input data', 'Defines data curves and their X,Y points.');
INSERT INTO db_cat_table VALUES ('inp_curve_id', 'Hydraulic input data', 'Curve catalog.');
INSERT INTO db_cat_table VALUES ('inp_emitter', 'Hydraulic input data', 'Defines junctions modeled as emitters (sprinklers or orifices).');
INSERT INTO db_cat_table VALUES ('inp_energy_el', 'Hydraulic input data', 'Defines parameters used to compute pumping energy and cost (by specified pump)');
INSERT INTO db_cat_table VALUES ('inp_energy_gl', 'Hydraulic input data', 'Defines global parameters -for all pumps- used to compute pumping energy and cost.');
INSERT INTO db_cat_table VALUES ('inp_junction', 'Hydraulic input data', 'Defines junction nodes contained in the network.');
INSERT INTO db_cat_table VALUES ('inp_label', 'Hydraulic input data', 'Assigns coordinates to map labels on EPANET user inferface.');
INSERT INTO db_cat_table VALUES ('inp_mixing', 'Hydraulic input data', 'Identifies the model that governs mixing within storage tanks.');
INSERT INTO db_cat_table VALUES ('inp_options', 'Hydraulic input data', 'Contains the general information about the simulation options');
INSERT INTO db_cat_table VALUES ('inp_pattern', 'Hydraulic input data', 'Defines time patterns.');
INSERT INTO db_cat_table VALUES ('inp_pipe', 'Hydraulic input data', 'Defines all pipe links contained in the network.');
INSERT INTO db_cat_table VALUES ('inp_pump', 'Hydraulic input data', 'Defines all pump links contained in the network.');
INSERT INTO db_cat_table VALUES ('inp_quality', 'Hydraulic input data', 'Describes the contents of the output report produced from a simulation.');
INSERT INTO db_cat_table VALUES ('inp_reactions_el', 'Hydraulic input data', 'Defines individual parameters -specific for each element- related to chemical reactions occurring in the network.');
INSERT INTO db_cat_table VALUES ('inp_reactions_gl', 'Hydraulic input data', 'Defines global parameters -for all elements- related to chemical reactions occurring in the network.');
INSERT INTO db_cat_table VALUES ('inp_report', 'Hydraulic input data', 'Contains the information about output simulation report');
INSERT INTO db_cat_table VALUES ('inp_reservoir', 'Hydraulic input data', 'Defines all reservoir nodes contained in the network.');
INSERT INTO db_cat_table VALUES ('inp_rules', 'Hydraulic input data', 'Defines rule-based controls that modify links based on a combination of conditions.');
INSERT INTO db_cat_table VALUES ('inp_source', 'Hydraulic input data', 'Defines locations of water quality sources.');
INSERT INTO db_cat_table VALUES ('inp_tags', 'Hydraulic input data', 'Associates category labels (tags) with specific nodes and links on EPANET user inferface.');
INSERT INTO db_cat_table VALUES ('inp_tank', 'Hydraulic input data', 'Defines all tank nodes contained in the network.');
INSERT INTO db_cat_table VALUES ('inp_arc_type', 'Hydraulic input data', 'Domain data with arc''s geometry');
INSERT INTO db_cat_table VALUES ('inp_node_type', 'Hydraulic input data', 'Domain data with node''s geometry');
INSERT INTO db_cat_table VALUES ('inp_typevalue_energy', 'Hydraulic input data', 'Domain data with energy type');
INSERT INTO db_cat_table VALUES ('inp_typevalue_pump', 'Hydraulic input data', 'Domain data with pump''s operation');
INSERT INTO db_cat_table VALUES ('inp_typevalue_reactions_gl', 'Hydraulic input data', 'Domain data with reaction type');
INSERT INTO db_cat_table VALUES ('inp_typevalue_source', 'Hydraulic input data', 'Domain data with source type');
INSERT INTO db_cat_table VALUES ('inp_typevalue_valve', 'Hydraulic input data', 'Domain data with valve type');
INSERT INTO db_cat_table VALUES ('inp_value_ampm', 'Hydraulic input data', 'Domain data with time AM/PM');
INSERT INTO db_cat_table VALUES ('inp_value_curve', 'Hydraulic input data', 'Domain data with curve type');
INSERT INTO db_cat_table VALUES ('inp_value_mixing', 'Hydraulic input data', 'Domain data with mixing type');
INSERT INTO db_cat_table VALUES ('inp_value_noneall', 'Hydraulic input data', 'Domain data with values none/all');
INSERT INTO db_cat_table VALUES ('inp_value_opti_headloss', 'Hydraulic input data', 'Domain data with options of curve losses');
INSERT INTO db_cat_table VALUES ('inp_value_opti_hyd', 'Hydraulic input data', 'Domain data with options of curve losses');
INSERT INTO db_cat_table VALUES ('inp_value_opti_qual', 'Hydraulic input data', 'Domain data with options used to calculate the water quality');
INSERT INTO db_cat_table VALUES ('inp_value_opti_unbal', 'Hydraulic input data', 'Domain data with options used in case of calculation failure');
INSERT INTO db_cat_table VALUES ('inp_value_opti_units', 'Hydraulic input data', 'Domain data with unit measure type');
INSERT INTO db_cat_table VALUES ('inp_value_param_energy', 'Hydraulic input data', 'Domain data with parameters type used to calculate energy');
INSERT INTO db_cat_table VALUES ('inp_value_reactions_gl', 'Hydraulic input data', 'Domain data used to determine the general coefficiency of reaction');
INSERT INTO db_cat_table VALUES ('inp_value_yesno', 'Hydraulic input data', 'Domain data with values yes/no');
INSERT INTO db_cat_table VALUES ('inp_value_yesnofull', 'Hydraulic input data', 'Domain data with values yes/no/all');
INSERT INTO db_cat_table VALUES ('inp_value_plan', 'Hydraulic input data', 'Domain data with values of plan');
INSERT INTO db_cat_table VALUES ('inp_valve', 'Hydraulic input data', 'Defines all control valve links contained in the network.');
INSERT INTO db_cat_table VALUES ('inp_giswater_config', 'Hydraulic input data', 'Configuration table to link QGIS and Giswater');
INSERT INTO db_cat_table VALUES ('rpt_selector_compare', 'Selector', 'Selector of an alternative result (to compare with other results)');
INSERT INTO db_cat_table VALUES ('rpt_arc', 'Hydraulic result data', 'Contains the results of arc elements');
INSERT INTO db_cat_table VALUES ('rpt_energy_usage', 'Hydraulic result data', 'Contains the results of the table of energy usage');
INSERT INTO db_cat_table VALUES ('rpt_hydraulic_status', 'Hydraulic result data', 'Contains the information about the state of the results');
INSERT INTO db_cat_table VALUES ('rpt_node', 'Hydraulic result data', 'Contains the results of node elements');
INSERT INTO db_cat_table VALUES ('rpt_cat_result', 'Hydraulic result data', 'Contains the information about the results');
INSERT INTO db_cat_table VALUES ('inp_selector_sector', 'Selector', 'Sector''s selector. Contains the sectors of the selected network');
INSERT INTO db_cat_table VALUES ('inp_selector_state', 'Selector', 'State''s selector. Contains the diferents states that will be exported to the model');
INSERT INTO db_cat_table VALUES ('inp_shortpipe', 'Hydraulic input data', 'Contains information about short pipes (nodes on GIS features, arc on model as shutoff valve, flowmeteror check valve');
INSERT INTO db_cat_table VALUES ('inp_value_status_pipe', 'Hydraulic input data', 'Value domain of the pipe status');
INSERT INTO db_cat_table VALUES ('inp_value_status_pump', 'Hydraulic input data', 'Value domain of the pump status');
INSERT INTO db_cat_table VALUES ('inp_value_status_valve', 'Hydraulic input data', 'Value domain of the valve status');
INSERT INTO db_cat_table VALUES ('inp_value_times', 'Hydraulic input data', 'Value domain of times');
INSERT INTO db_cat_table VALUES ('temp_node', 'Hydraulic input data', 'Temporary table of nodes with results from the hydraulic model');
INSERT INTO db_cat_table VALUES ('temp_arc', 'Hydraulic input data', 'Temporary table of arcs with results from the hydraulic model');
INSERT INTO db_cat_table VALUES ('doc_type', 'Document management', 'Contains the document''s types.');
INSERT INTO db_cat_table VALUES ('cat_tag', 'Document management catalog', 'Catalog of tags. It''s like a stuctured list of document classification');
INSERT INTO db_cat_table VALUES ('doc', 'Document management', 'Contains URL or folder path where the documents are.');
INSERT INTO db_cat_table VALUES ('doc_x_node', 'Document management', 'Contains the information of document related to nodes.');
INSERT INTO db_cat_table VALUES ('doc_x_arc', 'Document management', 'Contains the information of document related to arcs.');
INSERT INTO db_cat_table VALUES ('doc_x_connec', 'Document management', 'Contains the information of document related to connects.');
INSERT INTO db_cat_table VALUES ('rtc_options', 'Real time control', 'Options for real time control');
INSERT INTO db_cat_table VALUES ('rtc_scada_node', 'Real time control', 'Contains the information to link SCADA with nodes');
INSERT INTO db_cat_table VALUES ('rtc_scada_dma', 'Real time control', 'Contains the information to link SCADA with dma.');
INSERT INTO db_cat_table VALUES ('rtc_scada_x_sector', 'Real time control', 'Contains the information to link SCADA with sector.');
INSERT INTO db_cat_table VALUES ('rtc_value_opti_coef', 'Real time control', 'Value domain for options of real time control');
INSERT INTO db_cat_table VALUES ('rtc_value_opti_status', 'Real time control', 'Value domain for options of real time control');
INSERT INTO db_cat_table VALUES ('rtc_hydrometer_x_connec', 'Real time control', 'Contains the information to link connec with hydrometer');
INSERT INTO db_cat_table VALUES ('plan_psector', 'masterplan', 'Table of plan sector.');
INSERT INTO db_cat_table VALUES ('plan_arc_x_psector', 'masterplan', 'Table of arcs related to plan sectors.');
INSERT INTO db_cat_table VALUES ('plan_node_x_psector', 'masterplan', 'Table of nodes related to plan sectors.');
INSERT INTO db_cat_table VALUES ('plan_other_x_psector', 'masterplan', 'Table of other objects related to plan sectors.');
INSERT INTO db_cat_table VALUES ('plan_arc_x_pavement', 'masterplan', 'Table to relate arcs to pavements');
INSERT INTO db_cat_table VALUES ('plan_value_ps_priority', 'masterplan', 'Domain value table of levels of priority related to psectors');
INSERT INTO db_cat_table VALUES ('plan_selector_economic', 'masterplan', 'Table of economic selectors.');
INSERT INTO db_cat_table VALUES ('plan_selector_psector', 'masterplan', 'Table of plan sector selectors.');
INSERT INTO db_cat_table VALUES ('price_simple', 'masterplan', 'Table of simple price.');
INSERT INTO db_cat_table VALUES ('price_compost', 'masterplan', 'Table of compound prices');
INSERT INTO db_cat_table VALUES ('price_compost_value', 'masterplan', 'Table to relate simple prices to compound prices');
INSERT INTO db_cat_table VALUES ('price_value_unit', 'masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('anl_mincut_polygon', 'Analysis', 'Table with the results of mincut analysis (poligon)');
INSERT INTO db_cat_table VALUES ('anl_mincut_node', 'Analysis', 'Table with the results of mincut analysis (node)');
INSERT INTO db_cat_table VALUES ('anl_mincut_arc', 'Analysis', 'Table with the results of mincut analysis (arc)');
INSERT INTO db_cat_table VALUES ('anl_mincut_valve', 'Analysis', 'Table with the results of mincut analysis (valve)');
INSERT INTO db_cat_table VALUES ('anl_valveanaytics_connec', 'Analysis', 'Table with the results of mincut analysis (connec)');
INSERT INTO db_cat_table VALUES ('version', 'utils', 'Table to control de version of the software used on the project.');
INSERT INTO db_cat_table VALUES ('config', 'utils', 'Table to define diferent configuration parameters related to the GIS USER interface.');
INSERT INTO db_cat_table VALUES ('config_csv_import', 'utils', 'Table to define the tables enabled for csv import tool');
INSERT INTO db_cat_table VALUES ('db_cat_table', 'utils', 'Table with the information of tables of the project');
INSERT INTO db_cat_table VALUES ('db_cat_view', 'utils', 'Table with the information of views of the project');
INSERT INTO db_cat_table VALUES ('db_cat_columns', 'utils', 'Table with the information of columns of the project');
INSERT INTO db_cat_table VALUES ('db_cat_clientlayer', 'utils', 'Table with the information of GIS layers of the project');
INSERT INTO db_cat_table VALUES ('anl_node_orphan', 'utils', 'Table with the results of the topology process of node orphan function');
INSERT INTO db_cat_table VALUES ('anl_node_sink', 'utils', 'Table with the results of the topology process of node sink function');
INSERT INTO db_cat_table VALUES ('anl_node_duplicated', 'utils', 'Table with the results of the topology process of node duplicated function');
INSERT INTO db_cat_table VALUES ('anl_arc_same_startend', 'utils', 'Table with the results of the topology process of arcs with same node initial and end function');
INSERT INTO db_cat_table VALUES ('audit_cat_error', 'utils', 'Catalog of errors');
INSERT INTO db_cat_table VALUES ('audit_cat_function', 'utils', 'Catalog of functions');
INSERT INTO db_cat_table VALUES ('audit_function_actions', 'utils', 'Table to store information about traceability of user actions with functions');
INSERT INTO db_cat_table VALUES ('anl_connec_duplicated', 'Analysis', 'Table of duplicated connecs');
INSERT INTO db_cat_table VALUES ('anl_mincut_result_cat_state', 'Analysis', 'Table of states of minimum cut results catalog.');
INSERT INTO db_cat_table VALUES ('ext_postnumber', 'external table', 'Table of entrance numbers.');
INSERT INTO db_cat_table VALUES ('config_search_plus', 'utils', 'Table to define the configuration of search plus tool');
INSERT INTO db_cat_table VALUES ('point', 'GIS feature', 'Table of spatial objects representing points.');
INSERT INTO db_cat_table VALUES ('anl_mincut_result_hydrometer', 'Analysis', 'Table of minimum cut analysis related to hydrometers.');
INSERT INTO db_cat_table VALUES ('inp_project_id', 'Hydraulic input data', 'Table with information of the project');
INSERT INTO db_cat_table VALUES ('config_extract_raster_value', 'utils', 'Table to define the configuration of extracting values from raster');
INSERT INTO db_cat_table VALUES ('config_ui_forms', 'utils', 'Table to define the configuration of forms.');
INSERT INTO db_cat_table VALUES ('anl_mincut_result_cat', 'Analysis', 'Catalog of minimum cut analysis results.');
INSERT INTO db_cat_table VALUES ('anl_mincut_result_cat_type', 'Analysis', 'Table of types of minimum cut results catalog.');
INSERT INTO db_cat_table VALUES ('anl_mincut_result_arc', 'Analysis', 'Table of minimum cut analysis related to arcs.');
INSERT INTO db_cat_table VALUES ('anl_mincut_result_polygon', 'Analysis', 'Table of minimum cut analysis related to polygons.');
INSERT INTO db_cat_table VALUES ('anl_mincut_result_connec', 'Analysis', 'Table of minimum cut analysis related to connecs.');
INSERT INTO db_cat_table VALUES ('rtc_scada_x_dma', 'Real time control', 'Contains the information to link SCADA with dma');
INSERT INTO db_cat_table VALUES ('rtc_hydrometer', 'Real time control', 'Contains the information to link SCADA with hydrometers');
INSERT INTO db_cat_table VALUES ('presszone', 'GIS feature', 'Table of spatial objects representing Pressure zones');
INSERT INTO db_cat_table VALUES ('point_type', 'value domain (type)', 'Domain data with connects types');
INSERT INTO db_cat_table VALUES ('anl_mincut_result_valve', 'Analysis', 'Table of minimum cut analysis related to valve.');
INSERT INTO db_cat_table VALUES ('anl_mincut_result_node', 'Analysis', 'Table of minimum cut analysis related to nodes.');
INSERT INTO db_cat_table VALUES ('anl_mincut_result_selector', 'Analysis', 'Table of minimum cut analysis related to selector.');
INSERT INTO db_cat_table VALUES ('inp_demand', 'Hydraulic input data', 'Replace to junction feature for defining multiple water demands at junction nodes. WARNING: If this junction values are used the value of junction is ignored.');
INSERT INTO db_cat_table VALUES ('ext_type_street', 'external table', 'Catalog of street types.');
INSERT INTO db_cat_table VALUES ('om_visit', 'O&M information', 'Table of all visits that took place.');
INSERT INTO db_cat_table VALUES ('anl_arc_no_startend_node', 'Analysis', 'Table with the results of the topology process of arcs with no nodes on start and/or end function');
INSERT INTO db_cat_table VALUES ('om_visit_event', 'O&M information', 'Table of events that took place during the visit.');
INSERT INTO db_cat_table VALUES ('om_visit_parameter', 'O&M information', 'Catalog of parameters related to event types.');
INSERT INTO db_cat_table VALUES ('om_visit_parameter_type', 'O&M information', 'Catalog of types of events.');
INSERT INTO db_cat_table VALUES ('om_visit_x_arc', 'O&M information', 'Table of visits related to arc.');
INSERT INTO db_cat_table VALUES ('om_visit_x_connec', 'O&M information', 'Table of visits related to connec.');
INSERT INTO db_cat_table VALUES ('om_visit_x_gully', 'O&M information', 'Table of visits related to gully.');
INSERT INTO db_cat_table VALUES ('om_visit_x_node', 'O&M information', 'Table of visits related to node.');
INSERT INTO db_cat_table VALUES ('anl_selector_state', 'Analysis', 'Domain data with value describing the state for analysis.');
INSERT INTO db_cat_table VALUES ('config_py_tables', 'utils', 'Table with layers which are necessary to the correct functioning of the plugin');
INSERT INTO db_cat_table VALUES ('om_visit_value_position', 'O&M information', 'Catalog of event''s location.');
INSERT INTO db_cat_table VALUES ('plan_selector_state', 'masterplan', 'Domain data with value describing the state for masterplan');
INSERT INTO db_cat_table VALUES ('pond', 'GIS feature', 'Table of spatial objects representing ponds.');
INSERT INTO db_cat_table VALUES ('pool', 'GIS feature', 'Table of spatial objects representing pools.');
INSERT INTO db_cat_table VALUES ('samplepoint', 'GIS feature', 'Table of spatial objects representing sample points.');
INSERT INTO db_cat_table VALUES ('man_fountain', 'Additional info of GIS feature', 'Additional information for fountain management');
INSERT INTO db_cat_table VALUES ('man_greentap', 'Additional info of GIS feature', 'Additional information for greentap management');
INSERT INTO db_cat_table VALUES ('man_manhole', 'Additional info of GIS feature', 'Additional information for manhole management');
INSERT INTO db_cat_table VALUES ('man_reduction', 'Additional info of GIS feature', 'Additional information for reduction management');
INSERT INTO db_cat_table VALUES ('man_selector_state', 'Additional info of GIS feature', 'Additional information for selector state management');
INSERT INTO db_cat_table VALUES ('man_source', 'Additional info of GIS feature', 'Additional information for source management');
INSERT INTO db_cat_table VALUES ('man_tap', 'Additional info of GIS feature', 'Additional information for water tap management');
INSERT INTO db_cat_table VALUES ('man_waterwell', 'Additional info of GIS feature', 'Additional information for waterwell management');
INSERT INTO db_cat_table VALUES ('man_wjoin', 'Additional info of GIS feature', 'Additional information for wjoin management');
INSERT INTO db_cat_table VALUES ('config_param_bool', 'utils', 'Configuration-  stash for boolean parameters.');
INSERT INTO db_cat_table VALUES ('config_param_float', 'utils', 'Configuration-  stash for float parameters.');
INSERT INTO db_cat_table VALUES ('config_param_int', 'utils', 'Configuration-  stash for integer parameters.');
INSERT INTO db_cat_table VALUES ('config_param_text', 'utils', 'Configuration-  stash for text parameters.');
INSERT INTO db_cat_table VALUES ('v_edit_node', 'GIS feature', 'Shows editable information about nodes.');
INSERT INTO db_cat_table VALUES ('v_edit_arc', 'GIS feature', 'Shows editable information about arcs.');
INSERT INTO db_cat_table VALUES ('v_edit _link', 'GIS feature', 'Shows editable information about links.');
INSERT INTO db_cat_table VALUES ('v_edit_valve', 'GIS feature', 'Shows editable information about valves.');
INSERT INTO db_cat_table VALUES ('v_edit_inp_junction', 'Hydraulic feature', 'Shows editable information about node type junction');
INSERT INTO db_cat_table VALUES ('audit_schema_data_integrity', 'utils', 'Result of data integrity audit');
INSERT INTO db_cat_table VALUES ('v_edit_inp_pipe', 'Hydraulic feature', 'Shows editable information about arc type pipe');
INSERT INTO db_cat_table VALUES ('v_edit_inp_pump', 'Hydraulic feature', 'Shows editable information about node type pump');
INSERT INTO db_cat_table VALUES ('v_edit_inp_reservoir', 'Hydraulic feature', 'Shows editable information about node type reservoir');
INSERT INTO db_cat_table VALUES ('v_edit_inp_tank', 'Hydraulic feature', 'Shows editable information about node type tank');
INSERT INTO db_cat_table VALUES ('v_edit_inp_valve', 'Hydraulic feature', 'Shows editable information about node type valve');
INSERT INTO db_cat_table VALUES ('v_edit_inp_shortpipe', 'Hydraulic input data', 'Shows editable information about editable features of shortpipe.');
INSERT INTO db_cat_table VALUES ('v_arc', 'Hydraulic input data', 'Shows the arc data.');
INSERT INTO db_cat_table VALUES ('v_node', 'Hydraulic input data', 'Shows the node data.');
INSERT INTO db_cat_table VALUES ('v_arc_x_node1', 'GIS feature', 'Shows the relation between arc and node 1.');
INSERT INTO db_cat_table VALUES ('v_arc_x_node2', 'GIS feature', 'Shows the relation between arc and node 2.');
INSERT INTO db_cat_table VALUES ('v_arc_x_node', 'GIS feature', 'Shows the relation between arc and nodes.');
INSERT INTO db_cat_table VALUES ('v_ui_element_x_node', 'Additional info of GIS feature', 'Contains the elements related to node. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_element_x_arc', 'Additional info of GIS feature', 'Contains the elements related to arc. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_element_x_connec', 'Additional info of GIS feature', 'Contains the elements related to connec. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_inp_curve', 'Hydraulic input data', 'Shows the information about definition of the curve');
INSERT INTO db_cat_table VALUES ('v_inp_demand', 'Hydraulic input data', 'Shows the information about node''s demand');
INSERT INTO db_cat_table VALUES ('v_inp_emiter', 'Hydraulic input data', 'Shows the information about transmitters');
INSERT INTO db_cat_table VALUES ('v_inp_energy_el', 'Hydraulic input data', 'Shows the information about energy elements');
INSERT INTO db_cat_table VALUES ('v_inp_junction', 'Hydraulic input data', 'Shows the information about node type junction');
INSERT INTO db_cat_table VALUES ('v_inp_mixing', 'Hydraulic input data', 'Shows the information about mixing type inside tanks');
INSERT INTO db_cat_table VALUES ('v_inp_options', 'Hydraulic input data', 'Shows the general information with the simulation options');
INSERT INTO db_cat_table VALUES ('v_inp_pipe', 'Hydraulic input data', 'Shows theinformation about arc type pipe');
INSERT INTO db_cat_table VALUES ('v_inp_pump', 'Hydraulic input data', 'Shows the information about node type pump');
INSERT INTO db_cat_table VALUES ('v_inp_report', 'Hydraulic input data', 'Shows the information about the output simulation report.');
INSERT INTO db_cat_table VALUES ('v_inp_reservoir', 'Hydraulic input data', 'Shows the information about node type reservoir');
INSERT INTO db_cat_table VALUES ('v_inp_rules', 'Hydraulic input data', 'Shows the information about the control rules.');
INSERT INTO db_cat_table VALUES ('v_inp_shortpipe', 'Hydraulic input data', 'Shows  information about shortpipes.');
INSERT INTO db_cat_table VALUES ('v_inp_source', 'Hydraulic input data', 'Shows the information about contamination sources');
INSERT INTO db_cat_table VALUES ('v_inp_status', 'Hydraulic input data', 'Shows the information about the pipelines'' state');
INSERT INTO db_cat_table VALUES ('v_inp_tank', 'Hydraulic input data', 'Shows the information about node type tank');
INSERT INTO db_cat_table VALUES ('v_inp_times', 'Hydraulic input data', 'Shows the information about weather parameters');
INSERT INTO db_cat_table VALUES ('v_inp_valve_cu', 'Hydraulic input data', 'Shows the information about the valves regulated by the curve');
INSERT INTO db_cat_table VALUES ('v_inp_valve_fl', 'Hydraulic input data', 'Shows the information about the valves regulated by the flow');
INSERT INTO db_cat_table VALUES ('v_rpt_arc', 'Hydraulic result data', 'Shows the results of the arcs simulation');
INSERT INTO db_cat_table VALUES ('v_inp_valve_lc', 'Hydraulic input data', 'Shows the information about the valves regulated by the coefficiency of losses');
INSERT INTO db_cat_table VALUES ('v_inp_valve_pr', 'Hydraulic input data', 'Shows the information about the valves regulated by the pressure');
INSERT INTO db_cat_table VALUES ('v_inp_vertice', 'Hydraulic input data', 'Shows the information about the pipelines'' vertexes geometry');
INSERT INTO db_cat_table VALUES ('v_rpt_energy_usage', 'Hydraulic result data', 'Shows the results of the energy usage');
INSERT INTO db_cat_table VALUES ('v_rpt_hydraulic_status', 'Hydraulic result data', 'Shows the results of hydraulic status');
INSERT INTO db_cat_table VALUES ('v_rpt_node', 'Hydraulic result data', 'Shows the results of  the nodes simulation');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_arc', 'Hydraulic result data', 'Shows the results of the alternative result (to compare on  QGIS project) related to arc information');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_energy_usage', 'Hydraulic result data', 'Shows the results of the alternative result (to compare on  QGIS project) related to energy usagee');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_hydraulic_status', 'Hydraulic result data', 'Shows the results of the alternative result (to compare on  QGIS project) related to hydraulic stataus');
INSERT INTO db_cat_table VALUES ('v_rpt_comp_node', 'Hydraulic result data', 'Shows the results of the alternative result (to compare on  QGIS project) related to node');
INSERT INTO db_cat_table VALUES ('v_ui_doc_x_node', 'Document management', 'Shows the information of document related to nodes. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_doc_x_arc', 'Document management', 'Shows the information of document related to arcs. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_doc_x_connec', 'Document management', 'Shows the information of document related to connects. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_scada_x_node', 'Real time control', 'Shows the scada data related to the node User interface table.');
INSERT INTO db_cat_table VALUES ('v_ui_hydrometer_x_connec', 'Real time control', 'Shows the hydrometer data related to connects User interface table.');
INSERT INTO db_cat_table VALUES ('v_price_compost', 'masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catsoil1', 'masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catsoil2', 'masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catsoil3', 'masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catsoil4', 'masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catsoil', 'masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catarc1', 'masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catarc2', 'masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catarc3', 'masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catarc', 'masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catpavement', 'masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_price_x_catnode', 'masterplan', 'View for code');
INSERT INTO db_cat_table VALUES ('v_plan_ml_arc', 'masterplan', 'View where is showed the characteristicis of arc by lineal meter (soil, pavement,…)');
INSERT INTO db_cat_table VALUES ('v_plan_mlcost_arc', 'masterplan', 'View where is showed the economic characteristicis of arc by lineal meter (soil, pavement,…) by lineal meter');
INSERT INTO db_cat_table VALUES ('v_plan_cost_arc', 'masterplan', 'View to show full data of cost of arc');
INSERT INTO db_cat_table VALUES ('v_plan_arc', 'masterplan', 'View only with the most important information about the cost of the arc');
INSERT INTO db_cat_table VALUES ('v_plan_node', 'masterplan', 'View only with the most important information about the cost of the node');
INSERT INTO db_cat_table VALUES ('v_plan_arc_x_psector', 'masterplan', 'View to show arcs related to plan sectors.');
INSERT INTO db_cat_table VALUES ('v_plan_node_x_psector', 'masterplan', 'View to show nodes related to plan sectors.');
INSERT INTO db_cat_table VALUES ('v_plan_psector_arc', 'masterplan', 'View to show sectors with the related arcs');
INSERT INTO db_cat_table VALUES ('v_plan_psector_node', 'masterplan', 'View to show sectors with the related nodes');
INSERT INTO db_cat_table VALUES ('v_plan_other_x_psector', 'masterplan', 'View to show other issues of budget related to plan sectors.');
INSERT INTO db_cat_table VALUES ('v_plan_psector_other', 'masterplan', 'View to show sectors with the related other issues of budget');
INSERT INTO db_cat_table VALUES ('v_plan_psector', 'masterplan', 'View to show sectors planifieds');
INSERT INTO db_cat_table VALUES ('v_audit_functions', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_catalog_column', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_catalog_compare_column', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_catalog_compare_table', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_column', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_foreign_column', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_foreign_column_aux', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_foreign_compare_column', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_foreign_compare_table', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_foreign_table', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_audit_schema_table', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_inp_arc', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_inp_arc_x_node', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_inp_arc_x_node1', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_inp_arc_x_node2', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_inp_emitter', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_inp_node', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_plan_psector_filtered', NULL, NULL);
INSERT INTO db_cat_table VALUES ('v_edit_connec', 'GIS feature', 'Shows editable information about connecs.');
INSERT INTO db_cat_table VALUES ('v_edit_anl_valve', 'Analysis', 'Shows editable information from valve analysis');
INSERT INTO db_cat_table VALUES ('v_edit_link', 'GIS feature', 'Shows editable information about links.');
INSERT INTO db_cat_table VALUES ('v_edit_man_fountain', 'GIS feature', 'Shows editable information about fountain');
INSERT INTO db_cat_table VALUES ('v_edit_man_greentap', 'GIS feature', 'Shows editable information about greentap.');
INSERT INTO db_cat_table VALUES ('v_edit_man_hydrant', 'GIS feature', 'Shows editable information about hydrant');
INSERT INTO db_cat_table VALUES ('v_edit_man_tap', 'GIS feature', 'Shows editable information about tap');
INSERT INTO db_cat_table VALUES ('v_edit_man_junction', 'GIS feature', 'Shows editable information about junction');
INSERT INTO db_cat_table VALUES ('v_edit_man_manhole', 'GIS feature', 'Shows editable information about manhole');
INSERT INTO db_cat_table VALUES ('v_edit_man_meter', 'GIS feature', 'Shows editable information about meter');
INSERT INTO db_cat_table VALUES ('v_edit_man_pump', 'GIS feature', 'Shows editable information about pump');
INSERT INTO db_cat_table VALUES ('v_edit_man_reduction', 'GIS feature', 'Shows editable information about reduction');
INSERT INTO db_cat_table VALUES ('v_edit_man_source', 'GIS feature', 'Shows editable information about source');
INSERT INTO db_cat_table VALUES ('v_edit_man_tank', 'GIS feature', 'Shows editable information about tank');
INSERT INTO db_cat_table VALUES ('v_edit_man_valve', 'GIS feature', 'Shows editable information about valves');
INSERT INTO db_cat_table VALUES ('v_edit_man_waterwell', 'GIS feature', 'Shows editable information about waterwell');
INSERT INTO db_cat_table VALUES ('v_edit_man_wjoin', 'GIS feature', 'Shows editable information about wjoin');
INSERT INTO db_cat_table VALUES ('v_ui_om_visit_x_arc', 'O&M information', 'Shows the visits related to elements related to arcs. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_om_visit_x_connec', 'O&M information', 'Shows the visits related to elements related to connecs. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_ui_om_visit_x_node', 'O&M information', 'Shows the visits related to elements related to nodes. User Interface view.');
INSERT INTO db_cat_table VALUES ('v_rtc_hydrometer_period', 'Real time control', 'Shows the hydrometer periods.');
INSERT INTO db_cat_table VALUES ('v_rtc_dma_hydrometer_period', 'Real time control', 'System view');
INSERT INTO db_cat_table VALUES ('v_rtc_dma_parameter_period', 'Real time control', 'System view');
INSERT INTO db_cat_table VALUES ('v_rtc_hydrometer_x_arc', 'Real time control', 'System view');
INSERT INTO db_cat_table VALUES ('v_rtc_hydrometer_x_node_period', 'Real time control', 'System view');
INSERT INTO db_cat_table VALUES ('v_anl_mincut_connec', 'Analysis', 'View with aggregated information of the results of mincut analysis (connec)');
INSERT INTO db_cat_table VALUES ('v_anl_mincut_hydrometer', 'Analysis', 'View with aggregated information of the results of mincut analysis (hydrometers)');
INSERT INTO db_cat_table VALUES ('v_anl_arc', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_connec', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_mincut_result_arc', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_mincut_result_arc_compare', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_mincut_result_hydrometer', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_mincut_result_hydrometer_compare', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_mincut_result_node', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_mincut_result_node_compare', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_mincut_result_polygon', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_mincut_result_polygon_compare', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_mincut_result_restult_connec', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_mincut_result_restult_connec_compare', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_mincut_result_valve', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_mincut_result_valve_compare', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_anl_node', 'Analysis', NULL);
INSERT INTO db_cat_table VALUES ('v_edit_rtc_hydro_data_x_connec', 'Real time control', 'Shows editable information data from hydrometers related to connecs');
INSERT INTO db_cat_table VALUES ('v_ext_urban_propierties', NULL, 'Shows information about urban properties and related to them connecs.');
INSERT INTO db_cat_table VALUES ('v_man_arc', 'GIS feature', 'Shows information about arcs.');
INSERT INTO db_cat_table VALUES ('v_man_connec', 'GIS feature', 'Shows information about connecs');
INSERT INTO db_cat_table VALUES ('v_man_node', 'GIS feature', 'Shows information about nodes');
INSERT INTO db_cat_table VALUES ('v_price_x_arc', 'masterplan', 'Shows the datails of the arc price.');
INSERT INTO db_cat_table VALUES ('v_price_x_node', 'masterplan', 'Shows the datails of the node price.');
INSERT INTO db_cat_table VALUES ('v_rtc_hydrometer', 'Real time control', 'Shows the hydrometer receivers.');
INSERT INTO db_cat_table VALUES ('v_rtc_hydrometer_x_connec', 'Real time control', 'Shows the hydrometer receivers related to connecs.');
INSERT INTO db_cat_table VALUES ('v_rtc_scada', 'Real time control', 'Shows the scada receivers');
INSERT INTO db_cat_table VALUES ('v_rtc_scada_data', 'Real time control', 'Shows the scada data.');
INSERT INTO db_cat_table VALUES ('v_rtc_scada_value', 'Real time control', 'Shows the scada values.');
INSERT INTO db_cat_table VALUES ('anl_mincut_result_selector_compare', 'Analysis', 'Selector for comparing the cut analysis results');
INSERT INTO db_cat_table VALUES ('ext_hydrometer_category', 'external table', 'Catalog of hydrometer categories.');
INSERT INTO db_cat_table VALUES ('inp_cat_mat_roughness', 'Hydraulic input data', 'Catalog of material roughness');
INSERT INTO db_cat_table VALUES ('rpt_selector_result', 'Selector', 'Result´s selector');
INSERT INTO db_cat_table VALUES ('inp_value_reactions_el', 'Hydraulic input data', 'Domain data used to determine the general coefficiency of element''s reaction');
INSERT INTO db_cat_table VALUES ('inp_times', 'Hydraulic input data', 'Values of simulation times of hydraulic model');



INSERT INTO db_cat_table_x_column VALUES ('price_simple_price', 'price_simple', 'price', 'Numeric(12,4)', 'Price');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_view_description', 'db_cat_view', 'description', 'text', 'description of the table');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_columns_id', 'db_cat_columns', 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_orphan_node_type', 'anl_node_orphan', 'node_type', 'Varchar(30)', 'Type of the node');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_columns_db_cat_table_id', 'db_cat_columns', 'db_cat_table_id', 'int4', 'Type of column');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_anl_descript', 'anl_mincut_result_cat', 'anl_descript', 'text', 'Description of analysis.');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_orphan_node_id', 'anl_node_orphan', 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_arc_same_startend_arc_id', 'anl_arc_same_startend', 'arc_id', NULL, 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_node_type', 'temp_node', 'node_type', 'varchar(30)', 'Node type.');
INSERT INTO db_cat_table_x_column VALUES ('ext_streetaxis_name', 'ext_streetaxis', 'name', 'Varchar(100)', 'Street name.');
INSERT INTO db_cat_table_x_column VALUES ('ext_streetaxis_text', 'ext_streetaxis', 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('ext_streetaxis_the_geom', 'ext_streetaxis', 'the_geom', 'public.geometry', 'Line geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_id', 'ext_urban_propierties', 'id', 'Varchar (16)', 'ID of a urban properites. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_code', 'ext_urban_propierties', 'code', 'Varchar (30)', 'Code of the property.');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_streetaxis', 'ext_urban_propierties', 'streetaxis', 'Varchar (16)', 'Street at which the property is located.');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_postnumber', 'ext_urban_propierties', 'postnumber', 'Varchar (16)', 'Post number of the property.');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_complement', 'ext_urban_propierties', 'complement', 'Varchar (16)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_placement', 'ext_urban_propierties', 'placement', 'Varchar (16)', 'Location of a property.');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_square', 'ext_urban_propierties', 'square', 'Varchar (16)', 'Square at which the property is located.');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_the_geom', 'ext_urban_propierties', 'the_geom', 'public.geometry', 'Line geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_id', 'ext_cat_period', 'id', 'Varchar (16)', 'ID of a period catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_starttime', 'ext_cat_period', 'starttime', 'Timestamp(6)', 'Defines the begining of the period.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_endtime', 'ext_cat_period', 'endtime', 'Timestamp(6)', 'Defines the end of the period.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_period_seconds', 'ext_cat_period', 'period_seconds', 'int', 'Period of time expressed in seconds.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_comment', 'ext_cat_period', 'comment', 'Varchar (100)', 'Comments related to period catalog. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_id', 'ext_cat_scada', 'id', 'Varchar (16)', 'ID of a scada catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_data_type', 'ext_cat_scada', 'data_type', 'Varchar (30)', 'Type of data coming from scada.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_units', 'ext_cat_scada', 'units', 'Varchar (12)', 'Type of units in which the data is expressed.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_text1', 'ext_cat_scada', 'text1', 'Varchar (100)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_text2', 'ext_cat_scada', 'text2', 'Varchar (100)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_text3', 'ext_cat_scada', 'text3', 'Varchar (100)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_link', 'ext_cat_scada', 'link', 'Varchar (512)', 'Field to store link to information related to the scada''s catalog.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_url', 'ext_cat_scada', 'url', 'Varchar (512)', 'Field to store URL or folder path with more information related to the scada''s catalog.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_picture', 'ext_cat_scada', 'picture', 'Varchar (512)', 'Picture related to the material.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_scada_svg', 'ext_cat_scada', 'svg', 'Varchar (50)', 'Symbology.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_scada_id', 'ext_rtc_scada', 'scada_id', 'Varchar (16)', 'Id of a related scada receiver.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_cat_scada_id', 'ext_rtc_scada', 'cat_scada_id', 'Varchar (16)', 'Id of the related scada catalog element.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_text', 'ext_rtc_scada', 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_value_id', 'ext_rtc_scada_x_value', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_value_scada_id', 'ext_rtc_scada_x_value', 'scada_id', 'Varchar (16)', 'Id of a related scada receiver.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_value_value', 'ext_rtc_scada_x_value', 'value', 'float', 'Value obtained from scada.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_value_timestamp', 'ext_rtc_scada_x_value', 'timestamp', 'Timestamp(6)', 'Date of capturing the data.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_value_interval_seconds', 'ext_rtc_scada_x_value', 'interval_seconds', 'int4', 'Time interval in which the data was captured expressed in seconds.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_id', 'ext_rtc_scada_x_data', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_scada_id', 'ext_rtc_scada_x_data', 'scada_id', 'Varchar (16)', 'Id of a related scada receiver.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_min', 'ext_rtc_scada_x_data', 'min', 'float', 'Minimum value.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_max', 'ext_rtc_scada_x_data', 'max', 'float', 'Maximum value.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_avg', 'ext_rtc_scada_x_data', 'avg', 'float', 'Average value.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_sum', 'ext_rtc_scada_x_data', 'sum', 'float', 'Sum of the values.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_cat_period_id', 'ext_rtc_scada_x_data', 'cat_period_id', 'Varchar(16)', 'Id of a related period catalog.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_id', 'ext_rtc_scada_dma_period', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_dma_id', 'ext_rtc_scada_dma_period', 'dma_id', NULL, 'ID of the related management area related (District Meter Area)');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_m3_min', 'ext_rtc_scada_dma_period', 'm3_min', 'float', 'Minimum value.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_m3_max', 'ext_rtc_scada_dma_period', 'm3_max', 'float', 'Maximum value.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_m3_avg', 'ext_rtc_scada_dma_period', 'm3_avg', 'float', 'Average value.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_m3_total_period', 'ext_rtc_scada_dma_period', 'm3_total_period', 'float', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_cat_period_id', 'ext_rtc_scada_dma_period', 'cat_period_id', 'Varchar (16)', 'Id of the related period catalog element.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_id', 'ext_cat_hydrometer', 'id', 'Varchar (16)', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_text2', 'ext_cat_hydrometer', 'text2', 'Varchar (100)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_text3', 'ext_cat_hydrometer', 'text3', 'Varchar (100)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_link', 'ext_cat_hydrometer', 'link', 'Varchar (512)', 'Field to store link to information related to the hydrometer''s catalog.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_url', 'ext_cat_hydrometer', 'url', 'Varchar (512)', 'Field to store URL or folder path with more information related to the hydrometer''s catalog.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_picture', 'ext_cat_hydrometer', 'picture', 'Varchar (512)', 'Picture related to the material.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_svg', 'ext_cat_hydrometer', 'svg', 'Varchar (50)', 'Symbology.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_hydrometer_id', 'ext_rtc_hydrometer', 'hydrometer_id', 'Varchar(16)', 'ID of a hydrometer. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_cat_hydrometer_id', 'ext_rtc_hydrometer', 'cat_hydrometer_id', 'Varchar(16)', 'ID of a related hydrometer catalog element.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_id', 'ext_rtc_hydrometer_x_value', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_hydrometer_id', 'ext_rtc_hydrometer_x_value', 'hydrometer_id', 'Varchar(16)', 'Id of a related hydrometer.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_value', 'ext_rtc_hydrometer_x_value', 'value', 'float', 'Value obtained from hydrometer.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_timestamp', 'ext_rtc_hydrometer_x_value', 'timestamp', 'Timestamp(6)', 'Date of capturing the data.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_interval_seconds', 'ext_rtc_hydrometer_x_value', 'interval_seconds', 'int4', 'Time interval in which the data was captured expressed in seconds.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_id', 'ext_rtc_hydrometer_x_data', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key).');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_hydrometer_id', 'ext_rtc_hydrometer_x_data', 'hydrometer_id', 'Varchar(16)', 'Id of a related hydrometer.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_min', 'ext_rtc_hydrometer_x_data', 'min', 'float', 'Minimum value.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_max', 'ext_rtc_hydrometer_x_data', 'max', 'float', 'Maximum value.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_avg', 'ext_rtc_hydrometer_x_data', 'avg', 'float', 'Average value.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_sum', 'ext_rtc_hydrometer_x_data', 'sum', 'float', 'Sum of the values.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_data_cat_period_id', 'ext_rtc_hydrometer_x_data', 'cat_period_id', 'Varchar (16)', 'Id of the related period catalog element.');
INSERT INTO db_cat_table_x_column VALUES ('arc_type_id', 'arc_type', 'id', 'varchar(18)', 'Custom type of arc defined by the user. The relation with type is n to 1.');
INSERT INTO db_cat_table_x_column VALUES ('arc_type_type', 'arc_type', 'type', 'varchar(18)', 'Type of arc. The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('arc_type_epa_default', 'arc_type', 'epa_default', 'varchar(18)', 'Default''s value of EPA software. The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('arc_type_man_table', 'arc_type', 'man_table', 'varchar(18)', 'Name of the table with additional information of feature (management information). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('node_node_id', 'node', 'node_id', 'varchar(16)', 'Node identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('arc_type_epa_table', 'arc_type', 'epa_table', 'varchar(18)', 'Name of the table with additional information of feature (hidraulic model). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('arc_type_event_table', 'arc_type', 'event_table', 'varchar(18)', 'Name of the table with additional information of feature (operation information). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('node_type_id', 'node_type', 'id', 'varchar(18)', 'Custom type of node defined by the user. The relation with type is n to 1');
INSERT INTO db_cat_table_x_column VALUES ('node_type_type', 'node_type', 'type', 'varchar(18)', 'Type of node. The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('node_type_epa_default', 'node_type', 'epa_default', 'varchar(18)', 'Default''s value of EPA software. The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_type', 'cat_connec', 'type', 'varchar(16)', 'Type of the connect.');
INSERT INTO db_cat_table_x_column VALUES ('node_type_man_table', 'node_type', 'man_table', 'varchar(18)', 'Name of the table with additional information of feature (management information). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('node_type_epa_table', 'node_type', 'epa_table', 'varchar(18)', 'Name of the table with additional information of feature (hidraulic model). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('node_type_event_table', 'node_type', 'event_table', 'varchar(18)', 'Name of the table with additional information of feature (operation information). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('element_type_id', 'element_type', 'id', 'varchar(18)', 'Type of element adapted to reality, and ready to translate. The relation with type is n to 1');
INSERT INTO db_cat_table_x_column VALUES ('element_type_event_table', 'element_type', 'event_table', 'varchar(18)', 'Name of the table with additional information of feature (operation information). The data of this field is system data');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_arc_id', 'cat_mat_arc', 'id', 'varchar(30)', 'ID of arc''s material catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_arc_descript', 'cat_mat_arc', 'descript', 'varchar(512)', 'Field to store additional information about the material');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_arc_roughness', 'cat_mat_arc', 'roughness', 'Numeric(12,4)', 'Roughness of the material.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_arc_link', 'cat_mat_arc', 'link', 'varchar(512)', 'Field to store link to information related to the arc''s material catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_arc_url', 'cat_mat_arc', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the arc''s material catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_arc_picture', 'cat_mat_arc', 'picture', 'varchar(512)', 'Picture related to the material.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_id', 'cat_mat_node', 'id', 'varchar(30)', 'ID of node''s material catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_descript', 'cat_mat_node', 'descript', 'varchar(512)', 'Field to store additional information about the material.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_roughness', 'cat_mat_node', 'roughness', 'Numeric(12,4)', 'Roughness of the material.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_link', 'cat_mat_node', 'link', 'varchar(512)', 'Field to store link to information related to the node''s material catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_url', 'cat_mat_node', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the node''s material catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_node_picture', 'cat_mat_node', 'picture', 'varchar(512)', 'Picture of a material.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_id', 'cat_arc', 'id', 'varchar(30)', 'ID of the arc catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_arctype_id', 'cat_arc', 'arctype_id', 'varchar(16)', 'Type of arc identifier related to the primary key of arc_type table.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_matcat_id', 'cat_arc', 'matcat_id', 'varchar(30)', 'Material catalog identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_pnom', 'cat_arc', 'pnom', 'varchar(16)', 'Nominal pressure.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_dnom', 'cat_arc', 'dnom', 'varchar(16)', 'Nominal diameter.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_dint', 'cat_arc', 'dint', 'Numeric(12,5)', 'Internal diameter of the arc');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_dext', 'cat_arc', 'dext', 'Numeric(12,5)', 'Diameter exterior.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_descript', 'cat_arc', 'descript', 'varchar(512)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_link', 'cat_arc', 'link', 'varchar(512)', 'Field to store link to information related to the arc catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_url', 'cat_arc', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the arc catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_picture', 'cat_arc', 'picture', 'varchar(512)', 'Picture of an arc.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_svg', 'cat_arc', 'svg', 'varchar(50)', 'Symbology.');
INSERT INTO db_cat_table_x_column VALUES ('arc_node_2', 'arc', 'node_2', 'varchar(16)', 'Node located at the end of the arc.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_z1', 'cat_arc', 'z1', 'Numeric(12,2)', 'Distance from the bottom of the trench of conduit to the top of the conduit''s protection material');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_z2', 'cat_arc', 'z2', 'Numeric(12,2)', 'Distance from the top of the conduit to the top of the conduit''s protection material');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_width', 'cat_arc', 'width', 'Numeric(12,2)', 'Maximum width of the  conduit''s section (by point of view of constructive issues). Often is the same value that (geom2 + 2*bulk)');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_area', 'cat_arc', 'area', 'Numeric(12,4)', 'Full area of the conduit''s section');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_estimated_depth', 'cat_arc', 'estimated_depth', 'Numeric(12,2)', 'In case no data of depth of conduit this depth is used to estimate the budget.');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_bulk', 'cat_arc', 'bulk', 'Numeric(12,2)', 'Bulk of the conduit. It consider the same bulk for all the walls of the conduit');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_cost_unit', 'cat_arc', 'cost_unit', 'Varchar(3)', 'Units measurements. (Only ml or ut. are allowed values). Sometimes the budget of an arc could be treated as unitary price (applied using length=1)');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_cost', 'cat_arc', 'cost', 'varchar(16)', '(Price_compost.id) of full cost of conduit''s subministration and installation');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_m2bottom_cost', 'cat_arc', 'm2bottom_cost', 'varchar(16)', '(Price_compost.id) of full cost of bottom''s trench arrangement');
INSERT INTO db_cat_table_x_column VALUES ('cat_arc_m3protec_cost', 'cat_arc', 'm3protec_cost', 'varchar(16)', '(Price_compost.id) of full cost of conduit''s proteccion material');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_id', 'cat_node', 'id', 'varchar(30)', 'ID of the node catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_nodetype_id', 'cat_node', 'nodetype_id', 'varchar(16)', 'ID of the related node type.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_matcat_id', 'cat_node', 'matcat_id', 'varchar(30)', 'ID of the related material type.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_pnom', 'cat_node', 'pnom', 'varchar(16)', 'Nominal pressure.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_dnom', 'cat_node', 'dnom', 'varchar(16)', 'Nominal diameter.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_dint', 'cat_node', 'dint', 'Numeric(12,5)', 'Internal diameter of the node');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_geometry', 'cat_node', 'geometry', 'varchar(30)', 'Geometry of the node.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_descript', 'cat_node', 'descript', 'varchar(512)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_link', 'cat_node', 'link', 'varchar(512)', 'Field to store link to information related to the node catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_url', 'cat_node', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the node catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_picture', 'cat_node', 'picture', 'varchar(512)', 'Picture of an arc.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_svg', 'cat_node', 'svg', 'varchar(50)', 'Pictogram of the symbology.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_estimated_depth', 'cat_node', 'estimated_depth', 'Numeric(12,2)', 'In case no data of depth of conduit this depth is used to estimate the budget.');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_cost_unit', 'cat_node', 'cost_unit', 'Varchar(3)', 'Units measurements. (Only ml or ut. are allowed values). Sometimes the budget of an node could be treated as lineal price (using the depth as length to compute the cost)');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_cost', 'cat_node', 'cost', 'varchar(16)', '(Price_compost.id) of full cost of conduit''s subministration and installation');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_element_id', 'cat_mat_element', 'id', 'varchar(30)', 'ID of element''s material catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_element_descript', 'cat_mat_element', 'descript', 'varchar(512)', 'Field to store additional information about the material.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_element_link', 'cat_mat_element', 'link', 'varchar(512)', 'Field to store link to information related to the element''s material catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_element_url', 'cat_mat_element', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the element''s material catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_mat_element_picture', 'cat_mat_element', 'picture', 'varchar(512)', 'Picture of the material.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_id', 'cat_element', 'id', 'varchar(30)', 'ID of the element catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_elementtype_id', 'cat_element', 'elementtype_id', 'varchar(30)', 'Element type identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_matcat_id', 'cat_element', 'matcat_id', 'varchar(30)', 'Material catalog identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_geometry', 'cat_element', 'geometry', 'varchar(30)', 'Geometry of the element.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_descript', 'cat_element', 'descript', 'varchar(512)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_link', 'cat_element', 'link', 'varchar(512)', 'Field to store link to information related to the element catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_url', 'cat_element', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the element catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_picture', 'cat_element', 'picture', 'varchar(512)', 'Picture of the element.');
INSERT INTO db_cat_table_x_column VALUES ('cat_element_svg', 'cat_element', 'svg', 'varchar(50)', 'Pictogram of the symbology.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_id', 'cat_connec', 'id', 'varchar(30)', 'ID of the connect catalog. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_matcat_id', 'cat_connec', 'matcat_id', 'varchar(16)', 'Material catalog identifier.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_pnom', 'cat_connec', 'pnom', 'varchar(16)', 'Nominal pressure.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_dnom', 'cat_connec', 'dnom', 'varchar(16)', 'Nominal diameter.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_geometry', 'cat_connec', 'geometry', 'varchar(30)', 'Geometry of the connect.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_descript', 'cat_connec', 'descript', 'varchar(512)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_link', 'cat_connec', 'link', 'varchar(512)', 'Field to store link to information related to the connect catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_url', 'cat_connec', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the connect catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_picture', 'cat_connec', 'picture', 'varchar(512)', 'Picture of the connect.');
INSERT INTO db_cat_table_x_column VALUES ('cat_connec_svg', 'cat_connec', 'svg', 'varchar(50)', 'Pictogram of the symbology.');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_id', 'cat_soil', 'id', 'varchar(30)', 'ID of the soil. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_descript', 'cat_soil', 'descript', 'varchar(512)', 'Description of a soil type. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_link', 'cat_soil', 'link', 'varchar(512)', 'Field to store link to information related to the soil catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_url', 'cat_soil', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the soil catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_picture', 'cat_soil', 'picture', 'varchar(512)', 'Picture of the soil');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_y_param', 'cat_soil', 'y_param', 'Numeric(5,2)', 'Slope of the wall of the trench. On the expression (a:y_param) ''a'' is the horitzontal distance and y_param is the vertical distance of the slope of the trench.');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_b', 'cat_soil', 'b', 'Numeric(5,2)', 'Value of the distance from conduit to the wall of the trenchline, measured on the bottom''s trench.');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_trenchlining', 'cat_soil', 'trenchlining', 'Numeric(3,2)', 'Percentage of the trench where with trenchlining');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_m3exc_cost', 'cat_soil', 'm3exc_cost', 'Varchar(16)', 'Cost of excavation ( cubic meter)');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_m3fill_cost', 'cat_soil', 'm3fill_cost', 'Varchar(16)', 'Cost of filling the ( cubic meter)');
INSERT INTO db_cat_table_x_column VALUES ('arc_arccat_id', 'arc', 'arccat_id', 'varchar(30)', 'Arc catalog identifier related to the primary key of arc table.');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_m3excess_cost', 'cat_soil', 'm3excess_cost', 'Varchar(16)', 'Cost of manage the excess of soil from the trench (cubic meter)');
INSERT INTO db_cat_table_x_column VALUES ('cat_soil_m2trenchl_cost', 'cat_soil', 'm2trenchl_cost', 'Varchar(16)', 'Cost of the trenchiling (square meter)');
INSERT INTO db_cat_table_x_column VALUES ('cat_builder_id', 'cat_builder', 'id', 'varchar(30)', 'ID of the builder. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_builder_descript', 'cat_builder', 'descript', 'varchar(512)', 'Description of the builder. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('cat_builder_link', 'cat_builder', 'link', 'varchar(512)', 'Field to store link to information related to the builder catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_builder_url', 'cat_builder', 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the builder catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_builder_picture', 'cat_builder', 'picture', 'varchar(512)', 'Picture of the builder.');
INSERT INTO db_cat_table_x_column VALUES ('cat_work_id', 'cat_work', 'id', 'varchar(30)', 'ID of the work. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_work_descript', 'cat_work', 'descript', 'varchar(512)', 'Description of the construction work. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('cat_work_link', 'cat_work', 'link', 'varchar(512)', 'Field to store link to information related to the work catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_work_picture', 'cat_work', 'picture', 'varchar(512)', 'Picture of the construction work.');
INSERT INTO db_cat_table_x_column VALUES ('cat_owner_id', 'cat_owner', 'id', 'varchar(30)', 'ID of the owner. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_owner_descript', 'cat_owner', 'descript', 'varchar(512)', 'Description of the owner.');
INSERT INTO db_cat_table_x_column VALUES ('cat_owner_link', 'cat_owner', 'link', 'varchar(512)', 'Field to store link to information related to the owner catalog.');
INSERT INTO db_cat_table_x_column VALUES ('cat_owner_picture', 'cat_owner', 'picture', 'varchar(512)', 'Picture of the owner.');
INSERT INTO db_cat_table_x_column VALUES ('cat_pavement_id', 'cat_pavement', 'id', 'Varchar(16)', 'ID of the pavement. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_pavement_descript', 'cat_pavement', 'descript', 'text', 'Description of the pavement. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('cat_pavement_link', 'cat_pavement', 'link', 'varchar(512)', 'Field to store link to information related to the pavement.');
INSERT INTO db_cat_table_x_column VALUES ('cat_pavement_picture', 'cat_pavement', 'picture', 'varchar(512)', 'Picture of the pavement.');
INSERT INTO db_cat_table_x_column VALUES ('cat_pavement_thickness', 'cat_pavement', 'thickness', 'Numeric(12,2)', 'Value of pavement thickness.');
INSERT INTO db_cat_table_x_column VALUES ('cat_pavement_m2_cost', 'cat_pavement', 'm2_cost', 'Varchar(16)', '(Price_compost.id) of the full cost of pavement demolition and reconstruction.');
INSERT INTO db_cat_table_x_column VALUES ('cat_press_zone_id', 'cat_press_zone', 'id', 'Varchar(18)', 'ID of the press zone. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_press_zone_descript', 'cat_press_zone', 'descript', 'text', 'Description of the pressure zone. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('cat_press_zone_link', 'cat_press_zone', 'link', 'Varchar(512)', 'Field to store link to information related to the pressure zone.');
INSERT INTO db_cat_table_x_column VALUES ('cat_press_zone_picture', 'cat_press_zone', 'picture', 'Varchar(512)', 'Picture of the pressure zone.');
INSERT INTO db_cat_table_x_column VALUES ('man_type_category_id', 'man_type_category', 'id', 'varchar(20)', 'ID of the management type category. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('man_type_category_observ', 'man_type_category', 'observ', 'varchar(50)', 'Observations related to type category. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('man_type_fluid_id', 'man_type_fluid', 'id', 'varchar(20)', 'ID of the management type of fluid. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('man_type_fluid_observ', 'man_type_fluid', 'observ', 'varchar(50)', 'Observations related to fluid type. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('man_type_location_id', 'man_type_location', 'id', 'varchar(20)', 'ID of the management location type. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('man_type_location_observ', 'man_type_location', 'observ', 'varchar(50)', 'Observations related to type location. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('connec_type_id', 'connec_type', 'id', 'varchar(20)', 'ID of the connect type. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('connec_type_observ', 'connec_type', 'observ', 'varchar(50)', 'Observations related to connect type. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('sector_sector_id', 'sector', 'sector_id', 'varchar(30)', 'Sector identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('sector_descript', 'sector', 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('sector_the_geom', 'sector', 'the_geom', 'public.geometry', 'Polygon geometry field');
INSERT INTO db_cat_table_x_column VALUES ('node_elevation', 'node', 'elevation', 'Numeric(12,4)', 'Elevation of the node in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('node_depth', 'node', 'depth', 'Numeric(12,4)', 'Depth of the node in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('node_nodecat_id', 'node', 'nodecat_id', 'varchar(30)', 'Node catalog identifier related to the primary key of cat_node table');
INSERT INTO db_cat_table_x_column VALUES ('node_epa_type', 'node', 'epa_type', 'varchar(16)', 'EPANET behaviour of the node.');
INSERT INTO db_cat_table_x_column VALUES ('node_sector_id', 'node', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('node_state', 'node', 'state', 'character varying(16)', 'Domain value of node''s state.');
INSERT INTO db_cat_table_x_column VALUES ('node_annotation', 'node', 'annotation', 'character varying(254)', 'Annotations related to node. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('node_observ', 'node', 'observ', 'character varying (254)', 'Observations related to node. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('node_comment', 'node', 'comment', 'character varying (254)', 'Comments related to node. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('node_dma_id', 'node', 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area)');
INSERT INTO db_cat_table_x_column VALUES ('node_soilcat_id', 'node', 'soilcat_id', 'varchar(16)', 'ID of the soil related to the node.');
INSERT INTO db_cat_table_x_column VALUES ('node_category_type', 'node', 'category_type', 'varchar(18)', 'ID of the category type related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_fluid_type', 'node', 'fluid_type', 'varchar(18)', 'ID of the fluid type related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_location_type', 'node', 'location_type', 'varchar(18)', 'ID of the location type related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_workcat_id', 'node', 'workcat_id', 'varchar(255)', 'ID of the construction work related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_buildercat_id', 'node', 'buildercat_id', 'varchar(30)', 'ID of the builder related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_builtdate', 'node', 'builtdate', 'timestamp(6)', 'ID of the construction date related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_ownercat_id', 'node', 'ownercat_id', 'varchar(30)', 'ID of the owner related to node.');
INSERT INTO db_cat_table_x_column VALUES ('node_adress_01', 'node', 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('node_adress_02', 'node', 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('node_adress_03', 'node', 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('node_descript', 'node', 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('node_rotation', 'node', 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_table_x_column VALUES ('node_link', 'node', 'link', 'character varying(512)', 'Field to store link to information related to the node.');
INSERT INTO db_cat_table_x_column VALUES ('node_verified', 'node', 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_table_x_column VALUES ('node_the_geom', 'node', 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_table_x_column VALUES ('arc_arc_id', 'arc', 'arc_id', 'varchar(16)', 'Arc identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('arc_node_1', 'arc', 'node_1', 'varchar(16)', 'Node located at the beginning of the arc.');
INSERT INTO db_cat_table_x_column VALUES ('arc_sector_id', 'arc', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('arc_epa_type', 'arc', 'epa_type', 'varchar(16)', 'EPANET behaviour of the arc. (pipe or undefined)');
INSERT INTO db_cat_table_x_column VALUES ('arc_state', 'arc', 'state', 'character varying(16)', 'Domain value of arc''s state (on service, planified, obsolete)');
INSERT INTO db_cat_table_x_column VALUES ('arc_annotation', 'arc', 'annotation', 'character varying(254)', 'Annotations related to arc. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('arc_observ', 'arc', 'observ', 'character varying (254)', 'Observations related to arc. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('arc_comment', 'arc', 'comment', 'character varying (254)', 'Comments related to arc. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('arc_custom_length', 'arc', 'custom_length', 'Numeric(12,2)', 'Customized length, not from GIS geometry. Used to customize the length of the element');
INSERT INTO db_cat_table_x_column VALUES ('arc_dma_id', 'arc', 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area)');
INSERT INTO db_cat_table_x_column VALUES ('arc_soilcat_id', 'arc', 'soilcat_id', 'varchar(16)', 'ID of the soil related to the arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_category_type', 'arc', 'category_type', 'varchar(18)', 'ID of the category type related to arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_fluid_type', 'arc', 'fluid_type', 'varchar(18)', 'ID of the fluid type related to arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_location_type', 'arc', 'location_type', 'varchar(18)', 'ID of the location type related to arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_workcat_id', 'arc', 'workcat_id', 'varchar(255)', 'ID of the construction work related to arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_buildercat_id', 'arc', 'buildercat_id', 'varchar(30)', 'ID of the builder related to arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_builtdate', 'arc', 'builtdate', 'timestamp(6)', 'ID of the construction date related to arc.');
INSERT INTO db_cat_table_x_column VALUES ('arc_ownercat_id', 'arc', 'ownercat_id', 'varchar(30)', 'ID of the owner related to arc.');
INSERT INTO db_cat_table_x_column VALUES ('arc_adress_01', 'arc', 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('arc_adress_02', 'arc', 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('arc_adress_03', 'arc', 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('arc_descript', 'arc', 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('arc_rotation', 'arc', 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_table_x_column VALUES ('arc_link', 'arc', 'link', 'character varying (512)', 'Field to store URL or folder path with more information related to the arc');
INSERT INTO db_cat_table_x_column VALUES ('arc_verified', 'arc', 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_table_x_column VALUES ('arc_the_geom', 'arc', 'the_geom', 'public.geometry', 'Linestring geometry field');
INSERT INTO db_cat_table_x_column VALUES ('dma_dma_id', 'dma', 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area). Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('dma_sector_id', 'dma', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('dma_presszonecat_id', 'dma', 'presszonecat_id', 'Varchar(30)', 'Identifier or the pressure zone where the dma is located');
INSERT INTO db_cat_table_x_column VALUES ('dma_descript', 'dma', 'descript', 'varchar(255)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('dma_observ', 'dma', 'observ', 'character varying (512)', 'Observations related to dma. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('dma_the_geom', 'dma', 'the_geom', 'public.geometry', 'Polygon geometry field');
INSERT INTO db_cat_table_x_column VALUES ('connec_connec_id', 'connec', 'connec_id', 'varchar(16)', 'Connect identifier. Primary key. Often connec is the postnumber address of the building. Sometimes one connec is related to one hydrometer, some times not.');
INSERT INTO db_cat_table_x_column VALUES ('connec_elevation', 'connec', 'elevation', 'Numeric(12,4)', 'Elevation of the connect in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('connec_depth', 'connec', 'depth', 'Numeric(12,4)', 'Depth of the connect in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('connec_connecat_id', 'connec', 'connecat_id', 'varchar(30)', 'Connect catalog identifier');
INSERT INTO db_cat_table_x_column VALUES ('connec_sector_id', 'connec', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('connec_code', 'connec', 'code', 'varchar(30)', 'Code of the connec from the comercial database or something equivalent');
INSERT INTO db_cat_table_x_column VALUES ('connec_n_hydrometer', 'connec', 'n_hydrometer', 'int4,', 'Number of hydrometers related to the connec (From 1 to n).');
INSERT INTO db_cat_table_x_column VALUES ('connec_demand', 'connec', 'demand', 'Numeric(12,8)', 'Demand for water by the main category of consumer. Measured in the current flow units');
INSERT INTO db_cat_table_x_column VALUES ('connec_state', 'connec', 'state', 'character varying(16)', 'Domain value of connect''s state.');
INSERT INTO db_cat_table_x_column VALUES ('connec_annotation', 'connec', 'annotation', 'character varying(254)', 'Annotations related to connect. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('connec_observ', 'connec', 'observ', 'character varying (254)', 'Observations related to connect. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('connec_comment', 'connec', 'comment', 'character varying (254)', 'Comments related to connect. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('connec_rotation', 'connec', 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_table_x_column VALUES ('connec_dma_id', 'connec', 'dma_id', 'varchar(30)', 'ID of the management area related to the connect (District Meter Area)');
INSERT INTO db_cat_table_x_column VALUES ('connec_soilcat_id', 'connec', 'soilcat_id', 'varchar(16)', 'ID of the soil related to the connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_category_type', 'connec', 'category_type', 'varchar(18)', 'ID of the category type related to connct.');
INSERT INTO db_cat_table_x_column VALUES ('connec_fluid_type', 'connec', 'fluid_type', 'varchar(18)', 'ID of the fluid type related to connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_location_type', 'connec', 'location_type', 'varchar(18)', 'ID of the location type related to connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_workcat_id', 'connec', 'workcat_id', 'varchar(255)', 'ID of the construction work related to connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_buildercat_id', 'connec', 'buildercat_id', 'varchar(30)', 'ID of the builder related to connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_builtdate', 'connec', 'builtdate', 'varchar(12)', 'ID of the construction date related to connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_ownercat_id', 'connec', 'ownercat_id', 'varchar(30)', 'ID of the owner related to connect.');
INSERT INTO db_cat_table_x_column VALUES ('connec_adress_01', 'connec', 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('connec_adress_02', 'connec', 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('connec_adress_03', 'connec', 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('connec_streetaxis_id', 'connec', 'streetaxis_id', 'Varchar(16)', 'Street identifier.');
INSERT INTO db_cat_table_x_column VALUES ('connec_postnumber', 'connec', 'postnumber', 'Varchar(16)', 'Post code number.');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_exec_end', 'anl_mincut_result_cat', 'exec_end', 'timestamp', NULL);
INSERT INTO db_cat_table_x_column VALUES ('connec_descript', 'connec', 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_table_x_column VALUES ('connec_link', 'connec', 'link', 'character varying (512)', 'Field to store link to information related to the connect.');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_node_id', 'temp_node', 'node_id', 'varchar(16)', 'Temporary node identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('connec_verified', 'connec', 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_table_x_column VALUES ('connec_the_geom', 'connec', 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_f_factor', 'inp_report', 'f_factor', 'varchar(16)', 'Friction factor.');
INSERT INTO db_cat_table_x_column VALUES ('vnode_vnode_id', 'vnode', 'vnode_id', 'varchar(16)', 'Virtual node identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('vnode_arc_id', 'vnode', 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_table_x_column VALUES ('vnode_userdefined_pos', 'vnode', 'userdefined_pos', 'boolean', 'Column to control when the user have moved the vnode (custom position, not automatic position). The goal of this control is dissable the posibility to ovewrite the vnode position if');
INSERT INTO db_cat_table_x_column VALUES ('vnode_vnode_type', 'vnode', 'vnode_type', 'varchar(30)', 'Virtual node type.');
INSERT INTO db_cat_table_x_column VALUES ('vnode_sector_id', 'vnode', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('vnode_state', 'vnode', 'state', 'character varying (16)', 'Domain value of virtual node''s state.');
INSERT INTO db_cat_table_x_column VALUES ('vnode_annotation', 'vnode', 'annotation', 'character varying (254)', 'Annotations related to virtual node. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('vnode_the_geom', 'vnode', 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_table_x_column VALUES ('link_link_id', 'link', 'link_id', 'varchar(16)', 'Link identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('link_the_geom', 'link', 'the_geom', 'public.geometry', 'Linestring geometry field');
INSERT INTO db_cat_table_x_column VALUES ('link_connec_id', 'link', 'connec_id', 'varchar(16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_table_x_column VALUES ('link_vnode_id', 'link', 'vnode_id', 'varchar(16)', 'Virtual node identifier.');
INSERT INTO db_cat_table_x_column VALUES ('link_custom_length', 'link', 'custom_length', 'Numeric(12,3)', 'Custom length of the link.');
INSERT INTO db_cat_table_x_column VALUES ('man_junction_node_id', 'man_junction', 'node_id', 'varchar(16)', 'Junction identifier.');
INSERT INTO db_cat_table_x_column VALUES ('man_junction_add_info', 'man_junction', 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('ext_type_street_id', 'ext_type_street', 'id', 'Varchar (20)', 'ID of a street type. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_type_street_observ', 'ext_type_street', 'observ', 'Varchar (50)', 'Observations related to street type. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('ext_streetaxis_id', 'ext_streetaxis', 'id', 'Varchar(16)', 'ID of a street. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('ext_streetaxis_type', 'ext_streetaxis', 'type', 'Varchar(18)', 'Street type.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_head', 'inp_report', 'head', 'varchar(16)', 'Head in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_id', 'rpt_arc', 'id', 'int4', 'Primary key for table.');
INSERT INTO db_cat_table_x_column VALUES ('man_tank_node_id', 'man_tank', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('man_tank_vmax', 'man_tank', 'vmax', 'Numeric(12,4)', 'Maximum volumen of the tank');
INSERT INTO db_cat_table_x_column VALUES ('man_tank_area', 'man_tank', 'area', 'Numeric(12,4)', 'Surface of the tank');
INSERT INTO db_cat_table_x_column VALUES ('man_tank_add_info', 'man_tank', 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_hydrant_node_id', 'man_hydrant', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('man_hydrant_add_info', 'man_hydrant', 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_node_id', 'man_valve', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_type', 'man_valve', 'type', 'varchar(16)', 'Valve type identifier.');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_opened', 'man_valve', 'opened', 'boolean', 'Configuration parameter used on fct_min_cut function');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_broken', 'man_valve', 'broken', 'boolean', 'Configuration parameter used on fct_min_cut function');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_add_info', 'man_valve', 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_pump_node_id', 'man_pump', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('man_pump_add_info', 'man_pump', 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_filter_node_id', 'man_filter', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('man_filter_add_info', 'man_filter', 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_meter_node_id', 'man_meter', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('man_meter_add_info', 'man_meter', 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_pipe_arc_id', 'man_pipe', 'arc_id', 'varchar(16)', 'Additional information about the valve type.');
INSERT INTO db_cat_table_x_column VALUES ('man_pipe_add_info', 'man_pipe', 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('element_element_id', 'element', 'element_id', 'varchar(16)', 'Element identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('element_elementcat_id', 'element', 'elementcat_id', 'varchar(30)', 'Element catalog identifier');
INSERT INTO db_cat_table_x_column VALUES ('element_state', 'element', 'state', 'character varying (16)', 'Domain value of element''s state.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_quality', 'inp_report', 'quality', 'varchar(16)', 'Selects the type of water quality analysis to perform');
INSERT INTO db_cat_table_x_column VALUES ('element_annotation', 'element', 'annotation', 'character varying (254)character varying (254)character varying (254)character varying (254)character varying (254)', 'Annotations related to element. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('element_observ', 'element', 'observ', 'character varying (254)', 'Observations related to element. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('element_comment', 'element', 'comment', 'character varying (254)', 'Comments related to element. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('element_location_type', 'element', 'location_type', 'varchar(18)', 'ID of the location type related to element.');
INSERT INTO db_cat_table_x_column VALUES ('element_workcat_id', 'element', 'workcat_id', 'varchar(255)', 'ID of the construction work related to element.');
INSERT INTO db_cat_table_x_column VALUES ('element_buildercat_id', 'element', 'buildercat_id', 'varchar(30)', 'ID of the builder related to element.');
INSERT INTO db_cat_table_x_column VALUES ('element_builtdate', 'element', 'builtdate', 'timestamp(6)', 'ID of the construction date related to element.');
INSERT INTO db_cat_table_x_column VALUES ('element_ownercat_id', 'element', 'ownercat_id', 'varchar(30)', 'ID of the owner related to element.');
INSERT INTO db_cat_table_x_column VALUES ('element_enddate', 'element', 'enddate', 'timestamp(6)', 'Expiration date. Expected or real. The goal of this column is to enable the posilibity to have information of all the deprecated elements of the infraestructure without delete it');
INSERT INTO db_cat_table_x_column VALUES ('element_rotation', 'element', 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_table_x_column VALUES ('element_link', 'element', 'link', 'character varying (512)', 'Field to store link to information related to the element');
INSERT INTO db_cat_table_x_column VALUES ('element_verified', 'element', 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_table_x_column VALUES ('element_x_arc_id', 'element_x_arc', 'id', 'varchar(16)', 'Element related to arc identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('element_x_arc_element_id', 'element_x_arc', 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_table_x_column VALUES ('element_x_arc_arc_id', 'element_x_arc', 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of the arc table');
INSERT INTO db_cat_table_x_column VALUES ('element_x_node_id', 'element_x_node', 'id', 'varchar(16)', 'Element related to node identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('element_x_node_element_id', 'element_x_node', 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_table_x_column VALUES ('element_x_node_node_id', 'element_x_node', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('element_x_connec_id', 'element_x_connec', 'id', 'varchar(16)', 'Element related to connect identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('element_x_connec_element_id', 'element_x_connec', 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_table_x_column VALUES ('element_x_connec_connec_id', 'element_x_connec', 'connec_id', 'varchar(16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_table_x_column VALUES ('value_state_id', 'value_state', 'id', 'varchar(16)', 'ID of value state. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('value_state_observ', 'value_state', 'observ', 'varchar(254)', 'Observations related to state. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('value_verified_id', 'value_verified', 'id', 'varchar(16)', 'ID of verification status. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('value_verified_observ', 'value_verified', 'observ', 'varchar(254)', 'Observations related to verification status Additional information');
INSERT INTO db_cat_table_x_column VALUES ('value_yesno_id', 'value_yesno', 'id', 'varchar(16)', 'ID of value yes/no. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('value_yesno_observ', 'value_yesno', 'observ', 'varchar(254)', 'Observations related to yes/no value Additional information');
INSERT INTO db_cat_table_x_column VALUES ('man_selector_valve_id', 'man_selector_valve', 'id', 'varchar(16)', 'ID of value man selector valve. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_elevation', 'temp_node', 'elevation', 'numeric(12,4),', 'Elevation of the temporary node in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_depth', 'temp_node', 'depth', 'numeric(12,4),', 'Depth of the temporary node in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_nodecat_id', 'temp_node', 'nodecat_id', 'varchar(30)', 'Node catalog identifier related to the primary key of cat_node table');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_epa_type', 'temp_node', 'epa_type', 'varchar(16)', 'EPANET behaviour of the node.');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_sector_id', 'temp_node', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_state', 'temp_node', 'state', 'character varying (16)', 'Domain value of node''s state.');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_annotation', 'temp_node', 'annotation', 'character varying (254)', 'Annotations related to temporary node. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_observ', 'temp_node', 'observ', 'character varying (254)', 'Observations related to temporary node. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_comment', 'temp_node', 'comment', 'character varying (254)', 'Comments related to temporary node. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_rotation', 'temp_node', 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_link', 'temp_node', 'link', 'character varying (512)', 'Field to store link to information related to the temporary node.');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_verified', 'temp_node', 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_the_geom', 'temp_node', 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_arc_id', 'temp_arc', 'arc_id', 'varchar(16)', 'Temporary arc identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_node_1', 'temp_arc', 'node_1', 'varchar(16)', 'Node located at the beginning of the temporary arc.');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_node_2', 'temp_arc', 'node_2', 'varchar(16)', 'Node located at the end of the temporary arc.');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_arccat_id', 'temp_arc', 'arccat_id', 'varchar(30)', 'Arc catalog identifier related to the primary key of arc table.');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_epa_type', 'temp_arc', 'epa_type', 'varchar(16)', 'EPANET behaviour of the temporary arc. (pipe or undefined)');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_sector_id', 'temp_arc', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_state', 'temp_arc', 'state', 'character varying (16)', 'Domain value of temporary arc''s state (on service, planified, obsolete)');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_annotation', 'temp_arc', 'annotation', 'character varying (254)', 'Annotations related to temporary arc. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_observ', 'temp_arc', 'observ', 'character varying (254)', 'Observations related to temporary arc. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_comment', 'temp_arc', 'comment', 'character varying (254)', 'Comments related to temporary arc. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_custom_length', 'temp_arc', 'custom_length', 'Numeric(12,2)', 'Customized length, not from GIS geometry. Used to customize the length of the element');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_rotation', 'temp_arc', 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_link', 'temp_arc', 'link', 'character varying (512)', 'Field to store link to information related to the temporary arc.');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_verified', 'temp_arc', 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_the_geom', 'temp_arc', 'the_geom', 'public.geometry', 'Linestring geometry field');
INSERT INTO db_cat_table_x_column VALUES ('inp_node_type_id', 'inp_node_type', 'id', 'varchar(16)', 'Value domain of EPANET node types.');
INSERT INTO db_cat_table_x_column VALUES ('inp_backdrop_id', 'inp_backdrop', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information. See definition and remark''s section for more information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_backdrop_text', 'inp_backdrop', 'text', 'varchar(254)', 'Text options Backdrop.');
INSERT INTO db_cat_table_x_column VALUES ('inp_controls_id', 'inp_controls', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_controls_text', 'inp_controls', 'text', 'varchar(254)', 'Â Controls text. For more information, see appendix c of epanet user manual.');
INSERT INTO db_cat_table_x_column VALUES ('inp_curve_id', 'inp_curve', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_curve_curve_id', 'inp_curve', 'curve_id', 'varchar(16)', 'Name assigned to table.');
INSERT INTO db_cat_table_x_column VALUES ('inp_curve_x_value', 'inp_curve', 'x_value', 'Numeric(12,4)', 'An x (independent variable) value.');
INSERT INTO db_cat_table_x_column VALUES ('inp_curve_y_value', 'inp_curve', 'y_value', 'numeric(12,4)', 'An y (independent variable) value.');
INSERT INTO db_cat_table_x_column VALUES ('inp_curve_id_id', 'inp_curve_id', 'id', 'varchar(16)', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information. See definition and remark''s section for more information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_curve_id_curve_type', 'inp_curve_id', 'curve_type', 'varchar(20)', 'Curve types include PUMP, EFFICIENCY, VOLUME, and HEADLOSS.');
INSERT INTO db_cat_table_x_column VALUES ('inp_demand_id', 'inp_demand', 'id', 'int4', 'Row id. Unique value needed.');
INSERT INTO db_cat_table_x_column VALUES ('inp_demand_node_id', 'inp_demand', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('inp_demand_demand', 'inp_demand', 'demand', 'Numeric(12,6)', 'Base demand (flow units).');
INSERT INTO db_cat_table_x_column VALUES ('inp_demand_pattern_id', 'inp_demand', 'pattern_id', 'varchar(16)', 'Demand pattern ID.');
INSERT INTO db_cat_table_x_column VALUES ('inp_demand_deman_type', 'inp_demand', 'deman_type', 'varchar(18)', 'Name of demand category preceded by a semicolon.');
INSERT INTO db_cat_table_x_column VALUES ('inp_emitter_node_id', 'inp_emitter', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('inp_emitter_coef', 'inp_emitter', 'coef', 'numeric', 'Flow coefficient, flow units at 1 psi (1 meter) pressure drop.');
INSERT INTO db_cat_table_x_column VALUES ('inp_energy_el_id', 'inp_energy_el', 'id', 'int4', 'Row id. Unique value needed.');
INSERT INTO db_cat_table_x_column VALUES ('inp_energy_el_pump_id', 'inp_energy_el', 'pump_id', 'Varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('inp_energy_el_parameter', 'inp_energy_el', 'parameter', 'varchar(20)', 'Options parameters. Must be PRICE, PATTERN or EFFIC');
INSERT INTO db_cat_table_x_column VALUES ('inp_energy_el_value', 'inp_energy_el', 'value', 'varchar(30)', 'Value of the parameter selected');
INSERT INTO db_cat_table_x_column VALUES ('inp_energy_gl_id', 'inp_energy_gl', 'id', 'int4', 'Row id. Unique value needed.');
INSERT INTO db_cat_table_x_column VALUES ('inp_energy_gl_energ_type', 'inp_energy_gl', 'energ_type', 'varchar(18)', 'Energy type. Must be GLOBAL or DEMAND CHARGE');
INSERT INTO db_cat_table_x_column VALUES ('inp_energy_gl_parameter', 'inp_energy_gl', 'parameter', 'varchar(20)', 'Â Options parameters of energy applied to global features');
INSERT INTO db_cat_table_x_column VALUES ('inp_energy_gl_value', 'inp_energy_gl', 'value', 'varchar(30)', 'Values for the selected parameter.');
INSERT INTO db_cat_table_x_column VALUES ('inp_junction_node_id', 'inp_junction', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('inp_junction_demand', 'inp_junction', 'demand', 'Numeric(12,6)', 'The spot elevation junction. (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('inp_junction_pattern_id', 'inp_junction', 'pattern_id', 'varchar(16)', 'Base demand (flow units). This field is optional.');
INSERT INTO db_cat_table_x_column VALUES ('inp_label_id', 'inp_label', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_label_xcoord', 'inp_label', 'xcoord', 'Numeric(18,6)', 'Horizontal coordinate of vertex relative to origin in lower left of map.');
INSERT INTO db_cat_table_x_column VALUES ('inp_label_ycoord', 'inp_label', 'ycoord', 'Numeric(18,6)', 'Vertical coordinate of vertex relative to origin in lower left of map.');
INSERT INTO db_cat_table_x_column VALUES ('inp_label_label', 'inp_label', 'label', 'varchar(50)', 'Text of label in double quotes.');
INSERT INTO db_cat_table_x_column VALUES ('inp_label_node_id', 'inp_label', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('inp_mixing_node_id', 'inp_mixing', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('inp_mixing_mix_type', 'inp_mixing', 'mix_type', 'varchar(18)', 'Defines the type of mixing model.');
INSERT INTO db_cat_table_x_column VALUES ('inp_mixing_value', 'inp_mixing', 'value', 'numeric', 'Compartment volume (fraction).');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_units', 'inp_options', 'units', 'varchar(20)', 'Type of units in which flow rates are expressed.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_headloss', 'inp_options', 'headloss', 'varchar(20)', 'Formula to use for computing head loss for flow through a pipe');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_hydraulics', 'inp_options', 'hydraulics', 'varchar(12)', 'Allows you to either savethe current hydraulics solution to a file or usea previously saved hydraulics solution.Allows you to either savethe current hydraulics solution to a file or usea previously saved hydraulics solution.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_specific_gravity', 'inp_options', 'specific_gravity', 'Numeric(12,6)', 'The ratio of the density of the fluid being modeled to that of water at 4oCThe ratio of the density of the fluid being modeled to that of water at 4oC');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_viscosity', 'inp_options', 'viscosity', 'Numeric(12,6)', 'The kinematic viscosity of the fluid being modeled relative to that of water at 20oC. The default value is 1.0.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_trials', 'inp_options', 'trials', 'Numeric(12,6)', 'The maximum number of trials used to solve network hydraulics at each hydraulic time step of a simulation. The default is 40.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_accuracy', 'inp_options', 'accuracy', 'Numeric(12,6)', 'Prescribes the convergence criterion that determines when a hydraulic solution has been reached. The trials end when the sum of all flow changes from the previous solution divided by the total flow in all links is less than this number. The default is 0.001.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_unbalanced', 'inp_options', 'unbalanced', 'varchar(12)', 'Determines what happens if a hydraulic solution cannot be reached within the prescribed number of trialsat some hydraulic time step into the simulation.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_checkfreq', 'inp_options', 'checkfreq', 'Numeric(12,6)', 'Advanced hydrulic parameters from EPANET model.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_maxcheck', 'inp_options', 'maxcheck', 'Numeric(12,6)', 'Advanced hydrulic parameters from EPANET model.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_damplimit', 'inp_options', 'damplimit', 'Numeric(12,6)', 'Advanced hydrulic parameters from EPANET model.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_pattern', 'inp_options', 'pattern', 'varchar(16)', 'Provides the ID label of a default demand pattern to be applied to all junctions where no demand pattern was specified.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_demand_multiplier', 'inp_options', 'demand_multiplier', 'Numeric(12,6)', 'Adjusts the values of baseline demands for all junctions and all demand categories.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_emitter_exponent', 'inp_options', 'emitter_exponent', 'Numeric(12,6)', 'Specifies the power to which the pressure at a junction is raised when computing the flow issuing from an emitter. The default is 0.5.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_quality', 'inp_options', 'quality', 'varchar(18)', 'Selects the type of water quality analysis to perform');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_diffusivity', 'inp_options', 'diffusivity', 'Numeric(12,6)', 'The molecular diffusivity of the chemical being analyzed relative to that of chlorine in water. The default value is 1.0');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_tolerance', 'inp_options', 'tolerance', 'Numeric(12,6)', 'The difference in water quality level below which one can say that one parcel of water is essentially the same as another. The default is 0.01');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_hydraulics_fname', 'inp_options', 'hydraulics_fname', 'varchar(254)', 'If hydraulic information is related to file, this column stores the folder path of this file');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_length', 'inp_report', 'length', 'varchar(16)', 'Length of the arc.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_diameter', 'inp_report', 'diameter', 'varchar(16)', 'Diameter in inches or mm.');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_unbalanced_n', 'inp_options', 'unbalanced_n', 'Numeric(12,6)', 'In case that the hydraulic analisys won''t be balanced during 40 trials, user can custom additional trials inserting into this column the number of additional iterations');
INSERT INTO db_cat_table_x_column VALUES ('inp_options_node_id', 'inp_options', 'node_id', 'varchar(16)', 'In case to use quality options (trace_id). The user must insert the node identifier into this column');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_id', 'inp_pattern', 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_pattern_id', 'inp_pattern', 'pattern_id', 'varchar(16)', 'Pattern identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_1', 'inp_pattern', 'factor_1', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_2', 'inp_pattern', 'factor_2', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_3', 'inp_pattern', 'factor_3', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_4', 'inp_pattern', 'factor_4', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_5', 'inp_pattern', 'factor_5', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_6', 'inp_pattern', 'factor_6', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_7', 'inp_pattern', 'factor_7', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_8', 'inp_pattern', 'factor_8', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_9', 'inp_pattern', 'factor_9', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_10', 'inp_pattern', 'factor_10', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_11', 'inp_pattern', 'factor_11', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_12', 'inp_pattern', 'factor_12', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_13', 'inp_pattern', 'factor_13', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_14', 'inp_pattern', 'factor_14', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_15', 'inp_pattern', 'factor_15', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_16', 'inp_pattern', 'factor_16', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_17', 'inp_pattern', 'factor_17', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_18', 'inp_pattern', 'factor_18', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_19', 'inp_pattern', 'factor_19', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_20', 'inp_pattern', 'factor_20', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_21', 'inp_pattern', 'factor_21', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_22', 'inp_pattern', 'factor_22', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_23', 'inp_pattern', 'factor_23', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pattern_factor_24', 'inp_pattern', 'factor_24', 'Numeric(12,4)', 'Pattern value (one or more multipliers).');
INSERT INTO db_cat_table_x_column VALUES ('inp_pipe_arc_id', 'inp_pipe', 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_table_x_column VALUES ('inp_pipe_minorloss', 'inp_pipe', 'minorloss', 'Numeric(12,6)', 'Minor loss coefficient.');
INSERT INTO db_cat_table_x_column VALUES ('inp_pipe_status', 'inp_pipe', 'status', 'varchar(12)', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_table_x_column VALUES ('inp_shortpipe_node_id', 'inp_shortpipe', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_exec_user', 'anl_mincut_result_cat', 'exec_user', 'varchar(30)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_shortpipe_minorloss', 'inp_shortpipe', 'minorloss', 'Numeric(12,6)', 'Minor loss coefficient.');
INSERT INTO db_cat_table_x_column VALUES ('inp_shortpipe_to_arc', 'inp_shortpipe', 'to_arc', 'varchar(16)', 'This fields identifies the direction of the flow of the shortpipe, applied only for the case of check valves');
INSERT INTO db_cat_table_x_column VALUES ('inp_shortpipe_status', 'inp_shortpipe', 'status', 'varchar(12)', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_node_id', 'inp_pump', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_power', 'inp_pump', 'power', 'varchar', 'Write it POWER, leave a space and write the value of power. (Power value for constant energy pump, hp (kW))');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_curve_id', 'inp_pump', 'curve_id', 'varchar', 'ID label of the curve used for the pump');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_speed', 'inp_pump', 'speed', 'Numeric(12,6)', 'Write it SPEED, leave a space and write the value of speed. (Relative speed setting (normal speed is 1.0, 0 means pump is off))');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_dam_li_thr', 'rpt_cat_result', 'dam_li_thr', 'numeric', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_pattern', 'inp_pump', 'pattern', 'varchar', 'Write it PATTERN, leave a space and write the value of pattern. (ID of time pattern that describes how speed setting varies with me)');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_status', 'inp_pump', 'status', 'varchar(12)', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_table_x_column VALUES ('inp_quality_node_id', 'inp_quality', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('inp_quality_initqual', 'inp_quality', 'initqual', 'numeric', 'Initial quality.');
INSERT INTO db_cat_table_x_column VALUES ('inp_reactions_el_id', 'inp_reactions_el', 'id', 'int4', 'Row id. Unique value needed.');
INSERT INTO db_cat_table_x_column VALUES ('inp_reactions_el_parameter', 'inp_reactions_el', 'parameter', 'varchar(20)', 'BULK, WALL or TANK.Â  Used to override the global reaction coefficients for specific pipes and tanks');
INSERT INTO db_cat_table_x_column VALUES ('inp_reactions_el_arc_id', 'inp_reactions_el', 'arc_id', 'varchar(16)', 'Element ID with specific chemical reaction.');
INSERT INTO db_cat_table_x_column VALUES ('inp_reactions_el_value', 'inp_reactions_el', 'value', 'numeric', 'Reaction coefficient vaules. For further information see appendix C of EPANET users manual.');
INSERT INTO db_cat_table_x_column VALUES ('inp_reactions_gl_id', 'inp_reactions_gl', 'id', 'int4', 'Row id. Unique value needed.');
INSERT INTO db_cat_table_x_column VALUES ('inp_reactions_gl_react_type', 'inp_reactions_gl', 'react_type', 'varchar(30)', 'Reaction type. Must be ORDER or GLOBAL (see below)');
INSERT INTO db_cat_table_x_column VALUES ('inp_reactions_gl_parameter', 'inp_reactions_gl', 'parameter', 'varchar(20)', 'Options parameters. Must be BULB, WALL, TANK, LIMITING POTENCIAL or ROUGHNESS CORRELATION.For further information see appendix C of EPANET users manual.');
INSERT INTO db_cat_table_x_column VALUES ('inp_reactions_gl_value', 'inp_reactions_gl', 'value', 'numeric', 'Value of the specified parameter');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_pagesize', 'inp_report', 'pagesize', 'numeric', 'Sets the number of lines written per page of the output report. Default is 0.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_file', 'inp_report', 'file', 'varchar(254)', 'Supplies the name of a file to which the output report will be written.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_status', 'inp_report', 'status', 'varchar(4)', 'Determines whether a hydraulic status report should be generated.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_summary', 'inp_report', 'summary', 'varchar(3)', 'Determines whether a summary table of number of network components and key analysis');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_energy', 'inp_report', 'energy', 'varchar(3)', 'Determines if a table reporting average energy usage and cost for each pump is provided.Default is NO. For further information see appendix C of EPANET users manual.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_nodes', 'inp_report', 'nodes', 'varchar(254)', 'Identifies which nodes will be reported on.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_links', 'inp_report', 'links', 'varchar(254)', 'Identifies which links will be reported on.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_elevation', 'inp_report', 'elevation', 'varchar(16)', 'Elevation in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_demand', 'inp_report', 'demand', 'varchar(16)', 'Demand for water by the main category of consumer. Measured in the current flow units');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_pressure', 'inp_report', 'pressure', 'varchar(16)', 'Pressure in psi or m.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_flow', 'inp_report', 'flow', 'varchar(16)', 'Flow (flow units)');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_velocity', 'inp_report', 'velocity', 'varchar(16)', 'Velocity in fps.');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_headloss', 'inp_report', 'headloss', 'varchar(16)', 'Headloss (/1000ft).');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_setting', 'inp_report', 'setting', 'varchar(16)', 'Setting. (Roughness for pipes, speed for pumps, pressure/flow setting for valves).');
INSERT INTO db_cat_table_x_column VALUES ('inp_report_reaction', 'inp_report', 'reaction', 'varchar(16)', 'Reaction coefficient vaules For further information see appendix C of EPANET users manual.');
INSERT INTO db_cat_table_x_column VALUES ('inp_reservoir_node_id', 'inp_reservoir', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('inp_reservoir_head', 'inp_reservoir', 'head', 'Numeric(12,4)', 'Head, ft (m).');
INSERT INTO db_cat_table_x_column VALUES ('inp_reservoir_pattern_id', 'inp_reservoir', 'pattern_id', 'varchar(16)', 'Head pattern ID. This field is optional');
INSERT INTO db_cat_table_x_column VALUES ('inp_rules_id', 'inp_rules', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('inp_rules_text', 'inp_rules', 'text', 'varchar(254)', 'Defines rule-based controls that modify links based on a combination of conditions.');
INSERT INTO db_cat_table_x_column VALUES ('inp_source_node_id', 'inp_source', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('inp_source_sourc_type', 'inp_source', 'sourc_type', 'varchar(18)', 'Source type (CONCEN, MASS, FLOWPACED, or SETPOINT).');
INSERT INTO db_cat_table_x_column VALUES ('inp_source_quality', 'inp_source', 'quality', 'Numeric(12,6)', 'Baseline source strength.');
INSERT INTO db_cat_table_x_column VALUES ('inp_source_pattern_id', 'inp_source', 'pattern_id', 'varchar(16)', 'Time pattern identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_tags_object', 'inp_tags', 'object', 'varchar(18)', 'The keyword NODE or LINK.');
INSERT INTO db_cat_table_x_column VALUES ('inp_tags_node_id', 'inp_tags', 'node_id', 'varchar(16)', 'The node or link ID label.');
INSERT INTO db_cat_table_x_column VALUES ('inp_tags_tag', 'inp_tags', 'tag', 'varchar(50)', 'The text of the tag label (with no spaces).');
INSERT INTO db_cat_table_x_column VALUES ('inp_tank_node_id', 'inp_tank', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('inp_tank_initlevel', 'inp_tank', 'initlevel', 'Numeric(12,4)', 'Initial water level. (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('inp_tank_minlevel', 'inp_tank', 'minlevel', 'Numeric(12,4)', 'Minimum water level. (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('inp_tank_maxlevel', 'inp_tank', 'maxlevel', 'Numeric(12,4)', 'Maximum water level. (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('inp_tank_diameter', 'inp_tank', 'diameter', 'Numeric(12,4)', 'Nominal diameter. (ft or m).');
INSERT INTO db_cat_table_x_column VALUES ('inp_tank_minvol', 'inp_tank', 'minvol', 'Numeric(12,4)', 'Minimum volume. (cubic ft or cubic meters).');
INSERT INTO db_cat_table_x_column VALUES ('inp_tank_curve_id', 'inp_tank', 'curve_id', 'int4', 'Volume curve ID.');
INSERT INTO db_cat_table_x_column VALUES ('inp_valve_node_id', 'inp_valve', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('inp_valve_valv_type', 'inp_valve', 'valv_type', 'varchar(18)', 'Valve type (see remarks)');
INSERT INTO db_cat_table_x_column VALUES ('inp_valve_pressure', 'inp_valve', 'pressure', 'Numeric(12,4)', 'Pressure in psi or m.');
INSERT INTO db_cat_table_x_column VALUES ('inp_valve_diameter', 'inp_valve', 'diameter', 'Numeric(12,4)', 'Diameter in inches or mm.');
INSERT INTO db_cat_table_x_column VALUES ('inp_valve_flow', 'inp_valve', 'flow', 'Numeric(12,4)', 'Flow (flow units)');
INSERT INTO db_cat_table_x_column VALUES ('inp_valve_coef_loss', 'inp_valve', 'coef_loss', 'Numeric(12,4)', 'Loss coefficient.');
INSERT INTO db_cat_table_x_column VALUES ('inp_valve_curve_id', 'inp_valve', 'curve_id', 'int4,', 'ID of head loss curve');
INSERT INTO db_cat_table_x_column VALUES ('inp_valve_minorloss', 'inp_valve', 'minorloss', 'Numeric(12,4)', 'Minor loss coefficient.');
INSERT INTO db_cat_table_x_column VALUES ('inp_valve_status', 'inp_valve', 'status', 'varchar(12)', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_energy_id', 'inp_typevalue_energy', 'id', 'varchar(18)', 'Value domain of EPANET energy type. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_pump_id', 'inp_typevalue_pump', 'id', 'varchar(18)', 'Value domain of EPANET pump type. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_reactions_gl_id', 'inp_typevalue_reactions_gl', 'id', 'varchar(30)', 'Value domain of EPANET of types of reactions (aplied to all the elements). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_source_id', 'inp_typevalue_source', 'id', 'varchar(18)', 'Value domain of EPANET source type. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_valve_id', 'inp_typevalue_valve', 'id', 'varchar(18)', 'Value domain of EPANET valve type. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_valve_descript', 'inp_typevalue_valve', 'descript', 'varchar(50)', 'Detailed description of EPANET valve type. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_typevalue_valve_meter', 'inp_typevalue_valve', 'meter', 'varchar(18)', 'Generic description of EPANET valve. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_ampm_id', 'inp_value_ampm', 'id', 'varchar(18)', 'Value domain of EPANET time (AM or PM). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_curve_id', 'inp_value_curve', 'id', 'varchar(18)', 'Value domain of EPANET curve. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_mixing_id', 'inp_value_mixing', 'id', 'varchar(18)', 'Value domain of EPANET mixing. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_noneall_id', 'inp_value_noneall', 'id', 'varchar(18)', 'Value domain of EPANET values (NONE or ALL). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_opti_headloss_id', 'inp_value_opti_headloss', 'id', 'varchar(18)', 'Value domain of EPANET headloss options (options table). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_spec_grav', 'rpt_cat_result', 'spec_grav', 'numeric', 'Specific gravity of the simulation');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_opti_hyd_id', 'inp_value_opti_hyd', 'id', 'varchar(20)', 'Value domain of EPANET hydraulics options (options table). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_opti_qual_id', 'inp_value_opti_qual', 'id', 'varchar(18)', 'Value domain of EPANET quality options (options table). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_opti_unbal_id', 'inp_value_opti_unbal', 'id', 'varchar(20)', 'Value domain of EPANET unbalanced options (options table). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_opti_units_id', 'inp_value_opti_units', 'id', 'varchar(18)', 'Value domain of EPANET units (options table). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_param_energy_id', 'inp_value_param_energy', 'id', 'varchar(18)', 'Value domain of EPANET energy parameters. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_reactions_el_id', 'inp_value_reactions_el', 'id', 'varchar(18)', 'Value domain of EPANET reactions data (element). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_reactions_gl_id', 'inp_value_reactions_gl', 'id', 'varchar(18)', 'Value domain of EPANET reactions data (global). See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_status_pipe_id', 'inp_value_status_pipe', 'id', 'varchar(18)', 'Value domain of EPANET pipe status. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_status_pump_id', 'inp_value_status_pump', 'id', 'varchar(18)', 'Value domain of EPANET pump status. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_max_trials', 'rpt_cat_result', 'max_trials', 'numeric', 'Maximun number  of trials to balance the result');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_status_valve_id', 'inp_value_status_valve', 'id', 'varchar(18)', 'Value domain of EPANET valve status. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_voltman_flow', 'ext_cat_hydrometer', 'voltman_flow', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_value_times_id', 'inp_value_times', 'id', 'varchar(18)', 'Value domain of EPANET time. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_yesno_id', 'inp_value_yesno', 'id', 'varchar(3)', 'Value domain of EPANET yes/no. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_yesnofull_id', 'inp_value_yesnofull', 'id', 'varchar(18)', 'Value domain of EPANET yes/no/full. See ws_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_plan_id', 'inp_value_plan', 'id', 'Varchar(16)', 'Value domain of plan');
INSERT INTO db_cat_table_x_column VALUES ('inp_value_plan_observ', 'inp_value_plan', 'observ', 'Varchar(254)', 'Observations related to value plan. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('inp_giswater_config_id', 'inp_giswater_config', 'id', 'Varchar(16)', 'Primary key for table.');
INSERT INTO db_cat_table_x_column VALUES ('inp_giswater_config_giswater_file_path', 'inp_giswater_config', 'giswater_file_path', 'text', 'Giswater file path');
INSERT INTO db_cat_table_x_column VALUES ('inp_giswater_config_giswater_software_path', 'inp_giswater_config', 'giswater_software_path', 'text', 'Giswater software path');
INSERT INTO db_cat_table_x_column VALUES ('inp_giswater_config_inp_file_path', 'inp_giswater_config', 'inp_file_path', 'text', 'inp_file_path');
INSERT INTO db_cat_table_x_column VALUES ('inp_giswater_config_rpt_file_path', 'inp_giswater_config', 'rpt_file_path', 'text', 'rpt_file_path');
INSERT INTO db_cat_table_x_column VALUES ('inp_giswater_config_rpt_result_id', 'inp_giswater_config', 'rpt_result_id', 'text', 'rpt result identifier');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_result_id', 'rpt_arc', 'result_id', 'varchar(16)', 'Result identifier related to the primary key of rpt_cat_result table');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_arc_id', 'rpt_arc', 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_length', 'rpt_arc', 'length', 'numeric', 'Length of the arc.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_diameter', 'rpt_arc', 'diameter', 'numeric', 'Diameter of the arc. EPANET ever works with internal diameter');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_flow', 'rpt_arc', 'flow', 'numeric', 'Flow in flow units.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_vel', 'rpt_arc', 'vel', 'numeric', 'Velocity in fps.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_headloss', 'rpt_arc', 'headloss', 'numeric', 'Headloss (/1000ft).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_setting', 'rpt_arc', 'setting', 'numeric', 'Setting. (Roughness for pipes, speed for pumps, pressure/flow setting for valves).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_reaction', 'rpt_arc', 'reaction', 'numeric', 'Reaction value');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_ffactor', 'rpt_arc', 'ffactor', 'numeric', 'Friction factor.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_other', 'rpt_arc', 'other', 'varchar(100)', 'Other information about the simulation.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_time', 'rpt_arc', 'time', 'varchar(100)', 'Time period for which the simulation was conducted.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_arc_status', 'rpt_arc', 'status', 'varchar(16)', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_table_x_column VALUES ('rpt_energy_usage_id', 'rpt_energy_usage', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_energy_usage_result_id', 'rpt_energy_usage', 'result_id', 'varchar(16)', 'Result identifier related to the primary key of rpt_cat_result table');
INSERT INTO db_cat_table_x_column VALUES ('rpt_energy_usage_node_id', 'rpt_energy_usage', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('rpt_energy_usage_usage_fact', 'rpt_energy_usage', 'usage_fact', 'numeric', 'Usage factor.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_energy_usage_avg_effic', 'rpt_energy_usage', 'avg_effic', 'numeric', 'Average efficiency.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_energy_usage_kwhr_mgal', 'rpt_energy_usage', 'kwhr_mgal', 'numeric', 'Kw â hr (/Mgal).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_energy_usage_avg_kw', 'rpt_energy_usage', 'avg_kw', 'numeric', 'Average (Kw).');
INSERT INTO db_cat_table_x_column VALUES ('rpt_energy_usage_peak_kw', 'rpt_energy_usage', 'peak_kw', 'numeric', 'Peak (Kw)');
INSERT INTO db_cat_table_x_column VALUES ('rpt_energy_usage_cost_day', 'rpt_energy_usage', 'cost_day', 'numeric', 'Cost (/day)');
INSERT INTO db_cat_table_x_column VALUES ('rpt_hydraulic_status_id', 'rpt_hydraulic_status', 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_hydraulic_status_result_id', 'rpt_hydraulic_status', 'result_id', 'varchar(16)', 'Result identifier related to the primary key of rpt_cat_result table');
INSERT INTO db_cat_table_x_column VALUES ('rpt_hydraulic_status_time', 'rpt_hydraulic_status', 'time', 'varchar(10)', 'Time period for which the simulation was conducted.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_hydraulic_status_text', 'rpt_hydraulic_status', 'text', 'varchar(100)', 'Field ready to insert text for additional information');
INSERT INTO db_cat_table_x_column VALUES ('rpt_node_id', 'rpt_node', 'id', 'int4', 'Primary key for table.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_node_result_id', 'rpt_node', 'result_id', 'varchar(16)', 'Result identifier related to the primary key of rpt_cat_result table');
INSERT INTO db_cat_table_x_column VALUES ('rpt_node_node_id', 'rpt_node', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('rpt_node_elevation', 'rpt_node', 'elevation', 'numeric', 'Elevation in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_node_demand', 'rpt_node', 'demand', 'numeric', 'Demand for water by the main category of consumer. Measured in the current flow units');
INSERT INTO db_cat_table_x_column VALUES ('rpt_node_head', 'rpt_node', 'head', 'numeric', 'Head in ft or m.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_node_press', 'rpt_node', 'press', 'numeric', 'Pressure in psi or m.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_node_other', 'rpt_node', 'other', 'varchar(100)', 'Other information about the simulation.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_node_time', 'rpt_node', 'time', 'varchar(100)', 'Time period for which the simulation was conducted.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_node_quality', 'rpt_node', 'quality', 'numeric(12,4)', 'Selects the type of water quality analysis to perform');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_id', 'rpt_cat_result', 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_result_id', 'rpt_cat_result', 'result_id', 'varchar(16)', 'Result identifier related to the primary key of rpt_cat_result table');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_n_junction', 'rpt_cat_result', 'n_junction', 'numeric', 'Number of junctions of the simulation''s results');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_n_reservoir', 'rpt_cat_result', 'n_reservoir', 'numeric', 'Number of junctions of the simulation''s results');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_n_tank', 'rpt_cat_result', 'n_tank', 'numeric', 'Number of junctions of the simulation''s results');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_n_pipe', 'rpt_cat_result', 'n_pipe', 'numeric', 'Number of junctions of the simulation''s results');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_n_pump', 'rpt_cat_result', 'n_pump', 'numeric', 'Number of junctions of the simulation''s results');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_n_valve', 'rpt_cat_result', 'n_valve', 'numeric', 'Number of junctions of the simulation''s results');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_head_form', 'rpt_cat_result', 'head_form', 'varchar(20)', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_hydra_time', 'rpt_cat_result', 'hydra_time', 'varchar(10)', 'Hydraulic time of the simulation');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_hydra_acc', 'rpt_cat_result', 'hydra_acc', 'numeric', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_st_ch_freq', 'rpt_cat_result', 'st_ch_freq', 'numeric', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_max_tr_ch', 'rpt_cat_result', 'max_tr_ch', 'numeric', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_q_analysis', 'rpt_cat_result', 'q_analysis', 'varchar(20)', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_identif', 'ext_rtc_hydrometer', 'identif', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_r_kin_visc', 'rpt_cat_result', 'r_kin_visc', 'numeric', 'Value for viscosity');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_r_che_diff', 'rpt_cat_result', 'r_che_diff', 'numeric', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_dem_multi', 'rpt_cat_result', 'dem_multi', 'numeric', 'Advanced parameter of the hydraulic simulation');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_total_dura', 'rpt_cat_result', 'total_dura', 'varchar(10)', 'Total duration of the simulation');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_exec_date', 'rpt_cat_result', 'exec_date', 'timestamp(6)', 'Timestamp  for the moment to insert the result into the catalog of results (rpt_cat_results)');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_q_timestep', 'rpt_cat_result', 'q_timestep', 'varchar(16)', 'Quality time step of the simulation');
INSERT INTO db_cat_table_x_column VALUES ('rpt_cat_result_q_tolerance', 'rpt_cat_result', 'q_tolerance', 'varchar(16)', 'Quality tolerance of the simulation');
INSERT INTO db_cat_table_x_column VALUES ('plan_other_x_psector_measurement', 'plan_other_x_psector', 'measurement', 'Numeric(12,2)', 'Measurement');
INSERT INTO db_cat_table_x_column VALUES ('rpt_selector_result_result_id', 'rpt_selector_result', 'result_id', 'Varchar(16)', 'System field used to filter results in order to provide information on v_rpt views of qgis.');
INSERT INTO db_cat_table_x_column VALUES ('rpt_selector_compare_result_id', 'rpt_selector_compare', 'result_id', 'Varchar(16)', 'System field used to filter results in order to provide information on v_rpt views of qgis.');
INSERT INTO db_cat_table_x_column VALUES ('inp_selector_sector_sector_id', 'inp_selector_sector', 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('inp_selector_state_id', 'inp_selector_state', 'id', 'varchar(16)', 'ID label.');
INSERT INTO db_cat_table_x_column VALUES ('inp_selector_state_observ', 'inp_selector_state', 'observ', 'varchar(254)', 'Observations related to selector state. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('doc_type_id', 'doc_type', 'id', 'varchar(30)', 'Document type identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('doc_type_comment', 'doc_type', 'comment', 'varchar(512)', 'Comments related to document type. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('cat_tag_id', 'cat_tag', 'id', 'Varchar(16)', 'Document tag identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('cat_tag_comment', 'cat_tag', 'comment', 'Varchar (512)', 'Comments related to document tag. Additional information.');
INSERT INTO db_cat_table_x_column VALUES ('doc_id', 'doc', 'id', 'int8', 'Document identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('doc_path', 'doc', 'path', 'varchar(512)', 'Field to store folder path related to document.');
INSERT INTO db_cat_table_x_column VALUES ('doc_observ', 'doc', 'observ', 'varchar(512)', 'Observations related to documents. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('doc_tagcat_id', 'doc', 'tagcat_id', 'varchar(16)', 'Tag identifier.');
INSERT INTO db_cat_table_x_column VALUES ('doc_date', 'doc', 'date', 'timestamp(6)', 'Date of adding the document.');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_node_id', 'doc_x_node', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_node_doc_id', 'doc_x_node', 'doc_id', 'int8,', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_node_node_id', 'doc_x_node', 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_arc_id', 'doc_x_arc', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_arc_doc_id', 'doc_x_arc', 'doc_id', 'int8,', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_arc_arc_id', 'doc_x_arc', 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_connec_id', 'doc_x_connec', 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_connec_doc_id', 'doc_x_connec', 'doc_id', 'int8,', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_table_x_column VALUES ('doc_x_connec_connec_id', 'doc_x_connec', 'connec_id', 'varchar(16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_table_x_column VALUES ('rtc_options_rtc_status', 'rtc_options', 'rtc_status', 'Varchar(3)', 'Field to define the status of the Real Time Control (ON or OFF)');
INSERT INTO db_cat_table_x_column VALUES ('rtc_options_period_id', 'rtc_options', 'period_id', 'Varchar(16)', 'Period identifier where the RTC is allowed');
INSERT INTO db_cat_table_x_column VALUES ('rtc_options_coefficient', 'rtc_options', 'coefficient', 'Varchar(16)', 'Value domain of the coefficient applied (MAX, AVG o MIN)');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_node_scada_id', 'rtc_scada_node', 'scada_id', 'Varchar(16)', 'Identifier of the SCADA');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_node_node_id', 'rtc_scada_node', 'node_id', 'Varchar(16)', 'Indentifier of the node');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_sector_id', 'rtc_scada_x_sector', 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_sector_scada_id', 'rtc_scada_x_sector', 'scada_id', 'Varchar(16)', 'Id of a related scada receiver.');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_sector_sector_id', 'rtc_scada_x_sector', 'sector_id', 'Varchar(16)', 'Id of the sector');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_sector_flow_sign', 'rtc_scada_x_sector', 'flow_sign', 'int2', 'Flow sign');
INSERT INTO db_cat_table_x_column VALUES ('rtc_value_opti_coef_id', 'rtc_value_opti_coef', 'id', 'Varchar(16)', 'Value domain of coefficient options');
INSERT INTO db_cat_table_x_column VALUES ('rtc_value_opti_status_id', 'rtc_value_opti_status', 'id', 'Varchar(16)', 'Value domain of status options');
INSERT INTO db_cat_table_x_column VALUES ('rtc_hydrometer_x_connec_hydrometer_id', 'rtc_hydrometer_x_connec', 'hydrometer_id', 'character varying (16)', 'Hydrometer identifier, related to the cat_hydrometer table');
INSERT INTO db_cat_table_x_column VALUES ('rtc_hydrometer_x_connec_connec_id', 'rtc_hydrometer_x_connec', 'connec_id', 'character varying (16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_psector_id', 'plan_psector', 'psector_id', 'varchar', 'Plan sector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_descript', 'plan_psector', 'descript', 'Varchar (254)', 'Field to store additional information about the psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_priority', 'plan_psector', 'priority', 'Varchar (16)', 'Field to identify the priority of the psector');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_text1', 'plan_psector', 'text1', 'Varchar (254)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_text2', 'plan_psector', 'text2', 'Varchar (254)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_observ', 'plan_psector', 'observ', 'Varchar (254)', 'Observations related to plan sector. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_rotation', 'plan_psector', 'rotation', 'Numeric(8,4)', 'Field to use to rotate the map');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_scale', 'plan_psector', 'scale', 'Numeric(8,2)', 'Field to use to configurate the scale of the map');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_sector_id', 'plan_psector', 'sector_id', 'Varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_atlas_id', 'plan_psector', 'atlas_id', 'Varchar(30)', 'Field to use to configurate the position of the psector on the whole atlas');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_gexpenses', 'plan_psector', 'gexpenses', 'Numeric(4,2)', 'General expenses  related to this psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_vat', 'plan_psector', 'vat', 'Numeric(4,2)', 'Value of vat tax  related to this psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_other', 'plan_psector', 'other', 'Numeric(4,2)', 'Other expenses related to this psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_psector_the_geom', 'plan_psector', 'the_geom', 'public.geometry', 'Polygon geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_psector_id', 'plan_arc_x_psector', 'id', 'int4', 'Arc related to psector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_psector_arc_id', 'plan_arc_x_psector', 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_psector_psector_id', 'plan_arc_x_psector', 'psector_id', 'Varchar(16)', 'Psector related to the primary key of psector table');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_psector_atlas_id', 'plan_arc_x_psector', 'atlas_id', 'Varchar(16)', 'Indicates the order of map files.');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_psector_descript', 'plan_arc_x_psector', 'descript', 'Varchar(254)', 'Field to store additional information about the arc related to psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_node_x_psector_id', 'plan_node_x_psector', 'id', 'int4', 'Node related to psector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_node_x_psector_node_id', 'plan_node_x_psector', 'node_id', 'Varchar(16)', 'Node identifier related to the primary key of node table');
INSERT INTO db_cat_table_x_column VALUES ('plan_node_x_psector_psector_id', 'plan_node_x_psector', 'psector_id', 'Varchar(16)', 'Psector related to the primary key of psector table');
INSERT INTO db_cat_table_x_column VALUES ('plan_node_x_psector_atlas_id', 'plan_node_x_psector', 'atlas_id', 'Varchar(16)', 'Indicates the order of map files.');
INSERT INTO db_cat_table_x_column VALUES ('plan_node_x_psector_descript', 'plan_node_x_psector', 'descript', 'Varchar(254)', 'Field to store additional information about the node related to psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_other_x_psector_id', 'plan_other_x_psector', 'id', 'int4', 'Other objectt related to psector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_other_x_psector_price_id', 'plan_other_x_psector', 'price_id', 'Varchar(16)', 'Identifier of the price');
INSERT INTO db_cat_table_x_column VALUES ('plan_other_x_psector_psector_id', 'plan_other_x_psector', 'psector_id', 'Varchar(16)', 'Psector related to the primary key of psector table');
INSERT INTO db_cat_table_x_column VALUES ('plan_other_x_psector_atlas_id', 'plan_other_x_psector', 'atlas_id', 'Varchar(16)', 'Indicates the order of map files.');
INSERT INTO db_cat_table_x_column VALUES ('plan_other_x_psector_descript', 'plan_other_x_psector', 'descript', 'Varchar(254)', 'Field to store additional information about the other objects related to psector.');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_pavement_id', 'plan_arc_x_pavement', 'id', 'int4', 'Arc related to pavement identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_pavement_arc_id', 'plan_arc_x_pavement', 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_pavement_pavcat_id', 'plan_arc_x_pavement', 'pavcat_id', 'Varchar(16)', 'Identifier of the pavement');
INSERT INTO db_cat_table_x_column VALUES ('plan_arc_x_pavement_percent', 'plan_arc_x_pavement', 'percent', 'Numeric(3,2)', 'Percent of pavement''s coverage on arc.');
INSERT INTO db_cat_table_x_column VALUES ('plan_value_ps_priority_id', 'plan_value_ps_priority', 'id', 'Varchar(16)', 'Identifier of the value domain of priority');
INSERT INTO db_cat_table_x_column VALUES ('plan_value_ps_priority_observ', 'plan_value_ps_priority', 'observ', 'Varchar(254)', 'Additional information');
INSERT INTO db_cat_table_x_column VALUES ('plan_selector_economic_id', 'plan_selector_economic', 'id', 'Varchar(16)', 'Economic selector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_selector_economic_observ', 'plan_selector_economic', 'observ', 'Varchar(254)', 'Observations related to economic selector. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('plan_selector_psector_id', 'plan_selector_psector', 'id', 'Varchar(16)', 'Plan sector selector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_selector_psector_observ', 'plan_selector_psector', 'observ', 'Varchar(254)', 'Observations related to plan sector selector. Additional information');
INSERT INTO db_cat_table_x_column VALUES ('price_simple_id', 'price_simple', 'id', 'Varchar (16)', 'Simple price identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('price_simple_unit', 'price_simple', 'unit', 'Varchar (5)', 'Units used to express the price.');
INSERT INTO db_cat_table_x_column VALUES ('price_simple_descript', 'price_simple', 'descript', 'Varchar (100)', 'Field to store additional information about the simple price.');
INSERT INTO db_cat_table_x_column VALUES ('price_simple_text', 'price_simple', 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('price_simple_obs', 'price_simple', 'obs', 'Varchar (16)', 'Additional information');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_id', 'price_compost', 'id', 'Varchar (16)', 'Compost price identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_unit', 'price_compost', 'unit', 'Varchar (5)', 'Units used to express the price.');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_descript', 'price_compost', 'descript', 'Varchar (100)', 'Field to store additional information about the compound price');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_text', 'price_compost', 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_price', 'price_compost', 'price', 'Numeric(12,4)', 'Price');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_value_id', 'price_compost_value', 'id', 'int4', 'Compound value identifier.Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_value_compost_id', 'price_compost_value', 'compost_id', 'Varchar (16)', 'Compound price identifier related to the primary key of price compost table');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_value_simple_id', 'price_compost_value', 'simple_id', 'Varchar (16)', 'Simple price identifier related to the primary key of price simple table');
INSERT INTO db_cat_table_x_column VALUES ('price_compost_value_value', 'price_compost_value', 'value', 'Numeric(16,4)', 'Measurement');
INSERT INTO db_cat_table_x_column VALUES ('price_value_unit_id', 'price_value_unit', 'id', 'Varchar (16)', 'Price units identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('price_value_unit_descript', 'price_value_unit', 'descript', 'Varchar (100)', 'Field to store additional information about the price value units.');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_polygon_polygon_id', 'anl_mincut_polygon', 'polygon_id', 'Varchar (16)', 'Polygon identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_polygon_the_geom', 'anl_mincut_polygon', 'the_geom', 'public.geometry', 'Geometry');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_node_node_id', 'anl_mincut_node', 'node_id', 'Varchar (16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_node_the_geom', 'anl_mincut_node', 'the_geom', 'public.geometry', 'Geometry');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_arc_arc_id', 'anl_mincut_arc', 'arc_id', 'Varchar (16)', 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_arc_the_geom', 'anl_mincut_arc', 'the_geom', 'public.geometry', 'Geometry');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_valve_valve_id', 'anl_mincut_valve', 'valve_id', 'Varchar (16)', 'Node identifier (of valve)');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_valve_the_geom', 'anl_mincut_valve', 'the_geom', 'public.geometry', 'Geometry');
INSERT INTO db_cat_table_x_column VALUES ('anl_valveanaytics_connec_connec_id', 'anl_valveanaytics_connec', 'connec_id', 'Varchar (16)', 'Connec id');
INSERT INTO db_cat_table_x_column VALUES ('anl_valveanaytics_connec_the_geom', 'anl_valveanaytics_connec', 'the_geom', 'public.geometry', 'Geometry');
INSERT INTO db_cat_table_x_column VALUES ('version_wsoftware', 'version', 'wsoftware', 'varchar(16)', 'Identifies the water software compatible with the project');
INSERT INTO db_cat_table_x_column VALUES ('version_postgres', 'version', 'postgres', 'varchar(512)', 'Identifies the version of PostgreSQL where the project was created');
INSERT INTO db_cat_table_x_column VALUES ('version_postgis', 'version', 'postgis', 'varchar(512)', 'Identifies the version of Postgis where the project was created');
INSERT INTO db_cat_table_x_column VALUES ('config_id', 'config', 'id', 'varchar(18)', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('config_node_proximity', 'config', 'node_proximity', 'double precision', 'Configuration parameter of node proximity related to trg_node_proximity function trigger');
INSERT INTO db_cat_table_x_column VALUES ('config_arc_searchnodes', 'config', 'arc_searchnodes', 'double precision', 'Configuration parameter of arc searching start and end nodes related to trg_arc_searchnodes function trigger');
INSERT INTO db_cat_table_x_column VALUES ('anl_arc_no_startend_node_arc_id', 'anl_arc_no_startend_node', 'arc_id', 'varchar (16)', 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('config_node2arc', 'config', 'node2arc', 'double precision', 'Configuration parameter of disconected nodes about it''s proximity to arcs related to fct_node2arc function');
INSERT INTO db_cat_table_x_column VALUES ('config_connec_proximity', 'config', 'connec_proximity', 'double precision', 'Configuration parameter of node proximity related to trg_connec_proximity function trigger');
INSERT INTO db_cat_table_x_column VALUES ('config_arc_toporepair', 'config', 'arc_toporepair', 'double precision', 'Configuration parameter of arc repair related to fct_arc_toporepair function');
INSERT INTO db_cat_table_x_column VALUES ('config_nodeinsert_arcendpoint', 'config', 'nodeinsert_arcendpoint', 'boolean', 'Configuration parameter of automatic node insert when endnode does not exist related to trg_arc_searchnodes function trigger');
INSERT INTO db_cat_table_x_column VALUES ('config_orphannode_delete', 'config', 'orphannode_delete', 'boolean', 'Configuration parameter of automatic delete node when arc is deleted related to trg_orphannode_delete fuction trigger');
INSERT INTO db_cat_table_x_column VALUES ('config_vnode_update_tolerance', 'config', 'vnode_update_tolerance', 'double precision', 'Configuration parameter of defining node tolerance.');
INSERT INTO db_cat_table_x_column VALUES ('config_nodetype_change_enabled', 'config', 'nodetype_change_enabled', 'boolean', 'Enable change node type option.');
INSERT INTO db_cat_table_x_column VALUES ('version_id', 'version', 'id', 'int4', 'ID of version. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('version_giswater', 'version', 'giswater', 'varchar(16)', 'Identifies the version of giswater with the project was created');
INSERT INTO db_cat_table_x_column VALUES ('config_node_proximity_control', 'config', 'node_proximity_control', 'boolean', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent nodes closet to other nodes');
INSERT INTO db_cat_table_x_column VALUES ('config_node_duplicated_tolerance', 'config', 'node_duplicated_tolerance', 'float', 'Tolerace for function of node duplicated indentification');
INSERT INTO db_cat_table_x_column VALUES ('config_connec_proximity_control', 'config', 'connec_proximity_control', 'boolean', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent connec closet to other connec');
INSERT INTO db_cat_table_x_column VALUES ('config_connec_duplicated_tolerance', 'config', 'connec_duplicated_tolerance', 'float', 'Tolerace for function of connec duplicated indentification');
INSERT INTO db_cat_table_x_column VALUES ('config_audit_function_control', 'config', 'audit_function_control', 'boolean', 'Field to put enable (true) or dissabled (false) the audit function control');
INSERT INTO db_cat_table_x_column VALUES ('config_arc_searchnodes_control', 'config', 'arc_searchnodes_control', 'boolean', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent arcs without nodes at init or end position');
INSERT INTO db_cat_table_x_column VALUES ('config_csv_import_table_name', 'config_csv_import', 'table_name', 'Varchar (50)', 'Name of table to insert csv data');
INSERT INTO db_cat_table_x_column VALUES ('config_csv_import_gis_client_layer_name', 'config_csv_import', 'gis_client_layer_name', 'Varchar (50)', 'Alias of this table on the GIS project');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_id', 'db_cat_table', 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_name', 'db_cat_table', 'name', 'text', 'Name of the table');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_project_type', 'db_cat_table', 'project_type', 'text', 'Project type of the table (WS, UD or SE).');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_context', 'db_cat_table', 'context', 'text', 'Context where this table is showed');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_db_cat_clientlayer_id', 'db_cat_table', 'db_cat_clientlayer_id', 'int4', 'Name of the GIS layer (if exists)');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_table_description', 'db_cat_table', 'description', 'text', 'description of the table');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_view_id', 'db_cat_view', 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_view_name', 'db_cat_view', 'name', 'text', 'Name of the view');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_view_project_type', 'db_cat_view', 'project_type', 'text', 'Project type of the table (WS, UD or SE).');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_view_context', 'db_cat_view', 'context', 'text', 'Context where this view is showed');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_view_db_cat_clientlayer_id', 'db_cat_view', 'db_cat_clientlayer_id', 'int4', 'Name of the GIS layer (if exists)');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_mincut_result_type', 'anl_mincut_result_cat', 'mincut_result_type', 'varchar(30)', 'Type of minimum cut result');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_orphan_the_geom', 'anl_node_orphan', 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_sink_num_arcs', 'anl_node_sink', 'num_arcs', 'integer', 'Number of arcs joining the node');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_sink_node_id', 'anl_node_sink', 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_sink_the_geom', 'anl_node_sink', 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_duplicated_node_id', 'anl_node_duplicated', 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_duplicated_node_conserv', 'anl_node_duplicated', 'node_conserv', 'Varchar(16)', 'Node identifier of the duplicated node');
INSERT INTO db_cat_table_x_column VALUES ('anl_node_duplicated_the_geom', 'anl_node_duplicated', 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_table_x_column VALUES ('anl_arc_same_startend_the_geom', 'anl_arc_same_startend', 'the_geom', 'public.geometry', 'Geometry of arc');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_mincut_result_state', 'anl_mincut_result_cat', 'mincut_result_state', 'varchar(30)', 'State of minimum cut result');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_anl_user', 'anl_mincut_result_cat', 'anl_user', 'varchar(30)', 'User conducting the anlyssis');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_error_id', 'audit_cat_error', 'id', 'int', 'Identifier of the error');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_error_error_message', 'audit_cat_error', 'error_message', 'text', 'Message of the error');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_error_hint_message', 'audit_cat_error', 'hint_message', 'text', 'Hint message');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_error_log_level', 'audit_cat_error', 'log_level', 'int2', 'Log level of the error');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_error_show_user', 'audit_cat_error', 'show_user', 'boolean', 'Field to define to show (or not) to the user this message');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_error_context', 'audit_cat_error', 'context', 'text', 'Context of the message');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_function_id', 'audit_cat_function', 'id', 'int4', 'Identifier of the function');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_function_name', 'audit_cat_function', 'name', 'text', 'Name of the function');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_function_function_type', 'audit_cat_function', 'function_type', 'text', 'Type of the function (trigger function or function)');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_function_context', 'audit_cat_function', 'context', 'text', 'Context of the function');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_function_input_params', 'audit_cat_function', 'input_params', 'json', 'Input parameters of the function');
INSERT INTO db_cat_table_x_column VALUES ('audit_cat_function_return_type', 'audit_cat_function', 'return_type', 'text', 'Type of return of the function');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_id', 'audit_function_actions', 'id', 'bigserial', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_tstamp', 'audit_function_actions', 'tstamp', 'timestamp with time zone', 'Timestamp');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_audit_cat_error_id', 'audit_function_actions', 'audit_cat_error_id', 'int', 'Identifier of the error');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_audit_cat_function_id', 'audit_function_actions', 'audit_cat_function_id', 'int4', 'Identifier of the function');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_query', 'audit_function_actions', 'query', 'text', 'String with the full query realized');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_user_name', 'audit_function_actions', 'user_name', 'text', 'Name of the user');
INSERT INTO db_cat_table_x_column VALUES ('audit_function_actions_debug_info', 'audit_function_actions', 'debug_info', 'text', 'Additional information to debug');
INSERT INTO db_cat_table_x_column VALUES ('anl_arc_no_startend_node_the_geom', 'anl_arc_no_startend_node', 'the_geom', 'public.geometry', 'Geometry of arc');
INSERT INTO db_cat_table_x_column VALUES ('anl_arc_same_startend_length', 'anl_arc_same_startend', 'length', 'float', 'Length of the arc');
INSERT INTO db_cat_table_x_column VALUES ('anl_connec_duplicated_connec_conserv', 'anl_connec_duplicated', 'connec_conserv', 'varchar (16)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_madeby', 'ext_cat_hydrometer', 'madeby', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('anl_connec_duplicated_connec_id', 'anl_connec_duplicated', 'connec_id', 'varchar(16)', 'Connec identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_connec_duplicated_id', 'anl_connec_duplicated', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('anl_connec_duplicated_the_geom', 'anl_connec_duplicated', 'the_geom', 'public.goemetry', 'Geometry of connec');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_arc_id', 'anl_mincut_result_arc', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_arc_arc_id', 'anl_mincut_result_arc', 'arc_id', 'varchar(16)', 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_arc_mincut_result_cat_id', 'anl_mincut_result_arc', 'mincut_result_cat_id', 'varchar(30)', 'Identificador del catalogo de resultados ');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_id', 'anl_mincut_result_cat', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_anl_tstamp', 'anl_mincut_result_cat', 'anl_tstamp', 'timestamp', NULL);
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_exec_forecast_date', 'anl_mincut_result_cat', 'exec_forecast_date', 'date', NULL);
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_exec_start', 'anl_mincut_result_cat', 'exec_start', 'timestamp', NULL);
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_exec_descript', 'anl_mincut_result_cat', 'exec_descript', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_state_id', 'anl_mincut_result_cat_state', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_columns_description', 'db_cat_columns', 'description', 'text', 'Description of the table');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_columns_column_type', 'db_cat_columns', 'column_type', 'text', 'Type of a column');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_state_descript', 'anl_mincut_result_cat_state', 'descript', 'text', 'Description of the state');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_type_id', 'anl_mincut_result_cat_type', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_type_descript', 'anl_mincut_result_cat_type', 'descript', 'text', 'Description of the type');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_connec_id', 'anl_mincut_result_connec', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_connec_mincut_result_cat_id', 'anl_mincut_result_connec', 'mincut_result_cat_id', 'varchar(30)', 'Identificador del catalogo de resultados ');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_hydrometer_mincut_result_cat_id', 'anl_mincut_result_hydrometer', 'mincut_result_cat_id', 'varchar(30)', 'Identificador del catalogo de resultados ');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_hydrometer_hydrometer_id', 'anl_mincut_result_hydrometer', 'hydrometer_id', 'varchar(16)', 'Hydrometer identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_hydrometer_id', 'anl_mincut_result_hydrometer', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_node_id', 'anl_mincut_result_node', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_connec_connec_id', 'anl_mincut_result_connec', 'connec_id', 'varchar(16)', 'Connec identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_node_node_id', 'anl_mincut_result_node', 'node_id', 'varchar(16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_hydrometer_layer', 'config_search_plus', 'hydrometer_layer', 'varchar(30)', 'Name of hydrometer layer');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_node_mincut_result_cat_id', 'anl_mincut_result_node', 'mincut_result_cat_id', 'varchar(30)', 'Identificador del catalogo de resultados ');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_polygon_polygon_id', 'anl_mincut_result_polygon', 'polygon_id', 'varchar(16)', 'Polygon identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_polygon_the_geom', 'anl_mincut_result_polygon', 'the_geom', 'public.geometry', 'Geometry of polygon');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_hydrometer_field_code', 'config_search_plus', 'hydrometer_field_code', 'varchar(30)', 'Name of field with hydrometer code');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_hydrometer_code', 'ext_rtc_hydrometer', 'hydrometer_code', 'text', 'Code of hydrometer');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_selector_compare_id', 'anl_mincut_result_selector_compare', 'id', 'varchar(30)', 'Identifier.');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_valve_valve_id', 'anl_mincut_result_valve', 'valve_id', 'varchar(16)', 'Valve identifier');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_valve_mincut_result_cat_id', 'anl_mincut_result_valve', 'mincut_result_cat_id', 'varchar(30)', 'Identificador del catalogo de resultados ');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_polygon_mincut_result_cat_id', 'anl_mincut_result_polygon', 'mincut_result_cat_id', 'varchar(30)', 'Identificador del catalogo de resultados ');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_polygon_id', 'anl_mincut_result_polygon', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_valve_id', 'anl_mincut_result_valve', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('audit_schema_data_integrity_parameter_id', 'audit_schema_data_integrity', 'parameter_id', 'varchar(50)', 'Parameter identifier');
INSERT INTO db_cat_table_x_column VALUES ('audit_schema_data_integrity_id', 'audit_schema_data_integrity', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('audit_schema_data_integrity_value1', 'audit_schema_data_integrity', 'value1', 'int', NULL);
INSERT INTO db_cat_table_x_column VALUES ('audit_schema_data_integrity_value2', 'audit_schema_data_integrity', 'value2', 'int', NULL);
INSERT INTO db_cat_table_x_column VALUES ('audit_schema_data_integrity_count', 'audit_schema_data_integrity', 'count', 'int', NULL);
INSERT INTO db_cat_table_x_column VALUES ('config_samenode_init_end_control', 'config', 'samenode_init_end_control', 'bool', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent arc with same begining and end node');
INSERT INTO db_cat_table_x_column VALUES ('config_nodeinsert_catalog_vdefault', 'config', 'nodeinsert_catalog_vdefault', 'varchar(30)', 'Configuration parameter of default node values.');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_selector_id', 'anl_mincut_result_selector', 'id', 'varchar(30)', 'Identifier.');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_hydrometer_field_urban_propierties_code', 'config_search_plus', 'hydrometer_field_urban_propierties_code', 'varchar(30)', 'Name of field with connec code');
INSERT INTO db_cat_table_x_column VALUES ('config_extract_raster_value_raster_band_value', 'config_extract_raster_value', 'raster_band_value', 'varchar(30)', 'Band from which the value is taken');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_hydrometer_urban_propierties_layer', 'config_search_plus', 'hydrometer_urban_propierties_layer', 'varchar(30)', 'Name of connec layer');
INSERT INTO db_cat_table_x_column VALUES ('config_extract_raster_value_raster_layer', 'config_extract_raster_value', 'raster_layer', 'varchar(30)', 'Name of raster layer from which value is taken');
INSERT INTO db_cat_table_x_column VALUES ('config_extract_raster_value_vector_layer', 'config_extract_raster_value', 'vector_layer', 'varchar(30)', 'Name of vector layer into which the values are inserted');
INSERT INTO db_cat_table_x_column VALUES ('config_extract_raster_value_vector_field_value', 'config_extract_raster_value', 'vector_field_value', 'varchar(30)', 'Name of field of vector layer into which the values are inserted');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_hydrometer_urban_propierties_field_code', 'config_search_plus', 'hydrometer_urban_propierties_field_code', 'varchar(30)', 'Name of field with connec code');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_id', 'config_ui_forms', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_ppoint_layer', 'config_search_plus', 'ppoint_layer', 'varchar(30)', 'Name of point layer');
INSERT INTO db_cat_table_x_column VALUES ('config_extract_raster_value_id', 'config_extract_raster_value', 'id', 'varchar(18)', 'Identifier.');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_urban_propierties_layer', 'config_search_plus', 'urban_propierties_layer', 'varchar(30)', 'Name of urban properties layer.');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_urban_propierties_field_number', 'config_search_plus', 'urban_propierties_field_number', 'varchar(30)', 'Name of field with entrance number');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_street_layer', 'config_search_plus', 'street_layer', 'varchar(30)', 'Name of street layer');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_street_field_code', 'config_search_plus', 'street_field_code', 'varchar(30)', 'Name of field with street code');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_street_field_name', 'config_search_plus', 'street_field_name', 'varchar(30)', 'Name of field with street name');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_portal_layer', 'config_search_plus', 'portal_layer', 'varchar(30)', 'Name of entrance number layer');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_portal_field_code', 'config_search_plus', 'portal_field_code', 'varchar(30)', 'Name of field with entrance code');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_portal_field_number', 'config_search_plus', 'portal_field_number', 'varchar(30)', 'Name of field with entrance number');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_urban_propierties_field_pzone', 'config_search_plus', 'urban_propierties_field_pzone', 'varchar(30)', 'Name of a field with zone data');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_urban_propierties_field_block', 'config_search_plus', 'urban_propierties_field_block', 'varchar(30)', 'Name of field with block data');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_flow', 'ext_rtc_hydrometer', 'flow', 'text', 'Flow in flow units.');
INSERT INTO db_cat_table_x_column VALUES ('doc_doc_type', 'doc', 'doc_type', 'varchar(30)', 'Type of a document');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_columns_column_name', 'db_cat_columns', 'column_name', 'text', 'Name of a column');
INSERT INTO db_cat_table_x_column VALUES ('doc_user_name', 'doc', 'user_name', 'varchar(30)', 'Name of a user who added the document.');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_hydrometer_type', 'ext_cat_hydrometer', 'hydrometer_type', 'varchar(100)', 'Type of a hydrometer');
INSERT INTO db_cat_table_x_column VALUES ('ext_postnumber_id', 'ext_postnumber', 'id', 'varchar(16)', 'Entrance  identifier');
INSERT INTO db_cat_table_x_column VALUES ('ext_postnumber_streetaxis', 'ext_postnumber', 'streetaxis', 'varchar(16)', 'Code of streeetat which the entrance is located');
INSERT INTO db_cat_table_x_column VALUES ('ext_postnumber_postnumber', 'ext_postnumber', 'postnumber', 'varchar(16)', 'Entrance number');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_column_index', 'config_ui_forms', 'column_index', 'smallint', 'Index of a column');
INSERT INTO db_cat_table_x_column VALUES ('ext_postnumber_urban_properties_id', 'ext_postnumber', 'urban_properties_id', 'varchar(16)', 'Identifier of related urban propertie');
INSERT INTO db_cat_table_x_column VALUES ('ext_postnumber_the_geom', 'ext_postnumber', 'the_geom', 'public.geometry', 'Geometry of building entrance - point.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_easel_diameter_mm', 'ext_rtc_hydrometer', 'easel_diameter_mm', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_ulmc', 'ext_rtc_hydrometer', 'ulmc', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_brand', 'ext_rtc_hydrometer', 'brand', 'text', 'The brand of hydrometer.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_client_name', 'ext_rtc_hydrometer', 'client_name', 'text', 'Client name.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_digits_hydrometer', 'ext_rtc_hydrometer', 'digits_hydrometer', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_cover', 'ext_rtc_hydrometer', 'cover', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_multi_jet_flow', 'ext_rtc_hydrometer', 'multi_jet_flow', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_hydrometer_number', 'ext_rtc_hydrometer', 'hydrometer_number', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_kit_flag_ulmc', 'ext_rtc_hydrometer', 'kit_flag_ulmc', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_technical_average', 'ext_rtc_hydrometer', 'technical_average', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_ui_form', 'config_ui_forms', 'ui_form', 'varchar(50)', 'Name of a n UI form');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_alias', 'config_ui_forms', 'alias', 'varchar(50)', 'Alias of a field');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_width', 'config_ui_forms', 'width', 'int', 'Width of a column');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_ppoint_field_zone', 'config_search_plus', 'ppoint_field_zone', 'varchar(30)', 'Name of field with ppoint zone');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_kink_date', 'ext_rtc_hydrometer', 'kink_date', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_easel_diameter_pol', 'ext_rtc_hydrometer', 'easel_diameter_pol', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_hydrometer_flag', 'ext_rtc_hydrometer', 'hydrometer_flag', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_easel', 'ext_rtc_hydrometer', 'easel', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_class', 'ext_rtc_hydrometer', 'class', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_voltman_flow', 'ext_rtc_hydrometer', 'voltman_flow', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_adress_adjunct', 'ext_rtc_hydrometer', 'adress_adjunct', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_project_id_author', 'inp_project_id', 'author', 'varchar(50)', 'Author of a project');
INSERT INTO db_cat_table_x_column VALUES ('inp_project_id_date', 'inp_project_id', 'date', 'varchar(12)', 'Date of creating the project');
INSERT INTO db_cat_table_x_column VALUES ('inp_times_hydraulic_timestep', 'inp_times', 'hydraulic_timestep', 'varchar(10)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_times_quality_timestep', 'inp_times', 'quality_timestep', 'varchar(10)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_times_rule_timestep', 'inp_times', 'rule_timestep', 'varchar(10)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_times_pattern_timestep', 'inp_times', 'pattern_timestep', 'varchar(10)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_times_pattern_start', 'inp_times', 'pattern_start', 'varchar(10)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_times_report_timestep', 'inp_times', 'report_timestep', 'varchar(10)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_times_report_start', 'inp_times', 'report_start', 'varchar(10)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_times_start_clocktime', 'inp_times', 'start_clocktime', 'varchar(10)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_times_statistic', 'inp_times', 'statistic', 'varchar(18)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('man_valve_hydraulic_anl', 'man_valve', 'hydraulic_anl', 'bool', NULL);
INSERT INTO db_cat_table_x_column VALUES ('man_valve_mincut_anl', 'man_valve', 'mincut_anl', 'bool', NULL);
INSERT INTO db_cat_table_x_column VALUES ('node_node_type', 'node', 'node_type', 'varchar(18)', 'Node type.');
INSERT INTO db_cat_table_x_column VALUES ('point_point_id', 'point', 'point_id', 'varchar(30)', 'Point identifier.');
INSERT INTO db_cat_table_x_column VALUES ('point_point_type', 'point', 'point_type', 'varchar(18)', 'Point type.');
INSERT INTO db_cat_table_x_column VALUES ('point_observ', 'point', 'observ', 'varchar(512)', 'Observations.');
INSERT INTO db_cat_table_x_column VALUES ('point_the_geom', 'point', 'the_geom', 'public.geometry', 'Geometry of point.');
INSERT INTO db_cat_table_x_column VALUES ('point_type_id', 'point_type', 'id', 'varchar(18)', 'Identifier of a point type.');
INSERT INTO db_cat_table_x_column VALUES ('point_type_text', 'point_type', 'text', 'tex', 'Description.');
INSERT INTO db_cat_table_x_column VALUES ('point_text', 'point', 'text', 'text', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('presszone_id', 'presszone', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('presszone_the_geom', 'presszone', 'the_geom', 'public.geometry', 'Presszone geometry');
INSERT INTO db_cat_table_x_column VALUES ('presszone_text', 'presszone', 'text', 'text', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('presszone_presszonecat_id', 'presszone', 'presszonecat_id', 'varchar(18)', 'Press zone catalog identifier');
INSERT INTO db_cat_table_x_column VALUES ('rtc_hydrometer_hydrometer_id', 'rtc_hydrometer', 'hydrometer_id', 'varchar(16)', 'Hydrometer identifier');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_dma_id', 'rtc_scada_x_dma', 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_descript', 'temp_arc', 'descript', 'varchar(254)', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_soilcat_id', 'temp_arc', 'soilcat_id', 'varchar(16)', 'ID of the soil related to the arc');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_adress_03', 'temp_arc', 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_buildercat_id', 'temp_arc', 'buildercat_id', 'varchar(30)', 'ID of the builder related to arc');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_workcat_id', 'temp_arc', 'workcat_id', 'varchar(255)', 'ID of the construction work related to arc');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_location_type', 'temp_arc', 'location_type', 'varchar(18)', 'ID of the location type related to arc');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_adress_01', 'temp_arc', 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_adress_02', 'temp_arc', 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_dma_id', 'temp_arc', 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area)');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_ownercat_id', 'temp_arc', 'ownercat_id', 'varchar(30)', 'ID of the owner related to arc.');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_builtdate', 'temp_arc', 'builtdate', 'date', 'ID of the builder related to arc');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_fluid_type', 'temp_arc', 'fluid_type', 'varchar(18)', 'ID of the fluid type related to arc');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_adress_03', 'temp_node', 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_adress_02', 'temp_node', 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_adress_01', 'temp_node', 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_ownercat_id', 'temp_node', 'ownercat_id', 'varchar(30)', 'ID of the owner related to node.');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_descript', 'temp_node', 'descript', 'varchar(254)', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_builtdate', 'temp_node', 'builtdate', 'date', 'ID of the builder related to node');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_category_type', 'temp_arc', 'category_type', 'varchar(18)', 'ID of the category type related to arc');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_category_type', 'temp_node', 'category_type', 'varchar(18)', 'ID of the category type related to node.');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_dma_flow_sign', 'rtc_scada_x_dma', 'flow_sign', 'smallint', 'Flow sign');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_workcat_id', 'temp_node', 'workcat_id', 'varchar(255)', 'ID of the construction work related to node');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_location_type', 'temp_node', 'location_type', 'varchar(18)', 'ID of the location type related to node');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_buildercat_id', 'temp_node', 'buildercat_id', 'varchar(50)', 'ID of the builder related to node');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_dma_id', 'temp_node', 'dma_id', 'varchar(30)', 'ID of the management area related to the node (District Meter Area)');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_fluid_type', 'temp_node', 'fluid_type', 'varchar(18)', 'ID of the fluid type related to node');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_soilcat_id', 'temp_node', 'soilcat_id', 'varchar(16)', 'ID of the soil related to the node');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_acessibility', 'man_valve', 'acessibility', 'boolean', 'Configuration parameter used on fct_min_cut function');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_text', 'ext_urban_propierties', 'text', 'text', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_observ', 'ext_urban_propierties', 'observ', 'text', 'Observation');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_dma_scada_id', 'rtc_scada_x_dma', 'scada_id', 'varchar(16)', 'Id of a related scada receiver.');
INSERT INTO db_cat_table_x_column VALUES ('rtc_scada_x_dma_dma_id', 'rtc_scada_x_dma', 'dma_id', 'varchar(16)', 'ID of the management area related to the connect (District Meter Area)');
INSERT INTO db_cat_table_x_column VALUES ('inp_project_id_title', 'inp_project_id', 'title', 'varchar(254)', 'Title of a project');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_ppoint_field_number', 'config_search_plus', 'ppoint_field_number', 'varchar(30)', 'Name of field with ppoint number');
INSERT INTO db_cat_table_x_column VALUES ('config_search_plus_id', 'config_search_plus', 'id', 'varcgar(18)', 'Identifier.');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_diameter', 'ext_rtc_hydrometer', 'diameter', 'text', 'Diameter');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_instalation_date', 'ext_rtc_hydrometer', 'instalation_date', 'text', 'Date of installing the hydrometer');
INSERT INTO db_cat_table_x_column VALUES ('inp_times_duration', 'inp_times', 'duration', 'varchar(10)', 'Duration of a time period');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_name', 'ext_cat_period', 'name', 'text', 'Name of the table');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_db_cat_clientlayer_id', 'ext_cat_period', 'db_cat_clientlayer_id', 'int4', 'Name of the GIS layer (if exists)');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_id', 'ext_rtc_scada', 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_name', 'ext_rtc_scada', 'name', 'text', 'Name of the column');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_db_cat_table_id', 'ext_rtc_scada', 'db_cat_table_id', 'int4', 'Type of column');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_description', 'ext_rtc_scada', 'description', 'text', 'description of the table');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_node_id', 'ext_rtc_scada_x_data', 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_node_type', 'ext_rtc_scada_x_data', 'node_type', 'Varchar(300)', 'Type of the node');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_data_the_geom', 'ext_rtc_scada_x_data', 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_node_id', 'ext_rtc_scada_dma_period', 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_num_arcs', 'ext_rtc_scada_dma_period', 'num_arcs', 'integer', 'Number of arcs joining the node');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_dma_period_the_geom', 'ext_rtc_scada_dma_period', 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_node_id', 'ext_cat_hydrometer', 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_node_conserv', 'ext_cat_hydrometer', 'node_conserv', 'Varchar(16)', 'Node identifier of the duplicated node');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_the_geom', 'ext_cat_hydrometer', 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_arc_id', 'ext_rtc_hydrometer', 'arc_id', NULL, 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_table_name', 'ext_urban_propierties', 'table_name', 'Varchar (50)', 'Name of table to insert csv data');
INSERT INTO db_cat_table_x_column VALUES ('ext_urban_propierties_gis_client_layer_name', 'ext_urban_propierties', 'gis_client_layer_name', 'Varchar (50)', 'Alias of this table on the GIS project');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_project_type', 'ext_cat_period', 'project_type', 'text', 'Project type of the table (WS, UD or SE).');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_context', 'ext_cat_period', 'context', 'text', 'Context where this table is showed');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_period_description', 'ext_cat_period', 'description', 'text', 'description of the table');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_the_geom', 'ext_rtc_hydrometer', 'the_geom', 'public.geometry', 'Geometry of arc');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_arc_id', 'ext_rtc_hydrometer_x_value', 'arc_id', NULL, 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_the_geom', 'ext_rtc_hydrometer_x_value', 'the_geom', 'public.geometry', 'Geometry of arc');
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_multi_jet_flow', 'ext_cat_hydrometer', 'multi_jet_flow', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_ulmc', 'ext_cat_hydrometer', 'ulmc', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('connec_type_type', 'connec_type', 'type', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_pipe_custom_roughness', 'inp_pipe', 'custom_roughness', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('connec_type_event_table', 'connec_type', 'event_table', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_place', 'samplepoint', 'place', 'varchar', 'Location.');
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_forecast_end', 'anl_mincut_result_cat', 'forecast_end', 'timestamp', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_dnom', 'ext_cat_hydrometer', 'dnom', 'varchar', 'Nominal diameter.');
INSERT INTO db_cat_table_x_column VALUES ('connec_connec_type', 'connec', 'connec_type', 'varchar', 'Type of a connec');
INSERT INTO db_cat_table_x_column VALUES ('rpt_energy_usage_nodarc_id', 'rpt_energy_usage', 'nodarc_id', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('inp_pipe_custom_dint', 'inp_pipe', 'custom_dint', 'numeric', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_id_number', 'ext_rtc_hydrometer', 'id_number', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('connec_type_man_table', 'connec_type', 'man_table', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('anl_mincut_result_cat_forecast_start', 'anl_mincut_result_cat', 'forecast_start', 'timestamp', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_cat_hydrometer_class', 'ext_cat_hydrometer', 'class', 'varchar', NULL);
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_scada_x_value_status', 'ext_rtc_scada_x_value', 'status', 'Varchar(5)', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_x_value_status', 'ext_rtc_hydrometer_x_value', 'status', 'Varchar(3)', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_ui_table', 'config_ui_forms', 'ui_table', 'varchar(50)', 'UI view name');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_ui_column', 'config_ui_forms', 'ui_column', 'varchar(50)', 'UI column name');
INSERT INTO db_cat_table_x_column VALUES ('config_ui_forms_status', 'config_ui_forms', 'status', 'bool', 'Status (OPEN, CLOSED or CV)');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_adress_number', 'ext_rtc_hydrometer', 'adress_number', 'text', 'Home number where hydrometer is located');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_adress', 'ext_rtc_hydrometer', 'adress', 'text', 'Address of a hydrometer location');
INSERT INTO db_cat_table_x_column VALUES ('presszone_sector', 'presszone', 'sector', 'varchar(512)', 'Sector to which belongs the pressure zone');
INSERT INTO db_cat_table_x_column VALUES ('man_wjoin_lead_facade', 'man_wjoin', 'lead_facade', 'varchar', 'Lead facade');
INSERT INTO db_cat_table_x_column VALUES ('point_undelete', 'point', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('man_source_node_id', 'man_source', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('connec_label_x', 'connec', 'label_x', 'varchar', 'X coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('connec_undelete', 'connec', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('man_fountain_regulation_tank', 'man_fountain', 'regulation_tank', 'varchar', 'Existence of regulation tank');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_depth_valveshaft', 'man_valve', 'depth_valveshaft', 'numeric', 'Depth of valve shaft');
INSERT INTO db_cat_table_x_column VALUES ('man_fountain_add_info', 'man_fountain', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_regulator_location', 'man_valve', 'regulator_location', 'varchar', 'Location of a valve regulator');
INSERT INTO db_cat_table_x_column VALUES ('man_manhole_node_id', 'man_manhole', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('arc_label_x', 'arc', 'label_x', 'varchar', 'X coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_undelete', 'temp_node', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_label_rotation', 'temp_arc', 'label_rotation', 'numeric', 'Angle of rotation of the label');
INSERT INTO db_cat_table_x_column VALUES ('man_fountain_vmax', 'man_fountain', 'vmax', 'numeric', 'Maximum volume.');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_valve', 'man_valve', 'valve', 'varchar', 'Type of valve');
INSERT INTO db_cat_table_x_column VALUES ('arc_undelete', 'arc', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_label_x', 'temp_node', 'label_x', 'varchar', 'X coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('man_reduction_diam_final', 'man_reduction', 'diam_final', 'numeric', 'Final diameter.');
INSERT INTO db_cat_table_x_column VALUES ('man_fountain_power', 'man_fountain', 'power', 'numeric', 'Total power (Kw)');
INSERT INTO db_cat_table_x_column VALUES ('dma_undelete', 'dma', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_connec_id', 'man_tap', 'connec_id', 'varchar', 'Connec identifier related to the primary key of the connec table');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_valve_diam', 'man_valve', 'valve_diam', 'numeric', 'Valve diameter');
INSERT INTO db_cat_table_x_column VALUES ('man_wjoin_zone', 'man_wjoin', 'zone', 'int4', 'Consumption zone');
INSERT INTO db_cat_table_x_column VALUES ('man_hydrant_distance_left', 'man_hydrant', 'distance_left', 'numeric', 'Left distance');
INSERT INTO db_cat_table_x_column VALUES ('man_fountain_connection', 'man_fountain', 'connection', 'varchar', 'Connection type with the network');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_house_number', 'ext_rtc_hydrometer', 'house_number', 'text', 'Home number where hydrometer is located');
INSERT INTO db_cat_table_x_column VALUES ('man_fountain_vtotal', 'man_fountain', 'vtotal', 'numeric', 'Total volume.');
INSERT INTO db_cat_table_x_column VALUES ('man_waterwell_add_info', 'man_waterwell', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_burried', 'man_valve', 'burried', 'varchar', 'Information whever the valve is burried');
INSERT INTO db_cat_table_x_column VALUES ('man_hydrant_distance_perpendicular', 'man_hydrant', 'distance_perpendicular', 'numeric', 'Perpendicular distance');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_label_y', 'temp_arc', 'label_y', 'varchar', 'Y coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_drain_distance', 'man_tap', 'drain_distance', 'numeric', 'Drain distance');
INSERT INTO db_cat_table_x_column VALUES ('man_hydrant_distance_right', 'man_hydrant', 'distance_right', 'numeric', 'Right distance');
INSERT INTO db_cat_table_x_column VALUES ('man_greentap_add_info', 'man_greentap', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_regulator_observ', 'man_valve', 'regulator_observ', 'varchar', 'Observations of valve regulator');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_lin_meters', 'man_valve', 'lin_meters', 'numeric', 'Lineal meters');
INSERT INTO db_cat_table_x_column VALUES ('man_hydrant_valve_diam', 'man_hydrant', 'valve_diam', 'numeric', 'Diameter of valve');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_shutvalve_number', 'man_tap', 'shutvalve_number', 'varchar', 'Number of shutvalve');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_pression_entry', 'man_valve', 'pression_entry', 'numeric', 'Entry pression level ');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_pression_exit', 'man_valve', 'pression_exit', 'numeric', 'Exit pression level ');
INSERT INTO db_cat_table_x_column VALUES ('config_insert_double_geometry', 'config', 'insert_double_geometry', 'bool', 'Enables inserting elements with double geometry (point and polygon)');
INSERT INTO db_cat_table_x_column VALUES ('man_hydrant_valve', 'man_hydrant', 'valve', 'varchar', 'Valve type');
INSERT INTO db_cat_table_x_column VALUES ('man_reduction_add_info', 'man_reduction', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_wjoin_add_info', 'man_wjoin', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_drain_exit', 'man_tap', 'drain_exit', 'varchar', 'Exit of a drain');
INSERT INTO db_cat_table_x_column VALUES ('node_label_x', 'node', 'label_x', 'varchar', 'X coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('man_fountain_container_number', 'man_fountain', 'container_number', 'int4', 'Number of water containers');
INSERT INTO db_cat_table_x_column VALUES ('man_wjoin_top_floor', 'man_wjoin', 'top_floor', 'int4', 'Level of the highest connected apartment');
INSERT INTO db_cat_table_x_column VALUES ('man_fountain_chlorinator', 'man_fountain', 'chlorinator', 'varchar', 'Chlorination');
INSERT INTO db_cat_table_x_column VALUES ('man_fountain_name', 'man_fountain', 'name', 'varchar', 'Name of the fountain');
INSERT INTO db_cat_table_x_column VALUES ('node_undelete', 'node', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_code', 'ext_rtc_hydrometer', 'code', 'text', 'Code of a hydrometer');
INSERT INTO db_cat_table_x_column VALUES ('man_hydrant_communication', 'man_hydrant', 'communication', 'varchar', 'Communication');
INSERT INTO db_cat_table_x_column VALUES ('ext_rtc_hydrometer_hydrometer_category', 'ext_rtc_hydrometer', 'hydrometer_category', 'text', 'Category of a hydrometer');
INSERT INTO db_cat_table_x_column VALUES ('man_tank_chlorination', 'man_tank', 'chlorination', 'varchar', 'Chlorination of a tank');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_exit_code', 'man_valve', 'exit_code', 'int4', 'Valve exit code');
INSERT INTO db_cat_table_x_column VALUES ('presszone_undelete', 'presszone', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('man_hydrant_location', 'man_hydrant', 'location', 'varchar', 'Location of a hydrant');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_add_info', 'man_tap', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_type', 'man_tap', 'type', 'varchar', 'Tap type');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_drain_gully', 'man_tap', 'drain_gully', 'varchar', 'Type of drain connection to the gully');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_exit_type', 'man_valve', 'exit_type', 'varchar', 'Valve exit type');
INSERT INTO db_cat_table_x_column VALUES ('man_waterwell_node_id', 'man_waterwell', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('man_hydrant_location_sign', 'man_hydrant', 'location_sign', 'varchar', 'Location of an information sign');
INSERT INTO db_cat_table_x_column VALUES ('connec_label_y', 'connec', 'label_y', 'varchar', 'Y coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_continous', 'man_tap', 'continous', 'varchar', 'Continous beam');
INSERT INTO db_cat_table_x_column VALUES ('man_tank_function', 'man_tank', 'function', 'varchar', 'Tank function');
INSERT INTO db_cat_table_x_column VALUES ('man_wjoin_length', 'man_wjoin', 'length', 'numeric', 'Length');
INSERT INTO db_cat_table_x_column VALUES ('node_label_rotation', 'node', 'label_rotation', 'numeric', 'Angle of rotation of the label');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_shutvalve_diam', 'man_tap', 'shutvalve_diam', 'numeric', 'Shutvalve diameter');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_irrigation_indicator', 'man_valve', 'irrigation_indicator', 'varchar', 'Interior irrigation indicator');
INSERT INTO db_cat_table_x_column VALUES ('man_fountain_connec_id', 'man_fountain', 'connec_id', 'varchar', 'Connec identifier related to the primary key of the connec table');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_label_y', 'temp_node', 'label_y', 'varchar', 'Y coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('man_reduction_node_id', 'man_reduction', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('config_buffer_value', 'config', 'buffer_value', 'float8', 'Half of a size of automaticly inserted polygon (double geometry)');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_arquitect_patrimony', 'man_tap', 'arquitect_patrimony', 'varchar', 'Architectural heritage');
INSERT INTO db_cat_table_x_column VALUES ('arc_label_y', 'arc', 'label_y', 'varchar', 'Y coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('man_manhole_add_info', 'man_manhole', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_label_rotation', 'temp_node', 'label_rotation', 'numeric', 'Angle of rotation of the label');
INSERT INTO db_cat_table_x_column VALUES ('man_source_add_info', 'man_source', 'add_info', 'varchar', 'Additional information about the feature');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_undelete', 'temp_arc', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_communication', 'man_tap', 'communication', 'varchar', 'Communication');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_regulator_situation', 'man_valve', 'regulator_situation', 'varchar', 'Situation of valve regulator');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_label_x', 'temp_arc', 'label_x', 'varchar', 'X coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('man_wjoin_connec_id', 'man_wjoin', 'connec_id', 'varchar', 'Connec identifier related to the primary key of the connec table');
INSERT INTO db_cat_table_x_column VALUES ('man_selector_state_id', 'man_selector_state', 'id', 'varchar', 'ID of value man selector state. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_connection', 'man_tap', 'connection', 'varchar', 'Connection type with the network');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_drain_diam', 'man_tap', 'drain_diam', 'numeric', 'Drain diameter');
INSERT INTO db_cat_table_x_column VALUES ('man_fountain_pump_number', 'man_fountain', 'pump_number', 'int4', 'Number of pumps');
INSERT INTO db_cat_table_x_column VALUES ('arc_label_rotation', 'arc', 'label_rotation', 'numeric', 'Angle of rotation of the label');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_drive_type', 'man_valve', 'drive_type', 'varchar', 'Valve drive type');
INSERT INTO db_cat_table_x_column VALUES ('sector_undelete', 'sector', 'undelete', 'bool', 'Blocks the deleting option');
INSERT INTO db_cat_table_x_column VALUES ('man_reduction_diam_initial', 'man_reduction', 'diam_initial', 'numeric', 'Initial diameter.');
INSERT INTO db_cat_table_x_column VALUES ('man_greentap_connec_id', 'man_greentap', 'connec_id', 'varchar', 'Connec identifier related to the primary key of the connec table');
INSERT INTO db_cat_table_x_column VALUES ('connec_label_rotation', 'connec', 'label_rotation', 'numeric', 'Angle of rotation of the label');
INSERT INTO db_cat_table_x_column VALUES ('man_wjoin_arc_id', 'man_wjoin', 'arc_id', 'varchar', 'Arc identifier related to the primary key of the arc table');
INSERT INTO db_cat_table_x_column VALUES ('man_tap_shutvalve_type', 'man_tap', 'shutvalve_type', 'varchar', 'Shutvalve diameter');
INSERT INTO db_cat_table_x_column VALUES ('man_valve_location', 'man_valve', 'location', 'varchar', 'Location of a valve');
INSERT INTO db_cat_table_x_column VALUES ('node_label_y', 'node', 'label_y', 'varchar', 'Y coordinate of the label''s location');
INSERT INTO db_cat_table_x_column VALUES ('rtc_options_id', 'rtc_options', 'id', 'Varchar(16)', 'Option identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_observ', 'config_py_tables', 'observ', 'varchar', 'Observation');
INSERT INTO db_cat_table_x_column VALUES ('config_param_bool_id', 'config_param_bool', 'id', 'varchar', 'Bool parameter identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_plugin_version', 'config_py_tables', 'plugin_version', 'varchar', 'Version of a plugin');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_type_observ', 'om_visit_parameter_type', 'observ', 'varchar', 'Observation');
INSERT INTO db_cat_table_x_column VALUES ('config_param_bool_descript', 'config_param_bool', 'descript', 'text', 'Float parameter description.');
INSERT INTO db_cat_table_x_column VALUES ('anl_selector_state_id', 'anl_selector_state', 'id', 'varchar', 'Selector state analysis identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_id', 'config_py_tables', 'id', 'int4', 'Py tables identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_float_id', 'config_param_float', 'id', 'varchar', 'Float parameter identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_float_descript', 'config_param_float', 'descript', 'text', 'Float parameter description.');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_observations', 'samplepoint', 'observations', 'varchar', 'Observation');
INSERT INTO db_cat_table_x_column VALUES ('config_param_text_descript', 'config_param_text', 'descript', 'text', 'Text parameter description.');
INSERT INTO db_cat_table_x_column VALUES ('ext_hydrometer_category_observ', 'ext_hydrometer_category', 'observ', 'varchar', 'Observation');
INSERT INTO db_cat_table_x_column VALUES ('config_param_text_id', 'config_param_text', 'id', 'varchar', 'Text parameter identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_int_descript', 'config_param_int', 'descript', 'text', 'Integer parameter description.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_int_id', 'config_param_int', 'id', 'varchar', 'Integer parameter identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_table_name', 'config_py_tables', 'table_name', 'varchar', 'Name of necessary table.');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_context', 'config_py_tables', 'context', 'varchar', 'Context where this table is showed');
INSERT INTO db_cat_table_x_column VALUES ('config_param_int_context', 'config_param_int', 'context', 'varchar', 'Context where this table is showed');
INSERT INTO db_cat_table_x_column VALUES ('config_param_float_context', 'config_param_float', 'context', 'varchar', 'Context where this table is showed');
INSERT INTO db_cat_table_x_column VALUES ('config_param_text_context', 'config_param_text', 'context', 'varchar', 'Context where this table is showed');
INSERT INTO db_cat_table_x_column VALUES ('config_param_int_to_version', 'config_param_int', 'to_version', 'varchar', 'Output plugin version');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_id', 'om_visit_event', 'id', 'int8', 'Event during visit identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_enddate', 'om_visit', 'enddate', 'timestamp', 'Visit end date');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_startdate', 'om_visit', 'startdate', 'timestamp', 'Visit start date.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_arc_arc_id', 'om_visit_x_arc', 'arc_id', 'varchar', 'Arc identifier');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_tstamp', 'om_visit_event', 'tstamp', 'timestamp', 'Event time and date.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_position_id', 'om_visit_event', 'position_id', 'varchar', 'Location of an event object');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_feature', 'om_visit_parameter', 'feature', 'varchar', 'Feature type to which is related the parameter');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_node_visit_id', 'om_visit_x_node', 'visit_id', 'int8', 'Identifier of a visit related to node');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_xcoord', 'om_visit_event', 'xcoord', 'numeric', 'X coordinate of the event');
INSERT INTO db_cat_table_x_column VALUES ('config_param_text_value', 'config_param_text', 'value', 'text', 'Parameter value');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_text', 'om_visit_event', 'text', 'text', 'Text.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_id', 'om_visit', 'id', 'int8', 'Visit identifier. Primary key');
INSERT INTO db_cat_table_x_column VALUES ('config_param_bool_from_version', 'config_param_bool', 'from_version', 'varchar', 'Input plugin version');
INSERT INTO db_cat_table_x_column VALUES ('config_param_bool_context', 'config_param_bool', 'context', 'varchar', 'Context where this table is showed');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_value_position_descript', 'om_visit_value_position', 'descript', 'varchar', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('inp_cat_mat_roughness_end_age', 'inp_cat_mat_roughness', 'end_age', 'int4', 'Material expiration date');
INSERT INTO db_cat_table_x_column VALUES ('config_param_text_to_version', 'config_param_text', 'to_version', 'varchar', 'Output plugin version');
INSERT INTO db_cat_table_x_column VALUES ('version_date', 'version', 'date', 'timestamp', 'Date of creation of the schema project');
INSERT INTO db_cat_table_x_column VALUES ('version_epsg', 'version', 'epsg', 'int4', 'EPSG of the project');
INSERT INTO db_cat_table_x_column VALUES ('version_language', 'version', 'language', 'varchar', 'Language version of plugin');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_connec_visit_id', 'om_visit_x_connec', 'visit_id', 'int8', 'Identifier of a visit related to connec');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_value_position_id', 'om_visit_value_position', 'id', 'varchar', 'Position value identifier.Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_int_value', 'config_param_int', 'value', 'int4', 'Parameter value');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_arc_id', 'om_visit_x_arc', 'id', 'int8', 'Visit on arc identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_float_to_version', 'config_param_float', 'to_version', 'varchar', 'Output plugin version');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_visit_id', 'om_visit_event', 'visit_id', 'int8', 'Identifier of a visit to which are related the events');
INSERT INTO db_cat_table_x_column VALUES ('inp_cat_mat_roughness_id', 'inp_cat_mat_roughness', 'id', 'varchar', 'Cat mat roughness identifier.');
INSERT INTO db_cat_table_x_column VALUES ('inp_cat_mat_roughness_descript', 'inp_cat_mat_roughness', 'descript', 'text', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('config_param_int_from_version', 'config_param_int', 'from_version', 'varchar', 'Input plugin version');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_connec_connec_id', 'om_visit_x_connec', 'connec_id', 'varchar', 'Connec identifier related to the primary key of the connec table');
INSERT INTO db_cat_table_x_column VALUES ('inp_cat_mat_roughness_roughness', 'inp_cat_mat_roughness', 'roughness', 'numeric', 'Roughness of the material.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_parameter_type', 'om_visit_parameter', 'parameter_type', 'varchar', 'Parameter type.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_data_type', 'om_visit_parameter', 'data_type', 'varchar', 'Data type.');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_hidden', 'config_py_tables', 'hidden', 'bool', 'Decides whether the table is visible for user');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_value', 'om_visit_event', 'value', 'text', 'Event value');
INSERT INTO db_cat_table_x_column VALUES ('pond_connec_id', 'pond', 'connec_id', 'varchar', 'Connec identifier related to the primary key of the connec table');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_id', 'om_visit_parameter', 'id', 'varchar', 'Visit parameter identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_parameter_id', 'om_visit_event', 'parameter_id', 'varchar', 'Parameter of event type');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_descript', 'om_visit_parameter', 'descript', 'varchar', 'Description.');
INSERT INTO db_cat_table_x_column VALUES ('inp_cat_mat_roughness_period_id', 'inp_cat_mat_roughness', 'period_id', 'varchar', 'Period identifier.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_node_id', 'om_visit_x_node', 'id', 'int8', 'Visit on node identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_user_name', 'om_visit', 'user_name', 'varchar', 'Name of a user conducting the visit');
INSERT INTO db_cat_table_x_column VALUES ('config_param_float_value', 'config_param_float', 'value', 'numeric', 'Parameter value');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_node_node_id', 'om_visit_x_node', 'node_id', 'varchar', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_parameter_type_id', 'om_visit_parameter_type', 'id', 'varchar', 'Visit parameter type identifier.Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_connec_id', 'om_visit_x_connec', 'id', 'int8', 'Visit on connec identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_float_from_version', 'config_param_float', 'from_version', 'varchar', 'Input plugin version');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_ycoord', 'om_visit_event', 'ycoord', 'numeric', 'Y coordinate of the event');
INSERT INTO db_cat_table_x_column VALUES ('inp_cat_mat_roughness_matcat_id', 'inp_cat_mat_roughness', 'matcat_id', 'varchar', 'Material catalog identifier.');
INSERT INTO db_cat_table_x_column VALUES ('config_param_bool_value', 'config_param_bool', 'value', 'bool', 'Parameter value');
INSERT INTO db_cat_table_x_column VALUES ('pool_connec_id', 'pool', 'connec_id', 'varchar', 'Connec identifier related to the primary key of the connec table');
INSERT INTO db_cat_table_x_column VALUES ('config_param_text_from_version', 'config_param_text', 'from_version', 'varchar', 'Input plugin version');
INSERT INTO db_cat_table_x_column VALUES ('config_param_bool_to_version', 'config_param_bool', 'to_version', 'varchar', 'Output plugin version');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_x_arc_visit_id', 'om_visit_x_arc', 'visit_id', 'int8', 'Identifier of a visit related to arc');
INSERT INTO db_cat_table_x_column VALUES ('pond_the_geom', 'pond', 'the_geom', 'geometry', 'Point geometry field');
INSERT INTO db_cat_table_x_column VALUES ('pond_pond_id', 'pond', 'pond_id', 'varchar', 'Pond identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('plan_selector_state_id', 'plan_selector_state', 'id', 'varchar', 'Masterplan state selector identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('pool_the_geom', 'pool', 'the_geom', 'geometry', 'Point geometry field');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_the_geom', 'samplepoint', 'the_geom', 'geometry', 'Point geometry field');
INSERT INTO db_cat_table_x_column VALUES ('pond_orto2005', 'pond', 'orto2005', 'int4', 'Ortofoto identifier.');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_workcat_id_end', 'samplepoint', 'workcat_id_end', 'varchar', 'ID of the  end of construction work.');
INSERT INTO db_cat_table_x_column VALUES ('temp_arc_workcat_id_end', 'temp_arc', 'workcat_id_end', 'varchar', 'ID of the  end of construction work.');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_workcat_id', 'samplepoint', 'workcat_id', 'varchar', 'ID of the construction work.');
INSERT INTO db_cat_table_x_column VALUES ('node_workcat_id_end', 'node', 'workcat_id_end', 'varchar', 'ID of the  end of construction work.');
INSERT INTO db_cat_table_x_column VALUES ('pool_pool_id', 'pool', 'pool_id', 'varchar', 'Pool identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('element_workcat_id_end', 'element', 'workcat_id_end', 'varchar', 'ID of the  end of construction work.');
INSERT INTO db_cat_table_x_column VALUES ('pool_code_comercial', 'pool', 'code_comercial', 'int4', 'Comercial code of join with network');
INSERT INTO db_cat_table_x_column VALUES ('arc_workcat_id_end', 'arc', 'workcat_id_end', 'varchar', 'ID of the  end of construction work.');
INSERT INTO db_cat_table_x_column VALUES ('temp_node_workcat_id_end', 'temp_node', 'workcat_id_end', 'varchar', 'ID of the  end of construction work.');
INSERT INTO db_cat_table_x_column VALUES ('pool_orto2005', 'pool', 'orto2005', 'int4', 'Ortofoto identifier.');
INSERT INTO db_cat_table_x_column VALUES ('connec_workcat_id_end', 'connec', 'workcat_id_end', 'varchar', 'ID of the  end of construction work.');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_street1', 'samplepoint', 'street1', 'varchar', 'Location - street 1');
INSERT INTO db_cat_table_x_column VALUES ('pond_code_comercial', 'pond', 'code_comercial', 'int4', 'Comercial code of join with network');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_street2', 'samplepoint', 'street2', 'varchar', 'Location - street 2');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_state', 'samplepoint', 'state', 'varchar', 'Domain value of samplepoint''s state.');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_code_lab', 'samplepoint', 'code_lab', 'int4', 'Sample point  code for laboratory');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_element_type', 'samplepoint', 'element_type', 'varchar', 'Type of the sample element');
INSERT INTO db_cat_table_x_column VALUES ('ext_hydrometer_category_id', 'ext_hydrometer_category', 'id', 'varchar', 'Hydrometer category identifier.primary key');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_sample_id', 'samplepoint', 'sample_id', 'varchar', 'Sample point identifier. Primary key.');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_rotation', 'samplepoint', 'rotation', 'numeric', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_element_code', 'samplepoint', 'element_code', 'int4', 'Code of sample element');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_cabinet', 'samplepoint', 'cabinet', 'varchar', 'Cabinet of the measurements equipment');
INSERT INTO db_cat_table_x_column VALUES ('cat_node_num_arcs', 'cat_node', 'num_arcs', 'int4', 'Number of arcs connected to node');
INSERT INTO db_cat_table_x_column VALUES ('samplepoint_dma_id2', 'samplepoint', 'dma_id2', 'varchar', 'Network to which is connected the samplepoint');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_event_azimut', 'om_visit_event', 'azimut', 'float8', 'Azimut hof the direction to which is directed the camera.');
INSERT INTO db_cat_table_x_column VALUES ('om_visit_value_position_feature', 'om_visit_value_position', 'feature', 'varchar', 'Feature type to which is related the position value');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_qgis_project', 'config_py_tables', 'qgis_project', 'bool', 'Confirmation of a correct QGIS Project');
INSERT INTO db_cat_table_x_column VALUES ('config_py_tables_db_schema', 'config_py_tables', 'db_schema', 'bool', 'Confirmation of correct schema name');
INSERT INTO db_cat_table_x_column VALUES ('inp_pump_to_arc', 'inp_pump', 'to_arc', 'varchar', 'This fields identifies the direction of the flow of the shortpipe, applied only for the case of check valves');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_qgis_layer_id', 'db_cat_clientlayer', 'qgis_layer_id', 'text', 'QGIS layer identifier.');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_db_cat_table_id', 'db_cat_clientlayer', 'db_cat_table_id', 'text', 'Identifier of a table in a database.');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_layer_alias', 'db_cat_clientlayer', 'layer_alias', 'text', 'Name of the layer appearing in the table of content (ToC).');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_client_id', 'db_cat_clientlayer', 'client_id', 'text', 'Client identifier.');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_description', 'db_cat_clientlayer', 'description', 'text', 'Description');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_pre_dependences', 'db_cat_clientlayer', 'pre_dependences', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_post_dependences', 'db_cat_clientlayer', 'post_dependences', 'text', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_db_cat_client_layer_agrupation_id', 'db_cat_clientlayer', 'db_cat_client_layer_agrupation_id', 'varchar(50)', NULL);
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_styleqml_use_asdefault', 'db_cat_clientlayer', 'styleqml_use_asdefault', 'bool', 'Existing of default layer style.');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_styleqml_file', 'db_cat_clientlayer', 'styleqml_file', 'text', 'Name of the qml style file');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_geometry_field', 'db_cat_clientlayer', 'geometry_field', 'text', 'Existing of the layer''s geometry field.');
INSERT INTO db_cat_table_x_column VALUES ('db_cat_clientlayer_project_criticity', 'db_cat_clientlayer', 'project_criticity', 'smallint', NULL);


INSERT INTO db_cat_clientlayer VALUES ('cat_mat_node20160224165702530', 'cat_mat_node', 'Node material catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_mat_arc20160224165702501', 'cat_mat_arc', 'Arc material catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_node20151105202206790', 'cat_node', 'Node catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_arc20151120192002466', 'cat_arc', 'Arc catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_cat_mat_roughness20170125134423557', 'inp_cat_mat_roughness', 'Roughness catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_connec20160216122620764', 'cat_connec', 'Connec catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_mat_element20160224165702516', 'cat_mat_element', 'Element material catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_element20160224165938446', 'cat_element', 'Element catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_owner20160224165938429', 'cat_owner', 'Owner catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_soil20151105202206837', 'cat_soil', 'Soil catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_pavement20170111155456255', 'cat_pavement', 'Pavement catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_work20160216122620842', 'cat_work', 'Work catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_builder20160216122620733', 'cat_builder', 'Builder catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_press_zone20161102113105729', 'cat_press_zone', 'Pressure zone catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('dma20151127113007431', 'dma', 'dma', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('sector20131125210050415', 'sector', 'Sector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_source20161013122934199', 'v_edit_man_source', 'Source', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_pump20161013122934263', 'v_edit_man_pump', 'Pump', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_meter20161013122934332', 'v_edit_man_meter', 'Meter', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_tank20161013122934167', 'v_edit_man_tank', 'Tank', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_hydrant20161018115132936', 'v_edit_man_hydrant', 'Hydrant', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_waterwell20161013122934060', 'v_edit_man_waterwell', 'Waterwell', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_manhole20161013122934364', 'v_edit_man_manhole', 'Manhole', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_reduction20161013122934231', 'v_edit_man_reduction', 'Reduction', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_filter20161230151428461', 'v_edit_man_filter', 'Filter', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_junction20161013122934395', 'v_edit_man_junction', 'Junction', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_valve20161013151918769', 'v_edit_man_valve', 'Valve', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_pipe20161229190341930', 'v_edit_man_pipe', 'Pipe', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_greentap20161013122934505', 'v_edit_man_greentap', 'Greentap', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_fountain20161013122934465', 'v_edit_man_fountain', 'Fountain', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_wjoin20161013122934004', 'v_edit_man_wjoin', 'Wjoin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_man_tap20161013122934127', 'v_edit_man_tap', 'Tap', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_link20160511142132204', 'v_edit_link', 'Link', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('vnode20160511142313906', 'vnode', 'Vnode', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('pond20161013123253626', 'pond', 'Pond', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('pool20161013123253592', 'pool', 'Pool', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('samplepoint20161013123414285', 'samplepoint', 'Sample point', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('element20160307155209904', 'element', 'Element', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('doc20160224202453130', 'doc', 'Document', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_arc_x_node20160720185112524', 'v_arc_x_node', 'Arc x node', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_arc_same_startend20160815183055491', 'anl_arc_same_startend', 'Arc same starend', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_node_duplicated20160815183055385', 'anl_node_duplicated', 'Node duplicated', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_node_orphan20160815183055277', 'anl_node_orphan', 'Node orphan', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_connec_duplicated20160815183054843', 'anl_connec_duplicated', 'Connec duplicated', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_geometrical_consistency20170111141552826', 'anl_geometrical_consistency', 'Geometrical consistency', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_topological_consistency20170111141552888', 'anl_topological_consistency', 'Topological consistency', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('man_selector_valve20170129122617904', 'man_selector_valve', 'Valve analytics selector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_anl_valve20170129125030650', 'v_edit_anl_valve', 'Valve analytics', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_selector_state20170129122617819', 'anl_selector_state', 'Analysis selector state', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_anl_node20170129122139526', 'v_anl_node', 'Analysis selected node', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_anl_arc20170129122139643', 'v_anl_arc', 'Analysis selected arc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_anl_connec20170129122139715', 'v_anl_connec', 'Analysis selected connec', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_mincut_valve20160701122604541', 'anl_mincut_valve', 'Mincut valve result', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_mincut_node20160528211138430', 'anl_mincut_node', 'Mincut  node result', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_mincut_arc20160528211138133', 'anl_mincut_arc', 'Mincut arc result', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_anl_mincut_connec20170103121209364', 'v_anl_mincut_connec', 'Mincut connec result', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('anl_mincut_polygon20160528211138352', 'anl_mincut_polygon', 'Mincut polygon result', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_anl_mincut_hydrometer20170129160432373', 'v_anl_mincut_hydrometer', 'Mincut hydrometer result', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_reservoir20160216121834469', 'v_edit_inp_reservoir', 'Reservoir', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_tank20160216121834484', 'v_edit_inp_tank', 'Tank', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_junction20160816002233161', 'v_edit_inp_junction', 'Junction', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_mixing20130813215615038', 'inp_mixing', 'Mixing', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_emitter20130813215614777', 'inp_emitter', 'Emitter', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_source20130813215615594', 'inp_source', 'Source', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_shortpipe20160308160821869', 'v_edit_inp_shortpipe', 'Shortpipe', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_valve20160307141348903', 'v_edit_inp_valve', 'Valve', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_pump20160307141348887', 'v_edit_inp_pump', 'Pump', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_inp_pipe20160216121834438', 'v_edit_inp_pipe', 'Pipe', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_controls20130813215614633', 'inp_controls', 'Controls', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_rules20130813215615549', 'inp_rules', 'Rules', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_curve_id20130813215614916', 'inp_curve_id', 'Curve catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_pattern20130813215615249', 'inp_pattern', 'Patterns', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_curve20130813215614676', 'inp_curve', 'Curve', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_options20160311114738171', 'inp_options', 'Options', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_times20160311114845261', 'inp_times', 'Times', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_report20160311114845292', 'inp_report', 'Report', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_project_id20160311114845323', 'inp_project_id', 'Project_id', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_quality20130813215615383', 'inp_quality', 'Quality', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_reactions_gl20130813215615454', 'inp_reactions_gl', 'Global reactions', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_reactions_el20130813215615426', 'inp_reactions_el', 'Single reactions', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_energy_gl20130813215614719', 'inp_energy_gl', 'Global energy', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_energy_el20130813215614758', 'inp_energy_el', 'Single energy', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_tags20130813215615648', 'inp_tags', 'Tags', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_label20130813215614969', 'inp_label', 'Labels', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_selector_sector20160512064351071', 'inp_selector_sector', 'EPA selector sector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_selector_state20160512064351008', 'inp_selector_state', 'EPA selector state', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_inp_node20170129135501013', 'v_inp_node', 'EPA selected node', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_inp_arc20170129135500933', 'v_inp_arc', 'EPA selected arc', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('rpt_cat_result20160224175020405', 'rpt_cat_result', 'Result catalog', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('rpt_selector_result20160512064350962', 'rpt_selector_result', 'Result selector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('rpt_selector_compare20160714130621986', 'rpt_selector_compare', 'Result compare selector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('Node_maximum_values_copiar20161230134403949', 'v_rpt_node', 'Node minimum values', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('Node_minimum_values_copiar20131203150948351', 'v_rpt_node', 'Node maximum values', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('Arc_minimum_values_copiar20131203151650523', 'v_rpt_arc', 'Arc maximum values', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('rpt_energy_usage20160307141641208', 'rpt_energy_usage', 'Energy usage', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_hydraulic_status20131203141738132', 'v_rpt_hydraulic_status', 'Hydraulic status', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_node20160710012004695', 'v_rpt_comp_node', 'Node minimum values compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_node_copiar20161230144859228', 'v_rpt_comp_node', 'Node maximum values compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_arc20160710012004554', 'v_rpt_comp_arc', 'Arc maximum values compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_energy_usage20160710012004617', 'v_rpt_comp_energy_usage', 'Energy usage compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rpt_comp_hydraulic_status20160710012004648', 'v_rpt_comp_hydraulic_status', 'Hydraulic status compare', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('om_visit_parameter_type20170129155122141', 'om_visit_parameter_type', 'Visit parameter type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('om_visit_parameter20170129155121963', 'om_visit_parameter', 'Visit parameter', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('om_visit_event20170129155122312', 'om_visit_event', 'Event', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('om_visit20170129155122219', 'om_visit', 'Visit', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('price_simple20160710012152046', 'price_simple', 'Simple price', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('price_compost20160710012151953', 'price_compost', 'Compost price', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('price_compost_value20160710012151999', 'price_compost_value', 'Value compost price', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_arc_x_pavement20160710012151609', 'plan_arc_x_pavement', 'Arc x pavement', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_selector_economic20160710012151828', 'plan_selector_state', 'Asset selector state', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_node20170111140235521', 'v_plan_node', 'Asset node value', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_ml_arc20170111140235412', 'v_plan_ml_arc', 'Asset arc detail value', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_arc20170111140235224', 'v_plan_arc', 'Asset arc total value', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_psector20160710012151734', 'plan_psector', 'Plan psector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_node_x_psector20160710012151687', 'plan_node_x_psector', 'Node x Plan psector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_arc_x_psector20160710012151640', 'plan_arc_x_psector', 'Arc x Plan psector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_other_x_psector20160710012151781', 'plan_other_x_psector', 'Other prices x Plan psector', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_other_x_psector20170111135938854', 'v_plan_other_x_psector', 'Other prices x Plan psector cost', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_node_x_psector20170111135939073', 'v_plan_node_x_psector', 'Node x Plan psector cost', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_arc_x_psector20170111135938916', 'v_plan_arc_x_psector', 'Arc x Plan psector cost', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_psector20170111135939151', 'v_plan_psector', 'Plan psector cost', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_giswater_config20160716122031276', 'inp_giswater_config', 'Project config', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_node_type20160216123450264', 'inp_node_type', 'EPA node type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_arc_type20160216123450249', 'inp_arc_type', 'EPA arc type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_status_pipe20160315232106451', 'inp_value_status_pipe', 'inp_value_status_pipe', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_status_pump20160315232106482', 'inp_value_status_pump', 'inp_value_status_pump', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_status_valve20160315232106513', 'inp_value_status_valve', 'inp_value_status_valve', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_energy20130820191532221', 'inp_typevalue_energy', 'Inp_typevalue_energy', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_pump20130820191532119', 'inp_typevalue_pump', 'Inp_typevalue_pump', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_reactions_gl20130820191532066', 'inp_typevalue_reactions_gl', 'Inp_typevalue_reactions_gl', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_source20130820191532007', 'inp_typevalue_source', 'Inp_typevalue_source', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_typevalue_valve20130821012434840', 'inp_typevalue_valve', 'Inp_typevalue_valve', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_ampm20130820191531964', 'inp_value_ampm', 'Inp_value_ampm', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_curve20131125203728568', 'inp_value_curve', 'inp_value_curve', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_mixing20130820191531874', 'inp_value_mixing', 'Inp_value_mixing', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_noneall20130820191531819', 'inp_value_noneall', 'Inp_value_noneall', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_param_energy20130820191531503', 'inp_value_param_energy', 'Inp_value_param_energy', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_reactions_el20130820191531445', 'inp_value_reactions_el', 'Inp_value_reactions_el', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_reactions_gl20130820191531375', 'inp_value_reactions_gl', 'Inp_value_reactions_gl', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_times20130820191531149', 'inp_value_times', 'Inp_value_times', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_yesno20130820191531037', 'inp_value_yesno', 'Inp_value_yesno', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('inp_value_yesnofull20130820191530965', 'inp_value_yesnofull', 'Inp_value_yesnofull', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_psector_arc20170111135939604', 'v_plan_psector_arc', 'Cost MPS x Arc (file)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_psector_node20170111135939463', 'v_plan_psector_node', 'Cost MPS x Node (file)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_psector_other20170111135939526', 'v_plan_psector_other', 'Cost MPS x Other (file)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_plan_psector_filtered20170111135939338', 'v_plan_psector_filtered', 'Cost MPS x Filtered (file)', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('om_visit_value_position20170129155122054', 'om_visit_value_position', 'om_visit_value_position', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('cat_tag20160315224815765', 'cat_tag', 'Tag value', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_type_street20160528211228206', 'ext_type_street', 'ext_type_street', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_value_cat_connec20161229103441226', 'v_value_cat_connec', 'v_value_cat_connec', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_value_cat_node20161228185236568', 'v_value_cat_node', 'v_value_cat_node', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('price_value_unit20160710014513523', 'price_value_unit', 'price_value_unit', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('plan_value_ps_priority20160710012151921', 'plan_value_ps_priority', 'plan_value_ps_priority', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('rtc_value_opti_coef20160703035845217', 'rtc_value_opti_coef', 'rtc_value_opti_coef', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('rtc_value_opti_status20160703035845248', 'rtc_value_opti_status', 'rtc_value_opti_status', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('man_type_location20160216123701838', 'man_type_location', 'man_type_location', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('man_type_category20160216123701822', 'man_type_category', 'man_type_category', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('man_type_fluid20160216123701853', 'man_type_fluid', 'man_type_fluid', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('value_state20160216123517266', 'value_state', 'value_state', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('value_verified20160216164517266', 'value_verified', 'value_verified', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('man_selector_state20170129155121870', 'man_selector_state', 'Man selector state', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('version20160224170934197', 'version', 'Project version', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('node_type20151120182614953', 'node_type', 'Node type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('connec_type20160403202107384', 'connec_type', 'Connec type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('arc_type20151120180544344', 'arc_type', 'Arc type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('doc_type20160224202453147', 'doc_type', 'Doc type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('element_type20160224171001597', 'element_type', 'Element type', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('rtc_options20160703031340750', 'rtc_options', 'RTC Options', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_rtc_scada_x_value20160528211227612', 'ext_rtc_scada_x_value', 'ext_rtc_scada_x_value', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_rtc_scada_x_data20160528211227674', 'ext_rtc_scada_x_data', 'ext_rtc_scada_x_data', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_rtc_scada20160528211227737', 'ext_rtc_scada', 'ext_rtc_scada', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_rtc_hydrometer_x_value20160528211227799', 'ext_rtc_hydrometer_x_value', 'ext_rtc_hydrometer_x_value', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_rtc_hydrometer_x_data20160528211227878', 'ext_rtc_hydrometer_x_data', 'ext_rtc_hydrometer_x_data', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_rtc_hydrometer20160528211227971', 'ext_rtc_hydrometer', 'ext_rtc_hydrometer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rtc_hydrometer20160914230201585', 'v_rtc_hydrometer', 'Hydrometer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_edit_rtc_hydro_data_x_connec20160914230201364', 'v_edit_rtc_hydro_data_x_connec', 'Hydrometer data', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('rtc_scada_node20160216123813688', 'rtc_scada_node', 'Scada_x_node', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('rtc_hydrometer_x_connec20160216123813609', 'rtc_hydrometer_x_connec', 'Hydrometer_x_connec', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_cat_period20160703033754677', 'ext_cat_period', 'Cat period', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_cat_hydrometer20160703033754739', 'ext_cat_hydrometer', 'Cat hydrometer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_cat_scada20160703033754786', 'ext_cat_scada', 'Cat scada', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_rtc_dma_parameter_period20160703033932092', 'v_rtc_dma_parameter_period', 'DMA parameters', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('v_inp_demand20160703031307603', 'v_inp_demand', 'RTC Demands', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('db_cat_table_x_column20170131105415465', 'db_cat_table_x_column', 'db_cat_table_x_column', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('db_cat_clientlayer20160815182750661', 'db_cat_clientlayer', 'db_cat_clientlayer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('db_cat_table20160815182750908', 'db_cat_table', 'db_cat_table', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_streetaxis20160528211138508', 'ext_streetaxis', 'Streetaxis', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO db_cat_clientlayer VALUES ('ext_urban_propierties20160528211138587', 'ext_urban_propierties', 'Urban propierties', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);