/*
This file is part of Giswater 2.0
The program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This version of Giswater is provided by Giswater Association
*/


SET search_path = "SCHEMA_NAME", public, pg_catalog;




INSERT INTO db_cat_table VALUES (2010, 'anl_flow_trace_arc', 'ud&sew', 'Analysis', NULL, 'Table with the result offlow trace (downstream arcs)');
INSERT INTO db_cat_table VALUES (2020, 'inp_node_x_sector', NULL, 'Hydraulic input data', NULL, 'Contains the information about the nodes related to sector.');
INSERT INTO db_cat_table VALUES (10, 'ext_type_street', 'ud&sew', 'external table', NULL, 'Catalog of street types.');
INSERT INTO db_cat_table VALUES (20, 'ext_streetaxis', 'ud&sew', 'external table', NULL, 'Table of streetaxis.');
INSERT INTO db_cat_table VALUES (30, 'ext_urban_propierties', 'ud&sew', 'external table', NULL, 'Table of urban properties');
INSERT INTO db_cat_table VALUES (40, 'arc_type', 'ud&sew', 'system struture', NULL, 'Contains the types of arcs.');
INSERT INTO db_cat_table VALUES (50, 'node_type', 'ud&sew', 'system struture', NULL, 'Contains the types of nodes.');
INSERT INTO db_cat_table VALUES (60, 'element_type', 'ud&sew', 'system struture', NULL, 'Contains the types of elements.');
INSERT INTO db_cat_table VALUES (70, 'cat_mat_arc', 'ud&sew', 'catalog', NULL, 'Catalog of arc''s material.');
INSERT INTO db_cat_table VALUES (80, 'cat_mat_node', 'ud&sew', 'catalog', NULL, 'Catalog of node''s material.');
INSERT INTO db_cat_table VALUES (100, 'cat_node', 'ud&sew', 'catalog', NULL, 'Catalog of nodes.');
INSERT INTO db_cat_table VALUES (110, 'cat_mat_element', 'ud&sew', 'catalog', NULL, 'Catalog of element''s material.');
INSERT INTO db_cat_table VALUES (90, 'cat_arc', 'ud&sew', 'catalog', NULL, 'Table with arc catalog data. Your project need minimun at once. This table could be edited trough giswater control panel:Â Giswater ? Data ? Arc catalog');
INSERT INTO db_cat_table VALUES (120, 'cat_element', 'ud&sew', 'catalog', NULL, 'Catalog of elements.');
INSERT INTO db_cat_table VALUES (130, 'cat_connec', 'sew', 'catalog', NULL, 'Catalog of connections.');
INSERT INTO db_cat_table VALUES (140, 'cat_grate', 'ud', 'catalog', NULL, 'Catalog of grates.');
INSERT INTO db_cat_table VALUES (150, 'cat_soil', 'ud&sew', 'catalog', NULL, 'Catalog of soils.');
INSERT INTO db_cat_table VALUES (160, 'cat_builder', 'ud&sew', 'catalog', NULL, 'Catalog of constructors');
INSERT INTO db_cat_table VALUES (170, 'cat_work', 'ud&sew', 'catalog', NULL, 'Catalog of constructions');
INSERT INTO db_cat_table VALUES (180, 'cat_owner', 'ud&sew', 'catalog', NULL, 'Catalog of owners.');
INSERT INTO db_cat_table VALUES (190, 'cat_pavement', NULL, 'catalog', NULL, 'Catalog of pavements.');
INSERT INTO db_cat_table VALUES (200, 'man_type_category', 'ud&sew', 'value domain (type)', NULL, 'Domain data of types of management');
INSERT INTO db_cat_table VALUES (210, 'man_type_fluid', 'ud&sew', 'value domain (type)', NULL, 'Domain data of types of fluid management');
INSERT INTO db_cat_table VALUES (220, 'man_type_location', 'ud&sew', 'value domain (type)', NULL, 'Domain data of types of location management');
INSERT INTO db_cat_table VALUES (230, 'man_type_street', NULL, 'value domain (type)', NULL, 'Domain data of types of street type management');
INSERT INTO db_cat_table VALUES (240, 'connec_type', 'ud&sew', 'value domain (type)', NULL, 'Domain data of connect type.');
INSERT INTO db_cat_table VALUES (250, 'sector', 'ud&sew', 'GIS feature', NULL, 'Table of spatial objects representing sectors.');
INSERT INTO db_cat_table VALUES (260, 'node', 'ud&sew', 'GIS feature', NULL, 'Table of spatial objects representing nodes.');
INSERT INTO db_cat_table VALUES (270, 'arc', 'ud&sew', 'GIS feature', NULL, 'Table of spatial objects representing arcs.');
INSERT INTO db_cat_table VALUES (280, 'polygon', 'ud&sew', 'GIS feature', NULL, 'Table of spatial objects representing polygons.');
INSERT INTO db_cat_table VALUES (290, 'dma', 'ud&sew', 'GIS feature', NULL, 'Table of spatial objects representing delimitation of management areas.');
INSERT INTO db_cat_table VALUES (300, 'connec', 'sew', 'GIS feature', NULL, 'Table of spatial objects representing connects.');
INSERT INTO db_cat_table VALUES (310, 'vnode', 'ud&sew', 'GIS feature', NULL, 'Table of spatial objects representing vnode.');
INSERT INTO db_cat_table VALUES (320, 'link', 'ud&sew', 'GIS feature', NULL, 'Table of spatial objects representing links.');
INSERT INTO db_cat_table VALUES (330, 'gully', 'ud', 'GIS feature', NULL, 'Table of spatial objects representing gullies.');
INSERT INTO db_cat_table VALUES (340, 'man_junction', 'ud&sew', 'Additional info of GIS feature', NULL, 'Additional information for junction management');
INSERT INTO db_cat_table VALUES (350, 'man_storage', 'ud&sew', 'Additional info of GIS feature', NULL, 'Additional information for storage management');
INSERT INTO db_cat_table VALUES (360, 'man_outfall', 'ud&sew', 'Additional info of GIS feature', NULL, 'Additional information for outfall management');
INSERT INTO db_cat_table VALUES (380, 'man_conduit', 'ud&sew', 'Additional info of GIS feature', NULL, 'Additional information for conduit management');
INSERT INTO db_cat_table VALUES (400, 'element_x_node', 'ud&sew', 'Element', NULL, 'Contains the elements related to nodes');
INSERT INTO db_cat_table VALUES (410, 'element_x_connec', 'sew', 'Element', NULL, 'Contains the elements related to connects');
INSERT INTO db_cat_table VALUES (420, 'element_x_gully', 'ud', 'Element', NULL, 'Contains the elements related to gullies');
INSERT INTO db_cat_table VALUES (430, 'value_state', 'ud&sew', 'value domain', NULL, 'Domain data with value describing the state');
INSERT INTO db_cat_table VALUES (440, 'value_verified', 'ud&sew', 'value domain', NULL, 'Domain data with value describing the verification status.');
INSERT INTO db_cat_table VALUES (450, 'value_yesno', 'ud&sew', 'value domain', NULL, 'Domain data with value yes/no');
INSERT INTO db_cat_table VALUES (460, 'inp_selector_hydrology', 'ud&sew', 'Selector', NULL, 'Selector of hydrology.');
INSERT INTO db_cat_table VALUES (470, 'cat_hydrology', 'ud&sew', 'CatÃ¡logo', NULL, 'Catalog of hydrology.');
INSERT INTO db_cat_table VALUES (480, 'inp_adjustments', 'ud&sew', 'Hydraulic input data', NULL, 'Adjustments are +- changes to temperature and evaporation or multipliers for rainfall that can vary month of the year');
INSERT INTO db_cat_table VALUES (490, 'inp_aquifer', 'ud&sew', 'Hydraulic input data', NULL, 'Supplies parameters for each unconfined groundwater aquifer in the study area. Aquifers consist of two zones â a lower saturated zone and an upper unsaturated zone.');
INSERT INTO db_cat_table VALUES (500, 'inp_backdrop', 'ud&sew', 'Hydraulic input data', NULL, 'Contains the information about system plan and its dimensions');
INSERT INTO db_cat_table VALUES (510, 'inp_buildup_land_x_pol', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies the rate at which pollutants build up over different land uses between rain events.');
INSERT INTO db_cat_table VALUES (520, 'inp_conduit', 'ud&sew', 'Hydraulic input data', NULL, 'Identifies each conduit link of the drainage system. Conduits are pipes or channels that convey water from one node to another.');
INSERT INTO db_cat_table VALUES (530, 'inp_controls', 'ud&sew', 'Hydraulic input data', NULL, 'Determines how pumps and regulators will be adjusted based on simulation time or conditions at specific nodes and links.');
INSERT INTO db_cat_table VALUES (540, 'inp_coverage_land_x_subc', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies the percentage of a subcatchmentâs area that is covered by each category of land use.');
INSERT INTO db_cat_table VALUES (550, 'inp_curve', 'ud&sew', 'Hydraulic input data', NULL, 'Contains the information about curve definitions');
INSERT INTO db_cat_table VALUES (560, 'inp_curve_id', 'ud&sew', 'Hydraulic input data', NULL, 'Curve catalog. This table could be edited through giswater control panel: Giswater ? Data ? Curves');
INSERT INTO db_cat_table VALUES (570, 'inp_divider', 'ud&sew', 'Hydraulic input data', NULL, 'Identifies each flow divider node of the drainage system. Flow dividers are junctions with exactly two outflow conduits where the total outflow is divided between the two in a prescribed manner.');
INSERT INTO db_cat_table VALUES (580, 'inp_dwf', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies dry weather flow and its quality entering the drainage system at specific nodes.');
INSERT INTO db_cat_table VALUES (590, 'inp_dwf_pol_x_node', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies pollutant inflow to drainage system at specific nodes.');
INSERT INTO db_cat_table VALUES (600, 'inp_evaporation', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies how daily evaporation rates vary with time for the study area.');
INSERT INTO db_cat_table VALUES (610, 'inp_files', 'ud&sew', 'Hydraulic input data', NULL, 'Contains the information about work files of SWMM');
INSERT INTO db_cat_table VALUES (620, 'inp_groundwater', 'ud&sew', 'Hydraulic input data', NULL, 'Supplies parameters that determine the rate of groundwater flow between the aquifer underneath a subcatchment and a node of the conveyance system.');
INSERT INTO db_cat_table VALUES (630, 'inp_hydrograph', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies the shapes of the triangular unit hydrographs that determine the amount of rainfall-dependent infiltration/inflow (RDII) entering the drainage system.');
INSERT INTO db_cat_table VALUES (640, 'inp_inflows', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies external hydrographs and pollutographs that enter the drainage system at specific nodes.');
INSERT INTO db_cat_table VALUES (650, 'inp_inflows_pol_x_node', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies external hydrographs and pollutographs that enter the drainage system at specific nodes.');
INSERT INTO db_cat_table VALUES (660, 'inp_junction', 'ud&sew', 'Hydraulic input data', NULL, 'Nodes with conection type');
INSERT INTO db_cat_table VALUES (670, 'inp_label', 'ud&sew', 'Hydraulic input data', NULL, 'Contains the information about labels');
INSERT INTO db_cat_table VALUES (680, 'inp_landuses', 'ud&sew', 'Hydraulic input data', NULL, 'Identifies the various categories of land uses within the drainage area. Each subcatchment area can be assigned a different mix of land uses. Each land use can be subjected to a different street sweeping schedule.');
INSERT INTO db_cat_table VALUES (690, 'inp_lid_control', 'ud&sew', 'Hydraulic input data', NULL, 'Defines scale-independent LID controls that can be deployed within subcatchments.');
INSERT INTO db_cat_table VALUES (700, 'inp_lidusage_subc_x_lidco', 'ud&sew', 'Hydraulic input data', NULL, 'Deploys LID controls within specific subcatchment areas.');
INSERT INTO db_cat_table VALUES (710, 'inp_loadings_pol_x_subc', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies the pollutant buildup that exists on each subcatchment at the start of a simulation.');
INSERT INTO db_cat_table VALUES (720, 'inp_mapdim', 'ud&sew', 'Hydraulic input data', NULL, 'Contains the information about the map dimensions');
INSERT INTO db_cat_table VALUES (730, 'inp_mapunits', 'ud&sew', 'Hydraulic input data', NULL, 'Contains the information about map units');
INSERT INTO db_cat_table VALUES (740, 'inp_options', 'ud&sew', 'Hydraulic input data', NULL, 'Contains the general information about the simulacion options');
INSERT INTO db_cat_table VALUES (750, 'inp_orifice', 'ud&sew', 'Hydraulic input data', NULL, 'Identifies each orifice link of the drainage system. An orifice link serves to limit the flow exiting a node and is often used to model flow diversions.');
INSERT INTO db_cat_table VALUES (760, 'inp_outfall', 'ud&sew', 'Hydraulic input data', NULL, 'Identifies each outfall node (i.e., final downstream boundary) of the drainage system and the corresponding water stage elevation. Only one link can be incident on an outfall node.');
INSERT INTO db_cat_table VALUES (770, 'inp_outlet', 'ud&sew', 'Hydraulic input data', NULL, 'Identifies each outlet flow control device of the drainage system. These devices are used to model outflows from storage units or flow diversions that have a user-defined relation between flow rate and water depth.');
INSERT INTO db_cat_table VALUES (780, 'inp_pattern', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies time pattern of dry weather flow or quality in the form of adjustment factors applied as multipliers to baseline values. This table could be edited trough giswater control panel:Â Giswater ? Data ? Patterns');
INSERT INTO db_cat_table VALUES (790, 'inp_pollutant', 'ud&sew', 'Hydraulic input data', NULL, 'Identifies the pollutants being analyzed.');
INSERT INTO db_cat_table VALUES (800, 'inp_project_id', 'ud&sew', 'Project ID', NULL, 'Contains the general information about the project.');
INSERT INTO db_cat_table VALUES (810, 'inp_pump', 'ud&sew', 'Hydraulic input data', NULL, 'Identifies each pump link of the drainage system.');
INSERT INTO db_cat_table VALUES (820, 'inp_rdii', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies the parameters that describe rainfall-dependent infiltration/inflow (RDII) entering the drainage system at specific nodes.');
INSERT INTO db_cat_table VALUES (830, 'inp_report', 'ud&sew', 'Hydraulic input data', NULL, 'Contains the information about output simulation report');
INSERT INTO db_cat_table VALUES (840, 'inp_snowmelt', 'ud&sew', 'Hydraulic input data', NULL, 'Snowmelt parameters are climatic variables that apply across the entire study area when simulating snowfall and snowmelt.');
INSERT INTO db_cat_table VALUES (850, 'inp_snowpack', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies parameters that govern how snowfall accumulates and melts on the plowable, impervious and pervious surfaces of subcatchments.');
INSERT INTO db_cat_table VALUES (860, 'inp_storage', 'ud&sew', 'Hydraulic input data', NULL, 'Identifies each storage node of the drainage system. Storage nodes can have any shape as specified by a surface area versus water depth relation.');
INSERT INTO db_cat_table VALUES (870, 'inp_temperature', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies daily air temperatures, monthly wind speed, and various snowmelt parameters for the study area. Required only when snowmelt is being modeled or when evaporation rates are computed from daily temperatures or are read from an external climate file.');
INSERT INTO db_cat_table VALUES (880, 'inp_timeseries', 'ud&sew', 'Hydraulic input data', NULL, 'Table relative to timeseries values. This table could be edited trough giswater control panel:Â Giswater ? Data ? Timeseries');
INSERT INTO db_cat_table VALUES (890, 'inp_timser_id', 'ud&sew', 'Hydraulic input data', NULL, 'Timeseries catalog. This table could be edited trough giswater control panel:Â Giswater ? Data ? Timeseries');
INSERT INTO db_cat_table VALUES (900, 'inp_transects', 'ud&sew', 'Hydraulic input data', NULL, 'Describes the cross-section geometry of natural channels or conduits with irregular shapes following the HEC-2 data format.');
INSERT INTO db_cat_table VALUES (910, 'inp_treatment_node_x_pol', 'ud&sew', 'Hydraulic input data', NULL, 'Specifies the degree of treatment received by pollutants at specific nodes of the drainage system.');
INSERT INTO db_cat_table VALUES (920, 'inp_arc_type', 'ud&sew', 'value domain (type) of hydraulic data', NULL, 'Value domain data with arc''s geometry');
INSERT INTO db_cat_table VALUES (930, 'inp_node_type', 'ud&sew', 'value domain (type) of hydraulic data', NULL, 'Value domain data with node''s geometry');
INSERT INTO db_cat_table VALUES (940, 'inp_giswater_config', 'ud&sew', 'system struture', NULL, 'Configuration table with the goal to integrate the Giswater java tool with the Giswater python plugin');
INSERT INTO db_cat_table VALUES (950, 'inp_typevalue_divider', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with divider type');
INSERT INTO db_cat_table VALUES (960, 'inp_typevalue_evap', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with evaporation type');
INSERT INTO db_cat_table VALUES (970, 'inp_typevalue_orifice', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with orifice type');
INSERT INTO db_cat_table VALUES (980, 'inp_typevalue_outfall', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with boundary conditions of outfall');
INSERT INTO db_cat_table VALUES (990, 'inp_typevalue_outlet', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with outlet values');
INSERT INTO db_cat_table VALUES (1000, 'inp_typevalue_pattern', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with weather patterns');
INSERT INTO db_cat_table VALUES (1010, 'inp_typevalue_raingage', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with rain data source type');
INSERT INTO db_cat_table VALUES (1020, 'inp_typevalue_storage', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with data source which describes the geometry');
INSERT INTO db_cat_table VALUES (1030, 'inp_typevalue_temp', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with temperature data source type');
INSERT INTO db_cat_table VALUES (1040, 'inp_typevalue_timeseries', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with time serie data source type');
INSERT INTO db_cat_table VALUES (1050, 'inp_typevalue_windsp', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with wind data source type');
INSERT INTO db_cat_table VALUES (1060, 'inp_value_allnone', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with value none/all');
INSERT INTO db_cat_table VALUES (1070, 'inp_value_buildup', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with function type available for acumulation of pollutants');
INSERT INTO db_cat_table VALUES (1080, 'inp_value_catarc', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with catalog of conduit type');
INSERT INTO db_cat_table VALUES (1090, 'inp_value_curve', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with catalog of curve type');
INSERT INTO db_cat_table VALUES (1100, 'inp_value_files_actio', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with file action');
INSERT INTO db_cat_table VALUES (1110, 'inp_value_files_type', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with file type');
INSERT INTO db_cat_table VALUES (1120, 'inp_value_inflows', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with different data inflow values');
INSERT INTO db_cat_table VALUES (1130, 'inp_value_lidcontrol', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with lidcontrol type');
INSERT INTO db_cat_table VALUES (1140, 'inp_value_mapunits', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with map units');
INSERT INTO db_cat_table VALUES (1150, 'inp_value_options_fme', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with option table, field force main equation. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES (1160, 'inp_value_options_fr', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with option table, field flow routing. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES (1170, 'inp_value_options_fu', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with option table, flow measurement units. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES (1180, 'inp_value_options_id', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with option table, inertial damping. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES (1190, 'inp_value_options_in', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with option table, infiltration options. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES (1200, 'inp_value_options_lo', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with option table, options. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES (1210, 'inp_value_options_nfl', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with option table, limited normal flow. See appendix "C" of SWMM user''s manual (target OPTIONS) for more information');
INSERT INTO db_cat_table VALUES (1220, 'inp_value_orifice', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with orifice geometry type. See appendix "C" of SWMM user''s manual for more information');
INSERT INTO db_cat_table VALUES (1230, 'inp_value_pollutants', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with pollutant type');
INSERT INTO db_cat_table VALUES (1240, 'inp_value_raingage', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with rain data format');
INSERT INTO db_cat_table VALUES (1250, 'inp_value_routeto', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with direction types of the flow in the subcatchment');
INSERT INTO db_cat_table VALUES (1260, 'inp_value_status', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with initial state of element');
INSERT INTO db_cat_table VALUES (1270, 'inp_value_timserid', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with time serie type');
INSERT INTO db_cat_table VALUES (1280, 'inp_value_treatment', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with deposits treatment type');
INSERT INTO db_cat_table VALUES (1290, 'inp_value_washoff', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with washoff values.');
INSERT INTO db_cat_table VALUES (1300, 'inp_value_weirs', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with weir geometry type');
INSERT INTO db_cat_table VALUES (1310, 'inp_value_yesno', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Value domain data with value yes/no');
INSERT INTO db_cat_table VALUES (1320, 'inp_washoff_land_x_pol', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Specifies the rate at which pollutants are washed off from different land uses during rain events.');
INSERT INTO db_cat_table VALUES (1330, 'inp_weir', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Identifies each weir link of the drainage system. Weirs are used to model flow diversions.');
INSERT INTO db_cat_table VALUES (1340, 'inp_windspeed', 'ud&sew', 'value domain (value) of hidraulic input data', NULL, 'Windspeed data.');
INSERT INTO db_cat_table VALUES (1350, 'raingage', 'ud', 'GIS feature', NULL, 'Identifies each rain gage that provides rainfall data for the study area.');
INSERT INTO db_cat_table VALUES (1360, 'rpt_selector_result', 'ud&sew', 'Selector', NULL, 'Result''s sectors');
INSERT INTO db_cat_table VALUES (1370, 'rpt_arcflow_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of arc flow simulations.');
INSERT INTO db_cat_table VALUES (1380, 'rpt_arcpolload_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of arc pollutant load simulations.');
INSERT INTO db_cat_table VALUES (1390, 'rpt_condsurcharge_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of conduit surcharge simulations.');
INSERT INTO db_cat_table VALUES (1400, 'rpt_continuity_errors', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of continuity errors simulations.');
INSERT INTO db_cat_table VALUES (1410, 'rpt_critical_elements', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of critical elements simulations analysis');
INSERT INTO db_cat_table VALUES (1420, 'rpt_flowclass_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of flow classification simulations.');
INSERT INTO db_cat_table VALUES (1430, 'rpt_flowrouting_cont', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of flow routing continuity simulations.');
INSERT INTO db_cat_table VALUES (1440, 'rpt_groundwater_cont', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of groundwater continuity simulations');
INSERT INTO db_cat_table VALUES (1450, 'rpt_high_conterrors', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of high continuity errors simulations.');
INSERT INTO db_cat_table VALUES (1460, 'rpt_high_flowinest_ind', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of high flow instability index simulations.');
INSERT INTO db_cat_table VALUES (1470, 'rpt_instability_index', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of instability index simulations.');
INSERT INTO db_cat_table VALUES (1480, 'rpt_lidperformance_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of LID performance simulations.');
INSERT INTO db_cat_table VALUES (1490, 'rpt_nodedepth_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of depth of nodes');
INSERT INTO db_cat_table VALUES (1500, 'rpt_nodeflooding_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of flooded nodes');
INSERT INTO db_cat_table VALUES (1510, 'rpt_nodeinflow_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the inflow value of nodes');
INSERT INTO db_cat_table VALUES (1520, 'rpt_nodesurcharge_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the surcharge value of nodes');
INSERT INTO db_cat_table VALUES (1530, 'rpt_outfallflow_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of outfall flow simulations.');
INSERT INTO db_cat_table VALUES (1540, 'rpt_outfallload_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of outfall load simulations.');
INSERT INTO db_cat_table VALUES (1550, 'rpt_pumping_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of pumping summary simulations.');
INSERT INTO db_cat_table VALUES (1560, 'rpt_qualrouting_cont', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of quality routing continuity simulations.');
INSERT INTO db_cat_table VALUES (1570, 'rpt_rainfall_dep', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of rainfall dependent simulations.');
INSERT INTO db_cat_table VALUES (1580, 'rpt_cat_result', 'ud&sew', 'Hydraulic result data', NULL, 'Result''s catalog');
INSERT INTO db_cat_table VALUES (1590, 'rpt_routing_timestep', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of routing timestep simulations');
INSERT INTO db_cat_table VALUES (1600, 'rpt_runoff_qual', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of runoff quality simulations .');
INSERT INTO db_cat_table VALUES (1610, 'rpt_runoff_quant', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of runoff quantity simulations .');
INSERT INTO db_cat_table VALUES (1620, 'rpt_storagevol_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of storage volume simulations');
INSERT INTO db_cat_table VALUES (1630, 'rpt_subcatchwashoff_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of subcatchment washoff simulations.');
INSERT INTO db_cat_table VALUES (1640, 'rpt_subcathrunoff_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results from subcatchments');
INSERT INTO db_cat_table VALUES (1650, 'rpt_timestep_critelem', 'ud&sew', 'Hydraulic result data', NULL, 'Contains the results of timestep critical elements simulations');
INSERT INTO db_cat_table VALUES (1660, 'rpt_selector_compare', NULL, 'Selector', NULL, 'Selector to provide to the hydraulic analyst the possibility to compare two results on the GIS project');
INSERT INTO db_cat_table VALUES (1670, 'inp_selector_sector', 'ud&sew', 'Selector', NULL, 'Sector''s selector');
INSERT INTO db_cat_table VALUES (1680, 'subcatchment', 'ud&sew', 'GeometrÃ­a', NULL, 'Identifies each subcatchment within the study area. Subcatchments are land area units which generate runoff from rainfall.');
INSERT INTO db_cat_table VALUES (1690, 'event_type', 'ud&sew', 'O&M information', NULL, 'Shows the event types.');
INSERT INTO db_cat_table VALUES (1700, 'event_parameter', 'ud&sew', 'O&M information', NULL, 'Shows the parameters of the event.');
INSERT INTO db_cat_table VALUES (1710, 'event_position', 'ud&sew', 'O&M information', NULL, 'Shows the position of the event');
INSERT INTO db_cat_table VALUES (1720, 'event', 'ud&sew', 'O&M information', NULL, 'Contains of spatial objects representing events.');
INSERT INTO db_cat_table VALUES (1730, 'event_x_node', 'ud&sew', 'O&M information', NULL, 'Table of spatial objects representing events to nodes.');
INSERT INTO db_cat_table VALUES (1740, 'event_x_arc', 'ud&sew', 'O&M information', NULL, 'Table of spatial objects representing events to arcs.');
INSERT INTO db_cat_table VALUES (1750, 'event_x_element', 'ud&sew', 'O&M information', NULL, 'Table of spatial objects representing events to elemts.');
INSERT INTO db_cat_table VALUES (1760, 'event_x_connec', 'sew', 'O&M information', NULL, 'Contains of spatial objects representing events related to connects.');
INSERT INTO db_cat_table VALUES (1770, 'event_x_gully', 'ud', 'O&M information', NULL, 'Contains spatial objects representing events related to gullies.');
INSERT INTO db_cat_table VALUES (1780, 'doc_type', 'ud&sew', 'Document management', NULL, 'Contains the document''s types.');
INSERT INTO db_cat_table VALUES (1790, 'cat_doc', 'ud&sew', 'Document management', NULL, 'Catalog of document''s types.');
INSERT INTO db_cat_table VALUES (1800, 'cat_tag', 'ud&sew', 'Document management', NULL, 'Catalog of tags.');
INSERT INTO db_cat_table VALUES (1810, 'doc', 'ud&sew', 'Document management', NULL, 'Contains the documents.');
INSERT INTO db_cat_table VALUES (1820, 'doc_x_node', 'ud&sew', 'Document management', NULL, 'Contains the document related to nodes.');
INSERT INTO db_cat_table VALUES (1830, 'doc_x_arc', 'ud&sew', 'Document management', NULL, 'Contains the document related to arcs.');
INSERT INTO db_cat_table VALUES (1840, 'doc_x_connec', 'sew', 'Document management', NULL, 'Contains the document related to connections.');
INSERT INTO db_cat_table VALUES (1850, 'doc_x_gully', 'ud', 'Document management', NULL, 'Contains the document related to gullies.');
INSERT INTO db_cat_table VALUES (1860, 'plan_psector', 'ud&sew', 'Masterplan', NULL, 'Table of plan sector.');
INSERT INTO db_cat_table VALUES (1870, 'plan_arc_x_psector', 'ud&sew', 'Masterplan', NULL, 'Table of arcs related to plan sectors.');
INSERT INTO db_cat_table VALUES (1880, 'plan_node_x_psector', 'ud&sew', 'Masterplan', NULL, 'Table of nodes related to plan sectors.');
INSERT INTO db_cat_table VALUES (1890, 'plan_other_x_psector', 'ud&sew', 'Masterplan', NULL, 'Table of other objects related to plan sectors.');
INSERT INTO db_cat_table VALUES (1900, 'plan_arc_x_pavement', 'ud&sew', 'Masterplan', NULL, 'Table to relate arcs to pavements');
INSERT INTO db_cat_table VALUES (1910, 'plan_value_ps_priority', 'ud&sew', 'Masterplan', NULL, 'Domain value table of levels of priority related to psectors');
INSERT INTO db_cat_table VALUES (1920, 'plan_selector_economic', 'ud&sew', 'Masterplan', NULL, 'Table of economic selectors.');
INSERT INTO db_cat_table VALUES (1930, 'plan_selector_psector', 'ud&sew', 'Masterplan', NULL, 'Table of plan sector selectors.');
INSERT INTO db_cat_table VALUES (1940, 'price_simple', 'ud&sew', 'Masterplan', NULL, 'Table of simple price.');
INSERT INTO db_cat_table VALUES (1950, 'price_compost', 'ud&sew', 'Masterplan', NULL, 'Table of compound prices');
INSERT INTO db_cat_table VALUES (1960, 'price_compost_value', 'ud&sew', 'Masterplan', NULL, 'Table to relate simple prices to compound prices');
INSERT INTO db_cat_table VALUES (1970, 'price_value_unit', 'ud&sew', 'Masterplan', NULL, 'View for code');
INSERT INTO db_cat_table VALUES (1980, 'anl_flow_exit_node', 'ud&sew', 'Analysis', NULL, 'Table with the result of flow trace (downstream nodes)');
INSERT INTO db_cat_table VALUES (1990, 'anl_flow_exit_arc', 'ud&sew', 'Analysis', NULL, 'Table with the result offlow trace (downstream arcs)');
INSERT INTO db_cat_table VALUES (2000, 'anl_flow_trace_node', 'ud&sew', 'Analysis', NULL, 'Table with the result offlow trace (upstream nodes)');
INSERT INTO db_cat_table VALUES (10000, 'version', 'ud&se&ws', 'utils', NULL, 'Table to control de version of the software used on the project.');
INSERT INTO db_cat_table VALUES (10020, 'config', 'ud&se&ws', 'utils', NULL, 'Table to define diferent configuration parameters related to the GIS USER interface.');
INSERT INTO db_cat_table VALUES (10030, 'config_csv_import', 'ud&se&ws', 'utils', NULL, 'Table to define the tables enabled for csv import tool');
INSERT INTO db_cat_table VALUES (10040, 'db_cat_table', 'ud&se&ws', 'utils', NULL, 'Table with the information of tables of the project');
INSERT INTO db_cat_table VALUES (10050, 'db_cat_view', 'ud&se&ws', 'utils', NULL, 'Table with the information of views of the project');
INSERT INTO db_cat_table VALUES (10060, 'db_cat_columns', 'ud&se&ws', 'utils', NULL, 'Table with the information of columns of the project');
INSERT INTO db_cat_table VALUES (10070, 'db_cat_clientlayer', 'ud&se&ws', 'utils', NULL, 'Table with the information of GIS layers of the project');
INSERT INTO db_cat_table VALUES (10080, 'anl_node_orphan', 'ud&se&ws', 'utils', NULL, 'Table with the results of the topology process of node orphan function');
INSERT INTO db_cat_table VALUES (10090, 'anl_node_sink', 'ud&se&ws', 'utils', NULL, 'Table with the results of the topology process of node sink function');
INSERT INTO db_cat_table VALUES (10100, 'anl_node_duplicated', 'ud&se&ws', 'utils', NULL, 'Table with the results of the topology process of node duplicated function');
INSERT INTO db_cat_table VALUES (10110, 'anl_arc_same_startend', 'ud&se&ws', 'utils', NULL, 'Table with the results of the topology process of arcs with same node initial and end function');
INSERT INTO db_cat_table VALUES (10120, 'anl_arc_nonode_startend', 'ud&se&ws', 'utils', NULL, 'Table with the results of the topology process of arcs with no nodes on start and/or end function');
INSERT INTO db_cat_table VALUES (10130, 'audit_cat_error', 'ud&se&ws', 'utils', NULL, 'Catalog of errors');
INSERT INTO db_cat_table VALUES (10140, 'audit_cat_function', 'ud&se&ws', 'utils', NULL, 'Catalog of functions');
INSERT INTO db_cat_table VALUES (10150, 'audit_function_actions', 'ud&se&ws', 'utils', NULL, 'Table to store information about traceability of user actions with functions');
INSERT INTO db_cat_table VALUES (10160, 'anl_arc_no_startend_node', NULL, 'Analysis', NULL, NULL);
INSERT INTO db_cat_table VALUES (10170, 'anl_connec_duplicated', NULL, 'Analysis', NULL, NULL);
INSERT INTO db_cat_table VALUES (10290, 'audit_schema_data_integrity', NULL, NULL, NULL, NULL);
INSERT INTO db_cat_table VALUES (10300, 'catchment', NULL, NULL, NULL, NULL);
INSERT INTO db_cat_table VALUES (10310, 'config_extract_raster_value', 'ud&se&ws', 'utils', NULL, 'Table to define the configuration of extracting values from raster');
INSERT INTO db_cat_table VALUES (10330, 'config_search_plus', 'ud&se&ws', 'utils', NULL, 'Table to define the configuration of search plus tool');
INSERT INTO db_cat_table VALUES (10320, 'config_extract_raster_value1', 'ud&se&ws', 'utils', NULL, 'Table to define the configuration of extracting values from raster');
INSERT INTO db_cat_table VALUES (10350, 'config_ui_forms', 'ud&se&ws', 'utils', NULL, 'Table to define the configuration of forms.');
INSERT INTO db_cat_table VALUES (10360, 'element_x_arc', 'ud', 'GIS Feature', NULL, 'Contains the elements related to arc.');
INSERT INTO db_cat_table VALUES (10370, 'ext_postnumber', 'ud', 'external table', NULL, 'Table of entrance numbers.');
INSERT INTO db_cat_table VALUES (10380, 'inp_selector_state', 'ud', 'Selector', NULL, 'State''s selector. Contains the diferents states that will be exported to the model');
INSERT INTO db_cat_table VALUES (390, 'element', 'ud&sew', 'Element', NULL, 'Contains the elements');




INSERT INTO db_cat_columns VALUES (90, 30, 'code', 'Varchar (30)', 'Code of the propierty.');
INSERT INTO db_cat_columns VALUES (100, 30, 'streetaxis', 'Varchar (16)', 'Street at which the propierty is located.');
INSERT INTO db_cat_columns VALUES (110, 30, 'postnumber', 'Varchar (16)', 'Post number of the propierty.');
INSERT INTO db_cat_columns VALUES (120, 30, 'complement', 'Varchar (16)', 'Post number of the propierty complement data');
INSERT INTO db_cat_columns VALUES (130, 30, 'placement', 'Varchar (16)', 'Location of a propierty.');
INSERT INTO db_cat_columns VALUES (140, 30, 'square', 'Varchar (16)', 'Square at which the propierty is located.');
INSERT INTO db_cat_columns VALUES (150, 30, 'the_geom', 'public.geometry', 'Line geometry field.');
INSERT INTO db_cat_columns VALUES (160, 40, 'id', 'varchar(18)', 'Type of arc adapted to reality, and ready to translate. The relation with type is n to 1');
INSERT INTO db_cat_columns VALUES (170, 40, 'type', 'varchar(18)', 'Type of arc. The data of this field is system data');
INSERT INTO db_cat_columns VALUES (180, 40, 'epa_default', 'varchar(18)', 'Default''s value of EPA software. The data of this field is system data');
INSERT INTO db_cat_columns VALUES (190, 40, 'man_table', 'varchar(18)', 'Name of the table with additional information of feature (management information). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (200, 40, 'epa_table', 'varchar(18)', 'Name of the table with additional information of feature (hidraulic model). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (210, 40, 'event_table', 'varchar(18)', 'Name of the table with additional information of feature (operation information). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (220, 50, 'id', 'varchar(18)', 'Type of node adapted to reality, and ready to translate. The relation with type is n to 1');
INSERT INTO db_cat_columns VALUES (230, 50, 'type', 'varchar(18)', 'Type of node. The data of this field is system data');
INSERT INTO db_cat_columns VALUES (240, 50, 'epa_default', 'varchar(18)', 'Default''s value of EPA software. The data of this field is system data');
INSERT INTO db_cat_columns VALUES (250, 50, 'man_table', 'varchar(18)', 'Name of the table with additional information of feature (management information). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (260, 50, 'epa_table', 'varchar(18)', 'Name of the table with additional information of feature (hidraulic model). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (270, 50, 'event_table', 'varchar(18)', 'Name of the table with additional information of feature (operation information). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (280, 60, 'id', 'varchar(18)', 'Type of element adapted to reality, and ready to translate. The relation with type is n to 1');
INSERT INTO db_cat_columns VALUES (290, 60, 'event_table', 'varchar(18)', 'Name of the table with additional information of feature (operation information). The data of this field is system data');
INSERT INTO db_cat_columns VALUES (300, 70, 'id', 'varchar(30)', 'ID of arc''s material catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (310, 70, 'descript', 'varchar(512)', 'Field to store additional information about the material');
INSERT INTO db_cat_columns VALUES (320, 70, 'n', 'Numeric(12,4)', 'Roughness of the material.');
INSERT INTO db_cat_columns VALUES (330, 70, 'link', 'varchar(512)', 'Field to store link to information related to the arc''s material catalog.');
INSERT INTO db_cat_columns VALUES (340, 70, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the arc''s material catalog.');
INSERT INTO db_cat_columns VALUES (350, 70, 'picture', 'varchar(512)', 'Picture of a material.');
INSERT INTO db_cat_columns VALUES (360, 80, 'id', 'varchar(30)', 'ID of node''s material catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (370, 80, 'descript', 'varchar(512)', 'Field to store additional information about the material');
INSERT INTO db_cat_columns VALUES (380, 80, 'link', 'varchar(512)', 'Field to store link to information related to the node''s material catalog.');
INSERT INTO db_cat_columns VALUES (390, 80, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the node''s material catalog.');
INSERT INTO db_cat_columns VALUES (400, 80, 'picture', 'varchar(512)', 'Picture of a material.');
INSERT INTO db_cat_columns VALUES (410, 90, 'id', 'varchar(30)', 'ID of the arc catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (420, 90, 'matcat_id', 'varchar(16)', 'Material catalog identifier.');
INSERT INTO db_cat_columns VALUES (430, 90, 'shape', 'varchar(16)', 'Cross-section shape.');
INSERT INTO db_cat_columns VALUES (440, 90, 'tsect_id', 'varchar(16)', 'Transect identifier.');
INSERT INTO db_cat_columns VALUES (450, 90, 'curve_id', 'varchar(16)', 'Curve identifier.');
INSERT INTO db_cat_columns VALUES (460, 90, 'geom1', 'numeric(12,4),', 'Full height of the arc (ft or m).');
INSERT INTO db_cat_columns VALUES (470, 90, 'geom2', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_columns VALUES (480, 90, 'geom3', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_columns VALUES (490, 90, 'geom4', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_columns VALUES (500, 90, 'geom_r', 'varchar(20)', 'Real geometry of an arc.');
INSERT INTO db_cat_columns VALUES (510, 90, 'short_des', 'varchar(16)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_columns VALUES (520, 90, 'descript', 'varchar(255)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_columns VALUES (530, 90, 'link', 'varchar(512)', 'Field to store link to information related to the arc catalog.');
INSERT INTO db_cat_columns VALUES (540, 90, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the arc catalog.');
INSERT INTO db_cat_columns VALUES (550, 90, 'picture', 'varchar(512)', 'Picture of an arc.');
INSERT INTO db_cat_columns VALUES (560, 90, 'svg', 'varchar(50)', 'Symbology.');
INSERT INTO db_cat_columns VALUES (570, 90, 'z1', 'Numeric(12,2)', 'Distance from the bottom of the trench of conduit to the top of the conduit''s protection material');
INSERT INTO db_cat_columns VALUES (580, 90, 'z2', 'Numeric(12,2)', 'Distance from the top of the conduit to the top of the conduit''s protection material');
INSERT INTO db_cat_columns VALUES (590, 90, 'width', 'Numeric(12,2)', 'Maximum width of the  conduit''s section (by point of view of constructive issues). Often is the same value that (geom2 + 2*bulk)');
INSERT INTO db_cat_columns VALUES (600, 90, 'area', 'Numeric(12,4)', 'Full area of the conduit''s section');
INSERT INTO db_cat_columns VALUES (620, 90, 'bulk', 'Numeric(12,2)', 'Bulk of the conduit. It consider the same bulk for all the walls of the conduit');
INSERT INTO db_cat_columns VALUES (630, 90, 'cost_unit', 'Varchar(3)', 'Units measurements. (Only ml or ut. are allowed values). Sometimes the budget of an arc could be treated as unitary price (applied using length=1)');
INSERT INTO db_cat_columns VALUES (640, 90, 'cost', 'varchar(16)', '(Price_compost.id) of full cost of conduit''s subministration and installation');
INSERT INTO db_cat_columns VALUES (650, 90, 'm2bottom_cost', 'varchar(16)', '(Price_compost.id) of full cost of bottom''s trench arrangement');
INSERT INTO db_cat_columns VALUES (660, 90, 'm3protec_cost', 'varchar(16)', '(Price_compost.id) of full cost of conduit''s proteccion material');
INSERT INTO db_cat_columns VALUES (670, 100, 'id', 'varchar(30)', 'ID of the node catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (680, 100, 'matcat_id', 'varchar(16)', 'ID of the related material type.');
INSERT INTO db_cat_columns VALUES (690, 100, 'geom1', 'Numeric(12,2)', 'Full height of the node (ft or m).');
INSERT INTO db_cat_columns VALUES (700, 100, 'geom2', 'Numeric(12,2)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_columns VALUES (710, 100, 'geom3', 'Numeric(12,2)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_columns VALUES (720, 100, 'value', 'Numeric(12,2)', 'Values for catalog');
INSERT INTO db_cat_columns VALUES (730, 100, 'short_des', 'varchar(30)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_columns VALUES (740, 100, 'descript', 'varchar(255)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_columns VALUES (750, 100, 'link', 'varchar(512)', 'Field to store link to information related to the node catalog.');
INSERT INTO db_cat_columns VALUES (760, 100, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the node catalog.');
INSERT INTO db_cat_columns VALUES (770, 100, 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_columns VALUES (780, 100, 'svg', 'varchar(50)', 'Symbology.');
INSERT INTO db_cat_columns VALUES (790, 100, 'estimated_y', 'Numeric(12,2)', 'In case no data of depth of conduit this depth is used to estimate the budget.');
INSERT INTO db_cat_columns VALUES (800, 100, 'cost_unit', 'Varchar(3)', 'Units measurements. (Only ml or ut. are allowed values). Sometimes the budget of an node could be treated as lineal price (using the depth as length to compute the cost)');
INSERT INTO db_cat_columns VALUES (810, 100, 'cost', 'varchar(16)', '(Price_compost.id) of full cost of conduit''s subministration and installation');
INSERT INTO db_cat_columns VALUES (820, 110, 'id', 'varchar(30)', 'ID of element''s material catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (830, 110, 'descript', 'varchar(512)', 'Field to store additional information about the material.');
INSERT INTO db_cat_columns VALUES (840, 110, 'link', 'varchar(512)', 'Field to store link to information related to the element''s material catalog.');
INSERT INTO db_cat_columns VALUES (850, 110, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the element''s material catalog.');
INSERT INTO db_cat_columns VALUES (860, 110, 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_columns VALUES (870, 120, 'id', 'varchar(30)', 'ID of the element catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (880, 120, 'elementtype_id', 'varchar(30)', 'Element type identifier.');
INSERT INTO db_cat_columns VALUES (890, 120, 'matcat_id', 'varchar(30)', 'Material catalog identifier.');
INSERT INTO db_cat_columns VALUES (900, 120, 'geometry', 'varchar(30)', 'Geometry of the element.');
INSERT INTO db_cat_columns VALUES (910, 120, 'descript', 'varchar(512)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_columns VALUES (920, 120, 'link', 'varchar(512)', 'Field to store link to information related to the element catalog.');
INSERT INTO db_cat_columns VALUES (930, 120, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the element catalog.');
INSERT INTO db_cat_columns VALUES (940, 120, 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_columns VALUES (950, 120, 'svg', 'varchar(50)', 'Pictogram of the symbology.');
INSERT INTO db_cat_columns VALUES (960, 130, 'id', 'varchar(30)', 'ID of the connect catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (970, 130, 'type', 'varchar(16)', 'Type of the connect.');
INSERT INTO db_cat_columns VALUES (980, 130, 'matcat_id', 'varchar(16)', 'Material catalog identifier.');
INSERT INTO db_cat_columns VALUES (990, 130, 'shape', 'varchar(16)', 'Cross-section shape.');
INSERT INTO db_cat_columns VALUES (1000, 130, 'tsect_id', 'varchar(16)', 'Transect identifier.');
INSERT INTO db_cat_columns VALUES (1010, 130, 'curve_id', 'varchar(16)', 'Curve identifier.');
INSERT INTO db_cat_columns VALUES (1020, 130, 'geom1', 'numeric(12,4),', 'Full height of the connect (ft or m).');
INSERT INTO db_cat_columns VALUES (1030, 130, 'geom2', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_columns VALUES (1040, 130, 'geom3', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_columns VALUES (1050, 130, 'geom4', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_columns VALUES (1060, 130, 'geom_r', 'varchar(20)', 'Real geometry of a connect.');
INSERT INTO db_cat_columns VALUES (1070, 130, 'short_des', 'varchar(16)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_columns VALUES (1080, 130, 'descript', 'varchar(255)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_columns VALUES (1090, 130, 'link', 'varchar(512)', 'Field to store link to information related to the connect catalog.');
INSERT INTO db_cat_columns VALUES (1100, 130, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the connect catalog.');
INSERT INTO db_cat_columns VALUES (1110, 130, 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_columns VALUES (1120, 130, 'svg', 'varchar(50)', 'Symbology.');
INSERT INTO db_cat_columns VALUES (1130, 140, 'id', 'varchar(30)', 'ID of the grate catalog. Primary key.');
INSERT INTO db_cat_columns VALUES (1140, 140, 'type', 'varchar(30)', 'Type of the grate.');
INSERT INTO db_cat_columns VALUES (1150, 140, 'matcat_id', 'varchar(16)', 'Material catalog identifier.');
INSERT INTO db_cat_columns VALUES (1160, 140, 'length', 'numeric(12,4),', 'Length of the grate.');
INSERT INTO db_cat_columns VALUES (1170, 140, 'width', 'numeric(12,4)', 'Width of the grate.');
INSERT INTO db_cat_columns VALUES (1180, 140, 'total_area', 'numeric(12,4)', 'Total area of the grate.');
INSERT INTO db_cat_columns VALUES (1190, 140, 'efective_area', 'numeric(12,4)', 'Effective area of the grate.');
INSERT INTO db_cat_columns VALUES (1200, 140, 'n_barr_l', 'numeric(12,4)', 'Number of length barrels');
INSERT INTO db_cat_columns VALUES (1210, 140, 'n_barr_w', 'numeric(12,4)', 'Number of width barrels');
INSERT INTO db_cat_columns VALUES (1220, 140, 'n_barr_diag', 'numeric(12,4)', 'Number of obliquous barrels');
INSERT INTO db_cat_columns VALUES (1230, 140, 'a_param', 'numeric(12,4)', 'A parameter. Needed if you like to simulate it');
INSERT INTO db_cat_columns VALUES (1240, 140, 'b_param', 'numeric(12,4)', 'B parameter. Needed if you like to simulate it');
INSERT INTO db_cat_columns VALUES (1250, 140, 'descript', 'varchar(255)', 'Field to store additional information about the catalog.');
INSERT INTO db_cat_columns VALUES (1260, 140, 'link', 'varchar(512)', 'Field to store link to information related to the grate catalog.');
INSERT INTO db_cat_columns VALUES (1270, 140, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the grate catalog.');
INSERT INTO db_cat_columns VALUES (1280, 140, 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_columns VALUES (1290, 140, 'svg', 'varchar(50)', 'Symbology.');
INSERT INTO db_cat_columns VALUES (1300, 150, 'id', 'varchar(30)', 'ID of the soil. Primary key.');
INSERT INTO db_cat_columns VALUES (1310, 150, 'descript', 'varchar(512)', 'Description of a soil type. Additional information');
INSERT INTO db_cat_columns VALUES (1320, 150, 'link', 'varchar(512)', 'Field to store link to information related to the soil catalog.');
INSERT INTO db_cat_columns VALUES (1330, 150, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the soil catalog.');
INSERT INTO db_cat_columns VALUES (1340, 150, 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_columns VALUES (1350, 150, 'y_param', 'Numeric(5,2)', 'Slope of the wall of the trench. On the expression (a:y_param) ''a'' is the horitzontal distance and y_param is the vertical distance of the slope of the trench.');
INSERT INTO db_cat_columns VALUES (1360, 150, 'b', 'Numeric(5,2)', 'Value of the distance from conduit to the wall of the trenchline, measured on the bottom''s trench.');
INSERT INTO db_cat_columns VALUES (1370, 150, 'trenchlining', 'Numeric(3,2)', 'Percentage of the trench where with trenchlining');
INSERT INTO db_cat_columns VALUES (1380, 150, 'm3exc_cost', 'Varchar(16)', 'Cost of excavation ( cubic meter)');
INSERT INTO db_cat_columns VALUES (1390, 150, 'm3fill_cost', 'Varchar(16)', 'Cost of filling the ( cubic meter)');
INSERT INTO db_cat_columns VALUES (1400, 150, 'm3excess_cost', 'Varchar(16)', 'Cost of manage the excess of soil from the trench (cubic meter)');
INSERT INTO db_cat_columns VALUES (1410, 150, 'm2trenchl_cost', 'Varchar(16)', 'Cost of the trenchiling (square meter)');
INSERT INTO db_cat_columns VALUES (1420, 160, 'id', 'varchar(30)', 'ID of the builder. Primary key.');
INSERT INTO db_cat_columns VALUES (1430, 160, 'descript', 'varchar(512)', 'Description of the builder. Additional information');
INSERT INTO db_cat_columns VALUES (1440, 160, 'link', 'varchar(512)', 'Field to store link to information related to the builder catalog.');
INSERT INTO db_cat_columns VALUES (1450, 160, 'url', 'varchar(512)', 'Field to store URL or folder path with more information related to the builder catalog.');
INSERT INTO db_cat_columns VALUES (1460, 160, 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_columns VALUES (1470, 170, 'id', 'varchar(30)', 'ID of the work. Primary key.');
INSERT INTO db_cat_columns VALUES (1480, 170, 'descript', 'varchar(512)', 'Description of the construction work. Additional information');
INSERT INTO db_cat_columns VALUES (1490, 170, 'link', 'varchar(512)', 'Field to store link to information related to the work catalog.');
INSERT INTO db_cat_columns VALUES (1500, 170, 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_columns VALUES (1510, 180, 'id', 'varchar(30)', 'ID of the owner. Primary key.');
INSERT INTO db_cat_columns VALUES (1520, 180, 'descript', 'varchar(512)', 'Description of the owner.');
INSERT INTO db_cat_columns VALUES (1530, 180, 'link', 'varchar(512)', 'Field to store link to information related to the owner catalog.');
INSERT INTO db_cat_columns VALUES (1540, 180, 'picture', 'varchar(512)', 'Image that represents the catalog element');
INSERT INTO db_cat_columns VALUES (1550, 190, 'id', 'Varchar(16)', 'ID of the pavement. Primary key.');
INSERT INTO db_cat_columns VALUES (1560, 190, 'descript', 'text', 'Description of the pavement. Additional information');
INSERT INTO db_cat_columns VALUES (1570, 190, 'link', 'varchar(512)', 'Field to store link to information related to the pavement.');
INSERT INTO db_cat_columns VALUES (1580, 190, 'picture', 'varchar(512)', 'Picture of the pavement.');
INSERT INTO db_cat_columns VALUES (1590, 190, 'thickness', 'Numeric(12,2)', 'Value of pavement thickness.');
INSERT INTO db_cat_columns VALUES (1600, 190, 'm2_cost', 'Varchar(16)', '(Price_compost.id) of the full cost of pavement demolition and reconstruction.');
INSERT INTO db_cat_columns VALUES (1610, 200, 'id', 'varchar(20)', 'ID of the management type category. Primary key.');
INSERT INTO db_cat_columns VALUES (1620, 200, 'observ', 'varchar(50)', 'Observations related to type category. Additional information');
INSERT INTO db_cat_columns VALUES (1630, 210, 'id', 'varchar(20)', 'ID of the management type of fluid. Primary key.');
INSERT INTO db_cat_columns VALUES (1640, 210, 'observ', 'varchar(50)', 'Observations related to fluid type. Additional information');
INSERT INTO db_cat_columns VALUES (1650, 220, 'id', 'varchar(20)', 'ID of the management location type. Primary key.');
INSERT INTO db_cat_columns VALUES (1660, 220, 'observ', 'varchar(50)', 'Observations related to type location. Additional information');
INSERT INTO db_cat_columns VALUES (1670, 240, 'id', 'varchar(20)', 'ID of the connect type. Primary key.');
INSERT INTO db_cat_columns VALUES (1680, 240, 'observ', 'varchar(50)', 'Observations related to connect type. Additional information');
INSERT INTO db_cat_columns VALUES (1690, 250, 'sector_id', 'varchar(30)', 'Sector identifier. Primary key');
INSERT INTO db_cat_columns VALUES (1700, 250, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (1710, 250, 'the_geom', 'public.geometry', 'Polygon geometry field');
INSERT INTO db_cat_columns VALUES (1720, 260, 'node_id', 'varchar(16)', 'Node identifier. Primary key');
INSERT INTO db_cat_columns VALUES (1730, 260, 'top_elev', 'Numeric(12,4)', 'Elevation of the node in ft or m.');
INSERT INTO db_cat_columns VALUES (1740, 260, 'ymax', 'Numeric(12,4)', 'Depth from ground to invert elevation (ft or m)');
INSERT INTO db_cat_columns VALUES (1750, 260, 'sander', 'Numeric(12,4)', 'Dimension (depth) of the place to collect sands from urban water');
INSERT INTO db_cat_columns VALUES (1760, 260, 'node_type', 'varchar(16)', 'Node type.');
INSERT INTO db_cat_columns VALUES (1770, 260, 'nodecat_id', 'varchar(30)', 'Node catalog identifier related to the primary key of cat_node table');
INSERT INTO db_cat_columns VALUES (1780, 260, 'epa_type', 'varchar(16)', 'SWMM behaviour of the node.');
INSERT INTO db_cat_columns VALUES (1790, 260, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (1800, 260, 'state', 'character varying(16)', 'Domain value of node''s state.');
INSERT INTO db_cat_columns VALUES (1810, 260, 'annotation', 'character varying(254)', 'Annotations related to node. Additional information.');
INSERT INTO db_cat_columns VALUES (1820, 260, 'observ', 'character varying(254)', 'Observations related to node. Additional information');
INSERT INTO db_cat_columns VALUES (1830, 260, 'comment', 'character varying(254)', 'Comments related to node. Additional information');
INSERT INTO db_cat_columns VALUES (1840, 260, 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area)');
INSERT INTO db_cat_columns VALUES (1850, 260, 'soilcat_id', 'varchar(16)', 'ID of the soil related to the node.');
INSERT INTO db_cat_columns VALUES (1860, 260, 'category_type', 'varchar(18)', 'ID of the category type related to node.');
INSERT INTO db_cat_columns VALUES (1870, 260, 'fluid_type', 'varchar(18)', 'ID of the fluid type related to node.');
INSERT INTO db_cat_columns VALUES (1880, 260, 'location_type', 'varchar(18)', 'ID of the location type related to node.');
INSERT INTO db_cat_columns VALUES (1890, 260, 'workcat_id', 'varchar(255)', 'ID of the construction work related to node.');
INSERT INTO db_cat_columns VALUES (1900, 260, 'buildercat_id', 'varchar(30)', 'ID of the builder related to node.');
INSERT INTO db_cat_columns VALUES (1910, 260, 'builtdate', 'timestamp(6)', 'ID of the construction date related to node.');
INSERT INTO db_cat_columns VALUES (1920, 260, 'ownercat_id', 'varchar(30)', 'ID of the owner related to node.');
INSERT INTO db_cat_columns VALUES (1930, 260, 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (1940, 260, 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (1950, 260, 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (1960, 260, 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (1970, 260, 'est_top_elev', 'Varchar(6)', 'Estimated elevation of the node in ft or m.');
INSERT INTO db_cat_columns VALUES (1980, 260, 'est_ymax', 'Varchar(6)', 'Estimated value of depth from ground to invert elevation (ft or m)');
INSERT INTO db_cat_columns VALUES (1990, 260, 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_columns VALUES (2000, 260, 'link', 'character varying(512)', 'Field to store link to information related to the node.');
INSERT INTO db_cat_columns VALUES (2010, 260, 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_columns VALUES (2020, 260, 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_columns VALUES (2030, 270, 'arc_id', 'varchar(16)', 'Arc identifier. Primary key');
INSERT INTO db_cat_columns VALUES (2040, 270, 'node_1', 'varchar(16)', 'Node located at the beginning of the arc.');
INSERT INTO db_cat_columns VALUES (2050, 270, 'node_2', 'varchar(16)', 'Node located at the end of the arc.');
INSERT INTO db_cat_columns VALUES (2060, 270, 'y1', 'Numeric(12,3)', 'Dept of the conduit at initial node');
INSERT INTO db_cat_columns VALUES (2070, 270, 'y2', 'Numeric(12,3)', 'Dept of the conduit at end node');
INSERT INTO db_cat_columns VALUES (2080, 270, 'arc_type', 'varchar(16)', 'Arc type.');
INSERT INTO db_cat_columns VALUES (2090, 270, 'arccat_id', 'varchar(30)', 'Arc catalog identifier related to the primary key of arc table.');
INSERT INTO db_cat_columns VALUES (2100, 270, 'epa_type', 'varchar(16)', 'ESWMM behaviour of the arc. (CONDUIT, PUMP, OIRIFICE, WEIR, OUTLET or UNDEFINED)');
INSERT INTO db_cat_columns VALUES (2110, 270, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (2120, 270, 'state', 'character varying(16)', 'Domain value of arc''s state (on service, planified, obsolete)');
INSERT INTO db_cat_columns VALUES (2130, 270, 'annotation', 'character varying(254)', 'Annotations related to arc. Additional information');
INSERT INTO db_cat_columns VALUES (2140, 270, 'observ', 'character varying(254)', 'Observations related to arc. Additional information');
INSERT INTO db_cat_columns VALUES (2150, 270, 'comment', 'character varying(254)', 'Comments related to arc. Additional information');
INSERT INTO db_cat_columns VALUES (2160, 270, 'inverted_slope', 'boolean', 'Field to control the sense of the conduit (perhaps sense interved of the slope).');
INSERT INTO db_cat_columns VALUES (2180, 270, 'custom_length', 'Numeric(12,2)', 'Customized length, not from GIS geometry. Used to customize the length of the element');
INSERT INTO db_cat_columns VALUES (2190, 270, 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area)');
INSERT INTO db_cat_columns VALUES (2200, 270, 'soilcat_id', 'varchar(16)', 'ID of the soil related to the arc');
INSERT INTO db_cat_columns VALUES (2210, 270, 'category_type', 'varchar(18)', 'ID of the category type related to arc');
INSERT INTO db_cat_columns VALUES (2220, 270, 'fluid_type', 'varchar(18)', 'ID of the fluid type related to arc');
INSERT INTO db_cat_columns VALUES (2230, 270, 'location_type', 'varchar(18)', 'ID of the location type related to arc');
INSERT INTO db_cat_columns VALUES (2240, 270, 'workcat_id', 'varchar(255)', 'ID of the construction work related to arc');
INSERT INTO db_cat_columns VALUES (2250, 270, 'buildercat_id', 'varchar(30)', 'ID of the builder related to arc');
INSERT INTO db_cat_columns VALUES (2260, 270, 'builtdate', 'timestamp(6)', 'ID of the construction date related to arc.');
INSERT INTO db_cat_columns VALUES (2270, 270, 'ownercat_id', 'varchar(30)', 'ID of the owner related to arc.');
INSERT INTO db_cat_columns VALUES (2280, 270, 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2290, 270, 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2300, 270, 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2310, 270, 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (2320, 270, 'est_y1', 'boolean', 'Boolean to control if the depth of the conduit at initial node is estimated');
INSERT INTO db_cat_columns VALUES (2330, 270, 'est_y2', 'boolean', 'Boolean to control if the depth of the conduit at final node is estimated');
INSERT INTO db_cat_columns VALUES (2340, 270, 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_columns VALUES (2350, 270, 'link', 'character varying(512)', 'Field to store URL or folder path with more information related to the arc');
INSERT INTO db_cat_columns VALUES (2360, 270, 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_columns VALUES (2370, 270, 'the_geom', 'public.geometry', 'Linestring geometry field');
INSERT INTO db_cat_columns VALUES (2380, 280, 'pol_id', 'varchar(16)', 'Polygon identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (2390, 280, 'node_id', 'varchar(16)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (2400, 280, 'text', 'varchar(254)', 'Text.');
INSERT INTO db_cat_columns VALUES (2410, 280, 'the_geom', 'public.geometry', 'Polygon geometry field');
INSERT INTO db_cat_columns VALUES (2420, 290, 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area). Primary key.');
INSERT INTO db_cat_columns VALUES (2430, 290, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (2440, 290, 'descript', 'varchar(255)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (2450, 290, 'observ', 'character varying(512)', 'Observations related to dma. Additional information');
INSERT INTO db_cat_columns VALUES (2460, 290, 'the_geom', 'public.geometry', 'Polygon geometry field');
INSERT INTO db_cat_columns VALUES (2470, 300, 'connec_id', 'varchar(30)', 'Connect identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (2480, 300, 'top_elev', 'Numeric(12,4)', 'Elevation of the connect in ft or m.');
INSERT INTO db_cat_columns VALUES (2490, 300, 'ymax', 'Numeric(12,4)', 'Depth from ground to invert elevation (ft or m)');
INSERT INTO db_cat_columns VALUES (2500, 300, 'connecat_id', 'varchar(30)', 'Connect catalog identifier');
INSERT INTO db_cat_columns VALUES (2510, 300, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (2520, 300, 'code', 'Varchar(30)', 'Special code of the connec');
INSERT INTO db_cat_columns VALUES (2530, 300, 'n_hydrometer', 'int4', 'Number of hydrometers related to the connec');
INSERT INTO db_cat_columns VALUES (2540, 300, 'demand', 'Numeric(12,8)', 'Water demand');
INSERT INTO db_cat_columns VALUES (2550, 300, 'state', 'character varying(16)', 'Domain value of connect''s state.');
INSERT INTO db_cat_columns VALUES (2560, 300, 'annotation', 'character varying(254)', 'Annotations related to connect. Additional information.');
INSERT INTO db_cat_columns VALUES (2570, 300, 'observ', 'character varying(254)', 'Observations related to connect. Additional information');
INSERT INTO db_cat_columns VALUES (2580, 300, 'comment', 'character varying(254)', 'Comments related to connect. Additional information');
INSERT INTO db_cat_columns VALUES (2590, 300, 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_columns VALUES (2600, 300, 'dma_id', 'varchar(30)', 'ID of the management area related to the arc (District Meter Area)');
INSERT INTO db_cat_columns VALUES (2610, 300, 'soilcat_id', 'varchar(16)', 'ID of the soil related to the connect.');
INSERT INTO db_cat_columns VALUES (2620, 300, 'category_type', 'varchar(18)', 'ID of the category type related to connct.');
INSERT INTO db_cat_columns VALUES (2630, 300, 'fluid_type', 'varchar(18)', 'ID of the fluid type related to connect.');
INSERT INTO db_cat_columns VALUES (2640, 300, 'location_type', 'varchar(18)', 'ID of the location type related to connect.');
INSERT INTO db_cat_columns VALUES (2650, 300, 'workcat_id', 'varchar(255)', 'ID of the construction work related to connect.');
INSERT INTO db_cat_columns VALUES (2660, 300, 'buildercat_id', 'varchar(30)', 'ID of the builder related to connect.');
INSERT INTO db_cat_columns VALUES (2670, 300, 'builtdate', 'date', 'ID of the construction date related to connect.');
INSERT INTO db_cat_columns VALUES (2680, 300, 'ownercat_id', 'varchar(30)', 'ID of the owner related to connect.');
INSERT INTO db_cat_columns VALUES (2690, 300, 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2700, 300, 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2710, 300, 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (2720, 300, 'streetaxis_id', 'Varchar (16)', 'Street identifier.');
INSERT INTO db_cat_columns VALUES (2730, 300, 'postnumber', 'Varchar(16)', 'Post code number.');
INSERT INTO db_cat_columns VALUES (2740, 300, 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (2750, 300, 'link', 'character varying(512)', 'Field to store link to information related to the connect.');
INSERT INTO db_cat_columns VALUES (2760, 300, 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_columns VALUES (2770, 300, 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_columns VALUES (2780, 310, 'vnode_id', 'varchar(16)', 'Virtual node identifier. Primary key');
INSERT INTO db_cat_columns VALUES (2790, 310, 'arc_id', 'Varchar(16)', 'Arc identifier.');
INSERT INTO db_cat_columns VALUES (2800, 310, 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_columns VALUES (2810, 310, 'userdefined_pos', 'boolean', 'Column to control when the user have moved the vnode (custom position, not automatic position). The goal of this control is dissable the posibility to ovewrite the vnode position.');
INSERT INTO db_cat_columns VALUES (2820, 310, 'vnode_type', 'varchar(30)', 'Virtual node type.');
INSERT INTO db_cat_columns VALUES (2830, 310, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (2840, 310, 'state', 'character varying(16)', 'Domain value of virtual node''s state.');
INSERT INTO db_cat_columns VALUES (2850, 310, 'annotation', 'character varying(254)', 'Annotations related to virtual node. Additional information.');
INSERT INTO db_cat_columns VALUES (2860, 320, 'link_id', 'varchar(16)', 'Link identifier. Primary key');
INSERT INTO db_cat_columns VALUES (2870, 320, 'the_geom', 'public.geometry', 'Linestring geometry field');
INSERT INTO db_cat_columns VALUES (2880, 320, 'connec_id', 'varchar(16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_columns VALUES (2890, 320, 'vnode_id', 'varchar(16)', 'Virtual node identifier.');
INSERT INTO db_cat_columns VALUES (2900, 320, 'custom_length', 'Numeric(12,3)', 'Link length  inserted by the user.');
INSERT INTO db_cat_columns VALUES (2910, 330, 'gully_id', 'varchar(16)', 'Gully identifier. Primary key');
INSERT INTO db_cat_columns VALUES (2920, 330, 'top_elev', 'Numeric(12,4)', 'Elevation of the gully in ft or m.');
INSERT INTO db_cat_columns VALUES (2930, 330, 'ymax', 'Numeric(12,4)', 'Depth from ground to invert elevation (ft or m)');
INSERT INTO db_cat_columns VALUES (2940, 330, 'sandbox', 'Numeric(12,4)', 'Dimension (depth) of the place to collect sands from urban water');
INSERT INTO db_cat_columns VALUES (2950, 330, 'matcat_id', 'varchar(18)', 'Material catalog identifier.');
INSERT INTO db_cat_columns VALUES (2960, 330, 'gratecat_id', 'varchar(18)', 'Grate catalog identifier.');
INSERT INTO db_cat_columns VALUES (2970, 330, 'units', 'int2', 'Number of units of the element');
INSERT INTO db_cat_columns VALUES (2980, 330, 'groove', 'varchar(3)', 'YES if gully in a joint with kerb has groove to increase the capacity');
INSERT INTO db_cat_columns VALUES (2990, 330, 'arccat_id', 'varchar(18)', 'Arc catalog identifier.');
INSERT INTO db_cat_columns VALUES (3000, 330, 'siphon', 'varchar(3)', 'YES if gully has siphon in order to prevent salubrity problems with odours');
INSERT INTO db_cat_columns VALUES (3010, 330, 'arc_id', 'Varchar(16)', 'Arc identifier.');
INSERT INTO db_cat_columns VALUES (3020, 330, 'sector_id', 'varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (3030, 330, 'state', 'character varying(16)', 'Domain value of gully''s state.');
INSERT INTO db_cat_columns VALUES (3040, 330, 'annotation', 'character varying(254)', 'Annotations related to gully. Additional information');
INSERT INTO db_cat_columns VALUES (3050, 330, 'observ', 'character varying(254)', 'Observations related to gully. Additional information');
INSERT INTO db_cat_columns VALUES (3060, 330, 'comment', 'character varying(254)', 'Comments related to gully. Additional information');
INSERT INTO db_cat_columns VALUES (3070, 330, 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_columns VALUES (3080, 330, 'dma_id', 'varchar(30)', 'ID of the management area related to the gully (District Meter Area)');
INSERT INTO db_cat_columns VALUES (3090, 330, 'soilcat_id', 'varchar(16)', 'ID of the soil related to the gully.');
INSERT INTO db_cat_columns VALUES (3100, 330, 'category_type', 'varchar(18)', 'ID of the category type related to gully.');
INSERT INTO db_cat_columns VALUES (3110, 330, 'fluid_type', 'varchar(18)', 'ID of the fluid type related to gully.');
INSERT INTO db_cat_columns VALUES (3120, 330, 'location_type', 'varchar(18)', 'ID of the location type related to gully.');
INSERT INTO db_cat_columns VALUES (3130, 330, 'workcat_id', 'varchar(255)', 'ID of the construction work related to gully.');
INSERT INTO db_cat_columns VALUES (3140, 330, 'buildercat_id', 'varchar(30)', 'ID of the builder related to gully.');
INSERT INTO db_cat_columns VALUES (3150, 330, 'builtdate', 'timestamp(6)', 'ID of the construction date related to gully.');
INSERT INTO db_cat_columns VALUES (3160, 330, 'ownercat_id', 'varchar(30)', 'ID of the owner related to gully.');
INSERT INTO db_cat_columns VALUES (3170, 330, 'adress_01', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (3180, 330, 'adress_02', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (3190, 330, 'adress_03', 'varchar(50)', 'Field to store information about the adress of the feature.');
INSERT INTO db_cat_columns VALUES (3200, 330, 'descript', 'varchar(254)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (3210, 330, 'link', 'character varying(512)', 'Field to store link to information related to the gully');
INSERT INTO db_cat_columns VALUES (3220, 330, 'verified', 'varchar(4)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_columns VALUES (3230, 330, 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_columns VALUES (3250, 340, 'node_id', 'varchar(16)', 'Junction identifier.');
INSERT INTO db_cat_columns VALUES (3260, 340, 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_columns VALUES (3270, 350, 'node_id', 'varchar(16)', 'Storage identifier.');
INSERT INTO db_cat_columns VALUES (3280, 350, 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_columns VALUES (3290, 360, 'node_id', 'varchar(16)', 'Outfalll identifier.');
INSERT INTO db_cat_columns VALUES (3300, 360, 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_columns VALUES (3320, 380, 'arc_id', 'varchar(16)', 'Arc identifier.');
INSERT INTO db_cat_columns VALUES (3340, 390, 'element_id', 'varchar(16)', 'Element identifier. Primary key');
INSERT INTO db_cat_columns VALUES (3350, 390, 'elementcat_id', 'varchar(30)', 'Element catalog identifier');
INSERT INTO db_cat_columns VALUES (3360, 390, 'state', 'character varying(16)', 'Domain value of element''s state.');
INSERT INTO db_cat_columns VALUES (3370, 390, 'annotation', 'character varying(254)', 'Annotations related to element. Additional information.');
INSERT INTO db_cat_columns VALUES (3380, 390, 'observ', 'character varying(254)', 'Observations related to element. Additional information');
INSERT INTO db_cat_columns VALUES (3390, 390, 'comment', 'character varying(254)', 'Comments related to element. Additional information');
INSERT INTO db_cat_columns VALUES (3400, 390, 'location_type', 'varchar(18)', 'ID of the location type related to element.');
INSERT INTO db_cat_columns VALUES (3410, 390, 'workcat_id', 'varchar(255)', 'ID of the construction work related to element.');
INSERT INTO db_cat_columns VALUES (3420, 390, 'buildercat_id', 'varchar(30)', 'ID of the builder related to element.');
INSERT INTO db_cat_columns VALUES (3430, 390, 'builtdate', 'timestamp(6)', 'ID of the construction date related to element.');
INSERT INTO db_cat_columns VALUES (3440, 390, 'ownercat_id', 'varchar(30)', 'ID of the owner related to element.');
INSERT INTO db_cat_columns VALUES (3450, 390, 'enddate', 'timestamp(6)', 'Expiration date. Expected or real. The goal of this column is to enable the posilibity to have information of all the deprecated elements of the infraestructure without delete it');
INSERT INTO db_cat_columns VALUES (3460, 390, 'rotation', 'Numeric(6,3)', 'Field to use in order to rotate the symbology of the GIS canvas');
INSERT INTO db_cat_columns VALUES (3470, 390, 'link', 'character varying(512)', 'Field to store link to information related to the element');
INSERT INTO db_cat_columns VALUES (3480, 390, 'verified', 'varchar(16)', 'Value domain with information about the state of verification of the element (to review, verified,â¦)');
INSERT INTO db_cat_columns VALUES (3630, 450, 'observ', 'varchar(254)', 'Observations related to yes/no value Additional information');
INSERT INTO db_cat_columns VALUES (3650, 470, 'id', 'varchar(20)', 'Hydrology catalog identifier.');
INSERT INTO db_cat_columns VALUES (3660, 470, 'infiltration', 'varchar(20)', 'Infiltration parameter.');
INSERT INTO db_cat_columns VALUES (3670, 470, 'descript', 'varchar(255)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (3680, 480, 'id', 'varchar(16)', 'Adjustment identifier.');
INSERT INTO db_cat_columns VALUES (3690, 480, 'adj_type', 'varchar(16)', 'Values are TEMPERATURE, EVAPORATION, RAINFALL');
INSERT INTO db_cat_columns VALUES (3700, 480, 'value_1', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_columns VALUES (3710, 480, 'value_2', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_columns VALUES (3720, 480, 'value_3', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_columns VALUES (3730, 480, 'value_4', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_columns VALUES (3740, 480, 'value_5', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_columns VALUES (3750, 480, 'value_6', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_columns VALUES (3760, 480, 'value_7', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_columns VALUES (3770, 480, 'value_8', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_columns VALUES (3780, 480, 'value_9', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_columns VALUES (3790, 480, 'value_10', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_columns VALUES (3800, 480, 'value_11', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_columns VALUES (3810, 480, 'value_12', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project.');
INSERT INTO db_cat_columns VALUES (3820, 490, 'aquif_id', 'varchar(16)', 'Aquifer identifier.');
INSERT INTO db_cat_columns VALUES (3830, 490, 'por', 'Numeric(12,4)', 'Soil porosity (fraction).');
INSERT INTO db_cat_columns VALUES (3840, 490, 'wp', 'Numeric(12,4)', 'Soil wilting point (fraction).');
INSERT INTO db_cat_columns VALUES (3850, 490, 'fc', 'Numeric(12,4)', 'Soil field capacity (fraction).');
INSERT INTO db_cat_columns VALUES (3860, 490, 'k', 'Numeric(12,4)', 'Saturated hydraulic conductivity (in/hr or mm/hr).');
INSERT INTO db_cat_columns VALUES (3870, 490, 'ks', 'Numeric(12,4)', 'Slope of hydraulic conductivity versus moisture content curve.');
INSERT INTO db_cat_columns VALUES (3880, 490, 'ps', 'Numeric(12,4)', 'Slope of soil tension versus moisture content curve.');
INSERT INTO db_cat_columns VALUES (6460, 780, 'factor_22', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (3520, 410, 'id', 'varchar(16)', 'Element related to connect identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (3890, 490, 'uef', 'Numeric(12,4)', 'Fraction of total evaporation available for evapotranspiration in the upper unsaturated zone.');
INSERT INTO db_cat_columns VALUES (3900, 490, 'led', 'Numeric(12,4)', 'Maximum depth into the lower saturated zone over which evapotranspiration can occur (ft or m).');
INSERT INTO db_cat_columns VALUES (3910, 490, 'gwr', 'Numeric(12,4)', 'Rate of percolation from saturated zone to deep groundwater when water table is at ground surface (in/hr or mm/hr).');
INSERT INTO db_cat_columns VALUES (3920, 490, 'be', 'Numeric(12,4)', 'Elevation of the bottom of the aquifer (ft or m).');
INSERT INTO db_cat_columns VALUES (3930, 490, 'wte', 'Numeric(12,4)', 'Water table elevation at start of simulation (ft or m).');
INSERT INTO db_cat_columns VALUES (3940, 490, 'umc', 'Numeric(12,4)', 'Unsaturated zone moisture content at start of simulation (fraction).');
INSERT INTO db_cat_columns VALUES (3950, 490, 'pattern_id', 'varchar(16)', 'Monthly pattern of adjustments to upper evaporation fraction');
INSERT INTO db_cat_columns VALUES (3960, 500, 'id', 'int4', 'Backdrop identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (3970, 500, 'text', 'varchar(254)', 'Text.');
INSERT INTO db_cat_columns VALUES (3980, 510, 'landus_id', 'varchar(16)', 'Land use identifier.');
INSERT INTO db_cat_columns VALUES (3990, 510, 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_columns VALUES (4000, 510, 'funcb_type', 'varchar(18)', 'Buildup function type: ( POW / EXP / SAT / EXT ).');
INSERT INTO db_cat_columns VALUES (4010, 510, 'c1', 'Numeric(12,4)', 'Buildup function parameters (see Table D-2 from Appendix D of SWMM''s Manual).');
INSERT INTO db_cat_columns VALUES (4020, 510, 'c2', 'Numeric(12,4)', 'Buildup function parameters (see Table D-2 from Appendix D of SWMM''s Manual).');
INSERT INTO db_cat_columns VALUES (4030, 510, 'c3', 'Numeric(12,4)', 'Buildup function parameters (see Table D-2 from Appendix D of SWMM''s Manual).');
INSERT INTO db_cat_columns VALUES (4040, 510, 'perunit', 'varchar(10)', 'AREA if buildup is per unit area, CURBLENGTH if per length of curb.');
INSERT INTO db_cat_columns VALUES (4050, 520, 'arc_id', 'varchar(50)', 'Arc identifier.');
INSERT INTO db_cat_columns VALUES (4060, 520, 'barrels', 'int2', 'Number of barrels (i.e., number of parallel pipes of equal size, slope, and roughness) associated with a conduit (default is 1).');
INSERT INTO db_cat_columns VALUES (4070, 520, 'culvert', 'varchar(10)', 'Code number fromÂ Table A.10 (from Appendix A of SWMM''s Manual)Â for the conduit''s inlet geometry if it is a culvert subject to possible inlet flow control (leave blank otherwise)');
INSERT INTO db_cat_columns VALUES (4080, 520, 'kentry', 'Numeric(12,4)', 'Entrance minor head loss coefficient.');
INSERT INTO db_cat_columns VALUES (4090, 520, 'kexit', 'Numeric(12,4)', 'Exit minor head loss coefficient.');
INSERT INTO db_cat_columns VALUES (4100, 520, 'kavg', 'Numeric(12,4)', 'Average minor head loss coefficient across length of conduit.');
INSERT INTO db_cat_columns VALUES (4110, 520, 'flap', 'varchar(3)', 'YES if conduit has a flap gate that prevents back flow, NO otherwise (default is NO).');
INSERT INTO db_cat_columns VALUES (4120, 520, 'q0', 'Numeric(12,4)', 'Flow in conduit at start of simulation (flow units) (default is 0).');
INSERT INTO db_cat_columns VALUES (4130, 520, 'qmax', 'Numeric(12,4)', 'Maximum flow (flow units)');
INSERT INTO db_cat_columns VALUES (4140, 520, 'seepage', 'Numeric(12,4)', 'Rate of seepage loss into surrounding soil');
INSERT INTO db_cat_columns VALUES (4150, 530, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (4160, 530, 'text', 'varchar(254)', 'Text with control rules. Each control rule is a series of statements of the form. Should follow the format described as: RULE R1 IF SIMULATION TIME >8 THEN PUMP 12 STATUS = ON');
INSERT INTO db_cat_columns VALUES (4170, 540, 'subc_id', 'varchar(16)', 'Subcatchment identifier.');
INSERT INTO db_cat_columns VALUES (4180, 540, 'landus_id', 'varchar(16)', 'Land use identifier.');
INSERT INTO db_cat_columns VALUES (4190, 540, 'percent', 'numeric(12,4)', 'Percent of subcatchment area.');
INSERT INTO db_cat_columns VALUES (4200, 550, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (4210, 550, 'curve_id', 'varchar(16)', 'Curve identifier');
INSERT INTO db_cat_columns VALUES (4220, 550, 'x_value', 'numeric(18,6)', 'X value of the curve');
INSERT INTO db_cat_columns VALUES (4230, 550, 'y_value', 'numeric(18,6)', 'Y value of the curve');
INSERT INTO db_cat_columns VALUES (4240, 560, 'id', 'varchar(16)', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (4250, 560, 'curve_type', 'varchar(20)', 'STORAGE / DIVERSION / TIDAL / PUMP1 / PUMP2 / PUMP3 / PUMP4 / RATING.');
INSERT INTO db_cat_columns VALUES (4260, 570, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (4270, 570, 'divider_type', 'varchar(18)', 'A divider can be: OVERFLOW, CUTOFF, TABULAR or WEIR.');
INSERT INTO db_cat_columns VALUES (4280, 570, 'arc_id', 'varchar(50)', 'Arc identifier.');
INSERT INTO db_cat_columns VALUES (4290, 570, 'curve_id', 'varchar(16)', 'Curve identifier');
INSERT INTO db_cat_columns VALUES (4300, 570, 'qmin', 'Numeric(16,6)', 'Flow at which diversion begins for either a CUTOFF or WEIR divider (flow units).');
INSERT INTO db_cat_columns VALUES (4310, 570, 'ht', 'Numeric(12,4)', 'Height of WEIR divider (ft orm).');
INSERT INTO db_cat_columns VALUES (4320, 570, 'cd', 'Numeric(12,4)', 'Discharge coefficient for WEIR divider.');
INSERT INTO db_cat_columns VALUES (4330, 570, 'y0', 'Numeric(12,4)', 'Water depth at start of simulation (ft or m) (default is 0).');
INSERT INTO db_cat_columns VALUES (4340, 570, 'ysur', 'Numeric(12,4)', 'Maximum additional head above ground elevation that node can sustain under surcharge conditions (ft or m) (default is 0).');
INSERT INTO db_cat_columns VALUES (4350, 570, 'apond', 'numeric(12,4)', 'Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).');
INSERT INTO db_cat_columns VALUES (4360, 580, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (4370, 580, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (4380, 580, 'value', 'Numeric(12,5)', 'Average baseline value for corresponding Item (flow or concentration units).');
INSERT INTO db_cat_columns VALUES (4390, 580, 'pat1', 'varchar(16)', 'Name of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_columns VALUES (4400, 580, 'pat2', 'varchar(16)', 'Name of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_columns VALUES (4410, 580, 'pat3', 'varchar(16)', 'Name of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_columns VALUES (4420, 580, 'pat4', 'varchar(16)', 'Name of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_columns VALUES (10, 10, 'id', 'Varchar (20)', 'ID of a street type. Primary key.');
INSERT INTO db_cat_columns VALUES (20, 10, 'observ', 'Varchar (50)', 'Observations related to street type. Additional information');
INSERT INTO db_cat_columns VALUES (30, 20, 'id', 'Varchar(16)', 'ID of a street. Primary key.');
INSERT INTO db_cat_columns VALUES (40, 20, 'type', 'Varchar(18)', 'Street type.');
INSERT INTO db_cat_columns VALUES (50, 20, 'name', 'Varchar(100)', 'Street name.');
INSERT INTO db_cat_columns VALUES (60, 20, 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (70, 20, 'the_geom', 'public.geometry', 'Line geometry field.');
INSERT INTO db_cat_columns VALUES (80, 30, 'id', 'Varchar (16)', 'ID of a urban propierties. Primary key.');
INSERT INTO db_cat_columns VALUES (3330, 380, 'add_info', 'varchar(255)', 'Additional information about the feature');
INSERT INTO db_cat_columns VALUES (3490, 400, 'id', 'varchar(16)', 'Element related to node identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (3500, 400, 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_columns VALUES (3510, 400, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (3530, 410, 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_columns VALUES (3540, 410, 'connec_id', 'varchar(16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_columns VALUES (3550, 420, 'id', 'varchar(16)', 'Element related to gully identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (3560, 420, 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_columns VALUES (3570, 420, 'gully_id', 'varchar(16)', 'Node identifier related to the primary key of the gully table');
INSERT INTO db_cat_columns VALUES (3580, 430, 'id', 'varchar(16)', 'ID of value state. Primary key.');
INSERT INTO db_cat_columns VALUES (3590, 430, 'observ', 'varchar(254)', 'Observations related to state. Additional information');
INSERT INTO db_cat_columns VALUES (3600, 440, 'id', 'varchar(16)', 'ID of verification status. Primary key.');
INSERT INTO db_cat_columns VALUES (3610, 440, 'observ', 'varchar(254)', 'Observations related to verification status Additional information');
INSERT INTO db_cat_columns VALUES (3620, 450, 'id', 'varchar(16)', 'ID of value yes/no. Primary key.');
INSERT INTO db_cat_columns VALUES (3640, 460, 'hydrology_id', 'varchar(20)', 'Hydrology identifier.');
INSERT INTO db_cat_columns VALUES (10130, 1540, 'value', NULL, 'Value.');
INSERT INTO db_cat_columns VALUES (4430, 590, 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_columns VALUES (4440, 590, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (4450, 590, 'value', 'Numeric(12,4)', 'Average baseline value for corresponding Item (flow or concentration units).');
INSERT INTO db_cat_columns VALUES (4460, 590, 'pat1', 'varchar(16)', 'Names of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_columns VALUES (4470, 590, 'pat2', 'varchar(16)', 'Names of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_columns VALUES (4480, 590, 'pat3', 'varchar(16)', 'Names of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_columns VALUES (4490, 590, 'pat4', 'varchar(16)', 'Names of up to four time patterns appearing in the patterns table.');
INSERT INTO db_cat_columns VALUES (4500, 600, 'evap_type', 'varchar(16)', 'Evaporation type (CONSTANT, MONTHLY, TIMESERIES, TEMPERATURE or FILE)');
INSERT INTO db_cat_columns VALUES (4510, 600, 'evap', 'Numeric(12,4)', 'Constant evaporation rate (in/day or mm/day).');
INSERT INTO db_cat_columns VALUES (4520, 600, 'timser_id', 'varchar(16)', 'Name of time series inÂ timeseriesÂ table with evaporation data.');
INSERT INTO db_cat_columns VALUES (4530, 600, 'value_1', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in January (in/day or mm/day).');
INSERT INTO db_cat_columns VALUES (4540, 600, 'value_2', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in February (in/day or mm/day).');
INSERT INTO db_cat_columns VALUES (4550, 600, 'value_3', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in March (in/day or mm/day).');
INSERT INTO db_cat_columns VALUES (4560, 600, 'value_4', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in April (in/day or mm/day).');
INSERT INTO db_cat_columns VALUES (4570, 600, 'value_5', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in May (in/day or mm/day).');
INSERT INTO db_cat_columns VALUES (4580, 600, 'value_6', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in June (in/day or mm/day).');
INSERT INTO db_cat_columns VALUES (4590, 600, 'value_7', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in July (in/day or mm/day).');
INSERT INTO db_cat_columns VALUES (4600, 600, 'value_8', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in August (in/day or mm/day).');
INSERT INTO db_cat_columns VALUES (4610, 600, 'value_9', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in September (in/day or mm/day).');
INSERT INTO db_cat_columns VALUES (4620, 600, 'value_10', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in October (in/day or mm/day).');
INSERT INTO db_cat_columns VALUES (4630, 600, 'value_11', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in November (in/day or mm/day).');
INSERT INTO db_cat_columns VALUES (4640, 600, 'value_12', 'Numeric(12,4)', 'Evaporation value parameters of SWMM project. Evaporation rate in December (in/day or mm/day).');
INSERT INTO db_cat_columns VALUES (4650, 600, 'pan_1', 'Numeric(12,4)', 'Pan coefficient for January.');
INSERT INTO db_cat_columns VALUES (4660, 600, 'pan_2', 'Numeric(12,4)', 'Pan coefficient for February.');
INSERT INTO db_cat_columns VALUES (4670, 600, 'pan_3', 'Numeric(12,4)', 'Pan coefficient for March.');
INSERT INTO db_cat_columns VALUES (4680, 600, 'pan_4', 'Numeric(12,4)', 'Pan coefficient for April.');
INSERT INTO db_cat_columns VALUES (4690, 600, 'pan_5', 'Numeric(12,4)', 'Pan coefficient for May.');
INSERT INTO db_cat_columns VALUES (4700, 600, 'pan_6', 'Numeric(12,4)', 'Pan coefficient for June.');
INSERT INTO db_cat_columns VALUES (4710, 600, 'pan_7', 'Numeric(12,4)', 'Pan coefficient for July.');
INSERT INTO db_cat_columns VALUES (4720, 600, 'pan_8', 'Numeric(12,4)', 'Pan coefficient for August.');
INSERT INTO db_cat_columns VALUES (4730, 600, 'pan_9', 'Numeric(12,4)', 'Pan coefficient for September.');
INSERT INTO db_cat_columns VALUES (4740, 600, 'pan_10', 'Numeric(12,4)', 'Pan coefficient for October.');
INSERT INTO db_cat_columns VALUES (4750, 600, 'pan_11', 'Numeric(12,4)', 'Pan coefficient for November.');
INSERT INTO db_cat_columns VALUES (4760, 600, 'pan_12', 'Numeric(12,4)', 'Pan coefficient for December.');
INSERT INTO db_cat_columns VALUES (4770, 600, 'recovery', 'varchar(16)', 'Identifies an optional monthly time pattern of multipliers used to modify infiltration recovery rates during dry periods. For example, if the normal infiltration recovery rate was 1% during a specific time period and a pattern factor of 0,8 applied to this period, then the actual recovery rate would be 0,8%');
INSERT INTO db_cat_columns VALUES (4780, 600, 'dry_only', 'varchar(3)', 'Determines if evaporation only occurs during periods with no precipitation. The default is NO.');
INSERT INTO db_cat_columns VALUES (4790, 610, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (4800, 610, 'actio_type', 'varchar(18)', 'Action required by this file.');
INSERT INTO db_cat_columns VALUES (4810, 610, 'file_type', 'varchar(18)', 'File type.');
INSERT INTO db_cat_columns VALUES (4820, 610, 'fname', 'varchar(254)', 'File name');
INSERT INTO db_cat_columns VALUES (4830, 620, 'subc_id', 'varchar(16)', 'Subcatchment identifier.');
INSERT INTO db_cat_columns VALUES (4840, 620, 'aquif_id', 'varchar(16)', 'Aquifer identifier.');
INSERT INTO db_cat_columns VALUES (4850, 620, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (4860, 620, 'surfel', 'Numeric(12,4)', 'Surface elevation of subcatchment (ft or m).');
INSERT INTO db_cat_columns VALUES (4870, 620, 'a1', 'Numeric(12,4)', 'Groundwater flow coefficient (see remarks).');
INSERT INTO db_cat_columns VALUES (4880, 620, 'b1', 'Numeric(12,4)', 'Groundwater flow exponent (see remarks).');
INSERT INTO db_cat_columns VALUES (4890, 620, 'a2', 'Numeric(12,4)', 'Surface water flow coefficient (see remarks).');
INSERT INTO db_cat_columns VALUES (4900, 620, 'b2', 'Numeric(12,4)', 'Surface water flow exponent (see remarks).');
INSERT INTO db_cat_columns VALUES (4910, 620, 'a3', 'Numeric(12,4)', 'Surface water â groundwater interaction coefficient (see remarks).');
INSERT INTO db_cat_columns VALUES (4920, 620, 'tw', 'Numeric(12,4)', 'Fixed depth of surface water at receiving node (ft or m) (set to zero if surface water depth will vary as computed by flow routing).');
INSERT INTO db_cat_columns VALUES (4930, 620, 'h', 'Numeric(12,4)', 'Groundwater table height which must be reached before any flows occurs (ft or m). Leave blank to use the height of the receiving node''s invert above the aquifer bottom.');
INSERT INTO db_cat_columns VALUES (4940, 620, 'fl_eq_lat', 'varchar(50)', 'To supply a custom equation for lateral groundwater flow. Enter an expression to use in addtion to the standard equation for lateral groundwater flow');
INSERT INTO db_cat_columns VALUES (4950, 620, 'fl_eq_deep', 'varchar(50)', 'To supply a custom equation for deep groundwater flow. Enter an expression to use in addtion to the standard equation for deep groundwater flow');
INSERT INTO db_cat_columns VALUES (6000, 750, 'cd', 'Numeric(12,4)', 'Discharge coefficient (unitless).');
INSERT INTO db_cat_columns VALUES (4960, 630, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (4970, 630, 'text', 'varchar(254)', 'Should follow the described format: Name Raingage, Name Month SHORT/MEDIUM/LONGÂ  RÂ  TÂ  K (Dmax Drec D0)');
INSERT INTO db_cat_columns VALUES (4980, 640, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (4990, 640, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (5000, 640, 'timser_id', 'varchar(16)', 'Time series identifier.');
INSERT INTO db_cat_columns VALUES (5010, 640, 'sfactor', 'Numeric(12,4)', 'Scaling factor that multiplies the recorded time series values (default is 1.0).');
INSERT INTO db_cat_columns VALUES (5020, 640, 'base', 'Numeric(12,4)', 'Constant baseline value added to the time series value (default is 0.0).');
INSERT INTO db_cat_columns VALUES (5030, 640, 'pattern_id', 'varchar(16)', 'Name of optional time pattern in patterns table used to adjust the baseline value on a periodic basis.');
INSERT INTO db_cat_columns VALUES (5040, 650, 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_columns VALUES (5050, 650, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (5060, 650, 'timser_id', 'varchar(16)', 'Time series identifier.');
INSERT INTO db_cat_columns VALUES (5070, 650, 'form_type', 'varchar(18)', 'CONCEN if pollutant inflow is described as a concentration, MASS if it is described as a mass flow rate (default is CONCEN).');
INSERT INTO db_cat_columns VALUES (5080, 650, 'mfactor', 'Numeric(12,4)', 'The factor that converts the inflowâs mass flow rate units into the projectâs mass units per second, where the projectâs mass units are those specified for the pollutant in the pollutants table (default is 1.0).');
INSERT INTO db_cat_columns VALUES (5090, 650, 'sfactor', 'Numeric(12,4)', 'Caling factor that multiplies the recorded time series values (default is 1.0).');
INSERT INTO db_cat_columns VALUES (5100, 650, 'base', 'Numeric(12,4)', 'Constant baseline value added to the time series value (default is 0.0).');
INSERT INTO db_cat_columns VALUES (5110, 650, 'pattern_id', 'varchar(16)', 'Name of optional time pattern in patterns table used to adjust the baseline value on a periodic basis.');
INSERT INTO db_cat_columns VALUES (5120, 660, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (5130, 660, 'y0', 'Numeric(12,4)', 'Water depth at start of simulation (ft or m) (default is 0).');
INSERT INTO db_cat_columns VALUES (5140, 660, 'ysur', 'Numeric(12,4)', 'Maximum additional head above ground elevation that manhole junction can sustain under surcharge conditions (ft or m) (default is 0).');
INSERT INTO db_cat_columns VALUES (5150, 660, 'apond', 'numeric(12,4)', 'Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).');
INSERT INTO db_cat_columns VALUES (5160, 670, 'label', 'varchar(16)', 'Text of label surrounded by double quotes.');
INSERT INTO db_cat_columns VALUES (5170, 670, 'xcoord', 'numeric(18,6)', 'Location of the label: x coordinate.');
INSERT INTO db_cat_columns VALUES (5180, 670, 'ycoord', 'numeric(18,6)', 'Location of the label: y coordinate.');
INSERT INTO db_cat_columns VALUES (5190, 670, 'anchor', 'varchar(16)', 'Name of node or subcatchment that anchors the label on zoom-ins');
INSERT INTO db_cat_columns VALUES (5200, 670, 'font', 'varchar(50)', 'Font style of the label.');
INSERT INTO db_cat_columns VALUES (5210, 670, 'size', 'Numeric(12,4)', 'Size of the label.');
INSERT INTO db_cat_columns VALUES (5220, 670, 'bold', 'varchar(3)', 'Style of the label: bold.');
INSERT INTO db_cat_columns VALUES (5230, 670, 'italic', 'varchar(3)', 'Style of the label: italic.');
INSERT INTO db_cat_columns VALUES (5240, 680, 'landus_id', 'varchar(16)', 'ID (label land use name).');
INSERT INTO db_cat_columns VALUES (5250, 680, 'sweepint', 'Numeric(12,4)', 'Days between street sweeping.');
INSERT INTO db_cat_columns VALUES (5260, 680, 'availab', 'Numeric(12,4)', 'Fraction of pollutant buildup available for removal by street sweeping.');
INSERT INTO db_cat_columns VALUES (5270, 680, 'lastsweep', 'numeric(12,4)', 'Days since last sweeping at start of the simulation.');
INSERT INTO db_cat_columns VALUES (5280, 690, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (5290, 690, 'lidco_id', 'varchar(16)', 'ID label (name assigned to LID process).');
INSERT INTO db_cat_columns VALUES (5300, 690, 'lidco_type', 'varchar(10)', 'The Lid Controls can be: SURFACE, SOIL, PAVEMENT, STORAGE, DRAIN.');
INSERT INTO db_cat_columns VALUES (5310, 690, 'value_2', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_columns VALUES (5320, 690, 'value_3', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_columns VALUES (5330, 690, 'value_4', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_columns VALUES (5340, 690, 'value_5', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_columns VALUES (5350, 690, 'value_6', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_columns VALUES (5360, 690, 'value_7', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_columns VALUES (5370, 690, 'value_8', 'Numeric(12,4)', 'Value dependent on Lidco type (see Remarks).');
INSERT INTO db_cat_columns VALUES (5380, 700, 'subc_id', 'varchar(16)', 'Subcatchment identifier.');
INSERT INTO db_cat_columns VALUES (5390, 700, 'lidco_id', 'varchar(16)', 'ID label (name of an LID process defined in the [LID_CONTROLS] table).');
INSERT INTO db_cat_columns VALUES (5400, 700, 'number', 'int2,', 'The number of replicate LID units deployed.');
INSERT INTO db_cat_columns VALUES (5410, 700, 'area', 'Numeric(16,6)', 'The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).The area of each replicate unit (ft2Â or m2).');
INSERT INTO db_cat_columns VALUES (5420, 700, 'width', 'Numeric(12,4)', 'The width of the outflow face of each identical LID unit (in ft or m). This parameter only applies to LID processes such as porous pavement and vegetative swales that use overland flow to convey surface runoff off of the unit. (The other LID processes, such as bio-retention cells and infiltration trenches simply spill any excess captured runoff over their berms.)');
INSERT INTO db_cat_columns VALUES (5430, 700, 'initsat', 'Numeric(12,4)', 'The percent to which the unit''s soil layer or storage layer is initially filled with water.');
INSERT INTO db_cat_columns VALUES (6010, 750, 'orate', 'Numeric(12,4)', 'Time in decimal hours to open a fully closed orifice (or close a fully open one). Use 0 if the orifice can open/close instantaneously.');
INSERT INTO db_cat_columns VALUES (9400, 1440, 'deep_perc', 'Numeric(12,4)', 'Deep Percolation.');
INSERT INTO db_cat_columns VALUES (5440, 700, 'fromimp', 'Numeric(12,4)', 'The percent of the impervious portion of the subcatchment''s non-LID area whose runoff is treated by the LID units. If the LID unit treats only direct rainfall, such as with a green roof, then this value should be 0. If the LID takes up the entire subcatchment then this field is ignored.');
INSERT INTO db_cat_columns VALUES (5450, 700, 'toperv', 'int2,', '1 if the outflow from the LID is returned onto the subcatchment''s pervious area rather than going to the subcatchment''s outlet; 0 otherwise. An example of where this might apply is a rain barrel whose contents are used to irrigate a lawn area. This field is ignored if the LID takes up the entire subcatchment.');
INSERT INTO db_cat_columns VALUES (5460, 700, 'rptfile', 'varchar(10)', 'Optional name of a file to which detailed time series results for the LID will be written. Enclose the name in double quotes if it contains spaces and include the full path if it is different than the SWMM input file path.');
INSERT INTO db_cat_columns VALUES (5470, 710, 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_columns VALUES (5480, 710, 'subc_id', 'varchar(16)', 'Subcatchment identifier.');
INSERT INTO db_cat_columns VALUES (5490, 710, 'ibuildup', 'numeric(12,4)', 'Initial buildup of pollutant (lbs/acre or kg/hectare).');
INSERT INTO db_cat_columns VALUES (5500, 720, 'type_dim', 'varchar(18)', 'Type of map dimensions.');
INSERT INTO db_cat_columns VALUES (5510, 720, 'x1', 'numeric(18,6)', 'Lower-left X coordinate of full map extent.');
INSERT INTO db_cat_columns VALUES (5520, 720, 'y1', 'numeric(18,6)', 'Lower-left Y coordinate of full map extent');
INSERT INTO db_cat_columns VALUES (5530, 720, 'x2', 'numeric(18,6)', 'Upper-right X coordinate of full map extent');
INSERT INTO db_cat_columns VALUES (5540, 720, 'y2', 'Numeric(18,6', 'Upper-right Y coordinate of full map extent');
INSERT INTO db_cat_columns VALUES (5550, 730, 'type_units', 'varchar(18)', 'Type of map units.');
INSERT INTO db_cat_columns VALUES (5560, 730, 'map_type', 'varchar(18)', 'Map type.');
INSERT INTO db_cat_columns VALUES (5570, 2020, 'id', 'int4', 'Node related to sector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (5580, 2020, 'node_id', 'Varchar (16)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (5590, 2020, 'sector_id', 'Varchar (16)', 'Sector identifier.');
INSERT INTO db_cat_columns VALUES (5600, 2020, 'epa_type', 'Varchar (16)', 'Epa type.');
INSERT INTO db_cat_columns VALUES (5610, 740, 'flow_units', 'varchar(20)', 'Type of units in which flow rates are expressed.');
INSERT INTO db_cat_columns VALUES (5620, 740, 'flow_routing', 'varchar(12)', 'Method used to route flows through the drainage system.');
INSERT INTO db_cat_columns VALUES (5630, 740, 'link_offsets', 'varchar(12)', 'The convention used to specify the position of a link offset above the invert of its connecting node.');
INSERT INTO db_cat_columns VALUES (5640, 740, 'force_main_equation', 'varchar(3)', 'Establishes whether the Hazen-Williams (H-W) or the Darcy-Weisbach (D-W) equation will be used to compute friction losses for pressurized flow in conduits that have been assigned a Circular Force Main crosssection shape. The default is H-W.');
INSERT INTO db_cat_columns VALUES (5650, 740, 'ignore_rainfall', 'varchar(3)', 'Set to YES if all rainfall data and runoff calculations should be ignored.');
INSERT INTO db_cat_columns VALUES (5660, 740, 'ignore_snowmelt', 'varchar(3)', 'Set to YES if all snowmelt data and runoff calculations should be ignored when project file contains snow pack objects..');
INSERT INTO db_cat_columns VALUES (5670, 740, 'ignore_groundwater', 'varchar(3)', 'Set to YES if all groundwater data and runoff calculations should be ignored when a project file contains aquifer objects');
INSERT INTO db_cat_columns VALUES (5680, 740, 'ignore_routing', 'varchar(3)', 'Set to YES if only runoff should be computed even if the project contains drainage system links and nodes.');
INSERT INTO db_cat_columns VALUES (5690, 740, 'ignore_quality', 'varchar(3)', 'Set to YES if pollutant washoff, routing, and treatment should be ignored in a project that has pollutants defined.');
INSERT INTO db_cat_columns VALUES (5700, 740, 'skip_steady_state', 'varchar(3)', 'Set to YES if flow routing computations should be skipped during steady state periods of a simulation during which the last set of computed flows will be used.');
INSERT INTO db_cat_columns VALUES (5710, 740, 'start_date', 'varchar(12)', 'Date when the simulation begins.');
INSERT INTO db_cat_columns VALUES (5720, 740, 'start_time', 'varchar(12)', 'Time when the simulation begins.');
INSERT INTO db_cat_columns VALUES (5730, 740, 'end_date', 'varchar(12)', 'Date when the simulation ends.');
INSERT INTO db_cat_columns VALUES (5740, 740, 'end_time', 'varchar(12)', 'Time when the simulation ends.');
INSERT INTO db_cat_columns VALUES (5750, 740, 'report_start_date', 'varchar(12)', 'Date when reporting of results is to begin.');
INSERT INTO db_cat_columns VALUES (5760, 740, 'report_start_time', 'varchar(12)', 'Time when reporting of results is to begin.');
INSERT INTO db_cat_columns VALUES (5770, 740, 'sweep_start', 'varchar(12)', 'Day of the year (month/day) when street sweeping operations begins.');
INSERT INTO db_cat_columns VALUES (5780, 740, 'sweep_end', 'varchar(12)', 'Day of the year (month/day) when street sweeping operations ends.');
INSERT INTO db_cat_columns VALUES (5790, 740, 'dry_days', 'Numeric(12)', 'The number of days with no rainfall prior to the start of the simulation. The default is 0.');
INSERT INTO db_cat_columns VALUES (5800, 740, 'report_step', 'varchar(12)', 'The time interval for reporting of computed results. The default is 0:15:00.');
INSERT INTO db_cat_columns VALUES (5810, 740, 'wet_step', 'varchar(12)', 'The time step length used to compute runoff from subcatchments during periods of rainfall or when ponded water still remains on the surface. The default is 0:05:00.');
INSERT INTO db_cat_columns VALUES (5820, 740, 'dry_step', 'varchar(12)', 'The time step length used for runoff computations (consisting essentially of pollutant buildup) during periods when there is no rainfall and no ponded water. The default is 1:00:00.');
INSERT INTO db_cat_columns VALUES (5830, 740, 'routing_step', 'varchar(12)', 'The time step length in seconds used for routing flows and water quality constituents through the conveyance system. The default is 600 sec.');
INSERT INTO db_cat_columns VALUES (5840, 740, 'lengthening_step', 'Numeric(12,6)', 'Time step, in seconds, used to lengthen conduits under dynamic wave routing, so that they meet the Courant stability criterion under fullflow conditions');
INSERT INTO db_cat_columns VALUES (5850, 740, 'variable_step', 'Numeric(12,6)', 'Safety factor applied to a variable time step computed for each time period under dynamic wave flow routing.');
INSERT INTO db_cat_columns VALUES (5860, 740, 'inertial_damping', 'varchar(12)', 'Indicates how the inertial terms in the Saint Venant momentum equation will be handled under dynamic wave flow routing.');
INSERT INTO db_cat_columns VALUES (5870, 740, 'normal_flow_limited', 'varchar(12)', 'Specifies which condition is checked to determine if flow in a conduit is supercritical and should thus be limited to the normal flow.');
INSERT INTO db_cat_columns VALUES (5880, 740, 'min_surfarea', 'Numeric(12,6)', 'Minimum surface area used at nodes when computing changes in water depth under dynamic wave routing.');
INSERT INTO db_cat_columns VALUES (5890, 740, 'min_slope', 'Numeric(12,6)', 'Minimum value allowed for a conduitâs slope (%).');
INSERT INTO db_cat_columns VALUES (5900, 740, 'allow_ponding', 'varchar(3)', 'YES if the node allow ponding on the surface');
INSERT INTO db_cat_columns VALUES (5910, 740, 'tempdir', 'varchar(254)', 'The name of a file directory (or folder) where SWMM writes its temporarty files.');
INSERT INTO db_cat_columns VALUES (5920, 740, 'max_trials', 'int4,', 'Maximum trials allowed on the simulation');
INSERT INTO db_cat_columns VALUES (5930, 740, 'head_tolerance', 'Numeric(12,4)', 'Head tolerance parameter');
INSERT INTO db_cat_columns VALUES (5940, 740, 'sys_flow_tol', 'int4,', 'Tolerance of system flow');
INSERT INTO db_cat_columns VALUES (5950, 740, 'lat_flow_tol', 'int4', 'Tolerance of lateral flow');
INSERT INTO db_cat_columns VALUES (5960, 750, 'arc_id', 'varchar(16)', 'Arc identifier');
INSERT INTO db_cat_columns VALUES (5970, 750, 'node_id', 'varchar(16)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (5980, 750, 'ori_type', 'varchar(18)', 'Orientation of orifice: either SIDE or BOTTOM.');
INSERT INTO db_cat_columns VALUES (5990, 750, 'offset', 'Numeric(12,4)', 'Amount that a Side Orificeâs bottom or the position of a Bottom Orifice is offset above the invert of inlet node (ft or m, expressed as either a depth or as an elevation, depending on the LINK_OFFSETS option setting).');
INSERT INTO db_cat_columns VALUES (6020, 750, 'flap', 'varchar(3)', 'YES if flap gate present to prevent reverse flow, NO if not (default is NO).');
INSERT INTO db_cat_columns VALUES (6030, 750, 'shape', 'varchar(18)', 'Cross-section shape.The only allowable shapes are CIRCULAR and RECT_CLOSED (closed rectangular).');
INSERT INTO db_cat_columns VALUES (6040, 750, 'to_arc', 'varchar(16)', 'This fields identifies the direction of the flow of the shortpipe, applied only for the case of check valves');
INSERT INTO db_cat_columns VALUES (6050, 750, 'geom1', 'Numeric(12,4)', 'Maximum depth (ft or m).');
INSERT INTO db_cat_columns VALUES (6060, 750, 'geom2', 'numeric(12,4)', 'Width parameter (ft or m)');
INSERT INTO db_cat_columns VALUES (6070, 750, 'geom3', 'numeric(12,4)', 'Auxiliary parameters (width,side,slopes, etc.) as listed in Table D-1 from Appendix D of SWMM''s Manual.');
INSERT INTO db_cat_columns VALUES (6080, 750, 'geom4', 'numeric(12,4)', 'Auxiliary parameters (width,side,slopes, etc.) as listed in Table D-1 from Appendix D of SWMM''s Manual.');
INSERT INTO db_cat_columns VALUES (6090, 760, 'node_id', 'varchar(16)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (6100, 760, 'outfall_type', 'varchar(16)', 'An outfall can be: FREE, NORMAL, FIXED, TIDAL or TIMESERIES.');
INSERT INTO db_cat_columns VALUES (6110, 760, 'stage', 'Numeric(12,4)', 'Elevation of fixed stage outfall (ft or m).');
INSERT INTO db_cat_columns VALUES (6120, 760, 'curve_id', 'varchar(16)', 'Curve identifier.');
INSERT INTO db_cat_columns VALUES (6130, 760, 'timser_id', 'varchar(16)', 'Time series identifier.');
INSERT INTO db_cat_columns VALUES (6140, 760, 'gate', 'varchar(3)', 'YES or NO depending on whether a flap gate is present that prevents reverse flow.');
INSERT INTO db_cat_columns VALUES (6150, 770, 'arc_id', 'varchar(16)', 'Arc identifier');
INSERT INTO db_cat_columns VALUES (6160, 770, 'node_id', 'varchar(16)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (6170, 770, 'outlet_type', 'varchar(16)', 'A outlet can be: TABULAR / DEPTH, TABULAR / HEAD, FUNCTIONALÂ  / DEPTH or FUNCTIONAL / HEAD.');
INSERT INTO db_cat_columns VALUES (6180, 770, 'offset', 'Numeric(12,4)', 'Amount that the outlet is offset above the invert of inlet node (ft or m, expressed as either a depth or as an elevation, depending on the LINK_OFFSETS option setting).');
INSERT INTO db_cat_columns VALUES (6190, 770, 'curve_id', 'varchar(16)', 'Curve identifier.');
INSERT INTO db_cat_columns VALUES (6200, 770, 'cd1', 'Numeric(12,4)', 'Coefficient for a FUNCTIONAL discharge funtion');
INSERT INTO db_cat_columns VALUES (6210, 770, 'cd2', 'Numeric(12,4)', 'Exponent for a FUNCTIONAL discharge function');
INSERT INTO db_cat_columns VALUES (6220, 770, 'flap', 'varchar(3)', 'YES if flap gate present to prevent reverse flow, NO if not (default is NO).');
INSERT INTO db_cat_columns VALUES (6230, 780, 'pattern_id', 'varchar(16)', 'Pattern identifier.');
INSERT INTO db_cat_columns VALUES (6240, 780, 'pattern_type', 'varchar(16)', 'A pattern can be: MONTHLY, DAILY, HOURLY or WEEKEND (see Remarks)');
INSERT INTO db_cat_columns VALUES (6250, 780, 'factor_1', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6260, 780, 'factor_2', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6270, 780, 'factor_3', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6280, 780, 'factor_4', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6290, 780, 'factor_5', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6300, 780, 'factor_6', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6310, 780, 'factor_7', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6320, 780, 'factor_8', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6330, 780, 'factor_9', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6340, 780, 'factor_10', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6350, 780, 'factor_11', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6360, 780, 'factor_12', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6370, 780, 'factor_13', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6380, 780, 'factor_14', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6390, 780, 'factor_15', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6400, 780, 'factor_16', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6410, 780, 'factor_17', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6420, 780, 'factor_18', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6430, 780, 'factor_19', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6440, 780, 'factor_20', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6450, 780, 'factor_21', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6470, 780, 'factor_23', 'Numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6480, 780, 'factor_24', 'numeric(12,4)', 'Multiplier values.');
INSERT INTO db_cat_columns VALUES (6490, 790, 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_columns VALUES (6500, 790, 'units_type', 'varchar(18)', 'Concentration units (MG/L for milligrams per liter, UG/L for micrograms per liter, or #/L for direct count per liter).');
INSERT INTO db_cat_columns VALUES (6510, 790, 'crain', 'Numeric(12,4)', 'Concentration of pollutant in rainfall (concentration units).');
INSERT INTO db_cat_columns VALUES (6520, 790, 'cgw', 'Numeric(12,4)', 'Concentration of pollutant in groundwater (concentration units).');
INSERT INTO db_cat_columns VALUES (6530, 790, 'cii', 'Numeric(12,4)', 'Concentration of pollutant in inflow/infiltration (concentration units).');
INSERT INTO db_cat_columns VALUES (6540, 790, 'kd', 'Numeric(12,4)', 'First-order decay coefficient (1/days).');
INSERT INTO db_cat_columns VALUES (6550, 790, 'sflag', 'varchar(3)', 'YES if pollutant buildup occurs only when there is snow cover, NO otherwise (default is NO).');
INSERT INTO db_cat_columns VALUES (6560, 790, 'copoll_id', 'varchar(16)', 'Co-pollutant identifier.');
INSERT INTO db_cat_columns VALUES (6570, 790, 'cofract', 'Numeric(12,4)', 'Fraction of co-pollutant concentration (default is 0).');
INSERT INTO db_cat_columns VALUES (6580, 790, 'cdwf', 'numeric(12,4)', 'Concentration of pollutant in dry weather flow (concentration units).');
INSERT INTO db_cat_columns VALUES (6590, 800, 'title', 'varchar(254)', 'Title of the project');
INSERT INTO db_cat_columns VALUES (6600, 800, 'author', 'varchar(50)', 'Author of the project');
INSERT INTO db_cat_columns VALUES (6610, 800, 'date', 'varchar(12)', 'Project creation date.');
INSERT INTO db_cat_columns VALUES (6620, 810, 'arc_id', 'varchar(16)', 'Arc identifier');
INSERT INTO db_cat_columns VALUES (6630, 810, 'node_id', 'varchar(16)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (6640, 810, 'curve_id', 'varchar(16)', 'Curve identifier.');
INSERT INTO db_cat_columns VALUES (6650, 810, 'to_arc', 'varchar(16)', 'This fields identifies the direction of the flow of the shortpipe, applied only for the case of check valves');
INSERT INTO db_cat_columns VALUES (6660, 810, 'status', 'varchar(3)', 'Status at start of simulation (either ON or OFF; default is ON).');
INSERT INTO db_cat_columns VALUES (6670, 810, 'startup', 'Numeric(12,4)', 'Depth at inlet node when pump turns on (ft or m) (default is 0).');
INSERT INTO db_cat_columns VALUES (6680, 810, 'shutoff', 'numeric(12,4)', 'Depth at inlet node when pump shuts off (ft or m) (default is 0).');
INSERT INTO db_cat_columns VALUES (6690, 820, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (6700, 820, 'hydro_id', 'varchar(16)', 'Hydrograph identifier. (name of an RDII unit hydrograph group specified in the hydrographs table).');
INSERT INTO db_cat_columns VALUES (6710, 820, 'sewerarea', 'numeric(16,6)', 'Area of the sewershed which contributes RDII to the node (acres or hectares).');
INSERT INTO db_cat_columns VALUES (6720, 830, 'input', 'varchar(18)', 'Specifies whether or not a summary of the input data should be provided in the output report. The default is NO.');
INSERT INTO db_cat_columns VALUES (6730, 830, 'continuity', 'varchar(20)', 'Specifies whether continuity checks should be reported or not. The default is YES.');
INSERT INTO db_cat_columns VALUES (6740, 830, 'flowstats', 'varchar(3)', 'Specifies whether summary flow statistics should be reported or not. The default is YES.');
INSERT INTO db_cat_columns VALUES (6750, 830, 'controls', 'varchar(3)', 'Specifies whether all control actions taken during a simulation should be listed or not. The default is NO.');
INSERT INTO db_cat_columns VALUES (6760, 830, 'subcatchments', 'varchar(4)', 'List of subcatchments whose results are to be reported. The default is NONE.');
INSERT INTO db_cat_columns VALUES (6770, 830, 'nodes', 'varchar(4)', 'List of nodes whose results are to be reported. The default is NONE.');
INSERT INTO db_cat_columns VALUES (6780, 830, 'links', 'varchar(4)', 'List of links whose results are to be reported. The default is NONE.');
INSERT INTO db_cat_columns VALUES (6790, 840, 'stemp', 'numeric(12,4)', 'Air temperature at which precipitation falls as snow (deg F or C).');
INSERT INTO db_cat_columns VALUES (6800, 840, 'atiwt', 'numeric(12,4)', 'Antecedent temperature index weight (default is 0.5).');
INSERT INTO db_cat_columns VALUES (6810, 840, 'rnm', 'numeric(12,4)', 'Negative melt ratio (default is 0.6).');
INSERT INTO db_cat_columns VALUES (6820, 840, 'elev', 'numeric(12,4)', 'Average elevation of study area above mean sea level (ft or m) (default is 0).');
INSERT INTO db_cat_columns VALUES (6830, 840, 'lat', 'numeric(12,4)', 'Latitude of the study area in degrees North (default is 50).');
INSERT INTO db_cat_columns VALUES (6840, 840, 'dtlong', 'numeric(12,4)', 'Correction, in minutes of time, between true solar time and the standard clock time (default is 0).');
INSERT INTO db_cat_columns VALUES (6850, 840, 'i_f0', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.');
INSERT INTO db_cat_columns VALUES (6860, 840, 'i_f1', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,1.');
INSERT INTO db_cat_columns VALUES (6870, 840, 'i_f2', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,2.');
INSERT INTO db_cat_columns VALUES (6880, 840, 'i_f3', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,3.');
INSERT INTO db_cat_columns VALUES (6890, 840, 'i_f4', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,4.');
INSERT INTO db_cat_columns VALUES (6900, 840, 'i_f5', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,5.');
INSERT INTO db_cat_columns VALUES (6910, 840, 'i_f6', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,6.');
INSERT INTO db_cat_columns VALUES (6920, 840, 'i_f7', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,7.');
INSERT INTO db_cat_columns VALUES (6930, 840, 'i_f8', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,8.');
INSERT INTO db_cat_columns VALUES (6940, 840, 'i_f9', 'numeric(12,4)', 'In imprevious area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0,9.');
INSERT INTO db_cat_columns VALUES (6950, 840, 'p_f0', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.');
INSERT INTO db_cat_columns VALUES (6960, 840, 'p_f1', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.1.');
INSERT INTO db_cat_columns VALUES (6970, 840, 'p_f2', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.2.');
INSERT INTO db_cat_columns VALUES (6980, 840, 'p_f3', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.3.');
INSERT INTO db_cat_columns VALUES (6990, 840, 'p_f4', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.4.');
INSERT INTO db_cat_columns VALUES (7000, 840, 'p_f5', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.5.');
INSERT INTO db_cat_columns VALUES (7010, 840, 'p_f6', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.6.');
INSERT INTO db_cat_columns VALUES (9360, 1440, 'init_stor', 'Numeric(12,4)', 'Initial Storage.');
INSERT INTO db_cat_columns VALUES (7020, 840, 'p_f7', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.7.');
INSERT INTO db_cat_columns VALUES (7030, 840, 'p_f8', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.8.');
INSERT INTO db_cat_columns VALUES (7040, 840, 'p_f9', 'numeric(12,4)', 'In previous area, fraction of area covered by snow when ratio of snow depth to depth at 100% cover is 0.9.');
INSERT INTO db_cat_columns VALUES (7050, 850, 'snow_id', 'varchar(16)', 'Snow identifier.');
INSERT INTO db_cat_columns VALUES (7060, 850, 'cmin_1', 'Numeric(12,4)', 'Minimum melt coefficient (in/hr-deg F or mm/hr-deg C).');
INSERT INTO db_cat_columns VALUES (7070, 850, 'cmax_1', 'Numeric(12,4)', 'Maximum melt coefficient (in/hr-deg F or mm/hr-deg C).');
INSERT INTO db_cat_columns VALUES (7080, 850, 'tbase_1', 'Numeric(12,4)', 'Snow melt base temperature (deg F or deg C).');
INSERT INTO db_cat_columns VALUES (7090, 850, 'fwf_1', 'Numeric(12,4)', 'Ratio of free water holding capacity to snow depth (fraction).');
INSERT INTO db_cat_columns VALUES (7100, 850, 'sd0_1', 'Numeric(12,4)', 'Initial snow depth (in or mm water equivalent).');
INSERT INTO db_cat_columns VALUES (7110, 850, 'fw0_1', 'Numeric(12,4)', 'Initial free water in pack (in or mm).');
INSERT INTO db_cat_columns VALUES (7120, 850, 'snn0_1', 'Numeric(12,4)', 'Fraction of impervious area that can be plowed.');
INSERT INTO db_cat_columns VALUES (7130, 850, 'cmin_2', 'Numeric(12,4)', 'Minimum melt coefficient (in/hr-deg F or mm/hr-deg C).');
INSERT INTO db_cat_columns VALUES (7140, 850, 'cmax_2', 'Numeric(12,4)', 'Maximum melt coefficient (in/hr-deg F or mm/hr-deg C).');
INSERT INTO db_cat_columns VALUES (7150, 850, 'tbase_2', 'Numeric(12,4)', 'Snow melt base temperature (deg F or deg C).');
INSERT INTO db_cat_columns VALUES (7160, 850, 'fwf_2', 'Numeric(12,4)', 'Ratio of free water holding capacity to snow depth (fraction).');
INSERT INTO db_cat_columns VALUES (7170, 850, 'sd0_2', 'Numeric(12,4)', 'Initial snow depth (in or mm water equivalent).');
INSERT INTO db_cat_columns VALUES (7180, 850, 'fw0_2', 'Numeric(12,4)', 'Initial free water in pack (in or mm).');
INSERT INTO db_cat_columns VALUES (7190, 850, 'sd100_1', 'Numeric(12,4)', 'Snow depth above which there is 100% cover (in or mm water equivalent).');
INSERT INTO db_cat_columns VALUES (7200, 850, 'cmin_3', 'Numeric(12,4)', 'Minimum melt coefficient (in/hr-deg F or mm/hr-deg C).');
INSERT INTO db_cat_columns VALUES (7210, 850, 'cmax_3', 'Numeric(12,4)', 'Maximum melt coefficient (in/hr-deg F or mm/hr-deg C).');
INSERT INTO db_cat_columns VALUES (7220, 850, 'tbase_3', 'Numeric(12,4)', 'Snow melt base temperature (deg F or deg C).');
INSERT INTO db_cat_columns VALUES (7230, 850, 'fwf_3', 'Numeric(12,4)', 'Ratio of free water holding capacity to snow depth (fraction).');
INSERT INTO db_cat_columns VALUES (7240, 850, 'sd0_3', 'Numeric(12,4)', 'Initial snow depth (in or mm water equivalent).');
INSERT INTO db_cat_columns VALUES (7250, 850, 'fw0_3', 'Numeric(12,4)', 'Initial free water in pack (in or mm).');
INSERT INTO db_cat_columns VALUES (7260, 850, 'sd100_2', 'Numeric(12,4)', 'Snow depth above which there is 100% cover (in or mm water equivalent).');
INSERT INTO db_cat_columns VALUES (7270, 850, 'sdplow', 'Numeric(12,4)', 'Depth of snow on plowable areas at which snow removal begins (in or mm).');
INSERT INTO db_cat_columns VALUES (7280, 850, 'fout', 'Numeric(12,4)', 'Fraction of snow on plowable area transferred out of watershed.');
INSERT INTO db_cat_columns VALUES (7290, 850, 'fimp', 'Numeric(12,4)', 'Fraction of snow on plowable area transferred to impervious area by plowing.');
INSERT INTO db_cat_columns VALUES (7300, 850, 'fperv', 'Numeric(12,4)', 'Fraction of snow on plowable area transferred to pervious area by plowing.');
INSERT INTO db_cat_columns VALUES (7310, 850, 'fimelt', 'Numeric(12,4)', 'Fraction of snow on plowable area converted into immediate melt.');
INSERT INTO db_cat_columns VALUES (7320, 850, 'fsub', 'Numeric(12,4)', 'Fraction ofÂ  snow on plowable area transferred to pervious area in another subcatchment.');
INSERT INTO db_cat_columns VALUES (7330, 850, 'subc_id', 'varchar(16)', 'Subcatchment identifier.');
INSERT INTO db_cat_columns VALUES (7340, 860, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (7350, 860, 'storage_type', 'varchar(18)', 'A sotrage can be: TABULAR or FUNCTIONAL.');
INSERT INTO db_cat_columns VALUES (7360, 860, 'curve_id', 'varchar(16)', 'Curve identifier.');
INSERT INTO db_cat_columns VALUES (7370, 860, 'a1', 'Numeric(12,4)', 'Coefficient of FUNCTIONAL relation between surface area and depth.');
INSERT INTO db_cat_columns VALUES (7380, 860, 'a2', 'Numeric(12,4)', 'Exponent of FUNCTIONAL relation between surface area and depth.');
INSERT INTO db_cat_columns VALUES (7390, 860, 'a0', 'Numeric(12,4)', 'Constant of FUNCTIONAL relation between surface area and depth.');
INSERT INTO db_cat_columns VALUES (7400, 860, 'fevap', 'Numeric(12,4)', 'Fraction of potential evaporation from surface realized (default is 0).');
INSERT INTO db_cat_columns VALUES (7410, 860, 'sh', 'Numeric(12,4)', 'Soil capillary suction head (in or mm).');
INSERT INTO db_cat_columns VALUES (7420, 860, 'hc', 'Numeric(12,4)', 'Soil saturated hydraulic conductivity (in/hr or mm/hr).');
INSERT INTO db_cat_columns VALUES (7430, 860, 'imd', 'Numeric(12,4)', 'Initial soil moisture deficit (volume of voids / total volume).');
INSERT INTO db_cat_columns VALUES (7440, 860, 'y0', 'Numeric(12,4)', 'Water depth at start of simulation (ft or m) (default is 0).');
INSERT INTO db_cat_columns VALUES (7450, 860, 'ysur', 'Numeric(12,4)', 'Maximum additional head above ground elevation that node can sustain under surcharge conditions (ft or m) (default is 0).');
INSERT INTO db_cat_columns VALUES (7460, 860, 'apond', 'Numeric(12,4)', 'Area subjected to surface ponding once water depth exceeds Ymax (ft2Â or m2) (default is 0).');
INSERT INTO db_cat_columns VALUES (7470, 870, 'temp_type', 'varchar(16)', 'Temperature type (TIMESERIES or FILE).');
INSERT INTO db_cat_columns VALUES (7480, 870, 'timser_id', 'varchar(16)', 'Name of time series inÂ timeseries table with temperature data.');
INSERT INTO db_cat_columns VALUES (7490, 870, 'fname', 'varchar(254)', 'Name of external Climate file with temperature data.');
INSERT INTO db_cat_columns VALUES (7500, 870, 'start', 'varchar(12)', 'Date to begin reading from the file in month/day/year format (default is the beginning of the file).');
INSERT INTO db_cat_columns VALUES (7510, 880, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (7520, 880, 'timser_id', 'varchar(16)', 'Time series identifier.');
INSERT INTO db_cat_columns VALUES (7530, 880, 'date', 'varchar(12)', 'Date in Month/Day/Year format (e.g., June 15, 2001 would be 6/15/2001).');
INSERT INTO db_cat_columns VALUES (7540, 880, 'hour', 'varchar(10)', '24-hour military time (e.g., 8:40 pm would be 20:40) relative to the last date specified (or to midnight of the starting date of the simulation if no previous date was specified).');
INSERT INTO db_cat_columns VALUES (7550, 880, 'time', 'varchar(10)', 'Hours since the start of the simulation, expressed as a decimal number or as hours:minutes.');
INSERT INTO db_cat_columns VALUES (7560, 880, 'value', 'Numeric(12,4)', 'Value corresponding to given date and time.');
INSERT INTO db_cat_columns VALUES (7570, 880, 'fname', 'varchar(254)', 'Name of a file in which the time series data are stored.');
INSERT INTO db_cat_columns VALUES (7580, 890, 'id', 'varchar(16)', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (7590, 890, 'timser_type', 'varchar(20)', 'Time series type.');
INSERT INTO db_cat_columns VALUES (7600, 890, 'times_type', 'varchar(16)', 'Times type.');
INSERT INTO db_cat_columns VALUES (7610, 900, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (7620, 900, 'text', 'varchar(254)', 'Should follow the format described on SWMM user''s manual appendix C');
INSERT INTO db_cat_columns VALUES (7630, 910, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (7640, 910, 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_columns VALUES (7650, 910, 'function', 'varchar(100)', 'Mathematical function expressing treatment result in terms of pollutant concentrations, pollutant removals, and other standard variables (see Remarks). In treatment function we can choose between: C â function computes effluent concentration and R â function computes fractional removal.');
INSERT INTO db_cat_columns VALUES (7660, 920, 'id', 'varchar(16)', 'Tyoe of arc on the SWMM model (CONDUIT, PUMP, ORIFICE, WEIR, OUTLET or UNDEFINED)');
INSERT INTO db_cat_columns VALUES (7670, 930, 'id', 'varchar(16)', 'Type of node on the SWMM model (JUNCTION, DIVIDER, OUTFALL, STORAGE or UNDEFINED)');
INSERT INTO db_cat_columns VALUES (7680, 940, 'id', 'Varchar(16)', 'Primary key for table.');
INSERT INTO db_cat_columns VALUES (7690, 940, 'giswater_file_path', 'text', 'Giswater file path');
INSERT INTO db_cat_columns VALUES (7700, 940, 'giswater_software_path', 'text', 'Giswater software path');
INSERT INTO db_cat_columns VALUES (7710, 940, 'inp_file_path', 'text', 'inp_file_path');
INSERT INTO db_cat_columns VALUES (7720, 940, 'rpt_file_path', 'text', 'rpt_file_path');
INSERT INTO db_cat_columns VALUES (7730, 940, 'rpt_result_id', 'text', 'rpt result identifier');
INSERT INTO db_cat_columns VALUES (7740, 950, 'id', 'varchar(16)', 'Value domain of SWMM divider type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (7750, 950, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (7760, 960, 'id', 'varchar(18)', 'Value domain of SWMM about evaporation . See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (7770, 960, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (7780, 970, 'id', 'varchar(16)', 'Value domain of SWMM orifice type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (7790, 970, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (7800, 980, 'id', 'varchar(16)', 'Value domain of SWMM outfall type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (7810, 980, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (7830, 990, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (7840, 1000, 'id', 'varchar(18)', 'Value domain of SWMM pattern type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (7850, 1000, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (7860, 1010, 'id', 'varchar(18)', 'Value domain of SWMM raingage type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (7870, 1010, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (7880, 1020, 'id', 'varchar(16)', 'Value domain of SWMM storage type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (7890, 1020, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (7900, 1030, 'id', 'varchar(18)', 'Value domain of SWMM about temperature . See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (7910, 1030, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (7920, 1040, 'id', 'varchar(18)', 'Value domain of SWMM timeseries type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (7930, 1040, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (7940, 1050, 'id', 'varchar(16)', 'Value domain of SWMM wind speed type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (7950, 1050, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (7960, 1060, 'id', 'varchar(18)', 'Value domain of SWMM all none. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (7970, 1070, 'id', 'varchar(18)', 'Value domain of SWMM buildup. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (7980, 1080, 'id', 'varchar(18)', 'Value domain of SWMM about catalog of arcs');
INSERT INTO db_cat_columns VALUES (7990, 1090, 'id', 'varchar(18)', 'Value domain of SWMM curve. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8600, 1350, 'form_type', 'varchar(12)', 'Form of recorded rainfall, either INTENSITY, VOLUME or CUMULATIVE.');
INSERT INTO db_cat_columns VALUES (8000, 1100, 'id', 'varchar(18)', 'Value domain of SWMM files actio. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8010, 1110, 'id', 'varchar(18)', 'Value domain of SWMM files type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8020, 1120, 'id', 'varchar(18)', 'Value domain of SWMM inflows. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8030, 1130, 'id', 'varchar(18)', 'Value domain of SWMM lid controls. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8040, 1140, 'id', 'varchar(18)', 'Value domain of SWMM map units. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8050, 1150, 'id', 'varchar(16)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8060, 1160, 'id', 'varchar(18)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8070, 1170, 'id', 'varchar(16)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8080, 1180, 'id', 'varchar(16)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8090, 1190, 'id', 'varchar(16)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8100, 1200, 'id', 'varchar(16)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8110, 1210, 'id', 'varchar(16)', 'Value domain of SWMM options table. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (9350, 1440, 'result_id', 'varchar(16)', 'ID simulation result.');
INSERT INTO db_cat_columns VALUES (8120, 1220, 'id', 'varchar(18)', 'Value domain of SWMM orifice. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8130, 1230, 'id', 'varchar(18)', 'Value domain of SWMM pollutants. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8140, 1240, 'id', 'varchar(18)', 'Value domain of SWMM raingage. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8150, 1250, 'id', 'varchar(18)', 'Value domain of SWMM routeto. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8160, 1260, 'id', 'Varchar(6)', 'Value domain of SWMM status. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8170, 1270, 'id', 'varchar(20)', 'Value domain of SWMM timeseries. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8180, 1270, 'descript', 'varchar(100)', 'Field to store additional information about the feature.');
INSERT INTO db_cat_columns VALUES (8190, 1280, 'id', 'varchar(18)', 'Value domain of SWMM treatment. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8200, 1290, 'id', 'varchar(18)', 'Value domain of SWMM wash off. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8210, 1300, 'id', 'varchar(18)', 'Value domain of SWMM weirs. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8220, 1300, 'shape', 'varchar(18)', 'Cross-section shape.');
INSERT INTO db_cat_columns VALUES (8230, 1310, 'id', 'varchar(3)', 'Value domain of SWMM yes/no. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (8240, 1320, 'landus_id', 'varchar(16)', 'Land use identifier.');
INSERT INTO db_cat_columns VALUES (8250, 1320, 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_columns VALUES (8260, 1320, 'funcw_type', 'varchar(18)', 'Washoff function type: EXP / RC / EMC.');
INSERT INTO db_cat_columns VALUES (8270, 1320, 'c1', 'Numeric(12,4)', 'Washoff function coefficients(see Table D-3 from Appendix D of SWMM''s Manual).');
INSERT INTO db_cat_columns VALUES (8280, 1320, 'c2', 'Numeric(12,4)', 'Washoff function coefficients(see Table D-3 from Appendix D of SWMM''s Manual).');
INSERT INTO db_cat_columns VALUES (8290, 1320, 'sweepeffic', 'Numeric(12,4)', 'Street sweeping removal efficiency (percent).');
INSERT INTO db_cat_columns VALUES (8300, 1320, 'bmpeffic', 'numeric(12,4)', 'BMP removal efficiency (percent).');
INSERT INTO db_cat_columns VALUES (8310, 1330, 'arc_id', 'varchar(16)', 'Arc identifier.');
INSERT INTO db_cat_columns VALUES (8320, 1330, 'node_id', 'varchar(16)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (8330, 1330, 'weir_type', 'varchar(18)', 'A weir can be: TRANSVERSE, SIDEFLOW, V-NOTCH, or TRAPEZOIDAL.');
INSERT INTO db_cat_columns VALUES (8340, 1330, 'offset', 'numeric(12,4),', 'Coffecient related to amount that the weirâs crest is offset above the invert of inlet node (ft or m, expressed as either a depth or as an elevation, depending on the LINK_OFFSETS option setting).');
INSERT INTO db_cat_columns VALUES (8350, 1330, 'cd', 'numeric(12,4),', 'Amount that the weirâs crest is offset above the invert of inlet node (ft or m, expressed as either a depth or as an elevation, depending on the LINK_OFFSETS option setting).');
INSERT INTO db_cat_columns VALUES (8360, 1330, 'ec', 'numeric(12,4),', 'Number of end contractions for TRANSVERSE or TRAPEZOIDAL weir (default is 0).');
INSERT INTO db_cat_columns VALUES (8370, 1330, 'cd2', 'numeric(12,4),', 'Discharge coefficient for triangular ends of a TRAPEZOIDAL weir (for CFS if using US flow units or CMS if using metric flow units) (default is value of Cd).');
INSERT INTO db_cat_columns VALUES (8380, 1330, 'flap', 'varchar(3)', 'YES if flap gate present to prevent reverse flow, NO if not (default is NO).');
INSERT INTO db_cat_columns VALUES (8390, 1330, 'to_arc', 'varchar(16)', 'This fields identifies the direction of the flow of the shortpipe, applied only for the case of check valves');
INSERT INTO db_cat_columns VALUES (8400, 1330, 'geom1', 'numeric(12,4),', 'Full height (ft or m)');
INSERT INTO db_cat_columns VALUES (8410, 1330, 'geom2', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_columns VALUES (8420, 1330, 'geom3', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_columns VALUES (8430, 1330, 'geom4', 'numeric(12,4)', 'Auxiliary parameters (width, side slopes, etc.)');
INSERT INTO db_cat_columns VALUES (8440, 1330, 'surcharge', 'varchar(30)', 'Identifies if weir can surcharge or not');
INSERT INTO db_cat_columns VALUES (8450, 1340, 'wind_type', 'varchar(16)', 'Wind speed type (MONTHLY or FILE).');
INSERT INTO db_cat_columns VALUES (8460, 1340, 'value_1', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_columns VALUES (8470, 1340, 'value_2', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_columns VALUES (8480, 1340, 'value_3', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_columns VALUES (8490, 1340, 'value_4', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_columns VALUES (8500, 1340, 'value_5', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_columns VALUES (8510, 1340, 'value_6', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_columns VALUES (8520, 1340, 'value_7', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_columns VALUES (8530, 1340, 'value_8', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_columns VALUES (8540, 1340, 'value_9', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_columns VALUES (8550, 1340, 'value_10', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_columns VALUES (8560, 1340, 'value_11', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_columns VALUES (8570, 1340, 'value_12', 'Numeric(12,4)', 'Wind speed value parameters of SWMM project (mph or km/hr).');
INSERT INTO db_cat_columns VALUES (8580, 1340, 'fname', 'varchar(254)', 'Name of external file with wind speed data.');
INSERT INTO db_cat_columns VALUES (8590, 1350, 'rg_id', 'varchar(16)', 'Raingage identifier.');
INSERT INTO db_cat_columns VALUES (9390, 1440, 'lowzone_et', 'Numeric(12,4)', 'Lower Zone ET.');
INSERT INTO db_cat_columns VALUES (8610, 1350, 'intvl', 'varchar(10)', 'Time interval between gage readings in decimal hours or hours:minutes format (e.g., 0:15 for 15-minute readings).');
INSERT INTO db_cat_columns VALUES (8620, 1350, 'scf', 'Numeric(12,4)', 'Snow catch deficiency correction factor (use 1.0 for no adjustment).');
INSERT INTO db_cat_columns VALUES (8630, 1350, 'rgage_type', 'varchar(18)', 'Raingage type (TIMESERIES or FILE)');
INSERT INTO db_cat_columns VALUES (8640, 1350, 'timser_id', 'varchar(16)', 'Name of time series in timeseries table with rainfall data.');
INSERT INTO db_cat_columns VALUES (8650, 1350, 'fname', 'varchar(254)', 'Name of external file with rainfall data. Rainfall files are discussed in chapter 11.3 of SWMM''s Manual.');
INSERT INTO db_cat_columns VALUES (8660, 1350, 'sta', 'Varchar(12)', 'Name of recording station used in the rain file.');
INSERT INTO db_cat_columns VALUES (8670, 1350, 'units', 'varchar(3)', 'Rain depth units used in the rain file, either IN (inches) or MM (millimeters).');
INSERT INTO db_cat_columns VALUES (8680, 1350, 'the_geom', 'public.geometry', 'Point geometry field');
INSERT INTO db_cat_columns VALUES (8690, 1360, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (8700, 1370, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (8710, 1370, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (8720, 1370, 'arc_id', 'varchar(50)', 'Arc identifier.');
INSERT INTO db_cat_columns VALUES (8730, 1370, 'arc_type', 'varchar(18)', 'Arc type.');
INSERT INTO db_cat_columns VALUES (8740, 1370, 'max_flow', 'Numeric(12,4)', 'Maximum total inflow (CMS).');
INSERT INTO db_cat_columns VALUES (8750, 1370, 'time_days', 'varchar(10)', 'Time of max occurrence (days).');
INSERT INTO db_cat_columns VALUES (8760, 1370, 'time_hour', 'varchar(10)', 'Time of max occurrence (hr:min)');
INSERT INTO db_cat_columns VALUES (8770, 1370, 'max_veloc', 'Numeric(12,4)', 'Maximum velocity (m/sec )');
INSERT INTO db_cat_columns VALUES (8780, 1370, 'mfull_flow', 'Numeric(12,4)', 'Maximum full flow.');
INSERT INTO db_cat_columns VALUES (8790, 1370, 'mfull_dept', 'Numeric(12,4)', 'Maximum full depth.');
INSERT INTO db_cat_columns VALUES (8800, 1370, 'max_shear', 'Numeric(12,4)', 'Maximum shear');
INSERT INTO db_cat_columns VALUES (8810, 1370, 'max_hr', 'Numeric(12,4)', 'Maximun hidraulic radius');
INSERT INTO db_cat_columns VALUES (8820, 1370, 'max_slope', 'Numeric(12,4)', 'Maximum slope');
INSERT INTO db_cat_columns VALUES (8830, 1370, 'day_max', 'varchar(10)', 'Time of max occurrence (days)');
INSERT INTO db_cat_columns VALUES (8840, 1370, 'time_max', 'varchar(10)', 'Time of max occurrence (hr:min)');
INSERT INTO db_cat_columns VALUES (8850, 1370, 'min_shear', 'Numeric(12,4)', 'Minimum shear');
INSERT INTO db_cat_columns VALUES (8860, 1370, 'day_min', 'varchar(10)', 'Time of min occurrence (days)');
INSERT INTO db_cat_columns VALUES (8870, 1370, 'time_min', 'varchar(10)', 'Time of min occurrence (hr:min)');
INSERT INTO db_cat_columns VALUES (8880, 1380, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (8890, 1380, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (8900, 1380, 'arc_id', NULL, 'Arc identifier.');
INSERT INTO db_cat_columns VALUES (8910, 1380, 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_columns VALUES (8920, 1390, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (8930, 1390, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (8940, 1390, 'arc_id', 'varchar(50)', 'Arc identifier.');
INSERT INTO db_cat_columns VALUES (8950, 1390, 'both_ends', 'Numeric(12,4)', 'Hours during conduit it''s on surcharge condition on both ends.');
INSERT INTO db_cat_columns VALUES (8960, 1390, 'upstream', 'Numeric(12,4)', 'Hours during conduit it''s on surcharge condition on upstream.');
INSERT INTO db_cat_columns VALUES (8970, 1390, 'dnstream', 'Numeric(12,4)', 'Hours during conduit it''s on surcharge condition on downstream.');
INSERT INTO db_cat_columns VALUES (8980, 1390, 'hour_nflow', 'Numeric(12,4)', 'Hours above full normal flow.');
INSERT INTO db_cat_columns VALUES (8990, 1390, 'hour_limit', 'numeric(12,4)', 'Hours capacity limited.');
INSERT INTO db_cat_columns VALUES (9000, 1400, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (9010, 1400, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (9020, 1400, 'text', 'varchar(255)', 'Text');
INSERT INTO db_cat_columns VALUES (9030, 1410, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (9040, 1410, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (9050, 1410, 'text', 'varchar(255)', 'Text');
INSERT INTO db_cat_columns VALUES (9060, 1420, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (9070, 1420, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (9080, 1420, 'arc_id', 'varchar(50)', 'Arc identifier.');
INSERT INTO db_cat_columns VALUES (9090, 1420, 'length', 'Numeric(12,4)', 'Adjusted / Actual length.');
INSERT INTO db_cat_columns VALUES (9100, 1420, 'dry', 'Numeric(12,4)', 'Fraction of time in flow class. Dry.');
INSERT INTO db_cat_columns VALUES (9110, 1420, 'up_dry', 'Numeric(12,4)', 'Fraction of time in flow class. Upstream dry.');
INSERT INTO db_cat_columns VALUES (9120, 1420, 'down_dry', 'Numeric(12,4)', 'Fraction of time in flow class. Downstream dry.');
INSERT INTO db_cat_columns VALUES (9130, 1420, 'sub_crit', 'Numeric(12,4)', 'Fraction of time in flow class. Sub critical flow');
INSERT INTO db_cat_columns VALUES (9140, 1420, 'sub_crit_1', 'Numeric(12,4)', 'Fraction of time in flow class. Super critical flow');
INSERT INTO db_cat_columns VALUES (9150, 1420, 'up_crit', 'Numeric(12,4)', 'Fraction of time in flow class. Upstream critical flow');
INSERT INTO db_cat_columns VALUES (9160, 1420, 'down_crit', 'Numeric(12,4)', 'Fraction of time in flow class. Downstream critical flow');
INSERT INTO db_cat_columns VALUES (9170, 1420, 'froud_numb', 'Numeric(12,4)', 'Froud number');
INSERT INTO db_cat_columns VALUES (9180, 1420, 'flow_chang', 'Numeric(12,4)', 'Flow change');
INSERT INTO db_cat_columns VALUES (9190, 1430, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (9200, 1430, 'result_id', 'varchar(16)', 'ID simulation result.');
INSERT INTO db_cat_columns VALUES (9210, 1430, 'dryw_inf', 'Numeric(12,4)', 'Dry Weather Inflow.');
INSERT INTO db_cat_columns VALUES (9220, 1430, 'wetw_inf', 'Numeric(12,4)', 'Wet Weather Inflow.');
INSERT INTO db_cat_columns VALUES (9230, 1430, 'ground_inf', 'Numeric(12,4)', 'Groundwater Inflow.');
INSERT INTO db_cat_columns VALUES (9240, 1430, 'rdii_inf', 'Numeric(12,4)', 'RDII Inflow.');
INSERT INTO db_cat_columns VALUES (9250, 1430, 'ext_inf', 'Numeric(12,4)', 'External Inflow.');
INSERT INTO db_cat_columns VALUES (9260, 1430, 'ext_out', 'Numeric(12,4)', 'External Outflow.');
INSERT INTO db_cat_columns VALUES (9270, 1430, 'int_out', 'Numeric(12,4)', 'Internal Outflow.');
INSERT INTO db_cat_columns VALUES (9280, 1430, 'stor_loss', 'Numeric(12,4)', 'Storage Losses.');
INSERT INTO db_cat_columns VALUES (9290, 1430, 'initst_vol', 'Numeric(12,4)', 'Initial Stored Volume.');
INSERT INTO db_cat_columns VALUES (9300, 1430, 'finst_vol', 'Numeric(12,4)', 'Final Stored Volume.');
INSERT INTO db_cat_columns VALUES (9310, 1430, 'cont_error', 'Numeric(12,4)', 'Continuity Error (%).');
INSERT INTO db_cat_columns VALUES (9320, 1430, 'evap_losses', 'numeric(6,4)', 'Losses of evaporation');
INSERT INTO db_cat_columns VALUES (9330, 1430, 'seepage_losses', 'numeric(6,4)', 'Losses of seepage.');
INSERT INTO db_cat_columns VALUES (9340, 1440, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (9370, 1440, 'infilt', 'Numeric(12,4)', 'Infiltration.');
INSERT INTO db_cat_columns VALUES (9380, 1440, 'upzone_et', 'Numeric(12,4)', 'Upper Zone ET.');
INSERT INTO db_cat_columns VALUES (9410, 1440, 'groundw_fl', 'Numeric(12,4)', 'Groundwater Flow.');
INSERT INTO db_cat_columns VALUES (9420, 1440, 'final_stor', 'Numeric(12,4)', 'Final Storage.');
INSERT INTO db_cat_columns VALUES (9430, 1440, 'cont_error', 'Numeric(12,4)', 'Continuity Error (%).');
INSERT INTO db_cat_columns VALUES (9440, 1450, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (9450, 1450, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (9460, 1450, 'text', 'varchar(255)', 'Text');
INSERT INTO db_cat_columns VALUES (9470, 1460, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (9480, 1460, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (9490, 1460, 'text', 'varchar(255)', 'Text.');
INSERT INTO db_cat_columns VALUES (9500, 1470, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (9510, 1470, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (9520, 1470, 'text', 'varchar(255)', 'Text.');
INSERT INTO db_cat_columns VALUES (9530, 1480, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (9540, 1480, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (9550, 1480, 'subc_id', 'varchar(16)', 'Name assigned to subcatchment.');
INSERT INTO db_cat_columns VALUES (9560, 1480, 'lidco_id', 'varchar(16)', 'ID LID control.');
INSERT INTO db_cat_columns VALUES (9570, 1480, 'tot_inflow', 'Numeric(12,4)', 'Total inflow (mm).');
INSERT INTO db_cat_columns VALUES (9580, 1480, 'evap_loss', 'Numeric(12,4)', 'Evaporation loss (mm).');
INSERT INTO db_cat_columns VALUES (9590, 1480, 'infil_loss', 'Numeric(12,4)', 'Infiltration loss (mm).');
INSERT INTO db_cat_columns VALUES (9600, 1480, 'surf_outf', 'Numeric(12,4)', 'Surface outflow (mm).');
INSERT INTO db_cat_columns VALUES (9610, 1480, 'drain_outf', 'Numeric(12,4)', 'Drain outflow (mm).');
INSERT INTO db_cat_columns VALUES (9620, 1480, 'init_stor', 'Numeric(12,4)', 'Initial Storage (mm).');
INSERT INTO db_cat_columns VALUES (9630, 1480, 'final_stor', 'Numeric(12,4)', 'Final Storage (mm).');
INSERT INTO db_cat_columns VALUES (9640, 1480, 'per_error', 'Numeric(12,4)', 'Percentage error.');
INSERT INTO db_cat_columns VALUES (9650, 1490, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (9660, 1490, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (9670, 1490, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (9680, 1490, 'swnod_type', 'varchar(18)', 'Node type on SWMM model.');
INSERT INTO db_cat_columns VALUES (9690, 1490, 'aver_depth', 'Numeric(12,4)', 'Average depth (meters).');
INSERT INTO db_cat_columns VALUES (9700, 1490, 'max_depth', 'Numeric(12,4)', 'Maximum depth (meters).');
INSERT INTO db_cat_columns VALUES (9710, 1490, 'max_hgl', 'Numeric(12,4)', 'Maximum HGL (meters).');
INSERT INTO db_cat_columns VALUES (9720, 1490, 'time_days', 'varchar(10)', 'Time of max occurrence (days).');
INSERT INTO db_cat_columns VALUES (9730, 1490, 'time_hour', 'varchar(10)', 'Time of max occurrence (hr:min).');
INSERT INTO db_cat_columns VALUES (9740, 1500, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (9750, 1500, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (9760, 1500, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (9770, 1500, 'hour_flood', 'Numeric(12,4)', 'Hours flooded.');
INSERT INTO db_cat_columns VALUES (9780, 1500, 'max_rate', 'Numeric(12,4)', 'Maximum rate (cms).');
INSERT INTO db_cat_columns VALUES (9790, 1500, 'time_days', 'varchar(10)', 'Time of max occurrence (days).');
INSERT INTO db_cat_columns VALUES (9800, 1500, 'time_hour', 'varchar(10)', 'Time of max occurrence (hr:min).');
INSERT INTO db_cat_columns VALUES (9810, 1500, 'tot_flood', 'Numeric(12,4)', 'Total flood volume (10^6 ltr).');
INSERT INTO db_cat_columns VALUES (9820, 1500, 'max_ponded', 'numeric(12,4)', 'Maximum ponded depth (meters).');
INSERT INTO db_cat_columns VALUES (9830, 1510, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (9840, 1510, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (9850, 1510, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (9860, 1510, 'swnod_type', 'varchar(18)', 'Node type on SWMM model.');
INSERT INTO db_cat_columns VALUES (9870, 1510, 'max_latinf', 'numeric(12,4),', 'Maximum lateral inflow (cms).');
INSERT INTO db_cat_columns VALUES (9880, 1510, 'max_totinf', 'numeric(12,4),', 'Maximum total inflow (cms).');
INSERT INTO db_cat_columns VALUES (9890, 1510, 'time_days', 'varchar(10)', 'Time of max occurrence (days).');
INSERT INTO db_cat_columns VALUES (9900, 1510, 'time_hour', 'varchar(10)', 'Time of max occurrence (hr:min).');
INSERT INTO db_cat_columns VALUES (9910, 1510, 'latinf_vol', 'numeric(12,4),', 'Lateral inflow volume (10^6 ltr).');
INSERT INTO db_cat_columns VALUES (9920, 1510, 'totinf_vol', 'numeric(12,4),', 'Total inflow volume (10^6 ltr).');
INSERT INTO db_cat_columns VALUES (9930, 1510, 'flow_balance_error', 'numeric(12,2),', 'Error of flow balance');
INSERT INTO db_cat_columns VALUES (9940, 1510, 'other_info', 'varchar(12)', 'Sector where is the node.');
INSERT INTO db_cat_columns VALUES (9950, 1520, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (9960, 1520, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (9970, 1520, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (9980, 1520, 'swnod_type', 'varchar(18)', 'Node type on SWMM model.');
INSERT INTO db_cat_columns VALUES (9990, 1520, 'hour_surch', 'Numeric(12,4)', 'Hous surcharged.');
INSERT INTO db_cat_columns VALUES (10000, 1520, 'max_height', 'Numeric(12,4)', 'Maximum height above crown (meters).');
INSERT INTO db_cat_columns VALUES (10010, 1520, 'min_depth', 'numeric(12,4)', 'Minimum depth below rim (meters).');
INSERT INTO db_cat_columns VALUES (11330, 1680, 'subc_id', 'varchar(16)', 'Subcatchment idenifier.');
INSERT INTO db_cat_columns VALUES (10020, 1530, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (10030, 1530, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (10040, 1530, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (10050, 1530, 'flow_freq', 'Numeric(12,4)', 'Flow frequency. (Percentage).');
INSERT INTO db_cat_columns VALUES (10060, 1530, 'avg_flow', 'Numeric(12,4)', 'Average flow (cms).');
INSERT INTO db_cat_columns VALUES (10070, 1530, 'max_flow', 'Numeric(12,4)', 'Maximum flow (cms).');
INSERT INTO db_cat_columns VALUES (10080, 1530, 'total_vol', 'numeric(12,4)', 'Total volume (10^6 ltr).');
INSERT INTO db_cat_columns VALUES (10090, 1540, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (10100, 1540, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (10110, 1540, 'poll_id', 'varchar(16)', 'ID simulation result.');
INSERT INTO db_cat_columns VALUES (10120, 1540, 'node_id', 'varchar(50)', 'Pollutant identifier.');
INSERT INTO db_cat_columns VALUES (10140, 1550, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (10150, 1550, 'result_id', 'varchar(16)', 'ID simulation result.');
INSERT INTO db_cat_columns VALUES (10160, 1550, 'arc_id', 'varchar(50)', 'Arc identifier.');
INSERT INTO db_cat_columns VALUES (10170, 1550, 'percent', 'numeric(12,4)', 'Percent utilized.');
INSERT INTO db_cat_columns VALUES (10180, 1550, 'num_startup', 'int4,', 'Numbers of startups of pump');
INSERT INTO db_cat_columns VALUES (10190, 1550, 'min_flow', 'numeric(12,4)', 'Minimum flow (cms).');
INSERT INTO db_cat_columns VALUES (10200, 1550, 'avg_flow', 'numeric(12,4)', 'Average flow (cms).');
INSERT INTO db_cat_columns VALUES (10210, 1550, 'max_flow', 'numeric(12,4)', 'Maximum flow (cms).');
INSERT INTO db_cat_columns VALUES (10220, 1550, 'vol_ltr', 'numeric(12,4)', 'Total volume (10^6 ltr).');
INSERT INTO db_cat_columns VALUES (10230, 1550, 'powus_kwh', 'numeric(12,4)', 'Power usage (Kw-hr).');
INSERT INTO db_cat_columns VALUES (10240, 1550, 'timoff_min', 'numeric(12,4)', 'Time off the pump curve low');
INSERT INTO db_cat_columns VALUES (10250, 1550, 'timoff_max', 'numeric(12,4)', 'Time off the pump curve high');
INSERT INTO db_cat_columns VALUES (10260, 1560, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (10270, 1560, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (10280, 1560, 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_columns VALUES (10290, 1560, 'dryw_inf', 'numeric(12,4)', 'Dry Weather Inflow.');
INSERT INTO db_cat_columns VALUES (10300, 1560, 'wetw_inf', 'numeric(12,4)', 'Wet Weather Inflow.');
INSERT INTO db_cat_columns VALUES (10310, 1560, 'ground_inf', 'numeric(12,4)', 'Groundwater Inflow.');
INSERT INTO db_cat_columns VALUES (10320, 1560, 'rdii_inf', 'numeric(12,4)', 'RDII Inflow.');
INSERT INTO db_cat_columns VALUES (10330, 1560, 'ext_inf', 'numeric(12,4)', 'External Inflow.');
INSERT INTO db_cat_columns VALUES (10340, 1560, 'int_inf', 'numeric(12,4)', 'Internal Flooding.');
INSERT INTO db_cat_columns VALUES (10350, 1560, 'ext_out', 'numeric(12,4)', 'External Outflow.');
INSERT INTO db_cat_columns VALUES (10360, 1560, 'mass_reac', 'numeric(12,4)', 'Mass Reacted.');
INSERT INTO db_cat_columns VALUES (10370, 1560, 'initst_mas', 'numeric(12,4)', 'Initial Stored Mass.');
INSERT INTO db_cat_columns VALUES (10380, 1560, 'finst_mas', 'numeric(12,4)', 'Final Stored Mass.');
INSERT INTO db_cat_columns VALUES (10390, 1560, 'cont_error', 'numeric(12,4)', 'Continuity Error (%).');
INSERT INTO db_cat_columns VALUES (10400, 1570, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (10410, 1570, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (10420, 1570, 'sewer_rain', 'Numeric(12,4)', 'Sewershed Rainfall.');
INSERT INTO db_cat_columns VALUES (10430, 1570, 'rdiip_prod', 'Numeric(12,4)', 'RDII Produced.');
INSERT INTO db_cat_columns VALUES (10440, 1570, 'rdiir_rat', 'numeric(12,4)', 'RDII Ratio.');
INSERT INTO db_cat_columns VALUES (10450, 1580, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (10460, 1580, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (10470, 1580, 'flow_units', 'varchar(3)', 'Main characteristics of the result. Type of units in which flow rates are expressed.');
INSERT INTO db_cat_columns VALUES (10480, 1580, 'rain_runof', 'varchar(3)', 'Main characteristics of the result. Rainfall and runoff module used');
INSERT INTO db_cat_columns VALUES (10490, 1580, 'snowmelt', 'varchar(3)', 'Main characteristics of the result. Snowmelt module used');
INSERT INTO db_cat_columns VALUES (10500, 1580, 'groundw', 'varchar(3)', 'Main characteristics of the result. Groundwater module used');
INSERT INTO db_cat_columns VALUES (10510, 1580, 'flow_rout', 'varchar(3)', 'Main characteristics of the result. Flow routing module used');
INSERT INTO db_cat_columns VALUES (10520, 1580, 'pond_all', 'varchar(3)', 'Main characteristics of the result. Ponding allowed');
INSERT INTO db_cat_columns VALUES (10530, 1580, 'water_q', 'varchar(3)', 'Main characteristics of the result.  Water quality module used');
INSERT INTO db_cat_columns VALUES (10540, 1580, 'infil_m', 'varchar(18)', 'Main characteristics of the result. Infiltration module used');
INSERT INTO db_cat_columns VALUES (10550, 1580, 'flowrout_m', 'varchar(18)', 'Main characteristics of the result. Flow routing module used');
INSERT INTO db_cat_columns VALUES (10560, 1580, 'start_date', 'varchar(25)', 'Start date of the simulation.');
INSERT INTO db_cat_columns VALUES (10570, 1580, 'end_date', 'varchar(25)', 'End date of the simulation.');
INSERT INTO db_cat_columns VALUES (10580, 1580, 'dry_days', 'Numeric(12,4)', 'Number of dry days.');
INSERT INTO db_cat_columns VALUES (10590, 1580, 'rep_tstep', 'varchar(10)', 'Main characteristics of the result. Reporting step used');
INSERT INTO db_cat_columns VALUES (10600, 1580, 'wet_tstep', 'varchar(10)', 'Main characteristics of the result. Wet step used');
INSERT INTO db_cat_columns VALUES (10610, 1580, 'dry_tstep', 'varchar(10)', 'Main characteristics of the result. Dry step used');
INSERT INTO db_cat_columns VALUES (10620, 1580, 'rout_tstep', 'varchar(10)', 'Main characteristics of the result. Routing step used');
INSERT INTO db_cat_columns VALUES (10630, 1580, 'var_time_step', 'varchar(3)', 'Main characteristics of the result. Variable time step used');
INSERT INTO db_cat_columns VALUES (10640, 1580, 'max_trials', 'Numeric(4,2)', 'Main characteristics of the result. Maximum trials of the simulation');
INSERT INTO db_cat_columns VALUES (10650, 1580, 'head_tolerance', 'varchar(12)', 'Main characteristics of the result. Head tolerance');
INSERT INTO db_cat_columns VALUES (10660, 1580, 'exec_date', 'timestamp(6)', 'Main characteristics of the result. Date and time of the result''s import');
INSERT INTO db_cat_columns VALUES (11340, 1680, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (11350, 1680, 'rg_id', 'varchar(16)', 'Raingage identifier.');
INSERT INTO db_cat_columns VALUES (10670, 1590, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (10680, 1590, 'result_id', 'varchar(254)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (10690, 1590, 'text', 'varchar(255)', 'Text');
INSERT INTO db_cat_columns VALUES (10700, 1600, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (10710, 1600, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (10720, 1600, 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_columns VALUES (10730, 1600, 'init_buil', 'Numeric(12,4)', 'Initial Buildup.');
INSERT INTO db_cat_columns VALUES (10740, 1600, 'surf_buil', 'Numeric(12,4)', 'Surface Buildup.');
INSERT INTO db_cat_columns VALUES (10750, 1600, 'wet_dep', 'Numeric(12,4)', 'Wet Deposition.');
INSERT INTO db_cat_columns VALUES (10760, 1600, 'sweep_re', 'Numeric(12,4)', 'Sweeping Removal.');
INSERT INTO db_cat_columns VALUES (10770, 1600, 'infil_loss', 'Numeric(12,4)', 'Infiltration Loss.');
INSERT INTO db_cat_columns VALUES (10780, 1600, 'bmp_re', 'Numeric(12,4)', 'BMP Removal.');
INSERT INTO db_cat_columns VALUES (10790, 1600, 'surf_runof', 'Numeric(12,4)', 'Surface Runoff.');
INSERT INTO db_cat_columns VALUES (10800, 1600, 'rem_buil', 'Numeric(12,4)', 'Remaining Buildup.');
INSERT INTO db_cat_columns VALUES (10810, 1600, 'cont_error', 'Numeric(12,4)', 'Continuity Error (%).');
INSERT INTO db_cat_columns VALUES (10820, 1610, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (10830, 1610, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (10840, 1610, 'initsw_co', 'Numeric(12,4)', 'Initial Snow Cover.');
INSERT INTO db_cat_columns VALUES (10850, 1610, 'total_prec', 'Numeric(12,4)', 'Total Precipitation.');
INSERT INTO db_cat_columns VALUES (10860, 1610, 'evap_loss', 'Numeric(12,4)', 'Evaporation Loss.');
INSERT INTO db_cat_columns VALUES (10870, 1610, 'infil_loss', 'Numeric(12,4)', 'Infiltration Loss.');
INSERT INTO db_cat_columns VALUES (10880, 1610, 'surf_runof', 'Numeric(12,4)', 'Surface Runoff.');
INSERT INTO db_cat_columns VALUES (10890, 1610, 'snow_re', NULL, 'Snow Removed.');
INSERT INTO db_cat_columns VALUES (10900, 1610, 'finalsw_co', 'Numeric(12,4)', 'Final Snow Cover.');
INSERT INTO db_cat_columns VALUES (10910, 1610, 'finals_sto', 'Numeric(12,4)', 'Final Surface Storage.');
INSERT INTO db_cat_columns VALUES (10920, 1610, 'cont_error', 'Numeric(12,4)', 'Continuity Error (%).');
INSERT INTO db_cat_columns VALUES (10930, 1610, 'initlid_sto', 'Numeric(12,4)', 'Initial storage on LID.');
INSERT INTO db_cat_columns VALUES (10940, 1620, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (10950, 1620, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (10960, 1620, 'node_id', 'varchar(50)', 'Node identifier.');
INSERT INTO db_cat_columns VALUES (10970, 1620, 'aver_vol', 'Numeric(12,4)', 'Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.Average volume 1000m3.');
INSERT INTO db_cat_columns VALUES (10980, 1620, 'avg_full', 'Numeric(12,4)', 'Average percentage full.');
INSERT INTO db_cat_columns VALUES (10990, 1620, 'ei_loss', 'Numeric(12,4)', 'E&I Percentage loss.');
INSERT INTO db_cat_columns VALUES (11000, 1620, 'max_vol', 'Numeric(12,4)', 'Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.Maximum volume 1000m3.');
INSERT INTO db_cat_columns VALUES (11010, 1620, 'max_full', 'Numeric(12,4)', 'Maximum percentage full.');
INSERT INTO db_cat_columns VALUES (11020, 1620, 'time_days', 'varchar(10)', 'Time of max occurrence (days).');
INSERT INTO db_cat_columns VALUES (11030, 1620, 'time_hour', 'varchar(10)', 'Time of max occurrence (hr:min).');
INSERT INTO db_cat_columns VALUES (11040, 1620, 'max_out', 'Numeric(12,4)', 'Maximum outflow (cms).');
INSERT INTO db_cat_columns VALUES (11050, 1630, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (11060, 1630, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (11070, 1630, 'subc_id', 'varchar(16)', 'Name assigned to subcatchment.');
INSERT INTO db_cat_columns VALUES (11080, 1630, 'poll_id', 'varchar(16)', 'Pollutant identifier.');
INSERT INTO db_cat_columns VALUES (11090, 1630, 'value', 'numeric', 'Value.');
INSERT INTO db_cat_columns VALUES (11100, 1640, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (11110, 1640, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (11120, 1640, 'subc_id', 'varchar(16)', 'Name assigned to subcatchment.');
INSERT INTO db_cat_columns VALUES (11130, 1640, 'tot_precip', 'Numeric(12,4)', 'Total precipitation (mm).');
INSERT INTO db_cat_columns VALUES (11140, 1640, 'tot_runon', 'Numeric(12,4)', 'Total runon (mm).');
INSERT INTO db_cat_columns VALUES (11150, 1640, 'tot_evap', 'Numeric(12,4)', 'Total evaporation (mm).');
INSERT INTO db_cat_columns VALUES (11160, 1640, 'tot_infil', 'Numeric(12,4)', 'Total infiltration (mm).');
INSERT INTO db_cat_columns VALUES (11170, 1640, 'tot_runoff', 'Numeric(12,4)', 'Total runoff (mm).');
INSERT INTO db_cat_columns VALUES (11180, 1640, 'tot_runofl', 'Numeric(12,4)', 'Total runoff (10^6 ltr).');
INSERT INTO db_cat_columns VALUES (11190, 1640, 'peak_runof', 'Numeric(12,4)', 'Peak runoff (cms).');
INSERT INTO db_cat_columns VALUES (11200, 1640, 'runoff_coe', 'Numeric(12,4)', 'Runoff coefficient.');
INSERT INTO db_cat_columns VALUES (11210, 1640, 'vxmax', 'Numeric(12,4)', 'Maximum velocity on x axis');
INSERT INTO db_cat_columns VALUES (11220, 1640, 'vymax', 'Numeric(12,4)', 'Maximum velocity on y axis');
INSERT INTO db_cat_columns VALUES (11230, 1640, 'depth', 'Numeric(12,4)', 'Maximum depth.');
INSERT INTO db_cat_columns VALUES (11240, 1640, 'vel', 'Numeric(12,4)', 'Maximum velocity');
INSERT INTO db_cat_columns VALUES (11250, 1640, 'vhmax', 'numeric(12,6)', 'Maximum (velocity x depth) value');
INSERT INTO db_cat_columns VALUES (11260, 1650, 'id', 'int4', 'Defines the order of the line text. You must to use this code in order to sort as you need the lines of text. As you sort the text lines Giswater reads by this order the information.');
INSERT INTO db_cat_columns VALUES (11270, 1650, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (11280, 1650, 'text', 'varchar(255)', 'ID simulation result.');
INSERT INTO db_cat_columns VALUES (11290, 1660, 'result_id', 'varchar(16)', 'Result identifier.');
INSERT INTO db_cat_columns VALUES (11300, 1670, 'sector_id', 'varchar(30)', 'Sector identifier.');
INSERT INTO db_cat_columns VALUES (11360, 1680, 'area', 'Numeric(16,6)', 'Area of subcatchment (acres or hectares).');
INSERT INTO db_cat_columns VALUES (11370, 1680, 'imperv', 'Numeric(12,4)', 'Percent imperviousness of subcatchment.');
INSERT INTO db_cat_columns VALUES (11380, 1680, 'width', 'Numeric(12,4)', 'Characteristic width of subcatchment (ft or meters).');
INSERT INTO db_cat_columns VALUES (11390, 1680, 'slope', 'Numeric(12,4)', 'Subcatchment slope (percent).');
INSERT INTO db_cat_columns VALUES (11400, 1680, 'clength', 'Numeric(12,4)', 'Total curb length (any length units).');
INSERT INTO db_cat_columns VALUES (11410, 1680, 'snow_id', 'varchar(16)', 'Name of snow pack object that characterizes snow accumulation and melting over the subcatchment.');
INSERT INTO db_cat_columns VALUES (11420, 1680, 'nimp', 'Numeric(12,4)', 'Manning''s N for overland flow over the impervious sub-area.');
INSERT INTO db_cat_columns VALUES (11430, 1680, 'nperv', 'Numeric(12,4)', 'Manning''s N for overland flow over the pervious sub-area.');
INSERT INTO db_cat_columns VALUES (11440, 1680, 'simp', 'Numeric(12,4)', 'Depression storage for impervious sub-area (inches or mm).');
INSERT INTO db_cat_columns VALUES (11450, 1680, 'sperv', 'Numeric(12,4)', 'Depression storage for pervious sub-area (inches or mm).');
INSERT INTO db_cat_columns VALUES (11460, 1680, 'zero', 'Numeric(12,4)', 'Percent of impervious area with no depression storage (default = 0.00).');
INSERT INTO db_cat_columns VALUES (11470, 1680, 'routeto', 'varchar(20)', 'Use IMPERVIOUS if pervious area runoff runs onto impervious area, PERVIOUS if impervious runoff runs onto impervious area, or OUTLET if both areas drain to the subcatchment''s outlet. (default is IMPERVIOUS).');
INSERT INTO db_cat_columns VALUES (11480, 1680, 'rted', 'Numeric(12,4)', 'Percent of runoff routed from one type of area to another (default = 100).');
INSERT INTO db_cat_columns VALUES (11490, 1680, 'maxrate', 'Numeric(12,4)', 'Maximum infiltration rate on Horton curve (in/hr or mm/hr).');
INSERT INTO db_cat_columns VALUES (11500, 1680, 'minrate', 'Numeric(12,4)', 'Minimum infiltration rate on Horton curve (in/hr or mm/hr).');
INSERT INTO db_cat_columns VALUES (11510, 1680, 'decay', 'Numeric(12,4)', 'Decay rate constant of Horton curve (l/hr).');
INSERT INTO db_cat_columns VALUES (11520, 1680, 'drytime', 'Numeric(12,4)', 'Time it takes for fully saturated soil to dry (days).');
INSERT INTO db_cat_columns VALUES (11530, 1680, 'maxinfil', 'Numeric(12,4)', 'Maximum infiltration volume possible (0 if not applicable) (in or mm).');
INSERT INTO db_cat_columns VALUES (11540, 1680, 'suction', 'Numeric(12,4)', 'Soil capillary suction (in or mm).');
INSERT INTO db_cat_columns VALUES (11550, 1680, 'conduct', 'Numeric(12,4)', 'Soil saturated hydraulic conductivity (in/hr or mm/hr).');
INSERT INTO db_cat_columns VALUES (11560, 1680, 'initdef', 'Numeric(12,4)', 'Initial soil moisture deficit (volume of voids / total volume).');
INSERT INTO db_cat_columns VALUES (11570, 1680, 'curveno', 'Numeric(12,4)', 'SCS Curve Number.');
INSERT INTO db_cat_columns VALUES (11580, 1680, 'conduct_2', 'Numeric(12,4)', 'Soil saturated hydraulic conductivity (in/hr or mm/hr) (This property has been deprecated and is no longer used).');
INSERT INTO db_cat_columns VALUES (11590, 1680, 'drytime_2', 'Numeric(12,4)', 'Time it takes for fully saturated soil to dry (days).');
INSERT INTO db_cat_columns VALUES (11600, 1680, 'sector_id', 'varchar(30)', 'Sector where there is the subcatchment.');
INSERT INTO db_cat_columns VALUES (11610, 1680, 'hydrology_id', 'varchar(20)', 'Hydrologic scenario used. You must to fill this field and the value should be compatible with the infiltration parameters used.');
INSERT INTO db_cat_columns VALUES (11620, 1680, 'the_geom', 'public.geometry', 'Polygon geometry field');
INSERT INTO db_cat_columns VALUES (11650, 1690, 'id', 'varchar(18)', 'Type of event');
INSERT INTO db_cat_columns VALUES (11660, 1690, 'observ', 'varchar(255)', 'Observations related to event. Additional information');
INSERT INTO db_cat_columns VALUES (11670, 1700, 'id', 'Varchar(50)', 'Event parameter catalog identifier. Primary key');
INSERT INTO db_cat_columns VALUES (11680, 1700, 'event_type', 'Varchar(30)', 'Event type identifier.');
INSERT INTO db_cat_columns VALUES (11690, 1700, 'feature', 'Varchar(30)', 'Identifier of the feature');
INSERT INTO db_cat_columns VALUES (11700, 1700, 'data_type', 'varchar(16)', 'Type of data stored');
INSERT INTO db_cat_columns VALUES (11710, 1700, 'descript', 'Varchar(50)', 'Field to store additional information about the event parameter..');
INSERT INTO db_cat_columns VALUES (11720, 1710, 'id', 'Varchar (50)', 'Event position catalog identifier. Primary key');
INSERT INTO db_cat_columns VALUES (11730, 1710, 'feature', 'Varchar(30)', 'Identifier of the feature');
INSERT INTO db_cat_columns VALUES (11740, 1710, 'descript', 'Varchar(50)', 'Field to store additional information about the event position.');
INSERT INTO db_cat_columns VALUES (11750, 1720, 'id', 'varchar(30)', 'Event identifier. Primary key');
INSERT INTO db_cat_columns VALUES (11760, 1720, 'event_type', 'varchar(30)', 'Event type identifier.');
INSERT INTO db_cat_columns VALUES (11770, 1720, 'startdate', 'timestamp(6),', 'Start date of the event.');
INSERT INTO db_cat_columns VALUES (11780, 1720, 'enddate', 'timestamp(6),', 'End date of the event.');
INSERT INTO db_cat_columns VALUES (11790, 1720, 'observ', 'varchar(512)', 'Observations related to event. Additional information');
INSERT INTO db_cat_columns VALUES (11800, 1720, 'tag', 'varchar(16)', 'Tag related to the event.');
INSERT INTO db_cat_columns VALUES (11810, 1720, 'timestamp', 'timestamp(6)', 'Date when the event is created');
INSERT INTO db_cat_columns VALUES (11830, 1730, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (11840, 1730, 'event_id', 'Varchar (30)', 'Event identifier related to the primary key of event table');
INSERT INTO db_cat_columns VALUES (11850, 1730, 'node_id', 'Varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (11860, 1730, 'parameter_id', 'Varchar (50)', 'Parameter identifie related to the primary key of the parameter table');
INSERT INTO db_cat_columns VALUES (11870, 1730, 'value', 'text', 'Value of the event');
INSERT INTO db_cat_columns VALUES (11880, 1730, 'position_id', 'Varchar(50)', 'Position identifie related to the primary key of the position table');
INSERT INTO db_cat_columns VALUES (11890, 1730, 'text', 'text', 'Field ready to insert text for additional information');
INSERT INTO db_cat_columns VALUES (11900, 1740, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (11910, 1740, 'event_id', 'Varchar (30)', 'Event identifier related to the primary key of event table');
INSERT INTO db_cat_columns VALUES (11920, 1740, 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of the arc table');
INSERT INTO db_cat_columns VALUES (11930, 1740, 'parameter_id', 'Varchar (50)', 'Parameter identifie related to the primary key of the parameter table');
INSERT INTO db_cat_columns VALUES (11940, 1740, 'value', 'text', 'Value of the event');
INSERT INTO db_cat_columns VALUES (11950, 1740, 'position_id', 'Varchar (50)', 'Position identifie related to the primary key of the position table');
INSERT INTO db_cat_columns VALUES (11960, 1740, 'text', 'text', 'Field ready to insert text for additional information');
INSERT INTO db_cat_columns VALUES (11970, 1750, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (11980, 1750, 'event_id', 'Varchar(30)', 'Event identifier related to the primary key of event table');
INSERT INTO db_cat_columns VALUES (11990, 1750, 'element_id', 'Varchar(16)', 'Arc identifier related to the primary key of the arc table');
INSERT INTO db_cat_columns VALUES (12000, 1750, 'parameter_id', 'Varchar(50)', 'Parameter identifie related to the primary key of the parameter table');
INSERT INTO db_cat_columns VALUES (12010, 1750, 'value', 'text', 'Value of the event');
INSERT INTO db_cat_columns VALUES (12020, 1750, 'position_id', 'Varchar (50)', 'Position identifier related to the primary key of the position table');
INSERT INTO db_cat_columns VALUES (12030, 1750, 'text', 'text', 'Field ready to insert text for additional information');
INSERT INTO db_cat_columns VALUES (12040, 1760, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (12050, 1760, 'event_id', 'varchar(30)', 'Event identifier related to the primary key of event table');
INSERT INTO db_cat_columns VALUES (12060, 1760, 'connec_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (12070, 1760, 'parameter_id', 'Varchar(50)', 'Parameter identifier related to the primary key of the parameter table');
INSERT INTO db_cat_columns VALUES (12080, 1760, 'value', 'text', 'Value of the event related to the connect.');
INSERT INTO db_cat_columns VALUES (12090, 1760, 'position_id', 'Varchar(50)', 'Position identifier related to the primary key of the position table');
INSERT INTO db_cat_columns VALUES (12100, 1760, 'text', 'text', 'Field ready to insert text for additional information');
INSERT INTO db_cat_columns VALUES (12110, 1770, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (12120, 1770, 'event_id', 'varchar(30)', 'Event identifier related to the primary key of event table');
INSERT INTO db_cat_columns VALUES (12130, 1770, 'gully_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (12140, 1770, 'parameter_id', 'Varchar(50)', 'Parameter identifier related to the primary key of the parameter table');
INSERT INTO db_cat_columns VALUES (12150, 1770, 'value', 'text', 'Value of the event related to the gully.');
INSERT INTO db_cat_columns VALUES (12160, 1760, 'position_id', 'Varchar(50)', 'Position identifier related to the primary key of the position table');
INSERT INTO db_cat_columns VALUES (12170, 1760, 'text', 'text', 'Field ready to insert text for additional information');
INSERT INTO db_cat_columns VALUES (12180, 1780, 'id', 'varchar(30)', 'Document type identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (12190, 1780, 'comment', 'varchar(512)', 'Comments related to document type. Additional information.');
INSERT INTO db_cat_columns VALUES (12200, 1800, 'id', 'varchar(16)', 'Tag identifier. Primary key');
INSERT INTO db_cat_columns VALUES (12210, 1800, 'comment', 'varchar(512)', 'Comments related to tags. Additional information.');
INSERT INTO db_cat_columns VALUES (12220, 1810, 'id', 'int8', 'Document identifier. Primary key');
INSERT INTO db_cat_columns VALUES (12240, 1810, 'path', 'varchar(512)', 'Field to store folder path related to document.');
INSERT INTO db_cat_columns VALUES (12250, 1810, 'observ', 'varchar(512)', 'Observations related to documents. Additional information');
INSERT INTO db_cat_columns VALUES (12260, 1810, 'tagcat_id', 'varchar(16)', 'Tag identifier.');
INSERT INTO db_cat_columns VALUES (12270, 1810, 'date', 'timestamp(6)', 'Date of adding the document.');
INSERT INTO db_cat_columns VALUES (12290, 1820, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (12300, 1820, 'doc_id', 'int8', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_columns VALUES (12310, 1820, 'node_id', 'varchar(16)', 'Node identifier related to the primary key of the node table');
INSERT INTO db_cat_columns VALUES (12320, 1830, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (12330, 1830, 'doc_id', 'int8,', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_columns VALUES (12340, 1830, 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_columns VALUES (12350, 1840, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (12360, 1840, 'doc_id', 'int8,', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_columns VALUES (12370, 1840, 'connec_id', 'varchar(16)', 'Connect identifier related to the primary key of connec table');
INSERT INTO db_cat_columns VALUES (12380, 1850, 'id', 'int8', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (12390, 1850, 'doc_id', 'int8', 'Document identifier related to the primary key of doc table');
INSERT INTO db_cat_columns VALUES (12400, 1850, 'gully_id', 'varchar(16)', 'Connect identifier related to the primary key of gully table');
INSERT INTO db_cat_columns VALUES (12520, 1860, 'psector_id', 'varchar', 'Plan sector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (12530, 1860, 'descript', 'Varchar (254)', 'Field to store additional information about the psector.');
INSERT INTO db_cat_columns VALUES (12540, 1860, 'priority', 'Varchar (16)', 'Field to identify the priority of the psector');
INSERT INTO db_cat_columns VALUES (12550, 1860, 'text1', 'Varchar (254)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (12560, 1860, 'text2', 'Varchar (254)', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (12570, 1860, 'observ', 'Varchar (254)', 'Observations related to plan sector. Additional information');
INSERT INTO db_cat_columns VALUES (12580, 1860, 'rotation', 'Numeric(8,4)', 'Field to use to rotate the map');
INSERT INTO db_cat_columns VALUES (12590, 1860, 'scale', 'Numeric(8,2)', 'Field to use to configurate the scale of the map');
INSERT INTO db_cat_columns VALUES (12600, 1860, 'sector_id', 'Varchar(30)', 'Hydraulic sector identifier related to the primary key of sector table');
INSERT INTO db_cat_columns VALUES (12610, 1860, 'atlas_id', 'Varchar(30)', 'Field to use to configurate the position of the psector on the whole atlas');
INSERT INTO db_cat_columns VALUES (12620, 1860, 'gexpenses', 'Numeric(4,2)', 'General expenses  related to this psector.');
INSERT INTO db_cat_columns VALUES (12630, 1860, 'vat', 'Numeric(4,2)', 'Value of vat tax  related to this psector.');
INSERT INTO db_cat_columns VALUES (12640, 1860, 'other', 'Numeric(4,2)', 'Other expenses related to this psector.');
INSERT INTO db_cat_columns VALUES (12650, 1860, 'the_geom', 'public.geometry', 'Polygon geometry field.');
INSERT INTO db_cat_columns VALUES (12660, 1870, 'id', 'int4', 'Arc related to psector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (12670, 1870, 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_columns VALUES (12680, 1870, 'psector_id', 'Varchar(16)', 'Psector related to the primary key of psector table');
INSERT INTO db_cat_columns VALUES (12690, 1870, 'atlas_id', 'Varchar(16)', 'Indicates the order of map files.');
INSERT INTO db_cat_columns VALUES (12700, 1870, 'descript', 'Varchar(254)', 'Field to store additional information about the arc related to psector.');
INSERT INTO db_cat_columns VALUES (12710, 1880, 'id', 'int4', 'Node related to psector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (12720, 1880, 'node_id', 'Varchar(16)', 'Node identifier related to the primary key of node table');
INSERT INTO db_cat_columns VALUES (12730, 1880, 'psector_id', 'Varchar(16)', 'Psector related to the primary key of psector table');
INSERT INTO db_cat_columns VALUES (12740, 1880, 'atlas_id', 'Varchar(16)', 'Indicates the order of map files.');
INSERT INTO db_cat_columns VALUES (12750, 1880, 'descript', 'Varchar(254)', 'Field to store additional information about the node related to psector.');
INSERT INTO db_cat_columns VALUES (12760, 1890, 'id', 'int4', 'Other objectt related to psector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (12770, 1890, 'price_id', 'Varchar(16)', 'Identifier of the price');
INSERT INTO db_cat_columns VALUES (12780, 1890, 'measurement', 'Numeric(12,2)', 'Measurement');
INSERT INTO db_cat_columns VALUES (12790, 1890, 'psector_id', 'Varchar(16)', 'Psector related to the primary key of psector table');
INSERT INTO db_cat_columns VALUES (12800, 1890, 'atlas_id', 'Varchar(16)', 'Indicates the order of map files.');
INSERT INTO db_cat_columns VALUES (12810, 1890, 'descript', 'Varchar(254)', 'Field to store additional information about the other objects related to psector.');
INSERT INTO db_cat_columns VALUES (12820, 1900, 'id', 'int4', 'Arc related to pavement identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (12830, 1900, 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of arc table');
INSERT INTO db_cat_columns VALUES (12840, 1900, 'pavcat_id', 'Varchar(16)', 'Identifier of the pavement');
INSERT INTO db_cat_columns VALUES (12850, 1900, 'percent', 'Numeric(3,2)', 'Percent of pavement''s coverage on arc.');
INSERT INTO db_cat_columns VALUES (12860, 1910, 'id', 'Varchar(16)', 'Identifier of the value domain of priority');
INSERT INTO db_cat_columns VALUES (12870, 1910, 'observ', 'Varchar(254)', 'Additional information');
INSERT INTO db_cat_columns VALUES (12880, 1920, 'id', 'Varchar(16)', 'Economic selector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (12890, 1920, 'observ', 'Varchar(254)', 'Observations related to economic selector. Additional information');
INSERT INTO db_cat_columns VALUES (12900, 1930, 'id', 'Varchar(16)', 'Plan sector selector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (12910, 1930, 'observ', 'Varchar(254)', 'Observations related to plan sector selector. Additional information');
INSERT INTO db_cat_columns VALUES (12920, 1940, 'id', 'Varchar (16)', 'Simple price identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (12930, 1940, 'unit', 'Varchar (5)', 'Units used to express the price.');
INSERT INTO db_cat_columns VALUES (12940, 1940, 'descript', 'Varchar (100)', 'Field to store additional information about the simple price.');
INSERT INTO db_cat_columns VALUES (12950, 1940, 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (12960, 1940, 'price', 'Numeric(12,4)', 'Price');
INSERT INTO db_cat_columns VALUES (12970, 1940, 'obs', 'Varchar (16)', 'Additional information');
INSERT INTO db_cat_columns VALUES (12980, 1950, 'id', 'Varchar (16)', 'Compost price identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (12990, 1950, 'unit', 'Varchar (5)', 'Units used to express the price.');
INSERT INTO db_cat_columns VALUES (13000, 1950, 'descript', 'Varchar (100)', 'Field to store additional information about the compound price');
INSERT INTO db_cat_columns VALUES (13010, 1950, 'text', 'text', 'Field ready to insert text for additional information.');
INSERT INTO db_cat_columns VALUES (13020, 1950, 'price', 'Numeric(12,4)', 'Price');
INSERT INTO db_cat_columns VALUES (13030, 1960, 'id', 'int4', 'Compound value identifier.Primary key.');
INSERT INTO db_cat_columns VALUES (13040, 1960, 'compost_id', 'Varchar (16)', 'Compound price identifier related to the primary key of price compost table');
INSERT INTO db_cat_columns VALUES (13050, 1960, 'simple_id', 'Varchar (16)', 'Simple price identifier related to the primary key of price simple table');
INSERT INTO db_cat_columns VALUES (13060, 1960, 'value', 'Numeric(16,4)', 'Measurement');
INSERT INTO db_cat_columns VALUES (13070, 1970, 'id', 'Varchar (16)', 'Price units identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (13080, 1970, 'descript', 'Varchar (100)', 'Field to store additional information about the price value units.');
INSERT INTO db_cat_columns VALUES (13090, 1980, 'node_id', 'Varchar(16)', 'Node identifier related to the primary key of node table');
INSERT INTO db_cat_columns VALUES (13100, 1980, 'the_geom', 'public.geometry', 'Point geometry field.');
INSERT INTO db_cat_columns VALUES (13110, 1990, 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of node table');
INSERT INTO db_cat_columns VALUES (13120, 1990, 'the_geom', 'public.geometry', 'Linestring geometry field.');
INSERT INTO db_cat_columns VALUES (13130, 2000, 'node_id', 'Varchar(16)', 'Node identifier related to the primary key of node table');
INSERT INTO db_cat_columns VALUES (13140, 2000, 'the_geom', 'public.geometry', 'Point geometry field.');
INSERT INTO db_cat_columns VALUES (13150, 2010, 'arc_id', 'Varchar(16)', 'Arc identifier related to the primary key of node table');
INSERT INTO db_cat_columns VALUES (13160, 2010, 'the_geom', 'public.geometry', 'Linestring geometry field.');
INSERT INTO db_cat_columns VALUES (7820, 990, 'id', 'varchar(16)', 'Value domain of SWMM outlet type. See ud_14_inp_vdomain.sql for more information about this field');
INSERT INTO db_cat_columns VALUES (30010, 10000, 'id', 'int4', 'ID of version. Primary key.');
INSERT INTO db_cat_columns VALUES (30030, 10000, 'wsoftware', 'varchar(16)', 'Identifies the water software compatible with the project');
INSERT INTO db_cat_columns VALUES (30040, 10000, 'postgres', 'varchar(512)', 'Identifies the version of PostgreSQL where the project was created');
INSERT INTO db_cat_columns VALUES (30050, 10000, 'postgis', 'varchar(512)', 'Identifies the version of Postgis where the project was created');
INSERT INTO db_cat_columns VALUES (30100, 10020, 'node2arc', 'double precision', 'Configuration parameter of disconected nodes about it''s proximity to arcs related to fct_node2arc function');
INSERT INTO db_cat_columns VALUES (30020, 10000, 'giswater', 'varchar(16)', 'Identifies the version of giswater with the project was created');
INSERT INTO db_cat_columns VALUES (32490, 10330, 'portal_layer', 'varchar(30)', 'Name of point layer');
INSERT INTO db_cat_columns VALUES (32560, 10330, 'urban_propierties_field_block', 'varchar(30)', 'Name of field with block data');
INSERT INTO db_cat_columns VALUES (32550, 10330, 'street_layer', 'varchar(30)', 'Name of street layer');
INSERT INTO db_cat_columns VALUES (32540, 10330, 'street_field_name', 'varchar(30)', 'Name of field with street name');
INSERT INTO db_cat_columns VALUES (32530, 10330, 'street_field_code', 'varchar(30)', 'Name of field with street code');
INSERT INTO db_cat_columns VALUES (32570, 10330, 'urban_propierties_field_number', 'varchar(30)', 'Name of field with entrance number');
INSERT INTO db_cat_columns VALUES (32590, 10330, 'urban_propierties_layer', 'varchar(30)', 'Name of urban properties layer.');
INSERT INTO db_cat_columns VALUES (30700, 140, 'id', 'int4', 'Identifier of the function');
INSERT INTO db_cat_columns VALUES (30070, 10020, 'id', 'varchar(18)', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (30080, 10020, 'node_proximity', 'double precision', 'Configuration parameter of node proximity related to trg_node_proximity function trigger');
INSERT INTO db_cat_columns VALUES (30090, 10020, 'arc_searchnodes', 'double precision', 'Configuration parameter of arc searching start and end nodes related to trg_arc_searchnodes function trigger');
INSERT INTO db_cat_columns VALUES (30110, 10020, 'connec_proximity', 'double precision', 'Configuration parameter of node proximity related to trg_connec_proximity function trigger');
INSERT INTO db_cat_columns VALUES (30120, 10020, 'arc_toporepair', 'double precision', 'Configuration parameter of arc repair related to fct_arc_toporepair function');
INSERT INTO db_cat_columns VALUES (30130, 10020, 'nodeinsert_arcendpoint', 'boolean', 'Configuration parameter of automatic node insert when endnode does not exist related to trg_arc_searchnodes function trigger');
INSERT INTO db_cat_columns VALUES (30150, 10020, 'orphannode_delete', 'boolean', 'Configuration parameter of automatic delete node when arc is deleted related to trg_orphannode_delete fuction trigger');
INSERT INTO db_cat_columns VALUES (30160, 10020, 'vnode_update_tolerance', 'double precision', 'Configuration parameter of defining node tolerance.');
INSERT INTO db_cat_columns VALUES (30170, 10020, 'nodetype_change_enabled', 'boolean', 'Enable change node type option.');
INSERT INTO db_cat_columns VALUES (30190, 10020, 'node_proximity_control', 'boolean', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent nodes closet to other nodes');
INSERT INTO db_cat_columns VALUES (30200, 10020, 'connec_proximity_control', 'boolean', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent connec closet to other connec');
INSERT INTO db_cat_columns VALUES (30210, 10020, 'node_duplicated_tolerance', 'float', 'Tolerace for function of node duplicated indentification');
INSERT INTO db_cat_columns VALUES (30220, 10020, 'connec_duplicated_tolerance', 'float', 'Tolerace for function of connec duplicated indentification');
INSERT INTO db_cat_columns VALUES (30230, 10020, 'audit_function_control', 'boolean', 'Field to put enable (true) or dissabled (false) the audit function control');
INSERT INTO db_cat_columns VALUES (30240, 10020, 'arc_searchnodes_control', 'boolean', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent arcs without nodes at init or end position');
INSERT INTO db_cat_columns VALUES (30840, 10160, 'arc_id', 'varchar(16)', 'Arc identifier');
INSERT INTO db_cat_columns VALUES (30850, 10160, 'the_geom', 'public_geometry', 'Geometry of arc');
INSERT INTO db_cat_columns VALUES (30860, 10110, 'arc_id', NULL, 'Arc identifier');
INSERT INTO db_cat_columns VALUES (30870, 10110, 'the_geom', 'public.geometry', 'Geometry of arc');
INSERT INTO db_cat_columns VALUES (30880, 10110, 'length', 'float', 'Length of an arc');
INSERT INTO db_cat_columns VALUES (30890, 10170, 'connec_conserv', 'varchar(16)', NULL);
INSERT INTO db_cat_columns VALUES (30900, 10170, 'connec_id', 'varchar(16)', 'Connec identifier');
INSERT INTO db_cat_columns VALUES (30910, 10170, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (30920, 10170, 'the_geom', 'public.geometry', 'Geometry of connec');
INSERT INTO db_cat_columns VALUES (30950, 10100, 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_columns VALUES (30940, 10100, 'node_conserv', 'varchar(16)', 'Node identifier of the duplicated node');
INSERT INTO db_cat_columns VALUES (30930, 10100, 'node_id', 'varchar(16)', 'Node identifier');
INSERT INTO db_cat_columns VALUES (30960, 10080, 'node_id', 'Varchar(16)', 'Node identifier');
INSERT INTO db_cat_columns VALUES (30980, 10080, 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_columns VALUES (30970, 10080, 'node_type', 'Varchar(30)', 'Type of the node');
INSERT INTO db_cat_columns VALUES (31000, 10090, 'node_id', 'varchar(16)', 'Node identifier');
INSERT INTO db_cat_columns VALUES (31010, 10090, 'the_geom', 'public.geometry', 'Geometry of node');
INSERT INTO db_cat_columns VALUES (30990, 10090, 'num_arcs', 'int', 'Number of arcs joining the node');
INSERT INTO db_cat_columns VALUES (31020, 10130, 'id', 'int', 'Identifier of the error');
INSERT INTO db_cat_columns VALUES (31030, 10130, 'error_message', 'text', 'Message of the error');
INSERT INTO db_cat_columns VALUES (31040, 10130, 'hint_message', 'text', 'Hint message');
INSERT INTO db_cat_columns VALUES (31050, 10130, 'log_level', 'int2', 'Log level of the error');
INSERT INTO db_cat_columns VALUES (31060, 10130, 'show_user', 'bool', 'Field to define to show (or not) to the user this message');
INSERT INTO db_cat_columns VALUES (31070, 10130, 'context', 'text', 'Context of the message');
INSERT INTO db_cat_columns VALUES (31130, 10140, 'return_type', 'text', 'Type of return of the function');
INSERT INTO db_cat_columns VALUES (31120, 10140, 'input_params', 'json', 'Input parameters of the function');
INSERT INTO db_cat_columns VALUES (31110, 10140, 'context', 'text', 'Context of the function');
INSERT INTO db_cat_columns VALUES (31100, 10140, 'function_type', 'text', 'Type of the function (trigger function or function)');
INSERT INTO db_cat_columns VALUES (31090, 10140, 'name', 'text', 'Name of the function');
INSERT INTO db_cat_columns VALUES (31080, 10140, 'id', 'int4', 'Identifier of the function');
INSERT INTO db_cat_columns VALUES (31200, 10150, 'debug_info', 'text', 'Additional information to debug');
INSERT INTO db_cat_columns VALUES (31190, 10150, 'user_name', 'text', 'Name of the user');
INSERT INTO db_cat_columns VALUES (31180, 10150, 'query', 'text', 'String with the full query realized');
INSERT INTO db_cat_columns VALUES (31170, 10150, 'audit_cat_function_id', 'int4', 'Identifier of the function');
INSERT INTO db_cat_columns VALUES (31160, 10150, 'audit_cat_error_id', 'int', 'Identifier of the error');
INSERT INTO db_cat_columns VALUES (31150, 10150, 'tstamp', 'timestamp', 'Timestamp');
INSERT INTO db_cat_columns VALUES (31140, 10150, 'id', 'bigserial', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (31210, 90, 'estimated_depth', 'numeric(12,2)', 'In case no data of depth of conduit this depth is used to estimate the budget.');
INSERT INTO db_cat_columns VALUES (31230, 10300, 'descript', 'varchar(100)', 'Description');
INSERT INTO db_cat_columns VALUES (31220, 10300, 'catchment_id', 'varchar(30)', 'Catchment identifier');
INSERT INTO db_cat_columns VALUES (31250, 10300, 'the_geom', 'public.geometry', 'Geometry of catchment.');
INSERT INTO db_cat_columns VALUES (31260, 10020, 'samenode_init_end_control', 'bool', 'Field to put enable (true) or dissabled (false) the rules of topology to prevent arc with same begining and end node');
INSERT INTO db_cat_columns VALUES (31270, 10020, 'node2arc', 'double precision', 'Configuration parameter of disconected nodes about it''s proximity to arcs related to fct_node2arc function');
INSERT INTO db_cat_columns VALUES (31280, 10020, 'nodeinsert_catalog_vdefault', 'varchar(30)', 'Configuration parameter of default node values.');
INSERT INTO db_cat_columns VALUES (31290, 10030, 'table_name', 'varchar(50)', 'Name of table to insert csv data');
INSERT INTO db_cat_columns VALUES (32390, 10320, 'vector_layer', 'varchar(30)', 'Name of vector layer into which the values are inserted');
INSERT INTO db_cat_columns VALUES (32300, 10030, 'gis_client_layer_name', 'varchar(50)', 'Alias of this table on the GIS project');
INSERT INTO db_cat_columns VALUES (32320, 10310, 'raster_band_value', 'varchar(30)', 'Band from which the value is taken');
INSERT INTO db_cat_columns VALUES (32350, 10310, 'vector_field_value', 'varchar(30)', 'Name of field of vector layer into which the values are inserted');
INSERT INTO db_cat_columns VALUES (32340, 10310, 'vector_layer', 'varchar(30)', 'Name of vector layer into which the values are inserted');
INSERT INTO db_cat_columns VALUES (32330, 10310, 'raster_layer', 'varchar(30)', 'Name of raster layer from which value is taken');
INSERT INTO db_cat_columns VALUES (32370, 10320, 'raster_band_value', 'varchar(30)', 'Band from which the value is taken');
INSERT INTO db_cat_columns VALUES (32440, 10330, 'hydrometer_urban_propierties_field_code', 'varchar(30)', 'Name of field with connec code');
INSERT INTO db_cat_columns VALUES (32360, 10320, 'id', 'varchar(18)', 'Identifier');
INSERT INTO db_cat_columns VALUES (32310, 10310, 'id', 'varchar(18)', 'Identifier');
INSERT INTO db_cat_columns VALUES (32400, 10320, 'vector_field_value', 'varchar(30)', 'Name of field of vector layer into which the values are inserted');
INSERT INTO db_cat_columns VALUES (32380, 10320, 'raster_layer', 'varchar(30)', 'Name of raster layer from which value is taken');
INSERT INTO db_cat_columns VALUES (32410, 10330, 'hydrometer_field_code', 'varchar(30)', 'Name of field with hydrometer code');
INSERT INTO db_cat_columns VALUES (31240, 10300, 'text', 'text', 'Description2');
INSERT INTO db_cat_columns VALUES (32430, 10330, 'hydrometer_layer', 'varchar(30)', 'Name of hydrometer layer');
INSERT INTO db_cat_columns VALUES (32520, 10330, 'ppoint_layer', 'varchar(30)', 'Name of ppoint layer');
INSERT INTO db_cat_columns VALUES (32450, 10330, 'hydrometer_urban_propierties_layer', 'varchar(30)', 'Name of connec layer');
INSERT INTO db_cat_columns VALUES (32480, 10330, 'portal_field_number', 'varchar(30)', 'Name of field with entrance number');
INSERT INTO db_cat_columns VALUES (32470, 10330, 'portal_field_code', 'varchar(30)', 'Name of field with entrance code');
INSERT INTO db_cat_columns VALUES (32460, 10330, 'id', 'varchar(18)', 'Identifier.');
INSERT INTO db_cat_columns VALUES (32500, 10330, 'ppoint_field_number', 'varchar(30)', 'Name of field with ppoint number');
INSERT INTO db_cat_columns VALUES (32510, 10330, 'ppoint_field_zone', 'varchar(30)', 'Name of field with ppoint zone');
INSERT INTO db_cat_columns VALUES (32580, 10330, 'urban_propierties_field_pzone', 'varchar(30)', 'Name of a field with zone data');
INSERT INTO db_cat_columns VALUES (32600, 10350, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (32620, 10350, 'ui_table', 'varchar(50)', NULL);
INSERT INTO db_cat_columns VALUES (32640, 10350, 'status', 'bool', NULL);
INSERT INTO db_cat_columns VALUES (32650, 10350, 'column_index', 'smallint', NULL);
INSERT INTO db_cat_columns VALUES (32630, 10350, 'ui_column', 'varchar(50)', NULL);
INSERT INTO db_cat_columns VALUES (32680, 10070, 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (32690, 10070, 'name', 'text', 'Name of the layer of the GIS project');
INSERT INTO db_cat_columns VALUES (32700, 10070, 'group_level_1', 'text', 'Group of the table of contents (ToC) where the layer is located. Level 1 of agrupation');
INSERT INTO db_cat_columns VALUES (32710, 10070, 'group_level_2', 'text', 'Group of the table of contents (ToC) where the layer is located. Level 2 of agrupation');
INSERT INTO db_cat_columns VALUES (32720, 10070, 'group_level_3', 'text', 'Group of the table of contents (ToC) where the layer is located. Level 3 of agrupation');
INSERT INTO db_cat_columns VALUES (32730, 10070, 'description', 'text', 'Description');
INSERT INTO db_cat_columns VALUES (32740, 10070, 'group_level_4', 'text', 'Group of the table of contents (ToC) where the layer is located. Level 4 of agrupation');
INSERT INTO db_cat_columns VALUES (32750, 10060, 'id', 'int', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (32770, 10060, 'description', 'text', 'Description');
INSERT INTO db_cat_columns VALUES (32780, 10060, 'column_type', 'text', 'Type of column.');
INSERT INTO db_cat_columns VALUES (32790, 10060, 'column_name', 'text', 'Name of column');
INSERT INTO db_cat_columns VALUES (32760, 10060, 'db_cat_table_id', 'int4', 'Table catalog identifier');
INSERT INTO db_cat_columns VALUES (32800, 10040, 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (32810, 10040, 'name', 'text', 'Name of the table');
INSERT INTO db_cat_columns VALUES (32820, 10040, 'project_type', 'text', 'Project type of the table (WS, UD or SE).');
INSERT INTO db_cat_columns VALUES (32830, 10040, 'context', 'text', 'Context where this table is showed');
INSERT INTO db_cat_columns VALUES (33070, 330, 'the_geom_pol', 'public.geometry', 'Geometry of a gully (polygon)');
INSERT INTO db_cat_columns VALUES (32850, 10040, 'description', 'text', 'Description of the table');
INSERT INTO db_cat_columns VALUES (32840, 10040, 'db_cat_clientlayer_id', 'int4', 'Name of the GIS layer (if exists)');
INSERT INTO db_cat_columns VALUES (32860, 10050, 'id', 'int4', 'Autonumeric field to store unique values for each row (primary key)');
INSERT INTO db_cat_columns VALUES (32870, 10050, 'name', 'text', 'Name of the view');
INSERT INTO db_cat_columns VALUES (32880, 10050, 'project_type', 'text', 'Project type of the table (WS, UD or SE).');
INSERT INTO db_cat_columns VALUES (32890, 10050, 'context', 'text', 'Context where this view is showed');
INSERT INTO db_cat_columns VALUES (32900, 10050, 'db_cat_clientlayer_id', 'int4', 'Name of the GIS layer (if exists)');
INSERT INTO db_cat_columns VALUES (32910, 10050, 'description', 'text', 'description of the table');
INSERT INTO db_cat_columns VALUES (32920, 1810, 'user_name', 'varchar(30)', 'Name of a user who added the document.');
INSERT INTO db_cat_columns VALUES (32930, 1810, 'doc_type', 'varchar(30)', 'Type of a document');
INSERT INTO db_cat_columns VALUES (32940, 10360, 'id', 'varchar(16)', 'Element related to arc identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (32950, 10360, 'element_id', 'varchar(16)', 'Element identifier related to the primary key of element table');
INSERT INTO db_cat_columns VALUES (32960, 10360, 'arc_id', 'varchar(16)', 'Arc identifier related to the primary key of the arc table');
INSERT INTO db_cat_columns VALUES (32970, 1720, 'user_name', 'varchar(50)', 'Name of a user who added the event.');
INSERT INTO db_cat_columns VALUES (32980, 1770, 'position_id', 'varchar(50)', 'Position identifier');
INSERT INTO db_cat_columns VALUES (32990, 1770, 'text', 'text', 'Description');
INSERT INTO db_cat_columns VALUES (33090, 10380, 'observ', 'varchar(254)', 'Observation');
INSERT INTO db_cat_columns VALUES (33100, 10000, 'date', 'timestamp', 'Date of the version release');
INSERT INTO db_cat_columns VALUES (33110, 30, 'text', 'text', 'Description');
INSERT INTO db_cat_columns VALUES (33000, 10370, 'id', 'varchar(16)', 'Entrance  identifier');
INSERT INTO db_cat_columns VALUES (33120, 30, 'observ', 'text', 'Observation');
INSERT INTO db_cat_columns VALUES (33080, 10380, 'id', 'varchar(16)', 'State selector identifier. Primary key.');
INSERT INTO db_cat_columns VALUES (32610, 10350, 'ui_form', 'varchar(50)', 'Table with UI forms.');
INSERT INTO db_cat_columns VALUES (33010, 10370, 'streetaxis', 'varchar(16)', 'Code of streeetat which the entrance is located');
INSERT INTO db_cat_columns VALUES (33020, 10370, 'postnumber', 'varchar(16)', 'Entrance number');
INSERT INTO db_cat_columns VALUES (33030, 10370, 'urban_properties_id', 'varchar(16)', 'Identifier of related urban propertie');
INSERT INTO db_cat_columns VALUES (33040, 10370, 'the_geom', 'public.geometry', 'Geometry of building entrance - point.');
INSERT INTO db_cat_columns VALUES (32660, 10350, 'width', 'int', 'Width of a column');
INSERT INTO db_cat_columns VALUES (32670, 10350, 'alias', 'varchar(50)', 'Table of alias.');






INSERT INTO db_cat_view VALUES (20, 'v_edit_arc', 'ud&sew', 'Shows editable information about arcs.', NULL, 'Shows editable information about arcs.');
INSERT INTO db_cat_view VALUES (30, 'v_edit_connec', NULL, 'Shows editable information about connects.', NULL, 'Shows editable information about connects.');
INSERT INTO db_cat_view VALUES (40, 'v_edit_link', NULL, 'Shows editable information about links.', NULL, 'Shows editable information about links.');
INSERT INTO db_cat_view VALUES (50, 'v_edit_gully', NULL, 'Shows editable information about gullys.', NULL, 'Shows editable information about gullys.');
INSERT INTO db_cat_view VALUES (60, 'v_edit_pgully', NULL, 'Shows editable information about gullys represented as polygons.', NULL, NULL);
INSERT INTO db_cat_view VALUES (70, 'v_edit_inp_junction', 'ud', 'GIS feature', NULL, 'Shows editable information about junctions.');
INSERT INTO db_cat_view VALUES (80, 'v_edit_inp_divider', 'ud&sew', 'GIS feature', NULL, 'Shows editable information about dividers.');
INSERT INTO db_cat_view VALUES (90, 'v_edit_inp_outfall', 'ud&sew', 'GIS feature', NULL, 'Shows editable information about outfalls.');
INSERT INTO db_cat_view VALUES (100, 'v_edit_inp_storage', 'ud&sew', 'GIS feature', NULL, 'Shows editable information about storages.');
INSERT INTO db_cat_view VALUES (110, 'v_edit_inp_conduit', 'ud&sew', 'GIS feature', NULL, 'Shows editable information about conduits.');
INSERT INTO db_cat_view VALUES (120, 'v_edit_inp_orifice', 'ud&sew', 'GIS feature', NULL, 'Shows editable information about orifices.');
INSERT INTO db_cat_view VALUES (130, 'v_edit_inp_outlet', 'ud&sew', 'GIS feature', NULL, 'Shows editable information about outlets.');
INSERT INTO db_cat_view VALUES (140, 'v_edit_inp_pump', 'ud&sew', 'GIS feature', NULL, 'Shows editable information about pumps.');
INSERT INTO db_cat_view VALUES (150, 'v_edit_inp_weir', 'ud&sew', 'GIS feature', NULL, 'Shows editable information about weirs.');
INSERT INTO db_cat_view VALUES (160, 'v_arc', NULL, 'Hydraulic input data', NULL, 'Shows the arc data.');
INSERT INTO db_cat_view VALUES (170, 'v_node', NULL, 'Hydraulic input data', NULL, 'Shows the node data.');
INSERT INTO db_cat_view VALUES (180, 'v_arc_x_node1', NULL, 'Auxiliar', NULL, 'Shows the relation between arc and nodes1.');
INSERT INTO db_cat_view VALUES (190, 'v_arc_x_node2', NULL, 'Auxiliar', NULL, 'Shows the relation between arc and node2.');
INSERT INTO db_cat_view VALUES (200, 'v_arc_x_node', 'ud&sew', 'Auxiliar', NULL, 'Shows the relation between arc and nodes.');
INSERT INTO db_cat_view VALUES (210, 'v_ui_element_x_node', NULL, 'Element management', NULL, 'Contains the elements related to node. User Interface view.');
INSERT INTO db_cat_view VALUES (220, 'v_ui_element_x_connec', NULL, 'Element management', NULL, 'Contains the elements related to connect. User Interface view.');
INSERT INTO db_cat_view VALUES (230, 'v_ui_element_x_gully', NULL, 'Element management', NULL, 'Contains the elements related to gully. User Interface view.');
INSERT INTO db_cat_view VALUES (240, 'v_ui_element_x_arc', NULL, 'Element management', NULL, 'Contains the elements related to arc. User Interface view.');
INSERT INTO db_cat_view VALUES (250, 'v_inp_buildup', 'ud&sew', 'INP data', NULL, 'Shows the information about velocity of the pollutants that accumulate on the surface');
INSERT INTO db_cat_view VALUES (260, 'v_inp_conduit_cu', 'ud&sew', 'INP data', NULL, 'Shows the information about special conduits (custom)');
INSERT INTO db_cat_view VALUES (270, 'v_inp_conduit_no', 'ud&sew', 'INP data', NULL, 'Shows the information about conduits');
INSERT INTO db_cat_view VALUES (280, 'v_inp_conduit_xs', 'ud&sew', 'INP data', NULL, 'Shows the information about special conduits (transects)');
INSERT INTO db_cat_view VALUES (290, 'v_inp_controls', 'ud&sew', 'INP data', NULL, 'Shows the information about the control rules');
INSERT INTO db_cat_view VALUES (300, 'v_inp_coverages', 'ud&sew', 'INP data', NULL, 'Shows the information about the relation between subcatchments and landuses');
INSERT INTO db_cat_view VALUES (310, 'v_inp_curve', 'ud&sew', 'INP data', NULL, 'Shows the information about the curve definitions');
INSERT INTO db_cat_view VALUES (320, 'v_inp_divider_cu', 'ud&sew', 'INP data', NULL, 'Shows the information about the dividers type cutoff');
INSERT INTO db_cat_view VALUES (330, 'v_inp_divider_ov', 'ud&sew', 'INP data', NULL, 'Shows the information about the dividers type overflow.');
INSERT INTO db_cat_view VALUES (340, 'v_inp_divider_tb', 'ud&sew', 'INP data', NULL, 'Shows the information about dividers type tabular');
INSERT INTO db_cat_view VALUES (350, 'v_inp_divider_wr', 'ud&sew', 'INP data', NULL, 'Shows the information about dividers type weir');
INSERT INTO db_cat_view VALUES (360, 'v_inp_dwf_flow', 'ud&sew', 'INP data', NULL, 'Shows the information about flow during the dry period');
INSERT INTO db_cat_view VALUES (370, 'v_inp_dwf_load', 'ud&sew', 'INP data', NULL, 'Shows the information about the relation between the pollutant and the node');
INSERT INTO db_cat_view VALUES (380, 'v_inp_evap_co', 'ud&sew', 'INP data', NULL, 'Shows the information about the evaporation with the constant format type');
INSERT INTO db_cat_view VALUES (390, 'v_inp_evap_do', 'ud&sew', 'INP data', NULL, 'Shows the information about the evaporation');
INSERT INTO db_cat_view VALUES (400, 'v_inp_evap_fl', 'ud&sew', 'INP data', NULL, 'Shows the information about the evaporation with the file format type');
INSERT INTO db_cat_view VALUES (410, 'v_inp_evap_mo', 'ud&sew', 'INP data', NULL, 'Shows the information about the evaporation with the monthly format type');
INSERT INTO db_cat_view VALUES (420, 'v_inp_evap_pa', 'ud&sew', 'INP data', NULL, 'Shows the information about the evaporation with the pan format type');
INSERT INTO db_cat_view VALUES (430, 'v_inp_evap_te', 'ud&sew', 'INP data', NULL, 'Shows the information about the evaporation with the temperature format type');
INSERT INTO db_cat_view VALUES (440, 'v_inp_evap_ts', 'ud&sew', 'INP data', NULL, 'Shows the information about the evaporation with the timeseries format type');
INSERT INTO db_cat_view VALUES (450, 'v_inp_groundwater', 'ud&sew', 'INP data', NULL, 'Shows the information about groundwaters');
INSERT INTO db_cat_view VALUES (460, 'v_inp_infiltration_cu', 'ud&sew', 'INP data', NULL, 'Shows the information about the infiltration using Curve-Number method');
INSERT INTO db_cat_view VALUES (470, 'v_inp_infiltration_gr', 'ud&sew', 'INP data', NULL, 'Shows the information about the infiltration using Green-Ampt method');
INSERT INTO db_cat_view VALUES (480, 'v_inp_infiltration_ho', 'ud&sew', 'INP data', NULL, 'Shows the information about the infiltration using Horton method');
INSERT INTO db_cat_view VALUES (490, 'v_inp_inflows_flow', 'ud&sew', 'INP data', NULL, 'Shows the information about the inflows related in terms of flow, to nodes (if the user has defined it)');
INSERT INTO db_cat_view VALUES (500, 'v_inp_inflows_load', 'ud&sew', 'INP data', NULL, 'Shows the information about the inflows related in terms of pollutants to nodes (if the user has defined it)');
INSERT INTO db_cat_view VALUES (510, 'v_inp_junction', 'ud&sew', 'INP data', NULL, 'Identifies each junction node of the drainage system. Junctions are points in space where channels and pipes connect together. For sewer systems they can be either connection fittings or manholes.');
INSERT INTO db_cat_view VALUES (520, 'v_inp_landuses', 'ud&sew', 'INP data', NULL, 'Shows the information about land use');
INSERT INTO db_cat_view VALUES (530, 'v_inp_lidcontrol', 'ud&sew', 'INP data', NULL, 'Shows the information about LID controls');
INSERT INTO db_cat_view VALUES (540, 'v_inp_lidusage', 'ud&sew', 'INP data', NULL, 'Shows the information about LID usage.');
INSERT INTO db_cat_view VALUES (550, 'v_inp_loadings', 'ud&sew', 'INP data', NULL, 'Shows the information about loadings.');
INSERT INTO db_cat_view VALUES (560, 'v_inp_losses', 'ud&sew', 'INP data', NULL, 'Shows the information about the coefficiency of losses and conduits behaviour');
INSERT INTO db_cat_view VALUES (570, 'v_inp_options', 'ud&sew', 'INP data', NULL, 'Shows the general information with the simulation options');
INSERT INTO db_cat_view VALUES (580, 'v_inp_orifice', 'ud&sew', 'INP data', NULL, 'Show the information about arcs type orifice');
INSERT INTO db_cat_view VALUES (590, 'v_inp_outfall_fi', 'ud&sew', 'INP data', NULL, 'Shows the information about outfalls with fixed format type');
INSERT INTO db_cat_view VALUES (600, 'v_inp_outfall_fr', 'ud&sew', 'INP data', NULL, 'Shows the information about outfalls with free format type');
INSERT INTO db_cat_view VALUES (610, 'v_inp_outfall_nm', 'ud&sew', 'INP data', NULL, 'Shows the information about outfalls with normal format type');
INSERT INTO db_cat_view VALUES (620, 'v_inp_outfall_ti', 'ud&sew', 'INP data', NULL, 'Shows the information about outfalls with tidal format type');
INSERT INTO db_cat_view VALUES (630, 'v_inp_outfall_ts', 'ud&sew', 'INP data', NULL, 'Shows the information about outfalls with timeseries format type');
INSERT INTO db_cat_view VALUES (640, 'v_inp_outlet_fcd', 'ud&sew', 'INP data', NULL, 'Shows the information about outlet with functional/depth format type');
INSERT INTO db_cat_view VALUES (650, 'v_inp_outlet_fch', 'ud&sew', 'INP data', NULL, 'Shows the information about outlet with functional/head format type');
INSERT INTO db_cat_view VALUES (660, 'v_inp_outlet_tbd', 'ud&sew', 'INP data', NULL, 'Shows the information about outlet with tabular/depth format type');
INSERT INTO db_cat_view VALUES (670, 'v_inp_outlet_tbh', 'ud&sew', 'INP data', NULL, 'Shows the information about outlet with tabular/head format type');
INSERT INTO db_cat_view VALUES (680, 'v_inp_pattern_dl', 'ud&sew', 'INP data', NULL, 'Shows the daily time pattern');
INSERT INTO db_cat_view VALUES (690, 'v_inp_pattern_ho', 'ud&sew', 'INP data', NULL, 'Shows the hourly time pattern');
INSERT INTO db_cat_view VALUES (700, 'v_inp_pattern_mo', 'ud&sew', 'INP data', NULL, 'Shows the monthly time pattern');
INSERT INTO db_cat_view VALUES (710, 'v_inp_pattern_we', 'ud&sew', 'INP data', NULL, 'Shows the weekly time pattern');
INSERT INTO db_cat_view VALUES (720, 'v_inp_pump', 'ud&sew', 'INP data', NULL, 'Shows the information about the arcs type pump');
INSERT INTO db_cat_view VALUES (730, 'v_inp_rdii', 'ud&sew', 'INP data', NULL, 'Shows the information about rainfall-dependent infiltration/inflow (RDII).');
INSERT INTO db_cat_view VALUES (740, 'v_inp_rgage_fl', 'ud&sew', 'INP data', NULL, 'Shows the information about the rain with file format');
INSERT INTO db_cat_view VALUES (750, 'v_inp_rgage_ts', 'ud&sew', 'INP data', NULL, 'Shows the information about the rain with time series');
INSERT INTO db_cat_view VALUES (760, 'v_inp_snowpack', 'ud&sew', 'INP data', NULL, 'Shows the information about snow layer');
INSERT INTO db_cat_view VALUES (770, 'v_inp_storage_fc', 'ud&sew', 'INP data', NULL, 'Shows the information about the deposits with functional type');
INSERT INTO db_cat_view VALUES (780, 'v_inp_storage_tb', 'ud&sew', 'INP data', NULL, 'Shows the information about the deposits with tabular type');
INSERT INTO db_cat_view VALUES (790, 'v_inp_subcatch', 'ud&sew', 'INP data', NULL, 'Shows the information about the poligons with subcatchment type');
INSERT INTO db_cat_view VALUES (800, 'v_inp_temp_fl', 'ud&sew', 'INP data', NULL, 'Shows the information about the temperature data of the project (if user has defined it)');
INSERT INTO db_cat_view VALUES (810, 'v_inp_temp_sn', 'ud&sew', 'INP data', NULL, 'Shows the information about the temperature data of the project (if user has defined it)');
INSERT INTO db_cat_view VALUES (820, 'v_inp_temp_ts', 'ud&sew', 'INP data', NULL, 'Shows the information about the temperature data of the project (if user has defined it)');
INSERT INTO db_cat_view VALUES (830, 'v_inp_temp_wf', 'ud&sew', 'INP data', NULL, 'Shows the information about the temperature data of the project (if user has defined it)');
INSERT INTO db_cat_view VALUES (840, 'v_inp_temp_wm', 'ud&sew', 'INP data', NULL, 'Shows the information about the temperature data of the project (if user has defined it)');
INSERT INTO db_cat_view VALUES (850, 'v_inp_timser_abs', 'ud&sew', 'INP data', NULL, 'Shows the information about time series with absolute type');
INSERT INTO db_cat_view VALUES (860, 'v_inp_timser_fl', 'ud&sew', 'INP data', NULL, 'Shows the information about time series with file');
INSERT INTO db_cat_view VALUES (870, 'v_inp_timser_rel', 'ud&sew', 'INP data', NULL, 'Shows the information about time series with relative type');
INSERT INTO db_cat_view VALUES (880, 'v_inp_transects', 'ud&sew', 'INP data', NULL, 'Shows the information about transects');
INSERT INTO db_cat_view VALUES (890, 'v_inp_treatment', 'ud&sew', 'INP data', NULL, 'Shows the information about the treatment of deposits');
INSERT INTO db_cat_view VALUES (900, 'v_inp_vertice', 'ud&sew', 'INP data', NULL, 'Shows the geometric information about conduits'' vertexes');
INSERT INTO db_cat_view VALUES (910, 'v_inp_washoff', 'ud&sew', 'INP data', NULL, 'Shows the information about the washoff.');
INSERT INTO db_cat_view VALUES (920, 'v_inp_weir', 'ud&sew', 'INP data', NULL, 'Shows the information about arcs type weir');
INSERT INTO db_cat_view VALUES (930, 'v_rpt_arcflow_sum', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of arc flow simulations.');
INSERT INTO db_cat_view VALUES (940, 'v_rpt_arcpolload_sum', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of arc pollutant load simulations.');
INSERT INTO db_cat_view VALUES (950, 'v_rpt_condsurcharge_sum', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of conduit surcharge simulations.');
INSERT INTO db_cat_view VALUES (960, 'v_rpt_continuity_errors', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of continuity errors simulations.');
INSERT INTO db_cat_view VALUES (970, 'v_rpt_critical_elements', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of critical elements simulations analysis');
INSERT INTO db_cat_view VALUES (980, 'v_rpt_flowclass_sum', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of flow classification simulations.');
INSERT INTO db_cat_view VALUES (990, 'v_rpt_flowrouting_cont', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of flow routing continuity simulations.');
INSERT INTO db_cat_view VALUES (1000, 'v_rpt_groundwater_cont', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of groundwater continuity simulations');
INSERT INTO db_cat_view VALUES (1010, 'v_rpt_high_cont_errors', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of high continuity errors simulations.');
INSERT INTO db_cat_view VALUES (1020, 'v_rpt_high_flowinest_ind', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of high flow instability index simulations.');
INSERT INTO db_cat_view VALUES (1030, 'v_rpt_instability_index', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of instability index simulations.');
INSERT INTO db_cat_view VALUES (1040, 'v_rpt_lidperfomance_sum', 'ud', 'Hydraulic results data', NULL, 'Shows the results of LID performance simulations.');
INSERT INTO db_cat_view VALUES (1050, 'v_rpt_nodedepth_sum', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of depth of nodes');
INSERT INTO db_cat_view VALUES (1060, 'v_rpt_nodeflooding_sum', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of flooded nodes');
INSERT INTO db_cat_view VALUES (1070, 'v_rpt_nodeinflow_sum', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the inflow value of nodes');
INSERT INTO db_cat_view VALUES (1080, 'v_rpt_nodesurcharge_sum', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the surcharge value of nodes');
INSERT INTO db_cat_view VALUES (1090, 'v_rpt_outfallflow_sum', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of outfall flow simulations.');
INSERT INTO db_cat_view VALUES (1100, 'v_rpt_outfallload_sum', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of outfall load simulations.');
INSERT INTO db_cat_view VALUES (1110, 'v_rpt_pumping_sum', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of pumping summary simulations.');
INSERT INTO db_cat_view VALUES (1120, 'v_rpt_qualrouting', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of quality routing continuity simulations.');
INSERT INTO db_cat_view VALUES (1130, 'v_rpt_rainfall_dep', 'ud', 'Hydraulic results data', NULL, 'Shows the results of rainfall dependent simulations.');
INSERT INTO db_cat_view VALUES (1140, 'v_rpt_routing_timestep', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of routing timestep simulations');
INSERT INTO db_cat_view VALUES (1150, 'v_rpt_runoff_qual', 'ud', 'Hydraulic results data', NULL, 'Shows the results of runoff quality simulations .');
INSERT INTO db_cat_view VALUES (1160, 'v_rpt_runoff_quant', 'du', 'Hydraulic results data', NULL, 'Shows the results of runoff quantity simulations .');
INSERT INTO db_cat_view VALUES (1170, 'v_rpt_storagevol_sum', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of storage volume simulations');
INSERT INTO db_cat_view VALUES (1180, 'v_rpt_subcatchrunoff_sum', 'ud', 'Hydraulic results data', NULL, 'Shows the results from subcatchments runoff simulations.');
INSERT INTO db_cat_view VALUES (1190, 'v_rpt_subcatchwasoff_sum', 'ud', 'Hydraulic results data', NULL, 'Shows the results of subcatchment washoff simulations.');
INSERT INTO db_cat_view VALUES (1200, 'v_rpt_timestep_critelem', 'ud&sew', 'Hydraulic results data', NULL, 'Shows the results of timestep critical elements simulations');
INSERT INTO db_cat_view VALUES (1210, 'v_rpt_comp_arcflow_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between arcflow simulation results.');
INSERT INTO db_cat_view VALUES (1220, 'v_rpt_comp_arcpolload_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between arc pollutant load simulation results.');
INSERT INTO db_cat_view VALUES (1230, 'v_rpt_comp_condsurcharge_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between conduit surcharge simulations results.');
INSERT INTO db_cat_view VALUES (1240, 'v_rpt_comp_continuity_errors', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between continuity errors simulations results.');
INSERT INTO db_cat_view VALUES (1250, 'v_rpt_comp_critical_elements', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between critical elements simulations analysis results.');
INSERT INTO db_cat_view VALUES (1260, 'v_rpt_comp_flowclass_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between flow classification simulations results.');
INSERT INTO db_cat_view VALUES (1270, 'v_rpt_comp_flowrouting_cont', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between flow routing continuity simulations results.');
INSERT INTO db_cat_view VALUES (1630, 'v_price_x_catsoil1', 'ud&sew', 'Masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (1640, 'v_price_x_catsoil2', 'ud&sew', 'Masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (1650, 'v_price_x_catsoil3', 'ud&sew', 'Masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (1280, 'v_rpt_comp_groundwater_cont', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between groundwater continuity simulation results.');
INSERT INTO db_cat_view VALUES (1290, 'v_rpt_comp_high_cont_errors', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between high continuity errors simulations results.');
INSERT INTO db_cat_view VALUES (1300, 'v_rpt_comp_high_flowinest_ind', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between high flow instability index simulations results.');
INSERT INTO db_cat_view VALUES (1310, 'v_rpt_comp_instability_index', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between instability index simulations results.');
INSERT INTO db_cat_view VALUES (1320, 'v_rpt_comp_lidperfomance_sum', 'ud', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between LID performance simulations results.');
INSERT INTO db_cat_view VALUES (1330, 'v_rpt_comp_nodedepth_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between depth of nodes results.');
INSERT INTO db_cat_view VALUES (1340, 'v_rpt_comp_nodeflooding_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between flooded nodes results.');
INSERT INTO db_cat_view VALUES (1350, 'v_rpt_comp_nodeinflow_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between inflow value of nodes results.');
INSERT INTO db_cat_view VALUES (1360, 'v_rpt_comp_nodesurcharge_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between surcharge value of nodes results.');
INSERT INTO db_cat_view VALUES (1370, 'v_rpt_comp_outfallflow_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between outfall flow simulations results..');
INSERT INTO db_cat_view VALUES (1380, 'v_rpt_comp_outfallload_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between outfall load simulations results..');
INSERT INTO db_cat_view VALUES (1390, 'v_rpt_comp_pumping_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between pumping summary simulations results.');
INSERT INTO db_cat_view VALUES (1400, 'v_rpt_comp_qualrouting', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between quality routing continuity simulations results.');
INSERT INTO db_cat_view VALUES (1410, 'v_rpt_comp_rainfall_dep', 'ud', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between rainfall dependent simulations results.');
INSERT INTO db_cat_view VALUES (1420, 'v_rpt_comp_routing_timestep', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between routing timestep simulations results.');
INSERT INTO db_cat_view VALUES (1430, 'v_rpt_comp_runoff_qual', 'ud', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between runoff quality simulations results.');
INSERT INTO db_cat_view VALUES (1440, 'v_rpt_comp_runoff_quant', 'du', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between  runoff quantity simulations results.');
INSERT INTO db_cat_view VALUES (1450, 'v_rpt_comp_storagevol_sum', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between storage volume simulations results.');
INSERT INTO db_cat_view VALUES (1460, 'v_rpt_comp_subcatchrunoff_sum', 'ud', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between subcatchments runoff simulations results.');
INSERT INTO db_cat_view VALUES (1470, 'v_rpt_comp_subcatchwasoff_sum', 'ud', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between subcatchment washoff simulations results.');
INSERT INTO db_cat_view VALUES (1480, 'v_rpt_comp_timestep_critelem', 'ud&sew', 'Hydraulic result data', NULL, 'Shows the result selecteb by the comparision selector in order to show into GIS project the data from result_selector and result_comparisor to compare between timestep critical elements simulations results.');
INSERT INTO db_cat_view VALUES (1490, 'v_ui_event_x_node', 'ud&sew', 'O&M information', NULL, 'Shows the events related to nodes. User interface table.');
INSERT INTO db_cat_view VALUES (1500, 'v_ui_event_x_arc', 'ud&sew', 'O&M information', NULL, 'Shows the events related to arcs. User interface table.');
INSERT INTO db_cat_view VALUES (1510, 'v_ui_event_x_element', 'ud&sew', 'O&M information', NULL, 'Shows the events related to elements. User interface table.');
INSERT INTO db_cat_view VALUES (1520, 'v_ui_event_x_connec', 'ud&sew', 'O&M information', NULL, 'Shows the events related to connects. User interface table.');
INSERT INTO db_cat_view VALUES (1530, 'v_ui_event_x_gully', 'ud&sew', 'O&M information', NULL, 'Shows the events related to gullys. User interface table.');
INSERT INTO db_cat_view VALUES (1540, 'v_ui_event_x_element_x_node', 'ud&sew', 'O&M information', NULL, 'Shows the events related to elements related to nodes. User Interface view.');
INSERT INTO db_cat_view VALUES (1550, 'v_ui_event_x_element_x_connec', 'ud&sew', 'O&M information', NULL, 'Shows the events related to elements related to connects. User Interface view.');
INSERT INTO db_cat_view VALUES (1560, 'v_ui_event_x_element_x_arc', 'ud&sew', 'O&M information', NULL, 'Shows the events related to elements related to arcs. User Interface view.');
INSERT INTO db_cat_view VALUES (1570, 'v_ui_event_x_element_x_gully', 'ud&sew', 'O&M information', NULL, 'Shows the events related to elements related to gully. User Interface view.');
INSERT INTO db_cat_view VALUES (1580, 'v_ui_doc_x_node', 'ud&sew', 'Document management', NULL, 'Shows the information of document related to nodes. User Interface view.');
INSERT INTO db_cat_view VALUES (1590, 'v_ui_doc_x_arc', 'ud&sew', 'Document management', NULL, 'Shows the information of document related to arcs. User Interface view.');
INSERT INTO db_cat_view VALUES (1600, 'v_ui_doc_x_connec', 'ud&sew', 'Document management', NULL, 'Shows the information of document related to connects. User Interface view.');
INSERT INTO db_cat_view VALUES (1610, 'v_ui_doc_x_gully', 'ud&sew', 'Document management', NULL, 'Shows the information of document related to gully. User Interface view.');
INSERT INTO db_cat_view VALUES (1620, 'v_price_compost', 'ud&sew', 'Masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (1660, 'v_price_x_catsoil4', 'ud&sew', 'Masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (1670, 'v_price_x_catsoil', 'ud&sew', 'Masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (1680, 'v_price_x_catarc1', 'ud&sew', 'Masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (1690, 'v_price_x_catarc2', 'ud&sew', 'Masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (1700, 'v_price_x_catarc3', 'ud&sew', 'Masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (1710, 'v_price_x_catarc', 'ud&sew', 'Masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (1720, 'v_price_x_catpavement', 'ud&sew', 'Masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (1730, 'v_price_x_catnode', 'ud&sew', 'Masterplan', NULL, 'View for code');
INSERT INTO db_cat_view VALUES (1740, 'v_plan_ml_arc', 'ud&sew', 'Masterplan', NULL, 'View where is showed the characteristicis of arc by lineal meter (soil, pavement,…)');
INSERT INTO db_cat_view VALUES (1750, 'v_plan_mlcost_arc', 'ud&sew', 'Masterplan', NULL, 'View where is showed the economic characteristicis of arc by lineal meter (soil, pavement,…) by lineal meter');
INSERT INTO db_cat_view VALUES (1760, 'v_plan_cost_arc', 'ud&sew', 'Masterplan', NULL, 'View to show full data of cost of arc');
INSERT INTO db_cat_view VALUES (1770, 'v_plan_arc', 'ud&sew', 'Masterplan', NULL, 'View only with the most important information about the cost of the arc');
INSERT INTO db_cat_view VALUES (1780, 'v_plan_node', 'ud&sew', 'Masterplan', NULL, 'View only with the most important information about the cost of the node');
INSERT INTO db_cat_view VALUES (1790, 'v_plan_arc_x_psector', 'ud&sew', 'Masterplan', NULL, 'View to show arcs related to plan sectors.');
INSERT INTO db_cat_view VALUES (1800, 'v_plan_node_x_psector', 'ud&sew', 'Masterplan', NULL, 'View to show nodes related to plan sectors.');
INSERT INTO db_cat_view VALUES (1810, 'v_plan_psector_arc', 'ud&sew', 'Masterplan', NULL, 'View to show sectors with the related arcs');
INSERT INTO db_cat_view VALUES (1820, 'v_plan_psector_node', 'ud&sew', 'Masterplan', NULL, 'View to show sectors with the related nodes');
INSERT INTO db_cat_view VALUES (1830, 'v_plan_other_x_psector', 'ud&sew', 'Masterplan', NULL, 'View to show other issues of budget related to plan sectors.');
INSERT INTO db_cat_view VALUES (1840, 'v_plan_psector_other', 'ud&sew', 'Masterplan', NULL, 'View to show sectors with the related other issues of budget');
INSERT INTO db_cat_view VALUES (1850, 'v_plan_psector', 'ud&sew', 'Masterplan', NULL, 'View to show sectors planifieds');
